/*
  qref.c: Copyright (C) 1991-1995,1997,1998,2000,2001 Tadayoshi Funaba All rights reserved
  $Id: qref.c,v 1.7 2001-02-06 23:35:44+09 tadf Exp $
*/

#define MODULE

#include "qref.h"

typedef struct {
    unsigned j : 20, y : 11, m : 1, leap : 1;
} CQDATE;

static const CQDATE qt[] = {
    { 0,      0,   1, 0 },
    { 30,     0,   0, 0 },
    { 59,     0,   0, 0 },
    { 89,     0,   0, 0 },
    { 118,    0,   0, 0 },
    { 148,    0,   0, 1 },
    { 177,    0,   0, 0 },
    { 207,    0,   0, 0 },
    { 236,    0,   0, 0 },
    { 266,    0,   0, 0 },
    { 295,    0,   0, 0 },
    { 325,    0,   0, 0 },
    { 354,    0,   0, 0 },
    { 384,    1,   1, 0 },
    { 414,    1,   0, 0 },
    { 443,    1,   0, 0 },
    { 473,    1,   0, 0 },
    { 502,    1,   0, 0 },
    { 532,    1,   0, 0 },
    { 561,    1,   0, 0 },
    { 591,    1,   0, 0 },
    { 620,    1,   0, 0 },
    { 650,    1,   0, 0 },
    { 679,    1,   0, 0 },
    { 709,    1,   0, 0 },
    { 738,    2,   1, 0 },
    { 768,    2,   0, 0 },
    { 797,    2,   0, 0 },
    { 827,    2,   0, 0 },
    { 857,    2,   0, 0 },
    { 886,    2,   0, 0 },
    { 916,    2,   0, 0 },
    { 945,    2,   0, 0 },
    { 975,    2,   0, 0 },
    { 1004,   2,   0, 0 },
    { 1034,   2,   0, 0 },
    { 1063,   2,   0, 0 },
    { 1093,   3,   1, 0 },
    { 1122,   3,   0, 0 },
    { 1152,   3,   0, 1 },
    { 1181,   3,   0, 0 },
    { 1211,   3,   0, 0 },
    { 1240,   3,   0, 0 },
    { 1270,   3,   0, 0 },
    { 1299,   3,   0, 0 },
    { 1329,   3,   0, 0 },
    { 1359,   3,   0, 0 },
    { 1388,   3,   0, 0 },
    { 1418,   3,   0, 0 },
    { 1447,   3,   0, 0 },
    { 1477,   4,   1, 0 },
    { 1506,   4,   0, 0 },
    { 1536,   4,   0, 0 },
    { 1565,   4,   0, 0 },
    { 1595,   4,   0, 0 },
    { 1624,   4,   0, 0 },
    { 1654,   4,   0, 0 },
    { 1683,   4,   0, 0 },
    { 1713,   4,   0, 0 },
    { 1742,   4,   0, 0 },
    { 1772,   4,   0, 0 },
    { 1801,   4,   0, 0 },
    { 1831,   5,   1, 0 },
    { 1861,   5,   0, 0 },
    { 1890,   5,   0, 0 },
    { 1920,   5,   0, 0 },
    { 1949,   5,   0, 0 },
    { 1979,   5,   0, 0 },
    { 2008,   5,   0, 0 },
    { 2038,   5,   0, 0 },
    { 2067,   5,   0, 0 },
    { 2097,   5,   0, 0 },
    { 2126,   5,   0, 1 },
    { 2156,   5,   0, 0 },
    { 2185,   5,   0, 0 },
    { 2215,   6,   1, 0 },
    { 2244,   6,   0, 0 },
    { 2274,   6,   0, 0 },
    { 2304,   6,   0, 0 },
    { 2333,   6,   0, 0 },
    { 2363,   6,   0, 0 },
    { 2392,   6,   0, 0 },
    { 2422,   6,   0, 0 },
    { 2451,   6,   0, 0 },
    { 2481,   6,   0, 0 },
    { 2510,   6,   0, 0 },
    { 2540,   6,   0, 0 },
    { 2569,   7,   1, 0 },
    { 2599,   7,   0, 0 },
    { 2628,   7,   0, 0 },
    { 2658,   7,   0, 0 },
    { 2687,   7,   0, 0 },
    { 2717,   7,   0, 0 },
    { 2746,   7,   0, 0 },
    { 2776,   7,   0, 0 },
    { 2806,   7,   0, 0 },
    { 2835,   7,   0, 0 },
    { 2865,   7,   0, 0 },
    { 2894,   7,   0, 0 },
    { 2924,   8,   1, 0 },
    { 2953,   8,   0, 0 },
    { 2983,   8,   0, 0 },
    { 3012,   8,   0, 0 },
    { 3042,   8,   0, 0 },
    { 3071,   8,   0, 0 },
    { 3101,   8,   0, 1 },
    { 3130,   8,   0, 0 },
    { 3160,   8,   0, 0 },
    { 3189,   8,   0, 0 },
    { 3219,   8,   0, 0 },
    { 3248,   8,   0, 0 },
    { 3278,   8,   0, 0 },
    { 3308,   9,   1, 0 },
    { 3337,   9,   0, 0 },
    { 3367,   9,   0, 0 },
    { 3396,   9,   0, 0 },
    { 3426,   9,   0, 0 },
    { 3455,   9,   0, 0 },
    { 3485,   9,   0, 0 },
    { 3514,   9,   0, 0 },
    { 3544,   9,   0, 0 },
    { 3573,   9,   0, 0 },
    { 3603,   9,   0, 0 },
    { 3632,   9,   0, 0 },
    { 3662,   10,  1, 0 },
    { 3691,   10,  0, 0 },
    { 3721,   10,  0, 0 },
    { 3751,   10,  0, 0 },
    { 3780,   10,  0, 0 },
    { 3810,   10,  0, 0 },
    { 3839,   10,  0, 0 },
    { 3869,   10,  0, 0 },
    { 3898,   10,  0, 0 },
    { 3928,   10,  0, 0 },
    { 3957,   10,  0, 0 },
    { 3987,   10,  0, 0 },
    { 4016,   11,  1, 0 },
    { 4046,   11,  0, 0 },
    { 4075,   11,  0, 0 },
    { 4105,   11,  0, 1 },
    { 4134,   11,  0, 0 },
    { 4164,   11,  0, 0 },
    { 4193,   11,  0, 0 },
    { 4223,   11,  0, 0 },
    { 4253,   11,  0, 0 },
    { 4282,   11,  0, 0 },
    { 4312,   11,  0, 0 },
    { 4341,   11,  0, 0 },
    { 4371,   11,  0, 0 },
    { 4400,   12,  1, 0 },
    { 4430,   12,  0, 0 },
    { 4459,   12,  0, 0 },
    { 4489,   12,  0, 0 },
    { 4518,   12,  0, 0 },
    { 4548,   12,  0, 0 },
    { 4577,   12,  0, 0 },
    { 4607,   12,  0, 0 },
    { 4636,   12,  0, 0 },
    { 4666,   12,  0, 0 },
    { 4695,   12,  0, 0 },
    { 4725,   12,  0, 0 },
    { 4755,   13,  1, 0 },
    { 4784,   13,  0, 0 },
    { 4814,   13,  0, 0 },
    { 4843,   13,  0, 0 },
    { 4873,   13,  0, 0 },
    { 4902,   13,  0, 0 },
    { 4932,   13,  0, 0 },
    { 4961,   13,  0, 0 },
    { 4991,   13,  0, 0 },
    { 5020,   13,  0, 0 },
    { 5050,   13,  0, 0 },
    { 5079,   13,  0, 0 },
    { 5109,   13,  0, 1 },
    { 5138,   14,  1, 0 },
    { 5168,   14,  0, 0 },
    { 5197,   14,  0, 0 },
    { 5227,   14,  0, 0 },
    { 5257,   14,  0, 0 },
    { 5286,   14,  0, 0 },
    { 5316,   14,  0, 0 },
    { 5345,   14,  0, 0 },
    { 5375,   14,  0, 0 },
    { 5404,   14,  0, 0 },
    { 5434,   14,  0, 0 },
    { 5463,   14,  0, 0 },
    { 5493,   15,  1, 0 },
    { 5522,   15,  0, 0 },
    { 5552,   15,  0, 0 },
    { 5581,   15,  0, 0 },
    { 5611,   15,  0, 0 },
    { 5640,   15,  0, 0 },
    { 5670,   15,  0, 0 },
    { 5700,   15,  0, 0 },
    { 5729,   15,  0, 0 },
    { 5759,   15,  0, 0 },
    { 5788,   15,  0, 0 },
    { 5818,   15,  0, 0 },
    { 5847,   16,  1, 0 },
    { 5877,   16,  0, 0 },
    { 5906,   16,  0, 0 },
    { 5936,   16,  0, 0 },
    { 5965,   16,  0, 0 },
    { 5995,   16,  0, 0 },
    { 6024,   16,  0, 0 },
    { 6054,   16,  0, 0 },
    { 6083,   16,  0, 0 },
    { 6113,   16,  0, 1 },
    { 6142,   16,  0, 0 },
    { 6172,   16,  0, 0 },
    { 6202,   16,  0, 0 },
    { 6231,   17,  1, 0 },
    { 6261,   17,  0, 0 },
    { 6290,   17,  0, 0 },
    { 6320,   17,  0, 0 },
    { 6349,   17,  0, 0 },
    { 6379,   17,  0, 0 },
    { 6408,   17,  0, 0 },
    { 6438,   17,  0, 0 },
    { 6467,   17,  0, 0 },
    { 6497,   17,  0, 0 },
    { 6526,   17,  0, 0 },
    { 6556,   17,  0, 0 },
    { 6585,   18,  1, 0 },
    { 6615,   18,  0, 0 },
    { 6644,   18,  0, 0 },
    { 6674,   18,  0, 0 },
    { 6704,   18,  0, 0 },
    { 6733,   18,  0, 0 },
    { 6763,   18,  0, 0 },
    { 6792,   18,  0, 0 },
    { 6822,   18,  0, 0 },
    { 6851,   18,  0, 0 },
    { 6881,   18,  0, 0 },
    { 6910,   18,  0, 0 },
    { 6940,   19,  1, 0 },
    { 6969,   19,  0, 0 },
    { 6999,   19,  0, 0 },
    { 7028,   19,  0, 0 },
    { 7058,   19,  0, 0 },
    { 7087,   19,  0, 1 },
    { 7117,   19,  0, 0 },
    { 7147,   19,  0, 0 },
    { 7176,   19,  0, 0 },
    { 7206,   19,  0, 0 },
    { 7235,   19,  0, 0 },
    { 7265,   19,  0, 0 },
    { 7294,   19,  0, 0 },
    { 7324,   20,  1, 0 },
    { 7353,   20,  0, 0 },
    { 7383,   20,  0, 0 },
    { 7412,   20,  0, 0 },
    { 7442,   20,  0, 0 },
    { 7471,   20,  0, 0 },
    { 7501,   20,  0, 0 },
    { 7530,   20,  0, 0 },
    { 7560,   20,  0, 0 },
    { 7589,   20,  0, 0 },
    { 7619,   20,  0, 0 },
    { 7649,   20,  0, 0 },
    { 7678,   21,  1, 0 },
    { 7708,   21,  0, 0 },
    { 7737,   21,  0, 0 },
    { 7767,   21,  0, 0 },
    { 7796,   21,  0, 0 },
    { 7826,   21,  0, 0 },
    { 7855,   21,  0, 0 },
    { 7885,   21,  0, 0 },
    { 7914,   21,  0, 0 },
    { 7944,   21,  0, 0 },
    { 7973,   21,  0, 0 },
    { 8003,   21,  0, 0 },
    { 8032,   22,  1, 0 },
    { 8062,   22,  0, 1 },
    { 8091,   22,  0, 0 },
    { 8121,   22,  0, 0 },
    { 8151,   22,  0, 0 },
    { 8180,   22,  0, 0 },
    { 8210,   22,  0, 0 },
    { 8239,   22,  0, 0 },
    { 8269,   22,  0, 0 },
    { 8298,   22,  0, 0 },
    { 8328,   22,  0, 0 },
    { 8357,   22,  0, 0 },
    { 8387,   22,  0, 0 },
    { 8416,   23,  1, 0 },
    { 8446,   23,  0, 0 },
    { 8475,   23,  0, 0 },
    { 8505,   23,  0, 0 },
    { 8534,   23,  0, 0 },
    { 8564,   23,  0, 0 },
    { 8594,   23,  0, 0 },
    { 8623,   23,  0, 0 },
    { 8653,   23,  0, 0 },
    { 8682,   23,  0, 0 },
    { 8712,   23,  0, 0 },
    { 8741,   23,  0, 0 },
    { 8771,   24,  1, 0 },
    { 8800,   24,  0, 0 },
    { 8830,   24,  0, 0 },
    { 8859,   24,  0, 0 },
    { 8889,   24,  0, 0 },
    { 8918,   24,  0, 0 },
    { 8948,   24,  0, 0 },
    { 8977,   24,  0, 0 },
    { 9007,   24,  0, 0 },
    { 9036,   24,  0, 0 },
    { 9066,   24,  0, 0 },
    { 9096,   24,  0, 1 },
    { 9125,   24,  0, 0 },
    { 9155,   25,  1, 0 },
    { 9184,   25,  0, 0 },
    { 9214,   25,  0, 0 },
    { 9243,   25,  0, 0 },
    { 9273,   25,  0, 0 },
    { 9302,   25,  0, 0 },
    { 9332,   25,  0, 0 },
    { 9361,   25,  0, 0 },
    { 9391,   25,  0, 0 },
    { 9420,   25,  0, 0 },
    { 9450,   25,  0, 0 },
    { 9479,   25,  0, 0 },
    { 9509,   26,  1, 0 },
    { 9538,   26,  0, 0 },
    { 9568,   26,  0, 0 },
    { 9598,   26,  0, 0 },
    { 9627,   26,  0, 0 },
    { 9657,   26,  0, 0 },
    { 9686,   26,  0, 0 },
    { 9716,   26,  0, 0 },
    { 9745,   26,  0, 0 },
    { 9775,   26,  0, 0 },
    { 9804,   26,  0, 0 },
    { 9834,   26,  0, 0 },
    { 9863,   27,  1, 0 },
    { 9893,   27,  0, 0 },
    { 9922,   27,  0, 0 },
    { 9952,   27,  0, 0 },
    { 9981,   27,  0, 0 },
    { 10011,  27,  0, 0 },
    { 10041,  27,  0, 0 },
    { 10070,  27,  0, 1 },
    { 10100,  27,  0, 0 },
    { 10129,  27,  0, 0 },
    { 10159,  27,  0, 0 },
    { 10188,  27,  0, 0 },
    { 10218,  27,  0, 0 },
    { 10247,  28,  1, 0 },
    { 10277,  28,  0, 0 },
    { 10306,  28,  0, 0 },
    { 10336,  28,  0, 0 },
    { 10365,  28,  0, 0 },
    { 10395,  28,  0, 0 },
    { 10424,  28,  0, 0 },
    { 10454,  28,  0, 0 },
    { 10483,  28,  0, 0 },
    { 10513,  28,  0, 0 },
    { 10543,  28,  0, 0 },
    { 10572,  28,  0, 0 },
    { 10602,  29,  1, 0 },
    { 10631,  29,  0, 0 },
    { 10661,  29,  0, 0 },
    { 10690,  29,  0, 0 },
    { 10720,  29,  0, 0 },
    { 10749,  29,  0, 0 },
    { 10779,  29,  0, 0 },
    { 10808,  29,  0, 0 },
    { 10838,  29,  0, 0 },
    { 10867,  29,  0, 0 },
    { 10897,  29,  0, 0 },
    { 10926,  29,  0, 0 },
    { 10956,  30,  1, 0 },
    { 10985,  30,  0, 0 },
    { 11015,  30,  0, 0 },
    { 11045,  30,  0, 1 },
    { 11074,  30,  0, 0 },
    { 11104,  30,  0, 0 },
    { 11133,  30,  0, 0 },
    { 11163,  30,  0, 0 },
    { 11192,  30,  0, 0 },
    { 11222,  30,  0, 0 },
    { 11251,  30,  0, 0 },
    { 11281,  30,  0, 0 },
    { 11310,  30,  0, 0 },
    { 11340,  31,  1, 0 },
    { 11369,  31,  0, 0 },
    { 11399,  31,  0, 0 },
    { 11428,  31,  0, 0 },
    { 11458,  31,  0, 0 },
    { 11488,  31,  0, 0 },
    { 11517,  31,  0, 0 },
    { 11547,  31,  0, 0 },
    { 11576,  31,  0, 0 },
    { 11606,  31,  0, 0 },
    { 11635,  31,  0, 0 },
    { 11665,  31,  0, 0 },
    { 11694,  32,  1, 0 },
    { 11724,  32,  0, 0 },
    { 11753,  32,  0, 0 },
    { 11783,  32,  0, 0 },
    { 11812,  32,  0, 0 },
    { 11842,  32,  0, 0 },
    { 11871,  32,  0, 0 },
    { 11901,  32,  0, 0 },
    { 11930,  32,  0, 0 },
    { 11960,  32,  0, 0 },
    { 11990,  32,  0, 0 },
    { 12019,  32,  0, 0 },
    { 12049,  32,  0, 1 },
    { 12078,  33,  1, 0 },
    { 12108,  33,  0, 0 },
    { 12137,  33,  0, 0 },
    { 12167,  33,  0, 0 },
    { 12196,  33,  0, 0 },
    { 12226,  33,  0, 0 },
    { 12255,  33,  0, 0 },
    { 12285,  33,  0, 0 },
    { 12314,  33,  0, 0 },
    { 12344,  33,  0, 0 },
    { 12373,  33,  0, 0 },
    { 12403,  33,  0, 0 },
    { 12432,  34,  1, 0 },
    { 12462,  34,  0, 0 },
    { 12492,  34,  0, 0 },
    { 12521,  34,  0, 0 },
    { 12551,  34,  0, 0 },
    { 12580,  34,  0, 0 },
    { 12610,  34,  0, 0 },
    { 12639,  34,  0, 0 },
    { 12669,  34,  0, 0 },
    { 12698,  34,  0, 0 },
    { 12728,  34,  0, 0 },
    { 12757,  34,  0, 0 },
    { 12787,  35,  1, 0 },
    { 12816,  35,  0, 0 },
    { 12846,  35,  0, 0 },
    { 12875,  35,  0, 0 },
    { 12905,  35,  0, 0 },
    { 12935,  35,  0, 0 },
    { 12964,  35,  0, 0 },
    { 12994,  35,  0, 0 },
    { 13023,  35,  0, 0 },
    { 13053,  35,  0, 1 },
    { 13082,  35,  0, 0 },
    { 13112,  35,  0, 0 },
    { 13141,  35,  0, 0 },
    { 13171,  36,  1, 0 },
    { 13200,  36,  0, 0 },
    { 13230,  36,  0, 0 },
    { 13259,  36,  0, 0 },
    { 13289,  36,  0, 0 },
    { 13318,  36,  0, 0 },
    { 13348,  36,  0, 0 },
    { 13377,  36,  0, 0 },
    { 13407,  36,  0, 0 },
    { 13437,  36,  0, 0 },
    { 13466,  36,  0, 0 },
    { 13496,  36,  0, 0 },
    { 13525,  37,  1, 0 },
    { 13555,  37,  0, 0 },
    { 13584,  37,  0, 0 },
    { 13614,  37,  0, 0 },
    { 13643,  37,  0, 0 },
    { 13673,  37,  0, 0 },
    { 13702,  37,  0, 0 },
    { 13732,  37,  0, 0 },
    { 13761,  37,  0, 0 },
    { 13791,  37,  0, 0 },
    { 13820,  37,  0, 0 },
    { 13850,  37,  0, 0 },
    { 13879,  38,  1, 0 },
    { 13909,  38,  0, 0 },
    { 13939,  38,  0, 0 },
    { 13968,  38,  0, 0 },
    { 13998,  38,  0, 0 },
    { 14027,  38,  0, 1 },
    { 14057,  38,  0, 0 },
    { 14086,  38,  0, 0 },
    { 14116,  38,  0, 0 },
    { 14145,  38,  0, 0 },
    { 14175,  38,  0, 0 },
    { 14204,  38,  0, 0 },
    { 14234,  38,  0, 0 },
    { 14263,  39,  1, 0 },
    { 14293,  39,  0, 0 },
    { 14322,  39,  0, 0 },
    { 14352,  39,  0, 0 },
    { 14382,  39,  0, 0 },
    { 14411,  39,  0, 0 },
    { 14441,  39,  0, 0 },
    { 14470,  39,  0, 0 },
    { 14500,  39,  0, 0 },
    { 14529,  39,  0, 0 },
    { 14559,  39,  0, 0 },
    { 14588,  39,  0, 0 },
    { 14618,  40,  1, 0 },
    { 14647,  40,  0, 0 },
    { 14677,  40,  0, 0 },
    { 14706,  40,  0, 0 },
    { 14736,  40,  0, 0 },
    { 14765,  40,  0, 0 },
    { 14795,  40,  0, 0 },
    { 14824,  40,  0, 0 },
    { 14854,  40,  0, 0 },
    { 14884,  40,  0, 0 },
    { 14913,  40,  0, 0 },
    { 14943,  40,  0, 0 },
    { 14972,  41,  1, 0 },
    { 15002,  41,  0, 1 },
    { 15031,  41,  0, 0 },
    { 15061,  41,  0, 0 },
    { 15090,  41,  0, 0 },
    { 15120,  41,  0, 0 },
    { 15149,  41,  0, 0 },
    { 15179,  41,  0, 0 },
    { 15208,  41,  0, 0 },
    { 15238,  41,  0, 0 },
    { 15267,  41,  0, 0 },
    { 15297,  41,  0, 0 },
    { 15326,  41,  0, 0 },
    { 15356,  42,  1, 0 },
    { 15386,  42,  0, 0 },
    { 15415,  42,  0, 0 },
    { 15445,  42,  0, 0 },
    { 15474,  42,  0, 0 },
    { 15504,  42,  0, 0 },
    { 15533,  42,  0, 0 },
    { 15563,  42,  0, 0 },
    { 15592,  42,  0, 0 },
    { 15622,  42,  0, 0 },
    { 15651,  42,  0, 0 },
    { 15681,  42,  0, 0 },
    { 15710,  43,  1, 0 },
    { 15740,  43,  0, 0 },
    { 15769,  43,  0, 0 },
    { 15799,  43,  0, 0 },
    { 15829,  43,  0, 0 },
    { 15858,  43,  0, 0 },
    { 15888,  43,  0, 0 },
    { 15917,  43,  0, 0 },
    { 15947,  43,  0, 0 },
    { 15976,  43,  0, 0 },
    { 16006,  43,  0, 1 },
    { 16035,  43,  0, 0 },
    { 16065,  43,  0, 0 },
    { 16094,  44,  1, 0 },
    { 16124,  44,  0, 0 },
    { 16153,  44,  0, 0 },
    { 16183,  44,  0, 0 },
    { 16212,  44,  0, 0 },
    { 16242,  44,  0, 0 },
    { 16271,  44,  0, 0 },
    { 16301,  44,  0, 0 },
    { 16331,  44,  0, 0 },
    { 16360,  44,  0, 0 },
    { 16390,  44,  0, 0 },
    { 16419,  44,  0, 0 },
    { 16449,  45,  1, 0 },
    { 16478,  45,  0, 0 },
    { 16508,  45,  0, 0 },
    { 16537,  45,  0, 0 },
    { 16567,  45,  0, 0 },
    { 16596,  45,  0, 0 },
    { 16626,  45,  0, 0 },
    { 16655,  45,  0, 0 },
    { 16685,  45,  0, 0 },
    { 16714,  45,  0, 0 },
    { 16744,  45,  0, 0 },
    { 16773,  45,  0, 0 },
    { 16803,  46,  1, 0 },
    { 16833,  46,  0, 0 },
    { 16862,  46,  0, 0 },
    { 16892,  46,  0, 0 },
    { 16921,  46,  0, 0 },
    { 16951,  46,  0, 0 },
    { 16980,  46,  0, 0 },
    { 17010,  46,  0, 1 },
    { 17039,  46,  0, 0 },
    { 17069,  46,  0, 0 },
    { 17098,  46,  0, 0 },
    { 17128,  46,  0, 0 },
    { 17157,  46,  0, 0 },
    { 17187,  47,  1, 0 },
    { 17216,  47,  0, 0 },
    { 17246,  47,  0, 0 },
    { 17276,  47,  0, 0 },
    { 17305,  47,  0, 0 },
    { 17335,  47,  0, 0 },
    { 17364,  47,  0, 0 },
    { 17394,  47,  0, 0 },
    { 17423,  47,  0, 0 },
    { 17453,  47,  0, 0 },
    { 17482,  47,  0, 0 },
    { 17512,  47,  0, 0 },
    { 17541,  48,  1, 0 },
    { 17571,  48,  0, 0 },
    { 17600,  48,  0, 0 },
    { 17630,  48,  0, 0 },
    { 17659,  48,  0, 0 },
    { 17689,  48,  0, 0 },
    { 17718,  48,  0, 0 },
    { 17748,  48,  0, 0 },
    { 17778,  48,  0, 0 },
    { 17807,  48,  0, 0 },
    { 17837,  48,  0, 0 },
    { 17866,  48,  0, 0 },
    { 17896,  49,  1, 0 },
    { 17925,  49,  0, 0 },
    { 17955,  49,  0, 0 },
    { 17984,  49,  0, 0 },
    { 18014,  49,  0, 1 },
    { 18043,  49,  0, 0 },
    { 18073,  49,  0, 0 },
    { 18102,  49,  0, 0 },
    { 18132,  49,  0, 0 },
    { 18161,  49,  0, 0 },
    { 18191,  49,  0, 0 },
    { 18220,  49,  0, 0 },
    { 18250,  49,  0, 0 },
    { 18280,  50,  1, 0 },
    { 18309,  50,  0, 0 },
    { 18339,  50,  0, 0 },
    { 18368,  50,  0, 0 },
    { 18398,  50,  0, 0 },
    { 18427,  50,  0, 0 },
    { 18457,  50,  0, 0 },
    { 18486,  50,  0, 0 },
    { 18516,  50,  0, 0 },
    { 18545,  50,  0, 0 },
    { 18575,  50,  0, 0 },
    { 18604,  50,  0, 0 },
    { 18634,  51,  1, 0 },
    { 18663,  51,  0, 0 },
    { 18693,  51,  0, 0 },
    { 18723,  51,  0, 0 },
    { 18752,  51,  0, 0 },
    { 18782,  51,  0, 0 },
    { 18811,  51,  0, 0 },
    { 18841,  51,  0, 0 },
    { 18870,  51,  0, 0 },
    { 18900,  51,  0, 0 },
    { 18929,  51,  0, 0 },
    { 18959,  51,  0, 0 },
    { 18988,  51,  0, 1 },
    { 19018,  52,  1, 0 },
    { 19047,  52,  0, 0 },
    { 19077,  52,  0, 0 },
    { 19106,  52,  0, 0 },
    { 19136,  52,  0, 0 },
    { 19165,  52,  0, 0 },
    { 19195,  52,  0, 0 },
    { 19225,  52,  0, 0 },
    { 19254,  52,  0, 0 },
    { 19284,  52,  0, 0 },
    { 19313,  52,  0, 0 },
    { 19343,  52,  0, 0 },
    { 19372,  53,  1, 0 },
    { 19402,  53,  0, 0 },
    { 19431,  53,  0, 0 },
    { 19461,  53,  0, 0 },
    { 19490,  53,  0, 0 },
    { 19520,  53,  0, 0 },
    { 19549,  53,  0, 0 },
    { 19579,  53,  0, 0 },
    { 19608,  53,  0, 0 },
    { 19638,  53,  0, 0 },
    { 19667,  53,  0, 0 },
    { 19697,  53,  0, 0 },
    { 19727,  54,  1, 0 },
    { 19756,  54,  0, 0 },
    { 19786,  54,  0, 0 },
    { 19815,  54,  0, 0 },
    { 19845,  54,  0, 0 },
    { 19874,  54,  0, 0 },
    { 19904,  54,  0, 0 },
    { 19933,  54,  0, 0 },
    { 19963,  54,  0, 1 },
    { 19992,  54,  0, 0 },
    { 20022,  54,  0, 0 },
    { 20051,  54,  0, 0 },
    { 20081,  54,  0, 0 },
    { 20110,  55,  1, 0 },
    { 20140,  55,  0, 0 },
    { 20170,  55,  0, 0 },
    { 20199,  55,  0, 0 },
    { 20229,  55,  0, 0 },
    { 20258,  55,  0, 0 },
    { 20288,  55,  0, 0 },
    { 20317,  55,  0, 0 },
    { 20347,  55,  0, 0 },
    { 20376,  55,  0, 0 },
    { 20406,  55,  0, 0 },
    { 20435,  55,  0, 0 },
    { 20465,  56,  1, 0 },
    { 20494,  56,  0, 0 },
    { 20524,  56,  0, 0 },
    { 20553,  56,  0, 0 },
    { 20583,  56,  0, 0 },
    { 20612,  56,  0, 0 },
    { 20642,  56,  0, 0 },
    { 20672,  56,  0, 0 },
    { 20701,  56,  0, 0 },
    { 20731,  56,  0, 0 },
    { 20760,  56,  0, 0 },
    { 20790,  56,  0, 0 },
    { 20819,  57,  1, 0 },
    { 20849,  57,  0, 0 },
    { 20878,  57,  0, 0 },
    { 20908,  57,  0, 0 },
    { 20937,  57,  0, 0 },
    { 20967,  57,  0, 1 },
    { 20996,  57,  0, 0 },
    { 21026,  57,  0, 0 },
    { 21055,  57,  0, 0 },
    { 21085,  57,  0, 0 },
    { 21114,  57,  0, 0 },
    { 21144,  57,  0, 0 },
    { 21174,  57,  0, 0 },
    { 21203,  58,  1, 0 },
    { 21233,  58,  0, 0 },
    { 21262,  58,  0, 0 },
    { 21292,  58,  0, 0 },
    { 21321,  58,  0, 0 },
    { 21351,  58,  0, 0 },
    { 21380,  58,  0, 0 },
    { 21410,  58,  0, 0 },
    { 21439,  58,  0, 0 },
    { 21469,  58,  0, 0 },
    { 21498,  58,  0, 0 },
    { 21528,  58,  0, 0 },
    { 21557,  59,  1, 0 },
    { 21587,  59,  0, 0 },
    { 21617,  59,  0, 0 },
    { 21646,  59,  0, 0 },
    { 21676,  59,  0, 0 },
    { 21705,  59,  0, 0 },
    { 21735,  59,  0, 0 },
    { 21764,  59,  0, 0 },
    { 21794,  59,  0, 0 },
    { 21823,  59,  0, 0 },
    { 21853,  59,  0, 0 },
    { 21882,  59,  0, 0 },
    { 21912,  60,  1, 0 },
    { 21941,  60,  0, 0 },
    { 21971,  60,  0, 1 },
    { 22000,  60,  0, 0 },
    { 22030,  60,  0, 0 },
    { 22059,  60,  0, 0 },
    { 22089,  60,  0, 0 },
    { 22119,  60,  0, 0 },
    { 22148,  60,  0, 0 },
    { 22178,  60,  0, 0 },
    { 22207,  60,  0, 0 },
    { 22237,  60,  0, 0 },
    { 22266,  60,  0, 0 },
    { 22296,  61,  1, 0 },
    { 22325,  61,  0, 0 },
    { 22355,  61,  0, 0 },
    { 22384,  61,  0, 0 },
    { 22414,  61,  0, 0 },
    { 22443,  61,  0, 0 },
    { 22473,  61,  0, 0 },
    { 22502,  61,  0, 0 },
    { 22532,  61,  0, 0 },
    { 22561,  61,  0, 0 },
    { 22591,  61,  0, 0 },
    { 22621,  61,  0, 0 },
    { 22650,  62,  1, 0 },
    { 22680,  62,  0, 0 },
    { 22709,  62,  0, 0 },
    { 22739,  62,  0, 0 },
    { 22768,  62,  0, 0 },
    { 22798,  62,  0, 0 },
    { 22827,  62,  0, 0 },
    { 22857,  62,  0, 0 },
    { 22886,  62,  0, 0 },
    { 22916,  62,  0, 0 },
    { 22945,  62,  0, 1 },
    { 22975,  62,  0, 0 },
    { 23004,  62,  0, 0 },
    { 23034,  63,  1, 0 },
    { 23064,  63,  0, 0 },
    { 23093,  63,  0, 0 },
    { 23123,  63,  0, 0 },
    { 23152,  63,  0, 0 },
    { 23182,  63,  0, 0 },
    { 23211,  63,  0, 0 },
    { 23241,  63,  0, 0 },
    { 23270,  63,  0, 0 },
    { 23300,  63,  0, 0 },
    { 23329,  63,  0, 0 },
    { 23359,  63,  0, 0 },
    { 23388,  64,  1, 0 },
    { 23418,  64,  0, 0 },
    { 23447,  64,  0, 0 },
    { 23477,  64,  0, 0 },
    { 23506,  64,  0, 0 },
    { 23536,  64,  0, 0 },
    { 23566,  64,  0, 0 },
    { 23595,  64,  0, 0 },
    { 23625,  64,  0, 0 },
    { 23654,  64,  0, 0 },
    { 23684,  64,  0, 0 },
    { 23713,  64,  0, 0 },
    { 23743,  65,  1, 0 },
    { 23772,  65,  0, 0 },
    { 23802,  65,  0, 0 },
    { 23831,  65,  0, 0 },
    { 23861,  65,  0, 0 },
    { 23890,  65,  0, 0 },
    { 23920,  65,  0, 1 },
    { 23949,  65,  0, 0 },
    { 23979,  65,  0, 0 },
    { 24008,  65,  0, 0 },
    { 24038,  65,  0, 0 },
    { 24068,  65,  0, 0 },
    { 24097,  65,  0, 0 },
    { 24127,  66,  1, 0 },
    { 24156,  66,  0, 0 },
    { 24186,  66,  0, 0 },
    { 24215,  66,  0, 0 },
    { 24245,  66,  0, 0 },
    { 24274,  66,  0, 0 },
    { 24304,  66,  0, 0 },
    { 24333,  66,  0, 0 },
    { 24363,  66,  0, 0 },
    { 24392,  66,  0, 0 },
    { 24422,  66,  0, 0 },
    { 24451,  66,  0, 0 },
    { 24481,  67,  1, 0 },
    { 24511,  67,  0, 0 },
    { 24540,  67,  0, 0 },
    { 24570,  67,  0, 0 },
    { 24599,  67,  0, 0 },
    { 24629,  67,  0, 0 },
    { 24658,  67,  0, 0 },
    { 24688,  67,  0, 0 },
    { 24717,  67,  0, 0 },
    { 24747,  67,  0, 0 },
    { 24776,  67,  0, 0 },
    { 24806,  67,  0, 0 },
    { 24835,  68,  1, 0 },
    { 24865,  68,  0, 0 },
    { 24894,  68,  0, 0 },
    { 24924,  68,  0, 1 },
    { 24953,  68,  0, 0 },
    { 24983,  68,  0, 0 },
    { 25013,  68,  0, 0 },
    { 25042,  68,  0, 0 },
    { 25072,  68,  0, 0 },
    { 25101,  68,  0, 0 },
    { 25131,  68,  0, 0 },
    { 25160,  68,  0, 0 },
    { 25190,  68,  0, 0 },
    { 25219,  69,  1, 0 },
    { 25249,  69,  0, 0 },
    { 25278,  69,  0, 0 },
    { 25308,  69,  0, 0 },
    { 25337,  69,  0, 0 },
    { 25367,  69,  0, 0 },
    { 25396,  69,  0, 0 },
    { 25426,  69,  0, 0 },
    { 25455,  69,  0, 0 },
    { 25485,  69,  0, 0 },
    { 25515,  69,  0, 0 },
    { 25544,  69,  0, 0 },
    { 25574,  70,  1, 0 },
    { 25603,  70,  0, 0 },
    { 25633,  70,  0, 0 },
    { 25662,  70,  0, 0 },
    { 25692,  70,  0, 0 },
    { 25721,  70,  0, 0 },
    { 25751,  70,  0, 0 },
    { 25780,  70,  0, 0 },
    { 25810,  70,  0, 0 },
    { 25839,  70,  0, 0 },
    { 25869,  70,  0, 0 },
    { 25898,  70,  0, 0 },
    { 25928,  70,  0, 1 },
    { 25958,  71,  1, 0 },
    { 25987,  71,  0, 0 },
    { 26017,  71,  0, 0 },
    { 26046,  71,  0, 0 },
    { 26076,  71,  0, 0 },
    { 26105,  71,  0, 0 },
    { 26135,  71,  0, 0 },
    { 26164,  71,  0, 0 },
    { 26194,  71,  0, 0 },
    { 26223,  71,  0, 0 },
    { 26253,  71,  0, 0 },
    { 26282,  71,  0, 0 },
    { 26312,  72,  1, 0 },
    { 26341,  72,  0, 0 },
    { 26371,  72,  0, 0 },
    { 26400,  72,  0, 0 },
    { 26430,  72,  0, 0 },
    { 26460,  72,  0, 0 },
    { 26489,  72,  0, 0 },
    { 26519,  72,  0, 0 },
    { 26548,  72,  0, 0 },
    { 26578,  72,  0, 0 },
    { 26607,  72,  0, 0 },
    { 26637,  72,  0, 0 },
    { 26666,  73,  1, 0 },
    { 26696,  73,  0, 0 },
    { 26725,  73,  0, 0 },
    { 26755,  73,  0, 0 },
    { 26784,  73,  0, 0 },
    { 26814,  73,  0, 0 },
    { 26843,  73,  0, 0 },
    { 26873,  73,  0, 0 },
    { 26902,  73,  0, 0 },
    { 26932,  73,  0, 1 },
    { 26962,  73,  0, 0 },
    { 26991,  73,  0, 0 },
    { 27021,  73,  0, 0 },
    { 27050,  74,  1, 0 },
    { 27080,  74,  0, 0 },
    { 27109,  74,  0, 0 },
    { 27139,  74,  0, 0 },
    { 27168,  74,  0, 0 },
    { 27198,  74,  0, 0 },
    { 27227,  74,  0, 0 },
    { 27257,  74,  0, 0 },
    { 27286,  74,  0, 0 },
    { 27316,  74,  0, 0 },
    { 27345,  74,  0, 0 },
    { 27375,  74,  0, 0 },
    { 27404,  75,  1, 0 },
    { 27434,  75,  0, 0 },
    { 27464,  75,  0, 0 },
    { 27493,  75,  0, 0 },
    { 27523,  75,  0, 0 },
    { 27552,  75,  0, 0 },
    { 27582,  75,  0, 0 },
    { 27611,  75,  0, 0 },
    { 27641,  75,  0, 0 },
    { 27670,  75,  0, 0 },
    { 27700,  75,  0, 0 },
    { 27729,  75,  0, 0 },
    { 27759,  76,  1, 0 },
    { 27788,  76,  0, 0 },
    { 27818,  76,  0, 0 },
    { 27847,  76,  0, 0 },
    { 27877,  76,  0, 0 },
    { 27907,  76,  0, 1 },
    { 27936,  76,  0, 0 },
    { 27966,  76,  0, 0 },
    { 27995,  76,  0, 0 },
    { 28025,  76,  0, 0 },
    { 28054,  76,  0, 0 },
    { 28084,  76,  0, 0 },
    { 28113,  76,  0, 0 },
    { 28143,  77,  1, 0 },
    { 28172,  77,  0, 0 },
    { 28202,  77,  0, 0 },
    { 28231,  77,  0, 0 },
    { 28261,  77,  0, 0 },
    { 28290,  77,  0, 0 },
    { 28320,  77,  0, 0 },
    { 28349,  77,  0, 0 },
    { 28379,  77,  0, 0 },
    { 28409,  77,  0, 0 },
    { 28438,  77,  0, 0 },
    { 28468,  77,  0, 0 },
    { 28497,  78,  1, 0 },
    { 28527,  78,  0, 0 },
    { 28556,  78,  0, 0 },
    { 28586,  78,  0, 0 },
    { 28615,  78,  0, 0 },
    { 28645,  78,  0, 0 },
    { 28674,  78,  0, 0 },
    { 28704,  78,  0, 0 },
    { 28733,  78,  0, 0 },
    { 28763,  78,  0, 0 },
    { 28792,  78,  0, 0 },
    { 28822,  78,  0, 0 },
    { 28851,  79,  1, 0 },
    { 28881,  79,  0, 0 },
    { 28911,  79,  0, 1 },
    { 28940,  79,  0, 0 },
    { 28970,  79,  0, 0 },
    { 28999,  79,  0, 0 },
    { 29029,  79,  0, 0 },
    { 29058,  79,  0, 0 },
    { 29088,  79,  0, 0 },
    { 29117,  79,  0, 0 },
    { 29147,  79,  0, 0 },
    { 29176,  79,  0, 0 },
    { 29206,  79,  0, 0 },
    { 29235,  80,  1, 0 },
    { 29265,  80,  0, 0 },
    { 29294,  80,  0, 0 },
    { 29324,  80,  0, 0 },
    { 29354,  80,  0, 0 },
    { 29383,  80,  0, 0 },
    { 29413,  80,  0, 0 },
    { 29442,  80,  0, 0 },
    { 29472,  80,  0, 0 },
    { 29501,  80,  0, 0 },
    { 29531,  80,  0, 0 },
    { 29560,  80,  0, 0 },
    { 29590,  81,  1, 0 },
    { 29619,  81,  0, 0 },
    { 29649,  81,  0, 0 },
    { 29678,  81,  0, 0 },
    { 29708,  81,  0, 0 },
    { 29737,  81,  0, 0 },
    { 29767,  81,  0, 0 },
    { 29796,  81,  0, 0 },
    { 29826,  81,  0, 0 },
    { 29856,  81,  0, 0 },
    { 29885,  81,  0, 0 },
    { 29915,  81,  0, 1 },
    { 29944,  81,  0, 0 },
    { 29974,  82,  1, 0 },
    { 30003,  82,  0, 0 },
    { 30033,  82,  0, 0 },
    { 30062,  82,  0, 0 },
    { 30092,  82,  0, 0 },
    { 30121,  82,  0, 0 },
    { 30151,  82,  0, 0 },
    { 30180,  82,  0, 0 },
    { 30210,  82,  0, 0 },
    { 30239,  82,  0, 0 },
    { 30269,  82,  0, 0 },
    { 30298,  82,  0, 0 },
    { 30328,  83,  1, 0 },
    { 30358,  83,  0, 0 },
    { 30387,  83,  0, 0 },
    { 30417,  83,  0, 0 },
    { 30446,  83,  0, 0 },
    { 30476,  83,  0, 0 },
    { 30505,  83,  0, 0 },
    { 30535,  83,  0, 0 },
    { 30564,  83,  0, 0 },
    { 30594,  83,  0, 0 },
    { 30623,  83,  0, 0 },
    { 30653,  83,  0, 0 },
    { 30682,  84,  1, 0 },
    { 30712,  84,  0, 0 },
    { 30741,  84,  0, 0 },
    { 30771,  84,  0, 0 },
    { 30801,  84,  0, 0 },
    { 30830,  84,  0, 0 },
    { 30860,  84,  0, 0 },
    { 30889,  84,  0, 1 },
    { 30919,  84,  0, 0 },
    { 30948,  84,  0, 0 },
    { 30978,  84,  0, 0 },
    { 31007,  84,  0, 0 },
    { 31037,  84,  0, 0 },
    { 31066,  85,  1, 0 },
    { 31096,  85,  0, 0 },
    { 31125,  85,  0, 0 },
    { 31155,  85,  0, 0 },
    { 31184,  85,  0, 0 },
    { 31214,  85,  0, 0 },
    { 31243,  85,  0, 0 },
    { 31273,  85,  0, 0 },
    { 31303,  85,  0, 0 },
    { 31332,  85,  0, 0 },
    { 31362,  85,  0, 0 },
    { 31391,  85,  0, 0 },
    { 31421,  86,  1, 0 },
    { 31450,  86,  0, 0 },
    { 31480,  86,  0, 0 },
    { 31509,  86,  0, 0 },
    { 31539,  86,  0, 0 },
    { 31568,  86,  0, 0 },
    { 31598,  86,  0, 0 },
    { 31627,  86,  0, 0 },
    { 31657,  86,  0, 0 },
    { 31686,  86,  0, 0 },
    { 31716,  86,  0, 0 },
    { 31745,  86,  0, 0 },
    { 31775,  87,  1, 0 },
    { 31805,  87,  0, 0 },
    { 31834,  87,  0, 0 },
    { 31864,  87,  0, 1 },
    { 31893,  87,  0, 0 },
    { 31923,  87,  0, 0 },
    { 31952,  87,  0, 0 },
    { 31982,  87,  0, 0 },
    { 32011,  87,  0, 0 },
    { 32041,  87,  0, 0 },
    { 32070,  87,  0, 0 },
    { 32100,  87,  0, 0 },
    { 32129,  87,  0, 0 },
    { 32159,  88,  1, 0 },
    { 32188,  88,  0, 0 },
    { 32218,  88,  0, 0 },
    { 32248,  88,  0, 0 },
    { 32277,  88,  0, 0 },
    { 32307,  88,  0, 0 },
    { 32336,  88,  0, 0 },
    { 32366,  88,  0, 0 },
    { 32395,  88,  0, 0 },
    { 32425,  88,  0, 0 },
    { 32454,  88,  0, 0 },
    { 32484,  88,  0, 0 },
    { 32513,  89,  1, 0 },
    { 32543,  89,  0, 0 },
    { 32572,  89,  0, 0 },
    { 32602,  89,  0, 0 },
    { 32631,  89,  0, 0 },
    { 32661,  89,  0, 0 },
    { 32690,  89,  0, 0 },
    { 32720,  89,  0, 0 },
    { 32750,  89,  0, 0 },
    { 32779,  89,  0, 0 },
    { 32809,  89,  0, 0 },
    { 32838,  89,  0, 0 },
    { 32868,  89,  0, 1 },
    { 32897,  90,  1, 0 },
    { 32927,  90,  0, 0 },
    { 32956,  90,  0, 0 },
    { 32986,  90,  0, 0 },
    { 33015,  90,  0, 0 },
    { 33045,  90,  0, 0 },
    { 33074,  90,  0, 0 },
    { 33104,  90,  0, 0 },
    { 33133,  90,  0, 0 },
    { 33163,  90,  0, 0 },
    { 33192,  90,  0, 0 },
    { 33222,  90,  0, 0 },
    { 33252,  91,  1, 0 },
    { 33281,  91,  0, 0 },
    { 33311,  91,  0, 0 },
    { 33340,  91,  0, 0 },
    { 33370,  91,  0, 0 },
    { 33399,  91,  0, 0 },
    { 33429,  91,  0, 0 },
    { 33458,  91,  0, 0 },
    { 33488,  91,  0, 0 },
    { 33517,  91,  0, 0 },
    { 33547,  91,  0, 0 },
    { 33576,  91,  0, 0 },
    { 33606,  92,  1, 0 },
    { 33635,  92,  0, 0 },
    { 33665,  92,  0, 0 },
    { 33695,  92,  0, 0 },
    { 33724,  92,  0, 0 },
    { 33754,  92,  0, 0 },
    { 33783,  92,  0, 0 },
    { 33813,  92,  0, 0 },
    { 33842,  92,  0, 0 },
    { 33872,  92,  0, 1 },
    { 33901,  92,  0, 0 },
    { 33931,  92,  0, 0 },
    { 33960,  92,  0, 0 },
    { 33990,  93,  1, 0 },
    { 34019,  93,  0, 0 },
    { 34049,  93,  0, 0 },
    { 34078,  93,  0, 0 },
    { 34108,  93,  0, 0 },
    { 34137,  93,  0, 0 },
    { 34167,  93,  0, 0 },
    { 34197,  93,  0, 0 },
    { 34226,  93,  0, 0 },
    { 34256,  93,  0, 0 },
    { 34285,  93,  0, 0 },
    { 34315,  93,  0, 0 },
    { 34344,  94,  1, 0 },
    { 34374,  94,  0, 0 },
    { 34403,  94,  0, 0 },
    { 34433,  94,  0, 0 },
    { 34462,  94,  0, 0 },
    { 34492,  94,  0, 0 },
    { 34521,  94,  0, 0 },
    { 34551,  94,  0, 0 },
    { 34580,  94,  0, 0 },
    { 34610,  94,  0, 0 },
    { 34639,  94,  0, 0 },
    { 34669,  94,  0, 0 },
    { 34699,  95,  1, 0 },
    { 34728,  95,  0, 0 },
    { 34758,  95,  0, 0 },
    { 34787,  95,  0, 0 },
    { 34817,  95,  0, 0 },
    { 34846,  95,  0, 1 },
    { 34876,  95,  0, 0 },
    { 34905,  95,  0, 0 },
    { 34935,  95,  0, 0 },
    { 34964,  95,  0, 0 },
    { 34994,  95,  0, 0 },
    { 35023,  95,  0, 0 },
    { 35053,  95,  0, 0 },
    { 35082,  96,  1, 0 },
    { 35112,  96,  0, 0 },
    { 35142,  96,  0, 0 },
    { 35171,  96,  0, 0 },
    { 35201,  96,  0, 0 },
    { 35230,  96,  0, 0 },
    { 35260,  96,  0, 0 },
    { 35289,  96,  0, 0 },
    { 35319,  96,  0, 0 },
    { 35348,  96,  0, 0 },
    { 35378,  96,  0, 0 },
    { 35407,  96,  0, 0 },
    { 35437,  97,  1, 0 },
    { 35466,  97,  0, 0 },
    { 35496,  97,  0, 0 },
    { 35525,  97,  0, 0 },
    { 35555,  97,  0, 0 },
    { 35584,  97,  0, 0 },
    { 35614,  97,  0, 0 },
    { 35644,  97,  0, 0 },
    { 35673,  97,  0, 0 },
    { 35703,  97,  0, 0 },
    { 35732,  97,  0, 0 },
    { 35762,  97,  0, 0 },
    { 35791,  98,  1, 0 },
    { 35821,  98,  0, 1 },
    { 35850,  98,  0, 0 },
    { 35880,  98,  0, 0 },
    { 35909,  98,  0, 0 },
    { 35939,  98,  0, 0 },
    { 35968,  98,  0, 0 },
    { 35998,  98,  0, 0 },
    { 36027,  98,  0, 0 },
    { 36057,  98,  0, 0 },
    { 36086,  98,  0, 0 },
    { 36116,  98,  0, 0 },
    { 36146,  98,  0, 0 },
    { 36175,  99,  1, 0 },
    { 36205,  99,  0, 0 },
    { 36234,  99,  0, 0 },
    { 36264,  99,  0, 0 },
    { 36293,  99,  0, 0 },
    { 36323,  99,  0, 0 },
    { 36352,  99,  0, 0 },
    { 36382,  99,  0, 0 },
    { 36411,  99,  0, 0 },
    { 36441,  99,  0, 0 },
    { 36470,  99,  0, 0 },
    { 36500,  99,  0, 0 },
    { 36529,  100, 1, 0 },
    { 36559,  100, 0, 0 },
    { 36589,  100, 0, 0 },
    { 36618,  100, 0, 0 },
    { 36648,  100, 0, 0 },
    { 36677,  100, 0, 0 },
    { 36707,  100, 0, 0 },
    { 36736,  100, 0, 0 },
    { 36766,  100, 0, 0 },
    { 36795,  100, 0, 0 },
    { 36825,  100, 0, 1 },
    { 36854,  100, 0, 0 },
    { 36884,  100, 0, 0 },
    { 36913,  101, 1, 0 },
    { 36943,  101, 0, 0 },
    { 36972,  101, 0, 0 },
    { 37002,  101, 0, 0 },
    { 37031,  101, 0, 0 },
    { 37061,  101, 0, 0 },
    { 37091,  101, 0, 0 },
    { 37120,  101, 0, 0 },
    { 37150,  101, 0, 0 },
    { 37179,  101, 0, 0 },
    { 37209,  101, 0, 0 },
    { 37238,  101, 0, 0 },
    { 37268,  102, 1, 0 },
    { 37297,  102, 0, 0 },
    { 37327,  102, 0, 0 },
    { 37356,  102, 0, 0 },
    { 37386,  102, 0, 0 },
    { 37415,  102, 0, 0 },
    { 37445,  102, 0, 0 },
    { 37474,  102, 0, 0 },
    { 37504,  102, 0, 0 },
    { 37533,  102, 0, 0 },
    { 37563,  102, 0, 0 },
    { 37593,  102, 0, 0 },
    { 37622,  103, 1, 0 },
    { 37652,  103, 0, 0 },
    { 37681,  103, 0, 0 },
    { 37711,  103, 0, 0 },
    { 37740,  103, 0, 0 },
    { 37770,  103, 0, 0 },
    { 37799,  103, 0, 0 },
    { 37829,  103, 0, 1 },
    { 37858,  103, 0, 0 },
    { 37888,  103, 0, 0 },
    { 37917,  103, 0, 0 },
    { 37947,  103, 0, 0 },
    { 37976,  103, 0, 0 },
    { 38006,  104, 1, 0 },
    { 38036,  104, 0, 0 },
    { 38065,  104, 0, 0 },
    { 38095,  104, 0, 0 },
    { 38124,  104, 0, 0 },
    { 38154,  104, 0, 0 },
    { 38183,  104, 0, 0 },
    { 38213,  104, 0, 0 },
    { 38242,  104, 0, 0 },
    { 38272,  104, 0, 0 },
    { 38301,  104, 0, 0 },
    { 38331,  104, 0, 0 },
    { 38360,  105, 1, 0 },
    { 38390,  105, 0, 0 },
    { 38419,  105, 0, 0 },
    { 38449,  105, 0, 0 },
    { 38478,  105, 0, 0 },
    { 38508,  105, 0, 0 },
    { 38538,  105, 0, 0 },
    { 38567,  105, 0, 0 },
    { 38597,  105, 0, 0 },
    { 38626,  105, 0, 0 },
    { 38656,  105, 0, 0 },
    { 38685,  105, 0, 0 },
    { 38715,  106, 1, 0 },
    { 38744,  106, 0, 0 },
    { 38774,  106, 0, 0 },
    { 38803,  106, 0, 0 },
    { 38833,  106, 0, 1 },
    { 38862,  106, 0, 0 },
    { 38892,  106, 0, 0 },
    { 38921,  106, 0, 0 },
    { 38951,  106, 0, 0 },
    { 38980,  106, 0, 0 },
    { 39010,  106, 0, 0 },
    { 39040,  106, 0, 0 },
    { 39069,  106, 0, 0 },
    { 39099,  107, 1, 0 },
    { 39128,  107, 0, 0 },
    { 39158,  107, 0, 0 },
    { 39187,  107, 0, 0 },
    { 39217,  107, 0, 0 },
    { 39246,  107, 0, 0 },
    { 39276,  107, 0, 0 },
    { 39305,  107, 0, 0 },
    { 39335,  107, 0, 0 },
    { 39364,  107, 0, 0 },
    { 39394,  107, 0, 0 },
    { 39423,  107, 0, 0 },
    { 39453,  108, 1, 0 },
    { 39483,  108, 0, 0 },
    { 39512,  108, 0, 0 },
    { 39542,  108, 0, 0 },
    { 39571,  108, 0, 0 },
    { 39601,  108, 0, 0 },
    { 39630,  108, 0, 0 },
    { 39660,  108, 0, 0 },
    { 39689,  108, 0, 0 },
    { 39719,  108, 0, 0 },
    { 39748,  108, 0, 0 },
    { 39778,  108, 0, 0 },
    { 39807,  108, 0, 1 },
    { 39837,  109, 1, 0 },
    { 39866,  109, 0, 0 },
    { 39896,  109, 0, 0 },
    { 39925,  109, 0, 0 },
    { 39955,  109, 0, 0 },
    { 39985,  109, 0, 0 },
    { 40014,  109, 0, 0 },
    { 40044,  109, 0, 0 },
    { 40073,  109, 0, 0 },
    { 40103,  109, 0, 0 },
    { 40132,  109, 0, 0 },
    { 40162,  109, 0, 0 },
    { 40191,  110, 1, 0 },
    { 40221,  110, 0, 0 },
    { 40250,  110, 0, 0 },
    { 40280,  110, 0, 0 },
    { 40309,  110, 0, 0 },
    { 40339,  110, 0, 0 },
    { 40368,  110, 0, 0 },
    { 40398,  110, 0, 0 },
    { 40427,  110, 0, 0 },
    { 40457,  110, 0, 0 },
    { 40487,  110, 0, 0 },
    { 40516,  110, 0, 0 },
    { 40546,  111, 1, 0 },
    { 40575,  111, 0, 0 },
    { 40605,  111, 0, 0 },
    { 40634,  111, 0, 0 },
    { 40664,  111, 0, 0 },
    { 40693,  111, 0, 0 },
    { 40723,  111, 0, 0 },
    { 40752,  111, 0, 0 },
    { 40782,  111, 0, 1 },
    { 40811,  111, 0, 0 },
    { 40841,  111, 0, 0 },
    { 40870,  111, 0, 0 },
    { 40900,  111, 0, 0 },
    { 40930,  112, 1, 0 },
    { 40959,  112, 0, 0 },
    { 40989,  112, 0, 0 },
    { 41018,  112, 0, 0 },
    { 41048,  112, 0, 0 },
    { 41077,  112, 0, 0 },
    { 41107,  112, 0, 0 },
    { 41136,  112, 0, 0 },
    { 41166,  112, 0, 0 },
    { 41195,  112, 0, 0 },
    { 41225,  112, 0, 0 },
    { 41254,  112, 0, 0 },
    { 41284,  113, 1, 0 },
    { 41313,  113, 0, 0 },
    { 41343,  113, 0, 0 },
    { 41372,  113, 0, 0 },
    { 41402,  113, 0, 0 },
    { 41432,  113, 0, 0 },
    { 41461,  113, 0, 0 },
    { 41491,  113, 0, 0 },
    { 41520,  113, 0, 0 },
    { 41550,  113, 0, 0 },
    { 41579,  113, 0, 0 },
    { 41609,  113, 0, 0 },
    { 41638,  114, 1, 0 },
    { 41668,  114, 0, 0 },
    { 41697,  114, 0, 0 },
    { 41727,  114, 0, 0 },
    { 41756,  114, 0, 0 },
    { 41786,  114, 0, 1 },
    { 41815,  114, 0, 0 },
    { 41845,  114, 0, 0 },
    { 41874,  114, 0, 0 },
    { 41904,  114, 0, 0 },
    { 41934,  114, 0, 0 },
    { 41963,  114, 0, 0 },
    { 41993,  114, 0, 0 },
    { 42022,  115, 1, 0 },
    { 42052,  115, 0, 0 },
    { 42081,  115, 0, 0 },
    { 42111,  115, 0, 0 },
    { 42140,  115, 0, 0 },
    { 42170,  115, 0, 0 },
    { 42199,  115, 0, 0 },
    { 42229,  115, 0, 0 },
    { 42258,  115, 0, 0 },
    { 42288,  115, 0, 0 },
    { 42317,  115, 0, 0 },
    { 42347,  115, 0, 0 },
    { 42377,  116, 1, 0 },
    { 42406,  116, 0, 0 },
    { 42436,  116, 0, 0 },
    { 42465,  116, 0, 0 },
    { 42495,  116, 0, 0 },
    { 42524,  116, 0, 0 },
    { 42554,  116, 0, 0 },
    { 42583,  116, 0, 0 },
    { 42613,  116, 0, 0 },
    { 42642,  116, 0, 0 },
    { 42672,  116, 0, 0 },
    { 42701,  116, 0, 0 },
    { 42731,  117, 1, 0 },
    { 42760,  117, 0, 0 },
    { 42790,  117, 0, 1 },
    { 42819,  117, 0, 0 },
    { 42849,  117, 0, 0 },
    { 42879,  117, 0, 0 },
    { 42908,  117, 0, 0 },
    { 42938,  117, 0, 0 },
    { 42967,  117, 0, 0 },
    { 42997,  117, 0, 0 },
    { 43026,  117, 0, 0 },
    { 43056,  117, 0, 0 },
    { 43085,  117, 0, 0 },
    { 43115,  118, 1, 0 },
    { 43144,  118, 0, 0 },
    { 43174,  118, 0, 0 },
    { 43203,  118, 0, 0 },
    { 43233,  118, 0, 0 },
    { 43262,  118, 0, 0 },
    { 43292,  118, 0, 0 },
    { 43321,  118, 0, 0 },
    { 43351,  118, 0, 0 },
    { 43381,  118, 0, 0 },
    { 43410,  118, 0, 0 },
    { 43440,  118, 0, 0 },
    { 43469,  119, 1, 0 },
    { 43499,  119, 0, 0 },
    { 43528,  119, 0, 0 },
    { 43558,  119, 0, 0 },
    { 43587,  119, 0, 0 },
    { 43617,  119, 0, 0 },
    { 43646,  119, 0, 0 },
    { 43676,  119, 0, 0 },
    { 43705,  119, 0, 0 },
    { 43735,  119, 0, 0 },
    { 43764,  119, 0, 1 },
    { 43794,  119, 0, 0 },
    { 43824,  119, 0, 0 },
    { 43853,  120, 1, 0 },
    { 43883,  120, 0, 0 },
    { 43912,  120, 0, 0 },
    { 43942,  120, 0, 0 },
    { 43971,  120, 0, 0 },
    { 44001,  120, 0, 0 },
    { 44030,  120, 0, 0 },
    { 44060,  120, 0, 0 },
    { 44089,  120, 0, 0 },
    { 44119,  120, 0, 0 },
    { 44148,  120, 0, 0 },
    { 44178,  120, 0, 0 },
    { 44207,  121, 1, 0 },
    { 44237,  121, 0, 0 },
    { 44266,  121, 0, 0 },
    { 44296,  121, 0, 0 },
    { 44326,  121, 0, 0 },
    { 44355,  121, 0, 0 },
    { 44385,  121, 0, 0 },
    { 44414,  121, 0, 0 },
    { 44444,  121, 0, 0 },
    { 44473,  121, 0, 0 },
    { 44503,  121, 0, 0 },
    { 44532,  121, 0, 0 },
    { 44562,  122, 1, 0 },
    { 44591,  122, 0, 0 },
    { 44621,  122, 0, 0 },
    { 44650,  122, 0, 0 },
    { 44680,  122, 0, 0 },
    { 44709,  122, 0, 0 },
    { 44739,  122, 0, 1 },
    { 44768,  122, 0, 0 },
    { 44798,  122, 0, 0 },
    { 44828,  122, 0, 0 },
    { 44857,  122, 0, 0 },
    { 44887,  122, 0, 0 },
    { 44916,  122, 0, 0 },
    { 44946,  123, 1, 0 },
    { 44975,  123, 0, 0 },
    { 45005,  123, 0, 0 },
    { 45034,  123, 0, 0 },
    { 45064,  123, 0, 0 },
    { 45093,  123, 0, 0 },
    { 45123,  123, 0, 0 },
    { 45152,  123, 0, 0 },
    { 45182,  123, 0, 0 },
    { 45211,  123, 0, 0 },
    { 45241,  123, 0, 0 },
    { 45271,  123, 0, 0 },
    { 45300,  124, 1, 0 },
    { 45330,  124, 0, 0 },
    { 45359,  124, 0, 0 },
    { 45389,  124, 0, 0 },
    { 45418,  124, 0, 0 },
    { 45448,  124, 0, 0 },
    { 45477,  124, 0, 0 },
    { 45507,  124, 0, 0 },
    { 45536,  124, 0, 0 },
    { 45566,  124, 0, 0 },
    { 45595,  124, 0, 0 },
    { 45625,  124, 0, 0 },
    { 45654,  125, 1, 0 },
    { 45684,  125, 0, 0 },
    { 45713,  125, 0, 0 },
    { 45743,  125, 0, 0 },
    { 45773,  125, 0, 1 },
    { 45802,  125, 0, 0 },
    { 45832,  125, 0, 0 },
    { 45861,  125, 0, 0 },
    { 45891,  125, 0, 0 },
    { 45920,  125, 0, 0 },
    { 45950,  125, 0, 0 },
    { 45979,  125, 0, 0 },
    { 46009,  125, 0, 0 },
    { 46038,  126, 1, 0 },
    { 46068,  126, 0, 0 },
    { 46097,  126, 0, 0 },
    { 46127,  126, 0, 0 },
    { 46156,  126, 0, 0 },
    { 46186,  126, 0, 0 },
    { 46215,  126, 0, 0 },
    { 46245,  126, 0, 0 },
    { 46275,  126, 0, 0 },
    { 46304,  126, 0, 0 },
    { 46334,  126, 0, 0 },
    { 46363,  126, 0, 0 },
    { 46393,  127, 1, 0 },
    { 46422,  127, 0, 0 },
    { 46452,  127, 0, 0 },
    { 46481,  127, 0, 0 },
    { 46511,  127, 0, 0 },
    { 46540,  127, 0, 0 },
    { 46570,  127, 0, 0 },
    { 46599,  127, 0, 0 },
    { 46629,  127, 0, 0 },
    { 46658,  127, 0, 0 },
    { 46688,  127, 0, 0 },
    { 46718,  127, 0, 0 },
    { 46747,  127, 0, 1 },
    { 46777,  128, 1, 0 },
    { 46806,  128, 0, 0 },
    { 46836,  128, 0, 0 },
    { 46865,  128, 0, 0 },
    { 46895,  128, 0, 0 },
    { 46924,  128, 0, 0 },
    { 46954,  128, 0, 0 },
    { 46983,  128, 0, 0 },
    { 47013,  128, 0, 0 },
    { 47042,  128, 0, 0 },
    { 47072,  128, 0, 0 },
    { 47101,  128, 0, 0 },
    { 47131,  129, 1, 0 },
    { 47160,  129, 0, 0 },
    { 47190,  129, 0, 0 },
    { 47220,  129, 0, 0 },
    { 47249,  129, 0, 0 },
    { 47279,  129, 0, 0 },
    { 47308,  129, 0, 0 },
    { 47338,  129, 0, 0 },
    { 47367,  129, 0, 0 },
    { 47397,  129, 0, 0 },
    { 47426,  129, 0, 0 },
    { 47456,  129, 0, 0 },
    { 47485,  130, 1, 0 },
    { 47515,  130, 0, 0 },
    { 47544,  130, 0, 0 },
    { 47574,  130, 0, 0 },
    { 47603,  130, 0, 0 },
    { 47633,  130, 0, 0 },
    { 47662,  130, 0, 0 },
    { 47692,  130, 0, 0 },
    { 47722,  130, 0, 1 },
    { 47751,  130, 0, 0 },
    { 47781,  130, 0, 0 },
    { 47810,  130, 0, 0 },
    { 47840,  130, 0, 0 },
    { 47869,  131, 1, 0 },
    { 47899,  131, 0, 0 },
    { 47928,  131, 0, 0 },
    { 47958,  131, 0, 0 },
    { 47987,  131, 0, 0 },
    { 48017,  131, 0, 0 },
    { 48046,  131, 0, 0 },
    { 48076,  131, 0, 0 },
    { 48105,  131, 0, 0 },
    { 48135,  131, 0, 0 },
    { 48165,  131, 0, 0 },
    { 48194,  131, 0, 0 },
    { 48224,  132, 1, 0 },
    { 48253,  132, 0, 0 },
    { 48283,  132, 0, 0 },
    { 48312,  132, 0, 0 },
    { 48342,  132, 0, 0 },
    { 48371,  132, 0, 0 },
    { 48401,  132, 0, 0 },
    { 48430,  132, 0, 0 },
    { 48460,  132, 0, 0 },
    { 48489,  132, 0, 0 },
    { 48519,  132, 0, 0 },
    { 48548,  132, 0, 0 },
    { 48578,  133, 1, 0 },
    { 48607,  133, 0, 0 },
    { 48637,  133, 0, 0 },
    { 48667,  133, 0, 0 },
    { 48696,  133, 0, 0 },
    { 48726,  133, 0, 1 },
    { 48755,  133, 0, 0 },
    { 48785,  133, 0, 0 },
    { 48814,  133, 0, 0 },
    { 48844,  133, 0, 0 },
    { 48873,  133, 0, 0 },
    { 48903,  133, 0, 0 },
    { 48932,  133, 0, 0 },
    { 48962,  134, 1, 0 },
    { 48991,  134, 0, 0 },
    { 49021,  134, 0, 0 },
    { 49050,  134, 0, 0 },
    { 49080,  134, 0, 0 },
    { 49109,  134, 0, 0 },
    { 49139,  134, 0, 0 },
    { 49169,  134, 0, 0 },
    { 49198,  134, 0, 0 },
    { 49228,  134, 0, 0 },
    { 49257,  134, 0, 0 },
    { 49287,  134, 0, 0 },
    { 49316,  135, 1, 0 },
    { 49346,  135, 0, 0 },
    { 49375,  135, 0, 0 },
    { 49405,  135, 0, 0 },
    { 49434,  135, 0, 0 },
    { 49464,  135, 0, 0 },
    { 49493,  135, 0, 0 },
    { 49523,  135, 0, 0 },
    { 49552,  135, 0, 0 },
    { 49582,  135, 0, 0 },
    { 49611,  135, 0, 0 },
    { 49641,  135, 0, 0 },
    { 49671,  136, 1, 0 },
    { 49700,  136, 0, 0 },
    { 49730,  136, 0, 1 },
    { 49759,  136, 0, 0 },
    { 49789,  136, 0, 0 },
    { 49818,  136, 0, 0 },
    { 49848,  136, 0, 0 },
    { 49877,  136, 0, 0 },
    { 49907,  136, 0, 0 },
    { 49936,  136, 0, 0 },
    { 49966,  136, 0, 0 },
    { 49995,  136, 0, 0 },
    { 50025,  136, 0, 0 },
    { 50054,  137, 1, 0 },
    { 50084,  137, 0, 0 },
    { 50114,  137, 0, 0 },
    { 50143,  137, 0, 0 },
    { 50173,  137, 0, 0 },
    { 50202,  137, 0, 0 },
    { 50232,  137, 0, 0 },
    { 50261,  137, 0, 0 },
    { 50291,  137, 0, 0 },
    { 50320,  137, 0, 0 },
    { 50350,  137, 0, 0 },
    { 50379,  137, 0, 0 },
    { 50409,  138, 1, 0 },
    { 50438,  138, 0, 0 },
    { 50468,  138, 0, 0 },
    { 50497,  138, 0, 0 },
    { 50527,  138, 0, 0 },
    { 50556,  138, 0, 0 },
    { 50586,  138, 0, 0 },
    { 50616,  138, 0, 0 },
    { 50645,  138, 0, 0 },
    { 50675,  138, 0, 0 },
    { 50704,  138, 0, 0 },
    { 50734,  138, 0, 1 },
    { 50763,  138, 0, 0 },
    { 50793,  139, 1, 0 },
    { 50822,  139, 0, 0 },
    { 50852,  139, 0, 0 },
    { 50881,  139, 0, 0 },
    { 50911,  139, 0, 0 },
    { 50940,  139, 0, 0 },
    { 50970,  139, 0, 0 },
    { 50999,  139, 0, 0 },
    { 51029,  139, 0, 0 },
    { 51058,  139, 0, 0 },
    { 51088,  139, 0, 0 },
    { 51118,  139, 0, 0 },
    { 51147,  140, 1, 0 },
    { 51177,  140, 0, 0 },
    { 51206,  140, 0, 0 },
    { 51236,  140, 0, 0 },
    { 51265,  140, 0, 0 },
    { 51295,  140, 0, 0 },
    { 51324,  140, 0, 0 },
    { 51354,  140, 0, 0 },
    { 51383,  140, 0, 0 },
    { 51413,  140, 0, 0 },
    { 51442,  140, 0, 0 },
    { 51472,  140, 0, 0 },
    { 51501,  141, 1, 0 },
    { 51531,  141, 0, 0 },
    { 51561,  141, 0, 0 },
    { 51590,  141, 0, 0 },
    { 51620,  141, 0, 0 },
    { 51649,  141, 0, 0 },
    { 51679,  141, 0, 0 },
    { 51708,  141, 0, 1 },
    { 51738,  141, 0, 0 },
    { 51767,  141, 0, 0 },
    { 51797,  141, 0, 0 },
    { 51826,  141, 0, 0 },
    { 51856,  141, 0, 0 },
    { 51885,  142, 1, 0 },
    { 51915,  142, 0, 0 },
    { 51944,  142, 0, 0 },
    { 51974,  142, 0, 0 },
    { 52003,  142, 0, 0 },
    { 52033,  142, 0, 0 },
    { 52063,  142, 0, 0 },
    { 52092,  142, 0, 0 },
    { 52122,  142, 0, 0 },
    { 52151,  142, 0, 0 },
    { 52181,  142, 0, 0 },
    { 52210,  142, 0, 0 },
    { 52240,  143, 1, 0 },
    { 52269,  143, 0, 0 },
    { 52299,  143, 0, 0 },
    { 52328,  143, 0, 0 },
    { 52358,  143, 0, 0 },
    { 52387,  143, 0, 0 },
    { 52417,  143, 0, 0 },
    { 52446,  143, 0, 0 },
    { 52476,  143, 0, 0 },
    { 52505,  143, 0, 0 },
    { 52535,  143, 0, 0 },
    { 52565,  143, 0, 0 },
    { 52594,  144, 1, 0 },
    { 52624,  144, 0, 0 },
    { 52653,  144, 0, 0 },
    { 52683,  144, 0, 1 },
    { 52712,  144, 0, 0 },
    { 52742,  144, 0, 0 },
    { 52771,  144, 0, 0 },
    { 52801,  144, 0, 0 },
    { 52830,  144, 0, 0 },
    { 52860,  144, 0, 0 },
    { 52889,  144, 0, 0 },
    { 52919,  144, 0, 0 },
    { 52948,  144, 0, 0 },
    { 52978,  145, 1, 0 },
    { 53008,  145, 0, 0 },
    { 53037,  145, 0, 0 },
    { 53067,  145, 0, 0 },
    { 53096,  145, 0, 0 },
    { 53126,  145, 0, 0 },
    { 53155,  145, 0, 0 },
    { 53185,  145, 0, 0 },
    { 53214,  145, 0, 0 },
    { 53244,  145, 0, 0 },
    { 53273,  145, 0, 0 },
    { 53303,  145, 0, 0 },
    { 53332,  146, 1, 0 },
    { 53362,  146, 0, 0 },
    { 53391,  146, 0, 0 },
    { 53421,  146, 0, 0 },
    { 53450,  146, 0, 0 },
    { 53480,  146, 0, 0 },
    { 53510,  146, 0, 0 },
    { 53539,  146, 0, 0 },
    { 53569,  146, 0, 0 },
    { 53598,  146, 0, 0 },
    { 53628,  146, 0, 0 },
    { 53657,  146, 0, 0 },
    { 53687,  146, 0, 1 },
    { 53716,  147, 1, 0 },
    { 53746,  147, 0, 0 },
    { 53775,  147, 0, 0 },
    { 53805,  147, 0, 0 },
    { 53834,  147, 0, 0 },
    { 53864,  147, 0, 0 },
    { 53893,  147, 0, 0 },
    { 53923,  147, 0, 0 },
    { 53952,  147, 0, 0 },
    { 53982,  147, 0, 0 },
    { 54012,  147, 0, 0 },
    { 54041,  147, 0, 0 },
    { 54071,  148, 1, 0 },
    { 54100,  148, 0, 0 },
    { 54130,  148, 0, 0 },
    { 54159,  148, 0, 0 },
    { 54189,  148, 0, 0 },
    { 54218,  148, 0, 0 },
    { 54248,  148, 0, 0 },
    { 54277,  148, 0, 0 },
    { 54307,  148, 0, 0 },
    { 54336,  148, 0, 0 },
    { 54366,  148, 0, 0 },
    { 54395,  148, 0, 0 },
    { 54425,  149, 1, 0 },
    { 54455,  149, 0, 0 },
    { 54484,  149, 0, 0 },
    { 54514,  149, 0, 0 },
    { 54543,  149, 0, 0 },
    { 54573,  149, 0, 0 },
    { 54602,  149, 0, 0 },
    { 54632,  149, 0, 0 },
    { 54661,  149, 0, 0 },
    { 54691,  149, 0, 1 },
    { 54720,  149, 0, 0 },
    { 54750,  149, 0, 0 },
    { 54779,  149, 0, 0 },
    { 54809,  150, 1, 0 },
    { 54838,  150, 0, 0 },
    { 54868,  150, 0, 0 },
    { 54897,  150, 0, 0 },
    { 54927,  150, 0, 0 },
    { 54957,  150, 0, 0 },
    { 54986,  150, 0, 0 },
    { 55016,  150, 0, 0 },
    { 55045,  150, 0, 0 },
    { 55075,  150, 0, 0 },
    { 55104,  150, 0, 0 },
    { 55134,  150, 0, 0 },
    { 55163,  151, 1, 0 },
    { 55193,  151, 0, 0 },
    { 55222,  151, 0, 0 },
    { 55252,  151, 0, 0 },
    { 55281,  151, 0, 0 },
    { 55311,  151, 0, 0 },
    { 55340,  151, 0, 0 },
    { 55370,  151, 0, 0 },
    { 55399,  151, 0, 0 },
    { 55429,  151, 0, 0 },
    { 55459,  151, 0, 0 },
    { 55488,  151, 0, 0 },
    { 55518,  152, 1, 0 },
    { 55547,  152, 0, 0 },
    { 55577,  152, 0, 0 },
    { 55606,  152, 0, 0 },
    { 55636,  152, 0, 0 },
    { 55665,  152, 0, 1 },
    { 55695,  152, 0, 0 },
    { 55724,  152, 0, 0 },
    { 55754,  152, 0, 0 },
    { 55783,  152, 0, 0 },
    { 55813,  152, 0, 0 },
    { 55842,  152, 0, 0 },
    { 55872,  152, 0, 0 },
    { 55902,  153, 1, 0 },
    { 55931,  153, 0, 0 },
    { 55961,  153, 0, 0 },
    { 55990,  153, 0, 0 },
    { 56020,  153, 0, 0 },
    { 56049,  153, 0, 0 },
    { 56079,  153, 0, 0 },
    { 56108,  153, 0, 0 },
    { 56138,  153, 0, 0 },
    { 56167,  153, 0, 0 },
    { 56197,  153, 0, 0 },
    { 56226,  153, 0, 0 },
    { 56256,  154, 1, 0 },
    { 56285,  154, 0, 0 },
    { 56315,  154, 0, 0 },
    { 56344,  154, 0, 0 },
    { 56374,  154, 0, 0 },
    { 56404,  154, 0, 0 },
    { 56433,  154, 0, 0 },
    { 56463,  154, 0, 0 },
    { 56492,  154, 0, 0 },
    { 56522,  154, 0, 0 },
    { 56551,  154, 0, 0 },
    { 56581,  154, 0, 0 },
    { 56610,  155, 1, 0 },
    { 56640,  155, 0, 1 },
    { 56669,  155, 0, 0 },
    { 56699,  155, 0, 0 },
    { 56728,  155, 0, 0 },
    { 56758,  155, 0, 0 },
    { 56787,  155, 0, 0 },
    { 56817,  155, 0, 0 },
    { 56846,  155, 0, 0 },
    { 56876,  155, 0, 0 },
    { 56906,  155, 0, 0 },
    { 56935,  155, 0, 0 },
    { 56965,  155, 0, 0 },
    { 56994,  156, 1, 0 },
    { 57024,  156, 0, 0 },
    { 57053,  156, 0, 0 },
    { 57083,  156, 0, 0 },
    { 57112,  156, 0, 0 },
    { 57142,  156, 0, 0 },
    { 57171,  156, 0, 0 },
    { 57201,  156, 0, 0 },
    { 57230,  156, 0, 0 },
    { 57260,  156, 0, 0 },
    { 57289,  156, 0, 0 },
    { 57319,  156, 0, 0 },
    { 57349,  157, 1, 0 },
    { 57378,  157, 0, 0 },
    { 57408,  157, 0, 0 },
    { 57437,  157, 0, 0 },
    { 57467,  157, 0, 0 },
    { 57496,  157, 0, 0 },
    { 57526,  157, 0, 0 },
    { 57555,  157, 0, 0 },
    { 57585,  157, 0, 0 },
    { 57614,  157, 0, 0 },
    { 57644,  157, 0, 1 },
    { 57673,  157, 0, 0 },
    { 57703,  157, 0, 0 },
    { 57732,  158, 1, 0 },
    { 57762,  158, 0, 0 },
    { 57791,  158, 0, 0 },
    { 57821,  158, 0, 0 },
    { 57851,  158, 0, 0 },
    { 57880,  158, 0, 0 },
    { 57910,  158, 0, 0 },
    { 57939,  158, 0, 0 },
    { 57969,  158, 0, 0 },
    { 57998,  158, 0, 0 },
    { 58028,  158, 0, 0 },
    { 58057,  158, 0, 0 },
    { 58087,  159, 1, 0 },
    { 58116,  159, 0, 0 },
    { 58146,  159, 0, 0 },
    { 58175,  159, 0, 0 },
    { 58205,  159, 0, 0 },
    { 58234,  159, 0, 0 },
    { 58264,  159, 0, 0 },
    { 58293,  159, 0, 0 },
    { 58323,  159, 0, 0 },
    { 58353,  159, 0, 0 },
    { 58382,  159, 0, 0 },
    { 58412,  159, 0, 0 },
    { 58441,  160, 1, 0 },
    { 58471,  160, 0, 0 },
    { 58500,  160, 0, 0 },
    { 58530,  160, 0, 0 },
    { 58559,  160, 0, 0 },
    { 58589,  160, 0, 0 },
    { 58618,  160, 0, 0 },
    { 58648,  160, 0, 1 },
    { 58677,  160, 0, 0 },
    { 58707,  160, 0, 0 },
    { 58736,  160, 0, 0 },
    { 58766,  160, 0, 0 },
    { 58796,  160, 0, 0 },
    { 58825,  161, 1, 0 },
    { 58855,  161, 0, 0 },
    { 58884,  161, 0, 0 },
    { 58914,  161, 0, 0 },
    { 58943,  161, 0, 0 },
    { 58973,  161, 0, 0 },
    { 59002,  161, 0, 0 },
    { 59032,  161, 0, 0 },
    { 59061,  161, 0, 0 },
    { 59091,  161, 0, 0 },
    { 59120,  161, 0, 0 },
    { 59150,  161, 0, 0 },
    { 59179,  162, 1, 0 },
    { 59209,  162, 0, 0 },
    { 59238,  162, 0, 0 },
    { 59268,  162, 0, 0 },
    { 59298,  162, 0, 0 },
    { 59327,  162, 0, 0 },
    { 59357,  162, 0, 0 },
    { 59386,  162, 0, 0 },
    { 59416,  162, 0, 0 },
    { 59445,  162, 0, 0 },
    { 59475,  162, 0, 0 },
    { 59504,  162, 0, 0 },
    { 59534,  163, 1, 0 },
    { 59563,  163, 0, 0 },
    { 59593,  163, 0, 0 },
    { 59622,  163, 0, 1 },
    { 59652,  163, 0, 0 },
    { 59681,  163, 0, 0 },
    { 59711,  163, 0, 0 },
    { 59740,  163, 0, 0 },
    { 59770,  163, 0, 0 },
    { 59800,  163, 0, 0 },
    { 59829,  163, 0, 0 },
    { 59859,  163, 0, 0 },
    { 59888,  163, 0, 0 },
    { 59918,  164, 1, 0 },
    { 59947,  164, 0, 0 },
    { 59977,  164, 0, 0 },
    { 60006,  164, 0, 0 },
    { 60036,  164, 0, 0 },
    { 60065,  164, 0, 0 },
    { 60095,  164, 0, 0 },
    { 60124,  164, 0, 0 },
    { 60154,  164, 0, 0 },
    { 60183,  164, 0, 0 },
    { 60213,  164, 0, 0 },
    { 60243,  164, 0, 0 },
    { 60272,  165, 1, 0 },
    { 60302,  165, 0, 0 },
    { 60331,  165, 0, 0 },
    { 60361,  165, 0, 0 },
    { 60390,  165, 0, 0 },
    { 60420,  165, 0, 0 },
    { 60449,  165, 0, 0 },
    { 60479,  165, 0, 0 },
    { 60508,  165, 0, 0 },
    { 60538,  165, 0, 0 },
    { 60567,  165, 0, 0 },
    { 60597,  165, 0, 1 },
    { 60626,  165, 0, 0 },
    { 60656,  166, 1, 0 },
    { 60685,  166, 0, 0 },
    { 60715,  166, 0, 0 },
    { 60745,  166, 0, 0 },
    { 60774,  166, 0, 0 },
    { 60804,  166, 0, 0 },
    { 60833,  166, 0, 0 },
    { 60863,  166, 0, 0 },
    { 60892,  166, 0, 0 },
    { 60922,  166, 0, 0 },
    { 60951,  166, 0, 0 },
    { 60981,  166, 0, 0 },
    { 61010,  167, 1, 0 },
    { 61040,  167, 0, 0 },
    { 61069,  167, 0, 0 },
    { 61099,  167, 0, 0 },
    { 61128,  167, 0, 0 },
    { 61158,  167, 0, 0 },
    { 61187,  167, 0, 0 },
    { 61217,  167, 0, 0 },
    { 61247,  167, 0, 0 },
    { 61276,  167, 0, 0 },
    { 61306,  167, 0, 0 },
    { 61335,  167, 0, 0 },
    { 61365,  168, 1, 0 },
    { 61394,  168, 0, 0 },
    { 61424,  168, 0, 0 },
    { 61453,  168, 0, 0 },
    { 61483,  168, 0, 0 },
    { 61512,  168, 0, 0 },
    { 61542,  168, 0, 0 },
    { 61571,  168, 0, 0 },
    { 61601,  168, 0, 1 },
    { 61630,  168, 0, 0 },
    { 61660,  168, 0, 0 },
    { 61690,  168, 0, 0 },
    { 61719,  168, 0, 0 },
    { 61749,  169, 1, 0 },
    { 61778,  169, 0, 0 },
    { 61808,  169, 0, 0 },
    { 61837,  169, 0, 0 },
    { 61867,  169, 0, 0 },
    { 61896,  169, 0, 0 },
    { 61926,  169, 0, 0 },
    { 61955,  169, 0, 0 },
    { 61985,  169, 0, 0 },
    { 62014,  169, 0, 0 },
    { 62044,  169, 0, 0 },
    { 62073,  169, 0, 0 },
    { 62103,  170, 1, 0 },
    { 62132,  170, 0, 0 },
    { 62162,  170, 0, 0 },
    { 62192,  170, 0, 0 },
    { 62221,  170, 0, 0 },
    { 62251,  170, 0, 0 },
    { 62280,  170, 0, 0 },
    { 62310,  170, 0, 0 },
    { 62339,  170, 0, 0 },
    { 62369,  170, 0, 0 },
    { 62398,  170, 0, 0 },
    { 62428,  170, 0, 0 },
    { 62457,  171, 1, 0 },
    { 62487,  171, 0, 0 },
    { 62516,  171, 0, 0 },
    { 62546,  171, 0, 0 },
    { 62575,  171, 0, 0 },
    { 62605,  171, 0, 1 },
    { 62634,  171, 0, 0 },
    { 62664,  171, 0, 0 },
    { 62694,  171, 0, 0 },
    { 62723,  171, 0, 0 },
    { 62753,  171, 0, 0 },
    { 62782,  171, 0, 0 },
    { 62812,  171, 0, 0 },
    { 62841,  172, 1, 0 },
    { 62871,  172, 0, 0 },
    { 62900,  172, 0, 0 },
    { 62930,  172, 0, 0 },
    { 62959,  172, 0, 0 },
    { 62989,  172, 0, 0 },
    { 63018,  172, 0, 0 },
    { 63048,  172, 0, 0 },
    { 63077,  172, 0, 0 },
    { 63107,  172, 0, 0 },
    { 63137,  172, 0, 0 },
    { 63166,  172, 0, 0 },
    { 63196,  173, 1, 0 },
    { 63225,  173, 0, 0 },
    { 63255,  173, 0, 0 },
    { 63284,  173, 0, 0 },
    { 63314,  173, 0, 0 },
    { 63343,  173, 0, 0 },
    { 63373,  173, 0, 0 },
    { 63402,  173, 0, 0 },
    { 63432,  173, 0, 0 },
    { 63461,  173, 0, 0 },
    { 63491,  173, 0, 0 },
    { 63520,  173, 0, 0 },
    { 63550,  174, 1, 0 },
    { 63579,  174, 0, 0 },
    { 63609,  174, 0, 1 },
    { 63639,  174, 0, 0 },
    { 63668,  174, 0, 0 },
    { 63698,  174, 0, 0 },
    { 63727,  174, 0, 0 },
    { 63757,  174, 0, 0 },
    { 63786,  174, 0, 0 },
    { 63816,  174, 0, 0 },
    { 63845,  174, 0, 0 },
    { 63875,  174, 0, 0 },
    { 63904,  174, 0, 0 },
    { 63934,  175, 1, 0 },
    { 63963,  175, 0, 0 },
    { 63993,  175, 0, 0 },
    { 64022,  175, 0, 0 },
    { 64052,  175, 0, 0 },
    { 64081,  175, 0, 0 },
    { 64111,  175, 0, 0 },
    { 64141,  175, 0, 0 },
    { 64170,  175, 0, 0 },
    { 64200,  175, 0, 0 },
    { 64229,  175, 0, 0 },
    { 64259,  175, 0, 0 },
    { 64288,  176, 1, 0 },
    { 64318,  176, 0, 0 },
    { 64347,  176, 0, 0 },
    { 64377,  176, 0, 0 },
    { 64406,  176, 0, 0 },
    { 64436,  176, 0, 0 },
    { 64465,  176, 0, 0 },
    { 64495,  176, 0, 0 },
    { 64524,  176, 0, 0 },
    { 64554,  176, 0, 0 },
    { 64584,  176, 0, 1 },
    { 64613,  176, 0, 0 },
    { 64643,  176, 0, 0 },
    { 64672,  177, 1, 0 },
    { 64702,  177, 0, 0 },
    { 64731,  177, 0, 0 },
    { 64761,  177, 0, 0 },
    { 64790,  177, 0, 0 },
    { 64820,  177, 0, 0 },
    { 64849,  177, 0, 0 },
    { 64879,  177, 0, 0 },
    { 64908,  177, 0, 0 },
    { 64938,  177, 0, 0 },
    { 64967,  177, 0, 0 },
    { 64997,  177, 0, 0 },
    { 65026,  178, 1, 0 },
    { 65056,  178, 0, 0 },
    { 65086,  178, 0, 0 },
    { 65115,  178, 0, 0 },
    { 65145,  178, 0, 0 },
    { 65174,  178, 0, 0 },
    { 65204,  178, 0, 0 },
    { 65233,  178, 0, 0 },
    { 65263,  178, 0, 0 },
    { 65292,  178, 0, 0 },
    { 65322,  178, 0, 0 },
    { 65351,  178, 0, 0 },
    { 65381,  179, 1, 0 },
    { 65410,  179, 0, 0 },
    { 65440,  179, 0, 0 },
    { 65469,  179, 0, 0 },
    { 65499,  179, 0, 0 },
    { 65528,  179, 0, 0 },
    { 65558,  179, 0, 0 },
    { 65588,  179, 0, 1 },
    { 65617,  179, 0, 0 },
    { 65647,  179, 0, 0 },
    { 65676,  179, 0, 0 },
    { 65706,  179, 0, 0 },
    { 65735,  179, 0, 0 },
    { 65765,  180, 1, 0 },
    { 65794,  180, 0, 0 },
    { 65824,  180, 0, 0 },
    { 65853,  180, 0, 0 },
    { 65883,  180, 0, 0 },
    { 65912,  180, 0, 0 },
    { 65942,  180, 0, 0 },
    { 65971,  180, 0, 0 },
    { 66001,  180, 0, 0 },
    { 66031,  180, 0, 0 },
    { 66060,  180, 0, 0 },
    { 66090,  180, 0, 0 },
    { 66119,  181, 1, 0 },
    { 66149,  181, 0, 0 },
    { 66178,  181, 0, 0 },
    { 66208,  181, 0, 0 },
    { 66237,  181, 0, 0 },
    { 66267,  181, 0, 0 },
    { 66296,  181, 0, 0 },
    { 66326,  181, 0, 0 },
    { 66355,  181, 0, 0 },
    { 66385,  181, 0, 0 },
    { 66414,  181, 0, 0 },
    { 66444,  181, 0, 0 },
    { 66473,  182, 1, 0 },
    { 66503,  182, 0, 0 },
    { 66533,  182, 0, 0 },
    { 66562,  182, 0, 0 },
    { 66592,  182, 0, 1 },
    { 66621,  182, 0, 0 },
    { 66651,  182, 0, 0 },
    { 66680,  182, 0, 0 },
    { 66710,  182, 0, 0 },
    { 66739,  182, 0, 0 },
    { 66769,  182, 0, 0 },
    { 66798,  182, 0, 0 },
    { 66828,  182, 0, 0 },
    { 66857,  183, 1, 0 },
    { 66887,  183, 0, 0 },
    { 66916,  183, 0, 0 },
    { 66946,  183, 0, 0 },
    { 66975,  183, 0, 0 },
    { 67005,  183, 0, 0 },
    { 67035,  183, 0, 0 },
    { 67064,  183, 0, 0 },
    { 67094,  183, 0, 0 },
    { 67123,  183, 0, 0 },
    { 67153,  183, 0, 0 },
    { 67182,  183, 0, 0 },
    { 67212,  184, 1, 0 },
    { 67241,  184, 0, 0 },
    { 67271,  184, 0, 0 },
    { 67300,  184, 0, 0 },
    { 67330,  184, 0, 0 },
    { 67359,  184, 0, 0 },
    { 67389,  184, 0, 0 },
    { 67418,  184, 0, 0 },
    { 67448,  184, 0, 0 },
    { 67478,  184, 0, 0 },
    { 67507,  184, 0, 0 },
    { 67537,  184, 0, 0 },
    { 67566,  184, 0, 1 },
    { 67596,  185, 1, 0 },
    { 67625,  185, 0, 0 },
    { 67655,  185, 0, 0 },
    { 67684,  185, 0, 0 },
    { 67714,  185, 0, 0 },
    { 67743,  185, 0, 0 },
    { 67773,  185, 0, 0 },
    { 67802,  185, 0, 0 },
    { 67832,  185, 0, 0 },
    { 67861,  185, 0, 0 },
    { 67891,  185, 0, 0 },
    { 67920,  185, 0, 0 },
    { 67950,  186, 1, 0 },
    { 67980,  186, 0, 0 },
    { 68009,  186, 0, 0 },
    { 68039,  186, 0, 0 },
    { 68068,  186, 0, 0 },
    { 68098,  186, 0, 0 },
    { 68127,  186, 0, 0 },
    { 68157,  186, 0, 0 },
    { 68186,  186, 0, 0 },
    { 68216,  186, 0, 0 },
    { 68245,  186, 0, 0 },
    { 68275,  186, 0, 0 },
    { 68304,  187, 1, 0 },
    { 68334,  187, 0, 0 },
    { 68363,  187, 0, 0 },
    { 68393,  187, 0, 0 },
    { 68422,  187, 0, 0 },
    { 68452,  187, 0, 0 },
    { 68482,  187, 0, 0 },
    { 68511,  187, 0, 0 },
    { 68541,  187, 0, 1 },
    { 68570,  187, 0, 0 },
    { 68600,  187, 0, 0 },
    { 68629,  187, 0, 0 },
    { 68659,  187, 0, 0 },
    { 68688,  188, 1, 0 },
    { 68718,  188, 0, 0 },
    { 68747,  188, 0, 0 },
    { 68777,  188, 0, 0 },
    { 68806,  188, 0, 0 },
    { 68836,  188, 0, 0 },
    { 68865,  188, 0, 0 },
    { 68895,  188, 0, 0 },
    { 68925,  188, 0, 0 },
    { 68954,  188, 0, 0 },
    { 68984,  188, 0, 0 },
    { 69013,  188, 0, 0 },
    { 69043,  189, 1, 0 },
    { 69072,  189, 0, 0 },
    { 69102,  189, 0, 0 },
    { 69131,  189, 0, 0 },
    { 69161,  189, 0, 0 },
    { 69190,  189, 0, 0 },
    { 69220,  189, 0, 0 },
    { 69249,  189, 0, 0 },
    { 69279,  189, 0, 0 },
    { 69308,  189, 0, 0 },
    { 69338,  189, 0, 0 },
    { 69367,  189, 0, 0 },
    { 69397,  190, 1, 0 },
    { 69427,  190, 0, 0 },
    { 69456,  190, 0, 0 },
    { 69486,  190, 0, 0 },
    { 69515,  190, 0, 0 },
    { 69545,  190, 0, 1 },
    { 69574,  190, 0, 0 },
    { 69604,  190, 0, 0 },
    { 69633,  190, 0, 0 },
    { 69663,  190, 0, 0 },
    { 69692,  190, 0, 0 },
    { 69722,  190, 0, 0 },
    { 69751,  190, 0, 0 },
    { 69781,  191, 1, 0 },
    { 69810,  191, 0, 0 },
    { 69840,  191, 0, 0 },
    { 69869,  191, 0, 0 },
    { 69899,  191, 0, 0 },
    { 69929,  191, 0, 0 },
    { 69958,  191, 0, 0 },
    { 69988,  191, 0, 0 },
    { 70017,  191, 0, 0 },
    { 70047,  191, 0, 0 },
    { 70076,  191, 0, 0 },
    { 70106,  191, 0, 0 },
    { 70135,  192, 1, 0 },
    { 70165,  192, 0, 0 },
    { 70194,  192, 0, 0 },
    { 70224,  192, 0, 0 },
    { 70253,  192, 0, 0 },
    { 70283,  192, 0, 0 },
    { 70312,  192, 0, 0 },
    { 70342,  192, 0, 0 },
    { 70372,  192, 0, 0 },
    { 70401,  192, 0, 0 },
    { 70431,  192, 0, 0 },
    { 70460,  192, 0, 0 },
    { 70490,  193, 1, 0 },
    { 70519,  193, 0, 0 },
    { 70549,  193, 0, 1 },
    { 70578,  193, 0, 0 },
    { 70608,  193, 0, 0 },
    { 70637,  193, 0, 0 },
    { 70667,  193, 0, 0 },
    { 70696,  193, 0, 0 },
    { 70726,  193, 0, 0 },
    { 70755,  193, 0, 0 },
    { 70785,  193, 0, 0 },
    { 70814,  193, 0, 0 },
    { 70844,  193, 0, 0 },
    { 70874,  194, 1, 0 },
    { 70903,  194, 0, 0 },
    { 70933,  194, 0, 0 },
    { 70962,  194, 0, 0 },
    { 70992,  194, 0, 0 },
    { 71021,  194, 0, 0 },
    { 71051,  194, 0, 0 },
    { 71080,  194, 0, 0 },
    { 71110,  194, 0, 0 },
    { 71139,  194, 0, 0 },
    { 71169,  194, 0, 0 },
    { 71198,  194, 0, 0 },
    { 71228,  195, 1, 0 },
    { 71257,  195, 0, 0 },
    { 71287,  195, 0, 0 },
    { 71316,  195, 0, 0 },
    { 71346,  195, 0, 0 },
    { 71376,  195, 0, 0 },
    { 71405,  195, 0, 0 },
    { 71435,  195, 0, 0 },
    { 71464,  195, 0, 0 },
    { 71494,  195, 0, 0 },
    { 71523,  195, 0, 0 },
    { 71553,  195, 0, 1 },
    { 71582,  195, 0, 0 },
    { 71612,  196, 1, 0 },
    { 71641,  196, 0, 0 },
    { 71671,  196, 0, 0 },
    { 71700,  196, 0, 0 },
    { 71730,  196, 0, 0 },
    { 71759,  196, 0, 0 },
    { 71789,  196, 0, 0 },
    { 71818,  196, 0, 0 },
    { 71848,  196, 0, 0 },
    { 71878,  196, 0, 0 },
    { 71907,  196, 0, 0 },
    { 71937,  196, 0, 0 },
    { 71966,  197, 1, 0 },
    { 71996,  197, 0, 0 },
    { 72025,  197, 0, 0 },
    { 72055,  197, 0, 0 },
    { 72084,  197, 0, 0 },
    { 72114,  197, 0, 0 },
    { 72143,  197, 0, 0 },
    { 72173,  197, 0, 0 },
    { 72202,  197, 0, 0 },
    { 72232,  197, 0, 0 },
    { 72261,  197, 0, 0 },
    { 72291,  197, 0, 0 },
    { 72321,  198, 1, 0 },
    { 72350,  198, 0, 0 },
    { 72380,  198, 0, 0 },
    { 72409,  198, 0, 0 },
    { 72439,  198, 0, 0 },
    { 72468,  198, 0, 0 },
    { 72498,  198, 0, 0 },
    { 72527,  198, 0, 1 },
    { 72557,  198, 0, 0 },
    { 72586,  198, 0, 0 },
    { 72616,  198, 0, 0 },
    { 72645,  198, 0, 0 },
    { 72675,  198, 0, 0 },
    { 72704,  199, 1, 0 },
    { 72734,  199, 0, 0 },
    { 72763,  199, 0, 0 },
    { 72793,  199, 0, 0 },
    { 72823,  199, 0, 0 },
    { 72852,  199, 0, 0 },
    { 72882,  199, 0, 0 },
    { 72911,  199, 0, 0 },
    { 72941,  199, 0, 0 },
    { 72970,  199, 0, 0 },
    { 73000,  199, 0, 0 },
    { 73029,  199, 0, 0 },
    { 73059,  200, 1, 0 },
    { 73088,  200, 0, 0 },
    { 73118,  200, 0, 0 },
    { 73147,  200, 0, 0 },
    { 73177,  200, 0, 0 },
    { 73206,  200, 0, 0 },
    { 73236,  200, 0, 0 },
    { 73265,  200, 0, 0 },
    { 73295,  200, 0, 0 },
    { 73325,  200, 0, 0 },
    { 73354,  200, 0, 0 },
    { 73384,  200, 0, 0 },
    { 73413,  201, 1, 0 },
    { 73443,  201, 0, 0 },
    { 73472,  201, 0, 0 },
    { 73502,  201, 0, 1 },
    { 73531,  201, 0, 0 },
    { 73561,  201, 0, 0 },
    { 73590,  201, 0, 0 },
    { 73620,  201, 0, 0 },
    { 73649,  201, 0, 0 },
    { 73679,  201, 0, 0 },
    { 73708,  201, 0, 0 },
    { 73738,  201, 0, 0 },
    { 73768,  201, 0, 0 },
    { 73797,  202, 1, 0 },
    { 73827,  202, 0, 0 },
    { 73856,  202, 0, 0 },
    { 73886,  202, 0, 0 },
    { 73915,  202, 0, 0 },
    { 73945,  202, 0, 0 },
    { 73974,  202, 0, 0 },
    { 74004,  202, 0, 0 },
    { 74033,  202, 0, 0 },
    { 74063,  202, 0, 0 },
    { 74092,  202, 0, 0 },
    { 74122,  202, 0, 0 },
    { 74151,  203, 1, 0 },
    { 74181,  203, 0, 0 },
    { 74210,  203, 0, 0 },
    { 74240,  203, 0, 0 },
    { 74270,  203, 0, 0 },
    { 74299,  203, 0, 0 },
    { 74329,  203, 0, 0 },
    { 74358,  203, 0, 0 },
    { 74388,  203, 0, 0 },
    { 74417,  203, 0, 0 },
    { 74447,  203, 0, 0 },
    { 74476,  203, 0, 0 },
    { 74506,  203, 0, 1 },
    { 74535,  204, 1, 0 },
    { 74565,  204, 0, 0 },
    { 74594,  204, 0, 0 },
    { 74624,  204, 0, 0 },
    { 74653,  204, 0, 0 },
    { 74683,  204, 0, 0 },
    { 74712,  204, 0, 0 },
    { 74742,  204, 0, 0 },
    { 74772,  204, 0, 0 },
    { 74801,  204, 0, 0 },
    { 74831,  204, 0, 0 },
    { 74860,  204, 0, 0 },
    { 74890,  205, 1, 0 },
    { 74919,  205, 0, 0 },
    { 74949,  205, 0, 0 },
    { 74978,  205, 0, 0 },
    { 75008,  205, 0, 0 },
    { 75037,  205, 0, 0 },
    { 75067,  205, 0, 0 },
    { 75096,  205, 0, 0 },
    { 75126,  205, 0, 0 },
    { 75155,  205, 0, 0 },
    { 75185,  205, 0, 0 },
    { 75215,  205, 0, 0 },
    { 75244,  206, 1, 0 },
    { 75274,  206, 0, 0 },
    { 75303,  206, 0, 0 },
    { 75333,  206, 0, 0 },
    { 75362,  206, 0, 0 },
    { 75392,  206, 0, 0 },
    { 75421,  206, 0, 0 },
    { 75451,  206, 0, 0 },
    { 75480,  206, 0, 0 },
    { 75510,  206, 0, 1 },
    { 75539,  206, 0, 0 },
    { 75569,  206, 0, 0 },
    { 75598,  206, 0, 0 },
    { 75628,  207, 1, 0 },
    { 75657,  207, 0, 0 },
    { 75687,  207, 0, 0 },
    { 75717,  207, 0, 0 },
    { 75746,  207, 0, 0 },
    { 75776,  207, 0, 0 },
    { 75805,  207, 0, 0 },
    { 75835,  207, 0, 0 },
    { 75864,  207, 0, 0 },
    { 75894,  207, 0, 0 },
    { 75923,  207, 0, 0 },
    { 75953,  207, 0, 0 },
    { 75982,  208, 1, 0 },
    { 76012,  208, 0, 0 },
    { 76041,  208, 0, 0 },
    { 76071,  208, 0, 0 },
    { 76100,  208, 0, 0 },
    { 76130,  208, 0, 0 },
    { 76159,  208, 0, 0 },
    { 76189,  208, 0, 0 },
    { 76219,  208, 0, 0 },
    { 76248,  208, 0, 0 },
    { 76278,  208, 0, 0 },
    { 76307,  208, 0, 0 },
    { 76337,  209, 1, 0 },
    { 76366,  209, 0, 0 },
    { 76396,  209, 0, 0 },
    { 76425,  209, 0, 0 },
    { 76455,  209, 0, 0 },
    { 76484,  209, 0, 1 },
    { 76514,  209, 0, 0 },
    { 76543,  209, 0, 0 },
    { 76573,  209, 0, 0 },
    { 76602,  209, 0, 0 },
    { 76632,  209, 0, 0 },
    { 76662,  209, 0, 0 },
    { 76691,  209, 0, 0 },
    { 76721,  210, 1, 0 },
    { 76750,  210, 0, 0 },
    { 76780,  210, 0, 0 },
    { 76809,  210, 0, 0 },
    { 76839,  210, 0, 0 },
    { 76868,  210, 0, 0 },
    { 76898,  210, 0, 0 },
    { 76927,  210, 0, 0 },
    { 76957,  210, 0, 0 },
    { 76986,  210, 0, 0 },
    { 77016,  210, 0, 0 },
    { 77045,  210, 0, 0 },
    { 77075,  211, 1, 0 },
    { 77104,  211, 0, 0 },
    { 77134,  211, 0, 0 },
    { 77164,  211, 0, 0 },
    { 77193,  211, 0, 0 },
    { 77223,  211, 0, 0 },
    { 77252,  211, 0, 0 },
    { 77282,  211, 0, 0 },
    { 77311,  211, 0, 0 },
    { 77341,  211, 0, 0 },
    { 77370,  211, 0, 0 },
    { 77400,  211, 0, 0 },
    { 77429,  212, 1, 0 },
    { 77459,  212, 0, 1 },
    { 77488,  212, 0, 0 },
    { 77518,  212, 0, 0 },
    { 77547,  212, 0, 0 },
    { 77577,  212, 0, 0 },
    { 77606,  212, 0, 0 },
    { 77636,  212, 0, 0 },
    { 77666,  212, 0, 0 },
    { 77695,  212, 0, 0 },
    { 77725,  212, 0, 0 },
    { 77754,  212, 0, 0 },
    { 77784,  212, 0, 0 },
    { 77813,  213, 1, 0 },
    { 77843,  213, 0, 0 },
    { 77872,  213, 0, 0 },
    { 77902,  213, 0, 0 },
    { 77931,  213, 0, 0 },
    { 77961,  213, 0, 0 },
    { 77990,  213, 0, 0 },
    { 78020,  213, 0, 0 },
    { 78049,  213, 0, 0 },
    { 78079,  213, 0, 0 },
    { 78109,  213, 0, 0 },
    { 78138,  213, 0, 0 },
    { 78168,  214, 1, 0 },
    { 78197,  214, 0, 0 },
    { 78227,  214, 0, 0 },
    { 78256,  214, 0, 0 },
    { 78286,  214, 0, 0 },
    { 78315,  214, 0, 0 },
    { 78345,  214, 0, 0 },
    { 78374,  214, 0, 0 },
    { 78404,  214, 0, 0 },
    { 78433,  214, 0, 0 },
    { 78463,  214, 0, 1 },
    { 78492,  214, 0, 0 },
    { 78522,  214, 0, 0 },
    { 78551,  215, 1, 0 },
    { 78581,  215, 0, 0 },
    { 78611,  215, 0, 0 },
    { 78640,  215, 0, 0 },
    { 78670,  215, 0, 0 },
    { 78699,  215, 0, 0 },
    { 78729,  215, 0, 0 },
    { 78758,  215, 0, 0 },
    { 78788,  215, 0, 0 },
    { 78817,  215, 0, 0 },
    { 78847,  215, 0, 0 },
    { 78876,  215, 0, 0 },
    { 78906,  216, 1, 0 },
    { 78935,  216, 0, 0 },
    { 78965,  216, 0, 0 },
    { 78994,  216, 0, 0 },
    { 79024,  216, 0, 0 },
    { 79053,  216, 0, 0 },
    { 79083,  216, 0, 0 },
    { 79113,  216, 0, 0 },
    { 79142,  216, 0, 0 },
    { 79172,  216, 0, 0 },
    { 79201,  216, 0, 0 },
    { 79231,  216, 0, 0 },
    { 79260,  217, 1, 0 },
    { 79290,  217, 0, 0 },
    { 79319,  217, 0, 0 },
    { 79349,  217, 0, 0 },
    { 79378,  217, 0, 0 },
    { 79408,  217, 0, 0 },
    { 79437,  217, 0, 0 },
    { 79467,  217, 0, 1 },
    { 79496,  217, 0, 0 },
    { 79526,  217, 0, 0 },
    { 79556,  217, 0, 0 },
    { 79585,  217, 0, 0 },
    { 79615,  217, 0, 0 },
    { 79644,  218, 1, 0 },
    { 79674,  218, 0, 0 },
    { 79703,  218, 0, 0 },
    { 79733,  218, 0, 0 },
    { 79762,  218, 0, 0 },
    { 79792,  218, 0, 0 },
    { 79821,  218, 0, 0 },
    { 79851,  218, 0, 0 },
    { 79880,  218, 0, 0 },
    { 79910,  218, 0, 0 },
    { 79939,  218, 0, 0 },
    { 79969,  218, 0, 0 },
    { 79998,  219, 1, 0 },
    { 80028,  219, 0, 0 },
    { 80058,  219, 0, 0 },
    { 80087,  219, 0, 0 },
    { 80117,  219, 0, 0 },
    { 80146,  219, 0, 0 },
    { 80176,  219, 0, 0 },
    { 80205,  219, 0, 0 },
    { 80235,  219, 0, 0 },
    { 80264,  219, 0, 0 },
    { 80294,  219, 0, 0 },
    { 80323,  219, 0, 0 },
    { 80353,  220, 1, 0 },
    { 80382,  220, 0, 0 },
    { 80412,  220, 0, 0 },
    { 80441,  220, 0, 1 },
    { 80471,  220, 0, 0 },
    { 80500,  220, 0, 0 },
    { 80530,  220, 0, 0 },
    { 80560,  220, 0, 0 },
    { 80589,  220, 0, 0 },
    { 80619,  220, 0, 0 },
    { 80648,  220, 0, 0 },
    { 80678,  220, 0, 0 },
    { 80707,  220, 0, 0 },
    { 80737,  221, 1, 0 },
    { 80766,  221, 0, 0 },
    { 80796,  221, 0, 0 },
    { 80825,  221, 0, 0 },
    { 80855,  221, 0, 0 },
    { 80884,  221, 0, 0 },
    { 80914,  221, 0, 0 },
    { 80943,  221, 0, 0 },
    { 80973,  221, 0, 0 },
    { 81003,  221, 0, 0 },
    { 81032,  221, 0, 0 },
    { 81062,  221, 0, 0 },
    { 81091,  222, 1, 0 },
    { 81121,  222, 0, 0 },
    { 81150,  222, 0, 0 },
    { 81180,  222, 0, 0 },
    { 81209,  222, 0, 0 },
    { 81239,  222, 0, 0 },
    { 81268,  222, 0, 0 },
    { 81298,  222, 0, 0 },
    { 81327,  222, 0, 0 },
    { 81357,  222, 0, 0 },
    { 81386,  222, 0, 0 },
    { 81416,  222, 0, 1 },
    { 81445,  222, 0, 0 },
    { 81475,  223, 1, 0 },
    { 81505,  223, 0, 0 },
    { 81534,  223, 0, 0 },
    { 81564,  223, 0, 0 },
    { 81593,  223, 0, 0 },
    { 81623,  223, 0, 0 },
    { 81652,  223, 0, 0 },
    { 81682,  223, 0, 0 },
    { 81711,  223, 0, 0 },
    { 81741,  223, 0, 0 },
    { 81770,  223, 0, 0 },
    { 81800,  223, 0, 0 },
    { 81829,  224, 1, 0 },
    { 81859,  224, 0, 0 },
    { 81888,  224, 0, 0 },
    { 81918,  224, 0, 0 },
    { 81947,  224, 0, 0 },
    { 81977,  224, 0, 0 },
    { 82007,  224, 0, 0 },
    { 82036,  224, 0, 0 },
    { 82066,  224, 0, 0 },
    { 82095,  224, 0, 0 },
    { 82125,  224, 0, 0 },
    { 82154,  224, 0, 0 },
    { 82184,  225, 1, 0 },
    { 82213,  225, 0, 0 },
    { 82243,  225, 0, 0 },
    { 82272,  225, 0, 0 },
    { 82302,  225, 0, 0 },
    { 82331,  225, 0, 0 },
    { 82361,  225, 0, 0 },
    { 82390,  225, 0, 0 },
    { 82420,  225, 0, 0 },
    { 82450,  225, 0, 1 },
    { 82479,  225, 0, 0 },
    { 82509,  225, 0, 0 },
    { 82538,  225, 0, 0 },
    { 82568,  226, 1, 0 },
    { 82597,  226, 0, 0 },
    { 82627,  226, 0, 0 },
    { 82656,  226, 0, 0 },
    { 82686,  226, 0, 0 },
    { 82715,  226, 0, 0 },
    { 82745,  226, 0, 0 },
    { 82774,  226, 0, 0 },
    { 82804,  226, 0, 0 },
    { 82833,  226, 0, 0 },
    { 82863,  226, 0, 0 },
    { 82892,  226, 0, 0 },
    { 82922,  227, 1, 0 },
    { 82952,  227, 0, 0 },
    { 82981,  227, 0, 0 },
    { 83011,  227, 0, 0 },
    { 83040,  227, 0, 0 },
    { 83070,  227, 0, 0 },
    { 83099,  227, 0, 0 },
    { 83129,  227, 0, 0 },
    { 83158,  227, 0, 0 },
    { 83188,  227, 0, 0 },
    { 83217,  227, 0, 0 },
    { 83247,  227, 0, 0 },
    { 83276,  228, 1, 0 },
    { 83306,  228, 0, 0 },
    { 83335,  228, 0, 0 },
    { 83365,  228, 0, 0 },
    { 83394,  228, 0, 0 },
    { 83424,  228, 0, 0 },
    { 83454,  228, 0, 1 },
    { 83483,  228, 0, 0 },
    { 83513,  228, 0, 0 },
    { 83542,  228, 0, 0 },
    { 83572,  228, 0, 0 },
    { 83601,  228, 0, 0 },
    { 83631,  228, 0, 0 },
    { 83660,  229, 1, 0 },
    { 83690,  229, 0, 0 },
    { 83719,  229, 0, 0 },
    { 83749,  229, 0, 0 },
    { 83778,  229, 0, 0 },
    { 83808,  229, 0, 0 },
    { 83837,  229, 0, 0 },
    { 83867,  229, 0, 0 },
    { 83897,  229, 0, 0 },
    { 83926,  229, 0, 0 },
    { 83956,  229, 0, 0 },
    { 83985,  229, 0, 0 },
    { 84015,  230, 1, 0 },
    { 84044,  230, 0, 0 },
    { 84074,  230, 0, 0 },
    { 84103,  230, 0, 0 },
    { 84133,  230, 0, 0 },
    { 84162,  230, 0, 0 },
    { 84192,  230, 0, 0 },
    { 84221,  230, 0, 0 },
    { 84251,  230, 0, 0 },
    { 84280,  230, 0, 0 },
    { 84310,  230, 0, 0 },
    { 84339,  230, 0, 0 },
    { 84369,  231, 1, 0 },
    { 84399,  231, 0, 0 },
    { 84428,  231, 0, 1 },
    { 84458,  231, 0, 0 },
    { 84487,  231, 0, 0 },
    { 84517,  231, 0, 0 },
    { 84546,  231, 0, 0 },
    { 84576,  231, 0, 0 },
    { 84605,  231, 0, 0 },
    { 84635,  231, 0, 0 },
    { 84664,  231, 0, 0 },
    { 84694,  231, 0, 0 },
    { 84723,  231, 0, 0 },
    { 84753,  232, 1, 0 },
    { 84782,  232, 0, 0 },
    { 84812,  232, 0, 0 },
    { 84841,  232, 0, 0 },
    { 84871,  232, 0, 0 },
    { 84901,  232, 0, 0 },
    { 84930,  232, 0, 0 },
    { 84960,  232, 0, 0 },
    { 84989,  232, 0, 0 },
    { 85019,  232, 0, 0 },
    { 85048,  232, 0, 0 },
    { 85078,  232, 0, 0 },
    { 85107,  233, 1, 0 },
    { 85137,  233, 0, 0 },
    { 85166,  233, 0, 0 },
    { 85196,  233, 0, 0 },
    { 85225,  233, 0, 0 },
    { 85255,  233, 0, 0 },
    { 85284,  233, 0, 0 },
    { 85314,  233, 0, 0 },
    { 85344,  233, 0, 0 },
    { 85373,  233, 0, 0 },
    { 85403,  233, 0, 1 },
    { 85432,  233, 0, 0 },
    { 85462,  233, 0, 0 },
    { 85491,  234, 1, 0 },
    { 85521,  234, 0, 0 },
    { 85550,  234, 0, 0 },
    { 85580,  234, 0, 0 },
    { 85609,  234, 0, 0 },
    { 85639,  234, 0, 0 },
    { 85668,  234, 0, 0 },
    { 85698,  234, 0, 0 },
    { 85727,  234, 0, 0 },
    { 85757,  234, 0, 0 },
    { 85786,  234, 0, 0 },
    { 85816,  234, 0, 0 },
    { 85846,  235, 1, 0 },
    { 85875,  235, 0, 0 },
    { 85905,  235, 0, 0 },
    { 85934,  235, 0, 0 },
    { 85964,  235, 0, 0 },
    { 85993,  235, 0, 0 },
    { 86023,  235, 0, 0 },
    { 86052,  235, 0, 0 },
    { 86082,  235, 0, 0 },
    { 86111,  235, 0, 0 },
    { 86141,  235, 0, 0 },
    { 86170,  235, 0, 0 },
    { 86200,  236, 1, 0 },
    { 86229,  236, 0, 0 },
    { 86259,  236, 0, 0 },
    { 86288,  236, 0, 0 },
    { 86318,  236, 0, 0 },
    { 86348,  236, 0, 0 },
    { 86377,  236, 0, 0 },
    { 86407,  236, 0, 1 },
    { 86436,  236, 0, 0 },
    { 86466,  236, 0, 0 },
    { 86495,  236, 0, 0 },
    { 86525,  236, 0, 0 },
    { 86554,  236, 0, 0 },
    { 86584,  237, 1, 0 },
    { 86613,  237, 0, 0 },
    { 86643,  237, 0, 0 },
    { 86672,  237, 0, 0 },
    { 86702,  237, 0, 0 },
    { 86731,  237, 0, 0 },
    { 86761,  237, 0, 0 },
    { 86791,  237, 0, 0 },
    { 86820,  237, 0, 0 },
    { 86850,  237, 0, 0 },
    { 86879,  237, 0, 0 },
    { 86909,  237, 0, 0 },
    { 86938,  238, 1, 0 },
    { 86968,  238, 0, 0 },
    { 86997,  238, 0, 0 },
    { 87027,  238, 0, 0 },
    { 87056,  238, 0, 0 },
    { 87086,  238, 0, 0 },
    { 87115,  238, 0, 0 },
    { 87145,  238, 0, 0 },
    { 87174,  238, 0, 0 },
    { 87204,  238, 0, 0 },
    { 87233,  238, 0, 0 },
    { 87263,  238, 0, 0 },
    { 87293,  239, 1, 0 },
    { 87322,  239, 0, 0 },
    { 87352,  239, 0, 0 },
    { 87381,  239, 0, 0 },
    { 87411,  239, 0, 1 },
    { 87440,  239, 0, 0 },
    { 87470,  239, 0, 0 },
    { 87499,  239, 0, 0 },
    { 87529,  239, 0, 0 },
    { 87558,  239, 0, 0 },
    { 87588,  239, 0, 0 },
    { 87617,  239, 0, 0 },
    { 87647,  239, 0, 0 },
    { 87676,  240, 1, 0 },
    { 87706,  240, 0, 0 },
    { 87735,  240, 0, 0 },
    { 87765,  240, 0, 0 },
    { 87795,  240, 0, 0 },
    { 87824,  240, 0, 0 },
    { 87854,  240, 0, 0 },
    { 87883,  240, 0, 0 },
    { 87913,  240, 0, 0 },
    { 87942,  240, 0, 0 },
    { 87972,  240, 0, 0 },
    { 88001,  240, 0, 0 },
    { 88031,  241, 1, 0 },
    { 88060,  241, 0, 0 },
    { 88090,  241, 0, 0 },
    { 88119,  241, 0, 0 },
    { 88149,  241, 0, 0 },
    { 88178,  241, 0, 0 },
    { 88208,  241, 0, 0 },
    { 88238,  241, 0, 0 },
    { 88267,  241, 0, 0 },
    { 88297,  241, 0, 0 },
    { 88326,  241, 0, 0 },
    { 88356,  241, 0, 0 },
    { 88385,  241, 0, 1 },
    { 88415,  242, 1, 0 },
    { 88444,  242, 0, 0 },
    { 88474,  242, 0, 0 },
    { 88503,  242, 0, 0 },
    { 88533,  242, 0, 0 },
    { 88562,  242, 0, 0 },
    { 88592,  242, 0, 0 },
    { 88621,  242, 0, 0 },
    { 88651,  242, 0, 0 },
    { 88680,  242, 0, 0 },
    { 88710,  242, 0, 0 },
    { 88740,  242, 0, 0 },
    { 88769,  243, 1, 0 },
    { 88799,  243, 0, 0 },
    { 88828,  243, 0, 0 },
    { 88858,  243, 0, 0 },
    { 88887,  243, 0, 0 },
    { 88917,  243, 0, 0 },
    { 88946,  243, 0, 0 },
    { 88976,  243, 0, 0 },
    { 89005,  243, 0, 0 },
    { 89035,  243, 0, 0 },
    { 89064,  243, 0, 0 },
    { 89094,  243, 0, 0 },
    { 89123,  244, 1, 0 },
    { 89153,  244, 0, 0 },
    { 89182,  244, 0, 0 },
    { 89212,  244, 0, 0 },
    { 89242,  244, 0, 0 },
    { 89271,  244, 0, 0 },
    { 89301,  244, 0, 0 },
    { 89330,  244, 0, 0 },
    { 89360,  244, 0, 1 },
    { 89389,  244, 0, 0 },
    { 89419,  244, 0, 0 },
    { 89448,  244, 0, 0 },
    { 89478,  244, 0, 0 },
    { 89507,  245, 1, 0 },
    { 89537,  245, 0, 0 },
    { 89566,  245, 0, 0 },
    { 89596,  245, 0, 0 },
    { 89625,  245, 0, 0 },
    { 89655,  245, 0, 0 },
    { 89685,  245, 0, 0 },
    { 89714,  245, 0, 0 },
    { 89744,  245, 0, 0 },
    { 89773,  245, 0, 0 },
    { 89803,  245, 0, 0 },
    { 89832,  245, 0, 0 },
    { 89862,  246, 1, 0 },
    { 89891,  246, 0, 0 },
    { 89921,  246, 0, 0 },
    { 89950,  246, 0, 0 },
    { 89980,  246, 0, 0 },
    { 90009,  246, 0, 0 },
    { 90039,  246, 0, 0 },
    { 90068,  246, 0, 0 },
    { 90098,  246, 0, 0 },
    { 90127,  246, 0, 0 },
    { 90157,  246, 0, 0 },
    { 90187,  246, 0, 0 },
    { 90216,  247, 1, 0 },
    { 90246,  247, 0, 0 },
    { 90275,  247, 0, 0 },
    { 90305,  247, 0, 0 },
    { 90334,  247, 0, 0 },
    { 90364,  247, 0, 1 },
    { 90393,  247, 0, 0 },
    { 90423,  247, 0, 0 },
    { 90452,  247, 0, 0 },
    { 90482,  247, 0, 0 },
    { 90511,  247, 0, 0 },
    { 90540,  247, 0, 0 },
    { 90570,  247, 0, 0 },
    { 90600,  248, 1, 0 },
    { 90629,  248, 0, 0 },
    { 90659,  248, 0, 0 },
    { 90689,  248, 0, 0 },
    { 90718,  248, 0, 0 },
    { 90748,  248, 0, 0 },
    { 90777,  248, 0, 0 },
    { 90807,  248, 0, 0 },
    { 90836,  248, 0, 0 },
    { 90866,  248, 0, 0 },
    { 90895,  248, 0, 0 },
    { 90925,  248, 0, 0 },
    { 90954,  249, 1, 0 },
    { 90984,  249, 0, 0 },
    { 91013,  249, 0, 0 },
    { 91043,  249, 0, 0 },
    { 91072,  249, 0, 0 },
    { 91102,  249, 0, 0 },
    { 91132,  249, 0, 0 },
    { 91161,  249, 0, 0 },
    { 91191,  249, 0, 0 },
    { 91220,  249, 0, 0 },
    { 91250,  249, 0, 0 },
    { 91279,  249, 0, 0 },
    { 91309,  250, 1, 0 },
    { 91338,  250, 0, 0 },
    { 91368,  250, 0, 1 },
    { 91397,  250, 0, 0 },
    { 91427,  250, 0, 0 },
    { 91456,  250, 0, 0 },
    { 91486,  250, 0, 0 },
    { 91515,  250, 0, 0 },
    { 91545,  250, 0, 0 },
    { 91574,  250, 0, 0 },
    { 91604,  250, 0, 0 },
    { 91634,  250, 0, 0 },
    { 91663,  250, 0, 0 },
    { 91693,  251, 1, 0 },
    { 91722,  251, 0, 0 },
    { 91752,  251, 0, 0 },
    { 91781,  251, 0, 0 },
    { 91811,  251, 0, 0 },
    { 91840,  251, 0, 0 },
    { 91870,  251, 0, 0 },
    { 91899,  251, 0, 0 },
    { 91929,  251, 0, 0 },
    { 91958,  251, 0, 0 },
    { 91988,  251, 0, 0 },
    { 92018,  251, 0, 0 },
    { 92047,  252, 1, 0 },
    { 92076,  252, 0, 0 },
    { 92106,  252, 0, 0 },
    { 92135,  252, 0, 0 },
    { 92165,  252, 0, 0 },
    { 92195,  252, 0, 0 },
    { 92224,  252, 0, 0 },
    { 92253,  252, 0, 0 },
    { 92283,  252, 0, 0 },
    { 92313,  252, 0, 0 },
    { 92342,  252, 0, 0 },
    { 92372,  252, 0, 0 },
    { 92402,  252, 0, 1 },
    { 92431,  253, 1, 0 },
    { 92461,  253, 0, 0 },
    { 92490,  253, 0, 0 },
    { 92519,  253, 0, 0 },
    { 92549,  253, 0, 0 },
    { 92578,  253, 0, 0 },
    { 92608,  253, 0, 0 },
    { 92637,  253, 0, 0 },
    { 92667,  253, 0, 0 },
    { 92697,  253, 0, 0 },
    { 92726,  253, 0, 0 },
    { 92756,  253, 0, 0 },
    { 92786,  254, 1, 0 },
    { 92815,  254, 0, 0 },
    { 92845,  254, 0, 0 },
    { 92874,  254, 0, 0 },
    { 92903,  254, 0, 0 },
    { 92933,  254, 0, 0 },
    { 92962,  254, 0, 0 },
    { 92991,  254, 0, 0 },
    { 93021,  254, 0, 0 },
    { 93051,  254, 0, 0 },
    { 93080,  254, 0, 0 },
    { 93110,  254, 0, 0 },
    { 93140,  255, 1, 0 },
    { 93170,  255, 0, 0 },
    { 93199,  255, 0, 0 },
    { 93229,  255, 0, 0 },
    { 93258,  255, 0, 0 },
    { 93287,  255, 0, 0 },
    { 93317,  255, 0, 0 },
    { 93346,  255, 0, 1 },
    { 93375,  255, 0, 0 },
    { 93405,  255, 0, 0 },
    { 93434,  255, 0, 0 },
    { 93464,  255, 0, 0 },
    { 93494,  255, 0, 0 },
    { 93524,  256, 1, 0 },
    { 93553,  256, 0, 0 },
    { 93583,  256, 0, 0 },
    { 93613,  256, 0, 0 },
    { 93642,  256, 0, 0 },
    { 93671,  256, 0, 0 },
    { 93701,  256, 0, 0 },
    { 93730,  256, 0, 0 },
    { 93759,  256, 0, 0 },
    { 93789,  256, 0, 0 },
    { 93818,  256, 0, 0 },
    { 93848,  256, 0, 0 },
    { 93878,  257, 1, 0 },
    { 93907,  257, 0, 0 },
    { 93937,  257, 0, 0 },
    { 93967,  257, 0, 0 },
    { 93996,  257, 0, 0 },
    { 94026,  257, 0, 0 },
    { 94055,  257, 0, 0 },
    { 94085,  257, 0, 0 },
    { 94114,  257, 0, 0 },
    { 94144,  257, 0, 0 },
    { 94173,  257, 0, 0 },
    { 94202,  257, 0, 0 },
    { 94232,  258, 1, 0 },
    { 94262,  258, 0, 0 },
    { 94291,  258, 0, 0 },
    { 94321,  258, 0, 0 },
    { 94350,  258, 0, 1 },
    { 94380,  258, 0, 0 },
    { 94410,  258, 0, 0 },
    { 94439,  258, 0, 0 },
    { 94469,  258, 0, 0 },
    { 94498,  258, 0, 0 },
    { 94528,  258, 0, 0 },
    { 94557,  258, 0, 0 },
    { 94586,  258, 0, 0 },
    { 94616,  259, 1, 0 },
    { 94645,  259, 0, 0 },
    { 94675,  259, 0, 0 },
    { 94705,  259, 0, 0 },
    { 94734,  259, 0, 0 },
    { 94764,  259, 0, 0 },
    { 94793,  259, 0, 0 },
    { 94823,  259, 0, 0 },
    { 94853,  259, 0, 0 },
    { 94882,  259, 0, 0 },
    { 94912,  259, 0, 0 },
    { 94941,  259, 0, 0 },
    { 94971,  260, 1, 0 },
    { 95000,  260, 0, 0 },
    { 95029,  260, 0, 0 },
    { 95059,  260, 0, 0 },
    { 95088,  260, 0, 0 },
    { 95118,  260, 0, 0 },
    { 95147,  260, 0, 0 },
    { 95177,  260, 0, 0 },
    { 95207,  260, 0, 0 },
    { 95236,  260, 0, 0 },
    { 95266,  260, 0, 0 },
    { 95296,  260, 0, 0 },
    { 95325,  261, 1, 0 },
    { 95355,  261, 0, 1 },
    { 95384,  261, 0, 0 },
    { 95413,  261, 0, 0 },
    { 95443,  261, 0, 0 },
    { 95472,  261, 0, 0 },
    { 95502,  261, 0, 0 },
    { 95531,  261, 0, 0 },
    { 95561,  261, 0, 0 },
    { 95591,  261, 0, 0 },
    { 95620,  261, 0, 0 },
    { 95650,  261, 0, 0 },
    { 95680,  261, 0, 0 },
    { 95709,  262, 1, 0 },
    { 95739,  262, 0, 0 },
    { 95768,  262, 0, 0 },
    { 95797,  262, 0, 0 },
    { 95827,  262, 0, 0 },
    { 95856,  262, 0, 0 },
    { 95885,  262, 0, 0 },
    { 95915,  262, 0, 0 },
    { 95945,  262, 0, 0 },
    { 95974,  262, 0, 0 },
    { 96004,  262, 0, 0 },
    { 96034,  262, 0, 0 },
    { 96064,  263, 1, 0 },
    { 96093,  263, 0, 0 },
    { 96123,  263, 0, 0 },
    { 96152,  263, 0, 0 },
    { 96181,  263, 0, 0 },
    { 96211,  263, 0, 0 },
    { 96240,  263, 0, 0 },
    { 96269,  263, 0, 0 },
    { 96299,  263, 0, 1 },
    { 96328,  263, 0, 0 },
    { 96358,  263, 0, 0 },
    { 96388,  263, 0, 0 },
    { 96418,  263, 0, 0 },
    { 96447,  264, 1, 0 },
    { 96477,  264, 0, 0 },
    { 96507,  264, 0, 0 },
    { 96536,  264, 0, 0 },
    { 96565,  264, 0, 0 },
    { 96595,  264, 0, 0 },
    { 96624,  264, 0, 0 },
    { 96653,  264, 0, 0 },
    { 96683,  264, 0, 0 },
    { 96712,  264, 0, 0 },
    { 96742,  264, 0, 0 },
    { 96772,  264, 0, 0 },
    { 96801,  265, 1, 0 },
    { 96831,  265, 0, 0 },
    { 96861,  265, 0, 0 },
    { 96890,  265, 0, 0 },
    { 96920,  265, 0, 0 },
    { 96949,  265, 0, 0 },
    { 96979,  265, 0, 0 },
    { 97008,  265, 0, 0 },
    { 97037,  265, 0, 0 },
    { 97067,  265, 0, 0 },
    { 97096,  265, 0, 0 },
    { 97126,  265, 0, 0 },
    { 97155,  266, 1, 0 },
    { 97185,  266, 0, 0 },
    { 97215,  266, 0, 0 },
    { 97245,  266, 0, 0 },
    { 97274,  266, 0, 0 },
    { 97304,  266, 0, 0 },
    { 97333,  266, 0, 1 },
    { 97363,  266, 0, 0 },
    { 97392,  266, 0, 0 },
    { 97422,  266, 0, 0 },
    { 97451,  266, 0, 0 },
    { 97480,  266, 0, 0 },
    { 97510,  266, 0, 0 },
    { 97539,  267, 1, 0 },
    { 97569,  267, 0, 0 },
    { 97599,  267, 0, 0 },
    { 97628,  267, 0, 0 },
    { 97658,  267, 0, 0 },
    { 97688,  267, 0, 0 },
    { 97717,  267, 0, 0 },
    { 97747,  267, 0, 0 },
    { 97776,  267, 0, 0 },
    { 97806,  267, 0, 0 },
    { 97835,  267, 0, 0 },
    { 97864,  267, 0, 0 },
    { 97894,  268, 1, 0 },
    { 97923,  268, 0, 0 },
    { 97953,  268, 0, 0 },
    { 97982,  268, 0, 0 },
    { 98012,  268, 0, 0 },
    { 98042,  268, 0, 0 },
    { 98071,  268, 0, 0 },
    { 98101,  268, 0, 0 },
    { 98130,  268, 0, 0 },
    { 98160,  268, 0, 0 },
    { 98190,  268, 0, 0 },
    { 98219,  268, 0, 0 },
    { 98249,  269, 1, 0 },
    { 98278,  269, 0, 0 },
    { 98307,  269, 0, 1 },
    { 98337,  269, 0, 0 },
    { 98366,  269, 0, 0 },
    { 98396,  269, 0, 0 },
    { 98425,  269, 0, 0 },
    { 98455,  269, 0, 0 },
    { 98485,  269, 0, 0 },
    { 98514,  269, 0, 0 },
    { 98544,  269, 0, 0 },
    { 98574,  269, 0, 0 },
    { 98603,  269, 0, 0 },
    { 98633,  270, 1, 0 },
    { 98662,  270, 0, 0 },
    { 98691,  270, 0, 0 },
    { 98721,  270, 0, 0 },
    { 98750,  270, 0, 0 },
    { 98780,  270, 0, 0 },
    { 98809,  270, 0, 0 },
    { 98839,  270, 0, 0 },
    { 98868,  270, 0, 0 },
    { 98898,  270, 0, 0 },
    { 98928,  270, 0, 0 },
    { 98958,  270, 0, 0 },
    { 98987,  271, 1, 0 },
    { 99017,  271, 0, 0 },
    { 99046,  271, 0, 0 },
    { 99075,  271, 0, 0 },
    { 99105,  271, 0, 0 },
    { 99134,  271, 0, 0 },
    { 99163,  271, 0, 0 },
    { 99193,  271, 0, 0 },
    { 99222,  271, 0, 0 },
    { 99252,  271, 0, 0 },
    { 99282,  271, 0, 0 },
    { 99312,  271, 0, 1 },
    { 99341,  271, 0, 0 },
    { 99371,  272, 1, 0 },
    { 99401,  272, 0, 0 },
    { 99430,  272, 0, 0 },
    { 99459,  272, 0, 0 },
    { 99489,  272, 0, 0 },
    { 99518,  272, 0, 0 },
    { 99547,  272, 0, 0 },
    { 99577,  272, 0, 0 },
    { 99606,  272, 0, 0 },
    { 99636,  272, 0, 0 },
    { 99666,  272, 0, 0 },
    { 99695,  272, 0, 0 },
    { 99725,  273, 1, 0 },
    { 99755,  273, 0, 0 },
    { 99785,  273, 0, 0 },
    { 99814,  273, 0, 0 },
    { 99843,  273, 0, 0 },
    { 99873,  273, 0, 0 },
    { 99902,  273, 0, 0 },
    { 99931,  273, 0, 0 },
    { 99961,  273, 0, 0 },
    { 99990,  273, 0, 0 },
    { 100020, 273, 0, 0 },
    { 100049, 273, 0, 0 },
    { 100079, 274, 1, 0 },
    { 100109, 274, 0, 0 },
    { 100139, 274, 0, 0 },
    { 100168, 274, 0, 0 },
    { 100198, 274, 0, 0 },
    { 100227, 274, 0, 0 },
    { 100257, 274, 0, 0 },
    { 100286, 274, 0, 1 },
    { 100315, 274, 0, 0 },
    { 100345, 274, 0, 0 },
    { 100374, 274, 0, 0 },
    { 100404, 274, 0, 0 },
    { 100433, 274, 0, 0 },
    { 100463, 275, 1, 0 },
    { 100493, 275, 0, 0 },
    { 100522, 275, 0, 0 },
    { 100552, 275, 0, 0 },
    { 100582, 275, 0, 0 },
    { 100611, 275, 0, 0 },
    { 100641, 275, 0, 0 },
    { 100670, 275, 0, 0 },
    { 100699, 275, 0, 0 },
    { 100729, 275, 0, 0 },
    { 100758, 275, 0, 0 },
    { 100788, 275, 0, 0 },
    { 100817, 276, 1, 0 },
    { 100847, 276, 0, 0 },
    { 100876, 276, 0, 0 },
    { 100906, 276, 0, 0 },
    { 100936, 276, 0, 0 },
    { 100965, 276, 0, 0 },
    { 100995, 276, 0, 0 },
    { 101024, 276, 0, 0 },
    { 101054, 276, 0, 0 },
    { 101084, 276, 0, 0 },
    { 101113, 276, 0, 0 },
    { 101142, 276, 0, 0 },
    { 101172, 277, 1, 0 },
    { 101201, 277, 0, 0 },
    { 101231, 277, 0, 0 },
    { 101260, 277, 0, 0 },
    { 101290, 277, 0, 1 },
    { 101319, 277, 0, 0 },
    { 101349, 277, 0, 0 },
    { 101379, 277, 0, 0 },
    { 101408, 277, 0, 0 },
    { 101438, 277, 0, 0 },
    { 101468, 277, 0, 0 },
    { 101497, 277, 0, 0 },
    { 101527, 277, 0, 0 },
    { 101556, 278, 1, 0 },
    { 101585, 278, 0, 0 },
    { 101615, 278, 0, 0 },
    { 101644, 278, 0, 0 },
    { 101674, 278, 0, 0 },
    { 101703, 278, 0, 0 },
    { 101733, 278, 0, 0 },
    { 101762, 278, 0, 0 },
    { 101792, 278, 0, 0 },
    { 101822, 278, 0, 0 },
    { 101851, 278, 0, 0 },
    { 101881, 278, 0, 0 },
    { 101911, 279, 1, 0 },
    { 101940, 279, 0, 0 },
    { 101969, 279, 0, 0 },
    { 101999, 279, 0, 0 },
    { 102028, 279, 0, 0 },
    { 102057, 279, 0, 0 },
    { 102087, 279, 0, 0 },
    { 102116, 279, 0, 0 },
    { 102146, 279, 0, 0 },
    { 102176, 279, 0, 0 },
    { 102206, 279, 0, 0 },
    { 102235, 279, 0, 0 },
    { 102265, 280, 1, 0 },
    { 102295, 280, 0, 1 },
    { 102324, 280, 0, 0 },
    { 102353, 280, 0, 0 },
    { 102383, 280, 0, 0 },
    { 102412, 280, 0, 0 },
    { 102441, 280, 0, 0 },
    { 102471, 280, 0, 0 },
    { 102500, 280, 0, 0 },
    { 102530, 280, 0, 0 },
    { 102560, 280, 0, 0 },
    { 102589, 280, 0, 0 },
    { 102619, 280, 0, 0 },
    { 102649, 281, 1, 0 },
    { 102679, 281, 0, 0 },
    { 102708, 281, 0, 0 },
    { 102737, 281, 0, 0 },
    { 102767, 281, 0, 0 },
    { 102796, 281, 0, 0 },
    { 102825, 281, 0, 0 },
    { 102855, 281, 0, 0 },
    { 102885, 281, 0, 0 },
    { 102914, 281, 0, 0 },
    { 102943, 281, 0, 0 },
    { 102973, 281, 0, 0 },
    { 103003, 282, 1, 0 },
    { 103033, 282, 0, 0 },
    { 103062, 282, 0, 0 },
    { 103092, 282, 0, 0 },
    { 103121, 282, 0, 0 },
    { 103151, 282, 0, 0 },
    { 103180, 282, 0, 0 },
    { 103209, 282, 0, 0 },
    { 103239, 282, 0, 0 },
    { 103268, 282, 0, 1 },
    { 103298, 282, 0, 0 },
    { 103327, 282, 0, 0 },
    { 103357, 282, 0, 0 },
    { 103387, 283, 1, 0 },
    { 103416, 283, 0, 0 },
    { 103446, 283, 0, 0 },
    { 103476, 283, 0, 0 },
    { 103505, 283, 0, 0 },
    { 103535, 283, 0, 0 },
    { 103564, 283, 0, 0 },
    { 103593, 283, 0, 0 },
    { 103623, 283, 0, 0 },
    { 103652, 283, 0, 0 },
    { 103682, 283, 0, 0 },
    { 103711, 283, 0, 0 },
    { 103741, 284, 1, 0 },
    { 103771, 284, 0, 0 },
    { 103800, 284, 0, 0 },
    { 103830, 284, 0, 0 },
    { 103859, 284, 0, 0 },
    { 103889, 284, 0, 0 },
    { 103919, 284, 0, 0 },
    { 103948, 284, 0, 0 },
    { 103977, 284, 0, 0 },
    { 104007, 284, 0, 0 },
    { 104036, 284, 0, 0 },
    { 104066, 284, 0, 0 },
    { 104095, 285, 1, 0 },
    { 104125, 285, 0, 0 },
    { 104154, 285, 0, 0 },
    { 104184, 285, 0, 0 },
    { 104214, 285, 0, 0 },
    { 104243, 285, 0, 0 },
    { 104273, 285, 0, 1 },
    { 104302, 285, 0, 0 },
    { 104332, 285, 0, 0 },
    { 104361, 285, 0, 0 },
    { 104391, 285, 0, 0 },
    { 104420, 285, 0, 0 },
    { 104450, 285, 0, 0 },
    { 104479, 286, 1, 0 },
    { 104509, 286, 0, 0 },
    { 104538, 286, 0, 0 },
    { 104568, 286, 0, 0 },
    { 104597, 286, 0, 0 },
    { 104627, 286, 0, 0 },
    { 104656, 286, 0, 0 },
    { 104686, 286, 0, 0 },
    { 104716, 286, 0, 0 },
    { 104745, 286, 0, 0 },
    { 104775, 286, 0, 0 },
    { 104804, 286, 0, 0 },
    { 104834, 287, 1, 0 },
    { 104863, 287, 0, 0 },
    { 104893, 287, 0, 0 },
    { 104922, 287, 0, 0 },
    { 104951, 287, 0, 0 },
    { 104981, 287, 0, 0 },
    { 105011, 287, 0, 0 },
    { 105040, 287, 0, 0 },
    { 105070, 287, 0, 0 },
    { 105100, 287, 0, 0 },
    { 105129, 287, 0, 0 },
    { 105159, 287, 0, 0 },
    { 105189, 288, 1, 0 },
    { 105218, 288, 0, 0 },
    { 105248, 288, 0, 0 },
    { 105277, 288, 0, 1 },
    { 105306, 288, 0, 0 },
    { 105335, 288, 0, 0 },
    { 105365, 288, 0, 0 },
    { 105394, 288, 0, 0 },
    { 105424, 288, 0, 0 },
    { 105454, 288, 0, 0 },
    { 105483, 288, 0, 0 },
    { 105513, 288, 0, 0 },
    { 105543, 288, 0, 0 },
    { 105572, 289, 1, 0 },
    { 105602, 289, 0, 0 },
    { 105631, 289, 0, 0 },
    { 105661, 289, 0, 0 },
    { 105690, 289, 0, 0 },
    { 105719, 289, 0, 0 },
    { 105749, 289, 0, 0 },
    { 105778, 289, 0, 0 },
    { 105808, 289, 0, 0 },
    { 105837, 289, 0, 0 },
    { 105867, 289, 0, 0 },
    { 105897, 289, 0, 0 },
    { 105927, 290, 1, 0 },
    { 105956, 290, 0, 0 },
    { 105986, 290, 0, 0 },
    { 106015, 290, 0, 0 },
    { 106045, 290, 0, 0 },
    { 106074, 290, 0, 0 },
    { 106103, 290, 0, 0 },
    { 106133, 290, 0, 0 },
    { 106162, 290, 0, 0 },
    { 106192, 290, 0, 0 },
    { 106221, 290, 0, 0 },
    { 106251, 290, 0, 1 },
    { 106281, 290, 0, 0 },
    { 106310, 291, 1, 0 },
    { 106340, 291, 0, 0 },
    { 106370, 291, 0, 0 },
    { 106399, 291, 0, 0 },
    { 106429, 291, 0, 0 },
    { 106458, 291, 0, 0 },
    { 106487, 291, 0, 0 },
    { 106517, 291, 0, 0 },
    { 106546, 291, 0, 0 },
    { 106576, 291, 0, 0 },
    { 106605, 291, 0, 0 },
    { 106635, 291, 0, 0 },
    { 106664, 292, 1, 0 },
    { 106694, 292, 0, 0 },
    { 106724, 292, 0, 0 },
    { 106754, 292, 0, 0 },
    { 106783, 292, 0, 0 },
    { 106813, 292, 0, 0 },
    { 106842, 292, 0, 0 },
    { 106871, 292, 0, 0 },
    { 106901, 292, 0, 0 },
    { 106930, 292, 0, 0 },
    { 106960, 292, 0, 0 },
    { 106989, 292, 0, 0 },
    { 107019, 293, 1, 0 },
    { 107048, 293, 0, 0 },
    { 107078, 293, 0, 0 },
    { 107108, 293, 0, 0 },
    { 107137, 293, 0, 0 },
    { 107167, 293, 0, 0 },
    { 107196, 293, 0, 0 },
    { 107226, 293, 0, 1 },
    { 107255, 293, 0, 0 },
    { 107285, 293, 0, 0 },
    { 107314, 293, 0, 0 },
    { 107344, 293, 0, 0 },
    { 107373, 293, 0, 0 },
    { 107403, 294, 1, 0 },
    { 107432, 294, 0, 0 },
    { 107462, 294, 0, 0 },
    { 107491, 294, 0, 0 },
    { 107521, 294, 0, 0 },
    { 107551, 294, 0, 0 },
    { 107580, 294, 0, 0 },
    { 107610, 294, 0, 0 },
    { 107639, 294, 0, 0 },
    { 107669, 294, 0, 0 },
    { 107698, 294, 0, 0 },
    { 107728, 294, 0, 0 },
    { 107757, 295, 1, 0 },
    { 107787, 295, 0, 0 },
    { 107816, 295, 0, 0 },
    { 107846, 295, 0, 0 },
    { 107875, 295, 0, 0 },
    { 107905, 295, 0, 0 },
    { 107934, 295, 0, 0 },
    { 107964, 295, 0, 0 },
    { 107994, 295, 0, 0 },
    { 108023, 295, 0, 0 },
    { 108053, 295, 0, 0 },
    { 108082, 295, 0, 0 },
    { 108112, 296, 1, 0 },
    { 108141, 296, 0, 0 },
    { 108171, 296, 0, 0 },
    { 108200, 296, 0, 1 },
    { 108229, 296, 0, 0 },
    { 108259, 296, 0, 0 },
    { 108288, 296, 0, 0 },
    { 108318, 296, 0, 0 },
    { 108348, 296, 0, 0 },
    { 108377, 296, 0, 0 },
    { 108407, 296, 0, 0 },
    { 108437, 296, 0, 0 },
    { 108466, 296, 0, 0 },
    { 108496, 297, 1, 0 },
    { 108525, 297, 0, 0 },
    { 108555, 297, 0, 0 },
    { 108584, 297, 0, 0 },
    { 108613, 297, 0, 0 },
    { 108643, 297, 0, 0 },
    { 108672, 297, 0, 0 },
    { 108702, 297, 0, 0 },
    { 108731, 297, 0, 0 },
    { 108761, 297, 0, 0 },
    { 108791, 297, 0, 0 },
    { 108821, 297, 0, 0 },
    { 108850, 298, 1, 0 },
    { 108880, 298, 0, 0 },
    { 108909, 298, 0, 0 },
    { 108939, 298, 0, 0 },
    { 108968, 298, 0, 0 },
    { 108997, 298, 0, 0 },
    { 109027, 298, 0, 0 },
    { 109056, 298, 0, 0 },
    { 109086, 298, 0, 0 },
    { 109115, 298, 0, 0 },
    { 109145, 298, 0, 0 },
    { 109175, 298, 0, 0 },
    { 109205, 299, 1, 0 },
    { 109234, 299, 0, 1 },
    { 109264, 299, 0, 0 },
    { 109293, 299, 0, 0 },
    { 109323, 299, 0, 0 },
    { 109352, 299, 0, 0 },
    { 109381, 299, 0, 0 },
    { 109411, 299, 0, 0 },
    { 109440, 299, 0, 0 },
    { 109469, 299, 0, 0 },
    { 109499, 299, 0, 0 },
    { 109529, 299, 0, 0 },
    { 109558, 299, 0, 0 },
    { 109588, 300, 1, 0 },
    { 109618, 300, 0, 0 },
    { 109648, 300, 0, 0 },
    { 109677, 300, 0, 0 },
    { 109707, 300, 0, 0 },
    { 109736, 300, 0, 0 },
    { 109765, 300, 0, 0 },
    { 109795, 300, 0, 0 },
    { 109824, 300, 0, 0 },
    { 109853, 300, 0, 0 },
    { 109883, 300, 0, 0 },
    { 109913, 300, 0, 0 },
    { 109942, 301, 1, 0 },
    { 109972, 301, 0, 0 },
    { 110002, 301, 0, 0 },
    { 110031, 301, 0, 0 },
    { 110061, 301, 0, 0 },
    { 110091, 301, 0, 0 },
    { 110120, 301, 0, 0 },
    { 110149, 301, 0, 0 },
    { 110179, 301, 0, 0 },
    { 110208, 301, 0, 1 },
    { 110238, 301, 0, 0 },
    { 110267, 301, 0, 0 },
    { 110297, 301, 0, 0 },
    { 110326, 302, 1, 0 },
    { 110356, 302, 0, 0 },
    { 110385, 302, 0, 0 },
    { 110415, 302, 0, 0 },
    { 110445, 302, 0, 0 },
    { 110474, 302, 0, 0 },
    { 110504, 302, 0, 0 },
    { 110533, 302, 0, 0 },
    { 110563, 302, 0, 0 },
    { 110592, 302, 0, 0 },
    { 110622, 302, 0, 0 },
    { 110651, 302, 0, 0 },
    { 110681, 303, 1, 0 },
    { 110710, 303, 0, 0 },
    { 110740, 303, 0, 0 },
    { 110769, 303, 0, 0 },
    { 110799, 303, 0, 0 },
    { 110828, 303, 0, 0 },
    { 110858, 303, 0, 0 },
    { 110888, 303, 0, 0 },
    { 110917, 303, 0, 0 },
    { 110947, 303, 0, 0 },
    { 110976, 303, 0, 0 },
    { 111006, 303, 0, 0 },
    { 111035, 304, 1, 0 },
    { 111065, 304, 0, 0 },
    { 111094, 304, 0, 0 },
    { 111123, 304, 0, 0 },
    { 111153, 304, 0, 0 },
    { 111183, 304, 0, 1 },
    { 111212, 304, 0, 0 },
    { 111242, 304, 0, 0 },
    { 111271, 304, 0, 0 },
    { 111301, 304, 0, 0 },
    { 111331, 304, 0, 0 },
    { 111360, 304, 0, 0 },
    { 111390, 304, 0, 0 },
    { 111419, 305, 1, 0 },
    { 111449, 305, 0, 0 },
    { 111478, 305, 0, 0 },
    { 111507, 305, 0, 0 },
    { 111537, 305, 0, 0 },
    { 111566, 305, 0, 0 },
    { 111596, 305, 0, 0 },
    { 111625, 305, 0, 0 },
    { 111655, 305, 0, 0 },
    { 111685, 305, 0, 0 },
    { 111715, 305, 0, 0 },
    { 111744, 305, 0, 0 },
    { 111774, 306, 1, 0 },
    { 111803, 306, 0, 0 },
    { 111833, 306, 0, 0 },
    { 111862, 306, 0, 0 },
    { 111891, 306, 0, 0 },
    { 111921, 306, 0, 0 },
    { 111950, 306, 0, 0 },
    { 111980, 306, 0, 0 },
    { 112009, 306, 0, 0 },
    { 112039, 306, 0, 0 },
    { 112069, 306, 0, 0 },
    { 112098, 306, 0, 0 },
    { 112128, 307, 1, 0 },
    { 112158, 307, 0, 0 },
    { 112187, 307, 0, 0 },
    { 112217, 307, 0, 1 },
    { 112246, 307, 0, 0 },
    { 112275, 307, 0, 0 },
    { 112305, 307, 0, 0 },
    { 112334, 307, 0, 0 },
    { 112363, 307, 0, 0 },
    { 112393, 307, 0, 0 },
    { 112423, 307, 0, 0 },
    { 112452, 307, 0, 0 },
    { 112482, 307, 0, 0 },
    { 112512, 308, 1, 0 },
    { 112542, 308, 0, 0 },
    { 112571, 308, 0, 0 },
    { 112601, 308, 0, 0 },
    { 112630, 308, 0, 0 },
    { 112659, 308, 0, 0 },
    { 112689, 308, 0, 0 },
    { 112718, 308, 0, 0 },
    { 112747, 308, 0, 0 },
    { 112777, 308, 0, 0 },
    { 112807, 308, 0, 0 },
    { 112836, 308, 0, 0 },
    { 112866, 309, 1, 0 },
    { 112896, 309, 0, 0 },
    { 112926, 309, 0, 0 },
    { 112955, 309, 0, 0 },
    { 112985, 309, 0, 0 },
    { 113014, 309, 0, 0 },
    { 113043, 309, 0, 0 },
    { 113073, 309, 0, 0 },
    { 113102, 309, 0, 0 },
    { 113131, 309, 0, 0 },
    { 113161, 309, 0, 1 },
    { 113190, 309, 0, 0 },
    { 113220, 309, 0, 0 },
    { 113250, 310, 1, 0 },
    { 113280, 310, 0, 0 },
    { 113309, 310, 0, 0 },
    { 113339, 310, 0, 0 },
    { 113368, 310, 0, 0 },
    { 113398, 310, 0, 0 },
    { 113427, 310, 0, 0 },
    { 113457, 310, 0, 0 },
    { 113486, 310, 0, 0 },
    { 113515, 310, 0, 0 },
    { 113545, 310, 0, 0 },
    { 113574, 310, 0, 0 },
    { 113604, 311, 1, 0 },
    { 113634, 311, 0, 0 },
    { 113663, 311, 0, 0 },
    { 113693, 311, 0, 0 },
    { 113723, 311, 0, 0 },
    { 113752, 311, 0, 0 },
    { 113782, 311, 0, 0 },
    { 113811, 311, 0, 0 },
    { 113841, 311, 0, 0 },
    { 113870, 311, 0, 0 },
    { 113900, 311, 0, 0 },
    { 113929, 311, 0, 0 },
    { 113959, 312, 1, 0 },
    { 113988, 312, 0, 0 },
    { 114018, 312, 0, 0 },
    { 114047, 312, 0, 0 },
    { 114077, 312, 0, 0 },
    { 114106, 312, 0, 0 },
    { 114136, 312, 0, 0 },
    { 114166, 312, 0, 0 },
    { 114195, 312, 0, 1 },
    { 114225, 312, 0, 0 },
    { 114254, 312, 0, 0 },
    { 114284, 312, 0, 0 },
    { 114313, 312, 0, 0 },
    { 114343, 313, 1, 0 },
    { 114372, 313, 0, 0 },
    { 114401, 313, 0, 0 },
    { 114431, 313, 0, 0 },
    { 114460, 313, 0, 0 },
    { 114490, 313, 0, 0 },
    { 114520, 313, 0, 0 },
    { 114549, 313, 0, 0 },
    { 114579, 313, 0, 0 },
    { 114609, 313, 0, 0 },
    { 114638, 313, 0, 0 },
    { 114668, 313, 0, 0 },
    { 114697, 314, 1, 0 },
    { 114727, 314, 0, 0 },
    { 114756, 314, 0, 0 },
    { 114785, 314, 0, 0 },
    { 114815, 314, 0, 0 },
    { 114844, 314, 0, 0 },
    { 114874, 314, 0, 0 },
    { 114903, 314, 0, 0 },
    { 114933, 314, 0, 0 },
    { 114963, 314, 0, 0 },
    { 114992, 314, 0, 0 },
    { 115022, 314, 0, 0 },
    { 115052, 315, 1, 0 },
    { 115081, 315, 0, 0 },
    { 115111, 315, 0, 0 },
    { 115140, 315, 0, 0 },
    { 115169, 315, 0, 1 },
    { 115199, 315, 0, 0 },
    { 115228, 315, 0, 0 },
    { 115257, 315, 0, 0 },
    { 115287, 315, 0, 0 },
    { 115317, 315, 0, 0 },
    { 115346, 315, 0, 0 },
    { 115376, 315, 0, 0 },
    { 115406, 315, 0, 0 },
    { 115436, 316, 1, 0 },
    { 115465, 316, 0, 0 },
    { 115495, 316, 0, 0 },
    { 115524, 316, 0, 0 },
    { 115553, 316, 0, 0 },
    { 115583, 316, 0, 0 },
    { 115612, 316, 0, 0 },
    { 115642, 316, 0, 0 },
    { 115671, 316, 0, 0 },
    { 115701, 316, 0, 0 },
    { 115730, 316, 0, 0 },
    { 115760, 316, 0, 0 },
    { 115789, 317, 1, 0 },
    { 115819, 317, 0, 0 },
    { 115849, 317, 0, 0 },
    { 115879, 317, 0, 0 },
    { 115908, 317, 0, 0 },
    { 115937, 317, 0, 0 },
    { 115967, 317, 0, 0 },
    { 115996, 317, 0, 0 },
    { 116025, 317, 0, 0 },
    { 116055, 317, 0, 0 },
    { 116084, 317, 0, 0 },
    { 116114, 317, 0, 0 },
    { 116144, 317, 0, 1 },
    { 116173, 318, 1, 0 },
    { 116203, 318, 0, 0 },
    { 116233, 318, 0, 0 },
    { 116263, 318, 0, 0 },
    { 116292, 318, 0, 0 },
    { 116321, 318, 0, 0 },
    { 116351, 318, 0, 0 },
    { 116380, 318, 0, 0 },
    { 116409, 318, 0, 0 },
    { 116439, 318, 0, 0 },
    { 116468, 318, 0, 0 },
    { 116498, 318, 0, 0 },
    { 116528, 319, 1, 0 },
    { 116557, 319, 0, 0 },
    { 116587, 319, 0, 0 },
    { 116617, 319, 0, 0 },
    { 116646, 319, 0, 0 },
    { 116676, 319, 0, 0 },
    { 116705, 319, 0, 0 },
    { 116735, 319, 0, 0 },
    { 116764, 319, 0, 0 },
    { 116793, 319, 0, 0 },
    { 116823, 319, 0, 0 },
    { 116852, 319, 0, 0 },
    { 116882, 320, 1, 0 },
    { 116911, 320, 0, 0 },
    { 116941, 320, 0, 0 },
    { 116971, 320, 0, 0 },
    { 117000, 320, 0, 0 },
    { 117030, 320, 0, 0 },
    { 117060, 320, 0, 0 },
    { 117089, 320, 0, 0 },
    { 117119, 320, 0, 0 },
    { 117148, 320, 0, 0 },
    { 117178, 320, 0, 1 },
    { 117207, 320, 0, 0 },
    { 117236, 320, 0, 0 },
    { 117266, 321, 1, 0 },
    { 117295, 321, 0, 0 },
    { 117325, 321, 0, 0 },
    { 117355, 321, 0, 0 },
    { 117384, 321, 0, 0 },
    { 117414, 321, 0, 0 },
    { 117443, 321, 0, 0 },
    { 117473, 321, 0, 0 },
    { 117503, 321, 0, 0 },
    { 117532, 321, 0, 0 },
    { 117562, 321, 0, 0 },
    { 117591, 321, 0, 0 },
    { 117621, 322, 1, 0 },
    { 117650, 322, 0, 0 },
    { 117679, 322, 0, 0 },
    { 117709, 322, 0, 0 },
    { 117738, 322, 0, 0 },
    { 117768, 322, 0, 0 },
    { 117797, 322, 0, 0 },
    { 117827, 322, 0, 0 },
    { 117857, 322, 0, 0 },
    { 117886, 322, 0, 0 },
    { 117916, 322, 0, 0 },
    { 117946, 322, 0, 0 },
    { 117975, 323, 1, 0 },
    { 118005, 323, 0, 0 },
    { 118034, 323, 0, 0 },
    { 118063, 323, 0, 0 },
    { 118093, 323, 0, 0 },
    { 118122, 323, 0, 0 },
    { 118152, 323, 0, 1 },
    { 118181, 323, 0, 0 },
    { 118211, 323, 0, 0 },
    { 118240, 323, 0, 0 },
    { 118270, 323, 0, 0 },
    { 118300, 323, 0, 0 },
    { 118330, 323, 0, 0 },
    { 118359, 324, 1, 0 },
    { 118389, 324, 0, 0 },
    { 118418, 324, 0, 0 },
    { 118447, 324, 0, 0 },
    { 118477, 324, 0, 0 },
    { 118506, 324, 0, 0 },
    { 118535, 324, 0, 0 },
    { 118565, 324, 0, 0 },
    { 118594, 324, 0, 0 },
    { 118624, 324, 0, 0 },
    { 118654, 324, 0, 0 },
    { 118684, 324, 0, 0 },
    { 118714, 325, 1, 0 },
    { 118743, 325, 0, 0 },
    { 118773, 325, 0, 0 },
    { 118802, 325, 0, 0 },
    { 118831, 325, 0, 0 },
    { 118861, 325, 0, 0 },
    { 118890, 325, 0, 0 },
    { 118919, 325, 0, 0 },
    { 118949, 325, 0, 0 },
    { 118978, 325, 0, 0 },
    { 119008, 325, 0, 0 },
    { 119038, 325, 0, 0 },
    { 119068, 326, 1, 0 },
    { 119097, 326, 0, 0 },
    { 119127, 326, 0, 0 },
    { 119157, 326, 0, 1 },
    { 119186, 326, 0, 0 },
    { 119215, 326, 0, 0 },
    { 119245, 326, 0, 0 },
    { 119274, 326, 0, 0 },
    { 119303, 326, 0, 0 },
    { 119333, 326, 0, 0 },
    { 119362, 326, 0, 0 },
    { 119392, 326, 0, 0 },
    { 119422, 326, 0, 0 },
    { 119451, 327, 1, 0 },
    { 119481, 327, 0, 0 },
    { 119511, 327, 0, 0 },
    { 119540, 327, 0, 0 },
    { 119570, 327, 0, 0 },
    { 119599, 327, 0, 0 },
    { 119629, 327, 0, 0 },
    { 119658, 327, 0, 0 },
    { 119687, 327, 0, 0 },
    { 119717, 327, 0, 0 },
    { 119746, 327, 0, 0 },
    { 119776, 327, 0, 0 },
    { 119806, 328, 1, 0 },
    { 119835, 328, 0, 0 },
    { 119865, 328, 0, 0 },
    { 119894, 328, 0, 0 },
    { 119924, 328, 0, 0 },
    { 119954, 328, 0, 0 },
    { 119983, 328, 0, 0 },
    { 120013, 328, 0, 0 },
    { 120042, 328, 0, 0 },
    { 120072, 328, 0, 0 },
    { 120101, 328, 0, 0 },
    { 120130, 328, 0, 1 },
    { 120160, 328, 0, 0 },
    { 120190, 329, 1, 0 },
    { 120219, 329, 0, 0 },
    { 120249, 329, 0, 0 },
    { 120278, 329, 0, 0 },
    { 120308, 329, 0, 0 },
    { 120337, 329, 0, 0 },
    { 120367, 329, 0, 0 },
    { 120397, 329, 0, 0 },
    { 120426, 329, 0, 0 },
    { 120456, 329, 0, 0 },
    { 120485, 329, 0, 0 },
    { 120514, 329, 0, 0 },
    { 120544, 330, 1, 0 },
    { 120573, 330, 0, 0 },
    { 120603, 330, 0, 0 },
    { 120632, 330, 0, 0 },
    { 120662, 330, 0, 0 },
    { 120692, 330, 0, 0 },
    { 120721, 330, 0, 0 },
    { 120751, 330, 0, 0 },
    { 120781, 330, 0, 0 },
    { 120810, 330, 0, 0 },
    { 120840, 330, 0, 0 },
    { 120869, 330, 0, 0 },
    { 120899, 331, 1, 0 },
    { 120928, 331, 0, 0 },
    { 120957, 331, 0, 0 },
    { 120987, 331, 0, 0 },
    { 121016, 331, 0, 0 },
    { 121046, 331, 0, 0 },
    { 121075, 331, 0, 0 },
    { 121105, 331, 0, 0 },
    { 121135, 331, 0, 1 },
    { 121164, 331, 0, 0 },
    { 121194, 331, 0, 0 },
    { 121224, 331, 0, 0 },
    { 121253, 331, 0, 0 },
    { 121283, 332, 1, 0 },
    { 121312, 332, 0, 0 },
    { 121342, 332, 0, 0 },
    { 121371, 332, 0, 0 },
    { 121400, 332, 0, 0 },
    { 121430, 332, 0, 0 },
    { 121459, 332, 0, 0 },
    { 121488, 332, 0, 0 },
    { 121518, 332, 0, 0 },
    { 121548, 332, 0, 0 },
    { 121578, 332, 0, 0 },
    { 121607, 332, 0, 0 },
    { 121637, 333, 1, 0 },
    { 121667, 333, 0, 0 },
    { 121696, 333, 0, 0 },
    { 121726, 333, 0, 0 },
    { 121756, 333, 0, 0 },
    { 121785, 333, 0, 0 },
    { 121814, 333, 0, 0 },
    { 121843, 333, 0, 0 },
    { 121872, 333, 0, 0 },
    { 121902, 333, 0, 0 },
    { 121932, 333, 0, 0 },
    { 121962, 333, 0, 0 },
    { 121991, 334, 1, 0 },
    { 122021, 334, 0, 0 },
    { 122051, 334, 0, 0 },
    { 122080, 334, 0, 0 },
    { 122110, 334, 0, 0 },
    { 122139, 334, 0, 1 },
    { 122168, 334, 0, 0 },
    { 122197, 334, 0, 0 },
    { 122227, 334, 0, 0 },
    { 122256, 334, 0, 0 },
    { 122286, 334, 0, 0 },
    { 122316, 334, 0, 0 },
    { 122346, 334, 0, 0 },
    { 122376, 335, 1, 0 },
    { 122405, 335, 0, 0 },
    { 122435, 335, 0, 0 },
    { 122464, 335, 0, 0 },
    { 122493, 335, 0, 0 },
    { 122523, 335, 0, 0 },
    { 122552, 335, 0, 0 },
    { 122581, 335, 0, 0 },
    { 122611, 335, 0, 0 },
    { 122640, 335, 0, 0 },
    { 122670, 335, 0, 0 },
    { 122700, 335, 0, 0 },
    { 122730, 336, 1, 0 },
    { 122759, 336, 0, 0 },
    { 122789, 336, 0, 0 },
    { 122818, 336, 0, 0 },
    { 122848, 336, 0, 0 },
    { 122877, 336, 0, 0 },
    { 122907, 336, 0, 0 },
    { 122936, 336, 0, 0 },
    { 122965, 336, 0, 0 },
    { 122995, 336, 0, 0 },
    { 123024, 336, 0, 0 },
    { 123054, 336, 0, 0 },
    { 123083, 337, 1, 0 },
    { 123113, 337, 0, 1 },
    { 123143, 337, 0, 0 },
    { 123172, 337, 0, 0 },
    { 123202, 337, 0, 0 },
    { 123232, 337, 0, 0 },
    { 123261, 337, 0, 0 },
    { 123291, 337, 0, 0 },
    { 123320, 337, 0, 0 },
    { 123349, 337, 0, 0 },
    { 123379, 337, 0, 0 },
    { 123408, 337, 0, 0 },
    { 123438, 337, 0, 0 },
    { 123467, 338, 1, 0 },
    { 123497, 338, 0, 0 },
    { 123527, 338, 0, 0 },
    { 123556, 338, 0, 0 },
    { 123586, 338, 0, 0 },
    { 123615, 338, 0, 0 },
    { 123645, 338, 0, 0 },
    { 123675, 338, 0, 0 },
    { 123704, 338, 0, 0 },
    { 123734, 338, 0, 0 },
    { 123763, 338, 0, 0 },
    { 123792, 338, 0, 0 },
    { 123822, 339, 1, 0 },
    { 123851, 339, 0, 0 },
    { 123881, 339, 0, 0 },
    { 123910, 339, 0, 0 },
    { 123940, 339, 0, 0 },
    { 123969, 339, 0, 0 },
    { 123999, 339, 0, 0 },
    { 124029, 339, 0, 0 },
    { 124058, 339, 0, 0 },
    { 124088, 339, 0, 1 },
    { 124117, 339, 0, 0 },
    { 124147, 339, 0, 0 },
    { 124177, 339, 0, 0 },
    { 124206, 340, 1, 0 },
    { 124235, 340, 0, 0 },
    { 124265, 340, 0, 0 },
    { 124294, 340, 0, 0 },
    { 124324, 340, 0, 0 },
    { 124353, 340, 0, 0 },
    { 124383, 340, 0, 0 },
    { 124412, 340, 0, 0 },
    { 124442, 340, 0, 0 },
    { 124472, 340, 0, 0 },
    { 124502, 340, 0, 0 },
    { 124531, 340, 0, 0 },
    { 124561, 341, 1, 0 },
    { 124590, 341, 0, 0 },
    { 124619, 341, 0, 0 },
    { 124649, 341, 0, 0 },
    { 124678, 341, 0, 0 },
    { 124708, 341, 0, 0 },
    { 124737, 341, 0, 0 },
    { 124766, 341, 0, 0 },
    { 124796, 341, 0, 0 },
    { 124826, 341, 0, 0 },
    { 124855, 341, 0, 0 },
    { 124885, 341, 0, 0 },
    { 124915, 342, 1, 0 },
    { 124945, 342, 0, 0 },
    { 124974, 342, 0, 0 },
    { 125004, 342, 0, 0 },
    { 125033, 342, 0, 0 },
    { 125062, 342, 0, 1 },
    { 125091, 342, 0, 0 },
    { 125121, 342, 0, 0 },
    { 125150, 342, 0, 0 },
    { 125180, 342, 0, 0 },
    { 125209, 342, 0, 0 },
    { 125239, 342, 0, 0 },
    { 125269, 342, 0, 0 },
    { 125299, 343, 1, 0 },
    { 125328, 343, 0, 0 },
    { 125358, 343, 0, 0 },
    { 125387, 343, 0, 0 },
    { 125417, 343, 0, 0 },
    { 125446, 343, 0, 0 },
    { 125475, 343, 0, 0 },
    { 125505, 343, 0, 0 },
    { 125534, 343, 0, 0 },
    { 125564, 343, 0, 0 },
    { 125593, 343, 0, 0 },
    { 125623, 343, 0, 0 },
    { 125653, 344, 1, 0 },
    { 125683, 344, 0, 0 },
    { 125712, 344, 0, 0 },
    { 125742, 344, 0, 0 },
    { 125771, 344, 0, 0 },
    { 125801, 344, 0, 0 },
    { 125830, 344, 0, 0 },
    { 125859, 344, 0, 0 },
    { 125889, 344, 0, 0 },
    { 125918, 344, 0, 0 },
    { 125948, 344, 0, 0 },
    { 125977, 344, 0, 0 },
    { 126007, 345, 1, 0 },
    { 126037, 345, 0, 0 },
    { 126067, 345, 0, 0 },
    { 126096, 345, 0, 1 },
    { 126126, 345, 0, 0 },
    { 126155, 345, 0, 0 },
    { 126185, 345, 0, 0 },
    { 126214, 345, 0, 0 },
    { 126244, 345, 0, 0 },
    { 126273, 345, 0, 0 },
    { 126302, 345, 0, 0 },
    { 126332, 345, 0, 0 },
    { 126361, 345, 0, 0 },
    { 126391, 346, 1, 0 },
    { 126420, 346, 0, 0 },
    { 126450, 346, 0, 0 },
    { 126480, 346, 0, 0 },
    { 126510, 346, 0, 0 },
    { 126539, 346, 0, 0 },
    { 126569, 346, 0, 0 },
    { 126598, 346, 0, 0 },
    { 126627, 346, 0, 0 },
    { 126657, 346, 0, 0 },
    { 126686, 346, 0, 0 },
    { 126716, 346, 0, 0 },
    { 126745, 347, 1, 0 },
    { 126775, 347, 0, 0 },
    { 126805, 347, 0, 0 },
    { 126834, 347, 0, 0 },
    { 126863, 347, 0, 0 },
    { 126893, 347, 0, 0 },
    { 126923, 347, 0, 0 },
    { 126952, 347, 0, 0 },
    { 126982, 347, 0, 0 },
    { 127012, 347, 0, 0 },
    { 127041, 347, 0, 0 },
    { 127071, 347, 0, 1 },
    { 127100, 347, 0, 0 },
    { 127129, 348, 1, 0 },
    { 127159, 348, 0, 0 },
    { 127188, 348, 0, 0 },
    { 127218, 348, 0, 0 },
    { 127247, 348, 0, 0 },
    { 127277, 348, 0, 0 },
    { 127306, 348, 0, 0 },
    { 127336, 348, 0, 0 },
    { 127366, 348, 0, 0 },
    { 127395, 348, 0, 0 },
    { 127425, 348, 0, 0 },
    { 127454, 348, 0, 0 },
    { 127484, 349, 1, 0 },
    { 127513, 349, 0, 0 },
    { 127543, 349, 0, 0 },
    { 127572, 349, 0, 0 },
    { 127601, 349, 0, 0 },
    { 127631, 349, 0, 0 },
    { 127660, 349, 0, 0 },
    { 127690, 349, 0, 0 },
    { 127720, 349, 0, 0 },
    { 127749, 349, 0, 0 },
    { 127779, 349, 0, 0 },
    { 127809, 349, 0, 0 },
    { 127839, 350, 1, 0 },
    { 127868, 350, 0, 0 },
    { 127897, 350, 0, 0 },
    { 127927, 350, 0, 0 },
    { 127956, 350, 0, 0 },
    { 127985, 350, 0, 0 },
    { 128015, 350, 0, 0 },
    { 128044, 350, 0, 1 },
    { 128074, 350, 0, 0 },
    { 128104, 350, 0, 0 },
    { 128133, 350, 0, 0 },
    { 128163, 350, 0, 0 },
    { 128193, 350, 0, 0 },
    { 128223, 351, 1, 0 },
    { 128252, 351, 0, 0 },
    { 128281, 351, 0, 0 },
    { 128311, 351, 0, 0 },
    { 128340, 351, 0, 0 },
    { 128369, 351, 0, 0 },
    { 128399, 351, 0, 0 },
    { 128428, 351, 0, 0 },
    { 128458, 351, 0, 0 },
    { 128487, 351, 0, 0 },
    { 128517, 351, 0, 0 },
    { 128547, 351, 0, 0 },
    { 128577, 352, 1, 0 },
    { 128606, 352, 0, 0 },
    { 128636, 352, 0, 0 },
    { 128665, 352, 0, 0 },
    { 128695, 352, 0, 0 },
    { 128724, 352, 0, 0 },
    { 128753, 352, 0, 0 },
    { 128783, 352, 0, 0 },
    { 128812, 352, 0, 0 },
    { 128842, 352, 0, 0 },
    { 128871, 352, 0, 0 },
    { 128901, 352, 0, 0 },
    { 128931, 353, 1, 0 },
    { 128961, 353, 0, 0 },
    { 128990, 353, 0, 0 },
    { 129020, 353, 0, 0 },
    { 129049, 353, 0, 0 },
    { 129079, 353, 0, 1 },
    { 129108, 353, 0, 0 },
    { 129137, 353, 0, 0 },
    { 129167, 353, 0, 0 },
    { 129196, 353, 0, 0 },
    { 129225, 353, 0, 0 },
    { 129255, 353, 0, 0 },
    { 129285, 353, 0, 0 },
    { 129315, 354, 1, 0 },
    { 129344, 354, 0, 0 },
    { 129374, 354, 0, 0 },
    { 129404, 354, 0, 0 },
    { 129433, 354, 0, 0 },
    { 129463, 354, 0, 0 },
    { 129492, 354, 0, 0 },
    { 129521, 354, 0, 0 },
    { 129551, 354, 0, 0 },
    { 129580, 354, 0, 0 },
    { 129610, 354, 0, 0 },
    { 129639, 354, 0, 0 },
    { 129669, 355, 1, 0 },
    { 129698, 355, 0, 0 },
    { 129728, 355, 0, 0 },
    { 129758, 355, 0, 0 },
    { 129787, 355, 0, 0 },
    { 129817, 355, 0, 0 },
    { 129846, 355, 0, 0 },
    { 129876, 355, 0, 0 },
    { 129905, 355, 0, 0 },
    { 129935, 355, 0, 0 },
    { 129964, 355, 0, 0 },
    { 129994, 355, 0, 0 },
    { 130023, 356, 1, 0 },
    { 130053, 356, 0, 1 },
    { 130082, 356, 0, 0 },
    { 130112, 356, 0, 0 },
    { 130141, 356, 0, 0 },
    { 130171, 356, 0, 0 },
    { 130200, 356, 0, 0 },
    { 130230, 356, 0, 0 },
    { 130260, 356, 0, 0 },
    { 130289, 356, 0, 0 },
    { 130319, 356, 0, 0 },
    { 130348, 356, 0, 0 },
    { 130378, 356, 0, 0 },
    { 130407, 357, 1, 0 },
    { 130437, 357, 0, 0 },
    { 130466, 357, 0, 0 },
    { 130495, 357, 0, 0 },
    { 130525, 357, 0, 0 },
    { 130555, 357, 0, 0 },
    { 130584, 357, 0, 0 },
    { 130614, 357, 0, 0 },
    { 130644, 357, 0, 0 },
    { 130673, 357, 0, 0 },
    { 130703, 357, 0, 0 },
    { 130732, 357, 0, 0 },
    { 130762, 358, 1, 0 },
    { 130791, 358, 0, 0 },
    { 130821, 358, 0, 0 },
    { 130850, 358, 0, 0 },
    { 130879, 358, 0, 0 },
    { 130909, 358, 0, 0 },
    { 130938, 358, 0, 0 },
    { 130968, 358, 0, 0 },
    { 130998, 358, 0, 0 },
    { 131027, 358, 0, 0 },
    { 131057, 358, 0, 1 },
    { 131087, 358, 0, 0 },
    { 131116, 358, 0, 0 },
    { 131146, 359, 1, 0 },
    { 131175, 359, 0, 0 },
    { 131205, 359, 0, 0 },
    { 131234, 359, 0, 0 },
    { 131263, 359, 0, 0 },
    { 131293, 359, 0, 0 },
    { 131322, 359, 0, 0 },
    { 131352, 359, 0, 0 },
    { 131381, 359, 0, 0 },
    { 131411, 359, 0, 0 },
    { 131441, 359, 0, 0 },
    { 131471, 359, 0, 0 },
    { 131500, 360, 1, 0 },
    { 131530, 360, 0, 0 },
    { 131559, 360, 0, 0 },
    { 131589, 360, 0, 0 },
    { 131618, 360, 0, 0 },
    { 131647, 360, 0, 0 },
    { 131677, 360, 0, 0 },
    { 131706, 360, 0, 0 },
    { 131735, 360, 0, 0 },
    { 131765, 360, 0, 0 },
    { 131795, 360, 0, 0 },
    { 131825, 360, 0, 0 },
    { 131855, 361, 1, 0 },
    { 131884, 361, 0, 0 },
    { 131914, 361, 0, 0 },
    { 131943, 361, 0, 0 },
    { 131973, 361, 0, 0 },
    { 132002, 361, 0, 0 },
    { 132031, 361, 0, 1 },
    { 132061, 361, 0, 0 },
    { 132090, 361, 0, 0 },
    { 132119, 361, 0, 0 },
    { 132149, 361, 0, 0 },
    { 132179, 361, 0, 0 },
    { 132209, 361, 0, 0 },
    { 132239, 362, 1, 0 },
    { 132268, 362, 0, 0 },
    { 132298, 362, 0, 0 },
    { 132327, 362, 0, 0 },
    { 132357, 362, 0, 0 },
    { 132386, 362, 0, 0 },
    { 132415, 362, 0, 0 },
    { 132445, 362, 0, 0 },
    { 132474, 362, 0, 0 },
    { 132504, 362, 0, 0 },
    { 132533, 362, 0, 0 },
    { 132563, 362, 0, 0 },
    { 132592, 363, 1, 0 },
    { 132622, 363, 0, 0 },
    { 132652, 363, 0, 0 },
    { 132681, 363, 0, 0 },
    { 132711, 363, 0, 0 },
    { 132741, 363, 0, 0 },
    { 132770, 363, 0, 0 },
    { 132799, 363, 0, 0 },
    { 132829, 363, 0, 0 },
    { 132858, 363, 0, 0 },
    { 132887, 363, 0, 0 },
    { 132917, 363, 0, 0 },
    { 132947, 364, 1, 0 },
    { 132976, 364, 0, 0 },
    { 133006, 364, 0, 1 },
    { 133035, 364, 0, 0 },
    { 133065, 364, 0, 0 },
    { 133095, 364, 0, 0 },
    { 133124, 364, 0, 0 },
    { 133154, 364, 0, 0 },
    { 133183, 364, 0, 0 },
    { 133213, 364, 0, 0 },
    { 133242, 364, 0, 0 },
    { 133272, 364, 0, 0 },
    { 133301, 364, 0, 0 },
    { 133331, 365, 1, 0 },
    { 133360, 365, 0, 0 },
    { 133390, 365, 0, 0 },
    { 133419, 365, 0, 0 },
    { 133449, 365, 0, 0 },
    { 133478, 365, 0, 0 },
    { 133508, 365, 0, 0 },
    { 133538, 365, 0, 0 },
    { 133567, 365, 0, 0 },
    { 133597, 365, 0, 0 },
    { 133627, 365, 0, 0 },
    { 133656, 365, 0, 0 },
    { 133685, 366, 1, 0 },
    { 133715, 366, 0, 0 },
    { 133744, 366, 0, 0 },
    { 133773, 366, 0, 0 },
    { 133803, 366, 0, 0 },
    { 133832, 366, 0, 0 },
    { 133862, 366, 0, 0 },
    { 133892, 366, 0, 0 },
    { 133921, 366, 0, 0 },
    { 133951, 366, 0, 0 },
    { 133981, 366, 0, 0 },
    { 134010, 366, 0, 0 },
    { 134040, 366, 0, 1 },
    { 134069, 367, 1, 0 },
    { 134099, 367, 0, 0 },
    { 134128, 367, 0, 0 },
    { 134157, 367, 0, 0 },
    { 134187, 367, 0, 0 },
    { 134216, 367, 0, 0 },
    { 134246, 367, 0, 0 },
    { 134275, 367, 0, 0 },
    { 134305, 367, 0, 0 },
    { 134335, 367, 0, 0 },
    { 134365, 367, 0, 0 },
    { 134394, 367, 0, 0 },
    { 134424, 368, 1, 0 },
    { 134453, 368, 0, 0 },
    { 134483, 368, 0, 0 },
    { 134512, 368, 0, 0 },
    { 134541, 368, 0, 0 },
    { 134571, 368, 0, 0 },
    { 134600, 368, 0, 0 },
    { 134630, 368, 0, 0 },
    { 134659, 368, 0, 0 },
    { 134689, 368, 0, 0 },
    { 134719, 368, 0, 0 },
    { 134748, 368, 0, 0 },
    { 134778, 369, 1, 0 },
    { 134808, 369, 0, 0 },
    { 134837, 369, 0, 0 },
    { 134867, 369, 0, 0 },
    { 134896, 369, 0, 0 },
    { 134925, 369, 0, 0 },
    { 134955, 369, 0, 0 },
    { 134984, 369, 0, 1 },
    { 135013, 369, 0, 0 },
    { 135043, 369, 0, 0 },
    { 135073, 369, 0, 0 },
    { 135102, 369, 0, 0 },
    { 135132, 369, 0, 0 },
    { 135162, 370, 1, 0 },
    { 135192, 370, 0, 0 },
    { 135221, 370, 0, 0 },
    { 135251, 370, 0, 0 },
    { 135280, 370, 0, 0 },
    { 135309, 370, 0, 0 },
    { 135339, 370, 0, 0 },
    { 135368, 370, 0, 0 },
    { 135397, 370, 0, 0 },
    { 135427, 370, 0, 0 },
    { 135456, 370, 0, 0 },
    { 135486, 370, 0, 0 },
    { 135516, 371, 1, 0 },
    { 135546, 371, 0, 0 },
    { 135575, 371, 0, 0 },
    { 135605, 371, 0, 0 },
    { 135635, 371, 0, 0 },
    { 135664, 371, 0, 0 },
    { 135693, 371, 0, 0 },
    { 135723, 371, 0, 0 },
    { 135752, 371, 0, 0 },
    { 135781, 371, 0, 0 },
    { 135811, 371, 0, 0 },
    { 135841, 371, 0, 0 },
    { 135870, 372, 1, 0 },
    { 135900, 372, 0, 0 },
    { 135929, 372, 0, 0 },
    { 135959, 372, 0, 0 },
    { 135989, 372, 0, 1 },
    { 136018, 372, 0, 0 },
    { 136048, 372, 0, 0 },
    { 136077, 372, 0, 0 },
    { 136107, 372, 0, 0 },
    { 136136, 372, 0, 0 },
    { 136166, 372, 0, 0 },
    { 136195, 372, 0, 0 },
    { 136224, 372, 0, 0 },
    { 136254, 373, 1, 0 },
    { 136284, 373, 0, 0 },
    { 136313, 373, 0, 0 },
    { 136343, 373, 0, 0 },
    { 136373, 373, 0, 0 },
    { 136402, 373, 0, 0 },
    { 136432, 373, 0, 0 },
    { 136461, 373, 0, 0 },
    { 136491, 373, 0, 0 },
    { 136520, 373, 0, 0 },
    { 136550, 373, 0, 0 },
    { 136579, 373, 0, 0 },
    { 136609, 374, 1, 0 },
    { 136638, 374, 0, 0 },
    { 136668, 374, 0, 0 },
    { 136697, 374, 0, 0 },
    { 136727, 374, 0, 0 },
    { 136756, 374, 0, 0 },
    { 136786, 374, 0, 0 },
    { 136815, 374, 0, 0 },
    { 136845, 374, 0, 0 },
    { 136875, 374, 0, 0 },
    { 136904, 374, 0, 0 },
    { 136934, 374, 0, 0 },
    { 136963, 375, 1, 0 },
    { 136993, 375, 0, 1 },
    { 137023, 375, 0, 0 },
    { 137052, 375, 0, 0 },
    { 137081, 375, 0, 0 },
    { 137110, 375, 0, 0 },
    { 137140, 375, 0, 0 },
    { 137170, 375, 0, 0 },
    { 137199, 375, 0, 0 },
    { 137229, 375, 0, 0 },
    { 137259, 375, 0, 0 },
    { 137288, 375, 0, 0 },
    { 137318, 375, 0, 0 },
    { 137347, 376, 1, 0 },
    { 137377, 376, 0, 0 },
    { 137406, 376, 0, 0 },
    { 137435, 376, 0, 0 },
    { 137465, 376, 0, 0 },
    { 137494, 376, 0, 0 },
    { 137524, 376, 0, 0 },
    { 137553, 376, 0, 0 },
    { 137583, 376, 0, 0 },
    { 137613, 376, 0, 0 },
    { 137642, 376, 0, 0 },
    { 137672, 376, 0, 0 },
    { 137702, 377, 1, 0 },
    { 137732, 377, 0, 0 },
    { 137761, 377, 0, 0 },
    { 137790, 377, 0, 0 },
    { 137819, 377, 0, 0 },
    { 137849, 377, 0, 0 },
    { 137878, 377, 0, 0 },
    { 137907, 377, 0, 0 },
    { 137937, 377, 0, 0 },
    { 137967, 377, 0, 1 },
    { 137996, 377, 0, 0 },
    { 138026, 377, 0, 0 },
    { 138056, 377, 0, 0 },
    { 138086, 378, 1, 0 },
    { 138115, 378, 0, 0 },
    { 138145, 378, 0, 0 },
    { 138174, 378, 0, 0 },
    { 138203, 378, 0, 0 },
    { 138233, 378, 0, 0 },
    { 138262, 378, 0, 0 },
    { 138291, 378, 0, 0 },
    { 138321, 378, 0, 0 },
    { 138351, 378, 0, 0 },
    { 138380, 378, 0, 0 },
    { 138410, 378, 0, 0 },
    { 138440, 379, 1, 0 },
    { 138469, 379, 0, 0 },
    { 138499, 379, 0, 0 },
    { 138529, 379, 0, 0 },
    { 138558, 379, 0, 0 },
    { 138587, 379, 0, 0 },
    { 138617, 379, 0, 0 },
    { 138646, 379, 0, 0 },
    { 138675, 379, 0, 0 },
    { 138705, 379, 0, 0 },
    { 138734, 379, 0, 0 },
    { 138764, 379, 0, 0 },
    { 138794, 380, 1, 0 },
    { 138824, 380, 0, 0 },
    { 138853, 380, 0, 0 },
    { 138883, 380, 0, 0 },
    { 138912, 380, 0, 0 },
    { 138942, 380, 0, 0 },
    { 138971, 380, 0, 0 },
    { 139001, 380, 0, 1 },
    { 139030, 380, 0, 0 },
    { 139059, 380, 0, 0 },
    { 139089, 380, 0, 0 },
    { 139118, 380, 0, 0 },
    { 139148, 380, 0, 0 },
    { 139177, 381, 1, 0 },
    { 139207, 381, 0, 0 },
    { 139237, 381, 0, 0 },
    { 139267, 381, 0, 0 },
    { 139296, 381, 0, 0 },
    { 139326, 381, 0, 0 },
    { 139355, 381, 0, 0 },
    { 139385, 381, 0, 0 },
    { 139414, 381, 0, 0 },
    { 139443, 381, 0, 0 },
    { 139473, 381, 0, 0 },
    { 139502, 381, 0, 0 },
    { 139532, 382, 1, 0 },
    { 139561, 382, 0, 0 },
    { 139591, 382, 0, 0 },
    { 139621, 382, 0, 0 },
    { 139650, 382, 0, 0 },
    { 139680, 382, 0, 0 },
    { 139709, 382, 0, 0 },
    { 139739, 382, 0, 0 },
    { 139769, 382, 0, 0 },
    { 139798, 382, 0, 0 },
    { 139828, 382, 0, 0 },
    { 139857, 382, 0, 0 },
    { 139887, 383, 1, 0 },
    { 139917, 383, 0, 0 },
    { 139946, 383, 0, 0 },
    { 139975, 383, 0, 1 },
    { 140004, 383, 0, 0 },
    { 140034, 383, 0, 0 },
    { 140064, 383, 0, 0 },
    { 140093, 383, 0, 0 },
    { 140123, 383, 0, 0 },
    { 140153, 383, 0, 0 },
    { 140182, 383, 0, 0 },
    { 140212, 383, 0, 0 },
    { 140241, 383, 0, 0 },
    { 140271, 384, 1, 0 },
    { 140300, 384, 0, 0 },
    { 140329, 384, 0, 0 },
    { 140359, 384, 0, 0 },
    { 140388, 384, 0, 0 },
    { 140418, 384, 0, 0 },
    { 140447, 384, 0, 0 },
    { 140477, 384, 0, 0 },
    { 140507, 384, 0, 0 },
    { 140536, 384, 0, 0 },
    { 140566, 384, 0, 0 },
    { 140596, 384, 0, 0 },
    { 140625, 385, 1, 0 },
    { 140655, 385, 0, 0 },
    { 140684, 385, 0, 0 },
    { 140713, 385, 0, 0 },
    { 140743, 385, 0, 0 },
    { 140773, 385, 0, 0 },
    { 140802, 385, 0, 0 },
    { 140831, 385, 0, 0 },
    { 140861, 385, 0, 0 },
    { 140890, 385, 0, 0 },
    { 140920, 385, 0, 0 },
    { 140950, 385, 0, 0 },
    { 140980, 385, 0, 1 },
    { 141009, 386, 1, 0 },
    { 141039, 386, 0, 0 },
    { 141068, 386, 0, 0 },
    { 141097, 386, 0, 0 },
    { 141127, 386, 0, 0 },
    { 141156, 386, 0, 0 },
    { 141185, 386, 0, 0 },
    { 141215, 386, 0, 0 },
    { 141245, 386, 0, 0 },
    { 141274, 386, 0, 0 },
    { 141304, 386, 0, 0 },
    { 141334, 386, 0, 0 },
    { 141364, 387, 1, 0 },
    { 141394, 387, 0, 0 },
    { 141423, 387, 0, 0 },
    { 141452, 387, 0, 0 },
    { 141481, 387, 0, 0 },
    { 141511, 387, 0, 0 },
    { 141540, 387, 0, 0 },
    { 141569, 387, 0, 0 },
    { 141599, 387, 0, 0 },
    { 141628, 387, 0, 0 },
    { 141658, 387, 0, 0 },
    { 141688, 387, 0, 0 },
    { 141718, 388, 1, 0 },
    { 141747, 388, 0, 0 },
    { 141777, 388, 0, 0 },
    { 141807, 388, 0, 0 },
    { 141836, 388, 0, 0 },
    { 141865, 388, 0, 0 },
    { 141895, 388, 0, 0 },
    { 141924, 388, 0, 1 },
    { 141953, 388, 0, 0 },
    { 141983, 388, 0, 0 },
    { 142012, 388, 0, 0 },
    { 142042, 388, 0, 0 },
    { 142072, 388, 0, 0 },
    { 142101, 389, 1, 0 },
    { 142131, 389, 0, 0 },
    { 142161, 389, 0, 0 },
    { 142190, 389, 0, 0 },
    { 142220, 389, 0, 0 },
    { 142249, 389, 0, 0 },
    { 142279, 389, 0, 0 },
    { 142308, 389, 0, 0 },
    { 142337, 389, 0, 0 },
    { 142367, 389, 0, 0 },
    { 142396, 389, 0, 0 },
    { 142426, 389, 0, 0 },
    { 142456, 390, 1, 0 },
    { 142485, 390, 0, 0 },
    { 142515, 390, 0, 0 },
    { 142544, 390, 0, 0 },
    { 142574, 390, 0, 0 },
    { 142604, 390, 0, 0 },
    { 142633, 390, 0, 0 },
    { 142663, 390, 0, 0 },
    { 142692, 390, 0, 0 },
    { 142721, 390, 0, 0 },
    { 142751, 390, 0, 0 },
    { 142780, 390, 0, 0 },
    { 142810, 391, 1, 0 },
    { 142839, 391, 0, 0 },
    { 142869, 391, 0, 0 },
    { 142898, 391, 0, 0 },
    { 142928, 391, 0, 0 },
    { 142958, 391, 0, 1 },
    { 142987, 391, 0, 0 },
    { 143017, 391, 0, 0 },
    { 143047, 391, 0, 0 },
    { 143076, 391, 0, 0 },
    { 143106, 391, 0, 0 },
    { 143135, 391, 0, 0 },
    { 143164, 391, 0, 0 },
    { 143194, 392, 1, 0 },
    { 143223, 392, 0, 0 },
    { 143253, 392, 0, 0 },
    { 143282, 392, 0, 0 },
    { 143312, 392, 0, 0 },
    { 143341, 392, 0, 0 },
    { 143371, 392, 0, 0 },
    { 143401, 392, 0, 0 },
    { 143430, 392, 0, 0 },
    { 143460, 392, 0, 0 },
    { 143490, 392, 0, 0 },
    { 143519, 392, 0, 0 },
    { 143549, 393, 1, 0 },
    { 143578, 393, 0, 0 },
    { 143607, 393, 0, 0 },
    { 143637, 393, 0, 0 },
    { 143666, 393, 0, 0 },
    { 143696, 393, 0, 0 },
    { 143725, 393, 0, 0 },
    { 143755, 393, 0, 0 },
    { 143785, 393, 0, 0 },
    { 143814, 393, 0, 0 },
    { 143844, 393, 0, 0 },
    { 143874, 393, 0, 0 },
    { 143903, 394, 1, 0 },
    { 143933, 394, 0, 1 },
    { 143962, 394, 0, 0 },
    { 143991, 394, 0, 0 },
    { 144021, 394, 0, 0 },
    { 144050, 394, 0, 0 },
    { 144079, 394, 0, 0 },
    { 144109, 394, 0, 0 },
    { 144139, 394, 0, 0 },
    { 144168, 394, 0, 0 },
    { 144198, 394, 0, 0 },
    { 144228, 394, 0, 0 },
    { 144258, 394, 0, 0 },
    { 144287, 395, 1, 0 },
    { 144317, 395, 0, 0 },
    { 144346, 395, 0, 0 },
    { 144375, 395, 0, 0 },
    { 144405, 395, 0, 0 },
    { 144434, 395, 0, 0 },
    { 144463, 395, 0, 0 },
    { 144493, 395, 0, 0 },
    { 144522, 395, 0, 0 },
    { 144552, 395, 0, 0 },
    { 144582, 395, 0, 0 },
    { 144612, 395, 0, 0 },
    { 144641, 396, 1, 0 },
    { 144671, 396, 0, 0 },
    { 144701, 396, 0, 0 },
    { 144730, 396, 0, 0 },
    { 144759, 396, 0, 0 },
    { 144789, 396, 0, 0 },
    { 144818, 396, 0, 0 },
    { 144847, 396, 0, 0 },
    { 144877, 396, 0, 0 },
    { 144906, 396, 0, 1 },
    { 144936, 396, 0, 0 },
    { 144966, 396, 0, 0 },
    { 144995, 396, 0, 0 },
    { 145025, 397, 1, 0 },
    { 145055, 397, 0, 0 },
    { 145085, 397, 0, 0 },
    { 145114, 397, 0, 0 },
    { 145143, 397, 0, 0 },
    { 145173, 397, 0, 0 },
    { 145202, 397, 0, 0 },
    { 145231, 397, 0, 0 },
    { 145261, 397, 0, 0 },
    { 145290, 397, 0, 0 },
    { 145320, 397, 0, 0 },
    { 145350, 397, 0, 0 },
    { 145379, 398, 1, 0 },
    { 145409, 398, 0, 0 },
    { 145439, 398, 0, 0 },
    { 145468, 398, 0, 0 },
    { 145498, 398, 0, 0 },
    { 145527, 398, 0, 0 },
    { 145557, 398, 0, 0 },
    { 145586, 398, 0, 0 },
    { 145615, 398, 0, 0 },
    { 145645, 398, 0, 0 },
    { 145674, 398, 0, 0 },
    { 145704, 398, 0, 0 },
    { 145733, 399, 1, 0 },
    { 145763, 399, 0, 0 },
    { 145793, 399, 0, 0 },
    { 145822, 399, 0, 0 },
    { 145852, 399, 0, 0 },
    { 145882, 399, 0, 0 },
    { 145911, 399, 0, 0 },
    { 145941, 399, 0, 1 },
    { 145970, 399, 0, 0 },
    { 146000, 399, 0, 0 },
    { 146029, 399, 0, 0 },
    { 146058, 399, 0, 0 },
    { 146088, 399, 0, 0 },
    { 146117, 400, 1, 0 },
    { 146147, 400, 0, 0 },
    { 146176, 400, 0, 0 },
    { 146206, 400, 0, 0 },
    { 146236, 400, 0, 0 },
    { 146265, 400, 0, 0 },
    { 146295, 400, 0, 0 },
    { 146324, 400, 0, 0 },
    { 146354, 400, 0, 0 },
    { 146384, 400, 0, 0 },
    { 146413, 400, 0, 0 },
    { 146443, 400, 0, 0 },
    { 146472, 401, 1, 0 },
    { 146501, 401, 0, 0 },
    { 146531, 401, 0, 0 },
    { 146560, 401, 0, 0 },
    { 146590, 401, 0, 0 },
    { 146619, 401, 0, 0 },
    { 146649, 401, 0, 0 },
    { 146679, 401, 0, 0 },
    { 146708, 401, 0, 0 },
    { 146738, 401, 0, 0 },
    { 146768, 401, 0, 0 },
    { 146797, 401, 0, 0 },
    { 146827, 402, 1, 0 },
    { 146856, 402, 0, 0 },
    { 146885, 402, 0, 0 },
    { 146915, 402, 0, 1 },
    { 146944, 402, 0, 0 },
    { 146974, 402, 0, 0 },
    { 147003, 402, 0, 0 },
    { 147033, 402, 0, 0 },
    { 147062, 402, 0, 0 },
    { 147092, 402, 0, 0 },
    { 147122, 402, 0, 0 },
    { 147152, 402, 0, 0 },
    { 147181, 402, 0, 0 },
    { 147211, 403, 1, 0 },
    { 147240, 403, 0, 0 },
    { 147269, 403, 0, 0 },
    { 147299, 403, 0, 0 },
    { 147328, 403, 0, 0 },
    { 147357, 403, 0, 0 },
    { 147387, 403, 0, 0 },
    { 147416, 403, 0, 0 },
    { 147446, 403, 0, 0 },
    { 147476, 403, 0, 0 },
    { 147506, 403, 0, 0 },
    { 147535, 403, 0, 0 },
    { 147565, 404, 1, 0 },
    { 147595, 404, 0, 0 },
    { 147624, 404, 0, 0 },
    { 147653, 404, 0, 0 },
    { 147683, 404, 0, 0 },
    { 147712, 404, 0, 0 },
    { 147741, 404, 0, 0 },
    { 147771, 404, 0, 0 },
    { 147800, 404, 0, 0 },
    { 147830, 404, 0, 0 },
    { 147860, 404, 0, 0 },
    { 147889, 404, 0, 0 },
    { 147919, 404, 0, 1 },
    { 147949, 405, 1, 0 },
    { 147979, 405, 0, 0 },
    { 148008, 405, 0, 0 },
    { 148037, 405, 0, 0 },
    { 148067, 405, 0, 0 },
    { 148096, 405, 0, 0 },
    { 148125, 405, 0, 0 },
    { 148155, 405, 0, 0 },
    { 148184, 405, 0, 0 },
    { 148214, 405, 0, 0 },
    { 148243, 405, 0, 0 },
    { 148273, 405, 0, 0 },
    { 148303, 406, 1, 0 },
    { 148333, 406, 0, 0 },
    { 148362, 406, 0, 0 },
    { 148392, 406, 0, 0 },
    { 148421, 406, 0, 0 },
    { 148451, 406, 0, 0 },
    { 148480, 406, 0, 0 },
    { 148509, 406, 0, 0 },
    { 148539, 406, 0, 0 },
    { 148568, 406, 0, 0 },
    { 148598, 406, 0, 0 },
    { 148627, 406, 0, 0 },
    { 148657, 407, 1, 0 },
    { 148687, 407, 0, 0 },
    { 148716, 407, 0, 0 },
    { 148746, 407, 0, 0 },
    { 148776, 407, 0, 0 },
    { 148805, 407, 0, 0 },
    { 148835, 407, 0, 0 },
    { 148864, 407, 0, 0 },
    { 148893, 407, 0, 1 },
    { 148923, 407, 0, 0 },
    { 148952, 407, 0, 0 },
    { 148982, 407, 0, 0 },
    { 149011, 407, 0, 0 },
    { 149041, 408, 1, 0 },
    { 149070, 408, 0, 0 },
    { 149100, 408, 0, 0 },
    { 149130, 408, 0, 0 },
    { 149159, 408, 0, 0 },
    { 149189, 408, 0, 0 },
    { 149219, 408, 0, 0 },
    { 149248, 408, 0, 0 },
    { 149277, 408, 0, 0 },
    { 149307, 408, 0, 0 },
    { 149336, 408, 0, 0 },
    { 149366, 408, 0, 0 },
    { 149395, 409, 1, 0 },
    { 149425, 409, 0, 0 },
    { 149454, 409, 0, 0 },
    { 149484, 409, 0, 0 },
    { 149513, 409, 0, 0 },
    { 149543, 409, 0, 0 },
    { 149573, 409, 0, 0 },
    { 149602, 409, 0, 0 },
    { 149632, 409, 0, 0 },
    { 149661, 409, 0, 0 },
    { 149691, 409, 0, 0 },
    { 149721, 409, 0, 0 },
    { 149751, 410, 1, 0 },
    { 149780, 410, 0, 0 },
    { 149809, 410, 0, 0 },
    { 149838, 410, 0, 0 },
    { 149868, 410, 0, 1 },
    { 149897, 410, 0, 0 },
    { 149927, 410, 0, 0 },
    { 149956, 410, 0, 0 },
    { 149986, 410, 0, 0 },
    { 150016, 410, 0, 0 },
    { 150045, 410, 0, 0 },
    { 150075, 410, 0, 0 },
    { 150105, 410, 0, 0 },
    { 150134, 411, 1, 0 },
    { 150163, 411, 0, 0 },
    { 150193, 411, 0, 0 },
    { 150222, 411, 0, 0 },
    { 150251, 411, 0, 0 },
    { 150281, 411, 0, 0 },
    { 150310, 411, 0, 0 },
    { 150340, 411, 0, 0 },
    { 150370, 411, 0, 0 },
    { 150400, 411, 0, 0 },
    { 150429, 411, 0, 0 },
    { 150459, 411, 0, 0 },
    { 150489, 412, 1, 0 },
    { 150518, 412, 0, 0 },
    { 150547, 412, 0, 0 },
    { 150577, 412, 0, 0 },
    { 150606, 412, 0, 0 },
    { 150635, 412, 0, 0 },
    { 150665, 412, 0, 0 },
    { 150694, 412, 0, 0 },
    { 150724, 412, 0, 0 },
    { 150754, 412, 0, 0 },
    { 150783, 412, 0, 0 },
    { 150813, 412, 0, 0 },
    { 150843, 413, 1, 0 },
    { 150873, 413, 0, 0 },
    { 150902, 413, 0, 1 },
    { 150931, 413, 0, 0 },
    { 150961, 413, 0, 0 },
    { 150990, 413, 0, 0 },
    { 151019, 413, 0, 0 },
    { 151049, 413, 0, 0 },
    { 151078, 413, 0, 0 },
    { 151108, 413, 0, 0 },
    { 151137, 413, 0, 0 },
    { 151167, 413, 0, 0 },
    { 151197, 413, 0, 0 },
    { 151227, 414, 1, 0 },
    { 151256, 414, 0, 0 },
    { 151286, 414, 0, 0 },
    { 151315, 414, 0, 0 },
    { 151345, 414, 0, 0 },
    { 151374, 414, 0, 0 },
    { 151403, 414, 0, 0 },
    { 151433, 414, 0, 0 },
    { 151462, 414, 0, 0 },
    { 151492, 414, 0, 0 },
    { 151521, 414, 0, 0 },
    { 151551, 414, 0, 0 },
    { 151581, 415, 1, 0 },
    { 151611, 415, 0, 0 },
    { 151640, 415, 0, 0 },
    { 151670, 415, 0, 0 },
    { 151699, 415, 0, 0 },
    { 151729, 415, 0, 0 },
    { 151758, 415, 0, 0 },
    { 151787, 415, 0, 0 },
    { 151817, 415, 0, 0 },
    { 151846, 415, 0, 0 },
    { 151876, 415, 0, 1 },
    { 151906, 415, 0, 0 },
    { 151935, 415, 0, 0 },
    { 151965, 416, 1, 0 },
    { 151994, 416, 0, 0 },
    { 152024, 416, 0, 0 },
    { 152054, 416, 0, 0 },
    { 152083, 416, 0, 0 },
    { 152113, 416, 0, 0 },
    { 152142, 416, 0, 0 },
    { 152171, 416, 0, 0 },
    { 152201, 416, 0, 0 },
    { 152230, 416, 0, 0 },
    { 152260, 416, 0, 0 },
    { 152289, 416, 0, 0 },
    { 152319, 417, 1, 0 },
    { 152349, 417, 0, 0 },
    { 152378, 417, 0, 0 },
    { 152408, 417, 0, 0 },
    { 152437, 417, 0, 0 },
    { 152467, 417, 0, 0 },
    { 152497, 417, 0, 0 },
    { 152526, 417, 0, 0 },
    { 152556, 417, 0, 0 },
    { 152585, 417, 0, 0 },
    { 152614, 417, 0, 0 },
    { 152644, 417, 0, 0 },
    { 152673, 418, 1, 0 },
    { 152703, 418, 0, 0 },
    { 152732, 418, 0, 0 },
    { 152762, 418, 0, 0 },
    { 152792, 418, 0, 0 },
    { 152821, 418, 0, 0 },
    { 152851, 418, 0, 1 },
    { 152880, 418, 0, 0 },
    { 152910, 418, 0, 0 },
    { 152939, 418, 0, 0 },
    { 152969, 418, 0, 0 },
    { 152999, 418, 0, 0 },
    { 153028, 418, 0, 0 },
    { 153057, 419, 1, 0 },
    { 153087, 419, 0, 0 },
    { 153116, 419, 0, 0 },
    { 153146, 419, 0, 0 },
    { 153175, 419, 0, 0 },
    { 153205, 419, 0, 0 },
    { 153234, 419, 0, 0 },
    { 153264, 419, 0, 0 },
    { 153294, 419, 0, 0 },
    { 153323, 419, 0, 0 },
    { 153353, 419, 0, 0 },
    { 153383, 419, 0, 0 },
    { 153412, 420, 1, 0 },
    { 153442, 420, 0, 0 },
    { 153471, 420, 0, 0 },
    { 153500, 420, 0, 0 },
    { 153530, 420, 0, 0 },
    { 153559, 420, 0, 0 },
    { 153589, 420, 0, 0 },
    { 153618, 420, 0, 0 },
    { 153648, 420, 0, 0 },
    { 153678, 420, 0, 0 },
    { 153707, 420, 0, 0 },
    { 153737, 420, 0, 0 },
    { 153767, 421, 1, 0 },
    { 153796, 421, 0, 0 },
    { 153826, 421, 0, 0 },
    { 153855, 421, 0, 1 },
    { 153884, 421, 0, 0 },
    { 153913, 421, 0, 0 },
    { 153943, 421, 0, 0 },
    { 153972, 421, 0, 0 },
    { 154002, 421, 0, 0 },
    { 154032, 421, 0, 0 },
    { 154061, 421, 0, 0 },
    { 154091, 421, 0, 0 },
    { 154121, 421, 0, 0 },
    { 154151, 422, 1, 0 },
    { 154180, 422, 0, 0 },
    { 154210, 422, 0, 0 },
    { 154239, 422, 0, 0 },
    { 154268, 422, 0, 0 },
    { 154297, 422, 0, 0 },
    { 154327, 422, 0, 0 },
    { 154356, 422, 0, 0 },
    { 154386, 422, 0, 0 },
    { 154415, 422, 0, 0 },
    { 154445, 422, 0, 0 },
    { 154475, 422, 0, 0 },
    { 154505, 423, 1, 0 },
    { 154534, 423, 0, 0 },
    { 154564, 423, 0, 0 },
    { 154594, 423, 0, 0 },
    { 154623, 423, 0, 0 },
    { 154652, 423, 0, 0 },
    { 154681, 423, 0, 0 },
    { 154711, 423, 0, 0 },
    { 154740, 423, 0, 0 },
    { 154770, 423, 0, 0 },
    { 154799, 423, 0, 0 },
    { 154829, 423, 0, 0 },
    { 154859, 423, 0, 1 },
    { 154888, 424, 1, 0 },
    { 154918, 424, 0, 0 },
    { 154948, 424, 0, 0 },
    { 154977, 424, 0, 0 },
    { 155007, 424, 0, 0 },
    { 155036, 424, 0, 0 },
    { 155066, 424, 0, 0 },
    { 155095, 424, 0, 0 },
    { 155124, 424, 0, 0 },
    { 155154, 424, 0, 0 },
    { 155183, 424, 0, 0 },
    { 155213, 424, 0, 0 },
    { 155243, 425, 1, 0 },
    { 155272, 425, 0, 0 },
    { 155302, 425, 0, 0 },
    { 155332, 425, 0, 0 },
    { 155361, 425, 0, 0 },
    { 155391, 425, 0, 0 },
    { 155420, 425, 0, 0 },
    { 155450, 425, 0, 0 },
    { 155479, 425, 0, 0 },
    { 155508, 425, 0, 0 },
    { 155538, 425, 0, 0 },
    { 155567, 425, 0, 0 },
    { 155597, 426, 1, 0 },
    { 155626, 426, 0, 0 },
    { 155656, 426, 0, 0 },
    { 155686, 426, 0, 0 },
    { 155715, 426, 0, 0 },
    { 155745, 426, 0, 0 },
    { 155774, 426, 0, 0 },
    { 155804, 426, 0, 0 },
    { 155833, 426, 0, 1 },
    { 155863, 426, 0, 0 },
    { 155892, 426, 0, 0 },
    { 155922, 426, 0, 0 },
    { 155951, 426, 0, 0 },
    { 155981, 427, 1, 0 },
    { 156010, 427, 0, 0 },
    { 156040, 427, 0, 0 },
    { 156069, 427, 0, 0 },
    { 156099, 427, 0, 0 },
    { 156129, 427, 0, 0 },
    { 156158, 427, 0, 0 },
    { 156188, 427, 0, 0 },
    { 156217, 427, 0, 0 },
    { 156247, 427, 0, 0 },
    { 156276, 427, 0, 0 },
    { 156306, 427, 0, 0 },
    { 156336, 428, 1, 0 },
    { 156365, 428, 0, 0 },
    { 156394, 428, 0, 0 },
    { 156424, 428, 0, 0 },
    { 156453, 428, 0, 0 },
    { 156483, 428, 0, 0 },
    { 156512, 428, 0, 0 },
    { 156542, 428, 0, 0 },
    { 156572, 428, 0, 0 },
    { 156601, 428, 0, 0 },
    { 156631, 428, 0, 0 },
    { 156661, 428, 0, 0 },
    { 156691, 429, 1, 0 },
    { 156720, 429, 0, 0 },
    { 156749, 429, 0, 0 },
    { 156778, 429, 0, 0 },
    { 156808, 429, 0, 1 },
    { 156837, 429, 0, 0 },
    { 156866, 429, 0, 0 },
    { 156896, 429, 0, 0 },
    { 156926, 429, 0, 0 },
    { 156955, 429, 0, 0 },
    { 156985, 429, 0, 0 },
    { 157015, 429, 0, 0 },
    { 157044, 429, 0, 0 },
    { 157074, 430, 1, 0 },
    { 157104, 430, 0, 0 },
    { 157133, 430, 0, 0 },
    { 157162, 430, 0, 0 },
    { 157191, 430, 0, 0 },
    { 157221, 430, 0, 0 },
    { 157250, 430, 0, 0 },
    { 157280, 430, 0, 0 },
    { 157309, 430, 0, 0 },
    { 157339, 430, 0, 0 },
    { 157369, 430, 0, 0 },
    { 157399, 430, 0, 0 },
    { 157428, 431, 1, 0 },
    { 157458, 431, 0, 0 },
    { 157488, 431, 0, 0 },
    { 157517, 431, 0, 0 },
    { 157546, 431, 0, 0 },
    { 157575, 431, 0, 0 },
    { 157605, 431, 0, 0 },
    { 157634, 431, 0, 0 },
    { 157664, 431, 0, 0 },
    { 157693, 431, 0, 0 },
    { 157723, 431, 0, 0 },
    { 157753, 431, 0, 0 },
    { 157782, 432, 1, 0 },
    { 157812, 432, 0, 0 },
    { 157842, 432, 0, 1 },
    { 157871, 432, 0, 0 },
    { 157901, 432, 0, 0 },
    { 157930, 432, 0, 0 },
    { 157959, 432, 0, 0 },
    { 157989, 432, 0, 0 },
    { 158018, 432, 0, 0 },
    { 158048, 432, 0, 0 },
    { 158077, 432, 0, 0 },
    { 158107, 432, 0, 0 },
    { 158136, 432, 0, 0 },
    { 158166, 433, 1, 0 },
    { 158196, 433, 0, 0 },
    { 158226, 433, 0, 0 },
    { 158255, 433, 0, 0 },
    { 158285, 433, 0, 0 },
    { 158314, 433, 0, 0 },
    { 158343, 433, 0, 0 },
    { 158373, 433, 0, 0 },
    { 158402, 433, 0, 0 },
    { 158432, 433, 0, 0 },
    { 158461, 433, 0, 0 },
    { 158491, 433, 0, 0 },
    { 158520, 434, 1, 0 },
    { 158550, 434, 0, 0 },
    { 158580, 434, 0, 0 },
    { 158609, 434, 0, 0 },
    { 158639, 434, 0, 0 },
    { 158669, 434, 0, 0 },
    { 158698, 434, 0, 0 },
    { 158727, 434, 0, 0 },
    { 158757, 434, 0, 0 },
    { 158786, 434, 0, 0 },
    { 158816, 434, 0, 1 },
    { 158845, 434, 0, 0 },
    { 158875, 434, 0, 0 },
    { 158904, 435, 1, 0 },
    { 158934, 435, 0, 0 },
    { 158963, 435, 0, 0 },
    { 158993, 435, 0, 0 },
    { 159023, 435, 0, 0 },
    { 159052, 435, 0, 0 },
    { 159082, 435, 0, 0 },
    { 159111, 435, 0, 0 },
    { 159141, 435, 0, 0 },
    { 159170, 435, 0, 0 },
    { 159200, 435, 0, 0 },
    { 159229, 435, 0, 0 },
    { 159259, 436, 1, 0 },
    { 159288, 436, 0, 0 },
    { 159318, 436, 0, 0 },
    { 159347, 436, 0, 0 },
    { 159377, 436, 0, 0 },
    { 159406, 436, 0, 0 },
    { 159436, 436, 0, 0 },
    { 159466, 436, 0, 0 },
    { 159495, 436, 0, 0 },
    { 159525, 436, 0, 0 },
    { 159554, 436, 0, 0 },
    { 159584, 436, 0, 0 },
    { 159613, 437, 1, 0 },
    { 159643, 437, 0, 0 },
    { 159672, 437, 0, 0 },
    { 159702, 437, 0, 0 },
    { 159731, 437, 0, 0 },
    { 159761, 437, 0, 0 },
    { 159790, 437, 0, 0 },
    { 159820, 437, 0, 1 },
    { 159849, 437, 0, 0 },
    { 159879, 437, 0, 0 },
    { 159909, 437, 0, 0 },
    { 159938, 437, 0, 0 },
    { 159968, 437, 0, 0 },
    { 159997, 438, 1, 0 },
    { 160027, 438, 0, 0 },
    { 160056, 438, 0, 0 },
    { 160086, 438, 0, 0 },
    { 160115, 438, 0, 0 },
    { 160144, 438, 0, 0 },
    { 160174, 438, 0, 0 },
    { 160203, 438, 0, 0 },
    { 160233, 438, 0, 0 },
    { 160263, 438, 0, 0 },
    { 160293, 438, 0, 0 },
    { 160322, 438, 0, 0 },
    { 160352, 439, 1, 0 },
    { 160381, 439, 0, 0 },
    { 160411, 439, 0, 0 },
    { 160440, 439, 0, 0 },
    { 160469, 439, 0, 0 },
    { 160499, 439, 0, 0 },
    { 160528, 439, 0, 0 },
    { 160558, 439, 0, 0 },
    { 160587, 439, 0, 0 },
    { 160617, 439, 0, 0 },
    { 160647, 439, 0, 0 },
    { 160676, 439, 0, 0 },
    { 160706, 440, 1, 0 },
    { 160736, 440, 0, 0 },
    { 160765, 440, 0, 0 },
    { 160795, 440, 0, 1 },
    { 160824, 440, 0, 0 },
    { 160854, 440, 0, 0 },
    { 160883, 440, 0, 0 },
    { 160912, 440, 0, 0 },
    { 160942, 440, 0, 0 },
    { 160971, 440, 0, 0 },
    { 161001, 440, 0, 0 },
    { 161030, 440, 0, 0 },
    { 161060, 440, 0, 0 },
    { 161090, 441, 1, 0 },
    { 161120, 441, 0, 0 },
    { 161149, 441, 0, 0 },
    { 161179, 441, 0, 0 },
    { 161208, 441, 0, 0 },
    { 161238, 441, 0, 0 },
    { 161267, 441, 0, 0 },
    { 161296, 441, 0, 0 },
    { 161325, 441, 0, 0 },
    { 161355, 441, 0, 0 },
    { 161385, 441, 0, 0 },
    { 161414, 441, 0, 0 },
    { 161444, 442, 1, 0 },
    { 161474, 442, 0, 0 },
    { 161504, 442, 0, 0 },
    { 161533, 442, 0, 0 },
    { 161563, 442, 0, 0 },
    { 161592, 442, 0, 0 },
    { 161621, 442, 0, 0 },
    { 161651, 442, 0, 0 },
    { 161680, 442, 0, 0 },
    { 161710, 442, 0, 0 },
    { 161739, 442, 0, 0 },
    { 161769, 442, 0, 1 },
    { 161798, 442, 0, 0 },
    { 161828, 443, 1, 0 },
    { 161858, 443, 0, 0 },
    { 161887, 443, 0, 0 },
    { 161917, 443, 0, 0 },
    { 161946, 443, 0, 0 },
    { 161976, 443, 0, 0 },
    { 162005, 443, 0, 0 },
    { 162035, 443, 0, 0 },
    { 162064, 443, 0, 0 },
    { 162094, 443, 0, 0 },
    { 162123, 443, 0, 0 },
    { 162153, 443, 0, 0 },
    { 162182, 444, 1, 0 },
    { 162212, 444, 0, 0 },
    { 162241, 444, 0, 0 },
    { 162271, 444, 0, 0 },
    { 162300, 444, 0, 0 },
    { 162330, 444, 0, 0 },
    { 162360, 444, 0, 0 },
    { 162389, 444, 0, 0 },
    { 162419, 444, 0, 0 },
    { 162448, 444, 0, 0 },
    { 162478, 444, 0, 0 },
    { 162507, 444, 0, 0 },
    { 162537, 445, 1, 0 },
    { 162566, 445, 0, 0 },
    { 162596, 445, 0, 0 },
    { 162625, 445, 0, 0 },
    { 162655, 445, 0, 0 },
    { 162684, 445, 0, 0 },
    { 162714, 445, 0, 0 },
    { 162743, 445, 0, 0 },
    { 162773, 445, 0, 0 },
    { 162803, 445, 0, 1 },
    { 162832, 445, 0, 0 },
    { 162862, 445, 0, 0 },
    { 162891, 445, 0, 0 },
    { 162920, 446, 1, 0 },
    { 162950, 446, 0, 0 },
    { 162980, 446, 0, 0 },
    { 163009, 446, 0, 0 },
    { 163038, 446, 0, 0 },
    { 163068, 446, 0, 0 },
    { 163097, 446, 0, 0 },
    { 163127, 446, 0, 0 },
    { 163157, 446, 0, 0 },
    { 163187, 446, 0, 0 },
    { 163216, 446, 0, 0 },
    { 163246, 446, 0, 0 },
    { 163276, 447, 1, 0 },
    { 163305, 447, 0, 0 },
    { 163334, 447, 0, 0 },
    { 163364, 447, 0, 0 },
    { 163393, 447, 0, 0 },
    { 163422, 447, 0, 0 },
    { 163452, 447, 0, 0 },
    { 163481, 447, 0, 0 },
    { 163511, 447, 0, 0 },
    { 163541, 447, 0, 0 },
    { 163570, 447, 0, 0 },
    { 163600, 447, 0, 0 },
    { 163630, 448, 1, 0 },
    { 163659, 448, 0, 0 },
    { 163689, 448, 0, 0 },
    { 163718, 448, 0, 0 },
    { 163748, 448, 0, 0 },
    { 163777, 448, 0, 1 },
    { 163806, 448, 0, 0 },
    { 163836, 448, 0, 0 },
    { 163865, 448, 0, 0 },
    { 163895, 448, 0, 0 },
    { 163924, 448, 0, 0 },
    { 163954, 448, 0, 0 },
    { 163984, 448, 0, 0 },
    { 164014, 449, 1, 0 },
    { 164043, 449, 0, 0 },
    { 164073, 449, 0, 0 },
    { 164102, 449, 0, 0 },
    { 164131, 449, 0, 0 },
    { 164161, 449, 0, 0 },
    { 164190, 449, 0, 0 },
    { 164219, 449, 0, 0 },
    { 164249, 449, 0, 0 },
    { 164279, 449, 0, 0 },
    { 164308, 449, 0, 0 },
    { 164338, 449, 0, 0 },
    { 164368, 450, 1, 0 },
    { 164398, 450, 0, 0 },
    { 164427, 450, 0, 0 },
    { 164457, 450, 0, 0 },
    { 164486, 450, 0, 0 },
    { 164516, 450, 0, 0 },
    { 164545, 450, 0, 0 },
    { 164574, 450, 0, 0 },
    { 164603, 450, 0, 0 },
    { 164633, 450, 0, 0 },
    { 164662, 450, 0, 0 },
    { 164692, 450, 0, 0 },
    { 164722, 451, 1, 0 },
    { 164752, 451, 0, 1 },
    { 164781, 451, 0, 0 },
    { 164811, 451, 0, 0 },
    { 164841, 451, 0, 0 },
    { 164870, 451, 0, 0 },
    { 164899, 451, 0, 0 },
    { 164929, 451, 0, 0 },
    { 164958, 451, 0, 0 },
    { 164988, 451, 0, 0 },
    { 165017, 451, 0, 0 },
    { 165046, 451, 0, 0 },
    { 165076, 451, 0, 0 },
    { 165106, 452, 1, 0 },
    { 165135, 452, 0, 0 },
    { 165165, 452, 0, 0 },
    { 165195, 452, 0, 0 },
    { 165224, 452, 0, 0 },
    { 165254, 452, 0, 0 },
    { 165283, 452, 0, 0 },
    { 165313, 452, 0, 0 },
    { 165342, 452, 0, 0 },
    { 165372, 452, 0, 0 },
    { 165401, 452, 0, 0 },
    { 165431, 452, 0, 0 },
    { 165460, 453, 1, 0 },
    { 165490, 453, 0, 0 },
    { 165519, 453, 0, 0 },
    { 165549, 453, 0, 0 },
    { 165578, 453, 0, 0 },
    { 165608, 453, 0, 0 },
    { 165638, 453, 0, 0 },
    { 165667, 453, 0, 0 },
    { 165697, 453, 0, 0 },
    { 165726, 453, 0, 0 },
    { 165756, 453, 0, 1 },
    { 165785, 453, 0, 0 },
    { 165815, 453, 0, 0 },
    { 165844, 454, 1, 0 },
    { 165874, 454, 0, 0 },
    { 165903, 454, 0, 0 },
    { 165933, 454, 0, 0 },
    { 165962, 454, 0, 0 },
    { 165992, 454, 0, 0 },
    { 166021, 454, 0, 0 },
    { 166051, 454, 0, 0 },
    { 166081, 454, 0, 0 },
    { 166110, 454, 0, 0 },
    { 166140, 454, 0, 0 },
    { 166169, 454, 0, 0 },
    { 166199, 455, 1, 0 },
    { 166228, 455, 0, 0 },
    { 166257, 455, 0, 0 },
    { 166287, 455, 0, 0 },
    { 166316, 455, 0, 0 },
    { 166346, 455, 0, 0 },
    { 166375, 455, 0, 0 },
    { 166405, 455, 0, 0 },
    { 166435, 455, 0, 0 },
    { 166464, 455, 0, 0 },
    { 166494, 455, 0, 0 },
    { 166524, 455, 0, 0 },
    { 166553, 456, 1, 0 },
    { 166583, 456, 0, 0 },
    { 166612, 456, 0, 0 },
    { 166642, 456, 0, 0 },
    { 166671, 456, 0, 0 },
    { 166700, 456, 0, 0 },
    { 166730, 456, 0, 1 },
    { 166759, 456, 0, 0 },
    { 166789, 456, 0, 0 },
    { 166818, 456, 0, 0 },
    { 166848, 456, 0, 0 },
    { 166878, 456, 0, 0 },
    { 166908, 456, 0, 0 },
    { 166937, 457, 1, 0 },
    { 166967, 457, 0, 0 },
    { 166996, 457, 0, 0 },
    { 167026, 457, 0, 0 },
    { 167055, 457, 0, 0 },
    { 167084, 457, 0, 0 },
    { 167113, 457, 0, 0 },
    { 167143, 457, 0, 0 },
    { 167173, 457, 0, 0 },
    { 167202, 457, 0, 0 },
    { 167232, 457, 0, 0 },
    { 167262, 457, 0, 0 },
    { 167292, 458, 1, 0 },
    { 167321, 458, 0, 0 },
    { 167351, 458, 0, 0 },
    { 167380, 458, 0, 0 },
    { 167410, 458, 0, 0 },
    { 167439, 458, 0, 0 },
    { 167468, 458, 0, 0 },
    { 167497, 458, 0, 0 },
    { 167527, 458, 0, 0 },
    { 167556, 458, 0, 0 },
    { 167586, 458, 0, 0 },
    { 167616, 458, 0, 0 },
    { 167646, 459, 1, 0 },
    { 167675, 459, 0, 0 },
    { 167705, 459, 0, 0 },
    { 167735, 459, 0, 1 },
    { 167764, 459, 0, 0 },
    { 167794, 459, 0, 0 },
    { 167823, 459, 0, 0 },
    { 167852, 459, 0, 0 },
    { 167881, 459, 0, 0 },
    { 167911, 459, 0, 0 },
    { 167940, 459, 0, 0 },
    { 167970, 459, 0, 0 },
    { 168000, 459, 0, 0 },
    { 168029, 460, 1, 0 },
    { 168059, 460, 0, 0 },
    { 168089, 460, 0, 0 },
    { 168118, 460, 0, 0 },
    { 168148, 460, 0, 0 },
    { 168177, 460, 0, 0 },
    { 168207, 460, 0, 0 },
    { 168236, 460, 0, 0 },
    { 168266, 460, 0, 0 },
    { 168295, 460, 0, 0 },
    { 168324, 460, 0, 0 },
    { 168354, 460, 0, 0 },
    { 168384, 461, 1, 0 },
    { 168413, 461, 0, 0 },
    { 168443, 461, 0, 0 },
    { 168472, 461, 0, 0 },
    { 168502, 461, 0, 0 },
    { 168532, 461, 0, 0 },
    { 168561, 461, 0, 0 },
    { 168591, 461, 0, 0 },
    { 168620, 461, 0, 0 },
    { 168650, 461, 0, 0 },
    { 168679, 461, 0, 0 },
    { 168708, 461, 0, 0 },
    { 168738, 461, 0, 1 },
    { 168767, 462, 1, 0 },
    { 168797, 462, 0, 0 },
    { 168827, 462, 0, 0 },
    { 168856, 462, 0, 0 },
    { 168886, 462, 0, 0 },
    { 168915, 462, 0, 0 },
    { 168945, 462, 0, 0 },
    { 168975, 462, 0, 0 },
    { 169004, 462, 0, 0 },
    { 169034, 462, 0, 0 },
    { 169063, 462, 0, 0 },
    { 169093, 462, 0, 0 },
    { 169122, 463, 1, 0 },
    { 169151, 463, 0, 0 },
    { 169181, 463, 0, 0 },
    { 169210, 463, 0, 0 },
    { 169240, 463, 0, 0 },
    { 169269, 463, 0, 0 },
    { 169299, 463, 0, 0 },
    { 169329, 463, 0, 0 },
    { 169358, 463, 0, 0 },
    { 169388, 463, 0, 0 },
    { 169418, 463, 0, 0 },
    { 169447, 463, 0, 0 },
    { 169477, 464, 1, 0 },
    { 169506, 464, 0, 0 },
    { 169535, 464, 0, 0 },
    { 169565, 464, 0, 0 },
    { 169594, 464, 0, 0 },
    { 169624, 464, 0, 0 },
    { 169653, 464, 0, 0 },
    { 169683, 464, 0, 0 },
    { 169712, 464, 0, 1 },
    { 169742, 464, 0, 0 },
    { 169772, 464, 0, 0 },
    { 169802, 464, 0, 0 },
    { 169831, 464, 0, 0 },
    { 169861, 465, 1, 0 },
    { 169890, 465, 0, 0 },
    { 169920, 465, 0, 0 },
    { 169949, 465, 0, 0 },
    { 169978, 465, 0, 0 },
    { 170008, 465, 0, 0 },
    { 170037, 465, 0, 0 },
    { 170067, 465, 0, 0 },
    { 170096, 465, 0, 0 },
    { 170126, 465, 0, 0 },
    { 170156, 465, 0, 0 },
    { 170186, 465, 0, 0 },
    { 170215, 466, 1, 0 },
    { 170245, 466, 0, 0 },
    { 170274, 466, 0, 0 },
    { 170304, 466, 0, 0 },
    { 170333, 466, 0, 0 },
    { 170362, 466, 0, 0 },
    { 170391, 466, 0, 0 },
    { 170421, 466, 0, 0 },
    { 170450, 466, 0, 0 },
    { 170480, 466, 0, 0 },
    { 170510, 466, 0, 0 },
    { 170540, 466, 0, 0 },
    { 170569, 467, 1, 0 },
    { 170599, 467, 0, 0 },
    { 170629, 467, 0, 0 },
    { 170658, 467, 0, 0 },
    { 170688, 467, 0, 0 },
    { 170717, 467, 0, 1 },
    { 170746, 467, 0, 0 },
    { 170775, 467, 0, 0 },
    { 170805, 467, 0, 0 },
    { 170834, 467, 0, 0 },
    { 170864, 467, 0, 0 },
    { 170894, 467, 0, 0 },
    { 170923, 467, 0, 0 },
    { 170953, 468, 1, 0 },
    { 170983, 468, 0, 0 },
    { 171013, 468, 0, 0 },
    { 171042, 468, 0, 0 },
    { 171071, 468, 0, 0 },
    { 171101, 468, 0, 0 },
    { 171130, 468, 0, 0 },
    { 171159, 468, 0, 0 },
    { 171189, 468, 0, 0 },
    { 171218, 468, 0, 0 },
    { 171248, 468, 0, 0 },
    { 171277, 468, 0, 0 },
    { 171307, 469, 1, 0 },
    { 171337, 469, 0, 0 },
    { 171367, 469, 0, 0 },
    { 171396, 469, 0, 0 },
    { 171426, 469, 0, 0 },
    { 171455, 469, 0, 0 },
    { 171485, 469, 0, 0 },
    { 171514, 469, 0, 0 },
    { 171544, 469, 0, 0 },
    { 171573, 469, 0, 0 },
    { 171602, 469, 0, 0 },
    { 171632, 469, 0, 0 },
    { 171661, 470, 1, 0 },
    { 171691, 470, 0, 0 },
    { 171721, 470, 0, 1 },
    { 171750, 470, 0, 0 },
    { 171780, 470, 0, 0 },
    { 171810, 470, 0, 0 },
    { 171839, 470, 0, 0 },
    { 171869, 470, 0, 0 },
    { 171898, 470, 0, 0 },
    { 171928, 470, 0, 0 },
    { 171957, 470, 0, 0 },
    { 171986, 470, 0, 0 },
    { 172016, 470, 0, 0 },
    { 172045, 471, 1, 0 },
    { 172075, 471, 0, 0 },
    { 172104, 471, 0, 0 },
    { 172134, 471, 0, 0 },
    { 172164, 471, 0, 0 },
    { 172193, 471, 0, 0 },
    { 172223, 471, 0, 0 },
    { 172252, 471, 0, 0 },
    { 172282, 471, 0, 0 },
    { 172312, 471, 0, 0 },
    { 172341, 471, 0, 0 },
    { 172371, 471, 0, 0 },
    { 172400, 472, 1, 0 },
    { 172429, 472, 0, 0 },
    { 172459, 472, 0, 0 },
    { 172488, 472, 0, 0 },
    { 172518, 472, 0, 0 },
    { 172547, 472, 0, 0 },
    { 172577, 472, 0, 0 },
    { 172607, 472, 0, 0 },
    { 172636, 472, 0, 0 },
    { 172666, 472, 0, 0 },
    { 172696, 472, 0, 1 },
    { 172725, 472, 0, 0 },
    { 172755, 472, 0, 0 },
    { 172784, 473, 1, 0 },
    { 172813, 473, 0, 0 },
    { 172843, 473, 0, 0 },
    { 172872, 473, 0, 0 },
    { 172902, 473, 0, 0 },
    { 172931, 473, 0, 0 },
    { 172961, 473, 0, 0 },
    { 172990, 473, 0, 0 },
    { 173020, 473, 0, 0 },
    { 173050, 473, 0, 0 },
    { 173079, 473, 0, 0 },
    { 173109, 473, 0, 0 },
    { 173139, 474, 1, 0 },
    { 173168, 474, 0, 0 },
    { 173198, 474, 0, 0 },
    { 173227, 474, 0, 0 },
    { 173256, 474, 0, 0 },
    { 173285, 474, 0, 0 },
    { 173315, 474, 0, 0 },
    { 173344, 474, 0, 0 },
    { 173374, 474, 0, 0 },
    { 173404, 474, 0, 0 },
    { 173434, 474, 0, 0 },
    { 173463, 474, 0, 0 },
    { 173493, 475, 1, 0 },
    { 173523, 475, 0, 0 },
    { 173552, 475, 0, 0 },
    { 173582, 475, 0, 0 },
    { 173611, 475, 0, 0 },
    { 173640, 475, 0, 0 },
    { 173669, 475, 0, 1 },
    { 173699, 475, 0, 0 },
    { 173728, 475, 0, 0 },
    { 173758, 475, 0, 0 },
    { 173788, 475, 0, 0 },
    { 173817, 475, 0, 0 },
    { 173847, 475, 0, 0 },
    { 173877, 476, 1, 0 },
    { 173907, 476, 0, 0 },
    { 173936, 476, 0, 0 },
    { 173966, 476, 0, 0 },
    { 173995, 476, 0, 0 },
    { 174024, 476, 0, 0 },
    { 174053, 476, 0, 0 },
    { 174083, 476, 0, 0 },
    { 174112, 476, 0, 0 },
    { 174142, 476, 0, 0 },
    { 174171, 476, 0, 0 },
    { 174201, 476, 0, 0 },
    { 174231, 477, 1, 0 },
    { 174261, 477, 0, 0 },
    { 174290, 477, 0, 0 },
    { 174320, 477, 0, 0 },
    { 174349, 477, 0, 0 },
    { 174379, 477, 0, 0 },
    { 174408, 477, 0, 0 },
    { 174437, 477, 0, 0 },
    { 174467, 477, 0, 0 },
    { 174496, 477, 0, 0 },
    { 174526, 477, 0, 0 },
    { 174555, 477, 0, 0 },
    { 174585, 478, 1, 0 },
    { 174615, 478, 0, 0 },
    { 174644, 478, 0, 0 },
    { 174674, 478, 0, 0 },
    { 174704, 478, 0, 1 },
    { 174733, 478, 0, 0 },
    { 174763, 478, 0, 0 },
    { 174792, 478, 0, 0 },
    { 174821, 478, 0, 0 },
    { 174851, 478, 0, 0 },
    { 174880, 478, 0, 0 },
    { 174910, 478, 0, 0 },
    { 174939, 478, 0, 0 },
    { 174969, 479, 1, 0 },
    { 174998, 479, 0, 0 },
    { 175028, 479, 0, 0 },
    { 175058, 479, 0, 0 },
    { 175087, 479, 0, 0 },
    { 175117, 479, 0, 0 },
    { 175147, 479, 0, 0 },
    { 175176, 479, 0, 0 },
    { 175205, 479, 0, 0 },
    { 175235, 479, 0, 0 },
    { 175264, 479, 0, 0 },
    { 175294, 479, 0, 0 },
    { 175323, 480, 1, 0 },
    { 175353, 480, 0, 0 },
    { 175382, 480, 0, 0 },
    { 175412, 480, 0, 0 },
    { 175441, 480, 0, 0 },
    { 175471, 480, 0, 0 },
    { 175501, 480, 0, 0 },
    { 175530, 480, 0, 0 },
    { 175560, 480, 0, 0 },
    { 175589, 480, 0, 0 },
    { 175619, 480, 0, 0 },
    { 175649, 480, 0, 0 },
    { 175678, 480, 0, 1 },
    { 175707, 481, 1, 0 },
    { 175737, 481, 0, 0 },
    { 175766, 481, 0, 0 },
    { 175796, 481, 0, 0 },
    { 175825, 481, 0, 0 },
    { 175855, 481, 0, 0 },
    { 175884, 481, 0, 0 },
    { 175914, 481, 0, 0 },
    { 175944, 481, 0, 0 },
    { 175973, 481, 0, 0 },
    { 176003, 481, 0, 0 },
    { 176033, 481, 0, 0 },
    { 176062, 482, 1, 0 },
    { 176091, 482, 0, 0 },
    { 176121, 482, 0, 0 },
    { 176150, 482, 0, 0 },
    { 176180, 482, 0, 0 },
    { 176209, 482, 0, 0 },
    { 176238, 482, 0, 0 },
    { 176268, 482, 0, 0 },
    { 176298, 482, 0, 0 },
    { 176328, 482, 0, 0 },
    { 176357, 482, 0, 0 },
    { 176387, 482, 0, 0 },
    { 176417, 483, 1, 0 },
    { 176446, 483, 0, 0 },
    { 176476, 483, 0, 0 },
    { 176505, 483, 0, 0 },
    { 176534, 483, 0, 0 },
    { 176563, 483, 0, 0 },
    { 176593, 483, 0, 0 },
    { 176622, 483, 0, 0 },
    { 176652, 483, 0, 1 },
    { 176682, 483, 0, 0 },
    { 176711, 483, 0, 0 },
    { 176741, 483, 0, 0 },
    { 176771, 483, 0, 0 },
    { 176801, 484, 1, 0 },
    { 176830, 484, 0, 0 },
    { 176860, 484, 0, 0 },
    { 176889, 484, 0, 0 },
    { 176918, 484, 0, 0 },
    { 176947, 484, 0, 0 },
    { 176977, 484, 0, 0 },
    { 177006, 484, 0, 0 },
    { 177036, 484, 0, 0 },
    { 177065, 484, 0, 0 },
    { 177095, 484, 0, 0 },
    { 177125, 484, 0, 0 },
    { 177155, 485, 1, 0 },
    { 177184, 485, 0, 0 },
    { 177214, 485, 0, 0 },
    { 177243, 485, 0, 0 },
    { 177273, 485, 0, 0 },
    { 177302, 485, 0, 0 },
    { 177331, 485, 0, 0 },
    { 177361, 485, 0, 0 },
    { 177390, 485, 0, 0 },
    { 177420, 485, 0, 0 },
    { 177449, 485, 0, 0 },
    { 177479, 485, 0, 0 },
    { 177509, 486, 1, 0 },
    { 177538, 486, 0, 0 },
    { 177568, 486, 0, 0 },
    { 177598, 486, 0, 0 },
    { 177627, 486, 0, 0 },
    { 177657, 486, 0, 1 },
    { 177686, 486, 0, 0 },
    { 177715, 486, 0, 0 },
    { 177745, 486, 0, 0 },
    { 177774, 486, 0, 0 },
    { 177804, 486, 0, 0 },
    { 177833, 486, 0, 0 },
    { 177863, 486, 0, 0 },
    { 177892, 487, 1, 0 },
    { 177922, 487, 0, 0 },
    { 177952, 487, 0, 0 },
    { 177982, 487, 0, 0 },
    { 178011, 487, 0, 0 },
    { 178041, 487, 0, 0 },
    { 178070, 487, 0, 0 },
    { 178099, 487, 0, 0 },
    { 178129, 487, 0, 0 },
    { 178158, 487, 0, 0 },
    { 178188, 487, 0, 0 },
    { 178217, 487, 0, 0 },
    { 178247, 488, 1, 0 },
    { 178276, 488, 0, 0 },
    { 178306, 488, 0, 0 },
    { 178336, 488, 0, 0 },
    { 178365, 488, 0, 0 },
    { 178395, 488, 0, 0 },
    { 178424, 488, 0, 0 },
    { 178454, 488, 0, 0 },
    { 178483, 488, 0, 0 },
    { 178513, 488, 0, 0 },
    { 178542, 488, 0, 0 },
    { 178572, 488, 0, 0 },
    { 178601, 489, 1, 0 },
    { 178631, 489, 0, 1 },
    { 178660, 489, 0, 0 },
    { 178690, 489, 0, 0 },
    { 178719, 489, 0, 0 },
    { 178749, 489, 0, 0 },
    { 178779, 489, 0, 0 },
    { 178808, 489, 0, 0 },
    { 178838, 489, 0, 0 },
    { 178867, 489, 0, 0 },
    { 178897, 489, 0, 0 },
    { 178926, 489, 0, 0 },
    { 178956, 489, 0, 0 },
    { 178985, 490, 1, 0 },
    { 179015, 490, 0, 0 },
    { 179044, 490, 0, 0 },
    { 179074, 490, 0, 0 },
    { 179103, 490, 0, 0 },
    { 179133, 490, 0, 0 },
    { 179162, 490, 0, 0 },
    { 179192, 490, 0, 0 },
    { 179222, 490, 0, 0 },
    { 179251, 490, 0, 0 },
    { 179281, 490, 0, 0 },
    { 179310, 490, 0, 0 },
    { 179340, 491, 1, 0 },
    { 179369, 491, 0, 0 },
    { 179399, 491, 0, 0 },
    { 179428, 491, 0, 0 },
    { 179457, 491, 0, 0 },
    { 179487, 491, 0, 0 },
    { 179516, 491, 0, 0 },
    { 179546, 491, 0, 0 },
    { 179576, 491, 0, 0 },
    { 179605, 491, 0, 0 },
    { 179635, 491, 0, 0 },
    { 179665, 491, 0, 1 },
    { 179694, 491, 0, 0 },
    { 179723, 492, 1, 0 },
    { 179753, 492, 0, 0 },
    { 179783, 492, 0, 0 },
    { 179812, 492, 0, 0 },
    { 179841, 492, 0, 0 },
    { 179871, 492, 0, 0 },
    { 179900, 492, 0, 0 },
    { 179930, 492, 0, 0 },
    { 179959, 492, 0, 0 },
    { 179989, 492, 0, 0 },
    { 180019, 492, 0, 0 },
    { 180048, 492, 0, 0 },
    { 180077, 493, 1, 0 },
    { 180107, 493, 0, 0 },
    { 180137, 493, 0, 0 },
    { 180167, 493, 0, 0 },
    { 180196, 493, 0, 0 },
    { 180225, 493, 0, 0 },
    { 180255, 493, 0, 0 },
    { 180284, 493, 0, 0 },
    { 180314, 493, 0, 0 },
    { 180343, 493, 0, 0 },
    { 180373, 493, 0, 0 },
    { 180403, 493, 0, 0 },
    { 180432, 494, 1, 0 },
    { 180462, 494, 0, 0 },
    { 180492, 494, 0, 0 },
    { 180521, 494, 0, 0 },
    { 180551, 494, 0, 0 },
    { 180580, 494, 0, 0 },
    { 180609, 494, 0, 0 },
    { 180639, 494, 0, 1 },
    { 180668, 494, 0, 0 },
    { 180698, 494, 0, 0 },
    { 180727, 494, 0, 0 },
    { 180757, 494, 0, 0 },
    { 180786, 494, 0, 0 },
    { 180816, 495, 1, 0 },
    { 180846, 495, 0, 0 },
    { 180876, 495, 0, 0 },
    { 180905, 495, 0, 0 },
    { 180935, 495, 0, 0 },
    { 180964, 495, 0, 0 },
    { 180993, 495, 0, 0 },
    { 181023, 495, 0, 0 },
    { 181052, 495, 0, 0 },
    { 181082, 495, 0, 0 },
    { 181111, 495, 0, 0 },
    { 181141, 495, 0, 0 },
    { 181170, 496, 1, 0 },
    { 181200, 496, 0, 0 },
    { 181230, 496, 0, 0 },
    { 181259, 496, 0, 0 },
    { 181289, 496, 0, 0 },
    { 181319, 496, 0, 0 },
    { 181348, 496, 0, 0 },
    { 181377, 496, 0, 0 },
    { 181407, 496, 0, 0 },
    { 181436, 496, 0, 0 },
    { 181466, 496, 0, 0 },
    { 181495, 496, 0, 0 },
    { 181525, 497, 1, 0 },
    { 181554, 497, 0, 0 },
    { 181584, 497, 0, 0 },
    { 181613, 497, 0, 1 },
    { 181643, 497, 0, 0 },
    { 181673, 497, 0, 0 },
    { 181702, 497, 0, 0 },
    { 181732, 497, 0, 0 },
    { 181761, 497, 0, 0 },
    { 181791, 497, 0, 0 },
    { 181820, 497, 0, 0 },
    { 181849, 497, 0, 0 },
    { 181879, 497, 0, 0 },
    { 181909, 498, 1, 0 },
    { 181938, 498, 0, 0 },
    { 181968, 498, 0, 0 },
    { 181997, 498, 0, 0 },
    { 182027, 498, 0, 0 },
    { 182056, 498, 0, 0 },
    { 182086, 498, 0, 0 },
    { 182116, 498, 0, 0 },
    { 182145, 498, 0, 0 },
    { 182175, 498, 0, 0 },
    { 182204, 498, 0, 0 },
    { 182234, 498, 0, 0 },
    { 182263, 499, 1, 0 },
    { 182293, 499, 0, 0 },
    { 182322, 499, 0, 0 },
    { 182352, 499, 0, 0 },
    { 182381, 499, 0, 0 },
    { 182410, 499, 0, 0 },
    { 182440, 499, 0, 0 },
    { 182470, 499, 0, 0 },
    { 182499, 499, 0, 0 },
    { 182529, 499, 0, 0 },
    { 182559, 499, 0, 0 },
    { 182588, 499, 0, 0 },
    { 182618, 499, 0, 1 },
    { 182647, 500, 1, 0 },
    { 182677, 500, 0, 0 },
    { 182706, 500, 0, 0 },
    { 182735, 500, 0, 0 },
    { 182765, 500, 0, 0 },
    { 182794, 500, 0, 0 },
    { 182824, 500, 0, 0 },
    { 182853, 500, 0, 0 },
    { 182883, 500, 0, 0 },
    { 182913, 500, 0, 0 },
    { 182943, 500, 0, 0 },
    { 182972, 500, 0, 0 },
    { 183002, 501, 1, 0 },
    { 183031, 501, 0, 0 },
    { 183061, 501, 0, 0 },
    { 183090, 501, 0, 0 },
    { 183119, 501, 0, 0 },
    { 183149, 501, 0, 0 },
    { 183178, 501, 0, 0 },
    { 183208, 501, 0, 0 },
    { 183237, 501, 0, 0 },
    { 183267, 501, 0, 0 },
    { 183297, 501, 0, 0 },
    { 183326, 501, 0, 0 },
    { 183356, 502, 1, 0 },
    { 183386, 502, 0, 0 },
    { 183415, 502, 0, 0 },
    { 183445, 502, 0, 0 },
    { 183474, 502, 0, 0 },
    { 183503, 502, 0, 0 },
    { 183533, 502, 0, 0 },
    { 183562, 502, 0, 1 },
    { 183591, 502, 0, 0 },
    { 183621, 502, 0, 0 },
    { 183651, 502, 0, 0 },
    { 183680, 502, 0, 0 },
    { 183710, 502, 0, 0 },
    { 183740, 503, 1, 0 },
    { 183770, 503, 0, 0 },
    { 183799, 503, 0, 0 },
    { 183829, 503, 0, 0 },
    { 183858, 503, 0, 0 },
    { 183887, 503, 0, 0 },
    { 183917, 503, 0, 0 },
    { 183946, 503, 0, 0 },
    { 183975, 503, 0, 0 },
    { 184005, 503, 0, 0 },
    { 184035, 503, 0, 0 },
    { 184064, 503, 0, 0 },
    { 184094, 504, 1, 0 },
    { 184124, 504, 0, 0 },
    { 184153, 504, 0, 0 },
    { 184183, 504, 0, 0 },
    { 184213, 504, 0, 0 },
    { 184242, 504, 0, 0 },
    { 184271, 504, 0, 0 },
    { 184301, 504, 0, 0 },
    { 184330, 504, 0, 0 },
    { 184359, 504, 0, 0 },
    { 184389, 504, 0, 0 },
    { 184419, 504, 0, 0 },
    { 184448, 505, 1, 0 },
    { 184478, 505, 0, 0 },
    { 184507, 505, 0, 0 },
    { 184537, 505, 0, 0 },
    { 184567, 505, 0, 0 },
    { 184596, 505, 0, 1 },
    { 184626, 505, 0, 0 },
    { 184655, 505, 0, 0 },
    { 184685, 505, 0, 0 },
    { 184714, 505, 0, 0 },
    { 184744, 505, 0, 0 },
    { 184773, 505, 0, 0 },
    { 184803, 505, 0, 0 },
    { 184832, 506, 1, 0 },
    { 184862, 506, 0, 0 },
    { 184891, 506, 0, 0 },
    { 184921, 506, 0, 0 },
    { 184951, 506, 0, 0 },
    { 184980, 506, 0, 0 },
    { 185010, 506, 0, 0 },
    { 185039, 506, 0, 0 },
    { 185069, 506, 0, 0 },
    { 185098, 506, 0, 0 },
    { 185128, 506, 0, 0 },
    { 185157, 506, 0, 0 },
    { 185187, 507, 1, 0 },
    { 185216, 507, 0, 0 },
    { 185246, 507, 0, 0 },
    { 185275, 507, 0, 0 },
    { 185305, 507, 0, 0 },
    { 185334, 507, 0, 0 },
    { 185364, 507, 0, 0 },
    { 185393, 507, 0, 0 },
    { 185423, 507, 0, 0 },
    { 185453, 507, 0, 0 },
    { 185482, 507, 0, 0 },
    { 185512, 507, 0, 0 },
    { 185541, 508, 1, 0 },
    { 185571, 508, 0, 1 },
    { 185600, 508, 0, 0 },
    { 185629, 508, 0, 0 },
    { 185659, 508, 0, 0 },
    { 185688, 508, 0, 0 },
    { 185718, 508, 0, 0 },
    { 185747, 508, 0, 0 },
    { 185777, 508, 0, 0 },
    { 185807, 508, 0, 0 },
    { 185837, 508, 0, 0 },
    { 185866, 508, 0, 0 },
    { 185896, 508, 0, 0 },
    { 185925, 509, 1, 0 },
    { 185955, 509, 0, 0 },
    { 185984, 509, 0, 0 },
    { 186013, 509, 0, 0 },
    { 186043, 509, 0, 0 },
    { 186072, 509, 0, 0 },
    { 186102, 509, 0, 0 },
    { 186131, 509, 0, 0 },
    { 186161, 509, 0, 0 },
    { 186191, 509, 0, 0 },
    { 186220, 509, 0, 0 },
    { 186250, 509, 0, 0 },
    { 186280, 510, 1, 0 },
    { 186309, 510, 0, 0 },
    { 186339, 510, 0, 0 },
    { 186368, 510, 0, 0 },
    { 186397, 510, 0, 0 },
    { 186427, 510, 0, 0 },
    { 186456, 510, 0, 0 },
    { 186485, 510, 0, 0 },
    { 186515, 510, 0, 0 },
    { 186545, 510, 0, 1 },
    { 186574, 510, 0, 0 },
    { 186604, 510, 0, 0 },
    { 186634, 510, 0, 0 },
    { 186664, 511, 1, 0 },
    { 186693, 511, 0, 0 },
    { 186723, 511, 0, 0 },
    { 186752, 511, 0, 0 },
    { 186781, 511, 0, 0 },
    { 186811, 511, 0, 0 },
    { 186840, 511, 0, 0 },
    { 186869, 511, 0, 0 },
    { 186899, 511, 0, 0 },
    { 186929, 511, 0, 0 },
    { 186958, 511, 0, 0 },
    { 186988, 511, 0, 0 },
    { 187018, 512, 1, 0 },
    { 187048, 512, 0, 0 },
    { 187077, 512, 0, 0 },
    { 187107, 512, 0, 0 },
    { 187136, 512, 0, 0 },
    { 187165, 512, 0, 0 },
    { 187195, 512, 0, 0 },
    { 187224, 512, 0, 0 },
    { 187253, 512, 0, 0 },
    { 187283, 512, 0, 0 },
    { 187312, 512, 0, 0 },
    { 187342, 512, 0, 0 },
    { 187372, 513, 1, 0 },
    { 187402, 513, 0, 0 },
    { 187431, 513, 0, 0 },
    { 187461, 513, 0, 0 },
    { 187490, 513, 0, 0 },
    { 187520, 513, 0, 0 },
    { 187549, 513, 0, 0 },
    { 187579, 513, 0, 1 },
    { 187608, 513, 0, 0 },
    { 187637, 513, 0, 0 },
    { 187667, 513, 0, 0 },
    { 187696, 513, 0, 0 },
    { 187726, 513, 0, 0 },
    { 187756, 514, 1, 0 },
    { 187785, 514, 0, 0 },
    { 187815, 514, 0, 0 },
    { 187845, 514, 0, 0 },
    { 187874, 514, 0, 0 },
    { 187904, 514, 0, 0 },
    { 187933, 514, 0, 0 },
    { 187963, 514, 0, 0 },
    { 187992, 514, 0, 0 },
    { 188022, 514, 0, 0 },
    { 188051, 514, 0, 0 },
    { 188080, 514, 0, 0 },
    { 188110, 515, 1, 0 },
    { 188140, 515, 0, 0 },
    { 188169, 515, 0, 0 },
    { 188199, 515, 0, 0 },
    { 188228, 515, 0, 0 },
    { 188258, 515, 0, 0 },
    { 188288, 515, 0, 0 },
    { 188317, 515, 0, 0 },
    { 188347, 515, 0, 0 },
    { 188376, 515, 0, 0 },
    { 188406, 515, 0, 0 },
    { 188435, 515, 0, 0 },
    { 188465, 516, 1, 0 },
    { 188494, 516, 0, 0 },
    { 188523, 516, 0, 0 },
    { 188553, 516, 0, 1 },
    { 188582, 516, 0, 0 },
    { 188612, 516, 0, 0 },
    { 188642, 516, 0, 0 },
    { 188671, 516, 0, 0 },
    { 188701, 516, 0, 0 },
    { 188731, 516, 0, 0 },
    { 188760, 516, 0, 0 },
    { 188790, 516, 0, 0 },
    { 188819, 516, 0, 0 },
    { 188849, 517, 1, 0 },
    { 188878, 517, 0, 0 },
    { 188907, 517, 0, 0 },
    { 188937, 517, 0, 0 },
    { 188966, 517, 0, 0 },
    { 188996, 517, 0, 0 },
    { 189025, 517, 0, 0 },
    { 189055, 517, 0, 0 },
    { 189085, 517, 0, 0 },
    { 189114, 517, 0, 0 },
    { 189144, 517, 0, 0 },
    { 189174, 517, 0, 0 },
    { 189203, 518, 1, 0 },
    { 189233, 518, 0, 0 },
    { 189262, 518, 0, 0 },
    { 189291, 518, 0, 0 },
    { 189321, 518, 0, 0 },
    { 189350, 518, 0, 0 },
    { 189380, 518, 0, 0 },
    { 189409, 518, 0, 0 },
    { 189439, 518, 0, 0 },
    { 189468, 518, 0, 0 },
    { 189498, 518, 0, 0 },
    { 189528, 518, 0, 0 },
    { 189558, 518, 0, 1 },
    { 189587, 519, 1, 0 },
    { 189617, 519, 0, 0 },
    { 189646, 519, 0, 0 },
    { 189675, 519, 0, 0 },
    { 189705, 519, 0, 0 },
    { 189734, 519, 0, 0 },
    { 189763, 519, 0, 0 },
    { 189793, 519, 0, 0 },
    { 189822, 519, 0, 0 },
    { 189852, 519, 0, 0 },
    { 189882, 519, 0, 0 },
    { 189912, 519, 0, 0 },
    { 189941, 520, 1, 0 },
    { 189971, 520, 0, 0 },
    { 190001, 520, 0, 0 },
    { 190030, 520, 0, 0 },
    { 190059, 520, 0, 0 },
    { 190089, 520, 0, 0 },
    { 190118, 520, 0, 0 },
    { 190147, 520, 0, 0 },
    { 190177, 520, 0, 0 },
    { 190206, 520, 0, 0 },
    { 190236, 520, 0, 0 },
    { 190266, 520, 0, 0 },
    { 190296, 521, 1, 0 },
    { 190325, 521, 0, 0 },
    { 190355, 521, 0, 0 },
    { 190385, 521, 0, 0 },
    { 190414, 521, 0, 0 },
    { 190443, 521, 0, 0 },
    { 190473, 521, 0, 0 },
    { 190502, 521, 0, 0 },
    { 190531, 521, 0, 1 },
    { 190561, 521, 0, 0 },
    { 190590, 521, 0, 0 },
    { 190620, 521, 0, 0 },
    { 190650, 521, 0, 0 },
    { 190679, 522, 1, 0 },
    { 190709, 522, 0, 0 },
    { 190739, 522, 0, 0 },
    { 190768, 522, 0, 0 },
    { 190798, 522, 0, 0 },
    { 190827, 522, 0, 0 },
    { 190857, 522, 0, 0 },
    { 190886, 522, 0, 0 },
    { 190915, 522, 0, 0 },
    { 190945, 522, 0, 0 },
    { 190974, 522, 0, 0 },
    { 191004, 522, 0, 0 },
    { 191034, 523, 1, 0 },
    { 191063, 523, 0, 0 },
    { 191093, 523, 0, 0 },
    { 191122, 523, 0, 0 },
    { 191152, 523, 0, 0 },
    { 191182, 523, 0, 0 },
    { 191211, 523, 0, 0 },
    { 191241, 523, 0, 0 },
    { 191270, 523, 0, 0 },
    { 191300, 523, 0, 0 },
    { 191329, 523, 0, 0 },
    { 191358, 523, 0, 0 },
    { 191388, 524, 1, 0 },
    { 191417, 524, 0, 0 },
    { 191447, 524, 0, 0 },
    { 191477, 524, 0, 0 },
    { 191506, 524, 0, 0 },
    { 191536, 524, 0, 1 },
    { 191565, 524, 0, 0 },
    { 191595, 524, 0, 0 },
    { 191625, 524, 0, 0 },
    { 191654, 524, 0, 0 },
    { 191684, 524, 0, 0 },
    { 191713, 524, 0, 0 },
    { 191743, 524, 0, 0 },
    { 191772, 525, 1, 0 },
    { 191801, 525, 0, 0 },
    { 191831, 525, 0, 0 },
    { 191860, 525, 0, 0 },
    { 191890, 525, 0, 0 },
    { 191919, 525, 0, 0 },
    { 191949, 525, 0, 0 },
    { 191979, 525, 0, 0 },
    { 192008, 525, 0, 0 },
    { 192038, 525, 0, 0 },
    { 192068, 525, 0, 0 },
    { 192097, 525, 0, 0 },
    { 192127, 526, 1, 0 },
    { 192156, 526, 0, 0 },
    { 192185, 526, 0, 0 },
    { 192215, 526, 0, 0 },
    { 192244, 526, 0, 0 },
    { 192274, 526, 0, 0 },
    { 192303, 526, 0, 0 },
    { 192333, 526, 0, 0 },
    { 192362, 526, 0, 0 },
    { 192392, 526, 0, 0 },
    { 192422, 526, 0, 0 },
    { 192452, 526, 0, 0 },
    { 192481, 527, 1, 0 },
    { 192511, 527, 0, 0 },
    { 192540, 527, 0, 1 },
    { 192569, 527, 0, 0 },
    { 192599, 527, 0, 0 },
    { 192628, 527, 0, 0 },
    { 192657, 527, 0, 0 },
    { 192687, 527, 0, 0 },
    { 192717, 527, 0, 0 },
    { 192746, 527, 0, 0 },
    { 192776, 527, 0, 0 },
    { 192806, 527, 0, 0 },
    { 192836, 527, 0, 0 },
    { 192865, 528, 1, 0 },
    { 192895, 528, 0, 0 },
    { 192924, 528, 0, 0 },
    { 192953, 528, 0, 0 },
    { 192983, 528, 0, 0 },
    { 193012, 528, 0, 0 },
    { 193041, 528, 0, 0 },
    { 193071, 528, 0, 0 },
    { 193100, 528, 0, 0 },
    { 193130, 528, 0, 0 },
    { 193160, 528, 0, 0 },
    { 193190, 528, 0, 0 },
    { 193219, 529, 1, 0 },
    { 193249, 529, 0, 0 },
    { 193279, 529, 0, 0 },
    { 193308, 529, 0, 0 },
    { 193337, 529, 0, 0 },
    { 193367, 529, 0, 0 },
    { 193396, 529, 0, 0 },
    { 193425, 529, 0, 0 },
    { 193455, 529, 0, 0 },
    { 193484, 529, 0, 0 },
    { 193514, 529, 0, 1 },
    { 193544, 529, 0, 0 },
    { 193573, 529, 0, 0 },
    { 193603, 530, 1, 0 },
    { 193633, 530, 0, 0 },
    { 193662, 530, 0, 0 },
    { 193692, 530, 0, 0 },
    { 193721, 530, 0, 0 },
    { 193751, 530, 0, 0 },
    { 193780, 530, 0, 0 },
    { 193809, 530, 0, 0 },
    { 193838, 530, 0, 0 },
    { 193868, 530, 0, 0 },
    { 193898, 530, 0, 0 },
    { 193927, 530, 0, 0 },
    { 193957, 531, 1, 0 },
    { 193987, 531, 0, 0 },
    { 194017, 531, 0, 0 },
    { 194046, 531, 0, 0 },
    { 194076, 531, 0, 0 },
    { 194105, 531, 0, 0 },
    { 194135, 531, 0, 0 },
    { 194164, 531, 0, 0 },
    { 194193, 531, 0, 0 },
    { 194223, 531, 0, 0 },
    { 194252, 531, 0, 0 },
    { 194282, 531, 0, 0 },
    { 194311, 532, 1, 0 },
    { 194341, 532, 0, 0 },
    { 194371, 532, 0, 0 },
    { 194400, 532, 0, 0 },
    { 194430, 532, 0, 0 },
    { 194460, 532, 0, 0 },
    { 194489, 532, 0, 0 },
    { 194519, 532, 0, 1 },
    { 194548, 532, 0, 0 },
    { 194577, 532, 0, 0 },
    { 194607, 532, 0, 0 },
    { 194636, 532, 0, 0 },
    { 194666, 532, 0, 0 },
    { 194695, 533, 1, 0 },
    { 194725, 533, 0, 0 },
    { 194754, 533, 0, 0 },
    { 194784, 533, 0, 0 },
    { 194814, 533, 0, 0 },
    { 194843, 533, 0, 0 },
    { 194873, 533, 0, 0 },
    { 194902, 533, 0, 0 },
    { 194932, 533, 0, 0 },
    { 194962, 533, 0, 0 },
    { 194991, 533, 0, 0 },
    { 195021, 533, 0, 0 },
    { 195050, 534, 1, 0 },
    { 195079, 534, 0, 0 },
    { 195109, 534, 0, 0 },
    { 195138, 534, 0, 0 },
    { 195168, 534, 0, 0 },
    { 195197, 534, 0, 0 },
    { 195227, 534, 0, 0 },
    { 195257, 534, 0, 0 },
    { 195286, 534, 0, 0 },
    { 195316, 534, 0, 0 },
    { 195346, 534, 0, 0 },
    { 195375, 534, 0, 0 },
    { 195405, 535, 1, 0 },
    { 195434, 535, 0, 0 },
    { 195463, 535, 0, 0 },
    { 195493, 535, 0, 1 },
    { 195522, 535, 0, 0 },
    { 195552, 535, 0, 0 },
    { 195581, 535, 0, 0 },
    { 195611, 535, 0, 0 },
    { 195640, 535, 0, 0 },
    { 195670, 535, 0, 0 },
    { 195700, 535, 0, 0 },
    { 195729, 535, 0, 0 },
    { 195759, 535, 0, 0 },
    { 195789, 536, 1, 0 },
    { 195818, 536, 0, 0 },
    { 195847, 536, 0, 0 },
    { 195877, 536, 0, 0 },
    { 195906, 536, 0, 0 },
    { 195935, 536, 0, 0 },
    { 195965, 536, 0, 0 },
    { 195994, 536, 0, 0 },
    { 196024, 536, 0, 0 },
    { 196054, 536, 0, 0 },
    { 196084, 536, 0, 0 },
    { 196113, 536, 0, 0 },
    { 196143, 537, 1, 0 },
    { 196173, 537, 0, 0 },
    { 196202, 537, 0, 0 },
    { 196231, 537, 0, 0 },
    { 196261, 537, 0, 0 },
    { 196290, 537, 0, 0 },
    { 196319, 537, 0, 0 },
    { 196349, 537, 0, 0 },
    { 196378, 537, 0, 0 },
    { 196408, 537, 0, 0 },
    { 196438, 537, 0, 0 },
    { 196467, 537, 0, 0 },
    { 196497, 537, 0, 1 },
    { 196527, 538, 1, 0 },
    { 196556, 538, 0, 0 },
    { 196586, 538, 0, 0 },
    { 196615, 538, 0, 0 },
    { 196645, 538, 0, 0 },
    { 196674, 538, 0, 0 },
    { 196703, 538, 0, 0 },
    { 196733, 538, 0, 0 },
    { 196762, 538, 0, 0 },
    { 196792, 538, 0, 0 },
    { 196821, 538, 0, 0 },
    { 196851, 538, 0, 0 },
    { 196881, 539, 1, 0 },
    { 196911, 539, 0, 0 },
    { 196940, 539, 0, 0 },
    { 196970, 539, 0, 0 },
    { 196999, 539, 0, 0 },
    { 197029, 539, 0, 0 },
    { 197058, 539, 0, 0 },
    { 197087, 539, 0, 0 },
    { 197117, 539, 0, 0 },
    { 197146, 539, 0, 0 },
    { 197176, 539, 0, 0 },
    { 197205, 539, 0, 0 },
    { 197235, 540, 1, 0 },
    { 197265, 540, 0, 0 },
    { 197294, 540, 0, 0 },
    { 197324, 540, 0, 0 },
    { 197354, 540, 0, 0 },
    { 197383, 540, 0, 0 },
    { 197413, 540, 0, 0 },
    { 197442, 540, 0, 0 },
    { 197471, 540, 0, 1 },
    { 197501, 540, 0, 0 },
    { 197530, 540, 0, 0 },
    { 197560, 540, 0, 0 },
    { 197589, 540, 0, 0 },
    { 197619, 541, 1, 0 },
    { 197648, 541, 0, 0 },
    { 197678, 541, 0, 0 },
    { 197708, 541, 0, 0 },
    { 197737, 541, 0, 0 },
    { 197767, 541, 0, 0 },
    { 197796, 541, 0, 0 },
    { 197826, 541, 0, 0 },
    { 197855, 541, 0, 0 },
    { 197885, 541, 0, 0 },
    { 197914, 541, 0, 0 },
    { 197944, 541, 0, 0 },
    { 197973, 542, 1, 0 },
    { 198003, 542, 0, 0 },
    { 198032, 542, 0, 0 },
    { 198062, 542, 0, 0 },
    { 198091, 542, 0, 0 },
    { 198121, 542, 0, 0 },
    { 198151, 542, 0, 0 },
    { 198180, 542, 0, 0 },
    { 198210, 542, 0, 0 },
    { 198239, 542, 0, 0 },
    { 198269, 542, 0, 0 },
    { 198298, 542, 0, 0 },
    { 198328, 543, 1, 0 },
    { 198357, 543, 0, 0 },
    { 198387, 543, 0, 0 },
    { 198416, 543, 0, 0 },
    { 198446, 543, 0, 0 },
    { 198475, 543, 0, 1 },
    { 198505, 543, 0, 0 },
    { 198534, 543, 0, 0 },
    { 198564, 543, 0, 0 },
    { 198594, 543, 0, 0 },
    { 198623, 543, 0, 0 },
    { 198653, 543, 0, 0 },
    { 198683, 543, 0, 0 },
    { 198712, 544, 1, 0 },
    { 198741, 544, 0, 0 },
    { 198771, 544, 0, 0 },
    { 198800, 544, 0, 0 },
    { 198829, 544, 0, 0 },
    { 198859, 544, 0, 0 },
    { 198888, 544, 0, 0 },
    { 198918, 544, 0, 0 },
    { 198948, 544, 0, 0 },
    { 198978, 544, 0, 0 },
    { 199007, 544, 0, 0 },
    { 199037, 544, 0, 0 },
    { 199067, 545, 1, 0 },
    { 199096, 545, 0, 0 },
    { 199125, 545, 0, 0 },
    { 199155, 545, 0, 0 },
    { 199184, 545, 0, 0 },
    { 199213, 545, 0, 0 },
    { 199243, 545, 0, 0 },
    { 199272, 545, 0, 0 },
    { 199302, 545, 0, 0 },
    { 199332, 545, 0, 0 },
    { 199361, 545, 0, 0 },
    { 199391, 545, 0, 0 },
    { 199421, 546, 1, 0 },
    { 199451, 546, 0, 0 },
    { 199480, 546, 0, 1 },
    { 199509, 546, 0, 0 },
    { 199539, 546, 0, 0 },
    { 199568, 546, 0, 0 },
    { 199597, 546, 0, 0 },
    { 199627, 546, 0, 0 },
    { 199656, 546, 0, 0 },
    { 199686, 546, 0, 0 },
    { 199715, 546, 0, 0 },
    { 199745, 546, 0, 0 },
    { 199775, 546, 0, 0 },
    { 199805, 547, 1, 0 },
    { 199834, 547, 0, 0 },
    { 199864, 547, 0, 0 },
    { 199893, 547, 0, 0 },
    { 199923, 547, 0, 0 },
    { 199952, 547, 0, 0 },
    { 199981, 547, 0, 0 },
    { 200011, 547, 0, 0 },
    { 200040, 547, 0, 0 },
    { 200070, 547, 0, 0 },
    { 200099, 547, 0, 0 },
    { 200129, 547, 0, 0 },
    { 200159, 548, 1, 0 },
    { 200188, 548, 0, 0 },
    { 200218, 548, 0, 0 },
    { 200248, 548, 0, 0 },
    { 200277, 548, 0, 0 },
    { 200307, 548, 0, 0 },
    { 200336, 548, 0, 0 },
    { 200365, 548, 0, 0 },
    { 200395, 548, 0, 0 },
    { 200424, 548, 0, 0 },
    { 200454, 548, 0, 1 },
    { 200483, 548, 0, 0 },
    { 200513, 548, 0, 0 },
    { 200542, 549, 1, 0 },
    { 200572, 549, 0, 0 },
    { 200602, 549, 0, 0 },
    { 200631, 549, 0, 0 },
    { 200661, 549, 0, 0 },
    { 200690, 549, 0, 0 },
    { 200720, 549, 0, 0 },
    { 200749, 549, 0, 0 },
    { 200779, 549, 0, 0 },
    { 200808, 549, 0, 0 },
    { 200838, 549, 0, 0 },
    { 200867, 549, 0, 0 },
    { 200897, 550, 1, 0 },
    { 200926, 550, 0, 0 },
    { 200956, 550, 0, 0 },
    { 200986, 550, 0, 0 },
    { 201015, 550, 0, 0 },
    { 201045, 550, 0, 0 },
    { 201074, 550, 0, 0 },
    { 201104, 550, 0, 0 },
    { 201133, 550, 0, 0 },
    { 201163, 550, 0, 0 },
    { 201192, 550, 0, 0 },
    { 201222, 550, 0, 0 },
    { 201251, 551, 1, 0 },
    { 201281, 551, 0, 0 },
    { 201310, 551, 0, 0 },
    { 201340, 551, 0, 0 },
    { 201369, 551, 0, 0 },
    { 201399, 551, 0, 0 },
    { 201428, 551, 0, 0 },
    { 201458, 551, 0, 1 },
    { 201488, 551, 0, 0 },
    { 201517, 551, 0, 0 },
    { 201547, 551, 0, 0 },
    { 201576, 551, 0, 0 },
    { 201606, 551, 0, 0 },
    { 201635, 552, 1, 0 },
    { 201665, 552, 0, 0 },
    { 201694, 552, 0, 0 },
    { 201723, 552, 0, 0 },
    { 201753, 552, 0, 0 },
    { 201782, 552, 0, 0 },
    { 201812, 552, 0, 0 },
    { 201842, 552, 0, 0 },
    { 201872, 552, 0, 0 },
    { 201901, 552, 0, 0 },
    { 201931, 552, 0, 0 },
    { 201960, 552, 0, 0 },
    { 201990, 553, 1, 0 },
    { 202019, 553, 0, 0 },
    { 202049, 553, 0, 0 },
    { 202078, 553, 0, 0 },
    { 202107, 553, 0, 0 },
    { 202137, 553, 0, 0 },
    { 202166, 553, 0, 0 },
    { 202196, 553, 0, 0 },
    { 202226, 553, 0, 0 },
    { 202255, 553, 0, 0 },
    { 202285, 553, 0, 0 },
    { 202315, 553, 0, 0 },
    { 202344, 554, 1, 0 },
    { 202374, 554, 0, 0 },
    { 202403, 554, 0, 0 },
    { 202433, 554, 0, 1 },
    { 202462, 554, 0, 0 },
    { 202491, 554, 0, 0 },
    { 202521, 554, 0, 0 },
    { 202550, 554, 0, 0 },
    { 202580, 554, 0, 0 },
    { 202609, 554, 0, 0 },
    { 202639, 554, 0, 0 },
    { 202669, 554, 0, 0 },
    { 202699, 554, 0, 0 },
    { 202728, 555, 1, 0 },
    { 202758, 555, 0, 0 },
    { 202787, 555, 0, 0 },
    { 202817, 555, 0, 0 },
    { 202846, 555, 0, 0 },
    { 202875, 555, 0, 0 },
    { 202905, 555, 0, 0 },
    { 202934, 555, 0, 0 },
    { 202964, 555, 0, 0 },
    { 202993, 555, 0, 0 },
    { 203023, 555, 0, 0 },
    { 203053, 555, 0, 0 },
    { 203082, 556, 1, 0 },
    { 203112, 556, 0, 0 },
    { 203142, 556, 0, 0 },
    { 203171, 556, 0, 0 },
    { 203201, 556, 0, 0 },
    { 203230, 556, 0, 0 },
    { 203259, 556, 0, 0 },
    { 203289, 556, 0, 0 },
    { 203318, 556, 0, 0 },
    { 203347, 556, 0, 0 },
    { 203377, 556, 0, 0 },
    { 203407, 556, 0, 0 },
    { 203437, 556, 0, 1 },
    { 203466, 557, 1, 0 },
    { 203496, 557, 0, 0 },
    { 203526, 557, 0, 0 },
    { 203555, 557, 0, 0 },
    { 203585, 557, 0, 0 },
    { 203614, 557, 0, 0 },
    { 203643, 557, 0, 0 },
    { 203673, 557, 0, 0 },
    { 203702, 557, 0, 0 },
    { 203731, 557, 0, 0 },
    { 203761, 557, 0, 0 },
    { 203791, 557, 0, 0 },
    { 203820, 558, 1, 0 },
    { 203850, 558, 0, 0 },
    { 203880, 558, 0, 0 },
    { 203909, 558, 0, 0 },
    { 203939, 558, 0, 0 },
    { 203968, 558, 0, 0 },
    { 203998, 558, 0, 0 },
    { 204027, 558, 0, 0 },
    { 204057, 558, 0, 0 },
    { 204086, 558, 0, 0 },
    { 204116, 558, 0, 0 },
    { 204145, 558, 0, 0 },
    { 204175, 559, 1, 0 },
    { 204204, 559, 0, 0 },
    { 204234, 559, 0, 0 },
    { 204263, 559, 0, 0 },
    { 204293, 559, 0, 0 },
    { 204323, 559, 0, 0 },
    { 204352, 559, 0, 0 },
    { 204382, 559, 0, 0 },
    { 204411, 559, 0, 0 },
    { 204441, 559, 0, 1 },
    { 204470, 559, 0, 0 },
    { 204500, 559, 0, 0 },
    { 204529, 559, 0, 0 },
    { 204559, 560, 1, 0 },
    { 204588, 560, 0, 0 },
    { 204618, 560, 0, 0 },
    { 204647, 560, 0, 0 },
    { 204677, 560, 0, 0 },
    { 204706, 560, 0, 0 },
    { 204736, 560, 0, 0 },
    { 204766, 560, 0, 0 },
    { 204795, 560, 0, 0 },
    { 204825, 560, 0, 0 },
    { 204854, 560, 0, 0 },
    { 204884, 560, 0, 0 },
    { 204913, 561, 1, 0 },
    { 204943, 561, 0, 0 },
    { 204972, 561, 0, 0 },
    { 205001, 561, 0, 0 },
    { 205031, 561, 0, 0 },
    { 205060, 561, 0, 0 },
    { 205090, 561, 0, 0 },
    { 205120, 561, 0, 0 },
    { 205149, 561, 0, 0 },
    { 205179, 561, 0, 0 },
    { 205209, 561, 0, 0 },
    { 205238, 561, 0, 0 },
    { 205268, 562, 1, 0 },
    { 205297, 562, 0, 0 },
    { 205327, 562, 0, 0 },
    { 205356, 562, 0, 0 },
    { 205385, 562, 0, 0 },
    { 205415, 562, 0, 1 },
    { 205444, 562, 0, 0 },
    { 205474, 562, 0, 0 },
    { 205503, 562, 0, 0 },
    { 205533, 562, 0, 0 },
    { 205563, 562, 0, 0 },
    { 205593, 562, 0, 0 },
    { 205622, 562, 0, 0 },
    { 205652, 563, 1, 0 },
    { 205681, 563, 0, 0 },
    { 205711, 563, 0, 0 },
    { 205740, 563, 0, 0 },
    { 205769, 563, 0, 0 },
    { 205799, 563, 0, 0 },
    { 205828, 563, 0, 0 },
    { 205858, 563, 0, 0 },
    { 205887, 563, 0, 0 },
    { 205917, 563, 0, 0 },
    { 205947, 563, 0, 0 },
    { 205976, 563, 0, 0 },
    { 206006, 564, 1, 0 },
    { 206036, 564, 0, 0 },
    { 206065, 564, 0, 0 },
    { 206095, 564, 0, 0 },
    { 206124, 564, 0, 0 },
    { 206153, 564, 0, 0 },
    { 206183, 564, 0, 0 },
    { 206212, 564, 0, 0 },
    { 206241, 564, 0, 0 },
    { 206271, 564, 0, 0 },
    { 206301, 564, 0, 0 },
    { 206330, 564, 0, 0 },
    { 206360, 565, 1, 0 },
    { 206390, 565, 0, 0 },
    { 206420, 565, 0, 1 },
    { 206449, 565, 0, 0 },
    { 206479, 565, 0, 0 },
    { 206508, 565, 0, 0 },
    { 206537, 565, 0, 0 },
    { 206567, 565, 0, 0 },
    { 206596, 565, 0, 0 },
    { 206625, 565, 0, 0 },
    { 206655, 565, 0, 0 },
    { 206685, 565, 0, 0 },
    { 206714, 565, 0, 0 },
    { 206744, 566, 1, 0 },
    { 206774, 566, 0, 0 },
    { 206803, 566, 0, 0 },
    { 206833, 566, 0, 0 },
    { 206863, 566, 0, 0 },
    { 206892, 566, 0, 0 },
    { 206921, 566, 0, 0 },
    { 206951, 566, 0, 0 },
    { 206980, 566, 0, 0 },
    { 207009, 566, 0, 0 },
    { 207039, 566, 0, 0 },
    { 207069, 566, 0, 0 },
    { 207098, 567, 1, 0 },
    { 207128, 567, 0, 0 },
    { 207157, 567, 0, 0 },
    { 207187, 567, 0, 0 },
    { 207217, 567, 0, 0 },
    { 207246, 567, 0, 0 },
    { 207276, 567, 0, 0 },
    { 207305, 567, 0, 0 },
    { 207335, 567, 0, 0 },
    { 207364, 567, 0, 0 },
    { 207394, 567, 0, 1 },
    { 207423, 567, 0, 0 },
    { 207453, 567, 0, 0 },
    { 207482, 568, 1, 0 },
    { 207512, 568, 0, 0 },
    { 207541, 568, 0, 0 },
    { 207571, 568, 0, 0 },
    { 207600, 568, 0, 0 },
    { 207630, 568, 0, 0 },
    { 207660, 568, 0, 0 },
    { 207689, 568, 0, 0 },
    { 207719, 568, 0, 0 },
    { 207748, 568, 0, 0 },
    { 207778, 568, 0, 0 },
    { 207807, 568, 0, 0 },
    { 207837, 569, 1, 0 },
    { 207866, 569, 0, 0 },
    { 207895, 569, 0, 0 },
    { 207925, 569, 0, 0 },
    { 207955, 569, 0, 0 },
    { 207984, 569, 0, 0 },
    { 208014, 569, 0, 0 },
    { 208043, 569, 0, 0 },
    { 208073, 569, 0, 0 },
    { 208103, 569, 0, 0 },
    { 208132, 569, 0, 0 },
    { 208162, 569, 0, 0 },
    { 208191, 570, 1, 0 },
    { 208221, 570, 0, 0 },
    { 208250, 570, 0, 0 },
    { 208279, 570, 0, 0 },
    { 208309, 570, 0, 0 },
    { 208338, 570, 0, 0 },
    { 208368, 570, 0, 1 },
    { 208397, 570, 0, 0 },
    { 208427, 570, 0, 0 },
    { 208457, 570, 0, 0 },
    { 208487, 570, 0, 0 },
    { 208516, 570, 0, 0 },
    { 208546, 570, 0, 0 },
    { 208575, 571, 1, 0 },
    { 208605, 571, 0, 0 },
    { 208634, 571, 0, 0 },
    { 208663, 571, 0, 0 },
    { 208693, 571, 0, 0 },
    { 208722, 571, 0, 0 },
    { 208752, 571, 0, 0 },
    { 208781, 571, 0, 0 },
    { 208811, 571, 0, 0 },
    { 208841, 571, 0, 0 },
    { 208870, 571, 0, 0 },
    { 208900, 571, 0, 0 },
    { 208930, 572, 1, 0 },
    { 208959, 572, 0, 0 },
    { 208989, 572, 0, 0 },
    { 209018, 572, 0, 0 },
    { 209047, 572, 0, 0 },
    { 209077, 572, 0, 0 },
    { 209106, 572, 0, 0 },
    { 209135, 572, 0, 0 },
    { 209165, 572, 0, 0 },
    { 209195, 572, 0, 0 },
    { 209224, 572, 0, 0 },
    { 209254, 572, 0, 0 },
    { 209284, 573, 1, 0 },
    { 209314, 573, 0, 0 },
    { 209343, 573, 0, 0 },
    { 209373, 573, 0, 0 },
    { 209402, 573, 0, 1 },
    { 209431, 573, 0, 0 },
    { 209461, 573, 0, 0 },
    { 209490, 573, 0, 0 },
    { 209519, 573, 0, 0 },
    { 209549, 573, 0, 0 },
    { 209579, 573, 0, 0 },
    { 209608, 573, 0, 0 },
    { 209638, 573, 0, 0 },
    { 209668, 574, 1, 0 },
    { 209698, 574, 0, 0 },
    { 209727, 574, 0, 0 },
    { 209757, 574, 0, 0 },
    { 209786, 574, 0, 0 },
    { 209815, 574, 0, 0 },
    { 209845, 574, 0, 0 },
    { 209874, 574, 0, 0 },
    { 209903, 574, 0, 0 },
    { 209933, 574, 0, 0 },
    { 209962, 574, 0, 0 },
    { 209992, 574, 0, 0 },
    { 210022, 575, 1, 0 },
    { 210052, 575, 0, 0 },
    { 210081, 575, 0, 0 },
    { 210111, 575, 0, 0 },
    { 210140, 575, 0, 0 },
    { 210170, 575, 0, 0 },
    { 210199, 575, 0, 0 },
    { 210229, 575, 0, 0 },
    { 210258, 575, 0, 0 },
    { 210287, 575, 0, 0 },
    { 210317, 575, 0, 0 },
    { 210346, 575, 0, 0 },
    { 210376, 575, 0, 1 },
    { 210406, 576, 1, 0 },
    { 210435, 576, 0, 0 },
    { 210465, 576, 0, 0 },
    { 210495, 576, 0, 0 },
    { 210524, 576, 0, 0 },
    { 210554, 576, 0, 0 },
    { 210583, 576, 0, 0 },
    { 210613, 576, 0, 0 },
    { 210642, 576, 0, 0 },
    { 210672, 576, 0, 0 },
    { 210701, 576, 0, 0 },
    { 210730, 576, 0, 0 },
    { 210760, 577, 1, 0 },
    { 210790, 577, 0, 0 },
    { 210819, 577, 0, 0 },
    { 210849, 577, 0, 0 },
    { 210878, 577, 0, 0 },
    { 210908, 577, 0, 0 },
    { 210938, 577, 0, 0 },
    { 210967, 577, 0, 0 },
    { 210997, 577, 0, 0 },
    { 211026, 577, 0, 0 },
    { 211056, 577, 0, 0 },
    { 211085, 577, 0, 0 },
    { 211115, 578, 1, 0 },
    { 211144, 578, 0, 0 },
    { 211173, 578, 0, 0 },
    { 211203, 578, 0, 0 },
    { 211232, 578, 0, 0 },
    { 211262, 578, 0, 0 },
    { 211292, 578, 0, 0 },
    { 211321, 578, 0, 0 },
    { 211351, 578, 0, 0 },
    { 211381, 578, 0, 1 },
    { 211410, 578, 0, 0 },
    { 211440, 578, 0, 0 },
    { 211469, 578, 0, 0 },
    { 211499, 579, 1, 0 },
    { 211528, 579, 0, 0 },
    { 211557, 579, 0, 0 },
    { 211587, 579, 0, 0 },
    { 211616, 579, 0, 0 },
    { 211646, 579, 0, 0 },
    { 211675, 579, 0, 0 },
    { 211705, 579, 0, 0 },
    { 211735, 579, 0, 0 },
    { 211764, 579, 0, 0 },
    { 211794, 579, 0, 0 },
    { 211824, 579, 0, 0 },
    { 211853, 580, 1, 0 },
    { 211883, 580, 0, 0 },
    { 211912, 580, 0, 0 },
    { 211941, 580, 0, 0 },
    { 211971, 580, 0, 0 },
    { 212000, 580, 0, 0 },
    { 212030, 580, 0, 0 },
    { 212059, 580, 0, 0 },
    { 212089, 580, 0, 0 },
    { 212118, 580, 0, 0 },
    { 212148, 580, 0, 0 },
    { 212178, 580, 0, 0 },
    { 212208, 581, 1, 0 },
    { 212237, 581, 0, 0 },
    { 212267, 581, 0, 0 },
    { 212296, 581, 0, 0 },
    { 212325, 581, 0, 0 },
    { 212355, 581, 0, 1 },
    { 212384, 581, 0, 0 },
    { 212413, 581, 0, 0 },
    { 212443, 581, 0, 0 },
    { 212473, 581, 0, 0 },
    { 212502, 581, 0, 0 },
    { 212532, 581, 0, 0 },
    { 212562, 581, 0, 0 },
    { 212592, 582, 1, 0 },
    { 212621, 582, 0, 0 },
    { 212651, 582, 0, 0 },
    { 212680, 582, 0, 0 },
    { 212709, 582, 0, 0 },
    { 212739, 582, 0, 0 },
    { 212768, 582, 0, 0 },
    { 212797, 582, 0, 0 },
    { 212827, 582, 0, 0 },
    { 212856, 582, 0, 0 },
    { 212886, 582, 0, 0 },
    { 212916, 582, 0, 0 },
    { 212946, 583, 1, 0 },
    { 212975, 583, 0, 0 },
    { 213005, 583, 0, 0 },
    { 213035, 583, 0, 0 },
    { 213064, 583, 0, 0 },
    { 213093, 583, 0, 0 },
    { 213123, 583, 0, 0 },
    { 213152, 583, 0, 0 },
    { 213181, 583, 0, 0 },
    { 213211, 583, 0, 0 },
    { 213240, 583, 0, 0 },
    { 213270, 583, 0, 0 },
    { 213300, 584, 1, 0 },
    { 213329, 584, 0, 0 },
    { 213359, 584, 0, 1 },
    { 213389, 584, 0, 0 },
    { 213418, 584, 0, 0 },
    { 213448, 584, 0, 0 },
    { 213477, 584, 0, 0 },
    { 213507, 584, 0, 0 },
    { 213536, 584, 0, 0 },
    { 213565, 584, 0, 0 },
    { 213595, 584, 0, 0 },
    { 213624, 584, 0, 0 },
    { 213654, 584, 0, 0 },
    { 213684, 585, 1, 0 },
    { 213713, 585, 0, 0 },
    { 213743, 585, 0, 0 },
    { 213772, 585, 0, 0 },
    { 213802, 585, 0, 0 },
    { 213832, 585, 0, 0 },
    { 213861, 585, 0, 0 },
    { 213891, 585, 0, 0 },
    { 213920, 585, 0, 0 },
    { 213950, 585, 0, 0 },
    { 213979, 585, 0, 0 },
    { 214008, 585, 0, 0 },
    { 214038, 586, 1, 0 },
    { 214067, 586, 0, 0 },
    { 214097, 586, 0, 0 },
    { 214127, 586, 0, 0 },
    { 214156, 586, 0, 0 },
    { 214186, 586, 0, 0 },
    { 214215, 586, 0, 0 },
    { 214245, 586, 0, 0 },
    { 214275, 586, 0, 0 },
    { 214304, 586, 0, 0 },
    { 214334, 586, 0, 1 },
    { 214363, 586, 0, 0 },
    { 214393, 586, 0, 0 },
    { 214422, 587, 1, 0 },
    { 214451, 587, 0, 0 },
    { 214481, 587, 0, 0 },
    { 214510, 587, 0, 0 },
    { 214540, 587, 0, 0 },
    { 214569, 587, 0, 0 },
    { 214599, 587, 0, 0 },
    { 214629, 587, 0, 0 },
    { 214658, 587, 0, 0 },
    { 214688, 587, 0, 0 },
    { 214718, 587, 0, 0 },
    { 214747, 587, 0, 0 },
    { 214777, 588, 1, 0 },
    { 214806, 588, 0, 0 },
    { 214835, 588, 0, 0 },
    { 214865, 588, 0, 0 },
    { 214894, 588, 0, 0 },
    { 214924, 588, 0, 0 },
    { 214953, 588, 0, 0 },
    { 214983, 588, 0, 0 },
    { 215012, 588, 0, 0 },
    { 215042, 588, 0, 0 },
    { 215072, 588, 0, 0 },
    { 215102, 588, 0, 0 },
    { 215131, 589, 1, 0 },
    { 215161, 589, 0, 0 },
    { 215190, 589, 0, 0 },
    { 215219, 589, 0, 0 },
    { 215249, 589, 0, 0 },
    { 215278, 589, 0, 0 },
    { 215307, 589, 0, 1 },
    { 215337, 589, 0, 0 },
    { 215367, 589, 0, 0 },
    { 215396, 589, 0, 0 },
    { 215426, 589, 0, 0 },
    { 215456, 589, 0, 0 },
    { 215486, 589, 0, 0 },
    { 215515, 590, 1, 0 },
    { 215545, 590, 0, 0 },
    { 215574, 590, 0, 0 },
    { 215603, 590, 0, 0 },
    { 215633, 590, 0, 0 },
    { 215662, 590, 0, 0 },
    { 215691, 590, 0, 0 },
    { 215721, 590, 0, 0 },
    { 215750, 590, 0, 0 },
    { 215780, 590, 0, 0 },
    { 215810, 590, 0, 0 },
    { 215840, 590, 0, 0 },
    { 215869, 591, 1, 0 },
    { 215899, 591, 0, 0 },
    { 215929, 591, 0, 0 },
    { 215958, 591, 0, 0 },
    { 215987, 591, 0, 0 },
    { 216017, 591, 0, 0 },
    { 216046, 591, 0, 0 },
    { 216075, 591, 0, 0 },
    { 216105, 591, 0, 0 },
    { 216134, 591, 0, 0 },
    { 216164, 591, 0, 0 },
    { 216194, 591, 0, 0 },
    { 216223, 592, 1, 0 },
    { 216253, 592, 0, 0 },
    { 216283, 592, 0, 0 },
    { 216313, 592, 0, 0 },
    { 216342, 592, 0, 1 },
    { 216371, 592, 0, 0 },
    { 216401, 592, 0, 0 },
    { 216430, 592, 0, 0 },
    { 216459, 592, 0, 0 },
    { 216489, 592, 0, 0 },
    { 216518, 592, 0, 0 },
    { 216548, 592, 0, 0 },
    { 216577, 592, 0, 0 },
    { 216607, 593, 1, 0 },
    { 216637, 593, 0, 0 },
    { 216667, 593, 0, 0 },
    { 216696, 593, 0, 0 },
    { 216726, 593, 0, 0 },
    { 216755, 593, 0, 0 },
    { 216785, 593, 0, 0 },
    { 216814, 593, 0, 0 },
    { 216843, 593, 0, 0 },
    { 216873, 593, 0, 0 },
    { 216902, 593, 0, 0 },
    { 216932, 593, 0, 0 },
    { 216961, 594, 1, 0 },
    { 216991, 594, 0, 0 },
    { 217021, 594, 0, 0 },
    { 217050, 594, 0, 0 },
    { 217080, 594, 0, 0 },
    { 217109, 594, 0, 0 },
    { 217139, 594, 0, 0 },
    { 217169, 594, 0, 0 },
    { 217198, 594, 0, 0 },
    { 217227, 594, 0, 0 },
    { 217257, 594, 0, 0 },
    { 217286, 594, 0, 0 },
    { 217316, 594, 0, 1 },
    { 217345, 595, 1, 0 },
    { 217375, 595, 0, 0 },
    { 217404, 595, 0, 0 },
    { 217434, 595, 0, 0 },
    { 217464, 595, 0, 0 },
    { 217493, 595, 0, 0 },
    { 217523, 595, 0, 0 },
    { 217552, 595, 0, 0 },
    { 217582, 595, 0, 0 },
    { 217612, 595, 0, 0 },
    { 217641, 595, 0, 0 },
    { 217671, 595, 0, 0 },
    { 217700, 596, 1, 0 },
    { 217729, 596, 0, 0 },
    { 217759, 596, 0, 0 },
    { 217788, 596, 0, 0 },
    { 217818, 596, 0, 0 },
    { 217847, 596, 0, 0 },
    { 217877, 596, 0, 0 },
    { 217907, 596, 0, 0 },
    { 217936, 596, 0, 0 },
    { 217966, 596, 0, 0 },
    { 217995, 596, 0, 0 },
    { 218025, 596, 0, 0 },
    { 218055, 597, 1, 0 },
    { 218084, 597, 0, 0 },
    { 218113, 597, 0, 0 },
    { 218143, 597, 0, 0 },
    { 218172, 597, 0, 0 },
    { 218202, 597, 0, 0 },
    { 218231, 597, 0, 0 },
    { 218261, 597, 0, 0 },
    { 218290, 597, 0, 0 },
    { 218320, 597, 0, 1 },
    { 218350, 597, 0, 0 },
    { 218379, 597, 0, 0 },
    { 218409, 597, 0, 0 },
    { 218439, 598, 1, 0 },
    { 218468, 598, 0, 0 },
    { 218497, 598, 0, 0 },
    { 218527, 598, 0, 0 },
    { 218556, 598, 0, 0 },
    { 218585, 598, 0, 0 },
    { 218615, 598, 0, 0 },
    { 218644, 598, 0, 0 },
    { 218674, 598, 0, 0 },
    { 218704, 598, 0, 0 },
    { 218734, 598, 0, 0 },
    { 218763, 598, 0, 0 },
    { 218793, 599, 1, 0 },
    { 218823, 599, 0, 0 },
    { 218852, 599, 0, 0 },
    { 218881, 599, 0, 0 },
    { 218911, 599, 0, 0 },
    { 218940, 599, 0, 0 },
    { 218969, 599, 0, 0 },
    { 218999, 599, 0, 0 },
    { 219028, 599, 0, 0 },
    { 219058, 599, 0, 0 },
    { 219088, 599, 0, 0 },
    { 219117, 599, 0, 0 },
    { 219147, 600, 1, 0 },
    { 219177, 600, 0, 0 },
    { 219206, 600, 0, 0 },
    { 219236, 600, 0, 0 },
    { 219265, 600, 0, 0 },
    { 219295, 600, 0, 1 },
    { 219324, 600, 0, 0 },
    { 219353, 600, 0, 0 },
    { 219383, 600, 0, 0 },
    { 219412, 600, 0, 0 },
    { 219442, 600, 0, 0 },
    { 219471, 600, 0, 0 },
    { 219501, 600, 0, 0 },
    { 219531, 601, 1, 0 },
    { 219561, 601, 0, 0 },
    { 219590, 601, 0, 0 },
    { 219620, 601, 0, 0 },
    { 219649, 601, 0, 0 },
    { 219679, 601, 0, 0 },
    { 219708, 601, 0, 0 },
    { 219737, 601, 0, 0 },
    { 219767, 601, 0, 0 },
    { 219796, 601, 0, 0 },
    { 219826, 601, 0, 0 },
    { 219855, 601, 0, 0 },
    { 219885, 602, 1, 0 },
    { 219915, 602, 0, 0 },
    { 219944, 602, 0, 0 },
    { 219974, 602, 0, 0 },
    { 220004, 602, 0, 0 },
    { 220033, 602, 0, 0 },
    { 220063, 602, 0, 0 },
    { 220092, 602, 0, 0 },
    { 220121, 602, 0, 0 },
    { 220151, 602, 0, 0 },
    { 220180, 602, 0, 0 },
    { 220210, 602, 0, 0 },
    { 220239, 603, 1, 0 },
    { 220269, 603, 0, 1 },
    { 220298, 603, 0, 0 },
    { 220328, 603, 0, 0 },
    { 220358, 603, 0, 0 },
    { 220387, 603, 0, 0 },
    { 220417, 603, 0, 0 },
    { 220446, 603, 0, 0 },
    { 220476, 603, 0, 0 },
    { 220505, 603, 0, 0 },
    { 220535, 603, 0, 0 },
    { 220564, 603, 0, 0 },
    { 220594, 603, 0, 0 },
    { 220623, 604, 1, 0 },
    { 220653, 604, 0, 0 },
    { 220682, 604, 0, 0 },
    { 220712, 604, 0, 0 },
    { 220741, 604, 0, 0 },
    { 220771, 604, 0, 0 },
    { 220801, 604, 0, 0 },
    { 220830, 604, 0, 0 },
    { 220860, 604, 0, 0 },
    { 220889, 604, 0, 0 },
    { 220919, 604, 0, 0 },
    { 220948, 604, 0, 0 },
    { 220978, 605, 1, 0 },
    { 221007, 605, 0, 0 },
    { 221037, 605, 0, 0 },
    { 221066, 605, 0, 0 },
    { 221096, 605, 0, 0 },
    { 221125, 605, 0, 0 },
    { 221155, 605, 0, 0 },
    { 221184, 605, 0, 0 },
    { 221214, 605, 0, 0 },
    { 221244, 605, 0, 0 },
    { 221273, 605, 0, 1 },
    { 221302, 605, 0, 0 },
    { 221332, 605, 0, 0 },
    { 221362, 606, 1, 0 },
    { 221391, 606, 0, 0 },
    { 221421, 606, 0, 0 },
    { 221450, 606, 0, 0 },
    { 221479, 606, 0, 0 },
    { 221509, 606, 0, 0 },
    { 221538, 606, 0, 0 },
    { 221568, 606, 0, 0 },
    { 221598, 606, 0, 0 },
    { 221628, 606, 0, 0 },
    { 221657, 606, 0, 0 },
    { 221687, 606, 0, 0 },
    { 221717, 607, 1, 0 },
    { 221746, 607, 0, 0 },
    { 221775, 607, 0, 0 },
    { 221805, 607, 0, 0 },
    { 221834, 607, 0, 0 },
    { 221863, 607, 0, 0 },
    { 221893, 607, 0, 0 },
    { 221922, 607, 0, 0 },
    { 221952, 607, 0, 0 },
    { 221982, 607, 0, 0 },
    { 222011, 607, 0, 0 },
    { 222041, 607, 0, 0 },
    { 222071, 608, 1, 0 },
    { 222100, 608, 0, 0 },
    { 222130, 608, 0, 0 },
    { 222159, 608, 0, 0 },
    { 222189, 608, 0, 0 },
    { 222218, 608, 0, 0 },
    { 222247, 608, 0, 0 },
    { 222277, 608, 0, 1 },
    { 222306, 608, 0, 0 },
    { 222336, 608, 0, 0 },
    { 222365, 608, 0, 0 },
    { 222395, 608, 0, 0 },
    { 222425, 608, 0, 0 },
    { 222455, 609, 1, 0 },
    { 222484, 609, 0, 0 },
    { 222514, 609, 0, 0 },
    { 222543, 609, 0, 0 },
    { 222573, 609, 0, 0 },
    { 222602, 609, 0, 0 },
    { 222631, 609, 0, 0 },
    { 222661, 609, 0, 0 },
    { 222690, 609, 0, 0 },
    { 222720, 609, 0, 0 },
    { 222749, 609, 0, 0 },
    { 222779, 609, 0, 0 },
    { 222809, 610, 1, 0 },
    { 222838, 610, 0, 0 },
    { 222868, 610, 0, 0 },
    { 222898, 610, 0, 0 },
    { 222927, 610, 0, 0 },
    { 222957, 610, 0, 0 },
    { 222986, 610, 0, 0 },
    { 223015, 610, 0, 0 },
    { 223045, 610, 0, 0 },
    { 223074, 610, 0, 0 },
    { 223104, 610, 0, 0 },
    { 223133, 610, 0, 0 },
    { 223163, 611, 1, 0 },
    { 223192, 611, 0, 0 },
    { 223222, 611, 0, 0 },
    { 223252, 611, 0, 1 },
    { 223281, 611, 0, 0 },
    { 223311, 611, 0, 0 },
    { 223341, 611, 0, 0 },
    { 223370, 611, 0, 0 },
    { 223399, 611, 0, 0 },
    { 223429, 611, 0, 0 },
    { 223458, 611, 0, 0 },
    { 223488, 611, 0, 0 },
    { 223517, 611, 0, 0 },
    { 223547, 612, 1, 0 },
    { 223576, 612, 0, 0 },
    { 223606, 612, 0, 0 },
    { 223636, 612, 0, 0 },
    { 223665, 612, 0, 0 },
    { 223695, 612, 0, 0 },
    { 223724, 612, 0, 0 },
    { 223754, 612, 0, 0 },
    { 223783, 612, 0, 0 },
    { 223813, 612, 0, 0 },
    { 223842, 612, 0, 0 },
    { 223872, 612, 0, 0 },
    { 223901, 613, 1, 0 },
    { 223931, 613, 0, 0 },
    { 223960, 613, 0, 0 },
    { 223990, 613, 0, 0 },
    { 224019, 613, 0, 0 },
    { 224049, 613, 0, 0 },
    { 224078, 613, 0, 0 },
    { 224108, 613, 0, 0 },
    { 224138, 613, 0, 0 },
    { 224167, 613, 0, 0 },
    { 224197, 613, 0, 0 },
    { 224226, 613, 0, 0 },
    { 224256, 613, 0, 1 },
    { 224285, 614, 1, 0 },
    { 224315, 614, 0, 0 },
    { 224344, 614, 0, 0 },
    { 224374, 614, 0, 0 },
    { 224403, 614, 0, 0 },
    { 224433, 614, 0, 0 },
    { 224462, 614, 0, 0 },
    { 224492, 614, 0, 0 },
    { 224522, 614, 0, 0 },
    { 224551, 614, 0, 0 },
    { 224581, 614, 0, 0 },
    { 224610, 614, 0, 0 },
    { 224640, 615, 1, 0 },
    { 224669, 615, 0, 0 },
    { 224699, 615, 0, 0 },
    { 224728, 615, 0, 0 },
    { 224757, 615, 0, 0 },
    { 224787, 615, 0, 0 },
    { 224816, 615, 0, 0 },
    { 224846, 615, 0, 0 },
    { 224876, 615, 0, 0 },
    { 224905, 615, 0, 0 },
    { 224935, 615, 0, 0 },
    { 224965, 615, 0, 0 },
    { 224994, 616, 1, 0 },
    { 225024, 616, 0, 0 },
    { 225053, 616, 0, 0 },
    { 225083, 616, 0, 0 },
    { 225112, 616, 0, 0 },
    { 225141, 616, 0, 0 },
    { 225171, 616, 0, 0 },
    { 225200, 616, 0, 0 },
    { 225230, 616, 0, 1 },
    { 225259, 616, 0, 0 },
    { 225289, 616, 0, 0 },
    { 225319, 616, 0, 0 },
    { 225349, 616, 0, 0 },
    { 225378, 617, 1, 0 },
    { 225408, 617, 0, 0 },
    { 225437, 617, 0, 0 },
    { 225467, 617, 0, 0 },
    { 225496, 617, 0, 0 },
    { 225525, 617, 0, 0 },
    { 225555, 617, 0, 0 },
    { 225584, 617, 0, 0 },
    { 225614, 617, 0, 0 },
    { 225643, 617, 0, 0 },
    { 225673, 617, 0, 0 },
    { 225703, 617, 0, 0 },
    { 225732, 618, 1, 0 },
    { 225762, 618, 0, 0 },
    { 225792, 618, 0, 0 },
    { 225821, 618, 0, 0 },
    { 225851, 618, 0, 0 },
    { 225880, 618, 0, 0 },
    { 225909, 618, 0, 0 },
    { 225939, 618, 0, 0 },
    { 225968, 618, 0, 0 },
    { 225998, 618, 0, 0 },
    { 226027, 618, 0, 0 },
    { 226057, 618, 0, 0 },
    { 226086, 619, 1, 0 },
    { 226116, 619, 0, 0 },
    { 226146, 619, 0, 0 },
    { 226176, 619, 0, 0 },
    { 226205, 619, 0, 0 },
    { 226235, 619, 0, 1 },
    { 226264, 619, 0, 0 },
    { 226293, 619, 0, 0 },
    { 226323, 619, 0, 0 },
    { 226352, 619, 0, 0 },
    { 226381, 619, 0, 0 },
    { 226411, 619, 0, 0 },
    { 226441, 619, 0, 0 },
    { 226470, 620, 1, 0 },
    { 226500, 620, 0, 0 },
    { 226530, 620, 0, 0 },
    { 226559, 620, 0, 0 },
    { 226589, 620, 0, 0 },
    { 226618, 620, 0, 0 },
    { 226648, 620, 0, 0 },
    { 226677, 620, 0, 0 },
    { 226707, 620, 0, 0 },
    { 226736, 620, 0, 0 },
    { 226766, 620, 0, 0 },
    { 226795, 620, 0, 0 },
    { 226825, 621, 1, 0 },
    { 226854, 621, 0, 0 },
    { 226884, 621, 0, 0 },
    { 226913, 621, 0, 0 },
    { 226943, 621, 0, 0 },
    { 226973, 621, 0, 0 },
    { 227002, 621, 0, 0 },
    { 227032, 621, 0, 0 },
    { 227061, 621, 0, 0 },
    { 227091, 621, 0, 0 },
    { 227120, 621, 0, 0 },
    { 227150, 621, 0, 0 },
    { 227179, 622, 1, 0 },
    { 227209, 622, 0, 1 },
    { 227238, 622, 0, 0 },
    { 227268, 622, 0, 0 },
    { 227297, 622, 0, 0 },
    { 227327, 622, 0, 0 },
    { 227356, 622, 0, 0 },
    { 227386, 622, 0, 0 },
    { 227416, 622, 0, 0 },
    { 227445, 622, 0, 0 },
    { 227475, 622, 0, 0 },
    { 227504, 622, 0, 0 },
    { 227534, 622, 0, 0 },
    { 227563, 623, 1, 0 },
    { 227593, 623, 0, 0 },
    { 227622, 623, 0, 0 },
    { 227651, 623, 0, 0 },
    { 227681, 623, 0, 0 },
    { 227710, 623, 0, 0 },
    { 227740, 623, 0, 0 },
    { 227770, 623, 0, 0 },
    { 227799, 623, 0, 0 },
    { 227829, 623, 0, 0 },
    { 227859, 623, 0, 0 },
    { 227888, 623, 0, 0 },
    { 227918, 624, 1, 0 },
    { 227947, 624, 0, 0 },
    { 227977, 624, 0, 0 },
    { 228006, 624, 0, 0 },
    { 228035, 624, 0, 0 },
    { 228065, 624, 0, 0 },
    { 228094, 624, 0, 0 },
    { 228124, 624, 0, 0 },
    { 228153, 624, 0, 0 },
    { 228183, 624, 0, 0 },
    { 228213, 624, 0, 1 },
    { 228242, 624, 0, 0 },
    { 228272, 624, 0, 0 },
    { 228302, 625, 1, 0 },
    { 228331, 625, 0, 0 },
    { 228361, 625, 0, 0 },
    { 228390, 625, 0, 0 },
    { 228419, 625, 0, 0 },
    { 228449, 625, 0, 0 },
    { 228478, 625, 0, 0 },
    { 228508, 625, 0, 0 },
    { 228537, 625, 0, 0 },
    { 228567, 625, 0, 0 },
    { 228597, 625, 0, 0 },
    { 228626, 625, 0, 0 },
    { 228656, 626, 1, 0 },
    { 228686, 626, 0, 0 },
    { 228715, 626, 0, 0 },
    { 228745, 626, 0, 0 },
    { 228774, 626, 0, 0 },
    { 228803, 626, 0, 0 },
    { 228833, 626, 0, 0 },
    { 228862, 626, 0, 0 },
    { 228891, 626, 0, 0 },
    { 228921, 626, 0, 0 },
    { 228951, 626, 0, 0 },
    { 228980, 626, 0, 0 },
    { 229010, 627, 1, 0 },
    { 229040, 627, 0, 0 },
    { 229070, 627, 0, 0 },
    { 229099, 627, 0, 0 },
    { 229129, 627, 0, 0 },
    { 229158, 627, 0, 0 },
    { 229187, 627, 0, 0 },
    { 229217, 627, 0, 1 },
    { 229246, 627, 0, 0 },
    { 229275, 627, 0, 0 },
    { 229305, 627, 0, 0 },
    { 229335, 627, 0, 0 },
    { 229364, 627, 0, 0 },
    { 229394, 628, 1, 0 },
    { 229424, 628, 0, 0 },
    { 229453, 628, 0, 0 },
    { 229483, 628, 0, 0 },
    { 229513, 628, 0, 0 },
    { 229542, 628, 0, 0 },
    { 229571, 628, 0, 0 },
    { 229601, 628, 0, 0 },
    { 229630, 628, 0, 0 },
    { 229659, 628, 0, 0 },
    { 229689, 628, 0, 0 },
    { 229719, 628, 0, 0 },
    { 229748, 629, 1, 0 },
    { 229778, 629, 0, 0 },
    { 229807, 629, 0, 0 },
    { 229837, 629, 0, 0 },
    { 229867, 629, 0, 0 },
    { 229896, 629, 0, 0 },
    { 229926, 629, 0, 0 },
    { 229955, 629, 0, 0 },
    { 229985, 629, 0, 0 },
    { 230014, 629, 0, 0 },
    { 230044, 629, 0, 0 },
    { 230073, 629, 0, 0 },
    { 230103, 630, 1, 0 },
    { 230132, 630, 0, 0 },
    { 230162, 630, 0, 0 },
    { 230191, 630, 0, 0 },
    { 230221, 630, 0, 1 },
    { 230250, 630, 0, 0 },
    { 230280, 630, 0, 0 },
    { 230310, 630, 0, 0 },
    { 230339, 630, 0, 0 },
    { 230369, 630, 0, 0 },
    { 230398, 630, 0, 0 },
    { 230428, 630, 0, 0 },
    { 230457, 630, 0, 0 },
    { 230487, 631, 1, 0 },
    { 230516, 631, 0, 0 },
    { 230545, 631, 0, 0 },
    { 230575, 631, 0, 0 },
    { 230605, 631, 0, 0 },
    { 230634, 631, 0, 0 },
    { 230664, 631, 0, 0 },
    { 230693, 631, 0, 0 },
    { 230723, 631, 0, 0 },
    { 230753, 631, 0, 0 },
    { 230782, 631, 0, 0 },
    { 230812, 631, 0, 0 },
    { 230841, 632, 1, 0 },
    { 230871, 632, 0, 0 },
    { 230900, 632, 0, 0 },
    { 230929, 632, 0, 0 },
    { 230959, 632, 0, 0 },
    { 230988, 632, 0, 0 },
    { 231018, 632, 0, 0 },
    { 231047, 632, 0, 0 },
    { 231077, 632, 0, 0 },
    { 231107, 632, 0, 0 },
    { 231137, 632, 0, 0 },
    { 231166, 632, 0, 0 },
    { 231196, 632, 0, 1 },
    { 231225, 633, 1, 0 },
    { 231255, 633, 0, 0 },
    { 231284, 633, 0, 0 },
    { 231313, 633, 0, 0 },
    { 231343, 633, 0, 0 },
    { 231372, 633, 0, 0 },
    { 231402, 633, 0, 0 },
    { 231431, 633, 0, 0 },
    { 231461, 633, 0, 0 },
    { 231491, 633, 0, 0 },
    { 231520, 633, 0, 0 },
    { 231550, 633, 0, 0 },
    { 231580, 634, 1, 0 },
    { 231609, 634, 0, 0 },
    { 231639, 634, 0, 0 },
    { 231668, 634, 0, 0 },
    { 231697, 634, 0, 0 },
    { 231727, 634, 0, 0 },
    { 231756, 634, 0, 0 },
    { 231785, 634, 0, 0 },
    { 231815, 634, 0, 0 },
    { 231845, 634, 0, 0 },
    { 231874, 634, 0, 0 },
    { 231904, 634, 0, 0 },
    { 231934, 635, 1, 0 },
    { 231964, 635, 0, 0 },
    { 231993, 635, 0, 0 },
    { 232023, 635, 0, 0 },
    { 232052, 635, 0, 0 },
    { 232081, 635, 0, 0 },
    { 232111, 635, 0, 0 },
    { 232140, 635, 0, 0 },
    { 232169, 635, 0, 1 },
    { 232199, 635, 0, 0 },
    { 232228, 635, 0, 0 },
    { 232258, 635, 0, 0 },
    { 232288, 635, 0, 0 },
    { 232318, 636, 1, 0 },
    { 232347, 636, 0, 0 },
    { 232377, 636, 0, 0 },
    { 232407, 636, 0, 0 },
    { 232436, 636, 0, 0 },
    { 232465, 636, 0, 0 },
    { 232495, 636, 0, 0 },
    { 232524, 636, 0, 0 },
    { 232553, 636, 0, 0 },
    { 232583, 636, 0, 0 },
    { 232612, 636, 0, 0 },
    { 232642, 636, 0, 0 },
    { 232672, 637, 1, 0 },
    { 232702, 637, 0, 0 },
    { 232731, 637, 0, 0 },
    { 232761, 637, 0, 0 },
    { 232791, 637, 0, 0 },
    { 232820, 637, 0, 0 },
    { 232849, 637, 0, 0 },
    { 232879, 637, 0, 0 },
    { 232908, 637, 0, 0 },
    { 232937, 637, 0, 0 },
    { 232967, 637, 0, 0 },
    { 232996, 637, 0, 0 },
    { 233026, 638, 1, 0 },
    { 233056, 638, 0, 0 },
    { 233085, 638, 0, 0 },
    { 233115, 638, 0, 0 },
    { 233145, 638, 0, 0 },
    { 233174, 638, 0, 0 },
    { 233204, 638, 0, 1 },
    { 233233, 638, 0, 0 },
    { 233263, 638, 0, 0 },
    { 233292, 638, 0, 0 },
    { 233322, 638, 0, 0 },
    { 233351, 638, 0, 0 },
    { 233380, 638, 0, 0 },
    { 233410, 639, 1, 0 },
    { 233439, 639, 0, 0 },
    { 233469, 639, 0, 0 },
    { 233499, 639, 0, 0 },
    { 233528, 639, 0, 0 },
    { 233558, 639, 0, 0 },
    { 233587, 639, 0, 0 },
    { 233617, 639, 0, 0 },
    { 233647, 639, 0, 0 },
    { 233676, 639, 0, 0 },
    { 233706, 639, 0, 0 },
    { 233735, 639, 0, 0 },
    { 233765, 640, 1, 0 },
    { 233794, 640, 0, 0 },
    { 233823, 640, 0, 0 },
    { 233853, 640, 0, 0 },
    { 233882, 640, 0, 0 },
    { 233912, 640, 0, 0 },
    { 233942, 640, 0, 0 },
    { 233971, 640, 0, 0 },
    { 234001, 640, 0, 0 },
    { 234031, 640, 0, 0 },
    { 234060, 640, 0, 0 },
    { 234090, 640, 0, 0 },
    { 234119, 641, 1, 0 },
    { 234149, 641, 0, 0 },
    { 234178, 641, 0, 1 },
    { 234207, 641, 0, 0 },
    { 234237, 641, 0, 0 },
    { 234266, 641, 0, 0 },
    { 234296, 641, 0, 0 },
    { 234325, 641, 0, 0 },
    { 234355, 641, 0, 0 },
    { 234385, 641, 0, 0 },
    { 234414, 641, 0, 0 },
    { 234444, 641, 0, 0 },
    { 234474, 641, 0, 0 },
    { 234503, 642, 1, 0 },
    { 234533, 642, 0, 0 },
    { 234562, 642, 0, 0 },
    { 234591, 642, 0, 0 },
    { 234621, 642, 0, 0 },
    { 234650, 642, 0, 0 },
    { 234679, 642, 0, 0 },
    { 234709, 642, 0, 0 },
    { 234739, 642, 0, 0 },
    { 234768, 642, 0, 0 },
    { 234798, 642, 0, 0 },
    { 234828, 642, 0, 0 },
    { 234858, 643, 1, 0 },
    { 234887, 643, 0, 0 },
    { 234917, 643, 0, 0 },
    { 234946, 643, 0, 0 },
    { 234975, 643, 0, 0 },
    { 235005, 643, 0, 0 },
    { 235034, 643, 0, 0 },
    { 235063, 643, 0, 0 },
    { 235093, 643, 0, 0 },
    { 235122, 643, 0, 0 },
    { 235152, 643, 0, 1 },
    { 235182, 643, 0, 0 },
    { 235212, 643, 0, 0 },
    { 235241, 644, 1, 0 },
    { 235271, 644, 0, 0 },
    { 235301, 644, 0, 0 },
    { 235330, 644, 0, 0 },
    { 235359, 644, 0, 0 },
    { 235389, 644, 0, 0 },
    { 235418, 644, 0, 0 },
    { 235447, 644, 0, 0 },
    { 235477, 644, 0, 0 },
    { 235506, 644, 0, 0 },
    { 235536, 644, 0, 0 },
    { 235566, 644, 0, 0 },
    { 235596, 645, 1, 0 },
    { 235625, 645, 0, 0 },
    { 235655, 645, 0, 0 },
    { 235685, 645, 0, 0 },
    { 235714, 645, 0, 0 },
    { 235743, 645, 0, 0 },
    { 235773, 645, 0, 0 },
    { 235802, 645, 0, 0 },
    { 235831, 645, 0, 0 },
    { 235861, 645, 0, 0 },
    { 235890, 645, 0, 0 },
    { 235920, 645, 0, 0 },
    { 235950, 646, 1, 0 },
    { 235979, 646, 0, 0 },
    { 236009, 646, 0, 0 },
    { 236039, 646, 0, 0 },
    { 236068, 646, 0, 0 },
    { 236098, 646, 0, 0 },
    { 236127, 646, 0, 0 },
    { 236157, 646, 0, 1 },
    { 236186, 646, 0, 0 },
    { 236215, 646, 0, 0 },
    { 236245, 646, 0, 0 },
    { 236274, 646, 0, 0 },
    { 236304, 646, 0, 0 },
    { 236333, 647, 1, 0 },
    { 236363, 647, 0, 0 },
    { 236393, 647, 0, 0 },
    { 236422, 647, 0, 0 },
    { 236452, 647, 0, 0 },
    { 236482, 647, 0, 0 },
    { 236511, 647, 0, 0 },
    { 236541, 647, 0, 0 },
    { 236570, 647, 0, 0 },
    { 236599, 647, 0, 0 },
    { 236629, 647, 0, 0 },
    { 236658, 647, 0, 0 },
    { 236688, 648, 1, 0 },
    { 236717, 648, 0, 0 },
    { 236747, 648, 0, 0 },
    { 236776, 648, 0, 0 },
    { 236806, 648, 0, 0 },
    { 236836, 648, 0, 0 },
    { 236865, 648, 0, 0 },
    { 236895, 648, 0, 0 },
    { 236924, 648, 0, 0 },
    { 236954, 648, 0, 0 },
    { 236984, 648, 0, 0 },
    { 237013, 648, 0, 0 },
    { 237042, 649, 1, 0 },
    { 237072, 649, 0, 0 },
    { 237101, 649, 0, 0 },
    { 237131, 649, 0, 1 },
    { 237160, 649, 0, 0 },
    { 237190, 649, 0, 0 },
    { 237219, 649, 0, 0 },
    { 237249, 649, 0, 0 },
    { 237279, 649, 0, 0 },
    { 237308, 649, 0, 0 },
    { 237338, 649, 0, 0 },
    { 237368, 649, 0, 0 },
    { 237397, 649, 0, 0 },
    { 237426, 650, 1, 0 },
    { 237456, 650, 0, 0 },
    { 237485, 650, 0, 0 },
    { 237515, 650, 0, 0 },
    { 237544, 650, 0, 0 },
    { 237574, 650, 0, 0 },
    { 237603, 650, 0, 0 },
    { 237633, 650, 0, 0 },
    { 237662, 650, 0, 0 },
    { 237692, 650, 0, 0 },
    { 237722, 650, 0, 0 },
    { 237752, 650, 0, 0 },
    { 237781, 651, 1, 0 },
    { 237811, 651, 0, 0 },
    { 237840, 651, 0, 0 },
    { 237869, 651, 0, 0 },
    { 237899, 651, 0, 0 },
    { 237928, 651, 0, 0 },
    { 237957, 651, 0, 0 },
    { 237987, 651, 0, 0 },
    { 238016, 651, 0, 0 },
    { 238046, 651, 0, 0 },
    { 238076, 651, 0, 0 },
    { 238106, 651, 0, 0 },
    { 238135, 652, 1, 0 },
    { 238165, 652, 0, 1 },
    { 238195, 652, 0, 0 },
    { 238224, 652, 0, 0 },
    { 238253, 652, 0, 0 },
    { 238283, 652, 0, 0 },
    { 238312, 652, 0, 0 },
    { 238341, 652, 0, 0 },
    { 238371, 652, 0, 0 },
    { 238400, 652, 0, 0 },
    { 238430, 652, 0, 0 },
    { 238460, 652, 0, 0 },
    { 238490, 652, 0, 0 },
    { 238519, 653, 1, 0 },
    { 238549, 653, 0, 0 },
    { 238579, 653, 0, 0 },
    { 238608, 653, 0, 0 },
    { 238637, 653, 0, 0 },
    { 238667, 653, 0, 0 },
    { 238696, 653, 0, 0 },
    { 238725, 653, 0, 0 },
    { 238755, 653, 0, 0 },
    { 238784, 653, 0, 0 },
    { 238814, 653, 0, 0 },
    { 238844, 653, 0, 0 },
    { 238873, 654, 1, 0 },
    { 238903, 654, 0, 0 },
    { 238933, 654, 0, 0 },
    { 238962, 654, 0, 0 },
    { 238992, 654, 0, 0 },
    { 239021, 654, 0, 0 },
    { 239051, 654, 0, 0 },
    { 239080, 654, 0, 0 },
    { 239109, 654, 0, 0 },
    { 239139, 654, 0, 1 },
    { 239168, 654, 0, 0 },
    { 239198, 654, 0, 0 },
    { 239227, 654, 0, 0 },
    { 239257, 655, 1, 0 },
    { 239287, 655, 0, 0 },
    { 239317, 655, 0, 0 },
    { 239346, 655, 0, 0 },
    { 239376, 655, 0, 0 },
    { 239405, 655, 0, 0 },
    { 239435, 655, 0, 0 },
    { 239464, 655, 0, 0 },
    { 239493, 655, 0, 0 },
    { 239523, 655, 0, 0 },
    { 239552, 655, 0, 0 },
    { 239582, 655, 0, 0 },
    { 239611, 656, 1, 0 },
    { 239641, 656, 0, 0 },
    { 239671, 656, 0, 0 },
    { 239700, 656, 0, 0 },
    { 239730, 656, 0, 0 },
    { 239759, 656, 0, 0 },
    { 239789, 656, 0, 0 },
    { 239819, 656, 0, 0 },
    { 239848, 656, 0, 0 },
    { 239877, 656, 0, 0 },
    { 239907, 656, 0, 0 },
    { 239936, 656, 0, 0 },
    { 239966, 657, 1, 0 },
    { 239995, 657, 0, 0 },
    { 240025, 657, 0, 0 },
    { 240054, 657, 0, 0 },
    { 240084, 657, 0, 0 },
    { 240114, 657, 0, 1 },
    { 240143, 657, 0, 0 },
    { 240173, 657, 0, 0 },
    { 240202, 657, 0, 0 },
    { 240232, 657, 0, 0 },
    { 240261, 657, 0, 0 },
    { 240291, 657, 0, 0 },
    { 240320, 657, 0, 0 },
    { 240350, 658, 1, 0 },
    { 240379, 658, 0, 0 },
    { 240409, 658, 0, 0 },
    { 240438, 658, 0, 0 },
    { 240468, 658, 0, 0 },
    { 240497, 658, 0, 0 },
    { 240527, 658, 0, 0 },
    { 240557, 658, 0, 0 },
    { 240586, 658, 0, 0 },
    { 240616, 658, 0, 0 },
    { 240645, 658, 0, 0 },
    { 240675, 658, 0, 0 },
    { 240705, 659, 1, 0 },
    { 240734, 659, 0, 0 },
    { 240763, 659, 0, 0 },
    { 240793, 659, 0, 0 },
    { 240822, 659, 0, 0 },
    { 240851, 659, 0, 0 },
    { 240881, 659, 0, 0 },
    { 240911, 659, 0, 0 },
    { 240940, 659, 0, 0 },
    { 240970, 659, 0, 0 },
    { 241000, 659, 0, 0 },
    { 241029, 659, 0, 0 },
    { 241059, 660, 1, 0 },
    { 241089, 660, 0, 0 },
    { 241118, 660, 0, 1 },
    { 241147, 660, 0, 0 },
    { 241177, 660, 0, 0 },
    { 241206, 660, 0, 0 },
    { 241235, 660, 0, 0 },
    { 241265, 660, 0, 0 },
    { 241294, 660, 0, 0 },
    { 241324, 660, 0, 0 },
    { 241354, 660, 0, 0 },
    { 241384, 660, 0, 0 },
    { 241413, 660, 0, 0 },
    { 241443, 661, 1, 0 },
    { 241473, 661, 0, 0 },
    { 241502, 661, 0, 0 },
    { 241531, 661, 0, 0 },
    { 241561, 661, 0, 0 },
    { 241590, 661, 0, 0 },
    { 241619, 661, 0, 0 },
    { 241649, 661, 0, 0 },
    { 241678, 661, 0, 0 },
    { 241708, 661, 0, 0 },
    { 241738, 661, 0, 0 },
    { 241767, 661, 0, 0 },
    { 241797, 662, 1, 0 },
    { 241827, 662, 0, 0 },
    { 241856, 662, 0, 0 },
    { 241886, 662, 0, 0 },
    { 241915, 662, 0, 0 },
    { 241945, 662, 0, 0 },
    { 241974, 662, 0, 0 },
    { 242003, 662, 0, 0 },
    { 242033, 662, 0, 0 },
    { 242062, 662, 0, 0 },
    { 242092, 662, 0, 1 },
    { 242121, 662, 0, 0 },
    { 242151, 662, 0, 0 },
    { 242181, 663, 1, 0 },
    { 242211, 663, 0, 0 },
    { 242240, 663, 0, 0 },
    { 242270, 663, 0, 0 },
    { 242299, 663, 0, 0 },
    { 242329, 663, 0, 0 },
    { 242358, 663, 0, 0 },
    { 242387, 663, 0, 0 },
    { 242417, 663, 0, 0 },
    { 242446, 663, 0, 0 },
    { 242476, 663, 0, 0 },
    { 242505, 663, 0, 0 },
    { 242535, 664, 1, 0 },
    { 242565, 664, 0, 0 },
    { 242594, 664, 0, 0 },
    { 242624, 664, 0, 0 },
    { 242654, 664, 0, 0 },
    { 242683, 664, 0, 0 },
    { 242713, 664, 0, 0 },
    { 242742, 664, 0, 0 },
    { 242771, 664, 0, 0 },
    { 242801, 664, 0, 0 },
    { 242830, 664, 0, 0 },
    { 242860, 664, 0, 0 },
    { 242889, 665, 1, 0 },
    { 242919, 665, 0, 0 },
    { 242948, 665, 0, 0 },
    { 242978, 665, 0, 0 },
    { 243008, 665, 0, 0 },
    { 243037, 665, 0, 0 },
    { 243067, 665, 0, 0 },
    { 243096, 665, 0, 1 },
    { 243126, 665, 0, 0 },
    { 243155, 665, 0, 0 },
    { 243185, 665, 0, 0 },
    { 243214, 665, 0, 0 },
    { 243244, 665, 0, 0 },
    { 243273, 666, 1, 0 },
    { 243303, 666, 0, 0 },
    { 243332, 666, 0, 0 },
    { 243362, 666, 0, 0 },
    { 243391, 666, 0, 0 },
    { 243421, 666, 0, 0 },
    { 243451, 666, 0, 0 },
    { 243480, 666, 0, 0 },
    { 243510, 666, 0, 0 },
    { 243539, 666, 0, 0 },
    { 243569, 666, 0, 0 },
    { 243598, 666, 0, 0 },
    { 243628, 667, 1, 0 },
    { 243657, 667, 0, 0 },
    { 243687, 667, 0, 0 },
    { 243716, 667, 0, 0 },
    { 243746, 667, 0, 0 },
    { 243775, 667, 0, 0 },
    { 243805, 667, 0, 0 },
    { 243834, 667, 0, 0 },
    { 243864, 667, 0, 0 },
    { 243894, 667, 0, 0 },
    { 243923, 667, 0, 0 },
    { 243953, 667, 0, 0 },
    { 243983, 668, 1, 0 },
    { 244012, 668, 0, 0 },
    { 244041, 668, 0, 0 },
    { 244071, 668, 0, 1 },
    { 244100, 668, 0, 0 },
    { 244129, 668, 0, 0 },
    { 244159, 668, 0, 0 },
    { 244188, 668, 0, 0 },
    { 244218, 668, 0, 0 },
    { 244248, 668, 0, 0 },
    { 244278, 668, 0, 0 },
    { 244307, 668, 0, 0 },
    { 244337, 668, 0, 0 },
    { 244367, 669, 1, 0 },
    { 244396, 669, 0, 0 },
    { 244425, 669, 0, 0 },
    { 244455, 669, 0, 0 },
    { 244484, 669, 0, 0 },
    { 244513, 669, 0, 0 },
    { 244543, 669, 0, 0 },
    { 244572, 669, 0, 0 },
    { 244602, 669, 0, 0 },
    { 244631, 669, 0, 0 },
    { 244661, 669, 0, 0 },
    { 244691, 669, 0, 0 },
    { 244721, 670, 1, 0 },
    { 244750, 670, 0, 0 },
    { 244780, 670, 0, 0 },
    { 244809, 670, 0, 0 },
    { 244839, 670, 0, 0 },
    { 244868, 670, 0, 0 },
    { 244897, 670, 0, 0 },
    { 244927, 670, 0, 0 },
    { 244956, 670, 0, 0 },
    { 244986, 670, 0, 0 },
    { 245015, 670, 0, 0 },
    { 245045, 670, 0, 0 },
    { 245075, 671, 1, 0 },
    { 245105, 671, 0, 1 },
    { 245134, 671, 0, 0 },
    { 245164, 671, 0, 0 },
    { 245193, 671, 0, 0 },
    { 245223, 671, 0, 0 },
    { 245252, 671, 0, 0 },
    { 245281, 671, 0, 0 },
    { 245311, 671, 0, 0 },
    { 245340, 671, 0, 0 },
    { 245370, 671, 0, 0 },
    { 245399, 671, 0, 0 },
    { 245429, 671, 0, 0 },
    { 245459, 672, 1, 0 },
    { 245488, 672, 0, 0 },
    { 245518, 672, 0, 0 },
    { 245548, 672, 0, 0 },
    { 245577, 672, 0, 0 },
    { 245607, 672, 0, 0 },
    { 245636, 672, 0, 0 },
    { 245665, 672, 0, 0 },
    { 245695, 672, 0, 0 },
    { 245724, 672, 0, 0 },
    { 245754, 672, 0, 0 },
    { 245783, 672, 0, 0 },
    { 245813, 673, 1, 0 },
    { 245842, 673, 0, 0 },
    { 245872, 673, 0, 0 },
    { 245902, 673, 0, 0 },
    { 245931, 673, 0, 0 },
    { 245961, 673, 0, 0 },
    { 245990, 673, 0, 0 },
    { 246020, 673, 0, 0 },
    { 246049, 673, 0, 0 },
    { 246079, 673, 0, 1 },
    { 246108, 673, 0, 0 },
    { 246138, 673, 0, 0 },
    { 246167, 673, 0, 0 },
    { 246197, 674, 1, 0 },
    { 246226, 674, 0, 0 },
    { 246256, 674, 0, 0 },
    { 246285, 674, 0, 0 },
    { 246315, 674, 0, 0 },
    { 246345, 674, 0, 0 },
    { 246374, 674, 0, 0 },
    { 246404, 674, 0, 0 },
    { 246433, 674, 0, 0 },
    { 246463, 674, 0, 0 },
    { 246492, 674, 0, 0 },
    { 246522, 674, 0, 0 },
    { 246551, 675, 1, 0 },
    { 246581, 675, 0, 0 },
    { 246610, 675, 0, 0 },
    { 246640, 675, 0, 0 },
    { 246669, 675, 0, 0 },
    { 246699, 675, 0, 0 },
    { 246728, 675, 0, 0 },
    { 246758, 675, 0, 0 },
    { 246788, 675, 0, 0 },
    { 246817, 675, 0, 0 },
    { 246847, 675, 0, 0 },
    { 246876, 675, 0, 0 },
    { 246906, 676, 1, 0 },
    { 246935, 676, 0, 0 },
    { 246965, 676, 0, 0 },
    { 246994, 676, 0, 0 },
    { 247023, 676, 0, 0 },
    { 247053, 676, 0, 1 },
    { 247082, 676, 0, 0 },
    { 247112, 676, 0, 0 },
    { 247142, 676, 0, 0 },
    { 247172, 676, 0, 0 },
    { 247201, 676, 0, 0 },
    { 247231, 676, 0, 0 },
    { 247260, 676, 0, 0 },
    { 247290, 677, 1, 0 },
    { 247319, 677, 0, 0 },
    { 247349, 677, 0, 0 },
    { 247378, 677, 0, 0 },
    { 247407, 677, 0, 0 },
    { 247437, 677, 0, 0 },
    { 247466, 677, 0, 0 },
    { 247496, 677, 0, 0 },
    { 247526, 677, 0, 0 },
    { 247555, 677, 0, 0 },
    { 247585, 677, 0, 0 },
    { 247615, 677, 0, 0 },
    { 247644, 678, 1, 0 },
    { 247674, 678, 0, 0 },
    { 247703, 678, 0, 0 },
    { 247733, 678, 0, 0 },
    { 247762, 678, 0, 0 },
    { 247791, 678, 0, 0 },
    { 247821, 678, 0, 0 },
    { 247850, 678, 0, 0 },
    { 247880, 678, 0, 0 },
    { 247909, 678, 0, 0 },
    { 247939, 678, 0, 0 },
    { 247969, 678, 0, 0 },
    { 247999, 679, 1, 0 },
    { 248028, 679, 0, 0 },
    { 248058, 679, 0, 1 },
    { 248087, 679, 0, 0 },
    { 248117, 679, 0, 0 },
    { 248146, 679, 0, 0 },
    { 248175, 679, 0, 0 },
    { 248205, 679, 0, 0 },
    { 248234, 679, 0, 0 },
    { 248263, 679, 0, 0 },
    { 248293, 679, 0, 0 },
    { 248323, 679, 0, 0 },
    { 248353, 679, 0, 0 },
    { 248382, 680, 1, 0 },
    { 248412, 680, 0, 0 },
    { 248442, 680, 0, 0 },
    { 248471, 680, 0, 0 },
    { 248501, 680, 0, 0 },
    { 248530, 680, 0, 0 },
    { 248559, 680, 0, 0 },
    { 248589, 680, 0, 0 },
    { 248618, 680, 0, 0 },
    { 248647, 680, 0, 0 },
    { 248677, 680, 0, 0 },
    { 248707, 680, 0, 0 },
    { 248736, 681, 1, 0 },
    { 248766, 681, 0, 0 },
    { 248796, 681, 0, 0 },
    { 248826, 681, 0, 0 },
    { 248855, 681, 0, 0 },
    { 248885, 681, 0, 0 },
    { 248914, 681, 0, 0 },
    { 248943, 681, 0, 0 },
    { 248973, 681, 0, 0 },
    { 249002, 681, 0, 0 },
    { 249031, 681, 0, 1 },
    { 249061, 681, 0, 0 },
    { 249091, 681, 0, 0 },
    { 249120, 682, 1, 0 },
    { 249150, 682, 0, 0 },
    { 249180, 682, 0, 0 },
    { 249209, 682, 0, 0 },
    { 249239, 682, 0, 0 },
    { 249268, 682, 0, 0 },
    { 249298, 682, 0, 0 },
    { 249327, 682, 0, 0 },
    { 249357, 682, 0, 0 },
    { 249386, 682, 0, 0 },
    { 249416, 682, 0, 0 },
    { 249445, 682, 0, 0 },
    { 249475, 683, 1, 0 },
    { 249504, 683, 0, 0 },
    { 249534, 683, 0, 0 },
    { 249563, 683, 0, 0 },
    { 249593, 683, 0, 0 },
    { 249623, 683, 0, 0 },
    { 249652, 683, 0, 0 },
    { 249682, 683, 0, 0 },
    { 249711, 683, 0, 0 },
    { 249741, 683, 0, 0 },
    { 249770, 683, 0, 0 },
    { 249800, 683, 0, 0 },
    { 249829, 684, 1, 0 },
    { 249859, 684, 0, 0 },
    { 249888, 684, 0, 0 },
    { 249918, 684, 0, 0 },
    { 249947, 684, 0, 0 },
    { 249977, 684, 0, 0 },
    { 250006, 684, 0, 0 },
    { 250036, 684, 0, 1 },
    { 250065, 684, 0, 0 },
    { 250095, 684, 0, 0 },
    { 250125, 684, 0, 0 },
    { 250154, 684, 0, 0 },
    { 250184, 684, 0, 0 },
    { 250213, 685, 1, 0 },
    { 250243, 685, 0, 0 },
    { 250272, 685, 0, 0 },
    { 250301, 685, 0, 0 },
    { 250331, 685, 0, 0 },
    { 250360, 685, 0, 0 },
    { 250390, 685, 0, 0 },
    { 250420, 685, 0, 0 },
    { 250449, 685, 0, 0 },
    { 250479, 685, 0, 0 },
    { 250509, 685, 0, 0 },
    { 250538, 685, 0, 0 },
    { 250568, 686, 1, 0 },
    { 250597, 686, 0, 0 },
    { 250627, 686, 0, 0 },
    { 250656, 686, 0, 0 },
    { 250685, 686, 0, 0 },
    { 250715, 686, 0, 0 },
    { 250744, 686, 0, 0 },
    { 250774, 686, 0, 0 },
    { 250803, 686, 0, 0 },
    { 250833, 686, 0, 0 },
    { 250863, 686, 0, 0 },
    { 250893, 686, 0, 0 },
    { 250922, 687, 1, 0 },
    { 250952, 687, 0, 0 },
    { 250981, 687, 0, 0 },
    { 251011, 687, 0, 0 },
    { 251040, 687, 0, 1 },
    { 251069, 687, 0, 0 },
    { 251099, 687, 0, 0 },
    { 251128, 687, 0, 0 },
    { 251157, 687, 0, 0 },
    { 251187, 687, 0, 0 },
    { 251217, 687, 0, 0 },
    { 251247, 687, 0, 0 },
    { 251276, 687, 0, 0 },
    { 251306, 688, 1, 0 },
    { 251336, 688, 0, 0 },
    { 251365, 688, 0, 0 },
    { 251395, 688, 0, 0 },
    { 251424, 688, 0, 0 },
    { 251453, 688, 0, 0 },
    { 251483, 688, 0, 0 },
    { 251512, 688, 0, 0 },
    { 251541, 688, 0, 0 },
    { 251571, 688, 0, 0 },
    { 251601, 688, 0, 0 },
    { 251630, 688, 0, 0 },
    { 251660, 689, 1, 0 },
    { 251690, 689, 0, 0 },
    { 251720, 689, 0, 0 },
    { 251749, 689, 0, 0 },
    { 251779, 689, 0, 0 },
    { 251808, 689, 0, 0 },
    { 251837, 689, 0, 0 },
    { 251867, 689, 0, 0 },
    { 251896, 689, 0, 0 },
    { 251925, 689, 0, 0 },
    { 251955, 689, 0, 0 },
    { 251985, 689, 0, 0 },
    { 252014, 689, 0, 1 },
    { 252044, 690, 1, 0 },
    { 252074, 690, 0, 0 },
    { 252103, 690, 0, 0 },
    { 252133, 690, 0, 0 },
    { 252162, 690, 0, 0 },
    { 252192, 690, 0, 0 },
    { 252221, 690, 0, 0 },
    { 252251, 690, 0, 0 },
    { 252280, 690, 0, 0 },
    { 252309, 690, 0, 0 },
    { 252339, 690, 0, 0 },
    { 252368, 690, 0, 0 },
    { 252398, 691, 1, 0 },
    { 252428, 691, 0, 0 },
    { 252457, 691, 0, 0 },
    { 252487, 691, 0, 0 },
    { 252517, 691, 0, 0 },
    { 252546, 691, 0, 0 },
    { 252576, 691, 0, 0 },
    { 252605, 691, 0, 0 },
    { 252635, 691, 0, 0 },
    { 252664, 691, 0, 0 },
    { 252694, 691, 0, 0 },
    { 252723, 691, 0, 0 },
    { 252752, 692, 1, 0 },
    { 252782, 692, 0, 0 },
    { 252812, 692, 0, 0 },
    { 252841, 692, 0, 0 },
    { 252871, 692, 0, 0 },
    { 252900, 692, 0, 0 },
    { 252930, 692, 0, 0 },
    { 252960, 692, 0, 0 },
    { 252989, 692, 0, 0 },
    { 253019, 692, 0, 1 },
    { 253048, 692, 0, 0 },
    { 253078, 692, 0, 0 },
    { 253107, 692, 0, 0 },
    { 253136, 693, 1, 0 },
    { 253166, 693, 0, 0 },
    { 253195, 693, 0, 0 },
    { 253225, 693, 0, 0 },
    { 253254, 693, 0, 0 },
    { 253284, 693, 0, 0 },
    { 253314, 693, 0, 0 },
    { 253343, 693, 0, 0 },
    { 253373, 693, 0, 0 },
    { 253403, 693, 0, 0 },
    { 253432, 693, 0, 0 },
    { 253462, 693, 0, 0 },
    { 253491, 694, 1, 0 },
    { 253521, 694, 0, 0 },
    { 253550, 694, 0, 0 },
    { 253579, 694, 0, 0 },
    { 253609, 694, 0, 0 },
    { 253638, 694, 0, 0 },
    { 253668, 694, 0, 0 },
    { 253697, 694, 0, 0 },
    { 253727, 694, 0, 0 },
    { 253757, 694, 0, 0 },
    { 253787, 694, 0, 0 },
    { 253816, 694, 0, 0 },
    { 253846, 695, 1, 0 },
    { 253875, 695, 0, 0 },
    { 253905, 695, 0, 0 },
    { 253934, 695, 0, 0 },
    { 253963, 695, 0, 0 },
    { 253993, 695, 0, 1 },
    { 254022, 695, 0, 0 },
    { 254052, 695, 0, 0 },
    { 254081, 695, 0, 0 },
    { 254111, 695, 0, 0 },
    { 254141, 695, 0, 0 },
    { 254170, 695, 0, 0 },
    { 254200, 695, 0, 0 },
    { 254230, 696, 1, 0 },
    { 254259, 696, 0, 0 },
    { 254289, 696, 0, 0 },
    { 254318, 696, 0, 0 },
    { 254347, 696, 0, 0 },
    { 254377, 696, 0, 0 },
    { 254406, 696, 0, 0 },
    { 254435, 696, 0, 0 },
    { 254465, 696, 0, 0 },
    { 254495, 696, 0, 0 },
    { 254524, 696, 0, 0 },
    { 254554, 696, 0, 0 },
    { 254584, 697, 1, 0 },
    { 254614, 697, 0, 0 },
    { 254643, 697, 0, 0 },
    { 254673, 697, 0, 0 },
    { 254702, 697, 0, 0 },
    { 254731, 697, 0, 0 },
    { 254761, 697, 0, 0 },
    { 254790, 697, 0, 0 },
    { 254819, 697, 0, 0 },
    { 254849, 697, 0, 0 },
    { 254878, 697, 0, 0 },
    { 254908, 697, 0, 0 },
    { 254938, 698, 1, 0 },
    { 254968, 698, 0, 0 },
    { 254997, 698, 0, 1 },
    { 255027, 698, 0, 0 },
    { 255057, 698, 0, 0 },
    { 255086, 698, 0, 0 },
    { 255115, 698, 0, 0 },
    { 255145, 698, 0, 0 },
    { 255174, 698, 0, 0 },
    { 255203, 698, 0, 0 },
    { 255233, 698, 0, 0 },
    { 255262, 698, 0, 0 },
    { 255292, 698, 0, 0 },
    { 255322, 699, 1, 0 },
    { 255351, 699, 0, 0 },
    { 255381, 699, 0, 0 },
    { 255411, 699, 0, 0 },
    { 255440, 699, 0, 0 },
    { 255470, 699, 0, 0 },
    { 255499, 699, 0, 0 },
    { 255529, 699, 0, 0 },
    { 255558, 699, 0, 0 },
    { 255587, 699, 0, 0 },
    { 255617, 699, 0, 0 },
    { 255646, 699, 0, 0 },
    { 255676, 700, 1, 0 },
    { 255706, 700, 0, 0 },
    { 255735, 700, 0, 0 },
    { 255765, 700, 0, 0 },
    { 255795, 700, 0, 0 },
    { 255824, 700, 0, 0 },
    { 255854, 700, 0, 0 },
    { 255883, 700, 0, 0 },
    { 255913, 700, 0, 0 },
    { 255942, 700, 0, 0 },
    { 255971, 700, 0, 1 },
    { 256001, 700, 0, 0 },
    { 256030, 700, 0, 0 },
    { 256060, 701, 1, 0 },
    { 256089, 701, 0, 0 },
    { 256119, 701, 0, 0 },
    { 256149, 701, 0, 0 },
    { 256178, 701, 0, 0 },
    { 256208, 701, 0, 0 },
    { 256237, 701, 0, 0 },
    { 256267, 701, 0, 0 },
    { 256297, 701, 0, 0 },
    { 256326, 701, 0, 0 },
    { 256356, 701, 0, 0 },
    { 256385, 701, 0, 0 },
    { 256414, 702, 1, 0 },
    { 256444, 702, 0, 0 },
    { 256473, 702, 0, 0 },
    { 256503, 702, 0, 0 },
    { 256532, 702, 0, 0 },
    { 256562, 702, 0, 0 },
    { 256592, 702, 0, 0 },
    { 256621, 702, 0, 0 },
    { 256651, 702, 0, 0 },
    { 256680, 702, 0, 0 },
    { 256710, 702, 0, 0 },
    { 256740, 702, 0, 0 },
    { 256769, 703, 1, 0 },
    { 256799, 703, 0, 0 },
    { 256828, 703, 0, 0 },
    { 256857, 703, 0, 0 },
    { 256887, 703, 0, 0 },
    { 256916, 703, 0, 0 },
    { 256946, 703, 0, 1 },
    { 256975, 703, 0, 0 },
    { 257005, 703, 0, 0 },
    { 257035, 703, 0, 0 },
    { 257064, 703, 0, 0 },
    { 257094, 703, 0, 0 },
    { 257124, 703, 0, 0 },
    { 257153, 704, 1, 0 },
    { 257183, 704, 0, 0 },
    { 257212, 704, 0, 0 },
    { 257241, 704, 0, 0 },
    { 257271, 704, 0, 0 },
    { 257300, 704, 0, 0 },
    { 257329, 704, 0, 0 },
    { 257359, 704, 0, 0 },
    { 257389, 704, 0, 0 },
    { 257418, 704, 0, 0 },
    { 257448, 704, 0, 0 },
    { 257478, 704, 0, 0 },
    { 257508, 705, 1, 0 },
    { 257537, 705, 0, 0 },
    { 257567, 705, 0, 0 },
    { 257596, 705, 0, 0 },
    { 257625, 705, 0, 0 },
    { 257655, 705, 0, 0 },
    { 257684, 705, 0, 0 },
    { 257713, 705, 0, 0 },
    { 257743, 705, 0, 0 },
    { 257772, 705, 0, 0 },
    { 257802, 705, 0, 0 },
    { 257832, 705, 0, 0 },
    { 257862, 706, 1, 0 },
    { 257891, 706, 0, 0 },
    { 257921, 706, 0, 0 },
    { 257951, 706, 0, 0 },
    { 257980, 706, 0, 1 },
    { 258009, 706, 0, 0 },
    { 258039, 706, 0, 0 },
    { 258068, 706, 0, 0 },
    { 258097, 706, 0, 0 },
    { 258127, 706, 0, 0 },
    { 258156, 706, 0, 0 },
    { 258186, 706, 0, 0 },
    { 258216, 706, 0, 0 },
    { 258246, 707, 1, 0 },
    { 258275, 707, 0, 0 },
    { 258305, 707, 0, 0 },
    { 258334, 707, 0, 0 },
    { 258364, 707, 0, 0 },
    { 258393, 707, 0, 0 },
    { 258423, 707, 0, 0 },
    { 258452, 707, 0, 0 },
    { 258481, 707, 0, 0 },
    { 258511, 707, 0, 0 },
    { 258540, 707, 0, 0 },
    { 258570, 707, 0, 0 },
    { 258600, 708, 1, 0 },
    { 258629, 708, 0, 0 },
    { 258659, 708, 0, 0 },
    { 258689, 708, 0, 0 },
    { 258718, 708, 0, 0 },
    { 258748, 708, 0, 0 },
    { 258777, 708, 0, 0 },
    { 258807, 708, 0, 0 },
    { 258836, 708, 0, 0 },
    { 258865, 708, 0, 0 },
    { 258895, 708, 0, 0 },
    { 258924, 708, 0, 0 },
    { 258954, 708, 0, 1 },
    { 258983, 709, 1, 0 },
    { 259013, 709, 0, 0 },
    { 259043, 709, 0, 0 },
    { 259072, 709, 0, 0 },
    { 259102, 709, 0, 0 },
    { 259132, 709, 0, 0 },
    { 259161, 709, 0, 0 },
    { 259191, 709, 0, 0 },
    { 259220, 709, 0, 0 },
    { 259249, 709, 0, 0 },
    { 259279, 709, 0, 0 },
    { 259308, 709, 0, 0 },
    { 259338, 710, 1, 0 },
    { 259367, 710, 0, 0 },
    { 259397, 710, 0, 0 },
    { 259426, 710, 0, 0 },
    { 259456, 710, 0, 0 },
    { 259486, 710, 0, 0 },
    { 259515, 710, 0, 0 },
    { 259545, 710, 0, 0 },
    { 259574, 710, 0, 0 },
    { 259604, 710, 0, 0 },
    { 259634, 710, 0, 0 },
    { 259663, 710, 0, 0 },
    { 259692, 711, 1, 0 },
    { 259722, 711, 0, 0 },
    { 259751, 711, 0, 0 },
    { 259781, 711, 0, 0 },
    { 259810, 711, 0, 0 },
    { 259840, 711, 0, 0 },
    { 259869, 711, 0, 0 },
    { 259899, 711, 0, 0 },
    { 259929, 711, 0, 0 },
    { 259958, 711, 0, 1 },
    { 259988, 711, 0, 0 },
    { 260017, 711, 0, 0 },
    { 260047, 711, 0, 0 },
    { 260076, 712, 1, 0 },
    { 260106, 712, 0, 0 },
    { 260135, 712, 0, 0 },
    { 260165, 712, 0, 0 },
    { 260194, 712, 0, 0 },
    { 260224, 712, 0, 0 },
    { 260253, 712, 0, 0 },
    { 260283, 712, 0, 0 },
    { 260312, 712, 0, 0 },
    { 260342, 712, 0, 0 },
    { 260372, 712, 0, 0 },
    { 260402, 712, 0, 0 },
    { 260431, 713, 1, 0 },
    { 260461, 713, 0, 0 },
    { 260490, 713, 0, 0 },
    { 260519, 713, 0, 0 },
    { 260549, 713, 0, 0 },
    { 260578, 713, 0, 0 },
    { 260607, 713, 0, 0 },
    { 260637, 713, 0, 0 },
    { 260666, 713, 0, 0 },
    { 260696, 713, 0, 0 },
    { 260726, 713, 0, 0 },
    { 260756, 713, 0, 0 },
    { 260785, 714, 1, 0 },
    { 260815, 714, 0, 0 },
    { 260845, 714, 0, 0 },
    { 260874, 714, 0, 0 },
    { 260903, 714, 0, 0 },
    { 260933, 714, 0, 1 },
    { 260962, 714, 0, 0 },
    { 260991, 714, 0, 0 },
    { 261021, 714, 0, 0 },
    { 261050, 714, 0, 0 },
    { 261080, 714, 0, 0 },
    { 261110, 714, 0, 0 },
    { 261140, 714, 0, 0 },
    { 261169, 715, 1, 0 },
    { 261199, 715, 0, 0 },
    { 261229, 715, 0, 0 },
    { 261258, 715, 0, 0 },
    { 261287, 715, 0, 0 },
    { 261317, 715, 0, 0 },
    { 261346, 715, 0, 0 },
    { 261375, 715, 0, 0 },
    { 261405, 715, 0, 0 },
    { 261434, 715, 0, 0 },
    { 261464, 715, 0, 0 },
    { 261494, 715, 0, 0 },
    { 261523, 716, 1, 0 },
    { 261553, 716, 0, 0 },
    { 261583, 716, 0, 0 },
    { 261612, 716, 0, 0 },
    { 261642, 716, 0, 0 },
    { 261671, 716, 0, 0 },
    { 261701, 716, 0, 0 },
    { 261730, 716, 0, 0 },
    { 261759, 716, 0, 0 },
    { 261789, 716, 0, 0 },
    { 261818, 716, 0, 0 },
    { 261848, 716, 0, 0 },
    { 261877, 717, 1, 0 },
    { 261907, 717, 0, 0 },
    { 261937, 717, 0, 1 },
    { 261966, 717, 0, 0 },
    { 261996, 717, 0, 0 },
    { 262026, 717, 0, 0 },
    { 262055, 717, 0, 0 },
    { 262085, 717, 0, 0 },
    { 262114, 717, 0, 0 },
    { 262143, 717, 0, 0 },
    { 262173, 717, 0, 0 },
    { 262202, 717, 0, 0 },
    { 262232, 717, 0, 0 },
    { 262261, 718, 1, 0 },
    { 262291, 718, 0, 0 },
    { 262321, 718, 0, 0 },
    { 262350, 718, 0, 0 },
    { 262380, 718, 0, 0 },
    { 262409, 718, 0, 0 },
    { 262439, 718, 0, 0 },
    { 262468, 718, 0, 0 },
    { 262498, 718, 0, 0 },
    { 262527, 718, 0, 0 },
    { 262557, 718, 0, 0 },
    { 262586, 718, 0, 0 },
    { 262616, 719, 1, 0 },
    { 262645, 719, 0, 0 },
    { 262675, 719, 0, 0 },
    { 262704, 719, 0, 0 },
    { 262734, 719, 0, 0 },
    { 262763, 719, 0, 0 },
    { 262793, 719, 0, 0 },
    { 262823, 719, 0, 0 },
    { 262852, 719, 0, 0 },
    { 262882, 719, 0, 0 },
    { 262911, 719, 0, 1 },
    { 262940, 719, 0, 0 },
    { 262970, 719, 0, 0 },
    { 263000, 720, 1, 0 },
    { 263029, 720, 0, 0 },
    { 263059, 720, 0, 0 },
    { 263088, 720, 0, 0 },
    { 263118, 720, 0, 0 },
    { 263147, 720, 0, 0 },
    { 263177, 720, 0, 0 },
    { 263206, 720, 0, 0 },
    { 263236, 720, 0, 0 },
    { 263266, 720, 0, 0 },
    { 263295, 720, 0, 0 },
    { 263325, 720, 0, 0 },
    { 263355, 721, 1, 0 },
    { 263384, 721, 0, 0 },
    { 263413, 721, 0, 0 },
    { 263443, 721, 0, 0 },
    { 263472, 721, 0, 0 },
    { 263501, 721, 0, 0 },
    { 263531, 721, 0, 0 },
    { 263561, 721, 0, 0 },
    { 263590, 721, 0, 0 },
    { 263620, 721, 0, 0 },
    { 263650, 721, 0, 0 },
    { 263679, 721, 0, 0 },
    { 263709, 722, 1, 0 },
    { 263739, 722, 0, 0 },
    { 263768, 722, 0, 0 },
    { 263797, 722, 0, 0 },
    { 263827, 722, 0, 0 },
    { 263856, 722, 0, 0 },
    { 263885, 722, 0, 0 },
    { 263915, 722, 0, 1 },
    { 263944, 722, 0, 0 },
    { 263974, 722, 0, 0 },
    { 264004, 722, 0, 0 },
    { 264034, 722, 0, 0 },
    { 264063, 722, 0, 0 },
    { 264093, 723, 1, 0 },
    { 264123, 723, 0, 0 },
    { 264152, 723, 0, 0 },
    { 264181, 723, 0, 0 },
    { 264211, 723, 0, 0 },
    { 264240, 723, 0, 0 },
    { 264269, 723, 0, 0 },
    { 264299, 723, 0, 0 },
    { 264328, 723, 0, 0 },
    { 264358, 723, 0, 0 },
    { 264387, 723, 0, 0 },
    { 264417, 723, 0, 0 },
    { 264447, 724, 1, 0 },
    { 264477, 724, 0, 0 },
    { 264506, 724, 0, 0 },
    { 264536, 724, 0, 0 },
    { 264565, 724, 0, 0 },
    { 264595, 724, 0, 0 },
    { 264624, 724, 0, 0 },
    { 264653, 724, 0, 0 },
    { 264683, 724, 0, 0 },
    { 264712, 724, 0, 0 },
    { 264742, 724, 0, 0 },
    { 264771, 724, 0, 0 },
    { 264801, 725, 1, 0 },
    { 264831, 725, 0, 0 },
    { 264861, 725, 0, 0 },
    { 264890, 725, 0, 0 },
    { 264920, 725, 0, 1 },
    { 264949, 725, 0, 0 },
    { 264979, 725, 0, 0 },
    { 265008, 725, 0, 0 },
    { 265037, 725, 0, 0 },
    { 265067, 725, 0, 0 },
    { 265096, 725, 0, 0 },
    { 265126, 725, 0, 0 },
    { 265155, 725, 0, 0 },
    { 265185, 726, 1, 0 },
    { 265215, 726, 0, 0 },
    { 265244, 726, 0, 0 },
    { 265274, 726, 0, 0 },
    { 265304, 726, 0, 0 },
    { 265333, 726, 0, 0 },
    { 265362, 726, 0, 0 },
    { 265392, 726, 0, 0 },
    { 265421, 726, 0, 0 },
    { 265451, 726, 0, 0 },
    { 265480, 726, 0, 0 },
    { 265510, 726, 0, 0 },
    { 265539, 727, 1, 0 },
    { 265569, 727, 0, 0 },
    { 265598, 727, 0, 0 },
    { 265628, 727, 0, 0 },
    { 265658, 727, 0, 0 },
    { 265687, 727, 0, 0 },
    { 265717, 727, 0, 0 },
    { 265746, 727, 0, 0 },
    { 265776, 727, 0, 0 },
    { 265805, 727, 0, 0 },
    { 265835, 727, 0, 0 },
    { 265864, 727, 0, 0 },
    { 265894, 727, 0, 1 },
    { 265923, 728, 1, 0 },
    { 265953, 728, 0, 0 },
    { 265982, 728, 0, 0 },
    { 266012, 728, 0, 0 },
    { 266041, 728, 0, 0 },
    { 266071, 728, 0, 0 },
    { 266101, 728, 0, 0 },
    { 266130, 728, 0, 0 },
    { 266160, 728, 0, 0 },
    { 266189, 728, 0, 0 },
    { 266219, 728, 0, 0 },
    { 266248, 728, 0, 0 },
    { 266278, 729, 1, 0 },
    { 266307, 729, 0, 0 },
    { 266337, 729, 0, 0 },
    { 266366, 729, 0, 0 },
    { 266396, 729, 0, 0 },
    { 266425, 729, 0, 0 },
    { 266455, 729, 0, 0 },
    { 266484, 729, 0, 0 },
    { 266514, 729, 0, 0 },
    { 266544, 729, 0, 0 },
    { 266573, 729, 0, 0 },
    { 266603, 729, 0, 0 },
    { 266632, 730, 1, 0 },
    { 266662, 730, 0, 0 },
    { 266691, 730, 0, 0 },
    { 266721, 730, 0, 0 },
    { 266750, 730, 0, 0 },
    { 266779, 730, 0, 0 },
    { 266809, 730, 0, 0 },
    { 266838, 730, 0, 0 },
    { 266868, 730, 0, 0 },
    { 266898, 730, 0, 1 },
    { 266927, 730, 0, 0 },
    { 266957, 730, 0, 0 },
    { 266987, 730, 0, 0 },
    { 267016, 731, 1, 0 },
    { 267046, 731, 0, 0 },
    { 267075, 731, 0, 0 },
    { 267105, 731, 0, 0 },
    { 267134, 731, 0, 0 },
    { 267163, 731, 0, 0 },
    { 267193, 731, 0, 0 },
    { 267222, 731, 0, 0 },
    { 267252, 731, 0, 0 },
    { 267281, 731, 0, 0 },
    { 267311, 731, 0, 0 },
    { 267341, 731, 0, 0 },
    { 267371, 732, 1, 0 },
    { 267400, 732, 0, 0 },
    { 267430, 732, 0, 0 },
    { 267459, 732, 0, 0 },
    { 267489, 732, 0, 0 },
    { 267518, 732, 0, 0 },
    { 267547, 732, 0, 0 },
    { 267577, 732, 0, 0 },
    { 267606, 732, 0, 0 },
    { 267636, 732, 0, 0 },
    { 267665, 732, 0, 0 },
    { 267695, 732, 0, 0 },
    { 267725, 733, 1, 0 },
    { 267755, 733, 0, 0 },
    { 267784, 733, 0, 0 },
    { 267814, 733, 0, 0 },
    { 267843, 733, 0, 0 },
    { 267873, 733, 0, 0 },
    { 267902, 733, 0, 1 },
    { 267931, 733, 0, 0 },
    { 267961, 733, 0, 0 },
    { 267990, 733, 0, 0 },
    { 268020, 733, 0, 0 },
    { 268049, 733, 0, 0 },
    { 268079, 733, 0, 0 },
    { 268109, 734, 1, 0 },
    { 268138, 734, 0, 0 },
    { 268168, 734, 0, 0 },
    { 268198, 734, 0, 0 },
    { 268227, 734, 0, 0 },
    { 268257, 734, 0, 0 },
    { 268286, 734, 0, 0 },
    { 268315, 734, 0, 0 },
    { 268345, 734, 0, 0 },
    { 268374, 734, 0, 0 },
    { 268404, 734, 0, 0 },
    { 268433, 734, 0, 0 },
    { 268463, 735, 1, 0 },
    { 268492, 735, 0, 0 },
    { 268522, 735, 0, 0 },
    { 268552, 735, 0, 0 },
    { 268581, 735, 0, 0 },
    { 268611, 735, 0, 0 },
    { 268640, 735, 0, 0 },
    { 268670, 735, 0, 0 },
    { 268699, 735, 0, 0 },
    { 268729, 735, 0, 0 },
    { 268758, 735, 0, 0 },
    { 268788, 735, 0, 0 },
    { 268817, 736, 1, 0 },
    { 268847, 736, 0, 0 },
    { 268876, 736, 0, 1 },
    { 268906, 736, 0, 0 },
    { 268935, 736, 0, 0 },
    { 268965, 736, 0, 0 },
    { 268995, 736, 0, 0 },
    { 269024, 736, 0, 0 },
    { 269054, 736, 0, 0 },
    { 269083, 736, 0, 0 },
    { 269113, 736, 0, 0 },
    { 269142, 736, 0, 0 },
    { 269172, 736, 0, 0 },
    { 269201, 737, 1, 0 },
    { 269231, 737, 0, 0 },
    { 269260, 737, 0, 0 },
    { 269290, 737, 0, 0 },
    { 269319, 737, 0, 0 },
    { 269349, 737, 0, 0 },
    { 269378, 737, 0, 0 },
    { 269408, 737, 0, 0 },
    { 269438, 737, 0, 0 },
    { 269467, 737, 0, 0 },
    { 269497, 737, 0, 0 },
    { 269526, 737, 0, 0 },
    { 269556, 738, 1, 0 },
    { 269585, 738, 0, 0 },
    { 269615, 738, 0, 0 },
    { 269644, 738, 0, 0 },
    { 269673, 738, 0, 0 },
    { 269703, 738, 0, 0 },
    { 269732, 738, 0, 0 },
    { 269762, 738, 0, 0 },
    { 269792, 738, 0, 0 },
    { 269821, 738, 0, 0 },
    { 269851, 738, 0, 1 },
    { 269880, 738, 0, 0 },
    { 269910, 738, 0, 0 },
    { 269940, 739, 1, 0 },
    { 269969, 739, 0, 0 },
    { 269999, 739, 0, 0 },
    { 270028, 739, 0, 0 },
    { 270057, 739, 0, 0 },
    { 270087, 739, 0, 0 },
    { 270116, 739, 0, 0 },
    { 270146, 739, 0, 0 },
    { 270176, 739, 0, 0 },
    { 270205, 739, 0, 0 },
    { 270235, 739, 0, 0 },
    { 270265, 739, 0, 0 },
    { 270294, 740, 1, 0 },
    { 270324, 740, 0, 0 },
    { 270353, 740, 0, 0 },
    { 270383, 740, 0, 0 },
    { 270412, 740, 0, 0 },
    { 270441, 740, 0, 0 },
    { 270471, 740, 0, 0 },
    { 270500, 740, 0, 0 },
    { 270530, 740, 0, 0 },
    { 270559, 740, 0, 0 },
    { 270589, 740, 0, 0 },
    { 270619, 740, 0, 0 },
    { 270649, 741, 1, 0 },
    { 270678, 741, 0, 0 },
    { 270708, 741, 0, 0 },
    { 270737, 741, 0, 0 },
    { 270767, 741, 0, 0 },
    { 270796, 741, 0, 0 },
    { 270825, 741, 0, 0 },
    { 270855, 741, 0, 1 },
    { 270884, 741, 0, 0 },
    { 270913, 741, 0, 0 },
    { 270943, 741, 0, 0 },
    { 270973, 741, 0, 0 },
    { 271003, 741, 0, 0 },
    { 271032, 742, 1, 0 },
    { 271062, 742, 0, 0 },
    { 271092, 742, 0, 0 },
    { 271121, 742, 0, 0 },
    { 271151, 742, 0, 0 },
    { 271180, 742, 0, 0 },
    { 271209, 742, 0, 0 },
    { 271238, 742, 0, 0 },
    { 271268, 742, 0, 0 },
    { 271297, 742, 0, 0 },
    { 271327, 742, 0, 0 },
    { 271357, 742, 0, 0 },
    { 271386, 743, 1, 0 },
    { 271416, 743, 0, 0 },
    { 271446, 743, 0, 0 },
    { 271476, 743, 0, 0 },
    { 271505, 743, 0, 0 },
    { 271534, 743, 0, 0 },
    { 271564, 743, 0, 0 },
    { 271593, 743, 0, 0 },
    { 271623, 743, 0, 0 },
    { 271652, 743, 0, 0 },
    { 271681, 743, 0, 0 },
    { 271711, 743, 0, 0 },
    { 271741, 744, 1, 0 },
    { 271770, 744, 0, 0 },
    { 271800, 744, 0, 0 },
    { 271830, 744, 0, 0 },
    { 271859, 744, 0, 1 },
    { 271889, 744, 0, 0 },
    { 271918, 744, 0, 0 },
    { 271948, 744, 0, 0 },
    { 271977, 744, 0, 0 },
    { 272007, 744, 0, 0 },
    { 272036, 744, 0, 0 },
    { 272066, 744, 0, 0 },
    { 272095, 744, 0, 0 },
    { 272125, 745, 1, 0 },
    { 272154, 745, 0, 0 },
    { 272184, 745, 0, 0 },
    { 272213, 745, 0, 0 },
    { 272243, 745, 0, 0 },
    { 272273, 745, 0, 0 },
    { 272302, 745, 0, 0 },
    { 272332, 745, 0, 0 },
    { 272361, 745, 0, 0 },
    { 272391, 745, 0, 0 },
    { 272420, 745, 0, 0 },
    { 272450, 745, 0, 0 },
    { 272479, 746, 1, 0 },
    { 272509, 746, 0, 0 },
    { 272538, 746, 0, 0 },
    { 272567, 746, 0, 0 },
    { 272597, 746, 0, 0 },
    { 272627, 746, 0, 0 },
    { 272656, 746, 0, 0 },
    { 272686, 746, 0, 0 },
    { 272716, 746, 0, 0 },
    { 272745, 746, 0, 0 },
    { 272775, 746, 0, 0 },
    { 272804, 746, 0, 0 },
    { 272834, 746, 0, 1 },
    { 272863, 747, 1, 0 },
    { 272893, 747, 0, 0 },
    { 272922, 747, 0, 0 },
    { 272951, 747, 0, 0 },
    { 272981, 747, 0, 0 },
    { 273010, 747, 0, 0 },
    { 273040, 747, 0, 0 },
    { 273070, 747, 0, 0 },
    { 273099, 747, 0, 0 },
    { 273129, 747, 0, 0 },
    { 273159, 747, 0, 0 },
    { 273188, 747, 0, 0 },
    { 273218, 748, 1, 0 },
    { 273247, 748, 0, 0 },
    { 273277, 748, 0, 0 },
    { 273306, 748, 0, 0 },
    { 273335, 748, 0, 0 },
    { 273365, 748, 0, 0 },
    { 273394, 748, 0, 0 },
    { 273424, 748, 0, 0 },
    { 273453, 748, 0, 0 },
    { 273483, 748, 0, 0 },
    { 273513, 748, 0, 0 },
    { 273543, 748, 0, 0 },
    { 273572, 749, 1, 0 },
    { 273602, 749, 0, 0 },
    { 273631, 749, 0, 0 },
    { 273661, 749, 0, 0 },
    { 273690, 749, 0, 0 },
    { 273719, 749, 0, 0 },
    { 273749, 749, 0, 0 },
    { 273778, 749, 0, 0 },
    { 273807, 749, 0, 1 },
    { 273837, 749, 0, 0 },
    { 273867, 749, 0, 0 },
    { 273897, 749, 0, 0 },
    { 273926, 749, 0, 0 },
    { 273956, 750, 1, 0 },
    { 273986, 750, 0, 0 },
    { 274015, 750, 0, 0 },
    { 274045, 750, 0, 0 },
    { 274074, 750, 0, 0 },
    { 274103, 750, 0, 0 },
    { 274132, 750, 0, 0 },
    { 274162, 750, 0, 0 },
    { 274191, 750, 0, 0 },
    { 274221, 750, 0, 0 },
    { 274251, 750, 0, 0 },
    { 274280, 750, 0, 0 },
    { 274310, 751, 1, 0 },
    { 274340, 751, 0, 0 },
    { 274370, 751, 0, 0 },
    { 274399, 751, 0, 0 },
    { 274429, 751, 0, 0 },
    { 274458, 751, 0, 0 },
    { 274487, 751, 0, 0 },
    { 274517, 751, 0, 0 },
    { 274546, 751, 0, 0 },
    { 274575, 751, 0, 0 },
    { 274605, 751, 0, 0 },
    { 274635, 751, 0, 0 },
    { 274664, 752, 1, 0 },
    { 274694, 752, 0, 0 },
    { 274724, 752, 0, 0 },
    { 274753, 752, 0, 0 },
    { 274783, 752, 0, 0 },
    { 274812, 752, 0, 0 },
    { 274842, 752, 0, 1 },
    { 274871, 752, 0, 0 },
    { 274901, 752, 0, 0 },
    { 274930, 752, 0, 0 },
    { 274959, 752, 0, 0 },
    { 274989, 752, 0, 0 },
    { 275018, 752, 0, 0 },
    { 275048, 753, 1, 0 },
    { 275078, 753, 0, 0 },
    { 275107, 753, 0, 0 },
    { 275137, 753, 0, 0 },
    { 275167, 753, 0, 0 },
    { 275196, 753, 0, 0 },
    { 275226, 753, 0, 0 },
    { 275255, 753, 0, 0 },
    { 275285, 753, 0, 0 },
    { 275314, 753, 0, 0 },
    { 275343, 753, 0, 0 },
    { 275373, 753, 0, 0 },
    { 275402, 754, 1, 0 },
    { 275432, 754, 0, 0 },
    { 275462, 754, 0, 0 },
    { 275491, 754, 0, 0 },
    { 275521, 754, 0, 0 },
    { 275550, 754, 0, 0 },
    { 275580, 754, 0, 0 },
    { 275610, 754, 0, 0 },
    { 275639, 754, 0, 0 },
    { 275669, 754, 0, 0 },
    { 275698, 754, 0, 0 },
    { 275728, 754, 0, 0 },
    { 275757, 755, 1, 0 },
    { 275786, 755, 0, 0 },
    { 275816, 755, 0, 1 },
    { 275845, 755, 0, 0 },
    { 275875, 755, 0, 0 },
    { 275904, 755, 0, 0 },
    { 275934, 755, 0, 0 },
    { 275964, 755, 0, 0 },
    { 275993, 755, 0, 0 },
    { 276023, 755, 0, 0 },
    { 276053, 755, 0, 0 },
    { 276082, 755, 0, 0 },
    { 276112, 755, 0, 0 },
    { 276141, 756, 1, 0 },
    { 276171, 756, 0, 0 },
    { 276200, 756, 0, 0 },
    { 276229, 756, 0, 0 },
    { 276259, 756, 0, 0 },
    { 276288, 756, 0, 0 },
    { 276318, 756, 0, 0 },
    { 276347, 756, 0, 0 },
    { 276377, 756, 0, 0 },
    { 276407, 756, 0, 0 },
    { 276437, 756, 0, 0 },
    { 276466, 756, 0, 0 },
    { 276496, 757, 1, 0 },
    { 276525, 757, 0, 0 },
    { 276555, 757, 0, 0 },
    { 276584, 757, 0, 0 },
    { 276613, 757, 0, 0 },
    { 276643, 757, 0, 0 },
    { 276672, 757, 0, 0 },
    { 276701, 757, 0, 0 },
    { 276731, 757, 0, 0 },
    { 276761, 757, 0, 0 },
    { 276791, 757, 0, 1 },
    { 276820, 757, 0, 0 },
    { 276850, 757, 0, 0 },
    { 276880, 758, 1, 0 },
    { 276909, 758, 0, 0 },
    { 276939, 758, 0, 0 },
    { 276968, 758, 0, 0 },
    { 276997, 758, 0, 0 },
    { 277026, 758, 0, 0 },
    { 277056, 758, 0, 0 },
    { 277085, 758, 0, 0 },
    { 277115, 758, 0, 0 },
    { 277145, 758, 0, 0 },
    { 277174, 758, 0, 0 },
    { 277204, 758, 0, 0 },
    { 277234, 759, 1, 0 },
    { 277264, 759, 0, 0 },
    { 277293, 759, 0, 0 },
    { 277323, 759, 0, 0 },
    { 277352, 759, 0, 0 },
    { 277381, 759, 0, 0 },
    { 277410, 759, 0, 0 },
    { 277440, 759, 0, 0 },
    { 277469, 759, 0, 0 },
    { 277499, 759, 0, 0 },
    { 277528, 759, 0, 0 },
    { 277558, 759, 0, 0 },
    { 277588, 760, 1, 0 },
    { 277618, 760, 0, 0 },
    { 277647, 760, 0, 0 },
    { 277677, 760, 0, 0 },
    { 277707, 760, 0, 0 },
    { 277736, 760, 0, 0 },
    { 277765, 760, 0, 0 },
    { 277795, 760, 0, 1 },
    { 277824, 760, 0, 0 },
    { 277853, 760, 0, 0 },
    { 277883, 760, 0, 0 },
    { 277912, 760, 0, 0 },
    { 277942, 760, 0, 0 },
    { 277972, 761, 1, 0 },
    { 278001, 761, 0, 0 },
    { 278031, 761, 0, 0 },
    { 278061, 761, 0, 0 },
    { 278090, 761, 0, 0 },
    { 278120, 761, 0, 0 },
    { 278149, 761, 0, 0 },
    { 278179, 761, 0, 0 },
    { 278208, 761, 0, 0 },
    { 278237, 761, 0, 0 },
    { 278267, 761, 0, 0 },
    { 278296, 761, 0, 0 },
    { 278326, 762, 1, 0 },
    { 278356, 762, 0, 0 },
    { 278385, 762, 0, 0 },
    { 278415, 762, 0, 0 },
    { 278445, 762, 0, 0 },
    { 278474, 762, 0, 0 },
    { 278504, 762, 0, 0 },
    { 278533, 762, 0, 0 },
    { 278563, 762, 0, 0 },
    { 278592, 762, 0, 0 },
    { 278621, 762, 0, 0 },
    { 278651, 762, 0, 0 },
    { 278680, 763, 1, 0 },
    { 278710, 763, 0, 0 },
    { 278739, 763, 0, 0 },
    { 278769, 763, 0, 0 },
    { 278799, 763, 0, 1 },
    { 278828, 763, 0, 0 },
    { 278858, 763, 0, 0 },
    { 278887, 763, 0, 0 },
    { 278917, 763, 0, 0 },
    { 278947, 763, 0, 0 },
    { 278976, 763, 0, 0 },
    { 279006, 763, 0, 0 },
    { 279035, 763, 0, 0 },
    { 279064, 764, 1, 0 },
    { 279094, 764, 0, 0 },
    { 279123, 764, 0, 0 },
    { 279153, 764, 0, 0 },
    { 279182, 764, 0, 0 },
    { 279212, 764, 0, 0 },
    { 279241, 764, 0, 0 },
    { 279271, 764, 0, 0 },
    { 279301, 764, 0, 0 },
    { 279330, 764, 0, 0 },
    { 279360, 764, 0, 0 },
    { 279390, 764, 0, 0 },
    { 279419, 765, 1, 0 },
    { 279449, 765, 0, 0 },
    { 279478, 765, 0, 0 },
    { 279507, 765, 0, 0 },
    { 279537, 765, 0, 0 },
    { 279566, 765, 0, 0 },
    { 279596, 765, 0, 0 },
    { 279625, 765, 0, 0 },
    { 279655, 765, 0, 0 },
    { 279685, 765, 0, 0 },
    { 279714, 765, 0, 0 },
    { 279744, 765, 0, 0 },
    { 279774, 766, 1, 0 },
    { 279803, 766, 0, 1 },
    { 279833, 766, 0, 0 },
    { 279862, 766, 0, 0 },
    { 279891, 766, 0, 0 },
    { 279921, 766, 0, 0 },
    { 279950, 766, 0, 0 },
    { 279979, 766, 0, 0 },
    { 280009, 766, 0, 0 },
    { 280039, 766, 0, 0 },
    { 280068, 766, 0, 0 },
    { 280098, 766, 0, 0 },
    { 280128, 766, 0, 0 },
    { 280158, 767, 1, 0 },
    { 280187, 767, 0, 0 },
    { 280217, 767, 0, 0 },
    { 280246, 767, 0, 0 },
    { 280275, 767, 0, 0 },
    { 280304, 767, 0, 0 },
    { 280334, 767, 0, 0 },
    { 280363, 767, 0, 0 },
    { 280393, 767, 0, 0 },
    { 280422, 767, 0, 0 },
    { 280452, 767, 0, 0 },
    { 280482, 767, 0, 0 },
    { 280512, 768, 1, 0 },
    { 280541, 768, 0, 0 },
    { 280571, 768, 0, 0 },
    { 280601, 768, 0, 0 },
    { 280630, 768, 0, 0 },
    { 280659, 768, 0, 0 },
    { 280689, 768, 0, 0 },
    { 280718, 768, 0, 0 },
    { 280747, 768, 0, 0 },
    { 280777, 768, 0, 1 },
    { 280806, 768, 0, 0 },
    { 280836, 768, 0, 0 },
    { 280866, 768, 0, 0 },
    { 280896, 769, 1, 0 },
    { 280925, 769, 0, 0 },
    { 280955, 769, 0, 0 },
    { 280984, 769, 0, 0 },
    { 281014, 769, 0, 0 },
    { 281043, 769, 0, 0 },
    { 281073, 769, 0, 0 },
    { 281102, 769, 0, 0 },
    { 281131, 769, 0, 0 },
    { 281161, 769, 0, 0 },
    { 281190, 769, 0, 0 },
    { 281220, 769, 0, 0 },
    { 281250, 770, 1, 0 },
    { 281279, 770, 0, 0 },
    { 281309, 770, 0, 0 },
    { 281339, 770, 0, 0 },
    { 281368, 770, 0, 0 },
    { 281398, 770, 0, 0 },
    { 281427, 770, 0, 0 },
    { 281457, 770, 0, 0 },
    { 281486, 770, 0, 0 },
    { 281515, 770, 0, 0 },
    { 281545, 770, 0, 0 },
    { 281574, 770, 0, 0 },
    { 281604, 771, 1, 0 },
    { 281633, 771, 0, 0 },
    { 281663, 771, 0, 0 },
    { 281693, 771, 0, 0 },
    { 281722, 771, 0, 0 },
    { 281752, 771, 0, 0 },
    { 281782, 771, 0, 1 },
    { 281811, 771, 0, 0 },
    { 281841, 771, 0, 0 },
    { 281870, 771, 0, 0 },
    { 281899, 771, 0, 0 },
    { 281929, 771, 0, 0 },
    { 281958, 771, 0, 0 },
    { 281988, 772, 1, 0 },
    { 282017, 772, 0, 0 },
    { 282047, 772, 0, 0 },
    { 282076, 772, 0, 0 },
    { 282106, 772, 0, 0 },
    { 282136, 772, 0, 0 },
    { 282165, 772, 0, 0 },
    { 282195, 772, 0, 0 },
    { 282224, 772, 0, 0 },
    { 282254, 772, 0, 0 },
    { 282284, 772, 0, 0 },
    { 282313, 772, 0, 0 },
    { 282342, 773, 1, 0 },
    { 282372, 773, 0, 0 },
    { 282401, 773, 0, 0 },
    { 282431, 773, 0, 0 },
    { 282460, 773, 0, 0 },
    { 282490, 773, 0, 0 },
    { 282519, 773, 0, 0 },
    { 282549, 773, 0, 0 },
    { 282579, 773, 0, 0 },
    { 282608, 773, 0, 0 },
    { 282638, 773, 0, 0 },
    { 282668, 773, 0, 0 },
    { 282697, 774, 1, 0 },
    { 282727, 774, 0, 0 },
    { 282756, 774, 0, 1 },
    { 282785, 774, 0, 0 },
    { 282815, 774, 0, 0 },
    { 282844, 774, 0, 0 },
    { 282873, 774, 0, 0 },
    { 282903, 774, 0, 0 },
    { 282933, 774, 0, 0 },
    { 282962, 774, 0, 0 },
    { 282992, 774, 0, 0 },
    { 283022, 774, 0, 0 },
    { 283052, 774, 0, 0 },
    { 283081, 775, 1, 0 },
    { 283111, 775, 0, 0 },
    { 283140, 775, 0, 0 },
    { 283169, 775, 0, 0 },
    { 283199, 775, 0, 0 },
    { 283228, 775, 0, 0 },
    { 283257, 775, 0, 0 },
    { 283287, 775, 0, 0 },
    { 283316, 775, 0, 0 },
    { 283346, 775, 0, 0 },
    { 283376, 775, 0, 0 },
    { 283406, 775, 0, 0 },
    { 283435, 776, 1, 0 },
    { 283465, 776, 0, 0 },
    { 283495, 776, 0, 0 },
    { 283524, 776, 0, 0 },
    { 283553, 776, 0, 0 },
    { 283583, 776, 0, 0 },
    { 283612, 776, 0, 0 },
    { 283641, 776, 0, 0 },
    { 283671, 776, 0, 0 },
    { 283700, 776, 0, 0 },
    { 283730, 776, 0, 1 },
    { 283759, 776, 0, 0 },
    { 283789, 776, 0, 0 },
    { 283819, 777, 1, 0 },
    { 283849, 777, 0, 0 },
    { 283878, 777, 0, 0 },
    { 283908, 777, 0, 0 },
    { 283937, 777, 0, 0 },
    { 283967, 777, 0, 0 },
    { 283996, 777, 0, 0 },
    { 284025, 777, 0, 0 },
    { 284055, 777, 0, 0 },
    { 284084, 777, 0, 0 },
    { 284114, 777, 0, 0 },
    { 284144, 777, 0, 0 },
    { 284173, 778, 1, 0 },
    { 284203, 778, 0, 0 },
    { 284233, 778, 0, 0 },
    { 284262, 778, 0, 0 },
    { 284292, 778, 0, 0 },
    { 284321, 778, 0, 0 },
    { 284351, 778, 0, 0 },
    { 284380, 778, 0, 0 },
    { 284409, 778, 0, 0 },
    { 284439, 778, 0, 0 },
    { 284468, 778, 0, 0 },
    { 284498, 778, 0, 0 },
    { 284527, 779, 1, 0 },
    { 284557, 779, 0, 0 },
    { 284587, 779, 0, 0 },
    { 284616, 779, 0, 0 },
    { 284646, 779, 0, 0 },
    { 284676, 779, 0, 0 },
    { 284705, 779, 0, 0 },
    { 284735, 779, 0, 1 },
    { 284764, 779, 0, 0 },
    { 284793, 779, 0, 0 },
    { 284823, 779, 0, 0 },
    { 284852, 779, 0, 0 },
    { 284882, 779, 0, 0 },
    { 284911, 780, 1, 0 },
    { 284941, 780, 0, 0 },
    { 284971, 780, 0, 0 },
    { 285000, 780, 0, 0 },
    { 285030, 780, 0, 0 },
    { 285059, 780, 0, 0 },
    { 285089, 780, 0, 0 },
    { 285118, 780, 0, 0 },
    { 285148, 780, 0, 0 },
    { 285177, 780, 0, 0 },
    { 285207, 780, 0, 0 },
    { 285236, 780, 0, 0 },
    { 285266, 781, 1, 0 },
    { 285295, 781, 0, 0 },
    { 285325, 781, 0, 0 },
    { 285354, 781, 0, 0 },
    { 285384, 781, 0, 0 },
    { 285413, 781, 0, 0 },
    { 285443, 781, 0, 0 },
    { 285473, 781, 0, 0 },
    { 285502, 781, 0, 0 },
    { 285532, 781, 0, 0 },
    { 285561, 781, 0, 0 },
    { 285591, 781, 0, 0 },
    { 285620, 782, 1, 0 },
    { 285650, 782, 0, 0 },
    { 285679, 782, 0, 0 },
    { 285709, 782, 0, 1 },
    { 285738, 782, 0, 0 },
    { 285768, 782, 0, 0 },
    { 285797, 782, 0, 0 },
    { 285827, 782, 0, 0 },
    { 285856, 782, 0, 0 },
    { 285886, 782, 0, 0 },
    { 285916, 782, 0, 0 },
    { 285945, 782, 0, 0 },
    { 285975, 782, 0, 0 },
    { 286004, 783, 1, 0 },
    { 286034, 783, 0, 0 },
    { 286063, 783, 0, 0 },
    { 286093, 783, 0, 0 },
    { 286122, 783, 0, 0 },
    { 286151, 783, 0, 0 },
    { 286181, 783, 0, 0 },
    { 286210, 783, 0, 0 },
    { 286240, 783, 0, 0 },
    { 286270, 783, 0, 0 },
    { 286300, 783, 0, 0 },
    { 286329, 783, 0, 0 },
    { 286359, 784, 1, 0 },
    { 286389, 784, 0, 0 },
    { 286418, 784, 0, 0 },
    { 286447, 784, 0, 0 },
    { 286477, 784, 0, 0 },
    { 286506, 784, 0, 0 },
    { 286535, 784, 0, 0 },
    { 286565, 784, 0, 0 },
    { 286594, 784, 0, 0 },
    { 286624, 784, 0, 0 },
    { 286654, 784, 0, 0 },
    { 286684, 784, 0, 0 },
    { 286713, 785, 1, 0 },
    { 286743, 785, 0, 1 },
    { 286772, 785, 0, 0 },
    { 286802, 785, 0, 0 },
    { 286831, 785, 0, 0 },
    { 286861, 785, 0, 0 },
    { 286890, 785, 0, 0 },
    { 286919, 785, 0, 0 },
    { 286949, 785, 0, 0 },
    { 286978, 785, 0, 0 },
    { 287008, 785, 0, 0 },
    { 287037, 785, 0, 0 },
    { 287067, 785, 0, 0 },
    { 287097, 786, 1, 0 },
    { 287127, 786, 0, 0 },
    { 287156, 786, 0, 0 },
    { 287186, 786, 0, 0 },
    { 287215, 786, 0, 0 },
    { 287245, 786, 0, 0 },
    { 287274, 786, 0, 0 },
    { 287303, 786, 0, 0 },
    { 287333, 786, 0, 0 },
    { 287362, 786, 0, 0 },
    { 287392, 786, 0, 0 },
    { 287421, 786, 0, 0 },
    { 287451, 787, 1, 0 },
    { 287481, 787, 0, 0 },
    { 287511, 787, 0, 0 },
    { 287540, 787, 0, 0 },
    { 287570, 787, 0, 0 },
    { 287599, 787, 0, 0 },
    { 287629, 787, 0, 0 },
    { 287658, 787, 0, 0 },
    { 287687, 787, 0, 0 },
    { 287717, 787, 0, 1 },
    { 287746, 787, 0, 0 },
    { 287776, 787, 0, 0 },
    { 287805, 787, 0, 0 },
    { 287835, 788, 1, 0 },
    { 287865, 788, 0, 0 },
    { 287894, 788, 0, 0 },
    { 287924, 788, 0, 0 },
    { 287954, 788, 0, 0 },
    { 287983, 788, 0, 0 },
    { 288012, 788, 0, 0 },
    { 288042, 788, 0, 0 },
    { 288071, 788, 0, 0 },
    { 288101, 788, 0, 0 },
    { 288130, 788, 0, 0 },
    { 288160, 788, 0, 0 },
    { 288189, 789, 1, 0 },
    { 288219, 789, 0, 0 },
    { 288248, 789, 0, 0 },
    { 288278, 789, 0, 0 },
    { 288308, 789, 0, 0 },
    { 288337, 789, 0, 0 },
    { 288367, 789, 0, 0 },
    { 288396, 789, 0, 0 },
    { 288426, 789, 0, 0 },
    { 288455, 789, 0, 0 },
    { 288485, 789, 0, 0 },
    { 288514, 789, 0, 0 },
    { 288544, 790, 1, 0 },
    { 288573, 790, 0, 0 },
    { 288603, 790, 0, 0 },
    { 288632, 790, 0, 0 },
    { 288662, 790, 0, 0 },
    { 288691, 790, 0, 0 },
    { 288721, 790, 0, 1 },
    { 288751, 790, 0, 0 },
    { 288780, 790, 0, 0 },
    { 288810, 790, 0, 0 },
    { 288839, 790, 0, 0 },
    { 288869, 790, 0, 0 },
    { 288898, 790, 0, 0 },
    { 288928, 791, 1, 0 },
    { 288957, 791, 0, 0 },
    { 288987, 791, 0, 0 },
    { 289016, 791, 0, 0 },
    { 289045, 791, 0, 0 },
    { 289075, 791, 0, 0 },
    { 289105, 791, 0, 0 },
    { 289134, 791, 0, 0 },
    { 289164, 791, 0, 0 },
    { 289194, 791, 0, 0 },
    { 289223, 791, 0, 0 },
    { 289253, 791, 0, 0 },
    { 289282, 792, 1, 0 },
    { 289312, 792, 0, 0 },
    { 289341, 792, 0, 0 },
    { 289371, 792, 0, 0 },
    { 289400, 792, 0, 0 },
    { 289429, 792, 0, 0 },
    { 289459, 792, 0, 0 },
    { 289488, 792, 0, 0 },
    { 289518, 792, 0, 0 },
    { 289548, 792, 0, 0 },
    { 289577, 792, 0, 0 },
    { 289607, 792, 0, 0 },
    { 289637, 793, 1, 0 },
    { 289666, 793, 0, 0 },
    { 289696, 793, 0, 1 },
    { 289725, 793, 0, 0 },
    { 289755, 793, 0, 0 },
    { 289784, 793, 0, 0 },
    { 289813, 793, 0, 0 },
    { 289843, 793, 0, 0 },
    { 289872, 793, 0, 0 },
    { 289902, 793, 0, 0 },
    { 289931, 793, 0, 0 },
    { 289961, 793, 0, 0 },
    { 289991, 793, 0, 0 },
    { 290021, 794, 1, 0 },
    { 290050, 794, 0, 0 },
    { 290080, 794, 0, 0 },
    { 290109, 794, 0, 0 },
    { 290139, 794, 0, 0 },
    { 290168, 794, 0, 0 },
    { 290197, 794, 0, 0 },
    { 290227, 794, 0, 0 },
    { 290256, 794, 0, 0 },
    { 290286, 794, 0, 0 },
    { 290315, 794, 0, 0 },
    { 290345, 794, 0, 0 },
    { 290375, 795, 1, 0 },
    { 290405, 795, 0, 0 },
    { 290434, 795, 0, 0 },
    { 290464, 795, 0, 0 },
    { 290493, 795, 0, 0 },
    { 290523, 795, 0, 0 },
    { 290552, 795, 0, 0 },
    { 290581, 795, 0, 0 },
    { 290610, 795, 0, 0 },
    { 290640, 795, 0, 0 },
    { 290669, 795, 0, 1 },
    { 290699, 795, 0, 0 },
    { 290729, 795, 0, 0 },
    { 290759, 796, 1, 0 },
    { 290788, 796, 0, 0 },
    { 290818, 796, 0, 0 },
    { 290848, 796, 0, 0 },
    { 290877, 796, 0, 0 },
    { 290906, 796, 0, 0 },
    { 290936, 796, 0, 0 },
    { 290965, 796, 0, 0 },
    { 290995, 796, 0, 0 },
    { 291024, 796, 0, 0 },
    { 291053, 796, 0, 0 },
    { 291083, 796, 0, 0 },
    { 291113, 797, 1, 0 },
    { 291142, 797, 0, 0 },
    { 291172, 797, 0, 0 },
    { 291202, 797, 0, 0 },
    { 291231, 797, 0, 0 },
    { 291261, 797, 0, 0 },
    { 291290, 797, 0, 0 },
    { 291320, 797, 0, 0 },
    { 291349, 797, 0, 0 },
    { 291379, 797, 0, 0 },
    { 291408, 797, 0, 0 },
    { 291438, 797, 0, 0 },
    { 291467, 798, 1, 0 },
    { 291497, 798, 0, 0 },
    { 291526, 798, 0, 0 },
    { 291556, 798, 0, 0 },
    { 291585, 798, 0, 0 },
    { 291615, 798, 0, 0 },
    { 291645, 798, 0, 0 },
    { 291674, 798, 0, 1 },
    { 291703, 798, 0, 0 },
    { 291733, 798, 0, 0 },
    { 291763, 798, 0, 0 },
    { 291792, 798, 0, 0 },
    { 291822, 798, 0, 0 },
    { 291851, 799, 1, 0 },
    { 291881, 799, 0, 0 },
    { 291910, 799, 0, 0 },
    { 291940, 799, 0, 0 },
    { 291969, 799, 0, 0 },
    { 291999, 799, 0, 0 },
    { 292028, 799, 0, 0 },
    { 292058, 799, 0, 0 },
    { 292088, 799, 0, 0 },
    { 292117, 799, 0, 0 },
    { 292147, 799, 0, 0 },
    { 292176, 799, 0, 0 },
    { 292206, 800, 1, 0 },
    { 292235, 800, 0, 0 },
    { 292265, 800, 0, 0 },
    { 292294, 800, 0, 0 },
    { 292323, 800, 0, 0 },
    { 292353, 800, 0, 0 },
    { 292382, 800, 0, 0 },
    { 292412, 800, 0, 0 },
    { 292442, 800, 0, 0 },
    { 292471, 800, 0, 0 },
    { 292501, 800, 0, 0 },
    { 292531, 800, 0, 0 },
    { 292560, 801, 1, 0 },
    { 292590, 801, 0, 0 },
    { 292619, 801, 0, 0 },
    { 292649, 801, 0, 0 },
    { 292678, 801, 0, 1 },
    { 292707, 801, 0, 0 },
    { 292737, 801, 0, 0 },
    { 292766, 801, 0, 0 },
    { 292796, 801, 0, 0 },
    { 292825, 801, 0, 0 },
    { 292855, 801, 0, 0 },
    { 292885, 801, 0, 0 },
    { 292915, 801, 0, 0 },
    { 292944, 802, 1, 0 },
    { 292974, 802, 0, 0 },
    { 293003, 802, 0, 0 },
    { 293033, 802, 0, 0 },
    { 293062, 802, 0, 0 },
    { 293091, 802, 0, 0 },
    { 293121, 802, 0, 0 },
    { 293150, 802, 0, 0 },
    { 293180, 802, 0, 0 },
    { 293209, 802, 0, 0 },
    { 293239, 802, 0, 0 },
    { 293269, 802, 0, 0 },
    { 293299, 803, 1, 0 },
    { 293328, 803, 0, 0 },
    { 293358, 803, 0, 0 },
    { 293387, 803, 0, 0 },
    { 293417, 803, 0, 0 },
    { 293446, 803, 0, 0 },
    { 293475, 803, 0, 0 },
    { 293504, 803, 0, 0 },
    { 293534, 803, 0, 0 },
    { 293563, 803, 0, 0 },
    { 293593, 803, 0, 0 },
    { 293623, 803, 0, 0 },
    { 293653, 803, 0, 1 },
    { 293682, 804, 1, 0 },
    { 293712, 804, 0, 0 },
    { 293742, 804, 0, 0 },
    { 293771, 804, 0, 0 },
    { 293801, 804, 0, 0 },
    { 293830, 804, 0, 0 },
    { 293859, 804, 0, 0 },
    { 293888, 804, 0, 0 },
    { 293918, 804, 0, 0 },
    { 293947, 804, 0, 0 },
    { 293977, 804, 0, 0 },
    { 294007, 804, 0, 0 },
    { 294036, 805, 1, 0 },
    { 294066, 805, 0, 0 },
    { 294096, 805, 0, 0 },
    { 294125, 805, 0, 0 },
    { 294155, 805, 0, 0 },
    { 294184, 805, 0, 0 },
    { 294214, 805, 0, 0 },
    { 294243, 805, 0, 0 },
    { 294273, 805, 0, 0 },
    { 294302, 805, 0, 0 },
    { 294331, 805, 0, 0 },
    { 294361, 805, 0, 0 },
    { 294391, 806, 1, 0 },
    { 294420, 806, 0, 0 },
    { 294450, 806, 0, 0 },
    { 294480, 806, 0, 0 },
    { 294509, 806, 0, 0 },
    { 294539, 806, 0, 0 },
    { 294568, 806, 0, 0 },
    { 294598, 806, 0, 0 },
    { 294627, 806, 0, 0 },
    { 294657, 806, 0, 1 },
    { 294686, 806, 0, 0 },
    { 294715, 806, 0, 0 },
    { 294745, 806, 0, 0 },
    { 294775, 807, 1, 0 },
    { 294804, 807, 0, 0 },
    { 294834, 807, 0, 0 },
    { 294863, 807, 0, 0 },
    { 294893, 807, 0, 0 },
    { 294922, 807, 0, 0 },
    { 294952, 807, 0, 0 },
    { 294982, 807, 0, 0 },
    { 295011, 807, 0, 0 },
    { 295041, 807, 0, 0 },
    { 295070, 807, 0, 0 },
    { 295100, 807, 0, 0 },
    { 295129, 808, 1, 0 },
    { 295158, 808, 0, 0 },
    { 295188, 808, 0, 0 },
    { 295217, 808, 0, 0 },
    { 295247, 808, 0, 0 },
    { 295277, 808, 0, 0 },
    { 295306, 808, 0, 0 },
    { 295336, 808, 0, 0 },
    { 295365, 808, 0, 0 },
    { 295395, 808, 0, 0 },
    { 295425, 808, 0, 0 },
    { 295454, 808, 0, 0 },
    { 295484, 809, 1, 0 },
    { 295513, 809, 0, 0 },
    { 295543, 809, 0, 0 },
    { 295572, 809, 0, 0 },
    { 295601, 809, 0, 0 },
    { 295631, 809, 0, 1 },
    { 295660, 809, 0, 0 },
    { 295690, 809, 0, 0 },
    { 295720, 809, 0, 0 },
    { 295749, 809, 0, 0 },
    { 295779, 809, 0, 0 },
    { 295809, 809, 0, 0 },
    { 295838, 809, 0, 0 },
    { 295868, 810, 1, 0 },
    { 295897, 810, 0, 0 },
    { 295927, 810, 0, 0 },
    { 295956, 810, 0, 0 },
    { 295985, 810, 0, 0 },
    { 296015, 810, 0, 0 },
    { 296044, 810, 0, 0 },
    { 296074, 810, 0, 0 },
    { 296103, 810, 0, 0 },
    { 296133, 810, 0, 0 },
    { 296163, 810, 0, 0 },
    { 296193, 810, 0, 0 },
    { 296222, 811, 1, 0 },
    { 296252, 811, 0, 0 },
    { 296281, 811, 0, 0 },
    { 296311, 811, 0, 0 },
    { 296340, 811, 0, 0 },
    { 296369, 811, 0, 0 },
    { 296398, 811, 0, 0 },
    { 296428, 811, 0, 0 },
    { 296457, 811, 0, 0 },
    { 296487, 811, 0, 0 },
    { 296517, 811, 0, 0 },
    { 296547, 811, 0, 0 },
    { 296576, 812, 1, 0 },
    { 296606, 812, 0, 0 },
    { 296636, 812, 0, 0 },
    { 296665, 812, 0, 1 },
    { 296695, 812, 0, 0 },
    { 296724, 812, 0, 0 },
    { 296753, 812, 0, 0 },
    { 296782, 812, 0, 0 },
    { 296812, 812, 0, 0 },
    { 296841, 812, 0, 0 },
    { 296871, 812, 0, 0 },
    { 296901, 812, 0, 0 },
    { 296930, 812, 0, 0 },
    { 296960, 813, 1, 0 },
    { 296990, 813, 0, 0 },
    { 297020, 813, 0, 0 },
    { 297049, 813, 0, 0 },
    { 297079, 813, 0, 0 },
    { 297108, 813, 0, 0 },
    { 297137, 813, 0, 0 },
    { 297166, 813, 0, 0 },
    { 297196, 813, 0, 0 },
    { 297225, 813, 0, 0 },
    { 297255, 813, 0, 0 },
    { 297285, 813, 0, 0 },
    { 297314, 814, 1, 0 },
    { 297344, 814, 0, 0 },
    { 297374, 814, 0, 0 },
    { 297403, 814, 0, 0 },
    { 297433, 814, 0, 0 },
    { 297462, 814, 0, 0 },
    { 297492, 814, 0, 0 },
    { 297521, 814, 0, 0 },
    { 297551, 814, 0, 0 },
    { 297580, 814, 0, 0 },
    { 297609, 814, 0, 1 },
    { 297638, 814, 0, 0 },
    { 297668, 814, 0, 0 },
    { 297698, 815, 1, 0 },
    { 297728, 815, 0, 0 },
    { 297757, 815, 0, 0 },
    { 297787, 815, 0, 0 },
    { 297817, 815, 0, 0 },
    { 297846, 815, 0, 0 },
    { 297876, 815, 0, 0 },
    { 297905, 815, 0, 0 },
    { 297935, 815, 0, 0 },
    { 297964, 815, 0, 0 },
    { 297993, 815, 0, 0 },
    { 298023, 815, 0, 0 },
    { 298052, 816, 1, 0 },
    { 298082, 816, 0, 0 },
    { 298112, 816, 0, 0 },
    { 298141, 816, 0, 0 },
    { 298171, 816, 0, 0 },
    { 298200, 816, 0, 0 },
    { 298230, 816, 0, 0 },
    { 298260, 816, 0, 0 },
    { 298289, 816, 0, 0 },
    { 298319, 816, 0, 0 },
    { 298348, 816, 0, 0 },
    { 298378, 816, 0, 0 },
    { 298407, 817, 1, 0 },
    { 298436, 817, 0, 0 },
    { 298466, 817, 0, 0 },
    { 298495, 817, 0, 0 },
    { 298525, 817, 0, 0 },
    { 298554, 817, 0, 0 },
    { 298584, 817, 0, 0 },
    { 298614, 817, 0, 1 },
    { 298643, 817, 0, 0 },
    { 298673, 817, 0, 0 },
    { 298703, 817, 0, 0 },
    { 298732, 817, 0, 0 },
    { 298762, 817, 0, 0 },
    { 298791, 818, 1, 0 },
    { 298820, 818, 0, 0 },
    { 298850, 818, 0, 0 },
    { 298879, 818, 0, 0 },
    { 298909, 818, 0, 0 },
    { 298938, 818, 0, 0 },
    { 298968, 818, 0, 0 },
    { 298997, 818, 0, 0 },
    { 299027, 818, 0, 0 },
    { 299057, 818, 0, 0 },
    { 299087, 818, 0, 0 },
    { 299116, 818, 0, 0 },
    { 299146, 819, 1, 0 },
    { 299175, 819, 0, 0 },
    { 299205, 819, 0, 0 },
    { 299234, 819, 0, 0 },
    { 299263, 819, 0, 0 },
    { 299293, 819, 0, 0 },
    { 299322, 819, 0, 0 },
    { 299351, 819, 0, 0 },
    { 299381, 819, 0, 0 },
    { 299411, 819, 0, 0 },
    { 299441, 819, 0, 0 },
    { 299470, 819, 0, 0 },
    { 299500, 820, 1, 0 },
    { 299530, 820, 0, 0 },
    { 299559, 820, 0, 0 },
    { 299589, 820, 0, 0 },
    { 299618, 820, 0, 1 },
    { 299647, 820, 0, 0 },
    { 299676, 820, 0, 0 },
    { 299706, 820, 0, 0 },
    { 299735, 820, 0, 0 },
    { 299765, 820, 0, 0 },
    { 299795, 820, 0, 0 },
    { 299824, 820, 0, 0 },
    { 299854, 820, 0, 0 },
    { 299884, 821, 1, 0 },
    { 299914, 821, 0, 0 },
    { 299943, 821, 0, 0 },
    { 299973, 821, 0, 0 },
    { 300002, 821, 0, 0 },
    { 300031, 821, 0, 0 },
    { 300060, 821, 0, 0 },
    { 300090, 821, 0, 0 },
    { 300119, 821, 0, 0 },
    { 300149, 821, 0, 0 },
    { 300178, 821, 0, 0 },
    { 300208, 821, 0, 0 },
    { 300238, 822, 1, 0 },
    { 300268, 822, 0, 0 },
    { 300297, 822, 0, 0 },
    { 300327, 822, 0, 0 },
    { 300356, 822, 0, 0 },
    { 300386, 822, 0, 0 },
    { 300415, 822, 0, 0 },
    { 300444, 822, 0, 0 },
    { 300474, 822, 0, 0 },
    { 300503, 822, 0, 0 },
    { 300533, 822, 0, 0 },
    { 300562, 822, 0, 0 },
    { 300592, 823, 1, 0 },
    { 300622, 823, 0, 1 },
    { 300651, 823, 0, 0 },
    { 300681, 823, 0, 0 },
    { 300711, 823, 0, 0 },
    { 300740, 823, 0, 0 },
    { 300770, 823, 0, 0 },
    { 300799, 823, 0, 0 },
    { 300829, 823, 0, 0 },
    { 300858, 823, 0, 0 },
    { 300887, 823, 0, 0 },
    { 300917, 823, 0, 0 },
    { 300946, 823, 0, 0 },
    { 300976, 824, 1, 0 },
    { 301006, 824, 0, 0 },
    { 301035, 824, 0, 0 },
    { 301065, 824, 0, 0 },
    { 301094, 824, 0, 0 },
    { 301124, 824, 0, 0 },
    { 301154, 824, 0, 0 },
    { 301183, 824, 0, 0 },
    { 301213, 824, 0, 0 },
    { 301242, 824, 0, 0 },
    { 301271, 824, 0, 0 },
    { 301301, 824, 0, 0 },
    { 301330, 825, 1, 0 },
    { 301360, 825, 0, 0 },
    { 301389, 825, 0, 0 },
    { 301419, 825, 0, 0 },
    { 301449, 825, 0, 0 },
    { 301478, 825, 0, 0 },
    { 301508, 825, 0, 0 },
    { 301537, 825, 0, 0 },
    { 301567, 825, 0, 0 },
    { 301597, 825, 0, 1 },
    { 301626, 825, 0, 0 },
    { 301655, 825, 0, 0 },
    { 301685, 825, 0, 0 },
    { 301714, 826, 1, 0 },
    { 301744, 826, 0, 0 },
    { 301773, 826, 0, 0 },
    { 301803, 826, 0, 0 },
    { 301832, 826, 0, 0 },
    { 301862, 826, 0, 0 },
    { 301891, 826, 0, 0 },
    { 301921, 826, 0, 0 },
    { 301951, 826, 0, 0 },
    { 301980, 826, 0, 0 },
    { 302010, 826, 0, 0 },
    { 302040, 826, 0, 0 },
    { 302069, 827, 1, 0 },
    { 302098, 827, 0, 0 },
    { 302128, 827, 0, 0 },
    { 302157, 827, 0, 0 },
    { 302187, 827, 0, 0 },
    { 302216, 827, 0, 0 },
    { 302246, 827, 0, 0 },
    { 302275, 827, 0, 0 },
    { 302305, 827, 0, 0 },
    { 302335, 827, 0, 0 },
    { 302364, 827, 0, 0 },
    { 302394, 827, 0, 0 },
    { 302424, 828, 1, 0 },
    { 302453, 828, 0, 0 },
    { 302483, 828, 0, 0 },
    { 302512, 828, 0, 0 },
    { 302541, 828, 0, 0 },
    { 302570, 828, 0, 1 },
    { 302600, 828, 0, 0 },
    { 302629, 828, 0, 0 },
    { 302659, 828, 0, 0 },
    { 302689, 828, 0, 0 },
    { 302718, 828, 0, 0 },
    { 302748, 828, 0, 0 },
    { 302778, 828, 0, 0 },
    { 302808, 829, 1, 0 },
    { 302837, 829, 0, 0 },
    { 302867, 829, 0, 0 },
    { 302896, 829, 0, 0 },
    { 302925, 829, 0, 0 },
    { 302954, 829, 0, 0 },
    { 302984, 829, 0, 0 },
    { 303013, 829, 0, 0 },
    { 303043, 829, 0, 0 },
    { 303072, 829, 0, 0 },
    { 303102, 829, 0, 0 },
    { 303132, 829, 0, 0 },
    { 303162, 830, 1, 0 },
    { 303191, 830, 0, 0 },
    { 303221, 830, 0, 0 },
    { 303251, 830, 0, 0 },
    { 303280, 830, 0, 0 },
    { 303309, 830, 0, 0 },
    { 303338, 830, 0, 0 },
    { 303368, 830, 0, 0 },
    { 303397, 830, 0, 0 },
    { 303427, 830, 0, 0 },
    { 303456, 830, 0, 0 },
    { 303486, 830, 0, 0 },
    { 303516, 831, 1, 0 },
    { 303546, 831, 0, 0 },
    { 303575, 831, 0, 0 },
    { 303605, 831, 0, 1 },
    { 303634, 831, 0, 0 },
    { 303664, 831, 0, 0 },
    { 303693, 831, 0, 0 },
    { 303722, 831, 0, 0 },
    { 303752, 831, 0, 0 },
    { 303781, 831, 0, 0 },
    { 303811, 831, 0, 0 },
    { 303840, 831, 0, 0 },
    { 303870, 831, 0, 0 },
    { 303900, 832, 1, 0 },
    { 303929, 832, 0, 0 },
    { 303959, 832, 0, 0 },
    { 303989, 832, 0, 0 },
    { 304018, 832, 0, 0 },
    { 304048, 832, 0, 0 },
    { 304077, 832, 0, 0 },
    { 304107, 832, 0, 0 },
    { 304136, 832, 0, 0 },
    { 304165, 832, 0, 0 },
    { 304195, 832, 0, 0 },
    { 304224, 832, 0, 0 },
    { 304254, 833, 1, 0 },
    { 304283, 833, 0, 0 },
    { 304313, 833, 0, 0 },
    { 304343, 833, 0, 0 },
    { 304372, 833, 0, 0 },
    { 304402, 833, 0, 0 },
    { 304431, 833, 0, 0 },
    { 304461, 833, 0, 0 },
    { 304490, 833, 0, 0 },
    { 304520, 833, 0, 0 },
    { 304549, 833, 0, 1 },
    { 304578, 833, 0, 0 },
    { 304608, 833, 0, 0 },
    { 304638, 834, 1, 0 },
    { 304667, 834, 0, 0 },
    { 304697, 834, 0, 0 },
    { 304726, 834, 0, 0 },
    { 304756, 834, 0, 0 },
    { 304786, 834, 0, 0 },
    { 304815, 834, 0, 0 },
    { 304845, 834, 0, 0 },
    { 304874, 834, 0, 0 },
    { 304904, 834, 0, 0 },
    { 304933, 834, 0, 0 },
    { 304963, 834, 0, 0 },
    { 304992, 835, 1, 0 },
    { 305022, 835, 0, 0 },
    { 305051, 835, 0, 0 },
    { 305081, 835, 0, 0 },
    { 305110, 835, 0, 0 },
    { 305140, 835, 0, 0 },
    { 305169, 835, 0, 0 },
    { 305199, 835, 0, 0 },
    { 305229, 835, 0, 0 },
    { 305258, 835, 0, 0 },
    { 305288, 835, 0, 0 },
    { 305318, 835, 0, 0 },
    { 305347, 836, 1, 0 },
    { 305376, 836, 0, 0 },
    { 305406, 836, 0, 0 },
    { 305435, 836, 0, 0 },
    { 305465, 836, 0, 0 },
    { 305494, 836, 0, 0 },
    { 305523, 836, 0, 0 },
    { 305553, 836, 0, 1 },
    { 305583, 836, 0, 0 },
    { 305612, 836, 0, 0 },
    { 305642, 836, 0, 0 },
    { 305672, 836, 0, 0 },
    { 305702, 836, 0, 0 },
    { 305731, 837, 1, 0 },
    { 305761, 837, 0, 0 },
    { 305790, 837, 0, 0 },
    { 305819, 837, 0, 0 },
    { 305848, 837, 0, 0 },
    { 305878, 837, 0, 0 },
    { 305907, 837, 0, 0 },
    { 305937, 837, 0, 0 },
    { 305966, 837, 0, 0 },
    { 305996, 837, 0, 0 },
    { 306026, 837, 0, 0 },
    { 306056, 837, 0, 0 },
    { 306085, 838, 1, 0 },
    { 306115, 838, 0, 0 },
    { 306145, 838, 0, 0 },
    { 306174, 838, 0, 0 },
    { 306203, 838, 0, 0 },
    { 306232, 838, 0, 0 },
    { 306262, 838, 0, 0 },
    { 306291, 838, 0, 0 },
    { 306321, 838, 0, 0 },
    { 306350, 838, 0, 0 },
    { 306380, 838, 0, 0 },
    { 306410, 838, 0, 0 },
    { 306440, 839, 1, 0 },
    { 306469, 839, 0, 0 },
    { 306499, 839, 0, 0 },
    { 306528, 839, 0, 0 },
    { 306558, 839, 0, 1 },
    { 306587, 839, 0, 0 },
    { 306616, 839, 0, 0 },
    { 306646, 839, 0, 0 },
    { 306675, 839, 0, 0 },
    { 306705, 839, 0, 0 },
    { 306734, 839, 0, 0 },
    { 306764, 839, 0, 0 },
    { 306794, 839, 0, 0 },
    { 306823, 840, 1, 0 },
    { 306853, 840, 0, 0 },
    { 306883, 840, 0, 0 },
    { 306912, 840, 0, 0 },
    { 306942, 840, 0, 0 },
    { 306971, 840, 0, 0 },
    { 307000, 840, 0, 0 },
    { 307030, 840, 0, 0 },
    { 307059, 840, 0, 0 },
    { 307089, 840, 0, 0 },
    { 307118, 840, 0, 0 },
    { 307148, 840, 0, 0 },
    { 307177, 841, 1, 0 },
    { 307207, 841, 0, 0 },
    { 307237, 841, 0, 0 },
    { 307266, 841, 0, 0 },
    { 307296, 841, 0, 0 },
    { 307326, 841, 0, 0 },
    { 307355, 841, 0, 0 },
    { 307384, 841, 0, 0 },
    { 307414, 841, 0, 0 },
    { 307443, 841, 0, 0 },
    { 307473, 841, 0, 0 },
    { 307502, 841, 0, 0 },
    { 307532, 841, 0, 1 },
    { 307561, 842, 1, 0 },
    { 307591, 842, 0, 0 },
    { 307620, 842, 0, 0 },
    { 307650, 842, 0, 0 },
    { 307680, 842, 0, 0 },
    { 307709, 842, 0, 0 },
    { 307739, 842, 0, 0 },
    { 307768, 842, 0, 0 },
    { 307798, 842, 0, 0 },
    { 307827, 842, 0, 0 },
    { 307857, 842, 0, 0 },
    { 307886, 842, 0, 0 },
    { 307916, 843, 1, 0 },
    { 307945, 843, 0, 0 },
    { 307975, 843, 0, 0 },
    { 308004, 843, 0, 0 },
    { 308034, 843, 0, 0 },
    { 308063, 843, 0, 0 },
    { 308093, 843, 0, 0 },
    { 308123, 843, 0, 0 },
    { 308152, 843, 0, 0 },
    { 308182, 843, 0, 0 },
    { 308211, 843, 0, 0 },
    { 308241, 843, 0, 0 },
    { 308270, 844, 1, 0 },
    { 308300, 844, 0, 0 },
    { 308329, 844, 0, 0 },
    { 308359, 844, 0, 0 },
    { 308388, 844, 0, 0 },
    { 308418, 844, 0, 0 },
    { 308447, 844, 0, 0 },
    { 308477, 844, 0, 0 },
    { 308506, 844, 0, 0 },
    { 308536, 844, 0, 0 },
    { 308566, 844, 0, 1 },
    { 308595, 844, 0, 0 },
    { 308625, 844, 0, 0 },
    { 308654, 845, 1, 0 },
    { 308684, 845, 0, 0 },
    { 308713, 845, 0, 0 },
    { 308743, 845, 0, 0 },
    { 308772, 845, 0, 0 },
    { 308801, 845, 0, 0 },
    { 308831, 845, 0, 0 },
    { 308860, 845, 0, 0 },
    { 308890, 845, 0, 0 },
    { 308920, 845, 0, 0 },
    { 308950, 845, 0, 0 },
    { 308979, 845, 0, 0 },
    { 309009, 846, 1, 0 },
    { 309039, 846, 0, 0 },
    { 309068, 846, 0, 0 },
    { 309097, 846, 0, 0 },
    { 309126, 846, 0, 0 },
    { 309156, 846, 0, 0 },
    { 309185, 846, 0, 0 },
    { 309215, 846, 0, 0 },
    { 309244, 846, 0, 0 },
    { 309274, 846, 0, 0 },
    { 309304, 846, 0, 0 },
    { 309334, 846, 0, 0 },
    { 309363, 847, 1, 0 },
    { 309393, 847, 0, 0 },
    { 309422, 847, 0, 0 },
    { 309452, 847, 0, 0 },
    { 309481, 847, 0, 0 },
    { 309510, 847, 0, 0 },
    { 309540, 847, 0, 1 },
    { 309569, 847, 0, 0 },
    { 309599, 847, 0, 0 },
    { 309628, 847, 0, 0 },
    { 309658, 847, 0, 0 },
    { 309687, 847, 0, 0 },
    { 309717, 847, 0, 0 },
    { 309747, 848, 1, 0 },
    { 309777, 848, 0, 0 },
    { 309806, 848, 0, 0 },
    { 309836, 848, 0, 0 },
    { 309865, 848, 0, 0 },
    { 309895, 848, 0, 0 },
    { 309924, 848, 0, 0 },
    { 309953, 848, 0, 0 },
    { 309982, 848, 0, 0 },
    { 310012, 848, 0, 0 },
    { 310042, 848, 0, 0 },
    { 310071, 848, 0, 0 },
    { 310101, 849, 1, 0 },
    { 310131, 849, 0, 0 },
    { 310161, 849, 0, 0 },
    { 310190, 849, 0, 0 },
    { 310220, 849, 0, 0 },
    { 310249, 849, 0, 0 },
    { 310278, 849, 0, 0 },
    { 310308, 849, 0, 0 },
    { 310337, 849, 0, 0 },
    { 310367, 849, 0, 0 },
    { 310396, 849, 0, 0 },
    { 310426, 849, 0, 0 },
    { 310455, 850, 1, 0 },
    { 310485, 850, 0, 0 },
    { 310515, 850, 0, 1 },
    { 310544, 850, 0, 0 },
    { 310574, 850, 0, 0 },
    { 310603, 850, 0, 0 },
    { 310633, 850, 0, 0 },
    { 310662, 850, 0, 0 },
    { 310692, 850, 0, 0 },
    { 310721, 850, 0, 0 },
    { 310751, 850, 0, 0 },
    { 310780, 850, 0, 0 },
    { 310810, 850, 0, 0 },
    { 310839, 851, 1, 0 },
    { 310869, 851, 0, 0 },
    { 310898, 851, 0, 0 },
    { 310928, 851, 0, 0 },
    { 310958, 851, 0, 0 },
    { 310987, 851, 0, 0 },
    { 311017, 851, 0, 0 },
    { 311046, 851, 0, 0 },
    { 311076, 851, 0, 0 },
    { 311105, 851, 0, 0 },
    { 311135, 851, 0, 0 },
    { 311164, 851, 0, 0 },
    { 311194, 852, 1, 0 },
    { 311223, 852, 0, 0 },
    { 311253, 852, 0, 0 },
    { 311282, 852, 0, 0 },
    { 311312, 852, 0, 0 },
    { 311341, 852, 0, 0 },
    { 311371, 852, 0, 0 },
    { 311401, 852, 0, 0 },
    { 311430, 852, 0, 0 },
    { 311460, 852, 0, 0 },
    { 311489, 852, 0, 1 },
    { 311518, 852, 0, 0 },
    { 311548, 852, 0, 0 },
    { 311578, 853, 1, 0 },
    { 311607, 853, 0, 0 },
    { 311637, 853, 0, 0 },
    { 311666, 853, 0, 0 },
    { 311695, 853, 0, 0 },
    { 311725, 853, 0, 0 },
    { 311755, 853, 0, 0 },
    { 311784, 853, 0, 0 },
    { 311814, 853, 0, 0 },
    { 311844, 853, 0, 0 },
    { 311873, 853, 0, 0 },
    { 311903, 853, 0, 0 },
    { 311932, 854, 1, 0 },
    { 311962, 854, 0, 0 },
    { 311991, 854, 0, 0 },
    { 312020, 854, 0, 0 },
    { 312050, 854, 0, 0 },
    { 312079, 854, 0, 0 },
    { 312109, 854, 0, 0 },
    { 312138, 854, 0, 0 },
    { 312168, 854, 0, 0 },
    { 312198, 854, 0, 0 },
    { 312227, 854, 0, 0 },
    { 312257, 854, 0, 0 },
    { 312287, 855, 1, 0 },
    { 312316, 855, 0, 0 },
    { 312346, 855, 0, 0 },
    { 312375, 855, 0, 0 },
    { 312405, 855, 0, 0 },
    { 312434, 855, 0, 0 },
    { 312463, 855, 0, 0 },
    { 312493, 855, 0, 1 },
    { 312522, 855, 0, 0 },
    { 312552, 855, 0, 0 },
    { 312581, 855, 0, 0 },
    { 312611, 855, 0, 0 },
    { 312641, 855, 0, 0 },
    { 312671, 856, 1, 0 },
    { 312700, 856, 0, 0 },
    { 312730, 856, 0, 0 },
    { 312759, 856, 0, 0 },
    { 312789, 856, 0, 0 },
    { 312818, 856, 0, 0 },
    { 312847, 856, 0, 0 },
    { 312876, 856, 0, 0 },
    { 312906, 856, 0, 0 },
    { 312936, 856, 0, 0 },
    { 312965, 856, 0, 0 },
    { 312995, 856, 0, 0 },
    { 313025, 857, 1, 0 },
    { 313055, 857, 0, 0 },
    { 313084, 857, 0, 0 },
    { 313114, 857, 0, 0 },
    { 313143, 857, 0, 0 },
    { 313173, 857, 0, 0 },
    { 313202, 857, 0, 0 },
    { 313231, 857, 0, 0 },
    { 313260, 857, 0, 0 },
    { 313290, 857, 0, 0 },
    { 313319, 857, 0, 0 },
    { 313349, 857, 0, 0 },
    { 313379, 858, 1, 0 },
    { 313409, 858, 0, 0 },
    { 313438, 858, 0, 0 },
    { 313468, 858, 0, 0 },
    { 313498, 858, 0, 1 },
    { 313527, 858, 0, 0 },
    { 313556, 858, 0, 0 },
    { 313586, 858, 0, 0 },
    { 313615, 858, 0, 0 },
    { 313645, 858, 0, 0 },
    { 313674, 858, 0, 0 },
    { 313703, 858, 0, 0 },
    { 313733, 858, 0, 0 },
    { 313763, 859, 1, 0 },
    { 313792, 859, 0, 0 },
    { 313822, 859, 0, 0 },
    { 313852, 859, 0, 0 },
    { 313881, 859, 0, 0 },
    { 313911, 859, 0, 0 },
    { 313940, 859, 0, 0 },
    { 313970, 859, 0, 0 },
    { 313999, 859, 0, 0 },
    { 314029, 859, 0, 0 },
    { 314058, 859, 0, 0 },
    { 314088, 859, 0, 0 },
    { 314117, 860, 1, 0 },
    { 314147, 860, 0, 0 },
    { 314176, 860, 0, 0 },
    { 314206, 860, 0, 0 },
    { 314235, 860, 0, 0 },
    { 314265, 860, 0, 0 },
    { 314295, 860, 0, 0 },
    { 314324, 860, 0, 0 },
    { 314354, 860, 0, 0 },
    { 314383, 860, 0, 0 },
    { 314413, 860, 0, 0 },
    { 314442, 860, 0, 0 },
    { 314472, 860, 0, 1 },
    { 314501, 861, 1, 0 },
    { 314531, 861, 0, 0 },
    { 314560, 861, 0, 0 },
    { 314590, 861, 0, 0 },
    { 314619, 861, 0, 0 },
    { 314649, 861, 0, 0 },
    { 314678, 861, 0, 0 },
    { 314708, 861, 0, 0 },
    { 314738, 861, 0, 0 },
    { 314767, 861, 0, 0 },
    { 314797, 861, 0, 0 },
    { 314826, 861, 0, 0 },
    { 314856, 862, 1, 0 },
    { 314885, 862, 0, 0 },
    { 314914, 862, 0, 0 },
    { 314944, 862, 0, 0 },
    { 314973, 862, 0, 0 },
    { 315003, 862, 0, 0 },
    { 315032, 862, 0, 0 },
    { 315062, 862, 0, 0 },
    { 315092, 862, 0, 0 },
    { 315121, 862, 0, 0 },
    { 315151, 862, 0, 0 },
    { 315181, 862, 0, 0 },
    { 315210, 863, 1, 0 },
    { 315240, 863, 0, 0 },
    { 315269, 863, 0, 0 },
    { 315298, 863, 0, 0 },
    { 315328, 863, 0, 0 },
    { 315357, 863, 0, 0 },
    { 315387, 863, 0, 0 },
    { 315416, 863, 0, 0 },
    { 315446, 863, 0, 1 },
    { 315475, 863, 0, 0 },
    { 315505, 863, 0, 0 },
    { 315534, 863, 0, 0 },
    { 315564, 863, 0, 0 },
    { 315594, 864, 1, 0 },
    { 315624, 864, 0, 0 },
    { 315653, 864, 0, 0 },
    { 315683, 864, 0, 0 },
    { 315712, 864, 0, 0 },
    { 315741, 864, 0, 0 },
    { 315770, 864, 0, 0 },
    { 315800, 864, 0, 0 },
    { 315830, 864, 0, 0 },
    { 315859, 864, 0, 0 },
    { 315889, 864, 0, 0 },
    { 315919, 864, 0, 0 },
    { 315949, 865, 1, 0 },
    { 315978, 865, 0, 0 },
    { 316008, 865, 0, 0 },
    { 316037, 865, 0, 0 },
    { 316067, 865, 0, 0 },
    { 316096, 865, 0, 0 },
    { 316125, 865, 0, 0 },
    { 316154, 865, 0, 0 },
    { 316184, 865, 0, 0 },
    { 316213, 865, 0, 0 },
    { 316243, 865, 0, 0 },
    { 316273, 865, 0, 0 },
    { 316303, 866, 1, 0 },
    { 316332, 866, 0, 0 },
    { 316362, 866, 0, 0 },
    { 316392, 866, 0, 0 },
    { 316421, 866, 0, 0 },
    { 316450, 866, 0, 0 },
    { 316480, 866, 0, 1 },
    { 316509, 866, 0, 0 },
    { 316538, 866, 0, 0 },
    { 316568, 866, 0, 0 },
    { 316597, 866, 0, 0 },
    { 316627, 866, 0, 0 },
    { 316657, 866, 0, 0 },
    { 316686, 867, 1, 0 },
    { 316716, 867, 0, 0 },
    { 316746, 867, 0, 0 },
    { 316775, 867, 0, 0 },
    { 316805, 867, 0, 0 },
    { 316834, 867, 0, 0 },
    { 316864, 867, 0, 0 },
    { 316893, 867, 0, 0 },
    { 316923, 867, 0, 0 },
    { 316952, 867, 0, 0 },
    { 316981, 867, 0, 0 },
    { 317011, 867, 0, 0 },
    { 317041, 868, 1, 0 },
    { 317070, 868, 0, 0 },
    { 317100, 868, 0, 0 },
    { 317130, 868, 0, 0 },
    { 317159, 868, 0, 0 },
    { 317189, 868, 0, 0 },
    { 317218, 868, 0, 0 },
    { 317248, 868, 0, 0 },
    { 317277, 868, 0, 0 },
    { 317307, 868, 0, 0 },
    { 317336, 868, 0, 0 },
    { 317365, 868, 0, 0 },
    { 317395, 869, 1, 0 },
    { 317424, 869, 0, 0 },
    { 317454, 869, 0, 0 },
    { 317484, 869, 0, 1 },
    { 317513, 869, 0, 0 },
    { 317543, 869, 0, 0 },
    { 317572, 869, 0, 0 },
    { 317602, 869, 0, 0 },
    { 317632, 869, 0, 0 },
    { 317661, 869, 0, 0 },
    { 317691, 869, 0, 0 },
    { 317720, 869, 0, 0 },
    { 317750, 869, 0, 0 },
    { 317779, 870, 1, 0 },
    { 317808, 870, 0, 0 },
    { 317838, 870, 0, 0 },
    { 317867, 870, 0, 0 },
    { 317897, 870, 0, 0 },
    { 317926, 870, 0, 0 },
    { 317956, 870, 0, 0 },
    { 317986, 870, 0, 0 },
    { 318015, 870, 0, 0 },
    { 318045, 870, 0, 0 },
    { 318075, 870, 0, 0 },
    { 318104, 870, 0, 0 },
    { 318134, 871, 1, 0 },
    { 318163, 871, 0, 0 },
    { 318192, 871, 0, 0 },
    { 318222, 871, 0, 0 },
    { 318251, 871, 0, 0 },
    { 318281, 871, 0, 0 },
    { 318310, 871, 0, 0 },
    { 318340, 871, 0, 0 },
    { 318370, 871, 0, 0 },
    { 318399, 871, 0, 0 },
    { 318428, 871, 0, 1 },
    { 318457, 871, 0, 0 },
    { 318487, 871, 0, 0 },
    { 318517, 872, 1, 0 },
    { 318547, 872, 0, 0 },
    { 318576, 872, 0, 0 },
    { 318606, 872, 0, 0 },
    { 318635, 872, 0, 0 },
    { 318665, 872, 0, 0 },
    { 318694, 872, 0, 0 },
    { 318724, 872, 0, 0 },
    { 318753, 872, 0, 0 },
    { 318783, 872, 0, 0 },
    { 318813, 872, 0, 0 },
    { 318843, 872, 0, 0 },
    { 318872, 873, 1, 0 },
    { 318902, 873, 0, 0 },
    { 318931, 873, 0, 0 },
    { 318961, 873, 0, 0 },
    { 318990, 873, 0, 0 },
    { 319019, 873, 0, 0 },
    { 319048, 873, 0, 0 },
    { 319078, 873, 0, 0 },
    { 319107, 873, 0, 0 },
    { 319137, 873, 0, 0 },
    { 319167, 873, 0, 0 },
    { 319197, 873, 0, 0 },
    { 319226, 874, 1, 0 },
    { 319256, 874, 0, 0 },
    { 319286, 874, 0, 0 },
    { 319315, 874, 0, 0 },
    { 319345, 874, 0, 0 },
    { 319374, 874, 0, 0 },
    { 319403, 874, 0, 0 },
    { 319432, 874, 0, 1 },
    { 319462, 874, 0, 0 },
    { 319491, 874, 0, 0 },
    { 319521, 874, 0, 0 },
    { 319551, 874, 0, 0 },
    { 319580, 874, 0, 0 },
    { 319610, 875, 1, 0 },
    { 319640, 875, 0, 0 },
    { 319670, 875, 0, 0 },
    { 319699, 875, 0, 0 },
    { 319728, 875, 0, 0 },
    { 319758, 875, 0, 0 },
    { 319787, 875, 0, 0 },
    { 319816, 875, 0, 0 },
    { 319846, 875, 0, 0 },
    { 319875, 875, 0, 0 },
    { 319905, 875, 0, 0 },
    { 319935, 875, 0, 0 },
    { 319964, 876, 1, 0 },
    { 319994, 876, 0, 0 },
    { 320024, 876, 0, 0 },
    { 320053, 876, 0, 0 },
    { 320083, 876, 0, 0 },
    { 320112, 876, 0, 0 },
    { 320142, 876, 0, 0 },
    { 320171, 876, 0, 0 },
    { 320200, 876, 0, 0 },
    { 320230, 876, 0, 0 },
    { 320259, 876, 0, 0 },
    { 320289, 876, 0, 0 },
    { 320318, 877, 1, 0 },
    { 320348, 877, 0, 0 },
    { 320378, 877, 0, 0 },
    { 320407, 877, 0, 0 },
    { 320437, 877, 0, 0 },
    { 320467, 877, 0, 1 },
    { 320496, 877, 0, 0 },
    { 320526, 877, 0, 0 },
    { 320555, 877, 0, 0 },
    { 320585, 877, 0, 0 },
    { 320614, 877, 0, 0 },
    { 320643, 877, 0, 0 },
    { 320673, 877, 0, 0 },
    { 320702, 878, 1, 0 },
    { 320732, 878, 0, 0 },
    { 320761, 878, 0, 0 },
    { 320791, 878, 0, 0 },
    { 320821, 878, 0, 0 },
    { 320850, 878, 0, 0 },
    { 320880, 878, 0, 0 },
    { 320909, 878, 0, 0 },
    { 320939, 878, 0, 0 },
    { 320969, 878, 0, 0 },
    { 320998, 878, 0, 0 },
    { 321028, 878, 0, 0 },
    { 321057, 879, 1, 0 },
    { 321086, 879, 0, 0 },
    { 321116, 879, 0, 0 },
    { 321145, 879, 0, 0 },
    { 321175, 879, 0, 0 },
    { 321204, 879, 0, 0 },
    { 321234, 879, 0, 0 },
    { 321264, 879, 0, 0 },
    { 321293, 879, 0, 0 },
    { 321323, 879, 0, 0 },
    { 321353, 879, 0, 0 },
    { 321382, 879, 0, 0 },
    { 321412, 880, 1, 0 },
    { 321441, 880, 0, 1 },
    { 321470, 880, 0, 0 },
    { 321500, 880, 0, 0 },
    { 321529, 880, 0, 0 },
    { 321559, 880, 0, 0 },
    { 321588, 880, 0, 0 },
    { 321618, 880, 0, 0 },
    { 321647, 880, 0, 0 },
    { 321677, 880, 0, 0 },
    { 321707, 880, 0, 0 },
    { 321736, 880, 0, 0 },
    { 321766, 880, 0, 0 },
    { 321796, 881, 1, 0 },
    { 321825, 881, 0, 0 },
    { 321855, 881, 0, 0 },
    { 321884, 881, 0, 0 },
    { 321913, 881, 0, 0 },
    { 321942, 881, 0, 0 },
    { 321972, 881, 0, 0 },
    { 322001, 881, 0, 0 },
    { 322031, 881, 0, 0 },
    { 322061, 881, 0, 0 },
    { 322091, 881, 0, 0 },
    { 322120, 881, 0, 0 },
    { 322150, 882, 1, 0 },
    { 322180, 882, 0, 0 },
    { 322209, 882, 0, 0 },
    { 322239, 882, 0, 0 },
    { 322268, 882, 0, 0 },
    { 322297, 882, 0, 0 },
    { 322326, 882, 0, 0 },
    { 322356, 882, 0, 0 },
    { 322385, 882, 0, 0 },
    { 322415, 882, 0, 1 },
    { 322445, 882, 0, 0 },
    { 322474, 882, 0, 0 },
    { 322504, 882, 0, 0 },
    { 322534, 883, 1, 0 },
    { 322564, 883, 0, 0 },
    { 322593, 883, 0, 0 },
    { 322623, 883, 0, 0 },
    { 322652, 883, 0, 0 },
    { 322681, 883, 0, 0 },
    { 322710, 883, 0, 0 },
    { 322740, 883, 0, 0 },
    { 322769, 883, 0, 0 },
    { 322799, 883, 0, 0 },
    { 322828, 883, 0, 0 },
    { 322858, 883, 0, 0 },
    { 322888, 884, 1, 0 },
    { 322918, 884, 0, 0 },
    { 322947, 884, 0, 0 },
    { 322977, 884, 0, 0 },
    { 323006, 884, 0, 0 },
    { 323036, 884, 0, 0 },
    { 323065, 884, 0, 0 },
    { 323094, 884, 0, 0 },
    { 323124, 884, 0, 0 },
    { 323153, 884, 0, 0 },
    { 323183, 884, 0, 0 },
    { 323212, 884, 0, 0 },
    { 323242, 885, 1, 0 },
    { 323272, 885, 0, 0 },
    { 323301, 885, 0, 0 },
    { 323331, 885, 0, 0 },
    { 323361, 885, 0, 0 },
    { 323390, 885, 0, 0 },
    { 323420, 885, 0, 1 },
    { 323449, 885, 0, 0 },
    { 323478, 885, 0, 0 },
    { 323508, 885, 0, 0 },
    { 323537, 885, 0, 0 },
    { 323567, 885, 0, 0 },
    { 323596, 885, 0, 0 },
    { 323626, 886, 1, 0 },
    { 323656, 886, 0, 0 },
    { 323685, 886, 0, 0 },
    { 323715, 886, 0, 0 },
    { 323744, 886, 0, 0 },
    { 323774, 886, 0, 0 },
    { 323804, 886, 0, 0 },
    { 323833, 886, 0, 0 },
    { 323863, 886, 0, 0 },
    { 323892, 886, 0, 0 },
    { 323921, 886, 0, 0 },
    { 323951, 886, 0, 0 },
    { 323980, 887, 1, 0 },
    { 324010, 887, 0, 0 },
    { 324039, 887, 0, 0 },
    { 324069, 887, 0, 0 },
    { 324098, 887, 0, 0 },
    { 324128, 887, 0, 0 },
    { 324158, 887, 0, 0 },
    { 324187, 887, 0, 0 },
    { 324217, 887, 0, 0 },
    { 324246, 887, 0, 0 },
    { 324276, 887, 0, 0 },
    { 324306, 887, 0, 0 },
    { 324335, 888, 1, 0 },
    { 324364, 888, 0, 0 },
    { 324394, 888, 0, 1 },
    { 324423, 888, 0, 0 },
    { 324453, 888, 0, 0 },
    { 324482, 888, 0, 0 },
    { 324512, 888, 0, 0 },
    { 324541, 888, 0, 0 },
    { 324571, 888, 0, 0 },
    { 324601, 888, 0, 0 },
    { 324630, 888, 0, 0 },
    { 324660, 888, 0, 0 },
    { 324690, 888, 0, 0 },
    { 324719, 889, 1, 0 },
    { 324748, 889, 0, 0 },
    { 324778, 889, 0, 0 },
    { 324807, 889, 0, 0 },
    { 324837, 889, 0, 0 },
    { 324866, 889, 0, 0 },
    { 324896, 889, 0, 0 },
    { 324925, 889, 0, 0 },
    { 324955, 889, 0, 0 },
    { 324985, 889, 0, 0 },
    { 325014, 889, 0, 0 },
    { 325044, 889, 0, 0 },
    { 325074, 890, 1, 0 },
    { 325103, 890, 0, 0 },
    { 325133, 890, 0, 0 },
    { 325162, 890, 0, 0 },
    { 325191, 890, 0, 0 },
    { 325220, 890, 0, 0 },
    { 325250, 890, 0, 0 },
    { 325279, 890, 0, 0 },
    { 325309, 890, 0, 0 },
    { 325339, 890, 0, 0 },
    { 325368, 890, 0, 1 },
    { 325397, 890, 0, 0 },
    { 325427, 890, 0, 0 },
    { 325457, 891, 1, 0 },
    { 325487, 891, 0, 0 },
    { 325516, 891, 0, 0 },
    { 325546, 891, 0, 0 },
    { 325575, 891, 0, 0 },
    { 325604, 891, 0, 0 },
    { 325634, 891, 0, 0 },
    { 325663, 891, 0, 0 },
    { 325693, 891, 0, 0 },
    { 325722, 891, 0, 0 },
    { 325752, 891, 0, 0 },
    { 325782, 891, 0, 0 },
    { 325812, 892, 1, 0 },
    { 325841, 892, 0, 0 },
    { 325871, 892, 0, 0 },
    { 325900, 892, 0, 0 },
    { 325930, 892, 0, 0 },
    { 325959, 892, 0, 0 },
    { 325988, 892, 0, 0 },
    { 326018, 892, 0, 0 },
    { 326047, 892, 0, 0 },
    { 326077, 892, 0, 0 },
    { 326106, 892, 0, 0 },
    { 326136, 892, 0, 0 },
    { 326166, 893, 1, 0 },
    { 326196, 893, 0, 0 },
    { 326225, 893, 0, 0 },
    { 326255, 893, 0, 0 },
    { 326284, 893, 0, 0 },
    { 326314, 893, 0, 0 },
    { 326343, 893, 0, 0 },
    { 326372, 893, 0, 1 },
    { 326401, 893, 0, 0 },
    { 326431, 893, 0, 0 },
    { 326461, 893, 0, 0 },
    { 326490, 893, 0, 0 },
    { 326520, 893, 0, 0 },
    { 326550, 894, 1, 0 },
    { 326579, 894, 0, 0 },
    { 326609, 894, 0, 0 },
    { 326639, 894, 0, 0 },
    { 326668, 894, 0, 0 },
    { 326698, 894, 0, 0 },
    { 326727, 894, 0, 0 },
    { 326756, 894, 0, 0 },
    { 326786, 894, 0, 0 },
    { 326815, 894, 0, 0 },
    { 326845, 894, 0, 0 },
    { 326874, 894, 0, 0 },
    { 326904, 895, 1, 0 },
    { 326933, 895, 0, 0 },
    { 326963, 895, 0, 0 },
    { 326993, 895, 0, 0 },
    { 327022, 895, 0, 0 },
    { 327052, 895, 0, 0 },
    { 327081, 895, 0, 0 },
    { 327111, 895, 0, 0 },
    { 327140, 895, 0, 0 },
    { 327170, 895, 0, 0 },
    { 327199, 895, 0, 0 },
    { 327229, 895, 0, 0 },
    { 327258, 896, 1, 0 },
    { 327288, 896, 0, 0 },
    { 327317, 896, 0, 0 },
    { 327347, 896, 0, 0 },
    { 327376, 896, 0, 1 },
    { 327406, 896, 0, 0 },
    { 327436, 896, 0, 0 },
    { 327465, 896, 0, 0 },
    { 327495, 896, 0, 0 },
    { 327524, 896, 0, 0 },
    { 327554, 896, 0, 0 },
    { 327583, 896, 0, 0 },
    { 327613, 896, 0, 0 },
    { 327642, 897, 1, 0 },
    { 327672, 897, 0, 0 },
    { 327701, 897, 0, 0 },
    { 327731, 897, 0, 0 },
    { 327760, 897, 0, 0 },
    { 327790, 897, 0, 0 },
    { 327819, 897, 0, 0 },
    { 327849, 897, 0, 0 },
    { 327879, 897, 0, 0 },
    { 327908, 897, 0, 0 },
    { 327938, 897, 0, 0 },
    { 327968, 897, 0, 0 },
    { 327997, 898, 1, 0 },
    { 328026, 898, 0, 0 },
    { 328056, 898, 0, 0 },
    { 328085, 898, 0, 0 },
    { 328114, 898, 0, 0 },
    { 328144, 898, 0, 0 },
    { 328173, 898, 0, 0 },
    { 328203, 898, 0, 0 },
    { 328233, 898, 0, 0 },
    { 328262, 898, 0, 0 },
    { 328292, 898, 0, 0 },
    { 328322, 898, 0, 0 },
    { 328351, 899, 1, 0 },
    { 328381, 899, 0, 0 },
    { 328411, 899, 0, 1 },
    { 328440, 899, 0, 0 },
    { 328469, 899, 0, 0 },
    { 328498, 899, 0, 0 },
    { 328528, 899, 0, 0 },
    { 328557, 899, 0, 0 },
    { 328587, 899, 0, 0 },
    { 328616, 899, 0, 0 },
    { 328646, 899, 0, 0 },
    { 328676, 899, 0, 0 },
    { 328706, 899, 0, 0 },
    { 328735, 900, 1, 0 },
    { 328765, 900, 0, 0 },
    { 328794, 900, 0, 0 },
    { 328824, 900, 0, 0 },
    { 328853, 900, 0, 0 },
    { 328882, 900, 0, 0 },
    { 328912, 900, 0, 0 },
    { 328941, 900, 0, 0 },
    { 328971, 900, 0, 0 },
    { 329000, 900, 0, 0 },
    { 329030, 900, 0, 0 },
    { 329060, 900, 0, 0 },
    { 329090, 901, 1, 0 },
    { 329119, 901, 0, 0 },
    { 329149, 901, 0, 0 },
    { 329178, 901, 0, 0 },
    { 329208, 901, 0, 0 },
    { 329237, 901, 0, 0 },
    { 329266, 901, 0, 0 },
    { 329296, 901, 0, 0 },
    { 329325, 901, 0, 0 },
    { 329355, 901, 0, 1 },
    { 329384, 901, 0, 0 },
    { 329414, 901, 0, 0 },
    { 329444, 901, 0, 0 },
    { 329473, 902, 1, 0 },
    { 329503, 902, 0, 0 },
    { 329533, 902, 0, 0 },
    { 329562, 902, 0, 0 },
    { 329592, 902, 0, 0 },
    { 329621, 902, 0, 0 },
    { 329650, 902, 0, 0 },
    { 329680, 902, 0, 0 },
    { 329709, 902, 0, 0 },
    { 329739, 902, 0, 0 },
    { 329768, 902, 0, 0 },
    { 329798, 902, 0, 0 },
    { 329827, 903, 1, 0 },
    { 329857, 903, 0, 0 },
    { 329887, 903, 0, 0 },
    { 329916, 903, 0, 0 },
    { 329946, 903, 0, 0 },
    { 329976, 903, 0, 0 },
    { 330005, 903, 0, 0 },
    { 330034, 903, 0, 0 },
    { 330064, 903, 0, 0 },
    { 330093, 903, 0, 0 },
    { 330123, 903, 0, 0 },
    { 330152, 903, 0, 0 },
    { 330182, 904, 1, 0 },
    { 330211, 904, 0, 0 },
    { 330241, 904, 0, 0 },
    { 330270, 904, 0, 0 },
    { 330300, 904, 0, 0 },
    { 330330, 904, 0, 0 },
    { 330359, 904, 0, 1 },
    { 330389, 904, 0, 0 },
    { 330418, 904, 0, 0 },
    { 330448, 904, 0, 0 },
    { 330477, 904, 0, 0 },
    { 330507, 904, 0, 0 },
    { 330536, 904, 0, 0 },
    { 330566, 905, 1, 0 },
    { 330595, 905, 0, 0 },
    { 330625, 905, 0, 0 },
    { 330654, 905, 0, 0 },
    { 330684, 905, 0, 0 },
    { 330713, 905, 0, 0 },
    { 330743, 905, 0, 0 },
    { 330773, 905, 0, 0 },
    { 330802, 905, 0, 0 },
    { 330832, 905, 0, 0 },
    { 330861, 905, 0, 0 },
    { 330891, 905, 0, 0 },
    { 330920, 906, 1, 0 },
    { 330950, 906, 0, 0 },
    { 330979, 906, 0, 0 },
    { 331009, 906, 0, 0 },
    { 331038, 906, 0, 0 },
    { 331067, 906, 0, 0 },
    { 331097, 906, 0, 0 },
    { 331127, 906, 0, 0 },
    { 331156, 906, 0, 0 },
    { 331186, 906, 0, 0 },
    { 331216, 906, 0, 0 },
    { 331245, 906, 0, 0 },
    { 331275, 907, 1, 0 },
    { 331304, 907, 0, 0 },
    { 331334, 907, 0, 1 },
    { 331363, 907, 0, 0 },
    { 331392, 907, 0, 0 },
    { 331422, 907, 0, 0 },
    { 331451, 907, 0, 0 },
    { 331481, 907, 0, 0 },
    { 331510, 907, 0, 0 },
    { 331540, 907, 0, 0 },
    { 331570, 907, 0, 0 },
    { 331600, 907, 0, 0 },
    { 331629, 907, 0, 0 },
    { 331659, 908, 1, 0 },
    { 331688, 908, 0, 0 },
    { 331718, 908, 0, 0 },
    { 331747, 908, 0, 0 },
    { 331776, 908, 0, 0 },
    { 331806, 908, 0, 0 },
    { 331835, 908, 0, 0 },
    { 331865, 908, 0, 0 },
    { 331894, 908, 0, 0 },
    { 331924, 908, 0, 0 },
    { 331954, 908, 0, 0 },
    { 331984, 908, 0, 0 },
    { 332013, 909, 1, 0 },
    { 332043, 909, 0, 0 },
    { 332072, 909, 0, 0 },
    { 332102, 909, 0, 0 },
    { 332131, 909, 0, 0 },
    { 332160, 909, 0, 0 },
    { 332190, 909, 0, 0 },
    { 332219, 909, 0, 0 },
    { 332248, 909, 0, 0 },
    { 332278, 909, 0, 0 },
    { 332308, 909, 0, 1 },
    { 332337, 909, 0, 0 },
    { 332367, 909, 0, 0 },
    { 332397, 910, 1, 0 },
    { 332427, 910, 0, 0 },
    { 332456, 910, 0, 0 },
    { 332486, 910, 0, 0 },
    { 332515, 910, 0, 0 },
    { 332544, 910, 0, 0 },
    { 332574, 910, 0, 0 },
    { 332603, 910, 0, 0 },
    { 332632, 910, 0, 0 },
    { 332662, 910, 0, 0 },
    { 332692, 910, 0, 0 },
    { 332721, 910, 0, 0 },
    { 332751, 911, 1, 0 },
    { 332781, 911, 0, 0 },
    { 332811, 911, 0, 0 },
    { 332840, 911, 0, 0 },
    { 332870, 911, 0, 0 },
    { 332899, 911, 0, 0 },
    { 332928, 911, 0, 0 },
    { 332958, 911, 0, 0 },
    { 332987, 911, 0, 0 },
    { 333016, 911, 0, 0 },
    { 333046, 911, 0, 0 },
    { 333076, 911, 0, 0 },
    { 333105, 912, 1, 0 },
    { 333135, 912, 0, 0 },
    { 333165, 912, 0, 0 },
    { 333194, 912, 0, 0 },
    { 333224, 912, 0, 0 },
    { 333253, 912, 0, 0 },
    { 333283, 912, 0, 0 },
    { 333312, 912, 0, 1 },
    { 333341, 912, 0, 0 },
    { 333371, 912, 0, 0 },
    { 333401, 912, 0, 0 },
    { 333430, 912, 0, 0 },
    { 333460, 912, 0, 0 },
    { 333489, 913, 1, 0 },
    { 333519, 913, 0, 0 },
    { 333548, 913, 0, 0 },
    { 333578, 913, 0, 0 },
    { 333608, 913, 0, 0 },
    { 333637, 913, 0, 0 },
    { 333667, 913, 0, 0 },
    { 333696, 913, 0, 0 },
    { 333726, 913, 0, 0 },
    { 333755, 913, 0, 0 },
    { 333785, 913, 0, 0 },
    { 333814, 913, 0, 0 },
    { 333844, 914, 1, 0 },
    { 333873, 914, 0, 0 },
    { 333903, 914, 0, 0 },
    { 333932, 914, 0, 0 },
    { 333962, 914, 0, 0 },
    { 333991, 914, 0, 0 },
    { 334021, 914, 0, 0 },
    { 334050, 914, 0, 0 },
    { 334080, 914, 0, 0 },
    { 334110, 914, 0, 0 },
    { 334139, 914, 0, 0 },
    { 334169, 914, 0, 0 },
    { 334198, 915, 1, 0 },
    { 334228, 915, 0, 0 },
    { 334257, 915, 0, 0 },
    { 334286, 915, 0, 0 },
    { 334316, 915, 0, 1 },
    { 334345, 915, 0, 0 },
    { 334375, 915, 0, 0 },
    { 334405, 915, 0, 0 },
    { 334434, 915, 0, 0 },
    { 334464, 915, 0, 0 },
    { 334494, 915, 0, 0 },
    { 334523, 915, 0, 0 },
    { 334553, 915, 0, 0 },
    { 334582, 916, 1, 0 },
    { 334612, 916, 0, 0 },
    { 334641, 916, 0, 0 },
    { 334670, 916, 0, 0 },
    { 334700, 916, 0, 0 },
    { 334729, 916, 0, 0 },
    { 334759, 916, 0, 0 },
    { 334788, 916, 0, 0 },
    { 334818, 916, 0, 0 },
    { 334848, 916, 0, 0 },
    { 334877, 916, 0, 0 },
    { 334907, 916, 0, 0 },
    { 334937, 917, 1, 0 },
    { 334966, 917, 0, 0 },
    { 334996, 917, 0, 0 },
    { 335025, 917, 0, 0 },
    { 335054, 917, 0, 0 },
    { 335084, 917, 0, 0 },
    { 335113, 917, 0, 0 },
    { 335143, 917, 0, 0 },
    { 335172, 917, 0, 0 },
    { 335202, 917, 0, 0 },
    { 335231, 917, 0, 0 },
    { 335261, 917, 0, 0 },
    { 335291, 918, 1, 0 },
    { 335321, 918, 0, 1 },
    { 335350, 918, 0, 0 },
    { 335380, 918, 0, 0 },
    { 335409, 918, 0, 0 },
    { 335438, 918, 0, 0 },
    { 335468, 918, 0, 0 },
    { 335497, 918, 0, 0 },
    { 335526, 918, 0, 0 },
    { 335556, 918, 0, 0 },
    { 335586, 918, 0, 0 },
    { 335615, 918, 0, 0 },
    { 335645, 918, 0, 0 },
    { 335675, 919, 1, 0 },
    { 335705, 919, 0, 0 },
    { 335734, 919, 0, 0 },
    { 335764, 919, 0, 0 },
    { 335793, 919, 0, 0 },
    { 335822, 919, 0, 0 },
    { 335852, 919, 0, 0 },
    { 335881, 919, 0, 0 },
    { 335910, 919, 0, 0 },
    { 335940, 919, 0, 0 },
    { 335969, 919, 0, 0 },
    { 335999, 919, 0, 0 },
    { 336029, 920, 1, 0 },
    { 336059, 920, 0, 0 },
    { 336088, 920, 0, 0 },
    { 336118, 920, 0, 0 },
    { 336148, 920, 0, 0 },
    { 336177, 920, 0, 0 },
    { 336206, 920, 0, 0 },
    { 336236, 920, 0, 0 },
    { 336265, 920, 0, 0 },
    { 336294, 920, 0, 1 },
    { 336324, 920, 0, 0 },
    { 336353, 920, 0, 0 },
    { 336383, 920, 0, 0 },
    { 336413, 921, 1, 0 },
    { 336442, 921, 0, 0 },
    { 336472, 921, 0, 0 },
    { 336502, 921, 0, 0 },
    { 336531, 921, 0, 0 },
    { 336561, 921, 0, 0 },
    { 336590, 921, 0, 0 },
    { 336620, 921, 0, 0 },
    { 336649, 921, 0, 0 },
    { 336679, 921, 0, 0 },
    { 336708, 921, 0, 0 },
    { 336737, 921, 0, 0 },
    { 336767, 922, 1, 0 },
    { 336797, 922, 0, 0 },
    { 336826, 922, 0, 0 },
    { 336856, 922, 0, 0 },
    { 336885, 922, 0, 0 },
    { 336915, 922, 0, 0 },
    { 336945, 922, 0, 0 },
    { 336974, 922, 0, 0 },
    { 337004, 922, 0, 0 },
    { 337033, 922, 0, 0 },
    { 337063, 922, 0, 0 },
    { 337092, 922, 0, 0 },
    { 337122, 923, 1, 0 },
    { 337151, 923, 0, 0 },
    { 337180, 923, 0, 0 },
    { 337210, 923, 0, 0 },
    { 337239, 923, 0, 0 },
    { 337269, 923, 0, 0 },
    { 337299, 923, 0, 1 },
    { 337328, 923, 0, 0 },
    { 337358, 923, 0, 0 },
    { 337388, 923, 0, 0 },
    { 337417, 923, 0, 0 },
    { 337447, 923, 0, 0 },
    { 337476, 923, 0, 0 },
    { 337506, 924, 1, 0 },
    { 337535, 924, 0, 0 },
    { 337564, 924, 0, 0 },
    { 337594, 924, 0, 0 },
    { 337623, 924, 0, 0 },
    { 337653, 924, 0, 0 },
    { 337682, 924, 0, 0 },
    { 337712, 924, 0, 0 },
    { 337742, 924, 0, 0 },
    { 337771, 924, 0, 0 },
    { 337801, 924, 0, 0 },
    { 337831, 924, 0, 0 },
    { 337860, 925, 1, 0 },
    { 337890, 925, 0, 0 },
    { 337919, 925, 0, 0 },
    { 337948, 925, 0, 0 },
    { 337978, 925, 0, 0 },
    { 338007, 925, 0, 0 },
    { 338037, 925, 0, 0 },
    { 338066, 925, 0, 0 },
    { 338096, 925, 0, 0 },
    { 338125, 925, 0, 0 },
    { 338155, 925, 0, 0 },
    { 338185, 925, 0, 0 },
    { 338215, 926, 1, 0 },
    { 338244, 926, 0, 0 },
    { 338274, 926, 0, 0 },
    { 338303, 926, 0, 1 },
    { 338332, 926, 0, 0 },
    { 338362, 926, 0, 0 },
    { 338391, 926, 0, 0 },
    { 338420, 926, 0, 0 },
    { 338450, 926, 0, 0 },
    { 338480, 926, 0, 0 },
    { 338509, 926, 0, 0 },
    { 338539, 926, 0, 0 },
    { 338569, 926, 0, 0 },
    { 338599, 927, 1, 0 },
    { 338628, 927, 0, 0 },
    { 338658, 927, 0, 0 },
    { 338687, 927, 0, 0 },
    { 338716, 927, 0, 0 },
    { 338746, 927, 0, 0 },
    { 338775, 927, 0, 0 },
    { 338804, 927, 0, 0 },
    { 338834, 927, 0, 0 },
    { 338863, 927, 0, 0 },
    { 338893, 927, 0, 0 },
    { 338923, 927, 0, 0 },
    { 338953, 928, 1, 0 },
    { 338982, 928, 0, 0 },
    { 339012, 928, 0, 0 },
    { 339042, 928, 0, 0 },
    { 339071, 928, 0, 0 },
    { 339100, 928, 0, 0 },
    { 339130, 928, 0, 0 },
    { 339159, 928, 0, 0 },
    { 339188, 928, 0, 0 },
    { 339218, 928, 0, 0 },
    { 339247, 928, 0, 1 },
    { 339276, 928, 0, 0 },
    { 339306, 928, 0, 0 },
    { 339336, 929, 1, 0 },
    { 339366, 929, 0, 0 },
    { 339395, 929, 0, 0 },
    { 339425, 929, 0, 0 },
    { 339455, 929, 0, 0 },
    { 339484, 929, 0, 0 },
    { 339514, 929, 0, 0 },
    { 339543, 929, 0, 0 },
    { 339572, 929, 0, 0 },
    { 339602, 929, 0, 0 },
    { 339631, 929, 0, 0 },
    { 339661, 929, 0, 0 },
    { 339691, 930, 1, 0 },
    { 339720, 930, 0, 0 },
    { 339750, 930, 0, 0 },
    { 339780, 930, 0, 0 },
    { 339809, 930, 0, 0 },
    { 339839, 930, 0, 0 },
    { 339868, 930, 0, 0 },
    { 339898, 930, 0, 0 },
    { 339927, 930, 0, 0 },
    { 339957, 930, 0, 0 },
    { 339986, 930, 0, 0 },
    { 340015, 930, 0, 0 },
    { 340045, 931, 1, 0 },
    { 340074, 931, 0, 0 },
    { 340104, 931, 0, 0 },
    { 340134, 931, 0, 0 },
    { 340163, 931, 0, 0 },
    { 340193, 931, 0, 0 },
    { 340222, 931, 0, 0 },
    { 340252, 931, 0, 1 },
    { 340281, 931, 0, 0 },
    { 340311, 931, 0, 0 },
    { 340341, 931, 0, 0 },
    { 340370, 931, 0, 0 },
    { 340400, 931, 0, 0 },
    { 340429, 932, 1, 0 },
    { 340458, 932, 0, 0 },
    { 340488, 932, 0, 0 },
    { 340517, 932, 0, 0 },
    { 340547, 932, 0, 0 },
    { 340576, 932, 0, 0 },
    { 340606, 932, 0, 0 },
    { 340636, 932, 0, 0 },
    { 340665, 932, 0, 0 },
    { 340695, 932, 0, 0 },
    { 340725, 932, 0, 0 },
    { 340754, 932, 0, 0 },
    { 340784, 933, 1, 0 },
    { 340813, 933, 0, 0 },
    { 340842, 933, 0, 0 },
    { 340872, 933, 0, 0 },
    { 340901, 933, 0, 0 },
    { 340931, 933, 0, 0 },
    { 340960, 933, 0, 0 },
    { 340990, 933, 0, 0 },
    { 341020, 933, 0, 0 },
    { 341049, 933, 0, 0 },
    { 341079, 933, 0, 0 },
    { 341109, 933, 0, 0 },
    { 341138, 934, 1, 0 },
    { 341168, 934, 0, 0 },
    { 341197, 934, 0, 0 },
    { 341226, 934, 0, 0 },
    { 341256, 934, 0, 1 },
    { 341285, 934, 0, 0 },
    { 341314, 934, 0, 0 },
    { 341344, 934, 0, 0 },
    { 341374, 934, 0, 0 },
    { 341403, 934, 0, 0 },
    { 341433, 934, 0, 0 },
    { 341463, 934, 0, 0 },
    { 341493, 934, 0, 0 },
    { 341522, 935, 1, 0 },
    { 341552, 935, 0, 0 },
    { 341581, 935, 0, 0 },
    { 341610, 935, 0, 0 },
    { 341640, 935, 0, 0 },
    { 341669, 935, 0, 0 },
    { 341698, 935, 0, 0 },
    { 341728, 935, 0, 0 },
    { 341757, 935, 0, 0 },
    { 341787, 935, 0, 0 },
    { 341817, 935, 0, 0 },
    { 341847, 935, 0, 0 },
    { 341876, 936, 1, 0 },
    { 341906, 936, 0, 0 },
    { 341936, 936, 0, 0 },
    { 341965, 936, 0, 0 },
    { 341994, 936, 0, 0 },
    { 342024, 936, 0, 0 },
    { 342053, 936, 0, 0 },
    { 342082, 936, 0, 0 },
    { 342112, 936, 0, 0 },
    { 342141, 936, 0, 0 },
    { 342171, 936, 0, 0 },
    { 342201, 936, 0, 0 },
    { 342230, 937, 1, 0 },
    { 342260, 937, 0, 1 },
    { 342290, 937, 0, 0 },
    { 342319, 937, 0, 0 },
    { 342349, 937, 0, 0 },
    { 342378, 937, 0, 0 },
    { 342408, 937, 0, 0 },
    { 342437, 937, 0, 0 },
    { 342466, 937, 0, 0 },
    { 342496, 937, 0, 0 },
    { 342525, 937, 0, 0 },
    { 342555, 937, 0, 0 },
    { 342584, 937, 0, 0 },
    { 342614, 938, 1, 0 },
    { 342644, 938, 0, 0 },
    { 342674, 938, 0, 0 },
    { 342703, 938, 0, 0 },
    { 342733, 938, 0, 0 },
    { 342762, 938, 0, 0 },
    { 342792, 938, 0, 0 },
    { 342821, 938, 0, 0 },
    { 342850, 938, 0, 0 },
    { 342880, 938, 0, 0 },
    { 342909, 938, 0, 0 },
    { 342939, 938, 0, 0 },
    { 342968, 939, 1, 0 },
    { 342998, 939, 0, 0 },
    { 343028, 939, 0, 0 },
    { 343057, 939, 0, 0 },
    { 343087, 939, 0, 0 },
    { 343117, 939, 0, 0 },
    { 343146, 939, 0, 0 },
    { 343176, 939, 0, 0 },
    { 343205, 939, 0, 0 },
    { 343235, 939, 0, 1 },
    { 343264, 939, 0, 0 },
    { 343293, 939, 0, 0 },
    { 343323, 939, 0, 0 },
    { 343352, 940, 1, 0 },
    { 343382, 940, 0, 0 },
    { 343411, 940, 0, 0 },
    { 343441, 940, 0, 0 },
    { 343471, 940, 0, 0 },
    { 343500, 940, 0, 0 },
    { 343530, 940, 0, 0 },
    { 343559, 940, 0, 0 },
    { 343589, 940, 0, 0 },
    { 343619, 940, 0, 0 },
    { 343648, 940, 0, 0 },
    { 343678, 940, 0, 0 },
    { 343707, 941, 1, 0 },
    { 343736, 941, 0, 0 },
    { 343766, 941, 0, 0 },
    { 343795, 941, 0, 0 },
    { 343825, 941, 0, 0 },
    { 343854, 941, 0, 0 },
    { 343884, 941, 0, 0 },
    { 343914, 941, 0, 0 },
    { 343943, 941, 0, 0 },
    { 343973, 941, 0, 0 },
    { 344003, 941, 0, 0 },
    { 344032, 941, 0, 0 },
    { 344062, 942, 1, 0 },
    { 344091, 942, 0, 0 },
    { 344120, 942, 0, 0 },
    { 344150, 942, 0, 0 },
    { 344179, 942, 0, 0 },
    { 344209, 942, 0, 1 },
    { 344238, 942, 0, 0 },
    { 344268, 942, 0, 0 },
    { 344297, 942, 0, 0 },
    { 344327, 942, 0, 0 },
    { 344357, 942, 0, 0 },
    { 344386, 942, 0, 0 },
    { 344416, 942, 0, 0 },
    { 344446, 943, 1, 0 },
    { 344475, 943, 0, 0 },
    { 344504, 943, 0, 0 },
    { 344534, 943, 0, 0 },
    { 344563, 943, 0, 0 },
    { 344592, 943, 0, 0 },
    { 344622, 943, 0, 0 },
    { 344651, 943, 0, 0 },
    { 344681, 943, 0, 0 },
    { 344711, 943, 0, 0 },
    { 344741, 943, 0, 0 },
    { 344770, 943, 0, 0 },
    { 344800, 944, 1, 0 },
    { 344830, 944, 0, 0 },
    { 344859, 944, 0, 0 },
    { 344889, 944, 0, 0 },
    { 344918, 944, 0, 0 },
    { 344947, 944, 0, 0 },
    { 344976, 944, 0, 0 },
    { 345006, 944, 0, 0 },
    { 345035, 944, 0, 0 },
    { 345065, 944, 0, 0 },
    { 345095, 944, 0, 0 },
    { 345124, 944, 0, 0 },
    { 345154, 945, 1, 0 },
    { 345184, 945, 0, 0 },
    { 345214, 945, 0, 0 },
    { 345243, 945, 0, 1 },
    { 345272, 945, 0, 0 },
    { 345302, 945, 0, 0 },
    { 345331, 945, 0, 0 },
    { 345360, 945, 0, 0 },
    { 345390, 945, 0, 0 },
    { 345419, 945, 0, 0 },
    { 345449, 945, 0, 0 },
    { 345478, 945, 0, 0 },
    { 345508, 945, 0, 0 },
    { 345538, 946, 1, 0 },
    { 345568, 946, 0, 0 },
    { 345597, 946, 0, 0 },
    { 345627, 946, 0, 0 },
    { 345656, 946, 0, 0 },
    { 345686, 946, 0, 0 },
    { 345715, 946, 0, 0 },
    { 345744, 946, 0, 0 },
    { 345774, 946, 0, 0 },
    { 345803, 946, 0, 0 },
    { 345833, 946, 0, 0 },
    { 345862, 946, 0, 0 },
    { 345892, 947, 1, 0 },
    { 345922, 947, 0, 0 },
    { 345951, 947, 0, 0 },
    { 345981, 947, 0, 0 },
    { 346011, 947, 0, 0 },
    { 346040, 947, 0, 0 },
    { 346070, 947, 0, 0 },
    { 346099, 947, 0, 0 },
    { 346128, 947, 0, 0 },
    { 346158, 947, 0, 0 },
    { 346187, 947, 0, 1 },
    { 346216, 947, 0, 0 },
    { 346246, 947, 0, 0 },
    { 346276, 948, 1, 0 },
    { 346305, 948, 0, 0 },
    { 346335, 948, 0, 0 },
    { 346365, 948, 0, 0 },
    { 346394, 948, 0, 0 },
    { 346424, 948, 0, 0 },
    { 346453, 948, 0, 0 },
    { 346483, 948, 0, 0 },
    { 346512, 948, 0, 0 },
    { 346542, 948, 0, 0 },
    { 346571, 948, 0, 0 },
    { 346601, 948, 0, 0 },
    { 346630, 949, 1, 0 },
    { 346660, 949, 0, 0 },
    { 346689, 949, 0, 0 },
    { 346719, 949, 0, 0 },
    { 346748, 949, 0, 0 },
    { 346778, 949, 0, 0 },
    { 346808, 949, 0, 0 },
    { 346837, 949, 0, 0 },
    { 346867, 949, 0, 0 },
    { 346896, 949, 0, 0 },
    { 346926, 949, 0, 0 },
    { 346955, 949, 0, 0 },
    { 346985, 950, 1, 0 },
    { 347014, 950, 0, 0 },
    { 347044, 950, 0, 0 },
    { 347073, 950, 0, 0 },
    { 347103, 950, 0, 0 },
    { 347132, 950, 0, 0 },
    { 347162, 950, 0, 0 },
    { 347191, 950, 0, 1 },
    { 347220, 950, 0, 0 },
    { 347250, 950, 0, 0 },
    { 347280, 950, 0, 0 },
    { 347310, 950, 0, 0 },
    { 347339, 950, 0, 0 },
    { 347369, 951, 1, 0 },
    { 347398, 951, 0, 0 },
    { 347428, 951, 0, 0 },
    { 347457, 951, 0, 0 },
    { 347487, 951, 0, 0 },
    { 347516, 951, 0, 0 },
    { 347545, 951, 0, 0 },
    { 347575, 951, 0, 0 },
    { 347605, 951, 0, 0 },
    { 347635, 951, 0, 0 },
    { 347664, 951, 0, 0 },
    { 347694, 951, 0, 0 },
    { 347724, 952, 1, 0 },
    { 347753, 952, 0, 0 },
    { 347782, 952, 0, 0 },
    { 347812, 952, 0, 0 },
    { 347841, 952, 0, 0 },
    { 347870, 952, 0, 0 },
    { 347900, 952, 0, 0 },
    { 347929, 952, 0, 0 },
    { 347959, 952, 0, 0 },
    { 347989, 952, 0, 0 },
    { 348018, 952, 0, 0 },
    { 348048, 952, 0, 0 },
    { 348078, 953, 1, 0 },
    { 348108, 953, 0, 0 },
    { 348137, 953, 0, 0 },
    { 348166, 953, 0, 0 },
    { 348196, 953, 0, 1 },
    { 348225, 953, 0, 0 },
    { 348254, 953, 0, 0 },
    { 348284, 953, 0, 0 },
    { 348313, 953, 0, 0 },
    { 348343, 953, 0, 0 },
    { 348372, 953, 0, 0 },
    { 348402, 953, 0, 0 },
    { 348432, 953, 0, 0 },
    { 348462, 954, 1, 0 },
    { 348491, 954, 0, 0 },
    { 348521, 954, 0, 0 },
    { 348550, 954, 0, 0 },
    { 348580, 954, 0, 0 },
    { 348609, 954, 0, 0 },
    { 348638, 954, 0, 0 },
    { 348668, 954, 0, 0 },
    { 348697, 954, 0, 0 },
    { 348727, 954, 0, 0 },
    { 348756, 954, 0, 0 },
    { 348786, 954, 0, 0 },
    { 348816, 955, 1, 0 },
    { 348845, 955, 0, 0 },
    { 348875, 955, 0, 0 },
    { 348905, 955, 0, 0 },
    { 348934, 955, 0, 0 },
    { 348964, 955, 0, 0 },
    { 348993, 955, 0, 0 },
    { 349022, 955, 0, 0 },
    { 349052, 955, 0, 0 },
    { 349081, 955, 0, 0 },
    { 349111, 955, 0, 0 },
    { 349140, 955, 0, 0 },
    { 349170, 956, 1, 0 },
    { 349200, 956, 0, 1 },
    { 349229, 956, 0, 0 },
    { 349259, 956, 0, 0 },
    { 349289, 956, 0, 0 },
    { 349318, 956, 0, 0 },
    { 349348, 956, 0, 0 },
    { 349377, 956, 0, 0 },
    { 349406, 956, 0, 0 },
    { 349436, 956, 0, 0 },
    { 349465, 956, 0, 0 },
    { 349495, 956, 0, 0 },
    { 349524, 956, 0, 0 },
    { 349554, 957, 1, 0 },
    { 349583, 957, 0, 0 },
    { 349613, 957, 0, 0 },
    { 349643, 957, 0, 0 },
    { 349672, 957, 0, 0 },
    { 349702, 957, 0, 0 },
    { 349731, 957, 0, 0 },
    { 349761, 957, 0, 0 },
    { 349790, 957, 0, 0 },
    { 349820, 957, 0, 0 },
    { 349849, 957, 0, 0 },
    { 349879, 957, 0, 0 },
    { 349908, 958, 1, 0 },
    { 349938, 958, 0, 0 },
    { 349967, 958, 0, 0 },
    { 349997, 958, 0, 0 },
    { 350026, 958, 0, 0 },
    { 350056, 958, 0, 0 },
    { 350086, 958, 0, 0 },
    { 350115, 958, 0, 0 },
    { 350145, 958, 0, 0 },
    { 350174, 958, 0, 0 },
    { 350204, 958, 0, 1 },
    { 350233, 958, 0, 0 },
    { 350263, 958, 0, 0 },
    { 350292, 959, 1, 0 },
    { 350322, 959, 0, 0 },
    { 350351, 959, 0, 0 },
    { 350381, 959, 0, 0 },
    { 350410, 959, 0, 0 },
    { 350440, 959, 0, 0 },
    { 350469, 959, 0, 0 },
    { 350499, 959, 0, 0 },
    { 350529, 959, 0, 0 },
    { 350558, 959, 0, 0 },
    { 350588, 959, 0, 0 },
    { 350617, 959, 0, 0 },
    { 350647, 960, 1, 0 },
    { 350676, 960, 0, 0 },
    { 350706, 960, 0, 0 },
    { 350735, 960, 0, 0 },
    { 350764, 960, 0, 0 },
    { 350794, 960, 0, 0 },
    { 350823, 960, 0, 0 },
    { 350853, 960, 0, 0 },
    { 350883, 960, 0, 0 },
    { 350912, 960, 0, 0 },
    { 350942, 960, 0, 0 },
    { 350972, 960, 0, 0 },
    { 351001, 961, 1, 0 },
    { 351031, 961, 0, 0 },
    { 351060, 961, 0, 0 },
    { 351090, 961, 0, 0 },
    { 351119, 961, 0, 0 },
    { 351148, 961, 0, 0 },
    { 351178, 961, 0, 1 },
    { 351207, 961, 0, 0 },
    { 351237, 961, 0, 0 },
    { 351266, 961, 0, 0 },
    { 351296, 961, 0, 0 },
    { 351326, 961, 0, 0 },
    { 351356, 961, 0, 0 },
    { 351385, 962, 1, 0 },
    { 351415, 962, 0, 0 },
    { 351444, 962, 0, 0 },
    { 351474, 962, 0, 0 },
    { 351503, 962, 0, 0 },
    { 351532, 962, 0, 0 },
    { 351562, 962, 0, 0 },
    { 351591, 962, 0, 0 },
    { 351621, 962, 0, 0 },
    { 351650, 962, 0, 0 },
    { 351680, 962, 0, 0 },
    { 351710, 962, 0, 0 },
    { 351740, 963, 1, 0 },
    { 351769, 963, 0, 0 },
    { 351799, 963, 0, 0 },
    { 351828, 963, 0, 0 },
    { 351858, 963, 0, 0 },
    { 351887, 963, 0, 0 },
    { 351916, 963, 0, 0 },
    { 351946, 963, 0, 0 },
    { 351975, 963, 0, 0 },
    { 352005, 963, 0, 0 },
    { 352034, 963, 0, 0 },
    { 352064, 963, 0, 0 },
    { 352094, 964, 1, 0 },
    { 352123, 964, 0, 0 },
    { 352153, 964, 0, 0 },
    { 352183, 964, 0, 1 },
    { 352212, 964, 0, 0 },
    { 352242, 964, 0, 0 },
    { 352271, 964, 0, 0 },
    { 352300, 964, 0, 0 },
    { 352330, 964, 0, 0 },
    { 352359, 964, 0, 0 },
    { 352389, 964, 0, 0 },
    { 352418, 964, 0, 0 },
    { 352448, 964, 0, 0 },
    { 352477, 965, 1, 0 },
    { 352507, 965, 0, 0 },
    { 352537, 965, 0, 0 },
    { 352566, 965, 0, 0 },
    { 352596, 965, 0, 0 },
    { 352625, 965, 0, 0 },
    { 352655, 965, 0, 0 },
    { 352684, 965, 0, 0 },
    { 352714, 965, 0, 0 },
    { 352743, 965, 0, 0 },
    { 352773, 965, 0, 0 },
    { 352802, 965, 0, 0 },
    { 352832, 966, 1, 0 },
    { 352861, 966, 0, 0 },
    { 352891, 966, 0, 0 },
    { 352920, 966, 0, 0 },
    { 352950, 966, 0, 0 },
    { 352980, 966, 0, 0 },
    { 353009, 966, 0, 0 },
    { 353039, 966, 0, 0 },
    { 353068, 966, 0, 0 },
    { 353098, 966, 0, 0 },
    { 353127, 966, 0, 1 },
    { 353156, 966, 0, 0 },
    { 353186, 966, 0, 0 },
    { 353216, 967, 1, 0 },
    { 353245, 967, 0, 0 },
    { 353275, 967, 0, 0 },
    { 353304, 967, 0, 0 },
    { 353334, 967, 0, 0 },
    { 353363, 967, 0, 0 },
    { 353393, 967, 0, 0 },
    { 353423, 967, 0, 0 },
    { 353452, 967, 0, 0 },
    { 353482, 967, 0, 0 },
    { 353511, 967, 0, 0 },
    { 353541, 967, 0, 0 },
    { 353570, 968, 1, 0 },
    { 353600, 968, 0, 0 },
    { 353629, 968, 0, 0 },
    { 353658, 968, 0, 0 },
    { 353688, 968, 0, 0 },
    { 353717, 968, 0, 0 },
    { 353747, 968, 0, 0 },
    { 353777, 968, 0, 0 },
    { 353806, 968, 0, 0 },
    { 353836, 968, 0, 0 },
    { 353866, 968, 0, 0 },
    { 353895, 968, 0, 0 },
    { 353925, 969, 1, 0 },
    { 353954, 969, 0, 0 },
    { 353984, 969, 0, 0 },
    { 354013, 969, 0, 0 },
    { 354042, 969, 0, 0 },
    { 354072, 969, 0, 0 },
    { 354101, 969, 0, 0 },
    { 354131, 969, 0, 1 },
    { 354160, 969, 0, 0 },
    { 354190, 969, 0, 0 },
    { 354220, 969, 0, 0 },
    { 354250, 969, 0, 0 },
    { 354279, 969, 0, 0 },
    { 354309, 970, 1, 0 },
    { 354338, 970, 0, 0 },
    { 354368, 970, 0, 0 },
    { 354397, 970, 0, 0 },
    { 354426, 970, 0, 0 },
    { 354456, 970, 0, 0 },
    { 354485, 970, 0, 0 },
    { 354515, 970, 0, 0 },
    { 354544, 970, 0, 0 },
    { 354574, 970, 0, 0 },
    { 354604, 970, 0, 0 },
    { 354634, 970, 0, 0 },
    { 354663, 971, 1, 0 },
    { 354693, 971, 0, 0 },
    { 354722, 971, 0, 0 },
    { 354752, 971, 0, 0 },
    { 354781, 971, 0, 0 },
    { 354810, 971, 0, 0 },
    { 354840, 971, 0, 0 },
    { 354869, 971, 0, 0 },
    { 354898, 971, 0, 0 },
    { 354928, 971, 0, 0 },
    { 354958, 971, 0, 0 },
    { 354987, 971, 0, 0 },
    { 355017, 972, 1, 0 },
    { 355047, 972, 0, 0 },
    { 355077, 972, 0, 0 },
    { 355106, 972, 0, 0 },
    { 355136, 972, 0, 0 },
    { 355165, 972, 0, 1 },
    { 355194, 972, 0, 0 },
    { 355224, 972, 0, 0 },
    { 355253, 972, 0, 0 },
    { 355282, 972, 0, 0 },
    { 355312, 972, 0, 0 },
    { 355342, 972, 0, 0 },
    { 355371, 972, 0, 0 },
    { 355401, 973, 1, 0 },
    { 355431, 973, 0, 0 },
    { 355460, 973, 0, 0 },
    { 355490, 973, 0, 0 },
    { 355520, 973, 0, 0 },
    { 355549, 973, 0, 0 },
    { 355578, 973, 0, 0 },
    { 355608, 973, 0, 0 },
    { 355637, 973, 0, 0 },
    { 355666, 973, 0, 0 },
    { 355696, 973, 0, 0 },
    { 355726, 973, 0, 0 },
    { 355755, 974, 1, 0 },
    { 355785, 974, 0, 0 },
    { 355815, 974, 0, 0 },
    { 355844, 974, 0, 0 },
    { 355874, 974, 0, 0 },
    { 355903, 974, 0, 0 },
    { 355933, 974, 0, 0 },
    { 355962, 974, 0, 0 },
    { 355992, 974, 0, 0 },
    { 356021, 974, 0, 0 },
    { 356051, 974, 0, 0 },
    { 356080, 974, 0, 0 },
    { 356110, 975, 1, 0 },
    { 356139, 975, 0, 1 },
    { 356169, 975, 0, 0 },
    { 356198, 975, 0, 0 },
    { 356228, 975, 0, 0 },
    { 356257, 975, 0, 0 },
    { 356287, 975, 0, 0 },
    { 356317, 975, 0, 0 },
    { 356346, 975, 0, 0 },
    { 356376, 975, 0, 0 },
    { 356405, 975, 0, 0 },
    { 356435, 975, 0, 0 },
    { 356464, 975, 0, 0 },
    { 356494, 976, 1, 0 },
    { 356523, 976, 0, 0 },
    { 356553, 976, 0, 0 },
    { 356582, 976, 0, 0 },
    { 356612, 976, 0, 0 },
    { 356641, 976, 0, 0 },
    { 356671, 976, 0, 0 },
    { 356700, 976, 0, 0 },
    { 356730, 976, 0, 0 },
    { 356760, 976, 0, 0 },
    { 356789, 976, 0, 0 },
    { 356819, 976, 0, 0 },
    { 356848, 977, 1, 0 },
    { 356878, 977, 0, 0 },
    { 356907, 977, 0, 0 },
    { 356936, 977, 0, 0 },
    { 356966, 977, 0, 0 },
    { 356995, 977, 0, 0 },
    { 357025, 977, 0, 0 },
    { 357054, 977, 0, 0 },
    { 357084, 977, 0, 0 },
    { 357114, 977, 0, 0 },
    { 357144, 977, 0, 1 },
    { 357173, 977, 0, 0 },
    { 357203, 977, 0, 0 },
    { 357232, 978, 1, 0 },
    { 357262, 978, 0, 0 },
    { 357291, 978, 0, 0 },
    { 357320, 978, 0, 0 },
    { 357350, 978, 0, 0 },
    { 357379, 978, 0, 0 },
    { 357409, 978, 0, 0 },
    { 357438, 978, 0, 0 },
    { 357468, 978, 0, 0 },
    { 357498, 978, 0, 0 },
    { 357527, 978, 0, 0 },
    { 357557, 978, 0, 0 },
    { 357587, 979, 1, 0 },
    { 357616, 979, 0, 0 },
    { 357646, 979, 0, 0 },
    { 357675, 979, 0, 0 },
    { 357704, 979, 0, 0 },
    { 357734, 979, 0, 0 },
    { 357763, 979, 0, 0 },
    { 357792, 979, 0, 0 },
    { 357822, 979, 0, 0 },
    { 357852, 979, 0, 0 },
    { 357881, 979, 0, 0 },
    { 357911, 979, 0, 0 },
    { 357941, 980, 1, 0 },
    { 357971, 980, 0, 0 },
    { 358000, 980, 0, 0 },
    { 358030, 980, 0, 0 },
    { 358059, 980, 0, 0 },
    { 358088, 980, 0, 0 },
    { 358118, 980, 0, 1 },
    { 358147, 980, 0, 0 },
    { 358176, 980, 0, 0 },
    { 358206, 980, 0, 0 },
    { 358236, 980, 0, 0 },
    { 358265, 980, 0, 0 },
    { 358295, 980, 0, 0 },
    { 358325, 981, 1, 0 },
    { 358355, 981, 0, 0 },
    { 358384, 981, 0, 0 },
    { 358414, 981, 0, 0 },
    { 358443, 981, 0, 0 },
    { 358472, 981, 0, 0 },
    { 358502, 981, 0, 0 },
    { 358531, 981, 0, 0 },
    { 358560, 981, 0, 0 },
    { 358590, 981, 0, 0 },
    { 358619, 981, 0, 0 },
    { 358649, 981, 0, 0 },
    { 358679, 982, 1, 0 },
    { 358709, 982, 0, 0 },
    { 358738, 982, 0, 0 },
    { 358768, 982, 0, 0 },
    { 358797, 982, 0, 0 },
    { 358827, 982, 0, 0 },
    { 358856, 982, 0, 0 },
    { 358886, 982, 0, 0 },
    { 358915, 982, 0, 0 },
    { 358944, 982, 0, 0 },
    { 358974, 982, 0, 0 },
    { 359003, 982, 0, 0 },
    { 359033, 983, 1, 0 },
    { 359063, 983, 0, 0 },
    { 359092, 983, 0, 0 },
    { 359122, 983, 0, 1 },
    { 359152, 983, 0, 0 },
    { 359181, 983, 0, 0 },
    { 359211, 983, 0, 0 },
    { 359240, 983, 0, 0 },
    { 359270, 983, 0, 0 },
    { 359299, 983, 0, 0 },
    { 359329, 983, 0, 0 },
    { 359358, 983, 0, 0 },
    { 359387, 983, 0, 0 },
    { 359417, 984, 1, 0 },
    { 359447, 984, 0, 0 },
    { 359476, 984, 0, 0 },
    { 359506, 984, 0, 0 },
    { 359535, 984, 0, 0 },
    { 359565, 984, 0, 0 },
    { 359595, 984, 0, 0 },
    { 359624, 984, 0, 0 },
    { 359654, 984, 0, 0 },
    { 359683, 984, 0, 0 },
    { 359713, 984, 0, 0 },
    { 359742, 984, 0, 0 },
    { 359772, 985, 1, 0 },
    { 359801, 985, 0, 0 },
    { 359830, 985, 0, 0 },
    { 359860, 985, 0, 0 },
    { 359889, 985, 0, 0 },
    { 359919, 985, 0, 0 },
    { 359949, 985, 0, 0 },
    { 359978, 985, 0, 0 },
    { 360008, 985, 0, 0 },
    { 360038, 985, 0, 0 },
    { 360067, 985, 0, 0 },
    { 360097, 985, 0, 1 },
    { 360126, 985, 0, 0 },
    { 360156, 986, 1, 0 },
    { 360185, 986, 0, 0 },
    { 360214, 986, 0, 0 },
    { 360244, 986, 0, 0 },
    { 360273, 986, 0, 0 },
    { 360303, 986, 0, 0 },
    { 360332, 986, 0, 0 },
    { 360362, 986, 0, 0 },
    { 360392, 986, 0, 0 },
    { 360421, 986, 0, 0 },
    { 360451, 986, 0, 0 },
    { 360481, 986, 0, 0 },
    { 360510, 987, 1, 0 },
    { 360540, 987, 0, 0 },
    { 360569, 987, 0, 0 },
    { 360598, 987, 0, 0 },
    { 360628, 987, 0, 0 },
    { 360657, 987, 0, 0 },
    { 360687, 987, 0, 0 },
    { 360716, 987, 0, 0 },
    { 360746, 987, 0, 0 },
    { 360775, 987, 0, 0 },
    { 360805, 987, 0, 0 },
    { 360835, 987, 0, 0 },
    { 360865, 988, 1, 0 },
    { 360894, 988, 0, 0 },
    { 360924, 988, 0, 0 },
    { 360953, 988, 0, 0 },
    { 360982, 988, 0, 0 },
    { 361012, 988, 0, 0 },
    { 361041, 988, 0, 0 },
    { 361070, 988, 0, 1 },
    { 361100, 988, 0, 0 },
    { 361129, 988, 0, 0 },
    { 361159, 988, 0, 0 },
    { 361189, 988, 0, 0 },
    { 361219, 988, 0, 0 },
    { 361248, 989, 1, 0 },
    { 361278, 989, 0, 0 },
    { 361308, 989, 0, 0 },
    { 361337, 989, 0, 0 },
    { 361366, 989, 0, 0 },
    { 361396, 989, 0, 0 },
    { 361425, 989, 0, 0 },
    { 361454, 989, 0, 0 },
    { 361484, 989, 0, 0 },
    { 361513, 989, 0, 0 },
    { 361543, 989, 0, 0 },
    { 361573, 989, 0, 0 },
    { 361603, 990, 1, 0 },
    { 361632, 990, 0, 0 },
    { 361662, 990, 0, 0 },
    { 361692, 990, 0, 0 },
    { 361721, 990, 0, 0 },
    { 361750, 990, 0, 0 },
    { 361780, 990, 0, 0 },
    { 361809, 990, 0, 0 },
    { 361838, 990, 0, 0 },
    { 361868, 990, 0, 0 },
    { 361897, 990, 0, 0 },
    { 361927, 990, 0, 0 },
    { 361957, 991, 1, 0 },
    { 361986, 991, 0, 0 },
    { 362016, 991, 0, 0 },
    { 362046, 991, 0, 0 },
    { 362075, 991, 0, 0 },
    { 362105, 991, 0, 1 },
    { 362134, 991, 0, 0 },
    { 362164, 991, 0, 0 },
    { 362193, 991, 0, 0 },
    { 362222, 991, 0, 0 },
    { 362252, 991, 0, 0 },
    { 362281, 991, 0, 0 },
    { 362311, 991, 0, 0 },
    { 362341, 992, 1, 0 },
    { 362370, 992, 0, 0 },
    { 362400, 992, 0, 0 },
    { 362429, 992, 0, 0 },
    { 362459, 992, 0, 0 },
    { 362489, 992, 0, 0 },
    { 362518, 992, 0, 0 },
    { 362548, 992, 0, 0 },
    { 362577, 992, 0, 0 },
    { 362607, 992, 0, 0 },
    { 362636, 992, 0, 0 },
    { 362665, 992, 0, 0 },
    { 362695, 993, 1, 0 },
    { 362724, 993, 0, 0 },
    { 362754, 993, 0, 0 },
    { 362784, 993, 0, 0 },
    { 362813, 993, 0, 0 },
    { 362843, 993, 0, 0 },
    { 362872, 993, 0, 0 },
    { 362902, 993, 0, 0 },
    { 362932, 993, 0, 0 },
    { 362961, 993, 0, 0 },
    { 362991, 993, 0, 0 },
    { 363020, 993, 0, 0 },
    { 363050, 994, 1, 0 },
    { 363079, 994, 0, 1 },
    { 363108, 994, 0, 0 },
    { 363138, 994, 0, 0 },
    { 363167, 994, 0, 0 },
    { 363197, 994, 0, 0 },
    { 363226, 994, 0, 0 },
    { 363256, 994, 0, 0 },
    { 363286, 994, 0, 0 },
    { 363315, 994, 0, 0 },
    { 363345, 994, 0, 0 },
    { 363375, 994, 0, 0 },
    { 363404, 994, 0, 0 },
    { 363434, 995, 1, 0 },
    { 363463, 995, 0, 0 },
    { 363492, 995, 0, 0 },
    { 363522, 995, 0, 0 },
    { 363551, 995, 0, 0 },
    { 363581, 995, 0, 0 },
    { 363610, 995, 0, 0 },
    { 363640, 995, 0, 0 },
    { 363669, 995, 0, 0 },
    { 363699, 995, 0, 0 },
    { 363729, 995, 0, 0 },
    { 363759, 995, 0, 0 },
    { 363788, 996, 1, 0 },
    { 363818, 996, 0, 0 },
    { 363847, 996, 0, 0 },
    { 363876, 996, 0, 0 },
    { 363906, 996, 0, 0 },
    { 363935, 996, 0, 0 },
    { 363964, 996, 0, 0 },
    { 363994, 996, 0, 0 },
    { 364024, 996, 0, 0 },
    { 364053, 996, 0, 1 },
    { 364083, 996, 0, 0 },
    { 364112, 996, 0, 0 },
    { 364142, 996, 0, 0 },
    { 364172, 997, 1, 0 },
    { 364202, 997, 0, 0 },
    { 364231, 997, 0, 0 },
    { 364260, 997, 0, 0 },
    { 364290, 997, 0, 0 },
    { 364319, 997, 0, 0 },
    { 364348, 997, 0, 0 },
    { 364378, 997, 0, 0 },
    { 364407, 997, 0, 0 },
    { 364437, 997, 0, 0 },
    { 364467, 997, 0, 0 },
    { 364497, 997, 0, 0 },
    { 364526, 998, 1, 0 },
    { 364556, 998, 0, 0 },
    { 364586, 998, 0, 0 },
    { 364615, 998, 0, 0 },
    { 364644, 998, 0, 0 },
    { 364674, 998, 0, 0 },
    { 364703, 998, 0, 0 },
    { 364732, 998, 0, 0 },
    { 364762, 998, 0, 0 },
    { 364791, 998, 0, 0 },
    { 364821, 998, 0, 0 },
    { 364851, 998, 0, 0 },
    { 364880, 999, 1, 0 },
    { 364910, 999, 0, 0 },
    { 364940, 999, 0, 0 },
    { 364969, 999, 0, 0 },
    { 364999, 999, 0, 0 },
    { 365028, 999, 0, 0 },
    { 365058, 999, 0, 1 },
    { 365087, 999, 0, 0 },
    { 365116, 999, 0, 0 },
    { 365146, 999, 0, 0 },
    { 365175, 999, 0, 0 },
    { 365205, 999, 0, 0 },
    { 365234, 999, 0, 0 },
    { 365264, 1000, 1, 0 },
    { 365294, 1000, 0, 0 },
    { 365324, 1000, 0, 0 },
    { 365353, 1000, 0, 0 },
    { 365383, 1000, 0, 0 },
    { 365412, 1000, 0, 0 },
    { 365442, 1000, 0, 0 },
    { 365471, 1000, 0, 0 },
    { 365500, 1000, 0, 0 },
    { 365530, 1000, 0, 0 },
    { 365559, 1000, 0, 0 },
    { 365589, 1000, 0, 0 },
    { 365618, 1001, 1, 0 },
    { 365648, 1001, 0, 0 },
    { 365678, 1001, 0, 0 },
    { 365707, 1001, 0, 0 },
    { 365737, 1001, 0, 0 },
    { 365767, 1001, 0, 0 },
    { 365796, 1001, 0, 0 },
    { 365826, 1001, 0, 0 },
    { 365855, 1001, 0, 0 },
    { 365884, 1001, 0, 0 },
    { 365914, 1001, 0, 0 },
    { 365943, 1001, 0, 0 },
    { 365973, 1002, 1, 0 },
    { 366002, 1002, 0, 0 },
    { 366032, 1002, 0, 1 },
    { 366061, 1002, 0, 0 },
    { 366091, 1002, 0, 0 },
    { 366121, 1002, 0, 0 },
    { 366150, 1002, 0, 0 },
    { 366180, 1002, 0, 0 },
    { 366209, 1002, 0, 0 },
    { 366239, 1002, 0, 0 },
    { 366269, 1002, 0, 0 },
    { 366298, 1002, 0, 0 },
    { 366328, 1002, 0, 0 },
    { 366357, 1003, 1, 0 },
    { 366386, 1003, 0, 0 },
    { 366416, 1003, 0, 0 },
    { 366445, 1003, 0, 0 },
    { 366475, 1003, 0, 0 },
    { 366504, 1003, 0, 0 },
    { 366534, 1003, 0, 0 },
    { 366564, 1003, 0, 0 },
    { 366593, 1003, 0, 0 },
    { 366623, 1003, 0, 0 },
    { 366653, 1003, 0, 0 },
    { 366682, 1003, 0, 0 },
    { 366712, 1004, 1, 0 },
    { 366741, 1004, 0, 0 },
    { 366770, 1004, 0, 0 },
    { 366800, 1004, 0, 0 },
    { 366829, 1004, 0, 0 },
    { 366859, 1004, 0, 0 },
    { 366888, 1004, 0, 0 },
    { 366918, 1004, 0, 0 },
    { 366947, 1004, 0, 0 },
    { 366977, 1004, 0, 0 },
    { 367006, 1004, 0, 1 },
    { 367035, 1004, 0, 0 },
    { 367065, 1004, 0, 0 },
    { 367095, 1005, 1, 0 },
    { 367125, 1005, 0, 0 },
    { 367154, 1005, 0, 0 },
    { 367184, 1005, 0, 0 },
    { 367213, 1005, 0, 0 },
    { 367242, 1005, 0, 0 },
    { 367272, 1005, 0, 0 },
    { 367301, 1005, 0, 0 },
    { 367331, 1005, 0, 0 },
    { 367361, 1005, 0, 0 },
    { 367391, 1005, 0, 0 },
    { 367420, 1005, 0, 0 },
    { 367450, 1006, 1, 0 },
    { 367480, 1006, 0, 0 },
    { 367509, 1006, 0, 0 },
    { 367538, 1006, 0, 0 },
    { 367568, 1006, 0, 0 },
    { 367597, 1006, 0, 0 },
    { 367626, 1006, 0, 0 },
    { 367656, 1006, 0, 0 },
    { 367685, 1006, 0, 0 },
    { 367715, 1006, 0, 0 },
    { 367745, 1006, 0, 0 },
    { 367774, 1006, 0, 0 },
    { 367804, 1007, 1, 0 },
    { 367834, 1007, 0, 0 },
    { 367864, 1007, 0, 0 },
    { 367893, 1007, 0, 0 },
    { 367922, 1007, 0, 0 },
    { 367952, 1007, 0, 0 },
    { 367981, 1007, 0, 0 },
    { 368010, 1007, 0, 0 },
    { 368040, 1007, 0, 1 },
    { 368069, 1007, 0, 0 },
    { 368099, 1007, 0, 0 },
    { 368128, 1007, 0, 0 },
    { 368158, 1007, 0, 0 },
    { 368188, 1008, 1, 0 },
    { 368218, 1008, 0, 0 },
    { 368247, 1008, 0, 0 },
    { 368277, 1008, 0, 0 },
    { 368306, 1008, 0, 0 },
    { 368336, 1008, 0, 0 },
    { 368365, 1008, 0, 0 },
    { 368394, 1008, 0, 0 },
    { 368424, 1008, 0, 0 },
    { 368453, 1008, 0, 0 },
    { 368483, 1008, 0, 0 },
    { 368512, 1008, 0, 0 },
    { 368542, 1009, 1, 0 },
    { 368572, 1009, 0, 0 },
    { 368601, 1009, 0, 0 },
    { 368631, 1009, 0, 0 },
    { 368661, 1009, 0, 0 },
    { 368690, 1009, 0, 0 },
    { 368720, 1009, 0, 0 },
    { 368749, 1009, 0, 0 },
    { 368778, 1009, 0, 0 },
    { 368808, 1009, 0, 0 },
    { 368837, 1009, 0, 0 },
    { 368867, 1009, 0, 0 },
    { 368896, 1010, 1, 0 },
    { 368926, 1010, 0, 0 },
    { 368955, 1010, 0, 0 },
    { 368985, 1010, 0, 0 },
    { 369015, 1010, 0, 1 },
    { 369044, 1010, 0, 0 },
    { 369074, 1010, 0, 0 },
    { 369103, 1010, 0, 0 },
    { 369133, 1010, 0, 0 },
    { 369162, 1010, 0, 0 },
    { 369192, 1010, 0, 0 },
    { 369221, 1010, 0, 0 },
    { 369251, 1010, 0, 0 },
    { 369280, 1011, 1, 0 },
    { 369310, 1011, 0, 0 },
    { 369339, 1011, 0, 0 },
    { 369369, 1011, 0, 0 },
    { 369398, 1011, 0, 0 },
    { 369428, 1011, 0, 0 },
    { 369458, 1011, 0, 0 },
    { 369487, 1011, 0, 0 },
    { 369517, 1011, 0, 0 },
    { 369546, 1011, 0, 0 },
    { 369576, 1011, 0, 0 },
    { 369605, 1011, 0, 0 },
    { 369635, 1012, 1, 0 },
    { 369664, 1012, 0, 0 },
    { 369694, 1012, 0, 0 },
    { 369723, 1012, 0, 0 },
    { 369753, 1012, 0, 0 },
    { 369782, 1012, 0, 0 },
    { 369812, 1012, 0, 0 },
    { 369841, 1012, 0, 0 },
    { 369871, 1012, 0, 0 },
    { 369901, 1012, 0, 0 },
    { 369930, 1012, 0, 0 },
    { 369960, 1012, 0, 0 },
    { 369990, 1013, 1, 0 },
    { 370019, 1013, 0, 1 },
    { 370048, 1013, 0, 0 },
    { 370078, 1013, 0, 0 },
    { 370107, 1013, 0, 0 },
    { 370136, 1013, 0, 0 },
    { 370166, 1013, 0, 0 },
    { 370195, 1013, 0, 0 },
    { 370225, 1013, 0, 0 },
    { 370255, 1013, 0, 0 },
    { 370285, 1013, 0, 0 },
    { 370314, 1013, 0, 0 },
    { 370344, 1013, 0, 0 },
    { 370374, 1014, 1, 0 },
    { 370403, 1014, 0, 0 },
    { 370432, 1014, 0, 0 },
    { 370462, 1014, 0, 0 },
    { 370491, 1014, 0, 0 },
    { 370520, 1014, 0, 0 },
    { 370550, 1014, 0, 0 },
    { 370579, 1014, 0, 0 },
    { 370609, 1014, 0, 0 },
    { 370639, 1014, 0, 0 },
    { 370668, 1014, 0, 0 },
    { 370698, 1014, 0, 0 },
    { 370728, 1015, 1, 0 },
    { 370758, 1015, 0, 0 },
    { 370787, 1015, 0, 0 },
    { 370816, 1015, 0, 0 },
    { 370846, 1015, 0, 0 },
    { 370875, 1015, 0, 0 },
    { 370904, 1015, 0, 0 },
    { 370934, 1015, 0, 0 },
    { 370963, 1015, 0, 0 },
    { 370993, 1015, 0, 1 },
    { 371022, 1015, 0, 0 },
    { 371052, 1015, 0, 0 },
    { 371082, 1015, 0, 0 },
    { 371112, 1016, 1, 0 },
    { 371141, 1016, 0, 0 },
    { 371171, 1016, 0, 0 },
    { 371200, 1016, 0, 0 },
    { 371230, 1016, 0, 0 },
    { 371259, 1016, 0, 0 },
    { 371288, 1016, 0, 0 },
    { 371318, 1016, 0, 0 },
    { 371347, 1016, 0, 0 },
    { 371377, 1016, 0, 0 },
    { 371406, 1016, 0, 0 },
    { 371436, 1016, 0, 0 },
    { 371466, 1017, 1, 0 },
    { 371495, 1017, 0, 0 },
    { 371525, 1017, 0, 0 },
    { 371555, 1017, 0, 0 },
    { 371584, 1017, 0, 0 },
    { 371614, 1017, 0, 0 },
    { 371643, 1017, 0, 0 },
    { 371672, 1017, 0, 0 },
    { 371702, 1017, 0, 0 },
    { 371731, 1017, 0, 0 },
    { 371761, 1017, 0, 0 },
    { 371790, 1017, 0, 0 },
    { 371820, 1018, 1, 0 },
    { 371849, 1018, 0, 0 },
    { 371879, 1018, 0, 0 },
    { 371909, 1018, 0, 0 },
    { 371939, 1018, 0, 0 },
    { 371968, 1018, 0, 0 },
    { 371998, 1018, 0, 1 },
    { 372027, 1018, 0, 0 },
    { 372056, 1018, 0, 0 },
    { 372086, 1018, 0, 0 },
    { 372115, 1018, 0, 0 },
    { 372145, 1018, 0, 0 },
    { 372174, 1018, 0, 0 },
    { 372204, 1019, 1, 0 },
    { 372233, 1019, 0, 0 },
    { 372263, 1019, 0, 0 },
    { 372293, 1019, 0, 0 },
    { 372322, 1019, 0, 0 },
    { 372352, 1019, 0, 0 },
    { 372381, 1019, 0, 0 },
    { 372411, 1019, 0, 0 },
    { 372440, 1019, 0, 0 },
    { 372470, 1019, 0, 0 },
    { 372499, 1019, 0, 0 },
    { 372529, 1019, 0, 0 },
    { 372558, 1020, 1, 0 },
    { 372588, 1020, 0, 0 },
    { 372617, 1020, 0, 0 },
    { 372647, 1020, 0, 0 },
    { 372676, 1020, 0, 0 },
    { 372706, 1020, 0, 0 },
    { 372735, 1020, 0, 0 },
    { 372765, 1020, 0, 0 },
    { 372795, 1020, 0, 0 },
    { 372824, 1020, 0, 0 },
    { 372854, 1020, 0, 0 },
    { 372883, 1020, 0, 0 },
    { 372913, 1021, 1, 0 },
    { 372942, 1021, 0, 0 },
    { 372972, 1021, 0, 1 },
    { 373001, 1021, 0, 0 },
    { 373031, 1021, 0, 0 },
    { 373060, 1021, 0, 0 },
    { 373090, 1021, 0, 0 },
    { 373119, 1021, 0, 0 },
    { 373149, 1021, 0, 0 },
    { 373179, 1021, 0, 0 },
    { 373208, 1021, 0, 0 },
    { 373238, 1021, 0, 0 },
    { 373267, 1021, 0, 0 },
    { 373297, 1022, 1, 0 },
    { 373326, 1022, 0, 0 },
    { 373356, 1022, 0, 0 },
    { 373385, 1022, 0, 0 },
    { 373414, 1022, 0, 0 },
    { 373444, 1022, 0, 0 },
    { 373473, 1022, 0, 0 },
    { 373503, 1022, 0, 0 },
    { 373533, 1022, 0, 0 },
    { 373562, 1022, 0, 0 },
    { 373592, 1022, 0, 0 },
    { 373622, 1022, 0, 0 },
    { 373651, 1023, 1, 0 },
    { 373681, 1023, 0, 0 },
    { 373710, 1023, 0, 0 },
    { 373740, 1023, 0, 0 },
    { 373769, 1023, 0, 0 },
    { 373798, 1023, 0, 0 },
    { 373828, 1023, 0, 0 },
    { 373857, 1023, 0, 0 },
    { 373887, 1023, 0, 0 },
    { 373916, 1023, 0, 0 },
    { 373946, 1023, 0, 1 },
    { 373975, 1023, 0, 0 },
    { 374005, 1023, 0, 0 },
    { 374035, 1024, 1, 0 },
    { 374065, 1024, 0, 0 },
    { 374094, 1024, 0, 0 },
    { 374124, 1024, 0, 0 },
    { 374153, 1024, 0, 0 },
    { 374182, 1024, 0, 0 },
    { 374212, 1024, 0, 0 },
    { 374241, 1024, 0, 0 },
    { 374271, 1024, 0, 0 },
    { 374300, 1024, 0, 0 },
    { 374330, 1024, 0, 0 },
    { 374360, 1024, 0, 0 },
    { 374390, 1025, 1, 0 },
    { 374419, 1025, 0, 0 },
    { 374449, 1025, 0, 0 },
    { 374478, 1025, 0, 0 },
    { 374508, 1025, 0, 0 },
    { 374537, 1025, 0, 0 },
    { 374566, 1025, 0, 0 },
    { 374596, 1025, 0, 0 },
    { 374625, 1025, 0, 0 },
    { 374654, 1025, 0, 0 },
    { 374684, 1025, 0, 0 },
    { 374714, 1025, 0, 0 },
    { 374743, 1026, 1, 0 },
    { 374773, 1026, 0, 0 },
    { 374803, 1026, 0, 0 },
    { 374833, 1026, 0, 0 },
    { 374862, 1026, 0, 0 },
    { 374892, 1026, 0, 0 },
    { 374921, 1026, 0, 0 },
    { 374950, 1026, 0, 0 },
    { 374980, 1026, 0, 1 },
    { 375009, 1026, 0, 0 },
    { 375038, 1026, 0, 0 },
    { 375068, 1026, 0, 0 },
    { 375098, 1026, 0, 0 },
    { 375127, 1027, 1, 0 },
    { 375157, 1027, 0, 0 },
    { 375187, 1027, 0, 0 },
    { 375216, 1027, 0, 0 },
    { 375246, 1027, 0, 0 },
    { 375275, 1027, 0, 0 },
    { 375305, 1027, 0, 0 },
    { 375334, 1027, 0, 0 },
    { 375364, 1027, 0, 0 },
    { 375393, 1027, 0, 0 },
    { 375423, 1027, 0, 0 },
    { 375452, 1027, 0, 0 },
    { 375482, 1028, 1, 0 },
    { 375511, 1028, 0, 0 },
    { 375541, 1028, 0, 0 },
    { 375570, 1028, 0, 0 },
    { 375600, 1028, 0, 0 },
    { 375630, 1028, 0, 0 },
    { 375660, 1028, 0, 0 },
    { 375689, 1028, 0, 0 },
    { 375718, 1028, 0, 0 },
    { 375748, 1028, 0, 0 },
    { 375777, 1028, 0, 0 },
    { 375807, 1028, 0, 0 },
    { 375836, 1029, 1, 0 },
    { 375866, 1029, 0, 0 },
    { 375895, 1029, 0, 0 },
    { 375925, 1029, 0, 0 },
    { 375954, 1029, 0, 0 },
    { 375984, 1029, 0, 1 },
    { 376013, 1029, 0, 0 },
    { 376043, 1029, 0, 0 },
    { 376073, 1029, 0, 0 },
    { 376102, 1029, 0, 0 },
    { 376132, 1029, 0, 0 },
    { 376161, 1029, 0, 0 },
    { 376191, 1029, 0, 0 },
    { 376220, 1030, 1, 0 },
    { 376250, 1030, 0, 0 },
    { 376279, 1030, 0, 0 },
    { 376308, 1030, 0, 0 },
    { 376338, 1030, 0, 0 },
    { 376367, 1030, 0, 0 },
    { 376397, 1030, 0, 0 },
    { 376427, 1030, 0, 0 },
    { 376456, 1030, 0, 0 },
    { 376486, 1030, 0, 0 },
    { 376516, 1030, 0, 0 },
    { 376545, 1030, 0, 0 },
    { 376575, 1031, 1, 0 },
    { 376604, 1031, 0, 0 },
    { 376634, 1031, 0, 0 },
    { 376663, 1031, 0, 0 },
    { 376692, 1031, 0, 0 },
    { 376722, 1031, 0, 0 },
    { 376751, 1031, 0, 0 },
    { 376781, 1031, 0, 0 },
    { 376810, 1031, 0, 0 },
    { 376840, 1031, 0, 0 },
    { 376870, 1031, 0, 0 },
    { 376900, 1031, 0, 0 },
    { 376929, 1032, 1, 0 },
    { 376959, 1032, 0, 1 },
    { 376988, 1032, 0, 0 },
    { 377018, 1032, 0, 0 },
    { 377047, 1032, 0, 0 },
    { 377076, 1032, 0, 0 },
    { 377106, 1032, 0, 0 },
    { 377135, 1032, 0, 0 },
    { 377165, 1032, 0, 0 },
    { 377194, 1032, 0, 0 },
    { 377224, 1032, 0, 0 },
    { 377254, 1032, 0, 0 },
    { 377283, 1032, 0, 0 },
    { 377313, 1033, 1, 0 },
    { 377343, 1033, 0, 0 },
    { 377372, 1033, 0, 0 },
    { 377402, 1033, 0, 0 },
    { 377431, 1033, 0, 0 },
    { 377460, 1033, 0, 0 },
    { 377490, 1033, 0, 0 },
    { 377519, 1033, 0, 0 },
    { 377548, 1033, 0, 0 },
    { 377578, 1033, 0, 0 },
    { 377608, 1033, 0, 0 },
    { 377637, 1033, 0, 0 },
    { 377667, 1034, 1, 0 },
    { 377697, 1034, 0, 0 },
    { 377727, 1034, 0, 0 },
    { 377756, 1034, 0, 0 },
    { 377786, 1034, 0, 0 },
    { 377815, 1034, 0, 0 },
    { 377844, 1034, 0, 0 },
    { 377874, 1034, 0, 0 },
    { 377903, 1034, 0, 0 },
    { 377932, 1034, 0, 1 },
    { 377962, 1034, 0, 0 },
    { 377991, 1034, 0, 0 },
    { 378021, 1034, 0, 0 },
    { 378051, 1035, 1, 0 },
    { 378081, 1035, 0, 0 },
    { 378110, 1035, 0, 0 },
    { 378140, 1035, 0, 0 },
    { 378170, 1035, 0, 0 },
    { 378199, 1035, 0, 0 },
    { 378228, 1035, 0, 0 },
    { 378258, 1035, 0, 0 },
    { 378287, 1035, 0, 0 },
    { 378316, 1035, 0, 0 },
    { 378346, 1035, 0, 0 },
    { 378376, 1035, 0, 0 },
    { 378405, 1036, 1, 0 },
    { 378435, 1036, 0, 0 },
    { 378464, 1036, 0, 0 },
    { 378494, 1036, 0, 0 },
    { 378524, 1036, 0, 0 },
    { 378553, 1036, 0, 0 },
    { 378583, 1036, 0, 0 },
    { 378612, 1036, 0, 0 },
    { 378642, 1036, 0, 0 },
    { 378671, 1036, 0, 0 },
    { 378701, 1036, 0, 0 },
    { 378730, 1036, 0, 0 },
    { 378760, 1037, 1, 0 },
    { 378789, 1037, 0, 0 },
    { 378819, 1037, 0, 0 },
    { 378848, 1037, 0, 0 },
    { 378878, 1037, 0, 0 },
    { 378907, 1037, 0, 0 },
    { 378937, 1037, 0, 0 },
    { 378967, 1037, 0, 1 },
    { 378996, 1037, 0, 0 },
    { 379026, 1037, 0, 0 },
    { 379055, 1037, 0, 0 },
    { 379085, 1037, 0, 0 },
    { 379114, 1037, 0, 0 },
    { 379144, 1038, 1, 0 },
    { 379173, 1038, 0, 0 },
    { 379202, 1038, 0, 0 },
    { 379232, 1038, 0, 0 },
    { 379262, 1038, 0, 0 },
    { 379291, 1038, 0, 0 },
    { 379321, 1038, 0, 0 },
    { 379350, 1038, 0, 0 },
    { 379380, 1038, 0, 0 },
    { 379410, 1038, 0, 0 },
    { 379439, 1038, 0, 0 },
    { 379469, 1038, 0, 0 },
    { 379498, 1039, 1, 0 },
    { 379528, 1039, 0, 0 },
    { 379557, 1039, 0, 0 },
    { 379586, 1039, 0, 0 },
    { 379616, 1039, 0, 0 },
    { 379645, 1039, 0, 0 },
    { 379675, 1039, 0, 0 },
    { 379704, 1039, 0, 0 },
    { 379734, 1039, 0, 0 },
    { 379764, 1039, 0, 0 },
    { 379794, 1039, 0, 0 },
    { 379823, 1039, 0, 0 },
    { 379853, 1040, 1, 0 },
    { 379882, 1040, 0, 0 },
    { 379912, 1040, 0, 0 },
    { 379941, 1040, 0, 1 },
    { 379970, 1040, 0, 0 },
    { 380000, 1040, 0, 0 },
    { 380029, 1040, 0, 0 },
    { 380059, 1040, 0, 0 },
    { 380088, 1040, 0, 0 },
    { 380118, 1040, 0, 0 },
    { 380148, 1040, 0, 0 },
    { 380177, 1040, 0, 0 },
    { 380207, 1040, 0, 0 },
    { 380237, 1041, 1, 0 },
    { 380266, 1041, 0, 0 },
    { 380296, 1041, 0, 0 },
    { 380325, 1041, 0, 0 },
    { 380354, 1041, 0, 0 },
    { 380384, 1041, 0, 0 },
    { 380413, 1041, 0, 0 },
    { 380442, 1041, 0, 0 },
    { 380472, 1041, 0, 0 },
    { 380502, 1041, 0, 0 },
    { 380531, 1041, 0, 0 },
    { 380561, 1041, 0, 0 },
    { 380591, 1042, 1, 0 },
    { 380621, 1042, 0, 0 },
    { 380650, 1042, 0, 0 },
    { 380680, 1042, 0, 0 },
    { 380709, 1042, 0, 0 },
    { 380738, 1042, 0, 0 },
    { 380768, 1042, 0, 0 },
    { 380797, 1042, 0, 0 },
    { 380826, 1042, 0, 0 },
    { 380856, 1042, 0, 0 },
    { 380886, 1042, 0, 0 },
    { 380915, 1042, 0, 1 },
    { 380945, 1042, 0, 0 },
    { 380975, 1043, 1, 0 },
    { 381005, 1043, 0, 0 },
    { 381034, 1043, 0, 0 },
    { 381064, 1043, 0, 0 },
    { 381093, 1043, 0, 0 },
    { 381122, 1043, 0, 0 },
    { 381152, 1043, 0, 0 },
    { 381181, 1043, 0, 0 },
    { 381210, 1043, 0, 0 },
    { 381240, 1043, 0, 0 },
    { 381269, 1043, 0, 0 },
    { 381299, 1043, 0, 0 },
    { 381329, 1044, 1, 0 },
    { 381359, 1044, 0, 0 },
    { 381388, 1044, 0, 0 },
    { 381418, 1044, 0, 0 },
    { 381447, 1044, 0, 0 },
    { 381477, 1044, 0, 0 },
    { 381506, 1044, 0, 0 },
    { 381536, 1044, 0, 0 },
    { 381565, 1044, 0, 0 },
    { 381594, 1044, 0, 0 },
    { 381624, 1044, 0, 0 },
    { 381653, 1044, 0, 0 },
    { 381683, 1045, 1, 0 },
    { 381713, 1045, 0, 0 },
    { 381742, 1045, 0, 0 },
    { 381772, 1045, 0, 0 },
    { 381802, 1045, 0, 0 },
    { 381831, 1045, 0, 0 },
    { 381861, 1045, 0, 0 },
    { 381890, 1045, 0, 0 },
    { 381920, 1045, 0, 1 },
    { 381949, 1045, 0, 0 },
    { 381979, 1045, 0, 0 },
    { 382008, 1045, 0, 0 },
    { 382037, 1045, 0, 0 },
    { 382067, 1046, 1, 0 },
    { 382097, 1046, 0, 0 },
    { 382126, 1046, 0, 0 },
    { 382156, 1046, 0, 0 },
    { 382185, 1046, 0, 0 },
    { 382215, 1046, 0, 0 },
    { 382245, 1046, 0, 0 },
    { 382274, 1046, 0, 0 },
    { 382304, 1046, 0, 0 },
    { 382333, 1046, 0, 0 },
    { 382363, 1046, 0, 0 },
    { 382392, 1046, 0, 0 },
    { 382422, 1047, 1, 0 },
    { 382451, 1047, 0, 0 },
    { 382480, 1047, 0, 0 },
    { 382510, 1047, 0, 0 },
    { 382539, 1047, 0, 0 },
    { 382569, 1047, 0, 0 },
    { 382599, 1047, 0, 0 },
    { 382628, 1047, 0, 0 },
    { 382658, 1047, 0, 0 },
    { 382688, 1047, 0, 0 },
    { 382717, 1047, 0, 0 },
    { 382747, 1047, 0, 0 },
    { 382776, 1048, 1, 0 },
    { 382806, 1048, 0, 0 },
    { 382835, 1048, 0, 0 },
    { 382864, 1048, 0, 0 },
    { 382894, 1048, 0, 1 },
    { 382923, 1048, 0, 0 },
    { 382953, 1048, 0, 0 },
    { 382982, 1048, 0, 0 },
    { 383012, 1048, 0, 0 },
    { 383042, 1048, 0, 0 },
    { 383071, 1048, 0, 0 },
    { 383101, 1048, 0, 0 },
    { 383131, 1048, 0, 0 },
    { 383160, 1049, 1, 0 },
    { 383190, 1049, 0, 0 },
    { 383219, 1049, 0, 0 },
    { 383248, 1049, 0, 0 },
    { 383278, 1049, 0, 0 },
    { 383307, 1049, 0, 0 },
    { 383336, 1049, 0, 0 },
    { 383366, 1049, 0, 0 },
    { 383396, 1049, 0, 0 },
    { 383425, 1049, 0, 0 },
    { 383455, 1049, 0, 0 },
    { 383485, 1049, 0, 0 },
    { 383515, 1050, 1, 0 },
    { 383544, 1050, 0, 0 },
    { 383574, 1050, 0, 0 },
    { 383603, 1050, 0, 0 },
    { 383632, 1050, 0, 0 },
    { 383662, 1050, 0, 0 },
    { 383691, 1050, 0, 0 },
    { 383720, 1050, 0, 0 },
    { 383750, 1050, 0, 0 },
    { 383779, 1050, 0, 0 },
    { 383809, 1050, 0, 0 },
    { 383839, 1050, 0, 0 },
    { 383869, 1051, 1, 0 },
    { 383899, 1051, 0, 0 },
    { 383928, 1051, 0, 1 },
    { 383958, 1051, 0, 0 },
    { 383987, 1051, 0, 0 },
    { 384016, 1051, 0, 0 },
    { 384046, 1051, 0, 0 },
    { 384075, 1051, 0, 0 },
    { 384104, 1051, 0, 0 },
    { 384134, 1051, 0, 0 },
    { 384163, 1051, 0, 0 },
    { 384193, 1051, 0, 0 },
    { 384223, 1051, 0, 0 },
    { 384253, 1052, 1, 0 },
    { 384282, 1052, 0, 0 },
    { 384312, 1052, 0, 0 },
    { 384342, 1052, 0, 0 },
    { 384371, 1052, 0, 0 },
    { 384400, 1052, 0, 0 },
    { 384430, 1052, 0, 0 },
    { 384459, 1052, 0, 0 },
    { 384488, 1052, 0, 0 },
    { 384518, 1052, 0, 0 },
    { 384547, 1052, 0, 0 },
    { 384577, 1052, 0, 0 },
    { 384607, 1053, 1, 0 },
    { 384636, 1053, 0, 0 },
    { 384666, 1053, 0, 0 },
    { 384696, 1053, 0, 0 },
    { 384725, 1053, 0, 0 },
    { 384755, 1053, 0, 0 },
    { 384784, 1053, 0, 0 },
    { 384814, 1053, 0, 0 },
    { 384843, 1053, 0, 0 },
    { 384872, 1053, 0, 0 },
    { 384902, 1053, 0, 1 },
    { 384931, 1053, 0, 0 },
    { 384961, 1053, 0, 0 },
    { 384990, 1054, 1, 0 },
    { 385020, 1054, 0, 0 },
    { 385050, 1054, 0, 0 },
    { 385079, 1054, 0, 0 },
    { 385109, 1054, 0, 0 },
    { 385139, 1054, 0, 0 },
    { 385168, 1054, 0, 0 },
    { 385198, 1054, 0, 0 },
    { 385227, 1054, 0, 0 },
    { 385256, 1054, 0, 0 },
    { 385286, 1054, 0, 0 },
    { 385315, 1054, 0, 0 },
    { 385345, 1055, 1, 0 },
    { 385374, 1055, 0, 0 },
    { 385404, 1055, 0, 0 },
    { 385434, 1055, 0, 0 },
    { 385463, 1055, 0, 0 },
    { 385493, 1055, 0, 0 },
    { 385522, 1055, 0, 0 },
    { 385552, 1055, 0, 0 },
    { 385582, 1055, 0, 0 },
    { 385611, 1055, 0, 0 },
    { 385641, 1055, 0, 0 },
    { 385670, 1055, 0, 0 },
    { 385699, 1056, 1, 0 },
    { 385729, 1056, 0, 0 },
    { 385758, 1056, 0, 0 },
    { 385788, 1056, 0, 0 },
    { 385817, 1056, 0, 0 },
    { 385847, 1056, 0, 0 },
    { 385876, 1056, 0, 1 },
    { 385906, 1056, 0, 0 },
    { 385936, 1056, 0, 0 },
    { 385965, 1056, 0, 0 },
    { 385995, 1056, 0, 0 },
    { 386025, 1056, 0, 0 },
    { 386054, 1056, 0, 0 },
    { 386084, 1057, 1, 0 },
    { 386113, 1057, 0, 0 },
    { 386142, 1057, 0, 0 },
    { 386172, 1057, 0, 0 },
    { 386201, 1057, 0, 0 },
    { 386231, 1057, 0, 0 },
    { 386260, 1057, 0, 0 },
    { 386290, 1057, 0, 0 },
    { 386319, 1057, 0, 0 },
    { 386349, 1057, 0, 0 },
    { 386379, 1057, 0, 0 },
    { 386409, 1057, 0, 0 },
    { 386438, 1058, 1, 0 },
    { 386468, 1058, 0, 0 },
    { 386497, 1058, 0, 0 },
    { 386526, 1058, 0, 0 },
    { 386556, 1058, 0, 0 },
    { 386585, 1058, 0, 0 },
    { 386614, 1058, 0, 0 },
    { 386644, 1058, 0, 0 },
    { 386674, 1058, 0, 0 },
    { 386703, 1058, 0, 0 },
    { 386733, 1058, 0, 0 },
    { 386763, 1058, 0, 0 },
    { 386793, 1059, 1, 0 },
    { 386822, 1059, 0, 0 },
    { 386852, 1059, 0, 0 },
    { 386881, 1059, 0, 1 },
    { 386910, 1059, 0, 0 },
    { 386940, 1059, 0, 0 },
    { 386969, 1059, 0, 0 },
    { 386998, 1059, 0, 0 },
    { 387028, 1059, 0, 0 },
    { 387057, 1059, 0, 0 },
    { 387087, 1059, 0, 0 },
    { 387117, 1059, 0, 0 },
    { 387147, 1059, 0, 0 },
    { 387176, 1060, 1, 0 },
    { 387206, 1060, 0, 0 },
    { 387236, 1060, 0, 0 },
    { 387265, 1060, 0, 0 },
    { 387294, 1060, 0, 0 },
    { 387324, 1060, 0, 0 },
    { 387353, 1060, 0, 0 },
    { 387382, 1060, 0, 0 },
    { 387412, 1060, 0, 0 },
    { 387441, 1060, 0, 0 },
    { 387471, 1060, 0, 0 },
    { 387501, 1060, 0, 0 },
    { 387530, 1061, 1, 0 },
    { 387560, 1061, 0, 0 },
    { 387590, 1061, 0, 0 },
    { 387619, 1061, 0, 0 },
    { 387649, 1061, 0, 0 },
    { 387678, 1061, 0, 0 },
    { 387708, 1061, 0, 0 },
    { 387737, 1061, 0, 0 },
    { 387766, 1061, 0, 0 },
    { 387796, 1061, 0, 0 },
    { 387825, 1061, 0, 0 },
    { 387855, 1061, 0, 1 },
    { 387884, 1061, 0, 0 },
    { 387914, 1062, 1, 0 },
    { 387944, 1062, 0, 0 },
    { 387974, 1062, 0, 0 },
    { 388003, 1062, 0, 0 },
    { 388033, 1062, 0, 0 },
    { 388062, 1062, 0, 0 },
    { 388092, 1062, 0, 0 },
    { 388121, 1062, 0, 0 },
    { 388150, 1062, 0, 0 },
    { 388180, 1062, 0, 0 },
    { 388209, 1062, 0, 0 },
    { 388239, 1062, 0, 0 },
    { 388268, 1063, 1, 0 },
    { 388298, 1063, 0, 0 },
    { 388328, 1063, 0, 0 },
    { 388357, 1063, 0, 0 },
    { 388387, 1063, 0, 0 },
    { 388416, 1063, 0, 0 },
    { 388446, 1063, 0, 0 },
    { 388476, 1063, 0, 0 },
    { 388505, 1063, 0, 0 },
    { 388534, 1063, 0, 0 },
    { 388564, 1063, 0, 0 },
    { 388593, 1063, 0, 0 },
    { 388623, 1064, 1, 0 },
    { 388652, 1064, 0, 0 },
    { 388682, 1064, 0, 0 },
    { 388711, 1064, 0, 0 },
    { 388741, 1064, 0, 0 },
    { 388771, 1064, 0, 0 },
    { 388800, 1064, 0, 0 },
    { 388830, 1064, 0, 0 },
    { 388859, 1064, 0, 1 },
    { 388889, 1064, 0, 0 },
    { 388918, 1064, 0, 0 },
    { 388948, 1064, 0, 0 },
    { 388977, 1064, 0, 0 },
    { 389007, 1065, 1, 0 },
    { 389036, 1065, 0, 0 },
    { 389066, 1065, 0, 0 },
    { 389095, 1065, 0, 0 },
    { 389125, 1065, 0, 0 },
    { 389154, 1065, 0, 0 },
    { 389184, 1065, 0, 0 },
    { 389214, 1065, 0, 0 },
    { 389243, 1065, 0, 0 },
    { 389273, 1065, 0, 0 },
    { 389302, 1065, 0, 0 },
    { 389332, 1065, 0, 0 },
    { 389362, 1066, 1, 0 },
    { 389391, 1066, 0, 0 },
    { 389420, 1066, 0, 0 },
    { 389450, 1066, 0, 0 },
    { 389479, 1066, 0, 0 },
    { 389508, 1066, 0, 0 },
    { 389538, 1066, 0, 0 },
    { 389568, 1066, 0, 0 },
    { 389597, 1066, 0, 0 },
    { 389627, 1066, 0, 0 },
    { 389657, 1066, 0, 0 },
    { 389686, 1066, 0, 0 },
    { 389716, 1067, 1, 0 },
    { 389746, 1067, 0, 0 },
    { 389775, 1067, 0, 0 },
    { 389804, 1067, 0, 0 },
    { 389834, 1067, 0, 1 },
    { 389863, 1067, 0, 0 },
    { 389892, 1067, 0, 0 },
    { 389922, 1067, 0, 0 },
    { 389951, 1067, 0, 0 },
    { 389981, 1067, 0, 0 },
    { 390011, 1067, 0, 0 },
    { 390041, 1067, 0, 0 },
    { 390070, 1067, 0, 0 },
    { 390100, 1068, 1, 0 },
    { 390130, 1068, 0, 0 },
    { 390159, 1068, 0, 0 },
    { 390188, 1068, 0, 0 },
    { 390218, 1068, 0, 0 },
    { 390247, 1068, 0, 0 },
    { 390276, 1068, 0, 0 },
    { 390306, 1068, 0, 0 },
    { 390335, 1068, 0, 0 },
    { 390365, 1068, 0, 0 },
    { 390395, 1068, 0, 0 },
    { 390424, 1068, 0, 0 },
    { 390454, 1069, 1, 0 },
    { 390484, 1069, 0, 0 },
    { 390513, 1069, 0, 0 },
    { 390543, 1069, 0, 0 },
    { 390572, 1069, 0, 0 },
    { 390602, 1069, 0, 0 },
    { 390631, 1069, 0, 0 },
    { 390660, 1069, 0, 0 },
    { 390690, 1069, 0, 0 },
    { 390719, 1069, 0, 0 },
    { 390749, 1069, 0, 0 },
    { 390778, 1069, 0, 0 },
    { 390808, 1070, 1, 0 },
    { 390838, 1070, 0, 0 },
    { 390868, 1070, 0, 1 },
    { 390897, 1070, 0, 0 },
    { 390927, 1070, 0, 0 },
    { 390956, 1070, 0, 0 },
    { 390986, 1070, 0, 0 },
    { 391015, 1070, 0, 0 },
    { 391044, 1070, 0, 0 },
    { 391074, 1070, 0, 0 },
    { 391103, 1070, 0, 0 },
    { 391133, 1070, 0, 0 },
    { 391162, 1070, 0, 0 },
    { 391192, 1071, 1, 0 },
    { 391222, 1071, 0, 0 },
    { 391251, 1071, 0, 0 },
    { 391281, 1071, 0, 0 },
    { 391311, 1071, 0, 0 },
    { 391340, 1071, 0, 0 },
    { 391370, 1071, 0, 0 },
    { 391399, 1071, 0, 0 },
    { 391428, 1071, 0, 0 },
    { 391458, 1071, 0, 0 },
    { 391487, 1071, 0, 0 },
    { 391517, 1071, 0, 0 },
    { 391546, 1072, 1, 0 },
    { 391576, 1072, 0, 0 },
    { 391605, 1072, 0, 0 },
    { 391635, 1072, 0, 0 },
    { 391665, 1072, 0, 0 },
    { 391694, 1072, 0, 0 },
    { 391724, 1072, 0, 0 },
    { 391753, 1072, 0, 0 },
    { 391783, 1072, 0, 0 },
    { 391812, 1072, 0, 0 },
    { 391842, 1072, 0, 1 },
    { 391871, 1072, 0, 0 },
    { 391901, 1072, 0, 0 },
    { 391930, 1073, 1, 0 },
    { 391960, 1073, 0, 0 },
    { 391989, 1073, 0, 0 },
    { 392019, 1073, 0, 0 },
    { 392048, 1073, 0, 0 },
    { 392078, 1073, 0, 0 },
    { 392108, 1073, 0, 0 },
    { 392137, 1073, 0, 0 },
    { 392167, 1073, 0, 0 },
    { 392196, 1073, 0, 0 },
    { 392226, 1073, 0, 0 },
    { 392255, 1073, 0, 0 },
    { 392285, 1074, 1, 0 },
    { 392314, 1074, 0, 0 },
    { 392344, 1074, 0, 0 },
    { 392373, 1074, 0, 0 },
    { 392403, 1074, 0, 0 },
    { 392432, 1074, 0, 0 },
    { 392462, 1074, 0, 0 },
    { 392491, 1074, 0, 0 },
    { 392521, 1074, 0, 0 },
    { 392551, 1074, 0, 0 },
    { 392580, 1074, 0, 0 },
    { 392610, 1074, 0, 0 },
    { 392640, 1075, 1, 0 },
    { 392669, 1075, 0, 0 },
    { 392698, 1075, 0, 0 },
    { 392728, 1075, 0, 0 },
    { 392757, 1075, 0, 0 },
    { 392786, 1075, 0, 0 },
    { 392816, 1075, 0, 1 },
    { 392845, 1075, 0, 0 },
    { 392875, 1075, 0, 0 },
    { 392905, 1075, 0, 0 },
    { 392935, 1075, 0, 0 },
    { 392964, 1075, 0, 0 },
    { 392994, 1075, 0, 0 },
    { 393024, 1076, 1, 0 },
    { 393053, 1076, 0, 0 },
    { 393082, 1076, 0, 0 },
    { 393112, 1076, 0, 0 },
    { 393141, 1076, 0, 0 },
    { 393170, 1076, 0, 0 },
    { 393200, 1076, 0, 0 },
    { 393229, 1076, 0, 0 },
    { 393259, 1076, 0, 0 },
    { 393289, 1076, 0, 0 },
    { 393318, 1076, 0, 0 },
    { 393348, 1076, 0, 0 },
    { 393378, 1077, 1, 0 },
    { 393407, 1077, 0, 0 },
    { 393437, 1077, 0, 0 },
    { 393466, 1077, 0, 0 },
    { 393496, 1077, 0, 0 },
    { 393525, 1077, 0, 0 },
    { 393554, 1077, 0, 0 },
    { 393584, 1077, 0, 0 },
    { 393613, 1077, 0, 0 },
    { 393643, 1077, 0, 0 },
    { 393672, 1077, 0, 0 },
    { 393702, 1077, 0, 0 },
    { 393732, 1078, 1, 0 },
    { 393762, 1078, 0, 0 },
    { 393791, 1078, 0, 0 },
    { 393821, 1078, 0, 1 },
    { 393850, 1078, 0, 0 },
    { 393880, 1078, 0, 0 },
    { 393909, 1078, 0, 0 },
    { 393938, 1078, 0, 0 },
    { 393968, 1078, 0, 0 },
    { 393997, 1078, 0, 0 },
    { 394027, 1078, 0, 0 },
    { 394056, 1078, 0, 0 },
    { 394086, 1078, 0, 0 },
    { 394116, 1079, 1, 0 },
    { 394145, 1079, 0, 0 },
    { 394175, 1079, 0, 0 },
    { 394205, 1079, 0, 0 },
    { 394234, 1079, 0, 0 },
    { 394264, 1079, 0, 0 },
    { 394293, 1079, 0, 0 },
    { 394322, 1079, 0, 0 },
    { 394352, 1079, 0, 0 },
    { 394381, 1079, 0, 0 },
    { 394411, 1079, 0, 0 },
    { 394440, 1079, 0, 0 },
    { 394470, 1080, 1, 0 },
    { 394499, 1080, 0, 0 },
    { 394529, 1080, 0, 0 },
    { 394559, 1080, 0, 0 },
    { 394588, 1080, 0, 0 },
    { 394618, 1080, 0, 0 },
    { 394647, 1080, 0, 0 },
    { 394677, 1080, 0, 0 },
    { 394706, 1080, 0, 0 },
    { 394736, 1080, 0, 0 },
    { 394765, 1080, 0, 0 },
    { 394795, 1080, 0, 1 },
    { 394824, 1080, 0, 0 },
    { 394854, 1081, 1, 0 },
    { 394883, 1081, 0, 0 },
    { 394913, 1081, 0, 0 },
    { 394943, 1081, 0, 0 },
    { 394972, 1081, 0, 0 },
    { 395002, 1081, 0, 0 },
    { 395031, 1081, 0, 0 },
    { 395061, 1081, 0, 0 },
    { 395090, 1081, 0, 0 },
    { 395120, 1081, 0, 0 },
    { 395149, 1081, 0, 0 },
    { 395179, 1081, 0, 0 },
    { 395208, 1082, 1, 0 },
    { 395238, 1082, 0, 0 },
    { 395267, 1082, 0, 0 },
    { 395297, 1082, 0, 0 },
    { 395326, 1082, 0, 0 },
    { 395356, 1082, 0, 0 },
    { 395385, 1082, 0, 0 },
    { 395415, 1082, 0, 0 },
    { 395445, 1082, 0, 0 },
    { 395474, 1082, 0, 0 },
    { 395504, 1082, 0, 0 },
    { 395533, 1082, 0, 0 },
    { 395563, 1083, 1, 0 },
    { 395592, 1083, 0, 0 },
    { 395622, 1083, 0, 0 },
    { 395651, 1083, 0, 0 },
    { 395680, 1083, 0, 0 },
    { 395710, 1083, 0, 0 },
    { 395740, 1083, 0, 0 },
    { 395769, 1083, 0, 0 },
    { 395799, 1083, 0, 0 },
    { 395829, 1083, 0, 1 },
    { 395858, 1083, 0, 0 },
    { 395888, 1083, 0, 0 },
    { 395917, 1083, 0, 0 },
    { 395947, 1084, 1, 0 },
    { 395976, 1084, 0, 0 },
    { 396006, 1084, 0, 0 },
    { 396035, 1084, 0, 0 },
    { 396064, 1084, 0, 0 },
    { 396094, 1084, 0, 0 },
    { 396123, 1084, 0, 0 },
    { 396153, 1084, 0, 0 },
    { 396183, 1084, 0, 0 },
    { 396212, 1084, 0, 0 },
    { 396242, 1084, 0, 0 },
    { 396272, 1084, 0, 0 },
    { 396301, 1085, 1, 0 },
    { 396331, 1085, 0, 0 },
    { 396360, 1085, 0, 0 },
    { 396390, 1085, 0, 0 },
    { 396419, 1085, 0, 0 },
    { 396448, 1085, 0, 0 },
    { 396478, 1085, 0, 0 },
    { 396507, 1085, 0, 0 },
    { 396537, 1085, 0, 0 },
    { 396566, 1085, 0, 0 },
    { 396596, 1085, 0, 0 },
    { 396626, 1085, 0, 0 },
    { 396656, 1086, 1, 0 },
    { 396685, 1086, 0, 0 },
    { 396715, 1086, 0, 0 },
    { 396744, 1086, 0, 0 },
    { 396774, 1086, 0, 0 },
    { 396803, 1086, 0, 1 },
    { 396832, 1086, 0, 0 },
    { 396862, 1086, 0, 0 },
    { 396891, 1086, 0, 0 },
    { 396921, 1086, 0, 0 },
    { 396950, 1086, 0, 0 },
    { 396980, 1086, 0, 0 },
    { 397010, 1086, 0, 0 },
    { 397039, 1087, 1, 0 },
    { 397069, 1087, 0, 0 },
    { 397099, 1087, 0, 0 },
    { 397128, 1087, 0, 0 },
    { 397158, 1087, 0, 0 },
    { 397187, 1087, 0, 0 },
    { 397216, 1087, 0, 0 },
    { 397246, 1087, 0, 0 },
    { 397275, 1087, 0, 0 },
    { 397304, 1087, 0, 0 },
    { 397334, 1087, 0, 0 },
    { 397364, 1087, 0, 0 },
    { 397393, 1088, 1, 0 },
    { 397423, 1088, 0, 0 },
    { 397453, 1088, 0, 0 },
    { 397483, 1088, 0, 0 },
    { 397512, 1088, 0, 0 },
    { 397542, 1088, 0, 0 },
    { 397571, 1088, 0, 0 },
    { 397600, 1088, 0, 0 },
    { 397630, 1088, 0, 0 },
    { 397659, 1088, 0, 0 },
    { 397688, 1088, 0, 0 },
    { 397718, 1088, 0, 0 },
    { 397748, 1089, 1, 0 },
    { 397777, 1089, 0, 1 },
    { 397807, 1089, 0, 0 },
    { 397837, 1089, 0, 0 },
    { 397866, 1089, 0, 0 },
    { 397896, 1089, 0, 0 },
    { 397925, 1089, 0, 0 },
    { 397955, 1089, 0, 0 },
    { 397984, 1089, 0, 0 },
    { 398014, 1089, 0, 0 },
    { 398043, 1089, 0, 0 },
    { 398073, 1089, 0, 0 },
    { 398102, 1089, 0, 0 },
    { 398132, 1090, 1, 0 },
    { 398161, 1090, 0, 0 },
    { 398191, 1090, 0, 0 },
    { 398220, 1090, 0, 0 },
    { 398250, 1090, 0, 0 },
    { 398280, 1090, 0, 0 },
    { 398309, 1090, 0, 0 },
    { 398339, 1090, 0, 0 },
    { 398368, 1090, 0, 0 },
    { 398398, 1090, 0, 0 },
    { 398427, 1090, 0, 0 },
    { 398457, 1090, 0, 0 },
    { 398486, 1091, 1, 0 },
    { 398516, 1091, 0, 0 },
    { 398545, 1091, 0, 0 },
    { 398575, 1091, 0, 0 },
    { 398604, 1091, 0, 0 },
    { 398634, 1091, 0, 0 },
    { 398663, 1091, 0, 0 },
    { 398693, 1091, 0, 0 },
    { 398723, 1091, 0, 0 },
    { 398752, 1091, 0, 0 },
    { 398782, 1091, 0, 1 },
    { 398811, 1091, 0, 0 },
    { 398841, 1091, 0, 0 },
    { 398870, 1092, 1, 0 },
    { 398900, 1092, 0, 0 },
    { 398929, 1092, 0, 0 },
    { 398958, 1092, 0, 0 },
    { 398988, 1092, 0, 0 },
    { 399017, 1092, 0, 0 },
    { 399047, 1092, 0, 0 },
    { 399077, 1092, 0, 0 },
    { 399106, 1092, 0, 0 },
    { 399136, 1092, 0, 0 },
    { 399166, 1092, 0, 0 },
    { 399195, 1092, 0, 0 },
    { 399225, 1093, 1, 0 },
    { 399254, 1093, 0, 0 },
    { 399284, 1093, 0, 0 },
    { 399313, 1093, 0, 0 },
    { 399342, 1093, 0, 0 },
    { 399372, 1093, 0, 0 },
    { 399401, 1093, 0, 0 },
    { 399431, 1093, 0, 0 },
    { 399460, 1093, 0, 0 },
    { 399490, 1093, 0, 0 },
    { 399520, 1093, 0, 0 },
    { 399550, 1093, 0, 0 },
    { 399579, 1094, 1, 0 },
    { 399609, 1094, 0, 0 },
    { 399638, 1094, 0, 0 },
    { 399668, 1094, 0, 0 },
    { 399697, 1094, 0, 0 },
    { 399726, 1094, 0, 0 },
    { 399756, 1094, 0, 1 },
    { 399785, 1094, 0, 0 },
    { 399815, 1094, 0, 0 },
    { 399844, 1094, 0, 0 },
    { 399874, 1094, 0, 0 },
    { 399904, 1094, 0, 0 },
    { 399933, 1094, 0, 0 },
    { 399963, 1095, 1, 0 },
    { 399993, 1095, 0, 0 },
    { 400022, 1095, 0, 0 },
    { 400052, 1095, 0, 0 },
    { 400081, 1095, 0, 0 },
    { 400110, 1095, 0, 0 },
    { 400140, 1095, 0, 0 },
    { 400169, 1095, 0, 0 },
    { 400198, 1095, 0, 0 },
    { 400228, 1095, 0, 0 },
    { 400258, 1095, 0, 0 },
    { 400287, 1095, 0, 0 },
    { 400317, 1096, 1, 0 },
    { 400347, 1096, 0, 0 },
    { 400377, 1096, 0, 0 },
    { 400406, 1096, 0, 0 },
    { 400436, 1096, 0, 0 },
    { 400465, 1096, 0, 0 },
    { 400494, 1096, 0, 0 },
    { 400524, 1096, 0, 0 },
    { 400553, 1096, 0, 0 },
    { 400582, 1096, 0, 0 },
    { 400612, 1096, 0, 0 },
    { 400642, 1096, 0, 0 },
    { 400671, 1097, 1, 0 },
    { 400701, 1097, 0, 0 },
    { 400731, 1097, 0, 0 },
    { 400760, 1097, 0, 1 },
    { 400790, 1097, 0, 0 },
    { 400819, 1097, 0, 0 },
    { 400849, 1097, 0, 0 },
    { 400878, 1097, 0, 0 },
    { 400908, 1097, 0, 0 },
    { 400937, 1097, 0, 0 },
    { 400966, 1097, 0, 0 },
    { 400996, 1097, 0, 0 },
    { 401026, 1097, 0, 0 },
    { 401055, 1098, 1, 0 },
    { 401085, 1098, 0, 0 },
    { 401114, 1098, 0, 0 },
    { 401144, 1098, 0, 0 },
    { 401174, 1098, 0, 0 },
    { 401203, 1098, 0, 0 },
    { 401233, 1098, 0, 0 },
    { 401262, 1098, 0, 0 },
    { 401292, 1098, 0, 0 },
    { 401321, 1098, 0, 0 },
    { 401351, 1098, 0, 0 },
    { 401380, 1098, 0, 0 },
    { 401409, 1099, 1, 0 },
    { 401439, 1099, 0, 0 },
    { 401469, 1099, 0, 0 },
    { 401498, 1099, 0, 0 },
    { 401528, 1099, 0, 0 },
    { 401557, 1099, 0, 0 },
    { 401587, 1099, 0, 0 },
    { 401617, 1099, 0, 0 },
    { 401646, 1099, 0, 0 },
    { 401676, 1099, 0, 0 },
    { 401705, 1099, 0, 0 },
    { 401735, 1099, 0, 1 },
    { 401764, 1099, 0, 0 },
    { 401794, 1100, 1, 0 },
    { 401823, 1100, 0, 0 },
    { 401852, 1100, 0, 0 },
    { 401882, 1100, 0, 0 },
    { 401911, 1100, 0, 0 },
    { 401941, 1100, 0, 0 },
    { 401971, 1100, 0, 0 },
    { 402000, 1100, 0, 0 },
    { 402030, 1100, 0, 0 },
    { 402060, 1100, 0, 0 },
    { 402089, 1100, 0, 0 },
    { 402119, 1100, 0, 0 },
    { 402148, 1101, 1, 0 },
    { 402178, 1101, 0, 0 },
    { 402207, 1101, 0, 0 },
    { 402236, 1101, 0, 0 },
    { 402266, 1101, 0, 0 },
    { 402295, 1101, 0, 0 },
    { 402325, 1101, 0, 0 },
    { 402354, 1101, 0, 0 },
    { 402384, 1101, 0, 0 },
    { 402414, 1101, 0, 0 },
    { 402444, 1101, 0, 0 },
    { 402473, 1101, 0, 0 },
    { 402503, 1102, 1, 0 },
    { 402532, 1102, 0, 0 },
    { 402562, 1102, 0, 0 },
    { 402591, 1102, 0, 0 },
    { 402620, 1102, 0, 0 },
    { 402650, 1102, 0, 0 },
    { 402679, 1102, 0, 0 },
    { 402709, 1102, 0, 1 },
    { 402738, 1102, 0, 0 },
    { 402768, 1102, 0, 0 },
    { 402798, 1102, 0, 0 },
    { 402827, 1102, 0, 0 },
    { 402857, 1102, 0, 0 },
    { 402887, 1103, 1, 0 },
    { 402916, 1103, 0, 0 },
    { 402946, 1103, 0, 0 },
    { 402975, 1103, 0, 0 },
    { 403004, 1103, 0, 0 },
    { 403034, 1103, 0, 0 },
    { 403063, 1103, 0, 0 },
    { 403092, 1103, 0, 0 },
    { 403122, 1103, 0, 0 },
    { 403152, 1103, 0, 0 },
    { 403181, 1103, 0, 0 },
    { 403211, 1103, 0, 0 },
    { 403241, 1104, 1, 0 },
    { 403271, 1104, 0, 0 },
    { 403300, 1104, 0, 0 },
    { 403330, 1104, 0, 0 },
    { 403359, 1104, 0, 0 },
    { 403388, 1104, 0, 0 },
    { 403418, 1104, 0, 0 },
    { 403447, 1104, 0, 0 },
    { 403476, 1104, 0, 0 },
    { 403506, 1104, 0, 0 },
    { 403535, 1104, 0, 0 },
    { 403565, 1104, 0, 0 },
    { 403595, 1105, 1, 0 },
    { 403625, 1105, 0, 0 },
    { 403654, 1105, 0, 0 },
    { 403684, 1105, 0, 0 },
    { 403714, 1105, 0, 0 },
    { 403743, 1105, 0, 1 },
    { 403772, 1105, 0, 0 },
    { 403802, 1105, 0, 0 },
    { 403831, 1105, 0, 0 },
    { 403860, 1105, 0, 0 },
    { 403890, 1105, 0, 0 },
    { 403919, 1105, 0, 0 },
    { 403949, 1105, 0, 0 },
    { 403979, 1106, 1, 0 },
    { 404009, 1106, 0, 0 },
    { 404038, 1106, 0, 0 },
    { 404068, 1106, 0, 0 },
    { 404097, 1106, 0, 0 },
    { 404127, 1106, 0, 0 },
    { 404156, 1106, 0, 0 },
    { 404186, 1106, 0, 0 },
    { 404215, 1106, 0, 0 },
    { 404244, 1106, 0, 0 },
    { 404274, 1106, 0, 0 },
    { 404303, 1106, 0, 0 },
    { 404333, 1107, 1, 0 },
    { 404363, 1107, 0, 0 },
    { 404392, 1107, 0, 0 },
    { 404422, 1107, 0, 0 },
    { 404452, 1107, 0, 0 },
    { 404481, 1107, 0, 0 },
    { 404511, 1107, 0, 0 },
    { 404540, 1107, 0, 0 },
    { 404570, 1107, 0, 0 },
    { 404599, 1107, 0, 0 },
    { 404628, 1107, 0, 0 },
    { 404658, 1107, 0, 0 },
    { 404687, 1108, 1, 0 },
    { 404717, 1108, 0, 1 },
    { 404746, 1108, 0, 0 },
    { 404776, 1108, 0, 0 },
    { 404806, 1108, 0, 0 },
    { 404835, 1108, 0, 0 },
    { 404865, 1108, 0, 0 },
    { 404894, 1108, 0, 0 },
    { 404924, 1108, 0, 0 },
    { 404954, 1108, 0, 0 },
    { 404983, 1108, 0, 0 },
    { 405013, 1108, 0, 0 },
    { 405042, 1108, 0, 0 },
    { 405071, 1109, 1, 0 },
    { 405101, 1109, 0, 0 },
    { 405130, 1109, 0, 0 },
    { 405160, 1109, 0, 0 },
    { 405189, 1109, 0, 0 },
    { 405219, 1109, 0, 0 },
    { 405249, 1109, 0, 0 },
    { 405278, 1109, 0, 0 },
    { 405308, 1109, 0, 0 },
    { 405338, 1109, 0, 0 },
    { 405367, 1109, 0, 0 },
    { 405397, 1109, 0, 0 },
    { 405426, 1110, 1, 0 },
    { 405456, 1110, 0, 0 },
    { 405485, 1110, 0, 0 },
    { 405514, 1110, 0, 0 },
    { 405544, 1110, 0, 0 },
    { 405573, 1110, 0, 0 },
    { 405603, 1110, 0, 0 },
    { 405632, 1110, 0, 0 },
    { 405662, 1110, 0, 0 },
    { 405692, 1110, 0, 0 },
    { 405721, 1110, 0, 1 },
    { 405750, 1110, 0, 0 },
    { 405780, 1110, 0, 0 },
    { 405810, 1111, 1, 0 },
    { 405840, 1111, 0, 0 },
    { 405869, 1111, 0, 0 },
    { 405898, 1111, 0, 0 },
    { 405928, 1111, 0, 0 },
    { 405957, 1111, 0, 0 },
    { 405986, 1111, 0, 0 },
    { 406016, 1111, 0, 0 },
    { 406046, 1111, 0, 0 },
    { 406075, 1111, 0, 0 },
    { 406105, 1111, 0, 0 },
    { 406135, 1111, 0, 0 },
    { 406165, 1112, 1, 0 },
    { 406194, 1112, 0, 0 },
    { 406224, 1112, 0, 0 },
    { 406253, 1112, 0, 0 },
    { 406282, 1112, 0, 0 },
    { 406312, 1112, 0, 0 },
    { 406341, 1112, 0, 0 },
    { 406370, 1112, 0, 0 },
    { 406400, 1112, 0, 0 },
    { 406429, 1112, 0, 0 },
    { 406459, 1112, 0, 0 },
    { 406489, 1112, 0, 0 },
    { 406519, 1113, 1, 0 },
    { 406549, 1113, 0, 0 },
    { 406578, 1113, 0, 0 },
    { 406608, 1113, 0, 0 },
    { 406637, 1113, 0, 0 },
    { 406666, 1113, 0, 0 },
    { 406696, 1113, 0, 1 },
    { 406725, 1113, 0, 0 },
    { 406754, 1113, 0, 0 },
    { 406784, 1113, 0, 0 },
    { 406813, 1113, 0, 0 },
    { 406843, 1113, 0, 0 },
    { 406873, 1113, 0, 0 },
    { 406903, 1114, 1, 0 },
    { 406932, 1114, 0, 0 },
    { 406962, 1114, 0, 0 },
    { 406991, 1114, 0, 0 },
    { 407021, 1114, 0, 0 },
    { 407050, 1114, 0, 0 },
    { 407080, 1114, 0, 0 },
    { 407109, 1114, 0, 0 },
    { 407138, 1114, 0, 0 },
    { 407168, 1114, 0, 0 },
    { 407197, 1114, 0, 0 },
    { 407227, 1114, 0, 0 },
    { 407257, 1115, 1, 0 },
    { 407286, 1115, 0, 0 },
    { 407316, 1115, 0, 0 },
    { 407346, 1115, 0, 0 },
    { 407375, 1115, 0, 0 },
    { 407405, 1115, 0, 0 },
    { 407434, 1115, 0, 0 },
    { 407464, 1115, 0, 0 },
    { 407493, 1115, 0, 0 },
    { 407522, 1115, 0, 0 },
    { 407552, 1115, 0, 0 },
    { 407581, 1115, 0, 0 },
    { 407611, 1116, 1, 0 },
    { 407640, 1116, 0, 0 },
    { 407670, 1116, 0, 0 },
    { 407700, 1116, 0, 1 },
    { 407729, 1116, 0, 0 },
    { 407759, 1116, 0, 0 },
    { 407789, 1116, 0, 0 },
    { 407818, 1116, 0, 0 },
    { 407848, 1116, 0, 0 },
    { 407877, 1116, 0, 0 },
    { 407906, 1116, 0, 0 },
    { 407936, 1116, 0, 0 },
    { 407965, 1116, 0, 0 },
    { 407995, 1117, 1, 0 },
    { 408024, 1117, 0, 0 },
    { 408054, 1117, 0, 0 },
    { 408083, 1117, 0, 0 },
    { 408113, 1117, 0, 0 },
    { 408143, 1117, 0, 0 },
    { 408172, 1117, 0, 0 },
    { 408202, 1117, 0, 0 },
    { 408231, 1117, 0, 0 },
    { 408261, 1117, 0, 0 },
    { 408291, 1117, 0, 0 },
    { 408320, 1117, 0, 0 },
    { 408349, 1118, 1, 0 },
    { 408379, 1118, 0, 0 },
    { 408408, 1118, 0, 0 },
    { 408438, 1118, 0, 0 },
    { 408467, 1118, 0, 0 },
    { 408497, 1118, 0, 0 },
    { 408526, 1118, 0, 0 },
    { 408556, 1118, 0, 0 },
    { 408586, 1118, 0, 0 },
    { 408615, 1118, 0, 0 },
    { 408645, 1118, 0, 0 },
    { 408675, 1118, 0, 0 },
    { 408704, 1118, 0, 1 },
    { 408734, 1119, 1, 0 },
    { 408763, 1119, 0, 0 },
    { 408792, 1119, 0, 0 },
    { 408822, 1119, 0, 0 },
    { 408851, 1119, 0, 0 },
    { 408881, 1119, 0, 0 },
    { 408910, 1119, 0, 0 },
    { 408940, 1119, 0, 0 },
    { 408969, 1119, 0, 0 },
    { 408999, 1119, 0, 0 },
    { 409029, 1119, 0, 0 },
    { 409059, 1119, 0, 0 },
    { 409088, 1120, 1, 0 },
    { 409118, 1120, 0, 0 },
    { 409147, 1120, 0, 0 },
    { 409176, 1120, 0, 0 },
    { 409206, 1120, 0, 0 },
    { 409235, 1120, 0, 0 },
    { 409264, 1120, 0, 0 },
    { 409294, 1120, 0, 0 },
    { 409323, 1120, 0, 0 },
    { 409353, 1120, 0, 0 },
    { 409383, 1120, 0, 0 },
    { 409413, 1120, 0, 0 },
    { 409443, 1121, 1, 0 },
    { 409472, 1121, 0, 0 },
    { 409502, 1121, 0, 0 },
    { 409531, 1121, 0, 0 },
    { 409560, 1121, 0, 0 },
    { 409590, 1121, 0, 0 },
    { 409619, 1121, 0, 0 },
    { 409648, 1121, 0, 0 },
    { 409678, 1121, 0, 1 },
    { 409707, 1121, 0, 0 },
    { 409737, 1121, 0, 0 },
    { 409767, 1121, 0, 0 },
    { 409797, 1121, 0, 0 },
    { 409826, 1122, 1, 0 },
    { 409856, 1122, 0, 0 },
    { 409886, 1122, 0, 0 },
    { 409915, 1122, 0, 0 },
    { 409944, 1122, 0, 0 },
    { 409974, 1122, 0, 0 },
    { 410003, 1122, 0, 0 },
    { 410032, 1122, 0, 0 },
    { 410062, 1122, 0, 0 },
    { 410091, 1122, 0, 0 },
    { 410121, 1122, 0, 0 },
    { 410151, 1122, 0, 0 },
    { 410180, 1123, 1, 0 },
    { 410210, 1123, 0, 0 },
    { 410240, 1123, 0, 0 },
    { 410269, 1123, 0, 0 },
    { 410299, 1123, 0, 0 },
    { 410328, 1123, 0, 0 },
    { 410358, 1123, 0, 0 },
    { 410387, 1123, 0, 0 },
    { 410416, 1123, 0, 0 },
    { 410446, 1123, 0, 0 },
    { 410475, 1123, 0, 0 },
    { 410505, 1123, 0, 0 },
    { 410534, 1124, 1, 0 },
    { 410564, 1124, 0, 0 },
    { 410594, 1124, 0, 0 },
    { 410624, 1124, 0, 0 },
    { 410653, 1124, 0, 0 },
    { 410683, 1124, 0, 1 },
    { 410712, 1124, 0, 0 },
    { 410742, 1124, 0, 0 },
    { 410771, 1124, 0, 0 },
    { 410800, 1124, 0, 0 },
    { 410830, 1124, 0, 0 },
    { 410859, 1124, 0, 0 },
    { 410889, 1124, 0, 0 },
    { 410918, 1125, 1, 0 },
    { 410948, 1125, 0, 0 },
    { 410978, 1125, 0, 0 },
    { 411007, 1125, 0, 0 },
    { 411037, 1125, 0, 0 },
    { 411066, 1125, 0, 0 },
    { 411096, 1125, 0, 0 },
    { 411125, 1125, 0, 0 },
    { 411155, 1125, 0, 0 },
    { 411184, 1125, 0, 0 },
    { 411214, 1125, 0, 0 },
    { 411243, 1125, 0, 0 },
    { 411273, 1126, 1, 0 },
    { 411302, 1126, 0, 0 },
    { 411332, 1126, 0, 0 },
    { 411361, 1126, 0, 0 },
    { 411391, 1126, 0, 0 },
    { 411421, 1126, 0, 0 },
    { 411450, 1126, 0, 0 },
    { 411480, 1126, 0, 0 },
    { 411509, 1126, 0, 0 },
    { 411539, 1126, 0, 0 },
    { 411568, 1126, 0, 0 },
    { 411598, 1126, 0, 0 },
    { 411627, 1127, 1, 0 },
    { 411657, 1127, 0, 1 },
    { 411686, 1127, 0, 0 },
    { 411716, 1127, 0, 0 },
    { 411745, 1127, 0, 0 },
    { 411775, 1127, 0, 0 },
    { 411804, 1127, 0, 0 },
    { 411834, 1127, 0, 0 },
    { 411864, 1127, 0, 0 },
    { 411893, 1127, 0, 0 },
    { 411923, 1127, 0, 0 },
    { 411952, 1127, 0, 0 },
    { 411982, 1127, 0, 0 },
    { 412012, 1128, 1, 0 },
    { 412041, 1128, 0, 0 },
    { 412070, 1128, 0, 0 },
    { 412100, 1128, 0, 0 },
    { 412129, 1128, 0, 0 },
    { 412158, 1128, 0, 0 },
    { 412188, 1128, 0, 0 },
    { 412218, 1128, 0, 0 },
    { 412247, 1128, 0, 0 },
    { 412277, 1128, 0, 0 },
    { 412307, 1128, 0, 0 },
    { 412336, 1128, 0, 0 },
    { 412366, 1129, 1, 0 },
    { 412396, 1129, 0, 0 },
    { 412425, 1129, 0, 0 },
    { 412454, 1129, 0, 0 },
    { 412484, 1129, 0, 0 },
    { 412513, 1129, 0, 0 },
    { 412542, 1129, 0, 0 },
    { 412572, 1129, 0, 0 },
    { 412601, 1129, 0, 0 },
    { 412631, 1129, 0, 0 },
    { 412661, 1129, 0, 0 },
    { 412691, 1129, 0, 1 },
    { 412720, 1129, 0, 0 },
    { 412750, 1130, 1, 0 },
    { 412780, 1130, 0, 0 },
    { 412809, 1130, 0, 0 },
    { 412838, 1130, 0, 0 },
    { 412868, 1130, 0, 0 },
    { 412897, 1130, 0, 0 },
    { 412926, 1130, 0, 0 },
    { 412956, 1130, 0, 0 },
    { 412985, 1130, 0, 0 },
    { 413015, 1130, 0, 0 },
    { 413045, 1130, 0, 0 },
    { 413074, 1130, 0, 0 },
    { 413104, 1131, 1, 0 },
    { 413134, 1131, 0, 0 },
    { 413163, 1131, 0, 0 },
    { 413193, 1131, 0, 0 },
    { 413222, 1131, 0, 0 },
    { 413252, 1131, 0, 0 },
    { 413281, 1131, 0, 0 },
    { 413310, 1131, 0, 0 },
    { 413340, 1131, 0, 0 },
    { 413369, 1131, 0, 0 },
    { 413399, 1131, 0, 0 },
    { 413428, 1131, 0, 0 },
    { 413458, 1132, 1, 0 },
    { 413488, 1132, 0, 0 },
    { 413518, 1132, 0, 0 },
    { 413547, 1132, 0, 0 },
    { 413577, 1132, 0, 0 },
    { 413606, 1132, 0, 0 },
    { 413636, 1132, 0, 0 },
    { 413665, 1132, 0, 1 },
    { 413694, 1132, 0, 0 },
    { 413724, 1132, 0, 0 },
    { 413753, 1132, 0, 0 },
    { 413783, 1132, 0, 0 },
    { 413812, 1132, 0, 0 },
    { 413842, 1133, 1, 0 },
    { 413872, 1133, 0, 0 },
    { 413901, 1133, 0, 0 },
    { 413931, 1133, 0, 0 },
    { 413961, 1133, 0, 0 },
    { 413990, 1133, 0, 0 },
    { 414020, 1133, 0, 0 },
    { 414049, 1133, 0, 0 },
    { 414078, 1133, 0, 0 },
    { 414108, 1133, 0, 0 },
    { 414137, 1133, 0, 0 },
    { 414167, 1133, 0, 0 },
    { 414196, 1134, 1, 0 },
    { 414226, 1134, 0, 0 },
    { 414255, 1134, 0, 0 },
    { 414285, 1134, 0, 0 },
    { 414315, 1134, 0, 0 },
    { 414344, 1134, 0, 0 },
    { 414374, 1134, 0, 0 },
    { 414403, 1134, 0, 0 },
    { 414433, 1134, 0, 0 },
    { 414462, 1134, 0, 0 },
    { 414492, 1134, 0, 0 },
    { 414521, 1134, 0, 0 },
    { 414551, 1135, 1, 0 },
    { 414580, 1135, 0, 0 },
    { 414610, 1135, 0, 0 },
    { 414639, 1135, 0, 1 },
    { 414669, 1135, 0, 0 },
    { 414698, 1135, 0, 0 },
    { 414728, 1135, 0, 0 },
    { 414758, 1135, 0, 0 },
    { 414787, 1135, 0, 0 },
    { 414817, 1135, 0, 0 },
    { 414846, 1135, 0, 0 },
    { 414876, 1135, 0, 0 },
    { 414905, 1135, 0, 0 },
    { 414935, 1136, 1, 0 },
    { 414964, 1136, 0, 0 },
    { 414994, 1136, 0, 0 },
    { 415023, 1136, 0, 0 },
    { 415053, 1136, 0, 0 },
    { 415082, 1136, 0, 0 },
    { 415112, 1136, 0, 0 },
    { 415141, 1136, 0, 0 },
    { 415171, 1136, 0, 0 },
    { 415201, 1136, 0, 0 },
    { 415230, 1136, 0, 0 },
    { 415260, 1136, 0, 0 },
    { 415289, 1137, 1, 0 },
    { 415319, 1137, 0, 0 },
    { 415348, 1137, 0, 0 },
    { 415378, 1137, 0, 0 },
    { 415407, 1137, 0, 0 },
    { 415436, 1137, 0, 0 },
    { 415466, 1137, 0, 0 },
    { 415495, 1137, 0, 0 },
    { 415525, 1137, 0, 0 },
    { 415555, 1137, 0, 0 },
    { 415585, 1137, 0, 0 },
    { 415614, 1137, 0, 0 },
    { 415644, 1138, 1, 0 },
    { 415674, 1138, 0, 1 },
    { 415703, 1138, 0, 0 },
    { 415732, 1138, 0, 0 },
    { 415762, 1138, 0, 0 },
    { 415791, 1138, 0, 0 },
    { 415820, 1138, 0, 0 },
    { 415850, 1138, 0, 0 },
    { 415879, 1138, 0, 0 },
    { 415909, 1138, 0, 0 },
    { 415939, 1138, 0, 0 },
    { 415968, 1138, 0, 0 },
    { 415998, 1138, 0, 0 },
    { 416028, 1139, 1, 0 },
    { 416057, 1139, 0, 0 },
    { 416087, 1139, 0, 0 },
    { 416116, 1139, 0, 0 },
    { 416146, 1139, 0, 0 },
    { 416175, 1139, 0, 0 },
    { 416204, 1139, 0, 0 },
    { 416234, 1139, 0, 0 },
    { 416263, 1139, 0, 0 },
    { 416293, 1139, 0, 0 },
    { 416322, 1139, 0, 0 },
    { 416352, 1139, 0, 0 },
    { 416382, 1140, 1, 0 },
    { 416412, 1140, 0, 0 },
    { 416441, 1140, 0, 0 },
    { 416471, 1140, 0, 0 },
    { 416500, 1140, 0, 0 },
    { 416530, 1140, 0, 0 },
    { 416559, 1140, 0, 0 },
    { 416588, 1140, 0, 0 },
    { 416618, 1140, 0, 1 },
    { 416647, 1140, 0, 0 },
    { 416677, 1140, 0, 0 },
    { 416706, 1140, 0, 0 },
    { 416736, 1140, 0, 0 },
    { 416766, 1141, 1, 0 },
    { 416795, 1141, 0, 0 },
    { 416825, 1141, 0, 0 },
    { 416855, 1141, 0, 0 },
    { 416884, 1141, 0, 0 },
    { 416914, 1141, 0, 0 },
    { 416943, 1141, 0, 0 },
    { 416972, 1141, 0, 0 },
    { 417002, 1141, 0, 0 },
    { 417031, 1141, 0, 0 },
    { 417061, 1141, 0, 0 },
    { 417090, 1141, 0, 0 },
    { 417120, 1142, 1, 0 },
    { 417149, 1142, 0, 0 },
    { 417179, 1142, 0, 0 },
    { 417209, 1142, 0, 0 },
    { 417238, 1142, 0, 0 },
    { 417268, 1142, 0, 0 },
    { 417297, 1142, 0, 0 },
    { 417327, 1142, 0, 0 },
    { 417356, 1142, 0, 0 },
    { 417386, 1142, 0, 0 },
    { 417415, 1142, 0, 0 },
    { 417445, 1142, 0, 0 },
    { 417474, 1143, 1, 0 },
    { 417504, 1143, 0, 0 },
    { 417533, 1143, 0, 0 },
    { 417563, 1143, 0, 0 },
    { 417592, 1143, 0, 0 },
    { 417622, 1143, 0, 1 },
    { 417652, 1143, 0, 0 },
    { 417681, 1143, 0, 0 },
    { 417711, 1143, 0, 0 },
    { 417740, 1143, 0, 0 },
    { 417770, 1143, 0, 0 },
    { 417799, 1143, 0, 0 },
    { 417829, 1143, 0, 0 },
    { 417858, 1144, 1, 0 },
    { 417888, 1144, 0, 0 },
    { 417917, 1144, 0, 0 },
    { 417947, 1144, 0, 0 },
    { 417976, 1144, 0, 0 },
    { 418006, 1144, 0, 0 },
    { 418035, 1144, 0, 0 },
    { 418065, 1144, 0, 0 },
    { 418095, 1144, 0, 0 },
    { 418124, 1144, 0, 0 },
    { 418154, 1144, 0, 0 },
    { 418183, 1144, 0, 0 },
    { 418213, 1145, 1, 0 },
    { 418242, 1145, 0, 0 },
    { 418272, 1145, 0, 0 },
    { 418301, 1145, 0, 0 },
    { 418330, 1145, 0, 0 },
    { 418360, 1145, 0, 0 },
    { 418389, 1145, 0, 0 },
    { 418419, 1145, 0, 0 },
    { 418449, 1145, 0, 0 },
    { 418479, 1145, 0, 0 },
    { 418508, 1145, 0, 0 },
    { 418538, 1145, 0, 0 },
    { 418567, 1146, 1, 0 },
    { 418597, 1146, 0, 1 },
    { 418626, 1146, 0, 0 },
    { 418656, 1146, 0, 0 },
    { 418685, 1146, 0, 0 },
    { 418714, 1146, 0, 0 },
    { 418744, 1146, 0, 0 },
    { 418773, 1146, 0, 0 },
    { 418803, 1146, 0, 0 },
    { 418833, 1146, 0, 0 },
    { 418862, 1146, 0, 0 },
    { 418892, 1146, 0, 0 },
    { 418922, 1146, 0, 0 },
    { 418951, 1147, 1, 0 },
    { 418981, 1147, 0, 0 },
    { 419010, 1147, 0, 0 },
    { 419040, 1147, 0, 0 },
    { 419069, 1147, 0, 0 },
    { 419098, 1147, 0, 0 },
    { 419128, 1147, 0, 0 },
    { 419157, 1147, 0, 0 },
    { 419187, 1147, 0, 0 },
    { 419216, 1147, 0, 0 },
    { 419246, 1147, 0, 0 },
    { 419276, 1147, 0, 0 },
    { 419306, 1148, 1, 0 },
    { 419335, 1148, 0, 0 },
    { 419365, 1148, 0, 0 },
    { 419394, 1148, 0, 0 },
    { 419424, 1148, 0, 0 },
    { 419453, 1148, 0, 0 },
    { 419482, 1148, 0, 0 },
    { 419512, 1148, 0, 0 },
    { 419541, 1148, 0, 0 },
    { 419570, 1148, 0, 1 },
    { 419600, 1148, 0, 0 },
    { 419630, 1148, 0, 0 },
    { 419660, 1148, 0, 0 },
    { 419689, 1149, 1, 0 },
    { 419719, 1149, 0, 0 },
    { 419749, 1149, 0, 0 },
    { 419778, 1149, 0, 0 },
    { 419808, 1149, 0, 0 },
    { 419837, 1149, 0, 0 },
    { 419866, 1149, 0, 0 },
    { 419896, 1149, 0, 0 },
    { 419925, 1149, 0, 0 },
    { 419954, 1149, 0, 0 },
    { 419984, 1149, 0, 0 },
    { 420014, 1149, 0, 0 },
    { 420043, 1150, 1, 0 },
    { 420073, 1150, 0, 0 },
    { 420103, 1150, 0, 0 },
    { 420133, 1150, 0, 0 },
    { 420162, 1150, 0, 0 },
    { 420191, 1150, 0, 0 },
    { 420221, 1150, 0, 0 },
    { 420250, 1150, 0, 0 },
    { 420280, 1150, 0, 0 },
    { 420309, 1150, 0, 0 },
    { 420338, 1150, 0, 0 },
    { 420368, 1150, 0, 0 },
    { 420398, 1151, 1, 0 },
    { 420427, 1151, 0, 0 },
    { 420457, 1151, 0, 0 },
    { 420487, 1151, 0, 0 },
    { 420516, 1151, 0, 0 },
    { 420546, 1151, 0, 0 },
    { 420575, 1151, 0, 0 },
    { 420605, 1151, 0, 1 },
    { 420634, 1151, 0, 0 },
    { 420664, 1151, 0, 0 },
    { 420693, 1151, 0, 0 },
    { 420723, 1151, 0, 0 },
    { 420752, 1151, 0, 0 },
    { 420782, 1152, 1, 0 },
    { 420811, 1152, 0, 0 },
    { 420841, 1152, 0, 0 },
    { 420870, 1152, 0, 0 },
    { 420900, 1152, 0, 0 },
    { 420930, 1152, 0, 0 },
    { 420959, 1152, 0, 0 },
    { 420989, 1152, 0, 0 },
    { 421018, 1152, 0, 0 },
    { 421048, 1152, 0, 0 },
    { 421077, 1152, 0, 0 },
    { 421107, 1152, 0, 0 },
    { 421136, 1153, 1, 0 },
    { 421166, 1153, 0, 0 },
    { 421195, 1153, 0, 0 },
    { 421225, 1153, 0, 0 },
    { 421254, 1153, 0, 0 },
    { 421284, 1153, 0, 0 },
    { 421313, 1153, 0, 0 },
    { 421343, 1153, 0, 0 },
    { 421373, 1153, 0, 0 },
    { 421402, 1153, 0, 0 },
    { 421432, 1153, 0, 0 },
    { 421461, 1153, 0, 0 },
    { 421491, 1154, 1, 0 },
    { 421520, 1154, 0, 0 },
    { 421550, 1154, 0, 0 },
    { 421579, 1154, 0, 1 },
    { 421608, 1154, 0, 0 },
    { 421638, 1154, 0, 0 },
    { 421667, 1154, 0, 0 },
    { 421697, 1154, 0, 0 },
    { 421727, 1154, 0, 0 },
    { 421756, 1154, 0, 0 },
    { 421786, 1154, 0, 0 },
    { 421816, 1154, 0, 0 },
    { 421845, 1154, 0, 0 },
    { 421875, 1155, 1, 0 },
    { 421904, 1155, 0, 0 },
    { 421934, 1155, 0, 0 },
    { 421963, 1155, 0, 0 },
    { 421992, 1155, 0, 0 },
    { 422022, 1155, 0, 0 },
    { 422051, 1155, 0, 0 },
    { 422081, 1155, 0, 0 },
    { 422110, 1155, 0, 0 },
    { 422140, 1155, 0, 0 },
    { 422170, 1155, 0, 0 },
    { 422200, 1155, 0, 0 },
    { 422229, 1156, 1, 0 },
    { 422259, 1156, 0, 0 },
    { 422288, 1156, 0, 0 },
    { 422318, 1156, 0, 0 },
    { 422347, 1156, 0, 0 },
    { 422376, 1156, 0, 0 },
    { 422406, 1156, 0, 0 },
    { 422435, 1156, 0, 0 },
    { 422464, 1156, 0, 0 },
    { 422494, 1156, 0, 0 },
    { 422524, 1156, 0, 0 },
    { 422554, 1156, 0, 1 },
    { 422583, 1156, 0, 0 },
    { 422613, 1157, 1, 0 },
    { 422643, 1157, 0, 0 },
    { 422672, 1157, 0, 0 },
    { 422702, 1157, 0, 0 },
    { 422731, 1157, 0, 0 },
    { 422760, 1157, 0, 0 },
    { 422789, 1157, 0, 0 },
    { 422819, 1157, 0, 0 },
    { 422848, 1157, 0, 0 },
    { 422878, 1157, 0, 0 },
    { 422908, 1157, 0, 0 },
    { 422937, 1157, 0, 0 },
    { 422967, 1158, 1, 0 },
    { 422997, 1158, 0, 0 },
    { 423027, 1158, 0, 0 },
    { 423056, 1158, 0, 0 },
    { 423086, 1158, 0, 0 },
    { 423115, 1158, 0, 0 },
    { 423144, 1158, 0, 0 },
    { 423174, 1158, 0, 0 },
    { 423203, 1158, 0, 0 },
    { 423232, 1158, 0, 0 },
    { 423262, 1158, 0, 0 },
    { 423292, 1158, 0, 0 },
    { 423321, 1159, 1, 0 },
    { 423351, 1159, 0, 0 },
    { 423381, 1159, 0, 0 },
    { 423410, 1159, 0, 0 },
    { 423440, 1159, 0, 0 },
    { 423469, 1159, 0, 0 },
    { 423499, 1159, 0, 0 },
    { 423528, 1159, 0, 0 },
    { 423558, 1159, 0, 1 },
    { 423587, 1159, 0, 0 },
    { 423616, 1159, 0, 0 },
    { 423646, 1159, 0, 0 },
    { 423675, 1159, 0, 0 },
    { 423705, 1160, 1, 0 },
    { 423735, 1160, 0, 0 },
    { 423764, 1160, 0, 0 },
    { 423794, 1160, 0, 0 },
    { 423824, 1160, 0, 0 },
    { 423853, 1160, 0, 0 },
    { 423883, 1160, 0, 0 },
    { 423912, 1160, 0, 0 },
    { 423942, 1160, 0, 0 },
    { 423971, 1160, 0, 0 },
    { 424000, 1160, 0, 0 },
    { 424030, 1160, 0, 0 },
    { 424059, 1161, 1, 0 },
    { 424089, 1161, 0, 0 },
    { 424119, 1161, 0, 0 },
    { 424148, 1161, 0, 0 },
    { 424178, 1161, 0, 0 },
    { 424207, 1161, 0, 0 },
    { 424237, 1161, 0, 0 },
    { 424267, 1161, 0, 0 },
    { 424296, 1161, 0, 0 },
    { 424326, 1161, 0, 0 },
    { 424355, 1161, 0, 0 },
    { 424385, 1161, 0, 0 },
    { 424414, 1162, 1, 0 },
    { 424443, 1162, 0, 0 },
    { 424473, 1162, 0, 0 },
    { 424502, 1162, 0, 0 },
    { 424532, 1162, 0, 1 },
    { 424561, 1162, 0, 0 },
    { 424591, 1162, 0, 0 },
    { 424621, 1162, 0, 0 },
    { 424650, 1162, 0, 0 },
    { 424680, 1162, 0, 0 },
    { 424710, 1162, 0, 0 },
    { 424739, 1162, 0, 0 },
    { 424769, 1162, 0, 0 },
    { 424798, 1163, 1, 0 },
    { 424828, 1163, 0, 0 },
    { 424857, 1163, 0, 0 },
    { 424886, 1163, 0, 0 },
    { 424916, 1163, 0, 0 },
    { 424945, 1163, 0, 0 },
    { 424975, 1163, 0, 0 },
    { 425004, 1163, 0, 0 },
    { 425034, 1163, 0, 0 },
    { 425064, 1163, 0, 0 },
    { 425094, 1163, 0, 0 },
    { 425123, 1163, 0, 0 },
    { 425153, 1164, 1, 0 },
    { 425182, 1164, 0, 0 },
    { 425212, 1164, 0, 0 },
    { 425241, 1164, 0, 0 },
    { 425270, 1164, 0, 0 },
    { 425300, 1164, 0, 0 },
    { 425329, 1164, 0, 0 },
    { 425359, 1164, 0, 0 },
    { 425388, 1164, 0, 0 },
    { 425418, 1164, 0, 0 },
    { 425448, 1164, 0, 0 },
    { 425477, 1164, 0, 0 },
    { 425507, 1165, 1, 0 },
    { 425537, 1165, 0, 0 },
    { 425566, 1165, 0, 1 },
    { 425596, 1165, 0, 0 },
    { 425625, 1165, 0, 0 },
    { 425654, 1165, 0, 0 },
    { 425683, 1165, 0, 0 },
    { 425713, 1165, 0, 0 },
    { 425742, 1165, 0, 0 },
    { 425772, 1165, 0, 0 },
    { 425802, 1165, 0, 0 },
    { 425831, 1165, 0, 0 },
    { 425861, 1165, 0, 0 },
    { 425891, 1166, 1, 0 },
    { 425921, 1166, 0, 0 },
    { 425950, 1166, 0, 0 },
    { 425980, 1166, 0, 0 },
    { 426009, 1166, 0, 0 },
    { 426038, 1166, 0, 0 },
    { 426067, 1166, 0, 0 },
    { 426097, 1166, 0, 0 },
    { 426126, 1166, 0, 0 },
    { 426156, 1166, 0, 0 },
    { 426185, 1166, 0, 0 },
    { 426215, 1166, 0, 0 },
    { 426245, 1167, 1, 0 },
    { 426275, 1167, 0, 0 },
    { 426304, 1167, 0, 0 },
    { 426334, 1167, 0, 0 },
    { 426364, 1167, 0, 0 },
    { 426393, 1167, 0, 0 },
    { 426422, 1167, 0, 0 },
    { 426452, 1167, 0, 0 },
    { 426481, 1167, 0, 0 },
    { 426510, 1167, 0, 0 },
    { 426540, 1167, 0, 1 },
    { 426569, 1167, 0, 0 },
    { 426599, 1167, 0, 0 },
    { 426629, 1168, 1, 0 },
    { 426659, 1168, 0, 0 },
    { 426688, 1168, 0, 0 },
    { 426718, 1168, 0, 0 },
    { 426747, 1168, 0, 0 },
    { 426777, 1168, 0, 0 },
    { 426806, 1168, 0, 0 },
    { 426836, 1168, 0, 0 },
    { 426865, 1168, 0, 0 },
    { 426894, 1168, 0, 0 },
    { 426924, 1168, 0, 0 },
    { 426953, 1168, 0, 0 },
    { 426983, 1169, 1, 0 },
    { 427013, 1169, 0, 0 },
    { 427042, 1169, 0, 0 },
    { 427072, 1169, 0, 0 },
    { 427102, 1169, 0, 0 },
    { 427131, 1169, 0, 0 },
    { 427161, 1169, 0, 0 },
    { 427190, 1169, 0, 0 },
    { 427220, 1169, 0, 0 },
    { 427249, 1169, 0, 0 },
    { 427278, 1169, 0, 0 },
    { 427308, 1169, 0, 0 },
    { 427337, 1170, 1, 0 },
    { 427367, 1170, 0, 0 },
    { 427396, 1170, 0, 0 },
    { 427426, 1170, 0, 0 },
    { 427456, 1170, 0, 0 },
    { 427485, 1170, 0, 0 },
    { 427515, 1170, 0, 1 },
    { 427544, 1170, 0, 0 },
    { 427574, 1170, 0, 0 },
    { 427604, 1170, 0, 0 },
    { 427633, 1170, 0, 0 },
    { 427663, 1170, 0, 0 },
    { 427692, 1170, 0, 0 },
    { 427721, 1171, 1, 0 },
    { 427751, 1171, 0, 0 },
    { 427780, 1171, 0, 0 },
    { 427810, 1171, 0, 0 },
    { 427839, 1171, 0, 0 },
    { 427869, 1171, 0, 0 },
    { 427899, 1171, 0, 0 },
    { 427928, 1171, 0, 0 },
    { 427958, 1171, 0, 0 },
    { 427987, 1171, 0, 0 },
    { 428017, 1171, 0, 0 },
    { 428047, 1171, 0, 0 },
    { 428076, 1172, 1, 0 },
    { 428106, 1172, 0, 0 },
    { 428135, 1172, 0, 0 },
    { 428164, 1172, 0, 0 },
    { 428194, 1172, 0, 0 },
    { 428223, 1172, 0, 0 },
    { 428253, 1172, 0, 0 },
    { 428282, 1172, 0, 0 },
    { 428312, 1172, 0, 0 },
    { 428342, 1172, 0, 0 },
    { 428371, 1172, 0, 0 },
    { 428401, 1172, 0, 0 },
    { 428431, 1173, 1, 0 },
    { 428460, 1173, 0, 0 },
    { 428490, 1173, 0, 0 },
    { 428519, 1173, 0, 1 },
    { 428548, 1173, 0, 0 },
    { 428578, 1173, 0, 0 },
    { 428607, 1173, 0, 0 },
    { 428636, 1173, 0, 0 },
    { 428666, 1173, 0, 0 },
    { 428696, 1173, 0, 0 },
    { 428725, 1173, 0, 0 },
    { 428755, 1173, 0, 0 },
    { 428785, 1173, 0, 0 },
    { 428815, 1174, 1, 0 },
    { 428844, 1174, 0, 0 },
    { 428874, 1174, 0, 0 },
    { 428903, 1174, 0, 0 },
    { 428932, 1174, 0, 0 },
    { 428961, 1174, 0, 0 },
    { 428991, 1174, 0, 0 },
    { 429020, 1174, 0, 0 },
    { 429050, 1174, 0, 0 },
    { 429079, 1174, 0, 0 },
    { 429109, 1174, 0, 0 },
    { 429139, 1174, 0, 0 },
    { 429169, 1175, 1, 0 },
    { 429198, 1175, 0, 0 },
    { 429228, 1175, 0, 0 },
    { 429258, 1175, 0, 0 },
    { 429287, 1175, 0, 0 },
    { 429316, 1175, 0, 0 },
    { 429346, 1175, 0, 0 },
    { 429375, 1175, 0, 0 },
    { 429404, 1175, 0, 0 },
    { 429434, 1175, 0, 0 },
    { 429463, 1175, 0, 0 },
    { 429493, 1175, 0, 0 },
    { 429523, 1175, 0, 1 },
    { 429553, 1176, 1, 0 },
    { 429582, 1176, 0, 0 },
    { 429612, 1176, 0, 0 },
    { 429641, 1176, 0, 0 },
    { 429671, 1176, 0, 0 },
    { 429700, 1176, 0, 0 },
    { 429730, 1176, 0, 0 },
    { 429759, 1176, 0, 0 },
    { 429788, 1176, 0, 0 },
    { 429818, 1176, 0, 0 },
    { 429847, 1176, 0, 0 },
    { 429877, 1176, 0, 0 },
    { 429907, 1177, 1, 0 },
    { 429936, 1177, 0, 0 },
    { 429966, 1177, 0, 0 },
    { 429996, 1177, 0, 0 },
    { 430025, 1177, 0, 0 },
    { 430055, 1177, 0, 0 },
    { 430084, 1177, 0, 0 },
    { 430114, 1177, 0, 0 },
    { 430143, 1177, 0, 0 },
    { 430172, 1177, 0, 0 },
    { 430202, 1177, 0, 0 },
    { 430231, 1177, 0, 0 },
    { 430261, 1178, 1, 0 },
    { 430290, 1178, 0, 0 },
    { 430320, 1178, 0, 0 },
    { 430350, 1178, 0, 0 },
    { 430379, 1178, 0, 0 },
    { 430409, 1178, 0, 0 },
    { 430439, 1178, 0, 0 },
    { 430468, 1178, 0, 0 },
    { 430498, 1178, 0, 1 },
    { 430527, 1178, 0, 0 },
    { 430556, 1178, 0, 0 },
    { 430586, 1178, 0, 0 },
    { 430615, 1178, 0, 0 },
    { 430645, 1179, 1, 0 },
    { 430674, 1179, 0, 0 },
    { 430704, 1179, 0, 0 },
    { 430733, 1179, 0, 0 },
    { 430763, 1179, 0, 0 },
    { 430793, 1179, 0, 0 },
    { 430822, 1179, 0, 0 },
    { 430852, 1179, 0, 0 },
    { 430881, 1179, 0, 0 },
    { 430911, 1179, 0, 0 },
    { 430941, 1179, 0, 0 },
    { 430970, 1179, 0, 0 },
    { 430999, 1180, 1, 0 },
    { 431029, 1180, 0, 0 },
    { 431058, 1180, 0, 0 },
    { 431088, 1180, 0, 0 },
    { 431117, 1180, 0, 0 },
    { 431147, 1180, 0, 0 },
    { 431176, 1180, 0, 0 },
    { 431206, 1180, 0, 0 },
    { 431236, 1180, 0, 0 },
    { 431265, 1180, 0, 0 },
    { 431295, 1180, 0, 0 },
    { 431325, 1180, 0, 0 },
    { 431354, 1181, 1, 0 },
    { 431384, 1181, 0, 0 },
    { 431413, 1181, 0, 0 },
    { 431442, 1181, 0, 0 },
    { 431472, 1181, 0, 1 },
    { 431501, 1181, 0, 0 },
    { 431530, 1181, 0, 0 },
    { 431560, 1181, 0, 0 },
    { 431590, 1181, 0, 0 },
    { 431619, 1181, 0, 0 },
    { 431649, 1181, 0, 0 },
    { 431679, 1181, 0, 0 },
    { 431709, 1181, 0, 0 },
    { 431738, 1182, 1, 0 },
    { 431768, 1182, 0, 0 },
    { 431797, 1182, 0, 0 },
    { 431826, 1182, 0, 0 },
    { 431856, 1182, 0, 0 },
    { 431885, 1182, 0, 0 },
    { 431914, 1182, 0, 0 },
    { 431944, 1182, 0, 0 },
    { 431973, 1182, 0, 0 },
    { 432003, 1182, 0, 0 },
    { 432033, 1182, 0, 0 },
    { 432063, 1182, 0, 0 },
    { 432092, 1183, 1, 0 },
    { 432122, 1183, 0, 0 },
    { 432152, 1183, 0, 0 },
    { 432181, 1183, 0, 0 },
    { 432210, 1183, 0, 0 },
    { 432240, 1183, 0, 0 },
    { 432269, 1183, 0, 0 },
    { 432298, 1183, 0, 0 },
    { 432328, 1183, 0, 0 },
    { 432357, 1183, 0, 0 },
    { 432387, 1183, 0, 0 },
    { 432417, 1183, 0, 0 },
    { 432447, 1184, 1, 0 },
    { 432476, 1184, 0, 0 },
    { 432506, 1184, 0, 1 },
    { 432535, 1184, 0, 0 },
    { 432565, 1184, 0, 0 },
    { 432594, 1184, 0, 0 },
    { 432624, 1184, 0, 0 },
    { 432653, 1184, 0, 0 },
    { 432682, 1184, 0, 0 },
    { 432712, 1184, 0, 0 },
    { 432741, 1184, 0, 0 },
    { 432771, 1184, 0, 0 },
    { 432801, 1184, 0, 0 },
    { 432830, 1185, 1, 0 },
    { 432860, 1185, 0, 0 },
    { 432890, 1185, 0, 0 },
    { 432919, 1185, 0, 0 },
    { 432949, 1185, 0, 0 },
    { 432978, 1185, 0, 0 },
    { 433008, 1185, 0, 0 },
    { 433037, 1185, 0, 0 },
    { 433066, 1185, 0, 0 },
    { 433096, 1185, 0, 0 },
    { 433125, 1185, 0, 0 },
    { 433155, 1185, 0, 0 },
    { 433184, 1186, 1, 0 },
    { 433214, 1186, 0, 0 },
    { 433244, 1186, 0, 0 },
    { 433274, 1186, 0, 0 },
    { 433303, 1186, 0, 0 },
    { 433333, 1186, 0, 0 },
    { 433362, 1186, 0, 0 },
    { 433392, 1186, 0, 0 },
    { 433421, 1186, 0, 0 },
    { 433450, 1186, 0, 0 },
    { 433480, 1186, 0, 1 },
    { 433509, 1186, 0, 0 },
    { 433539, 1186, 0, 0 },
    { 433568, 1187, 1, 0 },
    { 433598, 1187, 0, 0 },
    { 433628, 1187, 0, 0 },
    { 433657, 1187, 0, 0 },
    { 433687, 1187, 0, 0 },
    { 433716, 1187, 0, 0 },
    { 433746, 1187, 0, 0 },
    { 433775, 1187, 0, 0 },
    { 433805, 1187, 0, 0 },
    { 433834, 1187, 0, 0 },
    { 433864, 1187, 0, 0 },
    { 433893, 1187, 0, 0 },
    { 433923, 1188, 1, 0 },
    { 433952, 1188, 0, 0 },
    { 433982, 1188, 0, 0 },
    { 434011, 1188, 0, 0 },
    { 434041, 1188, 0, 0 },
    { 434070, 1188, 0, 0 },
    { 434100, 1188, 0, 0 },
    { 434130, 1188, 0, 0 },
    { 434159, 1188, 0, 0 },
    { 434189, 1188, 0, 0 },
    { 434218, 1188, 0, 0 },
    { 434248, 1188, 0, 0 },
    { 434277, 1189, 1, 0 },
    { 434307, 1189, 0, 0 },
    { 434336, 1189, 0, 0 },
    { 434366, 1189, 0, 0 },
    { 434395, 1189, 0, 0 },
    { 434425, 1189, 0, 0 },
    { 434454, 1189, 0, 0 },
    { 434484, 1189, 0, 1 },
    { 434513, 1189, 0, 0 },
    { 434543, 1189, 0, 0 },
    { 434573, 1189, 0, 0 },
    { 434602, 1189, 0, 0 },
    { 434632, 1189, 0, 0 },
    { 434662, 1190, 1, 0 },
    { 434691, 1190, 0, 0 },
    { 434720, 1190, 0, 0 },
    { 434750, 1190, 0, 0 },
    { 434779, 1190, 0, 0 },
    { 434808, 1190, 0, 0 },
    { 434838, 1190, 0, 0 },
    { 434868, 1190, 0, 0 },
    { 434897, 1190, 0, 0 },
    { 434927, 1190, 0, 0 },
    { 434957, 1190, 0, 0 },
    { 434986, 1190, 0, 0 },
    { 435016, 1191, 1, 0 },
    { 435046, 1191, 0, 0 },
    { 435075, 1191, 0, 0 },
    { 435104, 1191, 0, 0 },
    { 435134, 1191, 0, 0 },
    { 435163, 1191, 0, 0 },
    { 435192, 1191, 0, 0 },
    { 435222, 1191, 0, 0 },
    { 435251, 1191, 0, 0 },
    { 435281, 1191, 0, 0 },
    { 435311, 1191, 0, 0 },
    { 435341, 1191, 0, 0 },
    { 435370, 1192, 1, 0 },
    { 435400, 1192, 0, 0 },
    { 435430, 1192, 0, 0 },
    { 435459, 1192, 0, 1 },
    { 435488, 1192, 0, 0 },
    { 435518, 1192, 0, 0 },
    { 435547, 1192, 0, 0 },
    { 435576, 1192, 0, 0 },
    { 435606, 1192, 0, 0 },
    { 435635, 1192, 0, 0 },
    { 435665, 1192, 0, 0 },
    { 435695, 1192, 0, 0 },
    { 435724, 1192, 0, 0 },
    { 435754, 1193, 1, 0 },
    { 435784, 1193, 0, 0 },
    { 435813, 1193, 0, 0 },
    { 435843, 1193, 0, 0 },
    { 435872, 1193, 0, 0 },
    { 435902, 1193, 0, 0 },
    { 435931, 1193, 0, 0 },
    { 435960, 1193, 0, 0 },
    { 435990, 1193, 0, 0 },
    { 436019, 1193, 0, 0 },
    { 436049, 1193, 0, 0 },
    { 436078, 1193, 0, 0 },
    { 436108, 1194, 1, 0 },
    { 436138, 1194, 0, 0 },
    { 436168, 1194, 0, 0 },
    { 436197, 1194, 0, 0 },
    { 436227, 1194, 0, 0 },
    { 436256, 1194, 0, 0 },
    { 436286, 1194, 0, 0 },
    { 436315, 1194, 0, 0 },
    { 436344, 1194, 0, 0 },
    { 436374, 1194, 0, 0 },
    { 436403, 1194, 0, 0 },
    { 436433, 1194, 0, 1 },
    { 436462, 1194, 0, 0 },
    { 436492, 1195, 1, 0 },
    { 436522, 1195, 0, 0 },
    { 436551, 1195, 0, 0 },
    { 436581, 1195, 0, 0 },
    { 436611, 1195, 0, 0 },
    { 436640, 1195, 0, 0 },
    { 436669, 1195, 0, 0 },
    { 436699, 1195, 0, 0 },
    { 436728, 1195, 0, 0 },
    { 436758, 1195, 0, 0 },
    { 436787, 1195, 0, 0 },
    { 436817, 1195, 0, 0 },
    { 436846, 1196, 1, 0 },
    { 436876, 1196, 0, 0 },
    { 436905, 1196, 0, 0 },
    { 436935, 1196, 0, 0 },
    { 436965, 1196, 0, 0 },
    { 436994, 1196, 0, 0 },
    { 437024, 1196, 0, 0 },
    { 437053, 1196, 0, 0 },
    { 437083, 1196, 0, 0 },
    { 437112, 1196, 0, 0 },
    { 437142, 1196, 0, 0 },
    { 437171, 1196, 0, 0 },
    { 437201, 1197, 1, 0 },
    { 437230, 1197, 0, 0 },
    { 437260, 1197, 0, 0 },
    { 437289, 1197, 0, 0 },
    { 437319, 1197, 0, 0 },
    { 437348, 1197, 0, 0 },
    { 437378, 1197, 0, 0 },
    { 437408, 1197, 0, 0 },
    { 437437, 1197, 0, 0 },
    { 437467, 1197, 0, 1 },
    { 437496, 1197, 0, 0 },
    { 437526, 1197, 0, 0 },
    { 437555, 1197, 0, 0 },
    { 437585, 1198, 1, 0 },
    { 437614, 1198, 0, 0 },
    { 437644, 1198, 0, 0 },
    { 437673, 1198, 0, 0 },
    { 437702, 1198, 0, 0 },
    { 437732, 1198, 0, 0 },
    { 437762, 1198, 0, 0 },
    { 437791, 1198, 0, 0 },
    { 437821, 1198, 0, 0 },
    { 437851, 1198, 0, 0 },
    { 437880, 1198, 0, 0 },
    { 437910, 1198, 0, 0 },
    { 437939, 1199, 1, 0 },
    { 437969, 1199, 0, 0 },
    { 437998, 1199, 0, 0 },
    { 438028, 1199, 0, 0 },
    { 438057, 1199, 0, 0 },
    { 438086, 1199, 0, 0 },
    { 438116, 1199, 0, 0 },
    { 438145, 1199, 0, 0 },
    { 438175, 1199, 0, 0 },
    { 438205, 1199, 0, 0 },
    { 438235, 1199, 0, 0 },
    { 438264, 1199, 0, 0 },
    { 438294, 1200, 1, 0 },
    { 438323, 1200, 0, 0 },
    { 438353, 1200, 0, 0 },
    { 438382, 1200, 0, 0 },
    { 438412, 1200, 0, 0 },
    { 438441, 1200, 0, 1 },
    { 438470, 1200, 0, 0 },
    { 438500, 1200, 0, 0 },
    { 438529, 1200, 0, 0 },
    { 438559, 1200, 0, 0 },
    { 438589, 1200, 0, 0 },
    { 438618, 1200, 0, 0 },
    { 438648, 1200, 0, 0 },
    { 438678, 1201, 1, 0 },
    { 438707, 1201, 0, 0 },
    { 438737, 1201, 0, 0 },
    { 438766, 1201, 0, 0 },
    { 438796, 1201, 0, 0 },
    { 438825, 1201, 0, 0 },
    { 438854, 1201, 0, 0 },
    { 438884, 1201, 0, 0 },
    { 438913, 1201, 0, 0 },
    { 438943, 1201, 0, 0 },
    { 438972, 1201, 0, 0 },
    { 439002, 1201, 0, 0 },
    { 439032, 1202, 1, 0 },
    { 439062, 1202, 0, 0 },
    { 439091, 1202, 0, 0 },
    { 439121, 1202, 0, 0 },
    { 439150, 1202, 0, 0 },
    { 439180, 1202, 0, 0 },
    { 439209, 1202, 0, 0 },
    { 439238, 1202, 0, 0 },
    { 439267, 1202, 0, 0 },
    { 439297, 1202, 0, 0 },
    { 439327, 1202, 0, 0 },
    { 439356, 1202, 0, 0 },
    { 439386, 1203, 1, 0 },
    { 439416, 1203, 0, 1 },
    { 439445, 1203, 0, 0 },
    { 439475, 1203, 0, 0 },
    { 439505, 1203, 0, 0 },
    { 439534, 1203, 0, 0 },
    { 439563, 1203, 0, 0 },
    { 439593, 1203, 0, 0 },
    { 439622, 1203, 0, 0 },
    { 439652, 1203, 0, 0 },
    { 439681, 1203, 0, 0 },
    { 439711, 1203, 0, 0 },
    { 439740, 1203, 0, 0 },
    { 439770, 1204, 1, 0 },
    { 439799, 1204, 0, 0 },
    { 439829, 1204, 0, 0 },
    { 439859, 1204, 0, 0 },
    { 439888, 1204, 0, 0 },
    { 439918, 1204, 0, 0 },
    { 439947, 1204, 0, 0 },
    { 439977, 1204, 0, 0 },
    { 440006, 1204, 0, 0 },
    { 440036, 1204, 0, 0 },
    { 440065, 1204, 0, 0 },
    { 440095, 1204, 0, 0 },
    { 440124, 1205, 1, 0 },
    { 440154, 1205, 0, 0 },
    { 440183, 1205, 0, 0 },
    { 440213, 1205, 0, 0 },
    { 440242, 1205, 0, 0 },
    { 440272, 1205, 0, 0 },
    { 440302, 1205, 0, 0 },
    { 440331, 1205, 0, 0 },
    { 440361, 1205, 0, 0 },
    { 440390, 1205, 0, 0 },
    { 440420, 1205, 0, 1 },
    { 440449, 1205, 0, 0 },
    { 440479, 1205, 0, 0 },
    { 440508, 1206, 1, 0 },
    { 440538, 1206, 0, 0 },
    { 440567, 1206, 0, 0 },
    { 440597, 1206, 0, 0 },
    { 440626, 1206, 0, 0 },
    { 440656, 1206, 0, 0 },
    { 440685, 1206, 0, 0 },
    { 440715, 1206, 0, 0 },
    { 440745, 1206, 0, 0 },
    { 440774, 1206, 0, 0 },
    { 440804, 1206, 0, 0 },
    { 440833, 1206, 0, 0 },
    { 440863, 1207, 1, 0 },
    { 440892, 1207, 0, 0 },
    { 440922, 1207, 0, 0 },
    { 440951, 1207, 0, 0 },
    { 440980, 1207, 0, 0 },
    { 441010, 1207, 0, 0 },
    { 441039, 1207, 0, 0 },
    { 441069, 1207, 0, 0 },
    { 441099, 1207, 0, 0 },
    { 441128, 1207, 0, 0 },
    { 441158, 1207, 0, 0 },
    { 441188, 1207, 0, 0 },
    { 441217, 1208, 1, 0 },
    { 441247, 1208, 0, 0 },
    { 441276, 1208, 0, 0 },
    { 441306, 1208, 0, 0 },
    { 441335, 1208, 0, 0 },
    { 441364, 1208, 0, 0 },
    { 441394, 1208, 0, 1 },
    { 441423, 1208, 0, 0 },
    { 441453, 1208, 0, 0 },
    { 441483, 1208, 0, 0 },
    { 441512, 1208, 0, 0 },
    { 441542, 1208, 0, 0 },
    { 441572, 1208, 0, 0 },
    { 441601, 1209, 1, 0 },
    { 441631, 1209, 0, 0 },
    { 441660, 1209, 0, 0 },
    { 441690, 1209, 0, 0 },
    { 441719, 1209, 0, 0 },
    { 441748, 1209, 0, 0 },
    { 441778, 1209, 0, 0 },
    { 441807, 1209, 0, 0 },
    { 441837, 1209, 0, 0 },
    { 441866, 1209, 0, 0 },
    { 441896, 1209, 0, 0 },
    { 441926, 1209, 0, 0 },
    { 441956, 1210, 1, 0 },
    { 441985, 1210, 0, 0 },
    { 442015, 1210, 0, 0 },
    { 442044, 1210, 0, 0 },
    { 442074, 1210, 0, 0 },
    { 442103, 1210, 0, 0 },
    { 442132, 1210, 0, 0 },
    { 442161, 1210, 0, 0 },
    { 442191, 1210, 0, 0 },
    { 442220, 1210, 0, 0 },
    { 442250, 1210, 0, 0 },
    { 442280, 1210, 0, 0 },
    { 442310, 1211, 1, 0 },
    { 442339, 1211, 0, 0 },
    { 442369, 1211, 0, 0 },
    { 442399, 1211, 0, 0 },
    { 442428, 1211, 0, 1 },
    { 442458, 1211, 0, 0 },
    { 442487, 1211, 0, 0 },
    { 442516, 1211, 0, 0 },
    { 442545, 1211, 0, 0 },
    { 442575, 1211, 0, 0 },
    { 442604, 1211, 0, 0 },
    { 442634, 1211, 0, 0 },
    { 442664, 1211, 0, 0 },
    { 442693, 1212, 1, 0 },
    { 442723, 1212, 0, 0 },
    { 442753, 1212, 0, 0 },
    { 442783, 1212, 0, 0 },
    { 442812, 1212, 0, 0 },
    { 442841, 1212, 0, 0 },
    { 442871, 1212, 0, 0 },
    { 442900, 1212, 0, 0 },
    { 442930, 1212, 0, 0 },
    { 442959, 1212, 0, 0 },
    { 442988, 1212, 0, 0 },
    { 443018, 1212, 0, 0 },
    { 443048, 1213, 1, 0 },
    { 443077, 1213, 0, 0 },
    { 443107, 1213, 0, 0 },
    { 443137, 1213, 0, 0 },
    { 443166, 1213, 0, 0 },
    { 443196, 1213, 0, 0 },
    { 443225, 1213, 0, 0 },
    { 443255, 1213, 0, 0 },
    { 443284, 1213, 0, 0 },
    { 443314, 1213, 0, 0 },
    { 443343, 1213, 0, 0 },
    { 443372, 1213, 0, 0 },
    { 443402, 1213, 0, 1 },
    { 443432, 1214, 1, 0 },
    { 443461, 1214, 0, 0 },
    { 443491, 1214, 0, 0 },
    { 443520, 1214, 0, 0 },
    { 443550, 1214, 0, 0 },
    { 443580, 1214, 0, 0 },
    { 443609, 1214, 0, 0 },
    { 443639, 1214, 0, 0 },
    { 443668, 1214, 0, 0 },
    { 443698, 1214, 0, 0 },
    { 443727, 1214, 0, 0 },
    { 443757, 1214, 0, 0 },
    { 443786, 1215, 1, 0 },
    { 443816, 1215, 0, 0 },
    { 443845, 1215, 0, 0 },
    { 443874, 1215, 0, 0 },
    { 443904, 1215, 0, 0 },
    { 443934, 1215, 0, 0 },
    { 443963, 1215, 0, 0 },
    { 443993, 1215, 0, 0 },
    { 444023, 1215, 0, 0 },
    { 444052, 1215, 0, 0 },
    { 444082, 1215, 0, 0 },
    { 444111, 1215, 0, 0 },
    { 444141, 1216, 1, 0 },
    { 444170, 1216, 0, 0 },
    { 444200, 1216, 0, 0 },
    { 444229, 1216, 0, 0 },
    { 444258, 1216, 0, 0 },
    { 444288, 1216, 0, 0 },
    { 444317, 1216, 0, 0 },
    { 444347, 1216, 0, 0 },
    { 444377, 1216, 0, 1 },
    { 444406, 1216, 0, 0 },
    { 444436, 1216, 0, 0 },
    { 444466, 1216, 0, 0 },
    { 444495, 1216, 0, 0 },
    { 444525, 1217, 1, 0 },
    { 444554, 1217, 0, 0 },
    { 444584, 1217, 0, 0 },
    { 444613, 1217, 0, 0 },
    { 444642, 1217, 0, 0 },
    { 444672, 1217, 0, 0 },
    { 444701, 1217, 0, 0 },
    { 444731, 1217, 0, 0 },
    { 444760, 1217, 0, 0 },
    { 444790, 1217, 0, 0 },
    { 444820, 1217, 0, 0 },
    { 444850, 1217, 0, 0 },
    { 444879, 1218, 1, 0 },
    { 444909, 1218, 0, 0 },
    { 444938, 1218, 0, 0 },
    { 444968, 1218, 0, 0 },
    { 444997, 1218, 0, 0 },
    { 445026, 1218, 0, 0 },
    { 445055, 1218, 0, 0 },
    { 445085, 1218, 0, 0 },
    { 445114, 1218, 0, 0 },
    { 445144, 1218, 0, 0 },
    { 445174, 1218, 0, 0 },
    { 445204, 1218, 0, 0 },
    { 445233, 1219, 1, 0 },
    { 445263, 1219, 0, 0 },
    { 445293, 1219, 0, 0 },
    { 445322, 1219, 0, 0 },
    { 445352, 1219, 0, 0 },
    { 445381, 1219, 0, 1 },
    { 445410, 1219, 0, 0 },
    { 445439, 1219, 0, 0 },
    { 445469, 1219, 0, 0 },
    { 445498, 1219, 0, 0 },
    { 445528, 1219, 0, 0 },
    { 445558, 1219, 0, 0 },
    { 445587, 1219, 0, 0 },
    { 445617, 1220, 1, 0 },
    { 445647, 1220, 0, 0 },
    { 445677, 1220, 0, 0 },
    { 445706, 1220, 0, 0 },
    { 445736, 1220, 0, 0 },
    { 445765, 1220, 0, 0 },
    { 445794, 1220, 0, 0 },
    { 445823, 1220, 0, 0 },
    { 445853, 1220, 0, 0 },
    { 445882, 1220, 0, 0 },
    { 445912, 1220, 0, 0 },
    { 445942, 1220, 0, 0 },
    { 445971, 1221, 1, 0 },
    { 446001, 1221, 0, 0 },
    { 446031, 1221, 0, 0 },
    { 446060, 1221, 0, 0 },
    { 446090, 1221, 0, 0 },
    { 446119, 1221, 0, 0 },
    { 446149, 1221, 0, 0 },
    { 446178, 1221, 0, 0 },
    { 446208, 1221, 0, 0 },
    { 446237, 1221, 0, 0 },
    { 446266, 1221, 0, 0 },
    { 446296, 1221, 0, 0 },
    { 446325, 1222, 1, 0 },
    { 446355, 1222, 0, 0 },
    { 446385, 1222, 0, 1 },
    { 446414, 1222, 0, 0 },
    { 446444, 1222, 0, 0 },
    { 446474, 1222, 0, 0 },
    { 446503, 1222, 0, 0 },
    { 446533, 1222, 0, 0 },
    { 446562, 1222, 0, 0 },
    { 446592, 1222, 0, 0 },
    { 446621, 1222, 0, 0 },
    { 446650, 1222, 0, 0 },
    { 446680, 1222, 0, 0 },
    { 446709, 1223, 1, 0 },
    { 446739, 1223, 0, 0 },
    { 446769, 1223, 0, 0 },
    { 446798, 1223, 0, 0 },
    { 446828, 1223, 0, 0 },
    { 446857, 1223, 0, 0 },
    { 446887, 1223, 0, 0 },
    { 446917, 1223, 0, 0 },
    { 446946, 1223, 0, 0 },
    { 446976, 1223, 0, 0 },
    { 447005, 1223, 0, 0 },
    { 447035, 1223, 0, 0 },
    { 447064, 1224, 1, 0 },
    { 447093, 1224, 0, 0 },
    { 447123, 1224, 0, 0 },
    { 447152, 1224, 0, 0 },
    { 447182, 1224, 0, 0 },
    { 447211, 1224, 0, 0 },
    { 447241, 1224, 0, 0 },
    { 447271, 1224, 0, 0 },
    { 447300, 1224, 0, 0 },
    { 447330, 1224, 0, 0 },
    { 447360, 1224, 0, 1 },
    { 447389, 1224, 0, 0 },
    { 447419, 1224, 0, 0 },
    { 447448, 1225, 1, 0 },
    { 447477, 1225, 0, 0 },
    { 447507, 1225, 0, 0 },
    { 447536, 1225, 0, 0 },
    { 447566, 1225, 0, 0 },
    { 447595, 1225, 0, 0 },
    { 447625, 1225, 0, 0 },
    { 447654, 1225, 0, 0 },
    { 447684, 1225, 0, 0 },
    { 447714, 1225, 0, 0 },
    { 447744, 1225, 0, 0 },
    { 447773, 1225, 0, 0 },
    { 447803, 1226, 1, 0 },
    { 447832, 1226, 0, 0 },
    { 447862, 1226, 0, 0 },
    { 447891, 1226, 0, 0 },
    { 447920, 1226, 0, 0 },
    { 447950, 1226, 0, 0 },
    { 447979, 1226, 0, 0 },
    { 448008, 1226, 0, 0 },
    { 448038, 1226, 0, 0 },
    { 448068, 1226, 0, 0 },
    { 448098, 1226, 0, 0 },
    { 448127, 1226, 0, 0 },
    { 448157, 1227, 1, 0 },
    { 448187, 1227, 0, 0 },
    { 448216, 1227, 0, 0 },
    { 448246, 1227, 0, 0 },
    { 448275, 1227, 0, 0 },
    { 448304, 1227, 0, 0 },
    { 448333, 1227, 0, 1 },
    { 448363, 1227, 0, 0 },
    { 448392, 1227, 0, 0 },
    { 448422, 1227, 0, 0 },
    { 448452, 1227, 0, 0 },
    { 448481, 1227, 0, 0 },
    { 448511, 1227, 0, 0 },
    { 448541, 1228, 1, 0 },
    { 448571, 1228, 0, 0 },
    { 448600, 1228, 0, 0 },
    { 448630, 1228, 0, 0 },
    { 448659, 1228, 0, 0 },
    { 448688, 1228, 0, 0 },
    { 448717, 1228, 0, 0 },
    { 448747, 1228, 0, 0 },
    { 448776, 1228, 0, 0 },
    { 448806, 1228, 0, 0 },
    { 448835, 1228, 0, 0 },
    { 448865, 1228, 0, 0 },
    { 448895, 1229, 1, 0 },
    { 448925, 1229, 0, 0 },
    { 448954, 1229, 0, 0 },
    { 448984, 1229, 0, 0 },
    { 449013, 1229, 0, 0 },
    { 449043, 1229, 0, 0 },
    { 449072, 1229, 0, 0 },
    { 449101, 1229, 0, 0 },
    { 449131, 1229, 0, 0 },
    { 449160, 1229, 0, 0 },
    { 449190, 1229, 0, 0 },
    { 449219, 1229, 0, 0 },
    { 449249, 1230, 1, 0 },
    { 449279, 1230, 0, 0 },
    { 449308, 1230, 0, 0 },
    { 449338, 1230, 0, 0 },
    { 449368, 1230, 0, 1 },
    { 449397, 1230, 0, 0 },
    { 449427, 1230, 0, 0 },
    { 449456, 1230, 0, 0 },
    { 449486, 1230, 0, 0 },
    { 449515, 1230, 0, 0 },
    { 449544, 1230, 0, 0 },
    { 449574, 1230, 0, 0 },
    { 449603, 1230, 0, 0 },
    { 449633, 1231, 1, 0 },
    { 449663, 1231, 0, 0 },
    { 449692, 1231, 0, 0 },
    { 449722, 1231, 0, 0 },
    { 449752, 1231, 0, 0 },
    { 449781, 1231, 0, 0 },
    { 449811, 1231, 0, 0 },
    { 449840, 1231, 0, 0 },
    { 449870, 1231, 0, 0 },
    { 449899, 1231, 0, 0 },
    { 449928, 1231, 0, 0 },
    { 449958, 1231, 0, 0 },
    { 449987, 1232, 1, 0 },
    { 450017, 1232, 0, 0 },
    { 450046, 1232, 0, 0 },
    { 450076, 1232, 0, 0 },
    { 450106, 1232, 0, 0 },
    { 450135, 1232, 0, 0 },
    { 450165, 1232, 0, 0 },
    { 450194, 1232, 0, 0 },
    { 450224, 1232, 0, 0 },
    { 450254, 1232, 0, 0 },
    { 450283, 1232, 0, 0 },
    { 450313, 1232, 0, 0 },
    { 450342, 1232, 0, 1 },
    { 450371, 1233, 1, 0 },
    { 450401, 1233, 0, 0 },
    { 450430, 1233, 0, 0 },
    { 450460, 1233, 0, 0 },
    { 450489, 1233, 0, 0 },
    { 450519, 1233, 0, 0 },
    { 450548, 1233, 0, 0 },
    { 450578, 1233, 0, 0 },
    { 450608, 1233, 0, 0 },
    { 450637, 1233, 0, 0 },
    { 450667, 1233, 0, 0 },
    { 450697, 1233, 0, 0 },
    { 450726, 1234, 1, 0 },
    { 450755, 1234, 0, 0 },
    { 450785, 1234, 0, 0 },
    { 450814, 1234, 0, 0 },
    { 450844, 1234, 0, 0 },
    { 450873, 1234, 0, 0 },
    { 450903, 1234, 0, 0 },
    { 450932, 1234, 0, 0 },
    { 450962, 1234, 0, 0 },
    { 450992, 1234, 0, 0 },
    { 451021, 1234, 0, 0 },
    { 451051, 1234, 0, 0 },
    { 451081, 1235, 1, 0 },
    { 451110, 1235, 0, 0 },
    { 451140, 1235, 0, 0 },
    { 451169, 1235, 0, 0 },
    { 451198, 1235, 0, 0 },
    { 451227, 1235, 0, 0 },
    { 451257, 1235, 0, 0 },
    { 451286, 1235, 0, 0 },
    { 451316, 1235, 0, 1 },
    { 451346, 1235, 0, 0 },
    { 451375, 1235, 0, 0 },
    { 451405, 1235, 0, 0 },
    { 451435, 1235, 0, 0 },
    { 451465, 1236, 1, 0 },
    { 451494, 1236, 0, 0 },
    { 451524, 1236, 0, 0 },
    { 451553, 1236, 0, 0 },
    { 451582, 1236, 0, 0 },
    { 451611, 1236, 0, 0 },
    { 451641, 1236, 0, 0 },
    { 451670, 1236, 0, 0 },
    { 451700, 1236, 0, 0 },
    { 451729, 1236, 0, 0 },
    { 451759, 1236, 0, 0 },
    { 451789, 1236, 0, 0 },
    { 451819, 1237, 1, 0 },
    { 451848, 1237, 0, 0 },
    { 451878, 1237, 0, 0 },
    { 451908, 1237, 0, 0 },
    { 451937, 1237, 0, 0 },
    { 451966, 1237, 0, 0 },
    { 451995, 1237, 0, 0 },
    { 452025, 1237, 0, 0 },
    { 452054, 1237, 0, 0 },
    { 452084, 1237, 0, 0 },
    { 452113, 1237, 0, 0 },
    { 452143, 1237, 0, 0 },
    { 452173, 1238, 1, 0 },
    { 452203, 1238, 0, 0 },
    { 452232, 1238, 0, 0 },
    { 452262, 1238, 0, 0 },
    { 452291, 1238, 0, 0 },
    { 452321, 1238, 0, 1 },
    { 452350, 1238, 0, 0 },
    { 452379, 1238, 0, 0 },
    { 452409, 1238, 0, 0 },
    { 452438, 1238, 0, 0 },
    { 452468, 1238, 0, 0 },
    { 452497, 1238, 0, 0 },
    { 452527, 1238, 0, 0 },
    { 452557, 1239, 1, 0 },
    { 452586, 1239, 0, 0 },
    { 452616, 1239, 0, 0 },
    { 452646, 1239, 0, 0 },
    { 452675, 1239, 0, 0 },
    { 452705, 1239, 0, 0 },
    { 452734, 1239, 0, 0 },
    { 452764, 1239, 0, 0 },
    { 452793, 1239, 0, 0 },
    { 452822, 1239, 0, 0 },
    { 452852, 1239, 0, 0 },
    { 452881, 1239, 0, 0 },
    { 452911, 1240, 1, 0 },
    { 452940, 1240, 0, 0 },
    { 452970, 1240, 0, 0 },
    { 452999, 1240, 0, 0 },
    { 453029, 1240, 0, 0 },
    { 453059, 1240, 0, 0 },
    { 453088, 1240, 0, 0 },
    { 453118, 1240, 0, 0 },
    { 453147, 1240, 0, 0 },
    { 453177, 1240, 0, 0 },
    { 453206, 1240, 0, 0 },
    { 453236, 1240, 0, 0 },
    { 453265, 1241, 1, 0 },
    { 453295, 1241, 0, 0 },
    { 453324, 1241, 0, 0 },
    { 453354, 1241, 0, 1 },
    { 453383, 1241, 0, 0 },
    { 453413, 1241, 0, 0 },
    { 453442, 1241, 0, 0 },
    { 453472, 1241, 0, 0 },
    { 453502, 1241, 0, 0 },
    { 453531, 1241, 0, 0 },
    { 453561, 1241, 0, 0 },
    { 453590, 1241, 0, 0 },
    { 453620, 1241, 0, 0 },
    { 453649, 1242, 1, 0 },
    { 453679, 1242, 0, 0 },
    { 453708, 1242, 0, 0 },
    { 453737, 1242, 0, 0 },
    { 453767, 1242, 0, 0 },
    { 453796, 1242, 0, 0 },
    { 453826, 1242, 0, 0 },
    { 453856, 1242, 0, 0 },
    { 453885, 1242, 0, 0 },
    { 453915, 1242, 0, 0 },
    { 453945, 1242, 0, 0 },
    { 453974, 1242, 0, 0 },
    { 454004, 1243, 1, 0 },
    { 454033, 1243, 0, 0 },
    { 454063, 1243, 0, 0 },
    { 454092, 1243, 0, 0 },
    { 454121, 1243, 0, 0 },
    { 454151, 1243, 0, 0 },
    { 454180, 1243, 0, 0 },
    { 454210, 1243, 0, 0 },
    { 454239, 1243, 0, 0 },
    { 454269, 1243, 0, 0 },
    { 454299, 1243, 0, 0 },
    { 454329, 1243, 0, 0 },
    { 454358, 1244, 1, 0 },
    { 454388, 1244, 0, 1 },
    { 454417, 1244, 0, 0 },
    { 454447, 1244, 0, 0 },
    { 454476, 1244, 0, 0 },
    { 454505, 1244, 0, 0 },
    { 454535, 1244, 0, 0 },
    { 454564, 1244, 0, 0 },
    { 454594, 1244, 0, 0 },
    { 454623, 1244, 0, 0 },
    { 454653, 1244, 0, 0 },
    { 454683, 1244, 0, 0 },
    { 454713, 1244, 0, 0 },
    { 454742, 1245, 1, 0 },
    { 454772, 1245, 0, 0 },
    { 454801, 1245, 0, 0 },
    { 454831, 1245, 0, 0 },
    { 454860, 1245, 0, 0 },
    { 454889, 1245, 0, 0 },
    { 454919, 1245, 0, 0 },
    { 454948, 1245, 0, 0 },
    { 454977, 1245, 0, 0 },
    { 455007, 1245, 0, 0 },
    { 455037, 1245, 0, 0 },
    { 455066, 1245, 0, 0 },
    { 455096, 1246, 1, 0 },
    { 455126, 1246, 0, 0 },
    { 455156, 1246, 0, 0 },
    { 455185, 1246, 0, 0 },
    { 455215, 1246, 0, 0 },
    { 455244, 1246, 0, 0 },
    { 455273, 1246, 0, 0 },
    { 455303, 1246, 0, 0 },
    { 455332, 1246, 0, 1 },
    { 455361, 1246, 0, 0 },
    { 455391, 1246, 0, 0 },
    { 455421, 1246, 0, 0 },
    { 455450, 1246, 0, 0 },
    { 455480, 1247, 1, 0 },
    { 455510, 1247, 0, 0 },
    { 455539, 1247, 0, 0 },
    { 455569, 1247, 0, 0 },
    { 455599, 1247, 0, 0 },
    { 455628, 1247, 0, 0 },
    { 455657, 1247, 0, 0 },
    { 455687, 1247, 0, 0 },
    { 455716, 1247, 0, 0 },
    { 455745, 1247, 0, 0 },
    { 455775, 1247, 0, 0 },
    { 455804, 1247, 0, 0 },
    { 455834, 1248, 1, 0 },
    { 455864, 1248, 0, 0 },
    { 455894, 1248, 0, 0 },
    { 455923, 1248, 0, 0 },
    { 455953, 1248, 0, 0 },
    { 455982, 1248, 0, 0 },
    { 456012, 1248, 0, 0 },
    { 456041, 1248, 0, 0 },
    { 456071, 1248, 0, 0 },
    { 456100, 1248, 0, 0 },
    { 456129, 1248, 0, 0 },
    { 456159, 1248, 0, 0 },
    { 456188, 1249, 1, 0 },
    { 456218, 1249, 0, 0 },
    { 456248, 1249, 0, 0 },
    { 456277, 1249, 0, 0 },
    { 456307, 1249, 0, 0 },
    { 456337, 1249, 0, 1 },
    { 456366, 1249, 0, 0 },
    { 456396, 1249, 0, 0 },
    { 456425, 1249, 0, 0 },
    { 456455, 1249, 0, 0 },
    { 456484, 1249, 0, 0 },
    { 456514, 1249, 0, 0 },
    { 456543, 1249, 0, 0 },
    { 456572, 1250, 1, 0 },
    { 456602, 1250, 0, 0 },
    { 456631, 1250, 0, 0 },
    { 456661, 1250, 0, 0 },
    { 456691, 1250, 0, 0 },
    { 456720, 1250, 0, 0 },
    { 456750, 1250, 0, 0 },
    { 456779, 1250, 0, 0 },
    { 456809, 1250, 0, 0 },
    { 456839, 1250, 0, 0 },
    { 456868, 1250, 0, 0 },
    { 456898, 1250, 0, 0 },
    { 456927, 1251, 1, 0 },
    { 456957, 1251, 0, 0 },
    { 456986, 1251, 0, 0 },
    { 457015, 1251, 0, 0 },
    { 457045, 1251, 0, 0 },
    { 457074, 1251, 0, 0 },
    { 457104, 1251, 0, 0 },
    { 457134, 1251, 0, 0 },
    { 457163, 1251, 0, 0 },
    { 457193, 1251, 0, 0 },
    { 457223, 1251, 0, 0 },
    { 457252, 1251, 0, 0 },
    { 457282, 1252, 1, 0 },
    { 457311, 1252, 0, 0 },
    { 457341, 1252, 0, 1 },
    { 457370, 1252, 0, 0 },
    { 457399, 1252, 0, 0 },
    { 457429, 1252, 0, 0 },
    { 457458, 1252, 0, 0 },
    { 457488, 1252, 0, 0 },
    { 457517, 1252, 0, 0 },
    { 457547, 1252, 0, 0 },
    { 457577, 1252, 0, 0 },
    { 457606, 1252, 0, 0 },
    { 457636, 1252, 0, 0 },
    { 457666, 1253, 1, 0 },
    { 457695, 1253, 0, 0 },
    { 457725, 1253, 0, 0 },
    { 457754, 1253, 0, 0 },
    { 457783, 1253, 0, 0 },
    { 457813, 1253, 0, 0 },
    { 457842, 1253, 0, 0 },
    { 457871, 1253, 0, 0 },
    { 457901, 1253, 0, 0 },
    { 457931, 1253, 0, 0 },
    { 457960, 1253, 0, 0 },
    { 457990, 1253, 0, 0 },
    { 458020, 1254, 1, 0 },
    { 458050, 1254, 0, 0 },
    { 458079, 1254, 0, 0 },
    { 458109, 1254, 0, 0 },
    { 458138, 1254, 0, 0 },
    { 458167, 1254, 0, 0 },
    { 458197, 1254, 0, 0 },
    { 458226, 1254, 0, 0 },
    { 458255, 1254, 0, 0 },
    { 458285, 1254, 0, 1 },
    { 458314, 1254, 0, 0 },
    { 458344, 1254, 0, 0 },
    { 458374, 1254, 0, 0 },
    { 458404, 1255, 1, 0 },
    { 458434, 1255, 0, 0 },
    { 458463, 1255, 0, 0 },
    { 458493, 1255, 0, 0 },
    { 458522, 1255, 0, 0 },
    { 458551, 1255, 0, 0 },
    { 458581, 1255, 0, 0 },
    { 458610, 1255, 0, 0 },
    { 458639, 1255, 0, 0 },
    { 458669, 1255, 0, 0 },
    { 458698, 1255, 0, 0 },
    { 458728, 1255, 0, 0 },
    { 458758, 1256, 1, 0 },
    { 458788, 1256, 0, 0 },
    { 458817, 1256, 0, 0 },
    { 458847, 1256, 0, 0 },
    { 458876, 1256, 0, 0 },
    { 458906, 1256, 0, 0 },
    { 458935, 1256, 0, 0 },
    { 458965, 1256, 0, 0 },
    { 458994, 1256, 0, 0 },
    { 459023, 1256, 0, 0 },
    { 459053, 1256, 0, 0 },
    { 459082, 1256, 0, 0 },
    { 459112, 1257, 1, 0 },
    { 459142, 1257, 0, 0 },
    { 459171, 1257, 0, 0 },
    { 459201, 1257, 0, 0 },
    { 459231, 1257, 0, 0 },
    { 459260, 1257, 0, 0 },
    { 459290, 1257, 0, 0 },
    { 459319, 1257, 0, 0 },
    { 459349, 1257, 0, 1 },
    { 459378, 1257, 0, 0 },
    { 459407, 1257, 0, 0 },
    { 459437, 1257, 0, 0 },
    { 459466, 1257, 0, 0 },
    { 459496, 1258, 1, 0 },
    { 459525, 1258, 0, 0 },
    { 459555, 1258, 0, 0 },
    { 459585, 1258, 0, 0 },
    { 459614, 1258, 0, 0 },
    { 459644, 1258, 0, 0 },
    { 459674, 1258, 0, 0 },
    { 459703, 1258, 0, 0 },
    { 459733, 1258, 0, 0 },
    { 459762, 1258, 0, 0 },
    { 459792, 1258, 0, 0 },
    { 459821, 1258, 0, 0 },
    { 459850, 1259, 1, 0 },
    { 459880, 1259, 0, 0 },
    { 459909, 1259, 0, 0 },
    { 459939, 1259, 0, 0 },
    { 459968, 1259, 0, 0 },
    { 459998, 1259, 0, 0 },
    { 460028, 1259, 0, 0 },
    { 460057, 1259, 0, 0 },
    { 460087, 1259, 0, 0 },
    { 460117, 1259, 0, 0 },
    { 460146, 1259, 0, 0 },
    { 460176, 1259, 0, 0 },
    { 460205, 1260, 1, 0 },
    { 460235, 1260, 0, 0 },
    { 460264, 1260, 0, 0 },
    { 460293, 1260, 0, 0 },
    { 460323, 1260, 0, 1 },
    { 460352, 1260, 0, 0 },
    { 460382, 1260, 0, 0 },
    { 460411, 1260, 0, 0 },
    { 460441, 1260, 0, 0 },
    { 460471, 1260, 0, 0 },
    { 460500, 1260, 0, 0 },
    { 460530, 1260, 0, 0 },
    { 460560, 1260, 0, 0 },
    { 460589, 1261, 1, 0 },
    { 460619, 1261, 0, 0 },
    { 460648, 1261, 0, 0 },
    { 460677, 1261, 0, 0 },
    { 460707, 1261, 0, 0 },
    { 460736, 1261, 0, 0 },
    { 460765, 1261, 0, 0 },
    { 460795, 1261, 0, 0 },
    { 460825, 1261, 0, 0 },
    { 460854, 1261, 0, 0 },
    { 460884, 1261, 0, 0 },
    { 460914, 1261, 0, 0 },
    { 460944, 1262, 1, 0 },
    { 460973, 1262, 0, 0 },
    { 461003, 1262, 0, 0 },
    { 461032, 1262, 0, 0 },
    { 461061, 1262, 0, 0 },
    { 461091, 1262, 0, 0 },
    { 461120, 1262, 0, 0 },
    { 461149, 1262, 0, 0 },
    { 461179, 1262, 0, 0 },
    { 461208, 1262, 0, 0 },
    { 461238, 1262, 0, 0 },
    { 461268, 1262, 0, 0 },
    { 461298, 1263, 1, 0 },
    { 461328, 1263, 0, 1 },
    { 461357, 1263, 0, 0 },
    { 461387, 1263, 0, 0 },
    { 461416, 1263, 0, 0 },
    { 461445, 1263, 0, 0 },
    { 461475, 1263, 0, 0 },
    { 461504, 1263, 0, 0 },
    { 461533, 1263, 0, 0 },
    { 461563, 1263, 0, 0 },
    { 461592, 1263, 0, 0 },
    { 461622, 1263, 0, 0 },
    { 461652, 1263, 0, 0 },
    { 461682, 1264, 1, 0 },
    { 461711, 1264, 0, 0 },
    { 461741, 1264, 0, 0 },
    { 461771, 1264, 0, 0 },
    { 461800, 1264, 0, 0 },
    { 461829, 1264, 0, 0 },
    { 461859, 1264, 0, 0 },
    { 461888, 1264, 0, 0 },
    { 461917, 1264, 0, 0 },
    { 461947, 1264, 0, 0 },
    { 461976, 1264, 0, 0 },
    { 462006, 1264, 0, 0 },
    { 462036, 1265, 1, 0 },
    { 462065, 1265, 0, 0 },
    { 462095, 1265, 0, 0 },
    { 462125, 1265, 0, 0 },
    { 462154, 1265, 0, 0 },
    { 462184, 1265, 0, 0 },
    { 462213, 1265, 0, 0 },
    { 462243, 1265, 0, 0 },
    { 462272, 1265, 0, 1 },
    { 462301, 1265, 0, 0 },
    { 462331, 1265, 0, 0 },
    { 462360, 1265, 0, 0 },
    { 462390, 1265, 0, 0 },
    { 462419, 1266, 1, 0 },
    { 462449, 1266, 0, 0 },
    { 462479, 1266, 0, 0 },
    { 462509, 1266, 0, 0 },
    { 462538, 1266, 0, 0 },
    { 462568, 1266, 0, 0 },
    { 462597, 1266, 0, 0 },
    { 462627, 1266, 0, 0 },
    { 462656, 1266, 0, 0 },
    { 462685, 1266, 0, 0 },
    { 462715, 1266, 0, 0 },
    { 462744, 1266, 0, 0 },
    { 462774, 1267, 1, 0 },
    { 462803, 1267, 0, 0 },
    { 462833, 1267, 0, 0 },
    { 462863, 1267, 0, 0 },
    { 462892, 1267, 0, 0 },
    { 462922, 1267, 0, 0 },
    { 462951, 1267, 0, 0 },
    { 462981, 1267, 0, 0 },
    { 463011, 1267, 0, 0 },
    { 463040, 1267, 0, 0 },
    { 463070, 1267, 0, 0 },
    { 463099, 1267, 0, 0 },
    { 463128, 1268, 1, 0 },
    { 463158, 1268, 0, 0 },
    { 463187, 1268, 0, 0 },
    { 463217, 1268, 0, 0 },
    { 463246, 1268, 0, 0 },
    { 463276, 1268, 0, 1 },
    { 463305, 1268, 0, 0 },
    { 463335, 1268, 0, 0 },
    { 463365, 1268, 0, 0 },
    { 463394, 1268, 0, 0 },
    { 463424, 1268, 0, 0 },
    { 463454, 1268, 0, 0 },
    { 463483, 1268, 0, 0 },
    { 463513, 1269, 1, 0 },
    { 463542, 1269, 0, 0 },
    { 463571, 1269, 0, 0 },
    { 463601, 1269, 0, 0 },
    { 463630, 1269, 0, 0 },
    { 463660, 1269, 0, 0 },
    { 463689, 1269, 0, 0 },
    { 463719, 1269, 0, 0 },
    { 463749, 1269, 0, 0 },
    { 463778, 1269, 0, 0 },
    { 463808, 1269, 0, 0 },
    { 463838, 1269, 0, 0 },
    { 463867, 1270, 1, 0 },
    { 463897, 1270, 0, 0 },
    { 463926, 1270, 0, 0 },
    { 463955, 1270, 0, 0 },
    { 463985, 1270, 0, 0 },
    { 464014, 1270, 0, 0 },
    { 464043, 1270, 0, 0 },
    { 464073, 1270, 0, 0 },
    { 464103, 1270, 0, 0 },
    { 464132, 1270, 0, 0 },
    { 464162, 1270, 0, 0 },
    { 464192, 1270, 0, 0 },
    { 464222, 1271, 1, 0 },
    { 464251, 1271, 0, 0 },
    { 464281, 1271, 0, 1 },
    { 464310, 1271, 0, 0 },
    { 464339, 1271, 0, 0 },
    { 464369, 1271, 0, 0 },
    { 464398, 1271, 0, 0 },
    { 464427, 1271, 0, 0 },
    { 464457, 1271, 0, 0 },
    { 464486, 1271, 0, 0 },
    { 464516, 1271, 0, 0 },
    { 464546, 1271, 0, 0 },
    { 464576, 1271, 0, 0 },
    { 464605, 1272, 1, 0 },
    { 464635, 1272, 0, 0 },
    { 464665, 1272, 0, 0 },
    { 464694, 1272, 0, 0 },
    { 464723, 1272, 0, 0 },
    { 464753, 1272, 0, 0 },
    { 464782, 1272, 0, 0 },
    { 464811, 1272, 0, 0 },
    { 464841, 1272, 0, 0 },
    { 464870, 1272, 0, 0 },
    { 464900, 1272, 0, 0 },
    { 464930, 1272, 0, 0 },
    { 464959, 1273, 1, 0 },
    { 464989, 1273, 0, 0 },
    { 465019, 1273, 0, 0 },
    { 465048, 1273, 0, 0 },
    { 465078, 1273, 0, 0 },
    { 465107, 1273, 0, 0 },
    { 465137, 1273, 0, 0 },
    { 465166, 1273, 0, 0 },
    { 465195, 1273, 0, 0 },
    { 465225, 1273, 0, 0 },
    { 465254, 1273, 0, 1 },
    { 465284, 1273, 0, 0 },
    { 465313, 1273, 0, 0 },
    { 465343, 1274, 1, 0 },
    { 465373, 1274, 0, 0 },
    { 465403, 1274, 0, 0 },
    { 465432, 1274, 0, 0 },
    { 465462, 1274, 0, 0 },
    { 465491, 1274, 0, 0 },
    { 465521, 1274, 0, 0 },
    { 465550, 1274, 0, 0 },
    { 465579, 1274, 0, 0 },
    { 465609, 1274, 0, 0 },
    { 465638, 1274, 0, 0 },
    { 465668, 1274, 0, 0 },
    { 465697, 1275, 1, 0 },
    { 465727, 1275, 0, 0 },
    { 465757, 1275, 0, 0 },
    { 465786, 1275, 0, 0 },
    { 465816, 1275, 0, 0 },
    { 465846, 1275, 0, 0 },
    { 465875, 1275, 0, 0 },
    { 465905, 1275, 0, 0 },
    { 465934, 1275, 0, 0 },
    { 465963, 1275, 0, 0 },
    { 465993, 1275, 0, 0 },
    { 466022, 1275, 0, 0 },
    { 466052, 1276, 1, 0 },
    { 466081, 1276, 0, 0 },
    { 466111, 1276, 0, 0 },
    { 466140, 1276, 0, 0 },
    { 466170, 1276, 0, 0 },
    { 466200, 1276, 0, 0 },
    { 466229, 1276, 0, 0 },
    { 466259, 1276, 0, 1 },
    { 466288, 1276, 0, 0 },
    { 466318, 1276, 0, 0 },
    { 466347, 1276, 0, 0 },
    { 466377, 1276, 0, 0 },
    { 466406, 1276, 0, 0 },
    { 466436, 1277, 1, 0 },
    { 466465, 1277, 0, 0 },
    { 466495, 1277, 0, 0 },
    { 466524, 1277, 0, 0 },
    { 466554, 1277, 0, 0 },
    { 466583, 1277, 0, 0 },
    { 466613, 1277, 0, 0 },
    { 466643, 1277, 0, 0 },
    { 466672, 1277, 0, 0 },
    { 466702, 1277, 0, 0 },
    { 466731, 1277, 0, 0 },
    { 466761, 1277, 0, 0 },
    { 466790, 1278, 1, 0 },
    { 466820, 1278, 0, 0 },
    { 466849, 1278, 0, 0 },
    { 466879, 1278, 0, 0 },
    { 466908, 1278, 0, 0 },
    { 466937, 1278, 0, 0 },
    { 466967, 1278, 0, 0 },
    { 466997, 1278, 0, 0 },
    { 467026, 1278, 0, 0 },
    { 467056, 1278, 0, 0 },
    { 467086, 1278, 0, 0 },
    { 467115, 1278, 0, 0 },
    { 467145, 1279, 1, 0 },
    { 467175, 1279, 0, 0 },
    { 467204, 1279, 0, 0 },
    { 467233, 1279, 0, 0 },
    { 467263, 1279, 0, 1 },
    { 467292, 1279, 0, 0 },
    { 467321, 1279, 0, 0 },
    { 467351, 1279, 0, 0 },
    { 467380, 1279, 0, 0 },
    { 467410, 1279, 0, 0 },
    { 467440, 1279, 0, 0 },
    { 467470, 1279, 0, 0 },
    { 467499, 1279, 0, 0 },
    { 467529, 1280, 1, 0 },
    { 467559, 1280, 0, 0 },
    { 467588, 1280, 0, 0 },
    { 467617, 1280, 0, 0 },
    { 467647, 1280, 0, 0 },
    { 467676, 1280, 0, 0 },
    { 467705, 1280, 0, 0 },
    { 467735, 1280, 0, 0 },
    { 467764, 1280, 0, 0 },
    { 467794, 1280, 0, 0 },
    { 467824, 1280, 0, 0 },
    { 467853, 1280, 0, 0 },
    { 467883, 1281, 1, 0 },
    { 467913, 1281, 0, 0 },
    { 467942, 1281, 0, 0 },
    { 467972, 1281, 0, 0 },
    { 468001, 1281, 0, 0 },
    { 468031, 1281, 0, 0 },
    { 468060, 1281, 0, 0 },
    { 468089, 1281, 0, 0 },
    { 468119, 1281, 0, 0 },
    { 468148, 1281, 0, 0 },
    { 468178, 1281, 0, 0 },
    { 468207, 1281, 0, 0 },
    { 468237, 1282, 1, 0 },
    { 468267, 1282, 0, 1 },
    { 468297, 1282, 0, 0 },
    { 468326, 1282, 0, 0 },
    { 468356, 1282, 0, 0 },
    { 468385, 1282, 0, 0 },
    { 468415, 1282, 0, 0 },
    { 468444, 1282, 0, 0 },
    { 468473, 1282, 0, 0 },
    { 468503, 1282, 0, 0 },
    { 468532, 1282, 0, 0 },
    { 468562, 1282, 0, 0 },
    { 468591, 1282, 0, 0 },
    { 468621, 1283, 1, 0 },
    { 468651, 1283, 0, 0 },
    { 468680, 1283, 0, 0 },
    { 468710, 1283, 0, 0 },
    { 468740, 1283, 0, 0 },
    { 468769, 1283, 0, 0 },
    { 468799, 1283, 0, 0 },
    { 468828, 1283, 0, 0 },
    { 468857, 1283, 0, 0 },
    { 468887, 1283, 0, 0 },
    { 468916, 1283, 0, 0 },
    { 468946, 1283, 0, 0 },
    { 468975, 1284, 1, 0 },
    { 469005, 1284, 0, 0 },
    { 469034, 1284, 0, 0 },
    { 469064, 1284, 0, 0 },
    { 469094, 1284, 0, 0 },
    { 469123, 1284, 0, 0 },
    { 469153, 1284, 0, 0 },
    { 469182, 1284, 0, 0 },
    { 469212, 1284, 0, 0 },
    { 469241, 1284, 0, 1 },
    { 469271, 1284, 0, 0 },
    { 469300, 1284, 0, 0 },
    { 469330, 1284, 0, 0 },
    { 469359, 1285, 1, 0 },
    { 469389, 1285, 0, 0 },
    { 469418, 1285, 0, 0 },
    { 469448, 1285, 0, 0 },
    { 469477, 1285, 0, 0 },
    { 469507, 1285, 0, 0 },
    { 469537, 1285, 0, 0 },
    { 469566, 1285, 0, 0 },
    { 469596, 1285, 0, 0 },
    { 469625, 1285, 0, 0 },
    { 469655, 1285, 0, 0 },
    { 469684, 1285, 0, 0 },
    { 469714, 1286, 1, 0 },
    { 469743, 1286, 0, 0 },
    { 469773, 1286, 0, 0 },
    { 469802, 1286, 0, 0 },
    { 469832, 1286, 0, 0 },
    { 469861, 1286, 0, 0 },
    { 469891, 1286, 0, 0 },
    { 469920, 1286, 0, 0 },
    { 469950, 1286, 0, 0 },
    { 469980, 1286, 0, 0 },
    { 470009, 1286, 0, 0 },
    { 470039, 1286, 0, 0 },
    { 470068, 1287, 1, 0 },
    { 470098, 1287, 0, 0 },
    { 470127, 1287, 0, 0 },
    { 470157, 1287, 0, 0 },
    { 470186, 1287, 0, 0 },
    { 470215, 1287, 0, 1 },
    { 470245, 1287, 0, 0 },
    { 470274, 1287, 0, 0 },
    { 470304, 1287, 0, 0 },
    { 470334, 1287, 0, 0 },
    { 470364, 1287, 0, 0 },
    { 470393, 1287, 0, 0 },
    { 470423, 1287, 0, 0 },
    { 470452, 1288, 1, 0 },
    { 470482, 1288, 0, 0 },
    { 470511, 1288, 0, 0 },
    { 470541, 1288, 0, 0 },
    { 470570, 1288, 0, 0 },
    { 470599, 1288, 0, 0 },
    { 470629, 1288, 0, 0 },
    { 470658, 1288, 0, 0 },
    { 470688, 1288, 0, 0 },
    { 470718, 1288, 0, 0 },
    { 470747, 1288, 0, 0 },
    { 470777, 1288, 0, 0 },
    { 470807, 1289, 1, 0 },
    { 470836, 1289, 0, 0 },
    { 470866, 1289, 0, 0 },
    { 470895, 1289, 0, 0 },
    { 470925, 1289, 0, 0 },
    { 470954, 1289, 0, 0 },
    { 470983, 1289, 0, 0 },
    { 471013, 1289, 0, 0 },
    { 471042, 1289, 0, 0 },
    { 471072, 1289, 0, 0 },
    { 471101, 1289, 0, 0 },
    { 471131, 1289, 0, 0 },
    { 471161, 1290, 1, 0 },
    { 471191, 1290, 0, 0 },
    { 471220, 1290, 0, 0 },
    { 471250, 1290, 0, 1 },
    { 471279, 1290, 0, 0 },
    { 471309, 1290, 0, 0 },
    { 471338, 1290, 0, 0 },
    { 471367, 1290, 0, 0 },
    { 471397, 1290, 0, 0 },
    { 471426, 1290, 0, 0 },
    { 471456, 1290, 0, 0 },
    { 471485, 1290, 0, 0 },
    { 471515, 1290, 0, 0 },
    { 471545, 1291, 1, 0 },
    { 471574, 1291, 0, 0 },
    { 471604, 1291, 0, 0 },
    { 471634, 1291, 0, 0 },
    { 471663, 1291, 0, 0 },
    { 471693, 1291, 0, 0 },
    { 471722, 1291, 0, 0 },
    { 471751, 1291, 0, 0 },
    { 471781, 1291, 0, 0 },
    { 471810, 1291, 0, 0 },
    { 471839, 1291, 0, 0 },
    { 471869, 1291, 0, 0 },
    { 471899, 1292, 1, 0 },
    { 471928, 1292, 0, 0 },
    { 471958, 1292, 0, 0 },
    { 471988, 1292, 0, 0 },
    { 472018, 1292, 0, 0 },
    { 472047, 1292, 0, 0 },
    { 472077, 1292, 0, 0 },
    { 472106, 1292, 0, 0 },
    { 472135, 1292, 0, 0 },
    { 472165, 1292, 0, 0 },
    { 472194, 1292, 0, 0 },
    { 472224, 1292, 0, 1 },
    { 472253, 1292, 0, 0 },
    { 472283, 1293, 1, 0 },
    { 472312, 1293, 0, 0 },
    { 472342, 1293, 0, 0 },
    { 472372, 1293, 0, 0 },
    { 472401, 1293, 0, 0 },
    { 472431, 1293, 0, 0 },
    { 472460, 1293, 0, 0 },
    { 472490, 1293, 0, 0 },
    { 472519, 1293, 0, 0 },
    { 472549, 1293, 0, 0 },
    { 472578, 1293, 0, 0 },
    { 472608, 1293, 0, 0 },
    { 472637, 1294, 1, 0 },
    { 472667, 1294, 0, 0 },
    { 472696, 1294, 0, 0 },
    { 472726, 1294, 0, 0 },
    { 472755, 1294, 0, 0 },
    { 472785, 1294, 0, 0 },
    { 472815, 1294, 0, 0 },
    { 472844, 1294, 0, 0 },
    { 472874, 1294, 0, 0 },
    { 472903, 1294, 0, 0 },
    { 472933, 1294, 0, 0 },
    { 472962, 1294, 0, 0 },
    { 472992, 1295, 1, 0 },
    { 473021, 1295, 0, 0 },
    { 473051, 1295, 0, 0 },
    { 473080, 1295, 0, 0 },
    { 473109, 1295, 0, 0 },
    { 473139, 1295, 0, 0 },
    { 473169, 1295, 0, 0 },
    { 473198, 1295, 0, 1 },
    { 473228, 1295, 0, 0 },
    { 473258, 1295, 0, 0 },
    { 473287, 1295, 0, 0 },
    { 473317, 1295, 0, 0 },
    { 473346, 1295, 0, 0 },
    { 473376, 1296, 1, 0 },
    { 473405, 1296, 0, 0 },
    { 473435, 1296, 0, 0 },
    { 473464, 1296, 0, 0 },
    { 473493, 1296, 0, 0 },
    { 473523, 1296, 0, 0 },
    { 473552, 1296, 0, 0 },
    { 473582, 1296, 0, 0 },
    { 473612, 1296, 0, 0 },
    { 473641, 1296, 0, 0 },
    { 473671, 1296, 0, 0 },
    { 473701, 1296, 0, 0 },
    { 473730, 1297, 1, 0 },
    { 473760, 1297, 0, 0 },
    { 473789, 1297, 0, 0 },
    { 473819, 1297, 0, 0 },
    { 473848, 1297, 0, 0 },
    { 473877, 1297, 0, 0 },
    { 473907, 1297, 0, 0 },
    { 473936, 1297, 0, 0 },
    { 473966, 1297, 0, 0 },
    { 473995, 1297, 0, 0 },
    { 474025, 1297, 0, 0 },
    { 474055, 1297, 0, 0 },
    { 474085, 1298, 1, 0 },
    { 474114, 1298, 0, 0 },
    { 474144, 1298, 0, 0 },
    { 474173, 1298, 0, 0 },
    { 474203, 1298, 0, 1 },
    { 474232, 1298, 0, 0 },
    { 474261, 1298, 0, 0 },
    { 474291, 1298, 0, 0 },
    { 474320, 1298, 0, 0 },
    { 474349, 1298, 0, 0 },
    { 474379, 1298, 0, 0 },
    { 474409, 1298, 0, 0 },
    { 474439, 1298, 0, 0 },
    { 474469, 1299, 1, 0 },
    { 474498, 1299, 0, 0 },
    { 474528, 1299, 0, 0 },
    { 474557, 1299, 0, 0 },
    { 474587, 1299, 0, 0 },
    { 474616, 1299, 0, 0 },
    { 474645, 1299, 0, 0 },
    { 474675, 1299, 0, 0 },
    { 474704, 1299, 0, 0 },
    { 474733, 1299, 0, 0 },
    { 474763, 1299, 0, 0 },
    { 474793, 1299, 0, 0 },
    { 474822, 1300, 1, 0 },
    { 474852, 1300, 0, 0 },
    { 474882, 1300, 0, 0 },
    { 474912, 1300, 0, 0 },
    { 474941, 1300, 0, 0 },
    { 474971, 1300, 0, 0 },
    { 475000, 1300, 0, 0 },
    { 475029, 1300, 0, 0 },
    { 475059, 1300, 0, 0 },
    { 475088, 1300, 0, 0 },
    { 475117, 1300, 0, 0 },
    { 475147, 1300, 0, 0 },
    { 475177, 1300, 0, 1 },
    { 475206, 1301, 1, 0 },
    { 475236, 1301, 0, 0 },
    { 475266, 1301, 0, 0 },
    { 475295, 1301, 0, 0 },
    { 475325, 1301, 0, 0 },
    { 475354, 1301, 0, 0 },
    { 475384, 1301, 0, 0 },
    { 475413, 1301, 0, 0 },
    { 475443, 1301, 0, 0 },
    { 475472, 1301, 0, 0 },
    { 475501, 1301, 0, 0 },
    { 475531, 1301, 0, 0 },
    { 475561, 1302, 1, 0 },
    { 475590, 1302, 0, 0 },
    { 475620, 1302, 0, 0 },
    { 475649, 1302, 0, 0 },
    { 475679, 1302, 0, 0 },
    { 475709, 1302, 0, 0 },
    { 475738, 1302, 0, 0 },
    { 475768, 1302, 0, 0 },
    { 475797, 1302, 0, 0 },
    { 475827, 1302, 0, 0 },
    { 475856, 1302, 0, 0 },
    { 475886, 1302, 0, 0 },
    { 475915, 1303, 1, 0 },
    { 475944, 1303, 0, 0 },
    { 475974, 1303, 0, 0 },
    { 476004, 1303, 0, 0 },
    { 476033, 1303, 0, 0 },
    { 476063, 1303, 0, 0 },
    { 476092, 1303, 0, 0 },
    { 476122, 1303, 0, 0 },
    { 476152, 1303, 0, 0 },
    { 476181, 1303, 0, 0 },
    { 476211, 1303, 0, 1 },
    { 476240, 1303, 0, 0 },
    { 476270, 1303, 0, 0 },
    { 476299, 1304, 1, 0 },
    { 476329, 1304, 0, 0 },
    { 476358, 1304, 0, 0 },
    { 476387, 1304, 0, 0 },
    { 476417, 1304, 0, 0 },
    { 476446, 1304, 0, 0 },
    { 476476, 1304, 0, 0 },
    { 476506, 1304, 0, 0 },
    { 476535, 1304, 0, 0 },
    { 476565, 1304, 0, 0 },
    { 476595, 1304, 0, 0 },
    { 476624, 1304, 0, 0 },
    { 476654, 1305, 1, 0 },
    { 476683, 1305, 0, 0 },
    { 476713, 1305, 0, 0 },
    { 476742, 1305, 0, 0 },
    { 476771, 1305, 0, 0 },
    { 476801, 1305, 0, 0 },
    { 476830, 1305, 0, 0 },
    { 476860, 1305, 0, 0 },
    { 476889, 1305, 0, 0 },
    { 476919, 1305, 0, 0 },
    { 476949, 1305, 0, 0 },
    { 476979, 1305, 0, 0 },
    { 477008, 1306, 1, 0 },
    { 477038, 1306, 0, 0 },
    { 477067, 1306, 0, 0 },
    { 477097, 1306, 0, 0 },
    { 477126, 1306, 0, 0 },
    { 477155, 1306, 0, 0 },
    { 477185, 1306, 0, 1 },
    { 477214, 1306, 0, 0 },
    { 477244, 1306, 0, 0 },
    { 477273, 1306, 0, 0 },
    { 477303, 1306, 0, 0 },
    { 477333, 1306, 0, 0 },
    { 477362, 1306, 0, 0 },
    { 477392, 1307, 1, 0 },
    { 477422, 1307, 0, 0 },
    { 477451, 1307, 0, 0 },
    { 477481, 1307, 0, 0 },
    { 477510, 1307, 0, 0 },
    { 477539, 1307, 0, 0 },
    { 477569, 1307, 0, 0 },
    { 477598, 1307, 0, 0 },
    { 477627, 1307, 0, 0 },
    { 477657, 1307, 0, 0 },
    { 477687, 1307, 0, 0 },
    { 477716, 1307, 0, 0 },
    { 477746, 1308, 1, 0 },
    { 477776, 1308, 0, 0 },
    { 477806, 1308, 0, 0 },
    { 477835, 1308, 0, 0 },
    { 477865, 1308, 0, 0 },
    { 477894, 1308, 0, 0 },
    { 477923, 1308, 0, 0 },
    { 477953, 1308, 0, 0 },
    { 477982, 1308, 0, 0 },
    { 478011, 1308, 0, 0 },
    { 478041, 1308, 0, 0 },
    { 478071, 1308, 0, 0 },
    { 478100, 1309, 1, 0 },
    { 478130, 1309, 0, 0 },
    { 478160, 1309, 0, 1 },
    { 478189, 1309, 0, 0 },
    { 478219, 1309, 0, 0 },
    { 478249, 1309, 0, 0 },
    { 478278, 1309, 0, 0 },
    { 478307, 1309, 0, 0 },
    { 478337, 1309, 0, 0 },
    { 478366, 1309, 0, 0 },
    { 478395, 1309, 0, 0 },
    { 478425, 1309, 0, 0 },
    { 478454, 1309, 0, 0 },
    { 478484, 1310, 1, 0 },
    { 478514, 1310, 0, 0 },
    { 478544, 1310, 0, 0 },
    { 478573, 1310, 0, 0 },
    { 478603, 1310, 0, 0 },
    { 478632, 1310, 0, 0 },
    { 478662, 1310, 0, 0 },
    { 478691, 1310, 0, 0 },
    { 478721, 1310, 0, 0 },
    { 478750, 1310, 0, 0 },
    { 478779, 1310, 0, 0 },
    { 478809, 1310, 0, 0 },
    { 478838, 1311, 1, 0 },
    { 478868, 1311, 0, 0 },
    { 478898, 1311, 0, 0 },
    { 478927, 1311, 0, 0 },
    { 478957, 1311, 0, 0 },
    { 478986, 1311, 0, 0 },
    { 479016, 1311, 0, 0 },
    { 479046, 1311, 0, 0 },
    { 479075, 1311, 0, 0 },
    { 479105, 1311, 0, 0 },
    { 479134, 1311, 0, 0 },
    { 479164, 1311, 0, 1 },
    { 479193, 1311, 0, 0 },
    { 479222, 1312, 1, 0 },
    { 479252, 1312, 0, 0 },
    { 479281, 1312, 0, 0 },
    { 479311, 1312, 0, 0 },
    { 479341, 1312, 0, 0 },
    { 479370, 1312, 0, 0 },
    { 479400, 1312, 0, 0 },
    { 479429, 1312, 0, 0 },
    { 479459, 1312, 0, 0 },
    { 479489, 1312, 0, 0 },
    { 479518, 1312, 0, 0 },
    { 479548, 1312, 0, 0 },
    { 479577, 1313, 1, 0 },
    { 479607, 1313, 0, 0 },
    { 479636, 1313, 0, 0 },
    { 479665, 1313, 0, 0 },
    { 479695, 1313, 0, 0 },
    { 479724, 1313, 0, 0 },
    { 479754, 1313, 0, 0 },
    { 479783, 1313, 0, 0 },
    { 479813, 1313, 0, 0 },
    { 479843, 1313, 0, 0 },
    { 479873, 1313, 0, 0 },
    { 479902, 1313, 0, 0 },
    { 479932, 1314, 1, 0 },
    { 479961, 1314, 0, 0 },
    { 479991, 1314, 0, 0 },
    { 480020, 1314, 0, 0 },
    { 480049, 1314, 0, 0 },
    { 480079, 1314, 0, 0 },
    { 480108, 1314, 0, 0 },
    { 480138, 1314, 0, 1 },
    { 480167, 1314, 0, 0 },
    { 480197, 1314, 0, 0 },
    { 480227, 1314, 0, 0 },
    { 480256, 1314, 0, 0 },
    { 480286, 1314, 0, 0 },
    { 480316, 1315, 1, 0 },
    { 480345, 1315, 0, 0 },
    { 480375, 1315, 0, 0 },
    { 480404, 1315, 0, 0 },
    { 480433, 1315, 0, 0 },
    { 480463, 1315, 0, 0 },
    { 480492, 1315, 0, 0 },
    { 480521, 1315, 0, 0 },
    { 480551, 1315, 0, 0 },
    { 480581, 1315, 0, 0 },
    { 480610, 1315, 0, 0 },
    { 480640, 1315, 0, 0 },
    { 480670, 1316, 1, 0 },
    { 480700, 1316, 0, 0 },
    { 480729, 1316, 0, 0 },
    { 480759, 1316, 0, 0 },
    { 480788, 1316, 0, 0 },
    { 480817, 1316, 0, 0 },
    { 480847, 1316, 0, 0 },
    { 480876, 1316, 0, 0 },
    { 480905, 1316, 0, 0 },
    { 480935, 1316, 0, 0 },
    { 480964, 1316, 0, 0 },
    { 480994, 1316, 0, 0 },
    { 481024, 1317, 1, 0 },
    { 481054, 1317, 0, 0 },
    { 481084, 1317, 0, 0 },
    { 481113, 1317, 0, 0 },
    { 481143, 1317, 0, 1 },
    { 481172, 1317, 0, 0 },
    { 481201, 1317, 0, 0 },
    { 481231, 1317, 0, 0 },
    { 481260, 1317, 0, 0 },
    { 481289, 1317, 0, 0 },
    { 481319, 1317, 0, 0 },
    { 481348, 1317, 0, 0 },
    { 481378, 1317, 0, 0 },
    { 481408, 1318, 1, 0 },
    { 481438, 1318, 0, 0 },
    { 481467, 1318, 0, 0 },
    { 481497, 1318, 0, 0 },
    { 481526, 1318, 0, 0 },
    { 481556, 1318, 0, 0 },
    { 481585, 1318, 0, 0 },
    { 481615, 1318, 0, 0 },
    { 481644, 1318, 0, 0 },
    { 481673, 1318, 0, 0 },
    { 481703, 1318, 0, 0 },
    { 481732, 1318, 0, 0 },
    { 481762, 1319, 1, 0 },
    { 481792, 1319, 0, 0 },
    { 481821, 1319, 0, 0 },
    { 481851, 1319, 0, 0 },
    { 481881, 1319, 0, 0 },
    { 481910, 1319, 0, 0 },
    { 481940, 1319, 0, 0 },
    { 481969, 1319, 0, 0 },
    { 481999, 1319, 0, 0 },
    { 482028, 1319, 0, 0 },
    { 482057, 1319, 0, 0 },
    { 482087, 1319, 0, 0 },
    { 482116, 1319, 0, 1 },
    { 482146, 1320, 1, 0 },
    { 482175, 1320, 0, 0 },
    { 482205, 1320, 0, 0 },
    { 482235, 1320, 0, 0 },
    { 482264, 1320, 0, 0 },
    { 482294, 1320, 0, 0 },
    { 482324, 1320, 0, 0 },
    { 482353, 1320, 0, 0 },
    { 482383, 1320, 0, 0 },
    { 482412, 1320, 0, 0 },
    { 482442, 1320, 0, 0 },
    { 482471, 1320, 0, 0 },
    { 482500, 1321, 1, 0 },
    { 482530, 1321, 0, 0 },
    { 482559, 1321, 0, 0 },
    { 482589, 1321, 0, 0 },
    { 482618, 1321, 0, 0 },
    { 482648, 1321, 0, 0 },
    { 482678, 1321, 0, 0 },
    { 482707, 1321, 0, 0 },
    { 482737, 1321, 0, 0 },
    { 482767, 1321, 0, 0 },
    { 482796, 1321, 0, 0 },
    { 482826, 1321, 0, 0 },
    { 482855, 1322, 1, 0 },
    { 482884, 1322, 0, 0 },
    { 482914, 1322, 0, 0 },
    { 482943, 1322, 0, 0 },
    { 482973, 1322, 0, 0 },
    { 483002, 1322, 0, 0 },
    { 483032, 1322, 0, 0 },
    { 483061, 1322, 0, 0 },
    { 483091, 1322, 0, 0 },
    { 483121, 1322, 0, 1 },
    { 483150, 1322, 0, 0 },
    { 483180, 1322, 0, 0 },
    { 483210, 1322, 0, 0 },
    { 483239, 1323, 1, 0 },
    { 483269, 1323, 0, 0 },
    { 483298, 1323, 0, 0 },
    { 483327, 1323, 0, 0 },
    { 483357, 1323, 0, 0 },
    { 483386, 1323, 0, 0 },
    { 483415, 1323, 0, 0 },
    { 483445, 1323, 0, 0 },
    { 483475, 1323, 0, 0 },
    { 483504, 1323, 0, 0 },
    { 483534, 1323, 0, 0 },
    { 483564, 1323, 0, 0 },
    { 483594, 1324, 1, 0 },
    { 483623, 1324, 0, 0 },
    { 483653, 1324, 0, 0 },
    { 483682, 1324, 0, 0 },
    { 483711, 1324, 0, 0 },
    { 483741, 1324, 0, 0 },
    { 483770, 1324, 0, 0 },
    { 483799, 1324, 0, 0 },
    { 483829, 1324, 0, 0 },
    { 483858, 1324, 0, 0 },
    { 483888, 1324, 0, 0 },
    { 483918, 1324, 0, 0 },
    { 483948, 1325, 1, 0 },
    { 483978, 1325, 0, 0 },
    { 484007, 1325, 0, 0 },
    { 484037, 1325, 0, 0 },
    { 484066, 1325, 0, 0 },
    { 484095, 1325, 0, 0 },
    { 484125, 1325, 0, 1 },
    { 484154, 1325, 0, 0 },
    { 484183, 1325, 0, 0 },
    { 484213, 1325, 0, 0 },
    { 484242, 1325, 0, 0 },
    { 484272, 1325, 0, 0 },
    { 484302, 1325, 0, 0 },
    { 484332, 1326, 1, 0 },
    { 484361, 1326, 0, 0 },
    { 484391, 1326, 0, 0 },
    { 484420, 1326, 0, 0 },
    { 484450, 1326, 0, 0 },
    { 484479, 1326, 0, 0 },
    { 484509, 1326, 0, 0 },
    { 484538, 1326, 0, 0 },
    { 484567, 1326, 0, 0 },
    { 484597, 1326, 0, 0 },
    { 484626, 1326, 0, 0 },
    { 484656, 1326, 0, 0 },
    { 484686, 1327, 1, 0 },
    { 484715, 1327, 0, 0 },
    { 484745, 1327, 0, 0 },
    { 484775, 1327, 0, 0 },
    { 484804, 1327, 0, 0 },
    { 484834, 1327, 0, 0 },
    { 484863, 1327, 0, 0 },
    { 484893, 1327, 0, 0 },
    { 484922, 1327, 0, 0 },
    { 484951, 1327, 0, 0 },
    { 484981, 1327, 0, 0 },
    { 485010, 1327, 0, 0 },
    { 485040, 1328, 1, 0 },
    { 485069, 1328, 0, 0 },
    { 485099, 1328, 0, 0 },
    { 485129, 1328, 0, 1 },
    { 485158, 1328, 0, 0 },
    { 485188, 1328, 0, 0 },
    { 485218, 1328, 0, 0 },
    { 485247, 1328, 0, 0 },
    { 485277, 1328, 0, 0 },
    { 485306, 1328, 0, 0 },
    { 485335, 1328, 0, 0 },
    { 485365, 1328, 0, 0 },
    { 485394, 1328, 0, 0 },
    { 485424, 1329, 1, 0 },
    { 485453, 1329, 0, 0 },
    { 485483, 1329, 0, 0 },
    { 485513, 1329, 0, 0 },
    { 485542, 1329, 0, 0 },
    { 485572, 1329, 0, 0 },
    { 485601, 1329, 0, 0 },
    { 485631, 1329, 0, 0 },
    { 485660, 1329, 0, 0 },
    { 485690, 1329, 0, 0 },
    { 485719, 1329, 0, 0 },
    { 485749, 1329, 0, 0 },
    { 485778, 1330, 1, 0 },
    { 485808, 1330, 0, 0 },
    { 485837, 1330, 0, 0 },
    { 485867, 1330, 0, 0 },
    { 485896, 1330, 0, 0 },
    { 485926, 1330, 0, 0 },
    { 485955, 1330, 0, 0 },
    { 485985, 1330, 0, 0 },
    { 486015, 1330, 0, 0 },
    { 486044, 1330, 0, 0 },
    { 486074, 1330, 0, 0 },
    { 486104, 1330, 0, 0 },
    { 486133, 1330, 0, 1 },
    { 486162, 1331, 1, 0 },
    { 486192, 1331, 0, 0 },
    { 486221, 1331, 0, 0 },
    { 486251, 1331, 0, 0 },
    { 486280, 1331, 0, 0 },
    { 486310, 1331, 0, 0 },
    { 486339, 1331, 0, 0 },
    { 486369, 1331, 0, 0 },
    { 486398, 1331, 0, 0 },
    { 486428, 1331, 0, 0 },
    { 486458, 1331, 0, 0 },
    { 486488, 1331, 0, 0 },
    { 486517, 1332, 1, 0 },
    { 486547, 1332, 0, 0 },
    { 486576, 1332, 0, 0 },
    { 486605, 1332, 0, 0 },
    { 486635, 1332, 0, 0 },
    { 486664, 1332, 0, 0 },
    { 486693, 1332, 0, 0 },
    { 486723, 1332, 0, 0 },
    { 486752, 1332, 0, 0 },
    { 486782, 1332, 0, 0 },
    { 486812, 1332, 0, 0 },
    { 486842, 1332, 0, 0 },
    { 486871, 1333, 1, 0 },
    { 486901, 1333, 0, 0 },
    { 486931, 1333, 0, 0 },
    { 486960, 1333, 0, 0 },
    { 486989, 1333, 0, 0 },
    { 487019, 1333, 0, 0 },
    { 487048, 1333, 0, 0 },
    { 487077, 1333, 0, 1 },
    { 487107, 1333, 0, 0 },
    { 487136, 1333, 0, 0 },
    { 487166, 1333, 0, 0 },
    { 487196, 1333, 0, 0 },
    { 487226, 1333, 0, 0 },
    { 487255, 1334, 1, 0 },
    { 487285, 1334, 0, 0 },
    { 487315, 1334, 0, 0 },
    { 487344, 1334, 0, 0 },
    { 487373, 1334, 0, 0 },
    { 487403, 1334, 0, 0 },
    { 487432, 1334, 0, 0 },
    { 487461, 1334, 0, 0 },
    { 487491, 1334, 0, 0 },
    { 487520, 1334, 0, 0 },
    { 487550, 1334, 0, 0 },
    { 487580, 1334, 0, 0 },
    { 487609, 1335, 1, 0 },
    { 487639, 1335, 0, 0 },
    { 487669, 1335, 0, 0 },
    { 487698, 1335, 0, 0 },
    { 487728, 1335, 0, 0 },
    { 487757, 1335, 0, 0 },
    { 487787, 1335, 0, 0 },
    { 487816, 1335, 0, 0 },
    { 487845, 1335, 0, 0 },
    { 487875, 1335, 0, 0 },
    { 487904, 1335, 0, 0 },
    { 487934, 1335, 0, 0 },
    { 487963, 1336, 1, 0 },
    { 487993, 1336, 0, 0 },
    { 488023, 1336, 0, 0 },
    { 488053, 1336, 0, 0 },
    { 488082, 1336, 0, 0 },
    { 488112, 1336, 0, 1 },
    { 488141, 1336, 0, 0 },
    { 488171, 1336, 0, 0 },
    { 488200, 1336, 0, 0 },
    { 488229, 1336, 0, 0 },
    { 488259, 1336, 0, 0 },
    { 488288, 1336, 0, 0 },
    { 488318, 1336, 0, 0 },
    { 488347, 1337, 1, 0 },
    { 488377, 1337, 0, 0 },
    { 488407, 1337, 0, 0 },
    { 488436, 1337, 0, 0 },
    { 488466, 1337, 0, 0 },
    { 488495, 1337, 0, 0 },
    { 488525, 1337, 0, 0 },
    { 488554, 1337, 0, 0 },
    { 488584, 1337, 0, 0 },
    { 488613, 1337, 0, 0 },
    { 488643, 1337, 0, 0 },
    { 488672, 1337, 0, 0 },
    { 488702, 1338, 1, 0 },
    { 488731, 1338, 0, 0 },
    { 488761, 1338, 0, 0 },
    { 488790, 1338, 0, 0 },
    { 488820, 1338, 0, 0 },
    { 488850, 1338, 0, 0 },
    { 488879, 1338, 0, 0 },
    { 488909, 1338, 0, 0 },
    { 488938, 1338, 0, 0 },
    { 488968, 1338, 0, 0 },
    { 488997, 1338, 0, 0 },
    { 489027, 1338, 0, 0 },
    { 489056, 1339, 1, 0 },
    { 489086, 1339, 0, 1 },
    { 489115, 1339, 0, 0 },
    { 489145, 1339, 0, 0 },
    { 489174, 1339, 0, 0 },
    { 489204, 1339, 0, 0 },
    { 489233, 1339, 0, 0 },
    { 489263, 1339, 0, 0 },
    { 489293, 1339, 0, 0 },
    { 489322, 1339, 0, 0 },
    { 489352, 1339, 0, 0 },
    { 489381, 1339, 0, 0 },
    { 489411, 1339, 0, 0 },
    { 489440, 1340, 1, 0 },
    { 489470, 1340, 0, 0 },
    { 489499, 1340, 0, 0 },
    { 489529, 1340, 0, 0 },
    { 489558, 1340, 0, 0 },
    { 489587, 1340, 0, 0 },
    { 489617, 1340, 0, 0 },
    { 489647, 1340, 0, 0 },
    { 489676, 1340, 0, 0 },
    { 489706, 1340, 0, 0 },
    { 489736, 1340, 0, 0 },
    { 489765, 1340, 0, 0 },
    { 489795, 1341, 1, 0 },
    { 489824, 1341, 0, 0 },
    { 489854, 1341, 0, 0 },
    { 489883, 1341, 0, 0 },
    { 489913, 1341, 0, 0 },
    { 489942, 1341, 0, 0 },
    { 489971, 1341, 0, 0 },
    { 490001, 1341, 0, 0 },
    { 490030, 1341, 0, 0 },
    { 490060, 1341, 0, 0 },
    { 490090, 1341, 0, 1 },
    { 490120, 1341, 0, 0 },
    { 490149, 1341, 0, 0 },
    { 490179, 1342, 1, 0 },
    { 490209, 1342, 0, 0 },
    { 490238, 1342, 0, 0 },
    { 490267, 1342, 0, 0 },
    { 490297, 1342, 0, 0 },
    { 490326, 1342, 0, 0 },
    { 490355, 1342, 0, 0 },
    { 490385, 1342, 0, 0 },
    { 490414, 1342, 0, 0 },
    { 490444, 1342, 0, 0 },
    { 490474, 1342, 0, 0 },
    { 490503, 1342, 0, 0 },
    { 490533, 1343, 1, 0 },
    { 490563, 1343, 0, 0 },
    { 490592, 1343, 0, 0 },
    { 490622, 1343, 0, 0 },
    { 490651, 1343, 0, 0 },
    { 490681, 1343, 0, 0 },
    { 490710, 1343, 0, 0 },
    { 490739, 1343, 0, 0 },
    { 490769, 1343, 0, 0 },
    { 490798, 1343, 0, 0 },
    { 490828, 1343, 0, 0 },
    { 490857, 1343, 0, 0 },
    { 490887, 1344, 1, 0 },
    { 490917, 1344, 0, 0 },
    { 490947, 1344, 0, 0 },
    { 490976, 1344, 0, 0 },
    { 491006, 1344, 0, 0 },
    { 491035, 1344, 0, 0 },
    { 491065, 1344, 0, 1 },
    { 491094, 1344, 0, 0 },
    { 491123, 1344, 0, 0 },
    { 491153, 1344, 0, 0 },
    { 491182, 1344, 0, 0 },
    { 491212, 1344, 0, 0 },
    { 491241, 1344, 0, 0 },
    { 491271, 1345, 1, 0 },
    { 491301, 1345, 0, 0 },
    { 491330, 1345, 0, 0 },
    { 491360, 1345, 0, 0 },
    { 491390, 1345, 0, 0 },
    { 491419, 1345, 0, 0 },
    { 491449, 1345, 0, 0 },
    { 491478, 1345, 0, 0 },
    { 491507, 1345, 0, 0 },
    { 491537, 1345, 0, 0 },
    { 491566, 1345, 0, 0 },
    { 491596, 1345, 0, 0 },
    { 491625, 1346, 1, 0 },
    { 491655, 1346, 0, 0 },
    { 491684, 1346, 0, 0 },
    { 491714, 1346, 0, 0 },
    { 491744, 1346, 0, 0 },
    { 491773, 1346, 0, 0 },
    { 491803, 1346, 0, 0 },
    { 491832, 1346, 0, 0 },
    { 491862, 1346, 0, 0 },
    { 491891, 1346, 0, 0 },
    { 491921, 1346, 0, 0 },
    { 491950, 1346, 0, 0 },
    { 491980, 1347, 1, 0 },
    { 492009, 1347, 0, 0 },
    { 492039, 1347, 0, 1 },
    { 492068, 1347, 0, 0 },
    { 492098, 1347, 0, 0 },
    { 492127, 1347, 0, 0 },
    { 492157, 1347, 0, 0 },
    { 492187, 1347, 0, 0 },
    { 492216, 1347, 0, 0 },
    { 492246, 1347, 0, 0 },
    { 492275, 1347, 0, 0 },
    { 492305, 1347, 0, 0 },
    { 492334, 1347, 0, 0 },
    { 492364, 1348, 1, 0 },
    { 492393, 1348, 0, 0 },
    { 492423, 1348, 0, 0 },
    { 492452, 1348, 0, 0 },
    { 492482, 1348, 0, 0 },
    { 492511, 1348, 0, 0 },
    { 492541, 1348, 0, 0 },
    { 492570, 1348, 0, 0 },
    { 492600, 1348, 0, 0 },
    { 492630, 1348, 0, 0 },
    { 492659, 1348, 0, 0 },
    { 492689, 1348, 0, 0 },
    { 492718, 1349, 1, 0 },
    { 492748, 1349, 0, 0 },
    { 492777, 1349, 0, 0 },
    { 492807, 1349, 0, 0 },
    { 492836, 1349, 0, 0 },
    { 492865, 1349, 0, 0 },
    { 492895, 1349, 0, 0 },
    { 492924, 1349, 0, 0 },
    { 492954, 1349, 0, 0 },
    { 492984, 1349, 0, 0 },
    { 493014, 1349, 0, 0 },
    { 493043, 1349, 0, 1 },
    { 493073, 1349, 0, 0 },
    { 493102, 1350, 1, 0 },
    { 493132, 1350, 0, 0 },
    { 493161, 1350, 0, 0 },
    { 493191, 1350, 0, 0 },
    { 493220, 1350, 0, 0 },
    { 493249, 1350, 0, 0 },
    { 493279, 1350, 0, 0 },
    { 493308, 1350, 0, 0 },
    { 493338, 1350, 0, 0 },
    { 493368, 1350, 0, 0 },
    { 493397, 1350, 0, 0 },
    { 493427, 1350, 0, 0 },
    { 493457, 1351, 1, 0 },
    { 493486, 1351, 0, 0 },
    { 493516, 1351, 0, 0 },
    { 493545, 1351, 0, 0 },
    { 493575, 1351, 0, 0 },
    { 493604, 1351, 0, 0 },
    { 493633, 1351, 0, 0 },
    { 493663, 1351, 0, 0 },
    { 493692, 1351, 0, 0 },
    { 493722, 1351, 0, 0 },
    { 493751, 1351, 0, 0 },
    { 493781, 1351, 0, 0 },
    { 493811, 1352, 1, 0 },
    { 493841, 1352, 0, 0 },
    { 493870, 1352, 0, 0 },
    { 493900, 1352, 0, 0 },
    { 493929, 1352, 0, 0 },
    { 493959, 1352, 0, 0 },
    { 493988, 1352, 0, 0 },
    { 494017, 1352, 0, 1 },
    { 494046, 1352, 0, 0 },
    { 494076, 1352, 0, 0 },
    { 494105, 1352, 0, 0 },
    { 494135, 1352, 0, 0 },
    { 494165, 1352, 0, 0 },
    { 494195, 1353, 1, 0 },
    { 494224, 1353, 0, 0 },
    { 494254, 1353, 0, 0 },
    { 494284, 1353, 0, 0 },
    { 494313, 1353, 0, 0 },
    { 494343, 1353, 0, 0 },
    { 494372, 1353, 0, 0 },
    { 494401, 1353, 0, 0 },
    { 494431, 1353, 0, 0 },
    { 494460, 1353, 0, 0 },
    { 494489, 1353, 0, 0 },
    { 494519, 1353, 0, 0 },
    { 494549, 1354, 1, 0 },
    { 494578, 1354, 0, 0 },
    { 494608, 1354, 0, 0 },
    { 494638, 1354, 0, 0 },
    { 494668, 1354, 0, 0 },
    { 494697, 1354, 0, 0 },
    { 494726, 1354, 0, 0 },
    { 494756, 1354, 0, 0 },
    { 494785, 1354, 0, 0 },
    { 494815, 1354, 0, 0 },
    { 494844, 1354, 0, 0 },
    { 494873, 1354, 0, 0 },
    { 494903, 1355, 1, 0 },
    { 494933, 1355, 0, 0 },
    { 494962, 1355, 0, 0 },
    { 494992, 1355, 0, 0 },
    { 495022, 1355, 0, 1 },
    { 495051, 1355, 0, 0 },
    { 495081, 1355, 0, 0 },
    { 495110, 1355, 0, 0 },
    { 495140, 1355, 0, 0 },
    { 495169, 1355, 0, 0 },
    { 495199, 1355, 0, 0 },
    { 495228, 1355, 0, 0 },
    { 495258, 1355, 0, 0 },
    { 495287, 1356, 1, 0 },
    { 495317, 1356, 0, 0 },
    { 495346, 1356, 0, 0 },
    { 495376, 1356, 0, 0 },
    { 495405, 1356, 0, 0 },
    { 495435, 1356, 0, 0 },
    { 495464, 1356, 0, 0 },
    { 495494, 1356, 0, 0 },
    { 495524, 1356, 0, 0 },
    { 495553, 1356, 0, 0 },
    { 495583, 1356, 0, 0 },
    { 495612, 1356, 0, 0 },
    { 495642, 1357, 1, 0 },
    { 495671, 1357, 0, 0 },
    { 495701, 1357, 0, 0 },
    { 495730, 1357, 0, 0 },
    { 495759, 1357, 0, 0 },
    { 495789, 1357, 0, 0 },
    { 495818, 1357, 0, 0 },
    { 495848, 1357, 0, 0 },
    { 495878, 1357, 0, 0 },
    { 495908, 1357, 0, 0 },
    { 495937, 1357, 0, 0 },
    { 495967, 1357, 0, 0 },
    { 495996, 1358, 1, 0 },
    { 496026, 1358, 0, 1 },
    { 496055, 1358, 0, 0 },
    { 496085, 1358, 0, 0 },
    { 496114, 1358, 0, 0 },
    { 496143, 1358, 0, 0 },
    { 496173, 1358, 0, 0 },
    { 496202, 1358, 0, 0 },
    { 496232, 1358, 0, 0 },
    { 496262, 1358, 0, 0 },
    { 496291, 1358, 0, 0 },
    { 496321, 1358, 0, 0 },
    { 496351, 1358, 0, 0 },
    { 496380, 1359, 1, 0 },
    { 496410, 1359, 0, 0 },
    { 496439, 1359, 0, 0 },
    { 496469, 1359, 0, 0 },
    { 496498, 1359, 0, 0 },
    { 496527, 1359, 0, 0 },
    { 496557, 1359, 0, 0 },
    { 496586, 1359, 0, 0 },
    { 496616, 1359, 0, 0 },
    { 496645, 1359, 0, 0 },
    { 496675, 1359, 0, 0 },
    { 496705, 1359, 0, 0 },
    { 496735, 1360, 1, 0 },
    { 496764, 1360, 0, 0 },
    { 496794, 1360, 0, 0 },
    { 496823, 1360, 0, 0 },
    { 496853, 1360, 0, 0 },
    { 496882, 1360, 0, 0 },
    { 496911, 1360, 0, 0 },
    { 496940, 1360, 0, 0 },
    { 496970, 1360, 0, 1 },
    { 496999, 1360, 0, 0 },
    { 497029, 1360, 0, 0 },
    { 497059, 1360, 0, 0 },
    { 497089, 1360, 0, 0 },
    { 497118, 1361, 1, 0 },
    { 497148, 1361, 0, 0 },
    { 497178, 1361, 0, 0 },
    { 497207, 1361, 0, 0 },
    { 497237, 1361, 0, 0 },
    { 497266, 1361, 0, 0 },
    { 497295, 1361, 0, 0 },
    { 497324, 1361, 0, 0 },
    { 497354, 1361, 0, 0 },
    { 497383, 1361, 0, 0 },
    { 497413, 1361, 0, 0 },
    { 497443, 1361, 0, 0 },
    { 497472, 1362, 1, 0 },
    { 497502, 1362, 0, 0 },
    { 497532, 1362, 0, 0 },
    { 497562, 1362, 0, 0 },
    { 497591, 1362, 0, 0 },
    { 497621, 1362, 0, 0 },
    { 497650, 1362, 0, 0 },
    { 497679, 1362, 0, 0 },
    { 497709, 1362, 0, 0 },
    { 497738, 1362, 0, 0 },
    { 497767, 1362, 0, 0 },
    { 497797, 1362, 0, 0 },
    { 497827, 1363, 1, 0 },
    { 497856, 1363, 0, 0 },
    { 497886, 1363, 0, 0 },
    { 497916, 1363, 0, 0 },
    { 497945, 1363, 0, 0 },
    { 497975, 1363, 0, 0 },
    { 498004, 1363, 0, 1 },
    { 498034, 1363, 0, 0 },
    { 498063, 1363, 0, 0 },
    { 498093, 1363, 0, 0 },
    { 498122, 1363, 0, 0 },
    { 498151, 1363, 0, 0 },
    { 498181, 1363, 0, 0 },
    { 498210, 1364, 1, 0 },
    { 498240, 1364, 0, 0 },
    { 498270, 1364, 0, 0 },
    { 498299, 1364, 0, 0 },
    { 498329, 1364, 0, 0 },
    { 498359, 1364, 0, 0 },
    { 498388, 1364, 0, 0 },
    { 498418, 1364, 0, 0 },
    { 498447, 1364, 0, 0 },
    { 498477, 1364, 0, 0 },
    { 498506, 1364, 0, 0 },
    { 498536, 1364, 0, 0 },
    { 498565, 1365, 1, 0 },
    { 498594, 1365, 0, 0 },
    { 498624, 1365, 0, 0 },
    { 498653, 1365, 0, 0 },
    { 498683, 1365, 0, 0 },
    { 498713, 1365, 0, 0 },
    { 498742, 1365, 0, 0 },
    { 498772, 1365, 0, 0 },
    { 498802, 1365, 0, 0 },
    { 498831, 1365, 0, 0 },
    { 498861, 1365, 0, 0 },
    { 498890, 1365, 0, 0 },
    { 498920, 1366, 1, 0 },
    { 498949, 1366, 0, 0 },
    { 498978, 1366, 0, 1 },
    { 499008, 1366, 0, 0 },
    { 499037, 1366, 0, 0 },
    { 499067, 1366, 0, 0 },
    { 499096, 1366, 0, 0 },
    { 499126, 1366, 0, 0 },
    { 499156, 1366, 0, 0 },
    { 499185, 1366, 0, 0 },
    { 499215, 1366, 0, 0 },
    { 499245, 1366, 0, 0 },
    { 499274, 1366, 0, 0 },
    { 499304, 1367, 1, 0 },
    { 499333, 1367, 0, 0 },
    { 499363, 1367, 0, 0 },
    { 499392, 1367, 0, 0 },
    { 499421, 1367, 0, 0 },
    { 499451, 1367, 0, 0 },
    { 499480, 1367, 0, 0 },
    { 499510, 1367, 0, 0 },
    { 499539, 1367, 0, 0 },
    { 499569, 1367, 0, 0 },
    { 499599, 1367, 0, 0 },
    { 499629, 1367, 0, 0 },
    { 499658, 1368, 1, 0 },
    { 499688, 1368, 0, 0 },
    { 499717, 1368, 0, 0 },
    { 499747, 1368, 0, 0 },
    { 499776, 1368, 0, 0 },
    { 499805, 1368, 0, 0 },
    { 499834, 1368, 0, 0 },
    { 499864, 1368, 0, 0 },
    { 499893, 1368, 0, 0 },
    { 499923, 1368, 0, 0 },
    { 499953, 1368, 0, 0 },
    { 499983, 1368, 0, 1 },
    { 500012, 1368, 0, 0 },
    { 500042, 1369, 1, 0 },
    { 500072, 1369, 0, 0 },
    { 500101, 1369, 0, 0 },
    { 500131, 1369, 0, 0 },
    { 500160, 1369, 0, 0 },
    { 500189, 1369, 0, 0 },
    { 500218, 1369, 0, 0 },
    { 500248, 1369, 0, 0 },
    { 500277, 1369, 0, 0 },
    { 500307, 1369, 0, 0 },
    { 500337, 1369, 0, 0 },
    { 500366, 1369, 0, 0 },
    { 500396, 1370, 1, 0 },
    { 500426, 1370, 0, 0 },
    { 500456, 1370, 0, 0 },
    { 500485, 1370, 0, 0 },
    { 500515, 1370, 0, 0 },
    { 500544, 1370, 0, 0 },
    { 500573, 1370, 0, 0 },
    { 500602, 1370, 0, 0 },
    { 500632, 1370, 0, 0 },
    { 500661, 1370, 0, 0 },
    { 500691, 1370, 0, 0 },
    { 500720, 1370, 0, 0 },
    { 500750, 1371, 1, 0 },
    { 500780, 1371, 0, 0 },
    { 500810, 1371, 0, 0 },
    { 500839, 1371, 0, 0 },
    { 500869, 1371, 0, 0 },
    { 500898, 1371, 0, 0 },
    { 500928, 1371, 0, 0 },
    { 500957, 1371, 0, 0 },
    { 500987, 1371, 0, 1 },
    { 501016, 1371, 0, 0 },
    { 501045, 1371, 0, 0 },
    { 501075, 1371, 0, 0 },
    { 501104, 1371, 0, 0 },
    { 501134, 1372, 1, 0 },
    { 501164, 1372, 0, 0 },
    { 501193, 1372, 0, 0 },
    { 501223, 1372, 0, 0 },
    { 501253, 1372, 0, 0 },
    { 501282, 1372, 0, 0 },
    { 501312, 1372, 0, 0 },
    { 501341, 1372, 0, 0 },
    { 501371, 1372, 0, 0 },
    { 501400, 1372, 0, 0 },
    { 501429, 1372, 0, 0 },
    { 501459, 1372, 0, 0 },
    { 501488, 1373, 1, 0 },
    { 501518, 1373, 0, 0 },
    { 501548, 1373, 0, 0 },
    { 501577, 1373, 0, 0 },
    { 501607, 1373, 0, 0 },
    { 501636, 1373, 0, 0 },
    { 501666, 1373, 0, 0 },
    { 501696, 1373, 0, 0 },
    { 501725, 1373, 0, 0 },
    { 501755, 1373, 0, 0 },
    { 501784, 1373, 0, 0 },
    { 501813, 1373, 0, 0 },
    { 501843, 1374, 1, 0 },
    { 501872, 1374, 0, 0 },
    { 501902, 1374, 0, 0 },
    { 501931, 1374, 0, 0 },
    { 501961, 1374, 0, 1 },
    { 501990, 1374, 0, 0 },
    { 502020, 1374, 0, 0 },
    { 502050, 1374, 0, 0 },
    { 502079, 1374, 0, 0 },
    { 502109, 1374, 0, 0 },
    { 502139, 1374, 0, 0 },
    { 502168, 1374, 0, 0 },
    { 502198, 1374, 0, 0 },
    { 502227, 1375, 1, 0 },
    { 502256, 1375, 0, 0 },
    { 502286, 1375, 0, 0 },
    { 502315, 1375, 0, 0 },
    { 502345, 1375, 0, 0 },
    { 502374, 1375, 0, 0 },
    { 502404, 1375, 0, 0 },
    { 502433, 1375, 0, 0 },
    { 502463, 1375, 0, 0 },
    { 502493, 1375, 0, 0 },
    { 502523, 1375, 0, 0 },
    { 502552, 1375, 0, 0 },
    { 502582, 1376, 1, 0 },
    { 502611, 1376, 0, 0 },
    { 502641, 1376, 0, 0 },
    { 502670, 1376, 0, 0 },
    { 502699, 1376, 0, 0 },
    { 502729, 1376, 0, 0 },
    { 502758, 1376, 0, 0 },
    { 502788, 1376, 0, 0 },
    { 502817, 1376, 0, 0 },
    { 502847, 1376, 0, 0 },
    { 502877, 1376, 0, 0 },
    { 502906, 1376, 0, 0 },
    { 502936, 1377, 1, 0 },
    { 502966, 1377, 0, 1 },
    { 502995, 1377, 0, 0 },
    { 503025, 1377, 0, 0 },
    { 503054, 1377, 0, 0 },
    { 503083, 1377, 0, 0 },
    { 503112, 1377, 0, 0 },
    { 503142, 1377, 0, 0 },
    { 503171, 1377, 0, 0 },
    { 503201, 1377, 0, 0 },
    { 503231, 1377, 0, 0 },
    { 503260, 1377, 0, 0 },
    { 503290, 1377, 0, 0 },
    { 503320, 1378, 1, 0 },
    { 503350, 1378, 0, 0 },
    { 503379, 1378, 0, 0 },
    { 503409, 1378, 0, 0 },
    { 503438, 1378, 0, 0 },
    { 503467, 1378, 0, 0 },
    { 503496, 1378, 0, 0 },
    { 503526, 1378, 0, 0 },
    { 503555, 1378, 0, 0 },
    { 503585, 1378, 0, 0 },
    { 503614, 1378, 0, 0 },
    { 503644, 1378, 0, 0 },
    { 503674, 1379, 1, 0 },
    { 503704, 1379, 0, 0 },
    { 503734, 1379, 0, 0 },
    { 503763, 1379, 0, 0 },
    { 503792, 1379, 0, 0 },
    { 503822, 1379, 0, 0 },
    { 503851, 1379, 0, 0 },
    { 503880, 1379, 0, 0 },
    { 503910, 1379, 0, 1 },
    { 503939, 1379, 0, 0 },
    { 503969, 1379, 0, 0 },
    { 503998, 1379, 0, 0 },
    { 504028, 1379, 0, 0 },
    { 504058, 1380, 1, 0 },
    { 504088, 1380, 0, 0 },
    { 504117, 1380, 0, 0 },
    { 504147, 1380, 0, 0 },
    { 504176, 1380, 0, 0 },
    { 504206, 1380, 0, 0 },
    { 504235, 1380, 0, 0 },
    { 504265, 1380, 0, 0 },
    { 504294, 1380, 0, 0 },
    { 504323, 1380, 0, 0 },
    { 504353, 1380, 0, 0 },
    { 504382, 1380, 0, 0 },
    { 504412, 1381, 1, 0 },
    { 504442, 1381, 0, 0 },
    { 504471, 1381, 0, 0 },
    { 504501, 1381, 0, 0 },
    { 504531, 1381, 0, 0 },
    { 504560, 1381, 0, 0 },
    { 504590, 1381, 0, 0 },
    { 504619, 1381, 0, 0 },
    { 504649, 1381, 0, 0 },
    { 504678, 1381, 0, 0 },
    { 504707, 1381, 0, 0 },
    { 504737, 1381, 0, 0 },
    { 504766, 1382, 1, 0 },
    { 504796, 1382, 0, 0 },
    { 504825, 1382, 0, 0 },
    { 504855, 1382, 0, 0 },
    { 504885, 1382, 0, 0 },
    { 504914, 1382, 0, 0 },
    { 504944, 1382, 0, 1 },
    { 504973, 1382, 0, 0 },
    { 505003, 1382, 0, 0 },
    { 505033, 1382, 0, 0 },
    { 505062, 1382, 0, 0 },
    { 505091, 1382, 0, 0 },
    { 505121, 1382, 0, 0 },
    { 505150, 1383, 1, 0 },
    { 505180, 1383, 0, 0 },
    { 505209, 1383, 0, 0 },
    { 505239, 1383, 0, 0 },
    { 505268, 1383, 0, 0 },
    { 505298, 1383, 0, 0 },
    { 505328, 1383, 0, 0 },
    { 505357, 1383, 0, 0 },
    { 505387, 1383, 0, 0 },
    { 505416, 1383, 0, 0 },
    { 505446, 1383, 0, 0 },
    { 505476, 1383, 0, 0 },
    { 505505, 1384, 1, 0 },
    { 505534, 1384, 0, 0 },
    { 505564, 1384, 0, 0 },
    { 505593, 1384, 0, 0 },
    { 505623, 1384, 0, 0 },
    { 505652, 1384, 0, 0 },
    { 505682, 1384, 0, 0 },
    { 505711, 1384, 0, 0 },
    { 505741, 1384, 0, 0 },
    { 505771, 1384, 0, 0 },
    { 505800, 1384, 0, 0 },
    { 505830, 1384, 0, 0 },
    { 505860, 1385, 1, 0 },
    { 505889, 1385, 0, 0 },
    { 505918, 1385, 0, 0 },
    { 505948, 1385, 0, 1 },
    { 505977, 1385, 0, 0 },
    { 506007, 1385, 0, 0 },
    { 506036, 1385, 0, 0 },
    { 506065, 1385, 0, 0 },
    { 506095, 1385, 0, 0 },
    { 506125, 1385, 0, 0 },
    { 506154, 1385, 0, 0 },
    { 506184, 1385, 0, 0 },
    { 506214, 1385, 0, 0 },
    { 506244, 1386, 1, 0 },
    { 506273, 1386, 0, 0 },
    { 506303, 1386, 0, 0 },
    { 506332, 1386, 0, 0 },
    { 506361, 1386, 0, 0 },
    { 506390, 1386, 0, 0 },
    { 506420, 1386, 0, 0 },
    { 506449, 1386, 0, 0 },
    { 506479, 1386, 0, 0 },
    { 506508, 1386, 0, 0 },
    { 506538, 1386, 0, 0 },
    { 506568, 1386, 0, 0 },
    { 506598, 1387, 1, 0 },
    { 506628, 1387, 0, 0 },
    { 506657, 1387, 0, 0 },
    { 506687, 1387, 0, 0 },
    { 506716, 1387, 0, 0 },
    { 506745, 1387, 0, 0 },
    { 506774, 1387, 0, 0 },
    { 506804, 1387, 0, 0 },
    { 506833, 1387, 0, 0 },
    { 506863, 1387, 0, 0 },
    { 506892, 1387, 0, 0 },
    { 506922, 1387, 0, 1 },
    { 506952, 1387, 0, 0 },
    { 506982, 1388, 1, 0 },
    { 507011, 1388, 0, 0 },
    { 507041, 1388, 0, 0 },
    { 507070, 1388, 0, 0 },
    { 507100, 1388, 0, 0 },
    { 507129, 1388, 0, 0 },
    { 507158, 1388, 0, 0 },
    { 507188, 1388, 0, 0 },
    { 507217, 1388, 0, 0 },
    { 507247, 1388, 0, 0 },
    { 507276, 1388, 0, 0 },
    { 507306, 1388, 0, 0 },
    { 507336, 1389, 1, 0 },
    { 507365, 1389, 0, 0 },
    { 507395, 1389, 0, 0 },
    { 507425, 1389, 0, 0 },
    { 507454, 1389, 0, 0 },
    { 507484, 1389, 0, 0 },
    { 507513, 1389, 0, 0 },
    { 507542, 1389, 0, 0 },
    { 507572, 1389, 0, 0 },
    { 507601, 1389, 0, 0 },
    { 507631, 1389, 0, 0 },
    { 507660, 1389, 0, 0 },
    { 507690, 1390, 1, 0 },
    { 507719, 1390, 0, 0 },
    { 507749, 1390, 0, 0 },
    { 507779, 1390, 0, 0 },
    { 507808, 1390, 0, 0 },
    { 507838, 1390, 0, 0 },
    { 507868, 1390, 0, 0 },
    { 507897, 1390, 0, 1 },
    { 507926, 1390, 0, 0 },
    { 507956, 1390, 0, 0 },
    { 507985, 1390, 0, 0 },
    { 508015, 1390, 0, 0 },
    { 508044, 1390, 0, 0 },
    { 508074, 1391, 1, 0 },
    { 508103, 1391, 0, 0 },
    { 508133, 1391, 0, 0 },
    { 508162, 1391, 0, 0 },
    { 508192, 1391, 0, 0 },
    { 508222, 1391, 0, 0 },
    { 508251, 1391, 0, 0 },
    { 508281, 1391, 0, 0 },
    { 508310, 1391, 0, 0 },
    { 508340, 1391, 0, 0 },
    { 508369, 1391, 0, 0 },
    { 508399, 1391, 0, 0 },
    { 508428, 1392, 1, 0 },
    { 508458, 1392, 0, 0 },
    { 508487, 1392, 0, 0 },
    { 508517, 1392, 0, 0 },
    { 508546, 1392, 0, 0 },
    { 508576, 1392, 0, 0 },
    { 508605, 1392, 0, 0 },
    { 508635, 1392, 0, 0 },
    { 508665, 1392, 0, 0 },
    { 508694, 1392, 0, 0 },
    { 508724, 1392, 0, 0 },
    { 508753, 1392, 0, 0 },
    { 508783, 1393, 1, 0 },
    { 508812, 1393, 0, 0 },
    { 508842, 1393, 0, 0 },
    { 508871, 1393, 0, 0 },
    { 508901, 1393, 0, 1 },
    { 508930, 1393, 0, 0 },
    { 508959, 1393, 0, 0 },
    { 508989, 1393, 0, 0 },
    { 509019, 1393, 0, 0 },
    { 509048, 1393, 0, 0 },
    { 509078, 1393, 0, 0 },
    { 509108, 1393, 0, 0 },
    { 509137, 1393, 0, 0 },
    { 509167, 1394, 1, 0 },
    { 509196, 1394, 0, 0 },
    { 509226, 1394, 0, 0 },
    { 509255, 1394, 0, 0 },
    { 509284, 1394, 0, 0 },
    { 509314, 1394, 0, 0 },
    { 509343, 1394, 0, 0 },
    { 509373, 1394, 0, 0 },
    { 509402, 1394, 0, 0 },
    { 509432, 1394, 0, 0 },
    { 509462, 1394, 0, 0 },
    { 509492, 1394, 0, 0 },
    { 509521, 1395, 1, 0 },
    { 509551, 1395, 0, 0 },
    { 509581, 1395, 0, 0 },
    { 509610, 1395, 0, 0 },
    { 509639, 1395, 0, 0 },
    { 509668, 1395, 0, 0 },
    { 509698, 1395, 0, 0 },
    { 509727, 1395, 0, 0 },
    { 509757, 1395, 0, 0 },
    { 509786, 1395, 0, 0 },
    { 509816, 1395, 0, 0 },
    { 509846, 1395, 0, 0 },
    { 509876, 1396, 1, 0 },
    { 509905, 1396, 0, 1 },
    { 509935, 1396, 0, 0 },
    { 509964, 1396, 0, 0 },
    { 509994, 1396, 0, 0 },
    { 510023, 1396, 0, 0 },
    { 510052, 1396, 0, 0 },
    { 510082, 1396, 0, 0 },
    { 510111, 1396, 0, 0 },
    { 510141, 1396, 0, 0 },
    { 510170, 1396, 0, 0 },
    { 510200, 1396, 0, 0 },
    { 510230, 1396, 0, 0 },
    { 510259, 1397, 1, 0 },
    { 510289, 1397, 0, 0 },
    { 510319, 1397, 0, 0 },
    { 510348, 1397, 0, 0 },
    { 510378, 1397, 0, 0 },
    { 510407, 1397, 0, 0 },
    { 510436, 1397, 0, 0 },
    { 510466, 1397, 0, 0 },
    { 510495, 1397, 0, 0 },
    { 510525, 1397, 0, 0 },
    { 510554, 1397, 0, 0 },
    { 510584, 1397, 0, 0 },
    { 510613, 1398, 1, 0 },
    { 510643, 1398, 0, 0 },
    { 510673, 1398, 0, 0 },
    { 510703, 1398, 0, 0 },
    { 510732, 1398, 0, 0 },
    { 510762, 1398, 0, 0 },
    { 510791, 1398, 0, 0 },
    { 510820, 1398, 0, 0 },
    { 510850, 1398, 0, 0 },
    { 510879, 1398, 0, 1 },
    { 510909, 1398, 0, 0 },
    { 510938, 1398, 0, 0 },
    { 510968, 1398, 0, 0 },
    { 510997, 1399, 1, 0 },
    { 511027, 1399, 0, 0 },
    { 511057, 1399, 0, 0 },
    { 511086, 1399, 0, 0 },
    { 511116, 1399, 0, 0 },
    { 511145, 1399, 0, 0 },
    { 511175, 1399, 0, 0 },
    { 511204, 1399, 0, 0 },
    { 511234, 1399, 0, 0 },
    { 511263, 1399, 0, 0 },
    { 511293, 1399, 0, 0 },
    { 511322, 1399, 0, 0 },
    { 511352, 1400, 1, 0 },
    { 511381, 1400, 0, 0 },
    { 511411, 1400, 0, 0 },
    { 511440, 1400, 0, 0 },
    { 511470, 1400, 0, 0 },
    { 511500, 1400, 0, 0 },
    { 511529, 1400, 0, 0 },
    { 511559, 1400, 0, 0 },
    { 511588, 1400, 0, 0 },
    { 511618, 1400, 0, 0 },
    { 511647, 1400, 0, 0 },
    { 511677, 1400, 0, 0 },
    { 511706, 1401, 1, 0 },
    { 511736, 1401, 0, 0 },
    { 511765, 1401, 0, 0 },
    { 511795, 1401, 0, 0 },
    { 511824, 1401, 0, 0 },
    { 511854, 1401, 0, 1 },
    { 511883, 1401, 0, 0 },
    { 511913, 1401, 0, 0 },
    { 511943, 1401, 0, 0 },
    { 511972, 1401, 0, 0 },
    { 512002, 1401, 0, 0 },
    { 512031, 1401, 0, 0 },
    { 512061, 1401, 0, 0 },
    { 512090, 1402, 1, 0 },
    { 512120, 1402, 0, 0 },
    { 512149, 1402, 0, 0 },
    { 512179, 1402, 0, 0 },
    { 512208, 1402, 0, 0 },
    { 512237, 1402, 0, 0 },
    { 512267, 1402, 0, 0 },
    { 512297, 1402, 0, 0 },
    { 512326, 1402, 0, 0 },
    { 512356, 1402, 0, 0 },
    { 512386, 1402, 0, 0 },
    { 512415, 1402, 0, 0 },
    { 512445, 1403, 1, 0 },
    { 512474, 1403, 0, 0 },
    { 512504, 1403, 0, 0 },
    { 512533, 1403, 0, 0 },
    { 512562, 1403, 0, 0 },
    { 512592, 1403, 0, 0 },
    { 512621, 1403, 0, 0 },
    { 512651, 1403, 0, 0 },
    { 512680, 1403, 0, 0 },
    { 512710, 1403, 0, 0 },
    { 512740, 1403, 0, 0 },
    { 512770, 1403, 0, 0 },
    { 512799, 1404, 1, 0 },
    { 512829, 1404, 0, 0 },
    { 512858, 1404, 0, 0 },
    { 512888, 1404, 0, 0 },
    { 512917, 1404, 0, 1 },
    { 512946, 1404, 0, 0 },
    { 512976, 1404, 0, 0 },
    { 513005, 1404, 0, 0 },
    { 513035, 1404, 0, 0 },
    { 513064, 1404, 0, 0 },
    { 513094, 1404, 0, 0 },
    { 513124, 1404, 0, 0 },
    { 513153, 1404, 0, 0 },
    { 513183, 1405, 1, 0 },
    { 513213, 1405, 0, 0 },
    { 513242, 1405, 0, 0 },
    { 513272, 1405, 0, 0 },
    { 513301, 1405, 0, 0 },
    { 513330, 1405, 0, 0 },
    { 513360, 1405, 0, 0 },
    { 513389, 1405, 0, 0 },
    { 513419, 1405, 0, 0 },
    { 513448, 1405, 0, 0 },
    { 513478, 1405, 0, 0 },
    { 513507, 1405, 0, 0 },
    { 513537, 1406, 1, 0 },
    { 513567, 1406, 0, 0 },
    { 513597, 1406, 0, 0 },
    { 513626, 1406, 0, 0 },
    { 513656, 1406, 0, 0 },
    { 513685, 1406, 0, 0 },
    { 513714, 1406, 0, 0 },
    { 513744, 1406, 0, 0 },
    { 513773, 1406, 0, 0 },
    { 513803, 1406, 0, 0 },
    { 513832, 1406, 0, 0 },
    { 513862, 1406, 0, 0 },
    { 513891, 1407, 1, 0 },
    { 513921, 1407, 0, 0 },
    { 513951, 1407, 0, 1 },
    { 513980, 1407, 0, 0 },
    { 514010, 1407, 0, 0 },
    { 514040, 1407, 0, 0 },
    { 514069, 1407, 0, 0 },
    { 514098, 1407, 0, 0 },
    { 514128, 1407, 0, 0 },
    { 514157, 1407, 0, 0 },
    { 514187, 1407, 0, 0 },
    { 514216, 1407, 0, 0 },
    { 514246, 1407, 0, 0 },
    { 514275, 1408, 1, 0 },
    { 514305, 1408, 0, 0 },
    { 514334, 1408, 0, 0 },
    { 514364, 1408, 0, 0 },
    { 514394, 1408, 0, 0 },
    { 514423, 1408, 0, 0 },
    { 514453, 1408, 0, 0 },
    { 514482, 1408, 0, 0 },
    { 514512, 1408, 0, 0 },
    { 514541, 1408, 0, 0 },
    { 514571, 1408, 0, 0 },
    { 514600, 1408, 0, 0 },
    { 514630, 1409, 1, 0 },
    { 514659, 1409, 0, 0 },
    { 514689, 1409, 0, 0 },
    { 514718, 1409, 0, 0 },
    { 514748, 1409, 0, 0 },
    { 514777, 1409, 0, 0 },
    { 514807, 1409, 0, 0 },
    { 514837, 1409, 0, 1 },
    { 514866, 1409, 0, 0 },
    { 514896, 1409, 0, 0 },
    { 514925, 1409, 0, 0 },
    { 514955, 1409, 0, 0 },
    { 514984, 1409, 0, 0 },
    { 515014, 1410, 1, 0 },
    { 515043, 1410, 0, 0 },
    { 515073, 1410, 0, 0 },
    { 515102, 1410, 0, 0 },
    { 515131, 1410, 0, 0 },
    { 515161, 1410, 0, 0 },
    { 515191, 1410, 0, 0 },
    { 515220, 1410, 0, 0 },
    { 515250, 1410, 0, 0 },
    { 515280, 1410, 0, 0 },
    { 515309, 1410, 0, 0 },
    { 515339, 1410, 0, 0 },
    { 515368, 1411, 1, 0 },
    { 515398, 1411, 0, 0 },
    { 515427, 1411, 0, 0 },
    { 515456, 1411, 0, 0 },
    { 515486, 1411, 0, 0 },
    { 515515, 1411, 0, 0 },
    { 515545, 1411, 0, 0 },
    { 515574, 1411, 0, 0 },
    { 515604, 1411, 0, 0 },
    { 515634, 1411, 0, 0 },
    { 515664, 1411, 0, 0 },
    { 515693, 1411, 0, 0 },
    { 515723, 1412, 1, 0 },
    { 515752, 1412, 0, 0 },
    { 515782, 1412, 0, 0 },
    { 515811, 1412, 0, 0 },
    { 515840, 1412, 0, 0 },
    { 515870, 1412, 0, 1 },
    { 515899, 1412, 0, 0 },
    { 515929, 1412, 0, 0 },
    { 515958, 1412, 0, 0 },
    { 515988, 1412, 0, 0 },
    { 516018, 1412, 0, 0 },
    { 516047, 1412, 0, 0 },
    { 516077, 1412, 0, 0 },
    { 516107, 1413, 1, 0 },
    { 516136, 1413, 0, 0 },
    { 516166, 1413, 0, 0 },
    { 516195, 1413, 0, 0 },
    { 516224, 1413, 0, 0 },
    { 516254, 1413, 0, 0 },
    { 516283, 1413, 0, 0 },
    { 516312, 1413, 0, 0 },
    { 516342, 1413, 0, 0 },
    { 516372, 1413, 0, 0 },
    { 516401, 1413, 0, 0 },
    { 516431, 1413, 0, 0 },
    { 516461, 1414, 1, 0 },
    { 516491, 1414, 0, 0 },
    { 516520, 1414, 0, 0 },
    { 516550, 1414, 0, 0 },
    { 516579, 1414, 0, 0 },
    { 516608, 1414, 0, 0 },
    { 516638, 1414, 0, 0 },
    { 516667, 1414, 0, 0 },
    { 516696, 1414, 0, 0 },
    { 516726, 1414, 0, 0 },
    { 516755, 1414, 0, 0 },
    { 516785, 1414, 0, 0 },
    { 516815, 1415, 1, 0 },
    { 516845, 1415, 0, 0 },
    { 516874, 1415, 0, 0 },
    { 516904, 1415, 0, 1 },
    { 516934, 1415, 0, 0 },
    { 516963, 1415, 0, 0 },
    { 516992, 1415, 0, 0 },
    { 517022, 1415, 0, 0 },
    { 517051, 1415, 0, 0 },
    { 517080, 1415, 0, 0 },
    { 517110, 1415, 0, 0 },
    { 517139, 1415, 0, 0 },
    { 517169, 1415, 0, 0 },
    { 517199, 1416, 1, 0 },
    { 517228, 1416, 0, 0 },
    { 517258, 1416, 0, 0 },
    { 517288, 1416, 0, 0 },
    { 517317, 1416, 0, 0 },
    { 517347, 1416, 0, 0 },
    { 517376, 1416, 0, 0 },
    { 517406, 1416, 0, 0 },
    { 517435, 1416, 0, 0 },
    { 517465, 1416, 0, 0 },
    { 517494, 1416, 0, 0 },
    { 517523, 1416, 0, 0 },
    { 517553, 1417, 1, 0 },
    { 517583, 1417, 0, 0 },
    { 517612, 1417, 0, 0 },
    { 517642, 1417, 0, 0 },
    { 517672, 1417, 0, 0 },
    { 517701, 1417, 0, 0 },
    { 517731, 1417, 0, 0 },
    { 517760, 1417, 0, 0 },
    { 517790, 1417, 0, 1 },
    { 517819, 1417, 0, 0 },
    { 517849, 1417, 0, 0 },
    { 517878, 1417, 0, 0 },
    { 517908, 1417, 0, 0 },
    { 517937, 1418, 1, 0 },
    { 517966, 1418, 0, 0 },
    { 517996, 1418, 0, 0 },
    { 518026, 1418, 0, 0 },
    { 518055, 1418, 0, 0 },
    { 518085, 1418, 0, 0 },
    { 518114, 1418, 0, 0 },
    { 518144, 1418, 0, 0 },
    { 518174, 1418, 0, 0 },
    { 518203, 1418, 0, 0 },
    { 518233, 1418, 0, 0 },
    { 518262, 1418, 0, 0 },
    { 518292, 1419, 1, 0 },
    { 518321, 1419, 0, 0 },
    { 518350, 1419, 0, 0 },
    { 518380, 1419, 0, 0 },
    { 518409, 1419, 0, 0 },
    { 518439, 1419, 0, 0 },
    { 518468, 1419, 0, 0 },
    { 518498, 1419, 0, 0 },
    { 518528, 1419, 0, 0 },
    { 518558, 1419, 0, 0 },
    { 518587, 1419, 0, 0 },
    { 518617, 1419, 0, 0 },
    { 518646, 1420, 1, 0 },
    { 518676, 1420, 0, 0 },
    { 518705, 1420, 0, 0 },
    { 518734, 1420, 0, 0 },
    { 518764, 1420, 0, 0 },
    { 518793, 1420, 0, 1 },
    { 518823, 1420, 0, 0 },
    { 518852, 1420, 0, 0 },
    { 518882, 1420, 0, 0 },
    { 518912, 1420, 0, 0 },
    { 518941, 1420, 0, 0 },
    { 518971, 1420, 0, 0 },
    { 519001, 1420, 0, 0 },
    { 519030, 1421, 1, 0 },
    { 519060, 1421, 0, 0 },
    { 519089, 1421, 0, 0 },
    { 519119, 1421, 0, 0 },
    { 519148, 1421, 0, 0 },
    { 519177, 1421, 0, 0 },
    { 519206, 1421, 0, 0 },
    { 519236, 1421, 0, 0 },
    { 519266, 1421, 0, 0 },
    { 519295, 1421, 0, 0 },
    { 519325, 1421, 0, 0 },
    { 519355, 1421, 0, 0 },
    { 519385, 1422, 1, 0 },
    { 519414, 1422, 0, 0 },
    { 519444, 1422, 0, 0 },
    { 519473, 1422, 0, 0 },
    { 519503, 1422, 0, 0 },
    { 519532, 1422, 0, 0 },
    { 519561, 1422, 0, 0 },
    { 519590, 1422, 0, 0 },
    { 519620, 1422, 0, 0 },
    { 519649, 1422, 0, 0 },
    { 519679, 1422, 0, 0 },
    { 519709, 1422, 0, 0 },
    { 519739, 1423, 1, 0 },
    { 519768, 1423, 0, 0 },
    { 519798, 1423, 0, 0 },
    { 519828, 1423, 0, 0 },
    { 519857, 1423, 0, 1 },
    { 519886, 1423, 0, 0 },
    { 519916, 1423, 0, 0 },
    { 519945, 1423, 0, 0 },
    { 519974, 1423, 0, 0 },
    { 520004, 1423, 0, 0 },
    { 520033, 1423, 0, 0 },
    { 520063, 1423, 0, 0 },
    { 520093, 1423, 0, 0 },
    { 520122, 1424, 1, 0 },
    { 520152, 1424, 0, 0 },
    { 520182, 1424, 0, 0 },
    { 520212, 1424, 0, 0 },
    { 520241, 1424, 0, 0 },
    { 520270, 1424, 0, 0 },
    { 520300, 1424, 0, 0 },
    { 520329, 1424, 0, 0 },
    { 520358, 1424, 0, 0 },
    { 520388, 1424, 0, 0 },
    { 520417, 1424, 0, 0 },
    { 520447, 1424, 0, 0 },
    { 520477, 1425, 1, 0 },
    { 520506, 1425, 0, 0 },
    { 520536, 1425, 0, 0 },
    { 520566, 1425, 0, 0 },
    { 520595, 1425, 0, 0 },
    { 520625, 1425, 0, 0 },
    { 520654, 1425, 0, 0 },
    { 520684, 1425, 0, 0 },
    { 520713, 1425, 0, 0 },
    { 520743, 1425, 0, 0 },
    { 520772, 1425, 0, 1 },
    { 520801, 1425, 0, 0 },
    { 520831, 1425, 0, 0 },
    { 520860, 1426, 1, 0 },
    { 520890, 1426, 0, 0 },
    { 520920, 1426, 0, 0 },
    { 520949, 1426, 0, 0 },
    { 520979, 1426, 0, 0 },
    { 521009, 1426, 0, 0 },
    { 521038, 1426, 0, 0 },
    { 521068, 1426, 0, 0 },
    { 521097, 1426, 0, 0 },
    { 521127, 1426, 0, 0 },
    { 521156, 1426, 0, 0 },
    { 521185, 1426, 0, 0 },
    { 521215, 1427, 1, 0 },
    { 521244, 1427, 0, 0 },
    { 521274, 1427, 0, 0 },
    { 521303, 1427, 0, 0 },
    { 521333, 1427, 0, 0 },
    { 521363, 1427, 0, 0 },
    { 521392, 1427, 0, 0 },
    { 521422, 1427, 0, 0 },
    { 521452, 1427, 0, 0 },
    { 521481, 1427, 0, 0 },
    { 521511, 1427, 0, 0 },
    { 521540, 1427, 0, 0 },
    { 521570, 1428, 1, 0 },
    { 521599, 1428, 0, 0 },
    { 521628, 1428, 0, 0 },
    { 521658, 1428, 0, 0 },
    { 521687, 1428, 0, 0 },
    { 521717, 1428, 0, 0 },
    { 521746, 1428, 0, 1 },
    { 521776, 1428, 0, 0 },
    { 521806, 1428, 0, 0 },
    { 521835, 1428, 0, 0 },
    { 521865, 1428, 0, 0 },
    { 521895, 1428, 0, 0 },
    { 521924, 1428, 0, 0 },
    { 521954, 1429, 1, 0 },
    { 521983, 1429, 0, 0 },
    { 522012, 1429, 0, 0 },
    { 522042, 1429, 0, 0 },
    { 522071, 1429, 0, 0 },
    { 522101, 1429, 0, 0 },
    { 522130, 1429, 0, 0 },
    { 522160, 1429, 0, 0 },
    { 522189, 1429, 0, 0 },
    { 522219, 1429, 0, 0 },
    { 522249, 1429, 0, 0 },
    { 522279, 1429, 0, 0 },
    { 522308, 1430, 1, 0 },
    { 522338, 1430, 0, 0 },
    { 522367, 1430, 0, 0 },
    { 522397, 1430, 0, 0 },
    { 522426, 1430, 0, 0 },
    { 522455, 1430, 0, 0 },
    { 522484, 1430, 0, 0 },
    { 522514, 1430, 0, 0 },
    { 522543, 1430, 0, 0 },
    { 522573, 1430, 0, 0 },
    { 522603, 1430, 0, 0 },
    { 522633, 1430, 0, 0 },
    { 522662, 1431, 1, 0 },
    { 522692, 1431, 0, 0 },
    { 522722, 1431, 0, 0 },
    { 522751, 1431, 0, 0 },
    { 522781, 1431, 0, 0 },
    { 522810, 1431, 0, 1 },
    { 522839, 1431, 0, 0 },
    { 522868, 1431, 0, 0 },
    { 522898, 1431, 0, 0 },
    { 522927, 1431, 0, 0 },
    { 522957, 1431, 0, 0 },
    { 522987, 1431, 0, 0 },
    { 523016, 1431, 0, 0 },
    { 523046, 1432, 1, 0 },
    { 523076, 1432, 0, 0 },
    { 523106, 1432, 0, 0 },
    { 523135, 1432, 0, 0 },
    { 523164, 1432, 0, 0 },
    { 523194, 1432, 0, 0 },
    { 523223, 1432, 0, 0 },
    { 523252, 1432, 0, 0 },
    { 523282, 1432, 0, 0 },
    { 523311, 1432, 0, 0 },
    { 523341, 1432, 0, 0 },
    { 523370, 1432, 0, 0 },
    { 523400, 1433, 1, 0 },
    { 523430, 1433, 0, 0 },
    { 523460, 1433, 0, 0 },
    { 523489, 1433, 0, 0 },
    { 523519, 1433, 0, 0 },
    { 523548, 1433, 0, 0 },
    { 523578, 1433, 0, 0 },
    { 523607, 1433, 0, 0 },
    { 523636, 1433, 0, 0 },
    { 523666, 1433, 0, 0 },
    { 523695, 1433, 0, 0 },
    { 523725, 1433, 0, 0 },
    { 523754, 1434, 1, 0 },
    { 523784, 1434, 0, 0 },
    { 523814, 1434, 0, 0 },
    { 523843, 1434, 0, 1 },
    { 523873, 1434, 0, 0 },
    { 523903, 1434, 0, 0 },
    { 523932, 1434, 0, 0 },
    { 523962, 1434, 0, 0 },
    { 523991, 1434, 0, 0 },
    { 524021, 1434, 0, 0 },
    { 524050, 1434, 0, 0 },
    { 524079, 1434, 0, 0 },
    { 524109, 1434, 0, 0 },
    { 524138, 1435, 1, 0 },
    { 524168, 1435, 0, 0 },
    { 524198, 1435, 0, 0 },
    { 524227, 1435, 0, 0 },
    { 524257, 1435, 0, 0 },
    { 524286, 1435, 0, 0 },
    { 524316, 1435, 0, 0 },
    { 524346, 1435, 0, 0 },
    { 524375, 1435, 0, 0 },
    { 524405, 1435, 0, 0 },
    { 524434, 1435, 0, 0 },
    { 524463, 1435, 0, 0 },
    { 524493, 1436, 1, 0 },
    { 524522, 1436, 0, 0 },
    { 524552, 1436, 0, 0 },
    { 524581, 1436, 0, 0 },
    { 524611, 1436, 0, 0 },
    { 524640, 1436, 0, 0 },
    { 524670, 1436, 0, 0 },
    { 524700, 1436, 0, 1 },
    { 524729, 1436, 0, 0 },
    { 524759, 1436, 0, 0 },
    { 524789, 1436, 0, 0 },
    { 524818, 1436, 0, 0 },
    { 524848, 1436, 0, 0 },
    { 524877, 1437, 1, 0 },
    { 524906, 1437, 0, 0 },
    { 524936, 1437, 0, 0 },
    { 524965, 1437, 0, 0 },
    { 524995, 1437, 0, 0 },
    { 525024, 1437, 0, 0 },
    { 525054, 1437, 0, 0 },
    { 525083, 1437, 0, 0 },
    { 525113, 1437, 0, 0 },
    { 525143, 1437, 0, 0 },
    { 525173, 1437, 0, 0 },
    { 525202, 1437, 0, 0 },
    { 525232, 1438, 1, 0 },
    { 525261, 1438, 0, 0 },
    { 525290, 1438, 0, 0 },
    { 525320, 1438, 0, 0 },
    { 525349, 1438, 0, 0 },
    { 525379, 1438, 0, 0 },
    { 525408, 1438, 0, 0 },
    { 525437, 1438, 0, 0 },
    { 525467, 1438, 0, 0 },
    { 525497, 1438, 0, 0 },
    { 525527, 1438, 0, 0 },
    { 525556, 1438, 0, 0 },
    { 525586, 1439, 1, 0 },
    { 525616, 1439, 0, 0 },
    { 525645, 1439, 0, 0 },
    { 525675, 1439, 0, 0 },
    { 525704, 1439, 0, 0 },
    { 525733, 1439, 0, 1 },
    { 525762, 1439, 0, 0 },
    { 525792, 1439, 0, 0 },
    { 525821, 1439, 0, 0 },
    { 525851, 1439, 0, 0 },
    { 525881, 1439, 0, 0 },
    { 525910, 1439, 0, 0 },
    { 525940, 1439, 0, 0 },
    { 525970, 1440, 1, 0 },
    { 526000, 1440, 0, 0 },
    { 526029, 1440, 0, 0 },
    { 526059, 1440, 0, 0 },
    { 526088, 1440, 0, 0 },
    { 526117, 1440, 0, 0 },
    { 526146, 1440, 0, 0 },
    { 526176, 1440, 0, 0 },
    { 526205, 1440, 0, 0 },
    { 526235, 1440, 0, 0 },
    { 526264, 1440, 0, 0 },
    { 526294, 1440, 0, 0 },
    { 526324, 1441, 1, 0 },
    { 526354, 1441, 0, 0 },
    { 526383, 1441, 0, 0 },
    { 526413, 1441, 0, 0 },
    { 526442, 1441, 0, 0 },
    { 526472, 1441, 0, 0 },
    { 526501, 1441, 0, 0 },
    { 526530, 1441, 0, 0 },
    { 526560, 1441, 0, 0 },
    { 526589, 1441, 0, 0 },
    { 526619, 1441, 0, 0 },
    { 526648, 1441, 0, 0 },
    { 526678, 1442, 1, 0 },
    { 526708, 1442, 0, 0 },
    { 526738, 1442, 0, 0 },
    { 526767, 1442, 0, 0 },
    { 526797, 1442, 0, 1 },
    { 526826, 1442, 0, 0 },
    { 526856, 1442, 0, 0 },
    { 526885, 1442, 0, 0 },
    { 526914, 1442, 0, 0 },
    { 526944, 1442, 0, 0 },
    { 526973, 1442, 0, 0 },
    { 527003, 1442, 0, 0 },
    { 527032, 1442, 0, 0 },
    { 527062, 1443, 1, 0 },
    { 527092, 1443, 0, 0 },
    { 527121, 1443, 0, 0 },
    { 527151, 1443, 0, 0 },
    { 527181, 1443, 0, 0 },
    { 527210, 1443, 0, 0 },
    { 527240, 1443, 0, 0 },
    { 527269, 1443, 0, 0 },
    { 527298, 1443, 0, 0 },
    { 527328, 1443, 0, 0 },
    { 527357, 1443, 0, 0 },
    { 527387, 1443, 0, 0 },
    { 527416, 1444, 1, 0 },
    { 527446, 1444, 0, 0 },
    { 527475, 1444, 0, 0 },
    { 527505, 1444, 0, 0 },
    { 527535, 1444, 0, 0 },
    { 527564, 1444, 0, 0 },
    { 527594, 1444, 0, 0 },
    { 527623, 1444, 0, 0 },
    { 527653, 1444, 0, 0 },
    { 527682, 1444, 0, 0 },
    { 527712, 1444, 0, 0 },
    { 527741, 1444, 0, 0 },
    { 527771, 1444, 0, 1 },
    { 527800, 1445, 1, 0 },
    { 527830, 1445, 0, 0 },
    { 527859, 1445, 0, 0 },
    { 527889, 1445, 0, 0 },
    { 527918, 1445, 0, 0 },
    { 527948, 1445, 0, 0 },
    { 527978, 1445, 0, 0 },
    { 528007, 1445, 0, 0 },
    { 528037, 1445, 0, 0 },
    { 528066, 1445, 0, 0 },
    { 528096, 1445, 0, 0 },
    { 528126, 1445, 0, 0 },
    { 528155, 1446, 1, 0 },
    { 528184, 1446, 0, 0 },
    { 528214, 1446, 0, 0 },
    { 528243, 1446, 0, 0 },
    { 528273, 1446, 0, 0 },
    { 528302, 1446, 0, 0 },
    { 528332, 1446, 0, 0 },
    { 528361, 1446, 0, 0 },
    { 528391, 1446, 0, 0 },
    { 528421, 1446, 0, 0 },
    { 528450, 1446, 0, 0 },
    { 528480, 1446, 0, 0 },
    { 528510, 1447, 1, 0 },
    { 528539, 1447, 0, 0 },
    { 528568, 1447, 0, 0 },
    { 528598, 1447, 0, 0 },
    { 528627, 1447, 0, 0 },
    { 528656, 1447, 0, 0 },
    { 528686, 1447, 0, 1 },
    { 528715, 1447, 0, 0 },
    { 528745, 1447, 0, 0 },
    { 528775, 1447, 0, 0 },
    { 528804, 1447, 0, 0 },
    { 528834, 1447, 0, 0 },
    { 528864, 1447, 0, 0 },
    { 528894, 1448, 1, 0 },
    { 528923, 1448, 0, 0 },
    { 528952, 1448, 0, 0 },
    { 528982, 1448, 0, 0 },
    { 529011, 1448, 0, 0 },
    { 529040, 1448, 0, 0 },
    { 529070, 1448, 0, 0 },
    { 529099, 1448, 0, 0 },
    { 529129, 1448, 0, 0 },
    { 529158, 1448, 0, 0 },
    { 529188, 1448, 0, 0 },
    { 529218, 1448, 0, 0 },
    { 529248, 1449, 1, 0 },
    { 529277, 1449, 0, 0 },
    { 529307, 1449, 0, 0 },
    { 529336, 1449, 0, 0 },
    { 529366, 1449, 0, 0 },
    { 529395, 1449, 0, 0 },
    { 529424, 1449, 0, 0 },
    { 529454, 1449, 0, 0 },
    { 529483, 1449, 0, 0 },
    { 529513, 1449, 0, 0 },
    { 529542, 1449, 0, 0 },
    { 529572, 1449, 0, 0 },
    { 529602, 1450, 1, 0 },
    { 529632, 1450, 0, 0 },
    { 529661, 1450, 0, 0 },
    { 529691, 1450, 0, 0 },
    { 529720, 1450, 0, 0 },
    { 529750, 1450, 0, 1 },
    { 529779, 1450, 0, 0 },
    { 529808, 1450, 0, 0 },
    { 529838, 1450, 0, 0 },
    { 529867, 1450, 0, 0 },
    { 529897, 1450, 0, 0 },
    { 529926, 1450, 0, 0 },
    { 529956, 1450, 0, 0 },
    { 529986, 1451, 1, 0 },
    { 530015, 1451, 0, 0 },
    { 530045, 1451, 0, 0 },
    { 530075, 1451, 0, 0 },
    { 530104, 1451, 0, 0 },
    { 530134, 1451, 0, 0 },
    { 530163, 1451, 0, 0 },
    { 530192, 1451, 0, 0 },
    { 530222, 1451, 0, 0 },
    { 530251, 1451, 0, 0 },
    { 530281, 1451, 0, 0 },
    { 530310, 1451, 0, 0 },
    { 530340, 1452, 1, 0 },
    { 530369, 1452, 0, 0 },
    { 530399, 1452, 0, 0 },
    { 530429, 1452, 0, 0 },
    { 530458, 1452, 0, 0 },
    { 530488, 1452, 0, 0 },
    { 530518, 1452, 0, 0 },
    { 530547, 1452, 0, 0 },
    { 530576, 1452, 0, 0 },
    { 530606, 1452, 0, 0 },
    { 530635, 1452, 0, 0 },
    { 530665, 1452, 0, 0 },
    { 530694, 1453, 1, 0 },
    { 530724, 1453, 0, 0 },
    { 530753, 1453, 0, 0 },
    { 530783, 1453, 0, 1 },
    { 530812, 1453, 0, 0 },
    { 530842, 1453, 0, 0 },
    { 530872, 1453, 0, 0 },
    { 530901, 1453, 0, 0 },
    { 530931, 1453, 0, 0 },
    { 530960, 1453, 0, 0 },
    { 530990, 1453, 0, 0 },
    { 531019, 1453, 0, 0 },
    { 531049, 1453, 0, 0 },
    { 531078, 1454, 1, 0 },
    { 531108, 1454, 0, 0 },
    { 531137, 1454, 0, 0 },
    { 531167, 1454, 0, 0 },
    { 531196, 1454, 0, 0 },
    { 531226, 1454, 0, 0 },
    { 531255, 1454, 0, 0 },
    { 531285, 1454, 0, 0 },
    { 531315, 1454, 0, 0 },
    { 531344, 1454, 0, 0 },
    { 531374, 1454, 0, 0 },
    { 531403, 1454, 0, 0 },
    { 531433, 1455, 1, 0 },
    { 531462, 1455, 0, 0 },
    { 531492, 1455, 0, 0 },
    { 531521, 1455, 0, 0 },
    { 531550, 1455, 0, 0 },
    { 531580, 1455, 0, 0 },
    { 531609, 1455, 0, 0 },
    { 531639, 1455, 0, 0 },
    { 531669, 1455, 0, 1 },
    { 531698, 1455, 0, 0 },
    { 531728, 1455, 0, 0 },
    { 531758, 1455, 0, 0 },
    { 531787, 1455, 0, 0 },
    { 531817, 1456, 1, 0 },
    { 531846, 1456, 0, 0 },
    { 531876, 1456, 0, 0 },
    { 531905, 1456, 0, 0 },
    { 531934, 1456, 0, 0 },
    { 531964, 1456, 0, 0 },
    { 531993, 1456, 0, 0 },
    { 532023, 1456, 0, 0 },
    { 532052, 1456, 0, 0 },
    { 532082, 1456, 0, 0 },
    { 532112, 1456, 0, 0 },
    { 532142, 1456, 0, 0 },
    { 532171, 1457, 1, 0 },
    { 532201, 1457, 0, 0 },
    { 532230, 1457, 0, 0 },
    { 532260, 1457, 0, 0 },
    { 532289, 1457, 0, 0 },
    { 532318, 1457, 0, 0 },
    { 532348, 1457, 0, 0 },
    { 532377, 1457, 0, 0 },
    { 532407, 1457, 0, 0 },
    { 532436, 1457, 0, 0 },
    { 532466, 1457, 0, 0 },
    { 532496, 1457, 0, 0 },
    { 532526, 1458, 1, 0 },
    { 532555, 1458, 0, 0 },
    { 532585, 1458, 0, 0 },
    { 532614, 1458, 0, 0 },
    { 532644, 1458, 0, 0 },
    { 532673, 1458, 0, 1 },
    { 532702, 1458, 0, 0 },
    { 532732, 1458, 0, 0 },
    { 532761, 1458, 0, 0 },
    { 532791, 1458, 0, 0 },
    { 532820, 1458, 0, 0 },
    { 532850, 1458, 0, 0 },
    { 532880, 1458, 0, 0 },
    { 532909, 1459, 1, 0 },
    { 532939, 1459, 0, 0 },
    { 532969, 1459, 0, 0 },
    { 532998, 1459, 0, 0 },
    { 533028, 1459, 0, 0 },
    { 533057, 1459, 0, 0 },
    { 533086, 1459, 0, 0 },
    { 533116, 1459, 0, 0 },
    { 533145, 1459, 0, 0 },
    { 533175, 1459, 0, 0 },
    { 533204, 1459, 0, 0 },
    { 533234, 1459, 0, 0 },
    { 533263, 1460, 1, 0 },
    { 533293, 1460, 0, 0 },
    { 533323, 1460, 0, 0 },
    { 533353, 1460, 0, 0 },
    { 533382, 1460, 0, 0 },
    { 533412, 1460, 0, 0 },
    { 533441, 1460, 0, 0 },
    { 533470, 1460, 0, 0 },
    { 533500, 1460, 0, 0 },
    { 533529, 1460, 0, 0 },
    { 533559, 1460, 0, 0 },
    { 533588, 1460, 0, 0 },
    { 533618, 1461, 1, 0 },
    { 533647, 1461, 0, 0 },
    { 533677, 1461, 0, 0 },
    { 533707, 1461, 0, 0 },
    { 533736, 1461, 0, 1 },
    { 533766, 1461, 0, 0 },
    { 533795, 1461, 0, 0 },
    { 533825, 1461, 0, 0 },
    { 533854, 1461, 0, 0 },
    { 533884, 1461, 0, 0 },
    { 533913, 1461, 0, 0 },
    { 533943, 1461, 0, 0 },
    { 533972, 1461, 0, 0 },
    { 534002, 1462, 1, 0 },
    { 534031, 1462, 0, 0 },
    { 534061, 1462, 0, 0 },
    { 534090, 1462, 0, 0 },
    { 534120, 1462, 0, 0 },
    { 534150, 1462, 0, 0 },
    { 534179, 1462, 0, 0 },
    { 534209, 1462, 0, 0 },
    { 534238, 1462, 0, 0 },
    { 534268, 1462, 0, 0 },
    { 534297, 1462, 0, 0 },
    { 534327, 1462, 0, 0 },
    { 534356, 1463, 1, 0 },
    { 534386, 1463, 0, 0 },
    { 534415, 1463, 0, 0 },
    { 534445, 1463, 0, 0 },
    { 534474, 1463, 0, 0 },
    { 534504, 1463, 0, 0 },
    { 534533, 1463, 0, 0 },
    { 534563, 1463, 0, 0 },
    { 534592, 1463, 0, 0 },
    { 534622, 1463, 0, 0 },
    { 534652, 1463, 0, 0 },
    { 534681, 1463, 0, 0 },
    { 534711, 1464, 1, 0 },
    { 534740, 1464, 0, 0 },
    { 534770, 1464, 0, 1 },
    { 534799, 1464, 0, 0 },
    { 534828, 1464, 0, 0 },
    { 534858, 1464, 0, 0 },
    { 534887, 1464, 0, 0 },
    { 534917, 1464, 0, 0 },
    { 534947, 1464, 0, 0 },
    { 534976, 1464, 0, 0 },
    { 535006, 1464, 0, 0 },
    { 535036, 1464, 0, 0 },
    { 535065, 1464, 0, 0 },
    { 535095, 1465, 1, 0 },
    { 535124, 1465, 0, 0 },
    { 535154, 1465, 0, 0 },
    { 535183, 1465, 0, 0 },
    { 535212, 1465, 0, 0 },
    { 535242, 1465, 0, 0 },
    { 535271, 1465, 0, 0 },
    { 535301, 1465, 0, 0 },
    { 535330, 1465, 0, 0 },
    { 535360, 1465, 0, 0 },
    { 535390, 1465, 0, 0 },
    { 535420, 1465, 0, 0 },
    { 535449, 1466, 1, 0 },
    { 535479, 1466, 0, 0 },
    { 535508, 1466, 0, 0 },
    { 535538, 1466, 0, 0 },
    { 535567, 1466, 0, 0 },
    { 535596, 1466, 0, 0 },
    { 535626, 1466, 0, 1 },
    { 535655, 1466, 0, 0 },
    { 535684, 1466, 0, 0 },
    { 535714, 1466, 0, 0 },
    { 535744, 1466, 0, 0 },
    { 535774, 1466, 0, 0 },
    { 535803, 1466, 0, 0 },
    { 535833, 1467, 1, 0 },
    { 535863, 1467, 0, 0 },
    { 535892, 1467, 0, 0 },
    { 535922, 1467, 0, 0 },
    { 535951, 1467, 0, 0 },
    { 535980, 1467, 0, 0 },
    { 536010, 1467, 0, 0 },
    { 536039, 1467, 0, 0 },
    { 536068, 1467, 0, 0 },
    { 536098, 1467, 0, 0 },
    { 536128, 1467, 0, 0 },
    { 536157, 1467, 0, 0 },
    { 536187, 1468, 1, 0 },
    { 536217, 1468, 0, 0 },
    { 536247, 1468, 0, 0 },
    { 536276, 1468, 0, 0 },
    { 536306, 1468, 0, 0 },
    { 536335, 1468, 0, 0 },
    { 536364, 1468, 0, 0 },
    { 536394, 1468, 0, 0 },
    { 536423, 1468, 0, 0 },
    { 536452, 1468, 0, 0 },
    { 536482, 1468, 0, 0 },
    { 536511, 1468, 0, 0 },
    { 536541, 1469, 1, 0 },
    { 536571, 1469, 0, 0 },
    { 536601, 1469, 0, 0 },
    { 536630, 1469, 0, 0 },
    { 536660, 1469, 0, 0 },
    { 536690, 1469, 0, 1 },
    { 536719, 1469, 0, 0 },
    { 536748, 1469, 0, 0 },
    { 536778, 1469, 0, 0 },
    { 536807, 1469, 0, 0 },
    { 536837, 1469, 0, 0 },
    { 536866, 1469, 0, 0 },
    { 536895, 1469, 0, 0 },
    { 536925, 1470, 1, 0 },
    { 536955, 1470, 0, 0 },
    { 536984, 1470, 0, 0 },
    { 537014, 1470, 0, 0 },
    { 537044, 1470, 0, 0 },
    { 537073, 1470, 0, 0 },
    { 537103, 1470, 0, 0 },
    { 537132, 1470, 0, 0 },
    { 537162, 1470, 0, 0 },
    { 537191, 1470, 0, 0 },
    { 537221, 1470, 0, 0 },
    { 537250, 1470, 0, 0 },
    { 537280, 1471, 1, 0 },
    { 537309, 1471, 0, 0 },
    { 537339, 1471, 0, 0 },
    { 537368, 1471, 0, 0 },
    { 537398, 1471, 0, 0 },
    { 537427, 1471, 0, 0 },
    { 537457, 1471, 0, 0 },
    { 537487, 1471, 0, 0 },
    { 537516, 1471, 0, 0 },
    { 537546, 1471, 0, 0 },
    { 537575, 1471, 0, 0 },
    { 537605, 1471, 0, 0 },
    { 537634, 1472, 1, 0 },
    { 537664, 1472, 0, 0 },
    { 537693, 1472, 0, 1 },
    { 537722, 1472, 0, 0 },
    { 537752, 1472, 0, 0 },
    { 537781, 1472, 0, 0 },
    { 537811, 1472, 0, 0 },
    { 537841, 1472, 0, 0 },
    { 537870, 1472, 0, 0 },
    { 537900, 1472, 0, 0 },
    { 537930, 1472, 0, 0 },
    { 537959, 1472, 0, 0 },
    { 537989, 1472, 0, 0 },
    { 538018, 1473, 1, 0 },
    { 538048, 1473, 0, 0 },
    { 538077, 1473, 0, 0 },
    { 538106, 1473, 0, 0 },
    { 538136, 1473, 0, 0 },
    { 538165, 1473, 0, 0 },
    { 538195, 1473, 0, 0 },
    { 538224, 1473, 0, 0 },
    { 538254, 1473, 0, 0 },
    { 538284, 1473, 0, 0 },
    { 538314, 1473, 0, 0 },
    { 538343, 1473, 0, 0 },
    { 538373, 1474, 1, 0 },
    { 538402, 1474, 0, 0 },
    { 538432, 1474, 0, 0 },
    { 538461, 1474, 0, 0 },
    { 538490, 1474, 0, 0 },
    { 538520, 1474, 0, 0 },
    { 538549, 1474, 0, 0 },
    { 538579, 1474, 0, 1 },
    { 538608, 1474, 0, 0 },
    { 538638, 1474, 0, 0 },
    { 538668, 1474, 0, 0 },
    { 538697, 1474, 0, 0 },
    { 538727, 1474, 0, 0 },
    { 538757, 1475, 1, 0 },
    { 538786, 1475, 0, 0 },
    { 538816, 1475, 0, 0 },
    { 538845, 1475, 0, 0 },
    { 538874, 1475, 0, 0 },
    { 538904, 1475, 0, 0 },
    { 538933, 1475, 0, 0 },
    { 538962, 1475, 0, 0 },
    { 538992, 1475, 0, 0 },
    { 539022, 1475, 0, 0 },
    { 539051, 1475, 0, 0 },
    { 539081, 1475, 0, 0 },
    { 539111, 1476, 1, 0 },
    { 539141, 1476, 0, 0 },
    { 539170, 1476, 0, 0 },
    { 539200, 1476, 0, 0 },
    { 539229, 1476, 0, 0 },
    { 539258, 1476, 0, 0 },
    { 539288, 1476, 0, 0 },
    { 539317, 1476, 0, 0 },
    { 539346, 1476, 0, 0 },
    { 539376, 1476, 0, 0 },
    { 539405, 1476, 0, 0 },
    { 539435, 1476, 0, 0 },
    { 539465, 1477, 1, 0 },
    { 539495, 1477, 0, 0 },
    { 539524, 1477, 0, 0 },
    { 539554, 1477, 0, 0 },
    { 539584, 1477, 0, 0 },
    { 539613, 1477, 0, 1 },
    { 539642, 1477, 0, 0 },
    { 539672, 1477, 0, 0 },
    { 539701, 1477, 0, 0 },
    { 539730, 1477, 0, 0 },
    { 539760, 1477, 0, 0 },
    { 539789, 1477, 0, 0 },
    { 539819, 1477, 0, 0 },
    { 539849, 1478, 1, 0 },
    { 539878, 1478, 0, 0 },
    { 539908, 1478, 0, 0 },
    { 539938, 1478, 0, 0 },
    { 539967, 1478, 0, 0 },
    { 539997, 1478, 0, 0 },
    { 540026, 1478, 0, 0 },
    { 540056, 1478, 0, 0 },
    { 540085, 1478, 0, 0 },
    { 540115, 1478, 0, 0 },
    { 540144, 1478, 0, 0 },
    { 540173, 1478, 0, 0 },
    { 540203, 1479, 1, 0 },
    { 540233, 1479, 0, 0 },
    { 540262, 1479, 0, 0 },
    { 540292, 1479, 0, 0 },
    { 540321, 1479, 0, 0 },
    { 540351, 1479, 0, 0 },
    { 540381, 1479, 0, 0 },
    { 540410, 1479, 0, 0 },
    { 540440, 1479, 0, 0 },
    { 540469, 1479, 0, 0 },
    { 540499, 1479, 0, 0 },
    { 540528, 1479, 0, 0 },
    { 540557, 1480, 1, 0 },
    { 540587, 1480, 0, 0 },
    { 540616, 1480, 0, 0 },
    { 540646, 1480, 0, 0 },
    { 540676, 1480, 0, 1 },
    { 540705, 1480, 0, 0 },
    { 540735, 1480, 0, 0 },
    { 540764, 1480, 0, 0 },
    { 540794, 1480, 0, 0 },
    { 540824, 1480, 0, 0 },
    { 540853, 1480, 0, 0 },
    { 540883, 1480, 0, 0 },
    { 540912, 1480, 0, 0 },
    { 540942, 1481, 1, 0 },
    { 540971, 1481, 0, 0 },
    { 541000, 1481, 0, 0 },
    { 541030, 1481, 0, 0 },
    { 541059, 1481, 0, 0 },
    { 541089, 1481, 0, 0 },
    { 541118, 1481, 0, 0 },
    { 541148, 1481, 0, 0 },
    { 541178, 1481, 0, 0 },
    { 541207, 1481, 0, 0 },
    { 541237, 1481, 0, 0 },
    { 541267, 1481, 0, 0 },
    { 541296, 1482, 1, 0 },
    { 541326, 1482, 0, 0 },
    { 541355, 1482, 0, 0 },
    { 541384, 1482, 0, 0 },
    { 541414, 1482, 0, 0 },
    { 541443, 1482, 0, 0 },
    { 541473, 1482, 0, 0 },
    { 541502, 1482, 0, 0 },
    { 541532, 1482, 0, 0 },
    { 541562, 1482, 0, 0 },
    { 541591, 1482, 0, 0 },
    { 541621, 1482, 0, 0 },
    { 541651, 1483, 1, 0 },
    { 541680, 1483, 0, 0 },
    { 541710, 1483, 0, 1 },
    { 541739, 1483, 0, 0 },
    { 541768, 1483, 0, 0 },
    { 541798, 1483, 0, 0 },
    { 541827, 1483, 0, 0 },
    { 541856, 1483, 0, 0 },
    { 541886, 1483, 0, 0 },
    { 541916, 1483, 0, 0 },
    { 541945, 1483, 0, 0 },
    { 541975, 1483, 0, 0 },
    { 542005, 1483, 0, 0 },
    { 542035, 1484, 1, 0 },
    { 542064, 1484, 0, 0 },
    { 542094, 1484, 0, 0 },
    { 542123, 1484, 0, 0 },
    { 542152, 1484, 0, 0 },
    { 542182, 1484, 0, 0 },
    { 542211, 1484, 0, 0 },
    { 542240, 1484, 0, 0 },
    { 542270, 1484, 0, 0 },
    { 542299, 1484, 0, 0 },
    { 542329, 1484, 0, 0 },
    { 542359, 1484, 0, 0 },
    { 542389, 1485, 1, 0 },
    { 542418, 1485, 0, 0 },
    { 542448, 1485, 0, 0 },
    { 542478, 1485, 0, 0 },
    { 542507, 1485, 0, 0 },
    { 542536, 1485, 0, 0 },
    { 542566, 1485, 0, 1 },
    { 542595, 1485, 0, 0 },
    { 542624, 1485, 0, 0 },
    { 542654, 1485, 0, 0 },
    { 542683, 1485, 0, 0 },
    { 542713, 1485, 0, 0 },
    { 542743, 1485, 0, 0 },
    { 542772, 1486, 1, 0 },
    { 542802, 1486, 0, 0 },
    { 542832, 1486, 0, 0 },
    { 542862, 1486, 0, 0 },
    { 542891, 1486, 0, 0 },
    { 542920, 1486, 0, 0 },
    { 542950, 1486, 0, 0 },
    { 542979, 1486, 0, 0 },
    { 543008, 1486, 0, 0 },
    { 543038, 1486, 0, 0 },
    { 543067, 1486, 0, 0 },
    { 543097, 1486, 0, 0 },
    { 543126, 1487, 1, 0 },
    { 543156, 1487, 0, 0 },
    { 543186, 1487, 0, 0 },
    { 543216, 1487, 0, 0 },
    { 543245, 1487, 0, 0 },
    { 543275, 1487, 0, 0 },
    { 543304, 1487, 0, 0 },
    { 543334, 1487, 0, 0 },
    { 543363, 1487, 0, 0 },
    { 543392, 1487, 0, 0 },
    { 543422, 1487, 0, 0 },
    { 543451, 1487, 0, 0 },
    { 543481, 1488, 1, 0 },
    { 543510, 1488, 0, 0 },
    { 543540, 1488, 0, 0 },
    { 543570, 1488, 0, 0 },
    { 543599, 1488, 0, 0 },
    { 543629, 1488, 0, 1 },
    { 543659, 1488, 0, 0 },
    { 543688, 1488, 0, 0 },
    { 543718, 1488, 0, 0 },
    { 543747, 1488, 0, 0 },
    { 543777, 1488, 0, 0 },
    { 543806, 1488, 0, 0 },
    { 543835, 1488, 0, 0 },
    { 543865, 1489, 1, 0 },
    { 543894, 1489, 0, 0 },
    { 543924, 1489, 0, 0 },
    { 543953, 1489, 0, 0 },
    { 543983, 1489, 0, 0 },
    { 544013, 1489, 0, 0 },
    { 544042, 1489, 0, 0 },
    { 544072, 1489, 0, 0 },
    { 544102, 1489, 0, 0 },
    { 544131, 1489, 0, 0 },
    { 544161, 1489, 0, 0 },
    { 544190, 1489, 0, 0 },
    { 544220, 1490, 1, 0 },
    { 544249, 1490, 0, 0 },
    { 544278, 1490, 0, 0 },
    { 544308, 1490, 0, 0 },
    { 544337, 1490, 0, 0 },
    { 544367, 1490, 0, 0 },
    { 544396, 1490, 0, 0 },
    { 544426, 1490, 0, 0 },
    { 544456, 1490, 0, 0 },
    { 544485, 1490, 0, 0 },
    { 544515, 1490, 0, 0 },
    { 544545, 1490, 0, 0 },
    { 544574, 1491, 1, 0 },
    { 544604, 1491, 0, 0 },
    { 544633, 1491, 0, 0 },
    { 544662, 1491, 0, 1 },
    { 544692, 1491, 0, 0 },
    { 544721, 1491, 0, 0 },
    { 544751, 1491, 0, 0 },
    { 544780, 1491, 0, 0 },
    { 544810, 1491, 0, 0 },
    { 544839, 1491, 0, 0 },
    { 544869, 1491, 0, 0 },
    { 544899, 1491, 0, 0 },
    { 544929, 1491, 0, 0 },
    { 544958, 1492, 1, 0 },
    { 544988, 1492, 0, 0 },
    { 545017, 1492, 0, 0 },
    { 545046, 1492, 0, 0 },
    { 545076, 1492, 0, 0 },
    { 545105, 1492, 0, 0 },
    { 545134, 1492, 0, 0 },
    { 545164, 1492, 0, 0 },
    { 545193, 1492, 0, 0 },
    { 545223, 1492, 0, 0 },
    { 545253, 1492, 0, 0 },
    { 545283, 1492, 0, 0 },
    { 545312, 1493, 1, 0 },
    { 545342, 1493, 0, 0 },
    { 545372, 1493, 0, 0 },
    { 545401, 1493, 0, 0 },
    { 545430, 1493, 0, 0 },
    { 545460, 1493, 0, 0 },
    { 545489, 1493, 0, 0 },
    { 545518, 1493, 0, 1 },
    { 545548, 1493, 0, 0 },
    { 545577, 1493, 0, 0 },
    { 545607, 1493, 0, 0 },
    { 545637, 1493, 0, 0 },
    { 545666, 1493, 0, 0 },
    { 545696, 1494, 1, 0 },
    { 545726, 1494, 0, 0 },
    { 545756, 1494, 0, 0 },
    { 545785, 1494, 0, 0 },
    { 545814, 1494, 0, 0 },
    { 545844, 1494, 0, 0 },
    { 545873, 1494, 0, 0 },
    { 545902, 1494, 0, 0 },
    { 545932, 1494, 0, 0 },
    { 545961, 1494, 0, 0 },
    { 545991, 1494, 0, 0 },
    { 546020, 1494, 0, 0 },
    { 546050, 1495, 1, 0 },
    { 546080, 1495, 0, 0 },
    { 546110, 1495, 0, 0 },
    { 546139, 1495, 0, 0 },
    { 546169, 1495, 0, 0 },
    { 546198, 1495, 0, 0 },
    { 546228, 1495, 0, 0 },
    { 546257, 1495, 0, 0 },
    { 546286, 1495, 0, 0 },
    { 546316, 1495, 0, 0 },
    { 546345, 1495, 0, 0 },
    { 546375, 1495, 0, 0 },
    { 546404, 1496, 1, 0 },
    { 546434, 1496, 0, 0 },
    { 546464, 1496, 0, 0 },
    { 546493, 1496, 0, 0 },
    { 546523, 1496, 0, 0 },
    { 546553, 1496, 0, 0 },
    { 546582, 1496, 0, 1 },
    { 546612, 1496, 0, 0 },
    { 546641, 1496, 0, 0 },
    { 546670, 1496, 0, 0 },
    { 546700, 1496, 0, 0 },
    { 546729, 1496, 0, 0 },
    { 546759, 1496, 0, 0 },
    { 546788, 1497, 1, 0 },
    { 546818, 1497, 0, 0 },
    { 546847, 1497, 0, 0 },
    { 546877, 1497, 0, 0 },
    { 546907, 1497, 0, 0 },
    { 546936, 1497, 0, 0 },
    { 546966, 1497, 0, 0 },
    { 546996, 1497, 0, 0 },
    { 547025, 1497, 0, 0 },
    { 547055, 1497, 0, 0 },
    { 547084, 1497, 0, 0 },
    { 547113, 1497, 0, 0 },
    { 547143, 1498, 1, 0 },
    { 547172, 1498, 0, 0 },
    { 547202, 1498, 0, 0 },
    { 547231, 1498, 0, 0 },
    { 547261, 1498, 0, 0 },
    { 547290, 1498, 0, 0 },
    { 547320, 1498, 0, 0 },
    { 547350, 1498, 0, 0 },
    { 547379, 1498, 0, 0 },
    { 547409, 1498, 0, 0 },
    { 547439, 1498, 0, 0 },
    { 547468, 1498, 0, 0 },
    { 547498, 1499, 1, 0 },
    { 547527, 1499, 0, 0 },
    { 547556, 1499, 0, 0 },
    { 547586, 1499, 0, 0 },
    { 547615, 1499, 0, 1 },
    { 547645, 1499, 0, 0 },
    { 547674, 1499, 0, 0 },
    { 547704, 1499, 0, 0 },
    { 547733, 1499, 0, 0 },
    { 547763, 1499, 0, 0 },
    { 547793, 1499, 0, 0 },
    { 547822, 1499, 0, 0 },
    { 547852, 1499, 0, 0 },
    { 547882, 1500, 1, 0 },
    { 547911, 1500, 0, 0 },
    { 547940, 1500, 0, 0 },
    { 547970, 1500, 0, 0 },
    { 547999, 1500, 0, 0 },
    { 548028, 1500, 0, 0 },
    { 548058, 1500, 0, 0 },
    { 548087, 1500, 0, 0 },
    { 548117, 1500, 0, 0 },
    { 548147, 1500, 0, 0 },
    { 548177, 1500, 0, 0 },
    { 548206, 1500, 0, 0 },
    { 548236, 1501, 1, 0 },
    { 548266, 1501, 0, 0 },
    { 548295, 1501, 0, 0 },
    { 548324, 1501, 0, 0 },
    { 548354, 1501, 0, 0 },
    { 548383, 1501, 0, 0 },
    { 548412, 1501, 0, 0 },
    { 548442, 1501, 0, 0 },
    { 548471, 1501, 0, 0 },
    { 548501, 1501, 0, 0 },
    { 548531, 1501, 0, 0 },
    { 548560, 1501, 0, 0 },
    { 548590, 1502, 1, 0 },
    { 548620, 1502, 0, 0 },
    { 548650, 1502, 0, 1 },
    { 548679, 1502, 0, 0 },
    { 548708, 1502, 0, 0 },
    { 548738, 1502, 0, 0 },
    { 548767, 1502, 0, 0 },
    { 548796, 1502, 0, 0 },
    { 548826, 1502, 0, 0 },
    { 548855, 1502, 0, 0 },
    { 548885, 1502, 0, 0 },
    { 548914, 1502, 0, 0 },
    { 548944, 1502, 0, 0 },
    { 548974, 1503, 1, 0 },
    { 549004, 1503, 0, 0 },
    { 549033, 1503, 0, 0 },
    { 549063, 1503, 0, 0 },
    { 549092, 1503, 0, 0 },
    { 549122, 1503, 0, 0 },
    { 549151, 1503, 0, 0 },
    { 549180, 1503, 0, 0 },
    { 549210, 1503, 0, 0 },
    { 549239, 1503, 0, 0 },
    { 549269, 1503, 0, 0 },
    { 549298, 1503, 0, 0 },
    { 549328, 1504, 1, 0 },
    { 549358, 1504, 0, 0 },
    { 549388, 1504, 0, 0 },
    { 549417, 1504, 0, 0 },
    { 549447, 1504, 0, 0 },
    { 549476, 1504, 0, 0 },
    { 549506, 1504, 0, 0 },
    { 549535, 1504, 0, 1 },
    { 549564, 1504, 0, 0 },
    { 549594, 1504, 0, 0 },
    { 549623, 1504, 0, 0 },
    { 549653, 1504, 0, 0 },
    { 549682, 1504, 0, 0 },
    { 549712, 1505, 1, 0 },
    { 549742, 1505, 0, 0 },
    { 549771, 1505, 0, 0 },
    { 549801, 1505, 0, 0 },
    { 549831, 1505, 0, 0 },
    { 549860, 1505, 0, 0 },
    { 549890, 1505, 0, 0 },
    { 549919, 1505, 0, 0 },
    { 549948, 1505, 0, 0 },
    { 549978, 1505, 0, 0 },
    { 550007, 1505, 0, 0 },
    { 550037, 1505, 0, 0 },
    { 550066, 1506, 1, 0 },
    { 550096, 1506, 0, 0 },
    { 550125, 1506, 0, 0 },
    { 550155, 1506, 0, 0 },
    { 550185, 1506, 0, 0 },
    { 550214, 1506, 0, 0 },
    { 550244, 1506, 0, 0 },
    { 550273, 1506, 0, 0 },
    { 550303, 1506, 0, 0 },
    { 550332, 1506, 0, 0 },
    { 550362, 1506, 0, 0 },
    { 550391, 1506, 0, 0 },
    { 550421, 1507, 1, 0 },
    { 550450, 1507, 0, 0 },
    { 550480, 1507, 0, 0 },
    { 550509, 1507, 0, 0 },
    { 550539, 1507, 0, 0 },
    { 550568, 1507, 0, 1 },
    { 550598, 1507, 0, 0 },
    { 550628, 1507, 0, 0 },
    { 550657, 1507, 0, 0 },
    { 550687, 1507, 0, 0 },
    { 550716, 1507, 0, 0 },
    { 550746, 1507, 0, 0 },
    { 550775, 1507, 0, 0 },
    { 550805, 1508, 1, 0 },
    { 550834, 1508, 0, 0 },
    { 550864, 1508, 0, 0 },
    { 550893, 1508, 0, 0 },
    { 550922, 1508, 0, 0 },
    { 550952, 1508, 0, 0 },
    { 550982, 1508, 0, 0 },
    { 551011, 1508, 0, 0 },
    { 551041, 1508, 0, 0 },
    { 551071, 1508, 0, 0 },
    { 551100, 1508, 0, 0 },
    { 551130, 1508, 0, 0 },
    { 551160, 1509, 1, 0 },
    { 551189, 1509, 0, 0 },
    { 551218, 1509, 0, 0 },
    { 551248, 1509, 0, 0 },
    { 551277, 1509, 0, 0 },
    { 551306, 1509, 0, 0 },
    { 551336, 1509, 0, 0 },
    { 551365, 1509, 0, 0 },
    { 551395, 1509, 0, 0 },
    { 551425, 1509, 0, 0 },
    { 551454, 1509, 0, 0 },
    { 551484, 1509, 0, 0 },
    { 551514, 1510, 1, 0 },
    { 551544, 1510, 0, 0 },
    { 551573, 1510, 0, 0 },
    { 551602, 1510, 0, 1 },
    { 551632, 1510, 0, 0 },
    { 551661, 1510, 0, 0 },
    { 551690, 1510, 0, 0 },
    { 551720, 1510, 0, 0 },
    { 551749, 1510, 0, 0 },
    { 551779, 1510, 0, 0 },
    { 551808, 1510, 0, 0 },
    { 551838, 1510, 0, 0 },
    { 551868, 1510, 0, 0 },
    { 551898, 1511, 1, 0 },
    { 551927, 1511, 0, 0 },
    { 551957, 1511, 0, 0 },
    { 551986, 1511, 0, 0 },
    { 552016, 1511, 0, 0 },
    { 552045, 1511, 0, 0 },
    { 552074, 1511, 0, 0 },
    { 552104, 1511, 0, 0 },
    { 552133, 1511, 0, 0 },
    { 552163, 1511, 0, 0 },
    { 552192, 1511, 0, 0 },
    { 552222, 1511, 0, 0 },
    { 552252, 1512, 1, 0 },
    { 552282, 1512, 0, 0 },
    { 552311, 1512, 0, 0 },
    { 552341, 1512, 0, 0 },
    { 552370, 1512, 0, 0 },
    { 552400, 1512, 0, 0 },
    { 552429, 1512, 0, 0 },
    { 552458, 1512, 0, 0 },
    { 552488, 1512, 0, 1 },
    { 552517, 1512, 0, 0 },
    { 552547, 1512, 0, 0 },
    { 552576, 1512, 0, 0 },
    { 552606, 1512, 0, 0 },
    { 552636, 1513, 1, 0 },
    { 552665, 1513, 0, 0 },
    { 552695, 1513, 0, 0 },
    { 552725, 1513, 0, 0 },
    { 552754, 1513, 0, 0 },
    { 552784, 1513, 0, 0 },
    { 552813, 1513, 0, 0 },
    { 552842, 1513, 0, 0 },
    { 552872, 1513, 0, 0 },
    { 552901, 1513, 0, 0 },
    { 552931, 1513, 0, 0 },
    { 552960, 1513, 0, 0 },
    { 552990, 1514, 1, 0 },
    { 553019, 1514, 0, 0 },
    { 553049, 1514, 0, 0 },
    { 553079, 1514, 0, 0 },
    { 553108, 1514, 0, 0 },
    { 553138, 1514, 0, 0 },
    { 553167, 1514, 0, 0 },
    { 553197, 1514, 0, 0 },
    { 553226, 1514, 0, 0 },
    { 553256, 1514, 0, 0 },
    { 553285, 1514, 0, 0 },
    { 553315, 1514, 0, 0 },
    { 553344, 1515, 1, 0 },
    { 553374, 1515, 0, 0 },
    { 553403, 1515, 0, 0 },
    { 553433, 1515, 0, 0 },
    { 553462, 1515, 0, 0 },
    { 553492, 1515, 0, 0 },
    { 553522, 1515, 0, 1 },
    { 553551, 1515, 0, 0 },
    { 553581, 1515, 0, 0 },
    { 553610, 1515, 0, 0 },
    { 553640, 1515, 0, 0 },
    { 553669, 1515, 0, 0 },
    { 553699, 1515, 0, 0 },
    { 553728, 1516, 1, 0 },
    { 553758, 1516, 0, 0 },
    { 553787, 1516, 0, 0 },
    { 553817, 1516, 0, 0 },
    { 553846, 1516, 0, 0 },
    { 553876, 1516, 0, 0 },
    { 553905, 1516, 0, 0 },
    { 553935, 1516, 0, 0 },
    { 553965, 1516, 0, 0 },
    { 553994, 1516, 0, 0 },
    { 554024, 1516, 0, 0 },
    { 554053, 1516, 0, 0 },
    { 554083, 1517, 1, 0 },
    { 554112, 1517, 0, 0 },
    { 554142, 1517, 0, 0 },
    { 554171, 1517, 0, 0 },
    { 554200, 1517, 0, 0 },
    { 554230, 1517, 0, 0 },
    { 554259, 1517, 0, 0 },
    { 554289, 1517, 0, 0 },
    { 554319, 1517, 0, 0 },
    { 554348, 1517, 0, 0 },
    { 554378, 1517, 0, 0 },
    { 554408, 1517, 0, 0 },
    { 554437, 1518, 1, 0 },
    { 554467, 1518, 0, 0 },
    { 554496, 1518, 0, 0 },
    { 554526, 1518, 0, 0 },
    { 554555, 1518, 0, 1 },
    { 554584, 1518, 0, 0 },
    { 554614, 1518, 0, 0 },
    { 554643, 1518, 0, 0 },
    { 554673, 1518, 0, 0 },
    { 554702, 1518, 0, 0 },
    { 554732, 1518, 0, 0 },
    { 554762, 1518, 0, 0 },
    { 554792, 1518, 0, 0 },
    { 554821, 1519, 1, 0 },
    { 554851, 1519, 0, 0 },
    { 554880, 1519, 0, 0 },
    { 554910, 1519, 0, 0 },
    { 554939, 1519, 0, 0 },
    { 554968, 1519, 0, 0 },
    { 554998, 1519, 0, 0 },
    { 555027, 1519, 0, 0 },
    { 555057, 1519, 0, 0 },
    { 555086, 1519, 0, 0 },
    { 555116, 1519, 0, 0 },
    { 555146, 1519, 0, 0 },
    { 555176, 1520, 1, 0 },
    { 555205, 1520, 0, 0 },
    { 555235, 1520, 0, 0 },
    { 555264, 1520, 0, 0 },
    { 555294, 1520, 0, 0 },
    { 555323, 1520, 0, 0 },
    { 555352, 1520, 0, 0 },
    { 555382, 1520, 0, 0 },
    { 555411, 1520, 0, 0 },
    { 555440, 1520, 0, 0 },
    { 555470, 1520, 0, 0 },
    { 555500, 1520, 0, 0 },
    { 555530, 1521, 1, 0 },
    { 555559, 1521, 0, 0 },
    { 555589, 1521, 0, 0 },
    { 555619, 1521, 0, 1 },
    { 555648, 1521, 0, 0 },
    { 555678, 1521, 0, 0 },
    { 555707, 1521, 0, 0 },
    { 555736, 1521, 0, 0 },
    { 555766, 1521, 0, 0 },
    { 555795, 1521, 0, 0 },
    { 555824, 1521, 0, 0 },
    { 555854, 1521, 0, 0 },
    { 555884, 1521, 0, 0 },
    { 555913, 1522, 1, 0 },
    { 555943, 1522, 0, 0 },
    { 555973, 1522, 0, 0 },
    { 556002, 1522, 0, 0 },
    { 556032, 1522, 0, 0 },
    { 556062, 1522, 0, 0 },
    { 556091, 1522, 0, 0 },
    { 556120, 1522, 0, 0 },
    { 556150, 1522, 0, 0 },
    { 556179, 1522, 0, 0 },
    { 556209, 1522, 0, 0 },
    { 556238, 1522, 0, 0 },
    { 556268, 1523, 1, 0 },
    { 556297, 1523, 0, 0 },
    { 556327, 1523, 0, 0 },
    { 556357, 1523, 0, 0 },
    { 556386, 1523, 0, 0 },
    { 556416, 1523, 0, 0 },
    { 556445, 1523, 0, 0 },
    { 556475, 1523, 0, 1 },
    { 556504, 1523, 0, 0 },
    { 556534, 1523, 0, 0 },
    { 556563, 1523, 0, 0 },
    { 556593, 1523, 0, 0 },
    { 556622, 1523, 0, 0 },
    { 556652, 1524, 1, 0 },
    { 556681, 1524, 0, 0 },
    { 556711, 1524, 0, 0 },
    { 556740, 1524, 0, 0 },
    { 556770, 1524, 0, 0 },
    { 556799, 1524, 0, 0 },
    { 556829, 1524, 0, 0 },
    { 556859, 1524, 0, 0 },
    { 556888, 1524, 0, 0 },
    { 556918, 1524, 0, 0 },
    { 556947, 1524, 0, 0 },
    { 556977, 1524, 0, 0 },
    { 557006, 1525, 1, 0 },
    { 557036, 1525, 0, 0 },
    { 557065, 1525, 0, 0 },
    { 557094, 1525, 0, 0 },
    { 557124, 1525, 0, 0 },
    { 557154, 1525, 0, 0 },
    { 557183, 1525, 0, 0 },
    { 557213, 1525, 0, 0 },
    { 557242, 1525, 0, 0 },
    { 557272, 1525, 0, 0 },
    { 557302, 1525, 0, 0 },
    { 557331, 1525, 0, 0 },
    { 557361, 1526, 1, 0 },
    { 557390, 1526, 0, 0 },
    { 557420, 1526, 0, 0 },
    { 557449, 1526, 0, 0 },
    { 557478, 1526, 0, 0 },
    { 557508, 1526, 0, 1 },
    { 557537, 1526, 0, 0 },
    { 557567, 1526, 0, 0 },
    { 557596, 1526, 0, 0 },
    { 557626, 1526, 0, 0 },
    { 557656, 1526, 0, 0 },
    { 557686, 1526, 0, 0 },
    { 557715, 1526, 0, 0 },
    { 557745, 1527, 1, 0 },
    { 557774, 1527, 0, 0 },
    { 557804, 1527, 0, 0 },
    { 557833, 1527, 0, 0 },
    { 557862, 1527, 0, 0 },
    { 557892, 1527, 0, 0 },
    { 557921, 1527, 0, 0 },
    { 557951, 1527, 0, 0 },
    { 557980, 1527, 0, 0 },
    { 558010, 1527, 0, 0 },
    { 558040, 1527, 0, 0 },
    { 558070, 1527, 0, 0 },
    { 558099, 1528, 1, 0 },
    { 558129, 1528, 0, 0 },
    { 558158, 1528, 0, 0 },
    { 558188, 1528, 0, 0 },
    { 558217, 1528, 0, 0 },
    { 558246, 1528, 0, 0 },
    { 558276, 1528, 0, 0 },
    { 558305, 1528, 0, 0 },
    { 558334, 1528, 0, 0 },
    { 558364, 1528, 0, 0 },
    { 558394, 1528, 0, 0 },
    { 558424, 1528, 0, 0 },
    { 558453, 1529, 1, 0 },
    { 558483, 1529, 0, 0 },
    { 558513, 1529, 0, 0 },
    { 558542, 1529, 0, 0 },
    { 558572, 1529, 0, 1 },
    { 558601, 1529, 0, 0 },
    { 558630, 1529, 0, 0 },
    { 558660, 1529, 0, 0 },
    { 558689, 1529, 0, 0 },
    { 558718, 1529, 0, 0 },
    { 558748, 1529, 0, 0 },
    { 558778, 1529, 0, 0 },
    { 558807, 1529, 0, 0 },
    { 558837, 1530, 1, 0 },
    { 558867, 1530, 0, 0 },
    { 558897, 1530, 0, 0 },
    { 558926, 1530, 0, 0 },
    { 558956, 1530, 0, 0 },
    { 558985, 1530, 0, 0 },
    { 559014, 1530, 0, 0 },
    { 559044, 1530, 0, 0 },
    { 559073, 1530, 0, 0 },
    { 559102, 1530, 0, 0 },
    { 559132, 1530, 0, 0 },
    { 559161, 1530, 0, 0 },
    { 559191, 1531, 1, 0 },
    { 559221, 1531, 0, 0 },
    { 559251, 1531, 0, 0 },
    { 559280, 1531, 0, 0 },
    { 559310, 1531, 0, 0 },
    { 559339, 1531, 0, 0 },
    { 559369, 1531, 0, 0 },
    { 559398, 1531, 0, 0 },
    { 559428, 1531, 0, 1 },
    { 559457, 1531, 0, 0 },
    { 559487, 1531, 0, 0 },
    { 559516, 1531, 0, 0 },
    { 559545, 1531, 0, 0 },
    { 559575, 1532, 1, 0 },
    { 559605, 1532, 0, 0 },
    { 559634, 1532, 0, 0 },
    { 559664, 1532, 0, 0 },
    { 559694, 1532, 0, 0 },
    { 559723, 1532, 0, 0 },
    { 559753, 1532, 0, 0 },
    { 559782, 1532, 0, 0 },
    { 559812, 1532, 0, 0 },
    { 559841, 1532, 0, 0 },
    { 559871, 1532, 0, 0 },
    { 559900, 1532, 0, 0 },
    { 559929, 1533, 1, 0 },
    { 559959, 1533, 0, 0 },
    { 559989, 1533, 0, 0 },
    { 560018, 1533, 0, 0 },
    { 560048, 1533, 0, 0 },
    { 560077, 1533, 0, 0 },
    { 560107, 1533, 0, 0 },
    { 560137, 1533, 0, 0 },
    { 560166, 1533, 0, 0 },
    { 560196, 1533, 0, 0 },
    { 560225, 1533, 0, 0 },
    { 560255, 1533, 0, 0 },
    { 560284, 1534, 1, 0 },
    { 560314, 1534, 0, 0 },
    { 560343, 1534, 0, 0 },
    { 560372, 1534, 0, 0 },
    { 560402, 1534, 0, 0 },
    { 560431, 1534, 0, 0 },
    { 560461, 1534, 0, 1 },
    { 560491, 1534, 0, 0 },
    { 560520, 1534, 0, 0 },
    { 560550, 1534, 0, 0 },
    { 560580, 1534, 0, 0 },
    { 560609, 1534, 0, 0 },
    { 560639, 1534, 0, 0 },
    { 560668, 1535, 1, 0 },
    { 560698, 1535, 0, 0 },
    { 560727, 1535, 0, 0 },
    { 560756, 1535, 0, 0 },
    { 560786, 1535, 0, 0 },
    { 560815, 1535, 0, 0 },
    { 560845, 1535, 0, 0 },
    { 560874, 1535, 0, 0 },
    { 560904, 1535, 0, 0 },
    { 560934, 1535, 0, 0 },
    { 560963, 1535, 0, 0 },
    { 560993, 1535, 0, 0 },
    { 561023, 1536, 1, 0 },
    { 561052, 1536, 0, 0 },
    { 561082, 1536, 0, 0 },
    { 561111, 1536, 0, 0 },
    { 561140, 1536, 0, 0 },
    { 561170, 1536, 0, 0 },
    { 561199, 1536, 0, 0 },
    { 561228, 1536, 0, 0 },
    { 561258, 1536, 0, 0 },
    { 561288, 1536, 0, 0 },
    { 561317, 1536, 0, 0 },
    { 561347, 1536, 0, 0 },
    { 561377, 1537, 1, 0 },
    { 561407, 1537, 0, 0 },
    { 561436, 1537, 0, 0 },
    { 561466, 1537, 0, 0 },
    { 561495, 1537, 0, 1 },
    { 561524, 1537, 0, 0 },
    { 561554, 1537, 0, 0 },
    { 561583, 1537, 0, 0 },
    { 561612, 1537, 0, 0 },
    { 561642, 1537, 0, 0 },
    { 561672, 1537, 0, 0 },
    { 561701, 1537, 0, 0 },
    { 561731, 1537, 0, 0 },
    { 561761, 1538, 1, 0 },
    { 561791, 1538, 0, 0 },
    { 561820, 1538, 0, 0 },
    { 561850, 1538, 0, 0 },
    { 561879, 1538, 0, 0 },
    { 561908, 1538, 0, 0 },
    { 561938, 1538, 0, 0 },
    { 561967, 1538, 0, 0 },
    { 561996, 1538, 0, 0 },
    { 562026, 1538, 0, 0 },
    { 562055, 1538, 0, 0 },
    { 562085, 1538, 0, 0 },
    { 562115, 1539, 1, 0 },
    { 562145, 1539, 0, 0 },
    { 562174, 1539, 0, 0 },
    { 562204, 1539, 0, 0 },
    { 562234, 1539, 0, 0 },
    { 562263, 1539, 0, 0 },
    { 562292, 1539, 0, 0 },
    { 562322, 1539, 0, 0 },
    { 562351, 1539, 0, 0 },
    { 562380, 1539, 0, 0 },
    { 562410, 1539, 0, 1 },
    { 562439, 1539, 0, 0 },
    { 562469, 1539, 0, 0 },
    { 562499, 1540, 1, 0 },
    { 562528, 1540, 0, 0 },
    { 562558, 1540, 0, 0 },
    { 562588, 1540, 0, 0 },
    { 562617, 1540, 0, 0 },
    { 562647, 1540, 0, 0 },
    { 562676, 1540, 0, 0 },
    { 562706, 1540, 0, 0 },
    { 562735, 1540, 0, 0 },
    { 562764, 1540, 0, 0 },
    { 562794, 1540, 0, 0 },
    { 562823, 1540, 0, 0 },
    { 562853, 1541, 1, 0 },
    { 562882, 1541, 0, 0 },
    { 562912, 1541, 0, 0 },
    { 562942, 1541, 0, 0 },
    { 562971, 1541, 0, 0 },
    { 563001, 1541, 0, 0 },
    { 563031, 1541, 0, 0 },
    { 563060, 1541, 0, 0 },
    { 563090, 1541, 0, 0 },
    { 563119, 1541, 0, 0 },
    { 563149, 1541, 0, 0 },
    { 563178, 1541, 0, 0 },
    { 563207, 1542, 1, 0 },
    { 563237, 1542, 0, 0 },
    { 563266, 1542, 0, 0 },
    { 563296, 1542, 0, 0 },
    { 563326, 1542, 0, 0 },
    { 563355, 1542, 0, 0 },
    { 563385, 1542, 0, 1 },
    { 563414, 1542, 0, 0 },
    { 563444, 1542, 0, 0 },
    { 563474, 1542, 0, 0 },
    { 563503, 1542, 0, 0 },
    { 563533, 1542, 0, 0 },
    { 563562, 1542, 0, 0 },
    { 563592, 1543, 1, 0 },
    { 563621, 1543, 0, 0 },
    { 563650, 1543, 0, 0 },
    { 563680, 1543, 0, 0 },
    { 563709, 1543, 0, 0 },
    { 563739, 1543, 0, 0 },
    { 563768, 1543, 0, 0 },
    { 563798, 1543, 0, 0 },
    { 563828, 1543, 0, 0 },
    { 563857, 1543, 0, 0 },
    { 563887, 1543, 0, 0 },
    { 563917, 1543, 0, 0 },
    { 563946, 1544, 1, 0 },
    { 563976, 1544, 0, 0 },
    { 564005, 1544, 0, 0 },
    { 564034, 1544, 0, 0 },
    { 564064, 1544, 0, 0 },
    { 564093, 1544, 0, 0 },
    { 564123, 1544, 0, 0 },
    { 564152, 1544, 0, 0 },
    { 564182, 1544, 0, 0 },
    { 564212, 1544, 0, 0 },
    { 564241, 1544, 0, 0 },
    { 564271, 1544, 0, 0 },
    { 564301, 1545, 1, 0 },
    { 564330, 1545, 0, 0 },
    { 564360, 1545, 0, 0 },
    { 564389, 1545, 0, 0 },
    { 564418, 1545, 0, 0 },
    { 564448, 1545, 0, 1 },
    { 564477, 1545, 0, 0 },
    { 564506, 1545, 0, 0 },
    { 564536, 1545, 0, 0 },
    { 564566, 1545, 0, 0 },
    { 564595, 1545, 0, 0 },
    { 564625, 1545, 0, 0 },
    { 564655, 1545, 0, 0 },
    { 564685, 1546, 1, 0 },
    { 564714, 1546, 0, 0 },
    { 564744, 1546, 0, 0 },
    { 564773, 1546, 0, 0 },
    { 564802, 1546, 0, 0 },
    { 564832, 1546, 0, 0 },
    { 564861, 1546, 0, 0 },
    { 564890, 1546, 0, 0 },
    { 564920, 1546, 0, 0 },
    { 564949, 1546, 0, 0 },
    { 564979, 1546, 0, 0 },
    { 565009, 1546, 0, 0 },
    { 565039, 1547, 1, 0 },
    { 565068, 1547, 0, 0 },
    { 565098, 1547, 0, 0 },
    { 565128, 1547, 0, 0 },
    { 565157, 1547, 0, 0 },
    { 565186, 1547, 0, 0 },
    { 565216, 1547, 0, 0 },
    { 565245, 1547, 0, 0 },
    { 565274, 1547, 0, 0 },
    { 565304, 1547, 0, 0 },
    { 565333, 1547, 0, 0 },
    { 565363, 1547, 0, 0 },
    { 565393, 1548, 1, 0 },
    { 565422, 1548, 0, 0 },
    { 565452, 1548, 0, 0 },
    { 565482, 1548, 0, 1 },
    { 565511, 1548, 0, 0 },
    { 565541, 1548, 0, 0 },
    { 565570, 1548, 0, 0 },
    { 565600, 1548, 0, 0 },
    { 565629, 1548, 0, 0 },
    { 565658, 1548, 0, 0 },
    { 565688, 1548, 0, 0 },
    { 565717, 1548, 0, 0 },
    { 565747, 1548, 0, 0 },
    { 565776, 1549, 1, 0 },
    { 565806, 1549, 0, 0 },
    { 565836, 1549, 0, 0 },
    { 565866, 1549, 0, 0 },
    { 565895, 1549, 0, 0 },
    { 565925, 1549, 0, 0 },
    { 565954, 1549, 0, 0 },
    { 565984, 1549, 0, 0 },
    { 566013, 1549, 0, 0 },
    { 566042, 1549, 0, 0 },
    { 566072, 1549, 0, 0 },
    { 566101, 1549, 0, 0 },
    { 566131, 1550, 1, 0 },
    { 566160, 1550, 0, 0 },
    { 566190, 1550, 0, 0 },
    { 566220, 1550, 0, 0 },
    { 566249, 1550, 0, 0 },
    { 566279, 1550, 0, 0 },
    { 566309, 1550, 0, 0 },
    { 566338, 1550, 0, 0 },
    { 566368, 1550, 0, 1 },
    { 566397, 1550, 0, 0 },
    { 566427, 1550, 0, 0 },
    { 566456, 1550, 0, 0 },
    { 566485, 1550, 0, 0 },
    { 566515, 1551, 1, 0 },
    { 566544, 1551, 0, 0 },
    { 566574, 1551, 0, 0 },
    { 566603, 1551, 0, 0 },
    { 566633, 1551, 0, 0 },
    { 566663, 1551, 0, 0 },
    { 566692, 1551, 0, 0 },
    { 566722, 1551, 0, 0 },
    { 566751, 1551, 0, 0 },
    { 566781, 1551, 0, 0 },
    { 566811, 1551, 0, 0 },
    { 566840, 1551, 0, 0 },
    { 566870, 1552, 1, 0 },
    { 566899, 1552, 0, 0 },
    { 566928, 1552, 0, 0 },
    { 566958, 1552, 0, 0 },
    { 566987, 1552, 0, 0 },
    { 567017, 1552, 0, 0 },
    { 567046, 1552, 0, 0 },
    { 567076, 1552, 0, 0 },
    { 567106, 1552, 0, 0 },
    { 567135, 1552, 0, 0 },
    { 567165, 1552, 0, 0 },
    { 567195, 1552, 0, 0 },
    { 567224, 1553, 1, 0 },
    { 567254, 1553, 0, 0 },
    { 567283, 1553, 0, 0 },
    { 567312, 1553, 0, 0 },
    { 567342, 1553, 0, 0 },
    { 567371, 1553, 0, 1 },
    { 567400, 1553, 0, 0 },
    { 567430, 1553, 0, 0 },
    { 567460, 1553, 0, 0 },
    { 567489, 1553, 0, 0 },
    { 567519, 1553, 0, 0 },
    { 567549, 1553, 0, 0 },
    { 567579, 1553, 0, 0 },
    { 567608, 1554, 1, 0 },
    { 567638, 1554, 0, 0 },
    { 567667, 1554, 0, 0 },
    { 567696, 1554, 0, 0 },
    { 567726, 1554, 0, 0 },
    { 567755, 1554, 0, 0 },
    { 567784, 1554, 0, 0 },
    { 567814, 1554, 0, 0 },
    { 567843, 1554, 0, 0 },
    { 567873, 1554, 0, 0 },
    { 567903, 1554, 0, 0 },
    { 567933, 1554, 0, 0 },
    { 567962, 1555, 1, 0 },
    { 567992, 1555, 0, 0 },
    { 568022, 1555, 0, 0 },
    { 568051, 1555, 0, 0 },
    { 568080, 1555, 0, 0 },
    { 568110, 1555, 0, 0 },
    { 568139, 1555, 0, 0 },
    { 568168, 1555, 0, 0 },
    { 568198, 1555, 0, 0 },
    { 568227, 1555, 0, 0 },
    { 568257, 1555, 0, 0 },
    { 568287, 1555, 0, 0 },
    { 568316, 1556, 1, 0 },
    { 568346, 1556, 0, 0 },
    { 568376, 1556, 0, 0 },
    { 568406, 1556, 0, 0 },
    { 568435, 1556, 0, 1 },
    { 568464, 1556, 0, 0 },
    { 568494, 1556, 0, 0 },
    { 568523, 1556, 0, 0 },
    { 568552, 1556, 0, 0 },
    { 568582, 1556, 0, 0 },
    { 568611, 1556, 0, 0 },
    { 568641, 1556, 0, 0 },
    { 568670, 1556, 0, 0 },
    { 568700, 1557, 1, 0 },
    { 568730, 1557, 0, 0 },
    { 568760, 1557, 0, 0 },
    { 568789, 1557, 0, 0 },
    { 568819, 1557, 0, 0 },
    { 568848, 1557, 0, 0 },
    { 568878, 1557, 0, 0 },
    { 568907, 1557, 0, 0 },
    { 568936, 1557, 0, 0 },
    { 568966, 1557, 0, 0 },
    { 568995, 1557, 0, 0 },
    { 569025, 1557, 0, 0 },
    { 569054, 1558, 1, 0 },
    { 569084, 1558, 0, 0 },
    { 569114, 1558, 0, 0 },
    { 569143, 1558, 0, 0 },
    { 569173, 1558, 0, 0 },
    { 569203, 1558, 0, 0 },
    { 569232, 1558, 0, 0 },
    { 569262, 1558, 0, 0 },
    { 569291, 1558, 0, 0 },
    { 569320, 1558, 0, 0 },
    { 569350, 1558, 0, 0 },
    { 569379, 1558, 0, 0 },
    { 569409, 1559, 1, 0 },
    { 569438, 1559, 0, 0 },
    { 569468, 1559, 0, 1 },
    { 569497, 1559, 0, 0 },
    { 569527, 1559, 0, 0 },
    { 569557, 1559, 0, 0 },
    { 569586, 1559, 0, 0 },
    { 569616, 1559, 0, 0 },
    { 569645, 1559, 0, 0 },
    { 569675, 1559, 0, 0 },
    { 569704, 1559, 0, 0 },
    { 569734, 1559, 0, 0 },
    { 569763, 1559, 0, 0 },
    { 569793, 1560, 1, 0 },
    { 569822, 1560, 0, 0 },
    { 569852, 1560, 0, 0 },
    { 569881, 1560, 0, 0 },
    { 569911, 1560, 0, 0 },
    { 569940, 1560, 0, 0 },
    { 569970, 1560, 0, 0 },
    { 570000, 1560, 0, 0 },
    { 570029, 1560, 0, 0 },
    { 570059, 1560, 0, 0 },
    { 570089, 1560, 0, 0 },
    { 570118, 1560, 0, 0 },
    { 570147, 1561, 1, 0 },
    { 570177, 1561, 0, 0 },
    { 570206, 1561, 0, 0 },
    { 570236, 1561, 0, 0 },
    { 570265, 1561, 0, 0 },
    { 570295, 1561, 0, 0 },
    { 570324, 1561, 0, 0 },
    { 570354, 1561, 0, 1 },
    { 570383, 1561, 0, 0 },
    { 570413, 1561, 0, 0 },
    { 570443, 1561, 0, 0 },
    { 570472, 1561, 0, 0 },
    { 570502, 1561, 0, 0 },
    { 570532, 1562, 1, 0 },
    { 570561, 1562, 0, 0 },
    { 570590, 1562, 0, 0 },
    { 570620, 1562, 0, 0 },
    { 570649, 1562, 0, 0 },
    { 570678, 1562, 0, 0 },
    { 570708, 1562, 0, 0 },
    { 570737, 1562, 0, 0 },
    { 570767, 1562, 0, 0 },
    { 570797, 1562, 0, 0 },
    { 570827, 1562, 0, 0 },
    { 570856, 1562, 0, 0 },
    { 570886, 1563, 1, 0 },
    { 570916, 1563, 0, 0 },
    { 570945, 1563, 0, 0 },
    { 570974, 1563, 0, 0 },
    { 571004, 1563, 0, 0 },
    { 571033, 1563, 0, 0 },
    { 571062, 1563, 0, 0 },
    { 571092, 1563, 0, 0 },
    { 571121, 1563, 0, 0 },
    { 571151, 1563, 0, 0 },
    { 571181, 1563, 0, 0 },
    { 571210, 1563, 0, 0 },
    { 571240, 1564, 1, 0 },
    { 571270, 1564, 0, 0 },
    { 571300, 1564, 0, 0 },
    { 571329, 1564, 0, 0 },
    { 571358, 1564, 0, 0 },
    { 571388, 1564, 0, 1 },
    { 571417, 1564, 0, 0 },
    { 571446, 1564, 0, 0 },
    { 571476, 1564, 0, 0 },
    { 571505, 1564, 0, 0 },
    { 571535, 1564, 0, 0 },
    { 571564, 1564, 0, 0 },
    { 571594, 1564, 0, 0 },
    { 571624, 1565, 1, 0 },
    { 571654, 1565, 0, 0 },
    { 571683, 1565, 0, 0 },
    { 571713, 1565, 0, 0 },
    { 571742, 1565, 0, 0 },
    { 571772, 1565, 0, 0 },
    { 571801, 1565, 0, 0 },
    { 571830, 1565, 0, 0 },
    { 571860, 1565, 0, 0 },
    { 571889, 1565, 0, 0 },
    { 571919, 1565, 0, 0 },
    { 571948, 1565, 0, 0 },
    { 571978, 1566, 1, 0 },
    { 572008, 1566, 0, 0 },
    { 572037, 1566, 0, 0 },
    { 572067, 1566, 0, 0 },
    { 572097, 1566, 0, 0 },
    { 572126, 1566, 0, 0 },
    { 572156, 1566, 0, 0 },
    { 572185, 1566, 0, 0 },
    { 572214, 1566, 0, 0 },
    { 572244, 1566, 0, 0 },
    { 572273, 1566, 0, 0 },
    { 572303, 1566, 0, 0 },
    { 572332, 1567, 1, 0 },
    { 572362, 1567, 0, 0 },
    { 572391, 1567, 0, 0 },
    { 572421, 1567, 0, 1 },
    { 572451, 1567, 0, 0 },
    { 572481, 1567, 0, 0 },
    { 572510, 1567, 0, 0 },
    { 572540, 1567, 0, 0 },
    { 572569, 1567, 0, 0 },
    { 572598, 1567, 0, 0 },
    { 572628, 1567, 0, 0 },
    { 572657, 1567, 0, 0 },
    { 572687, 1567, 0, 0 },
    { 572716, 1568, 1, 0 },
    { 572746, 1568, 0, 0 },
    { 572775, 1568, 0, 0 },
    { 572805, 1568, 0, 0 },
    { 572835, 1568, 0, 0 },
    { 572864, 1568, 0, 0 },
    { 572894, 1568, 0, 0 },
    { 572923, 1568, 0, 0 },
    { 572953, 1568, 0, 0 },
    { 572982, 1568, 0, 0 },
    { 573012, 1568, 0, 0 },
    { 573041, 1568, 0, 0 },
    { 573071, 1569, 1, 0 },
    { 573100, 1569, 0, 0 },
    { 573130, 1569, 0, 0 },
    { 573159, 1569, 0, 0 },
    { 573189, 1569, 0, 0 },
    { 573218, 1569, 0, 0 },
    { 573248, 1569, 0, 0 },
    { 573277, 1569, 0, 0 },
    { 573307, 1569, 0, 0 },
    { 573337, 1569, 0, 1 },
    { 573366, 1569, 0, 0 },
    { 573396, 1569, 0, 0 },
    { 573425, 1569, 0, 0 },
    { 573455, 1570, 1, 0 },
    { 573484, 1570, 0, 0 },
    { 573514, 1570, 0, 0 },
    { 573543, 1570, 0, 0 },
    { 573572, 1570, 0, 0 },
    { 573602, 1570, 0, 0 },
    { 573631, 1570, 0, 0 },
    { 573661, 1570, 0, 0 },
    { 573691, 1570, 0, 0 },
    { 573721, 1570, 0, 0 },
    { 573750, 1570, 0, 0 },
    { 573780, 1570, 0, 0 },
    { 573809, 1571, 1, 0 },
    { 573839, 1571, 0, 0 },
    { 573868, 1571, 0, 0 },
    { 573898, 1571, 0, 0 },
    { 573927, 1571, 0, 0 },
    { 573956, 1571, 0, 0 },
    { 573986, 1571, 0, 0 },
    { 574015, 1571, 0, 0 },
    { 574045, 1571, 0, 0 },
    { 574075, 1571, 0, 0 },
    { 574104, 1571, 0, 0 },
    { 574134, 1571, 0, 0 },
    { 574164, 1572, 1, 0 },
    { 574193, 1572, 0, 0 },
    { 574223, 1572, 0, 0 },
    { 574252, 1572, 0, 0 },
    { 574282, 1572, 0, 0 },
    { 574311, 1572, 0, 1 },
    { 574340, 1572, 0, 0 },
    { 574370, 1572, 0, 0 },
    { 574399, 1572, 0, 0 },
    { 574429, 1572, 0, 0 },
    { 574458, 1572, 0, 0 },
    { 574488, 1572, 0, 0 },
    { 574518, 1572, 0, 0 },
    { 574548, 1573, 1, 0 },
    { 574577, 1573, 0, 0 },
    { 574607, 1573, 0, 0 },
    { 574636, 1573, 0, 0 },
    { 574666, 1573, 0, 0 },
    { 574695, 1573, 0, 0 },
    { 574724, 1573, 0, 0 },
    { 574754, 1573, 0, 0 },
    { 574783, 1573, 0, 0 },
    { 574813, 1573, 0, 0 },
    { 574842, 1573, 0, 0 },
    { 574872, 1573, 0, 0 },
    { 574902, 1574, 1, 0 },
    { 574932, 1574, 0, 0 },
    { 574961, 1574, 0, 0 },
    { 574991, 1574, 0, 0 },
    { 575020, 1574, 0, 0 },
    { 575050, 1574, 0, 0 },
    { 575079, 1574, 0, 0 },
    { 575108, 1574, 0, 0 },
    { 575138, 1574, 0, 0 },
    { 575167, 1574, 0, 0 },
    { 575197, 1574, 0, 0 },
    { 575226, 1574, 0, 0 },
    { 575256, 1575, 1, 0 },
    { 575286, 1575, 0, 0 },
    { 575315, 1575, 0, 0 },
    { 575345, 1575, 0, 0 },
    { 575375, 1575, 0, 1 },
    { 575404, 1575, 0, 0 },
    { 575434, 1575, 0, 0 },
    { 575463, 1575, 0, 0 },
    { 575492, 1575, 0, 0 },
    { 575522, 1575, 0, 0 },
    { 575551, 1575, 0, 0 },
    { 575581, 1575, 0, 0 },
    { 575610, 1575, 0, 0 },
    { 575640, 1576, 1, 0 },
    { 575669, 1576, 0, 0 },
    { 575699, 1576, 0, 0 },
    { 575729, 1576, 0, 0 },
    { 575758, 1576, 0, 0 },
    { 575788, 1576, 0, 0 },
    { 575817, 1576, 0, 0 },
    { 575847, 1576, 0, 0 },
    { 575876, 1576, 0, 0 },
    { 575906, 1576, 0, 0 },
    { 575935, 1576, 0, 0 },
    { 575965, 1576, 0, 0 },
    { 575994, 1577, 1, 0 },
    { 576024, 1577, 0, 0 },
    { 576053, 1577, 0, 0 },
    { 576083, 1577, 0, 0 },
    { 576112, 1577, 0, 0 },
    { 576142, 1577, 0, 0 },
    { 576172, 1577, 0, 0 },
    { 576201, 1577, 0, 0 },
    { 576231, 1577, 0, 0 },
    { 576260, 1577, 0, 0 },
    { 576290, 1577, 0, 0 },
    { 576319, 1577, 0, 0 },
    { 576349, 1578, 1, 0 },
    { 576378, 1578, 0, 0 },
    { 576408, 1578, 0, 1 },
    { 576437, 1578, 0, 0 },
    { 576467, 1578, 0, 0 },
    { 576496, 1578, 0, 0 },
    { 576526, 1578, 0, 0 },
    { 576555, 1578, 0, 0 },
    { 576585, 1578, 0, 0 },
    { 576615, 1578, 0, 0 },
    { 576644, 1578, 0, 0 },
    { 576674, 1578, 0, 0 },
    { 576703, 1578, 0, 0 },
    { 576733, 1579, 1, 0 },
    { 576762, 1579, 0, 0 },
    { 576792, 1579, 0, 0 },
    { 576821, 1579, 0, 0 },
    { 576850, 1579, 0, 0 },
    { 576880, 1579, 0, 0 },
    { 576909, 1579, 0, 0 },
    { 576939, 1579, 0, 0 },
    { 576969, 1579, 0, 0 },
    { 576998, 1579, 0, 0 },
    { 577028, 1579, 0, 0 },
    { 577058, 1579, 0, 0 },
    { 577087, 1580, 1, 0 },
    { 577117, 1580, 0, 0 },
    { 577146, 1580, 0, 0 },
    { 577176, 1580, 0, 0 },
    { 577205, 1580, 0, 0 },
    { 577234, 1580, 0, 0 },
    { 577264, 1580, 0, 1 },
    { 577293, 1580, 0, 0 },
    { 577323, 1580, 0, 0 },
    { 577352, 1580, 0, 0 },
    { 577382, 1580, 0, 0 },
    { 577412, 1580, 0, 0 },
    { 577442, 1580, 0, 0 },
    { 577471, 1581, 1, 0 },
    { 577501, 1581, 0, 0 },
    { 577530, 1581, 0, 0 },
    { 577560, 1581, 0, 0 },
    { 577589, 1581, 0, 0 },
    { 577618, 1581, 0, 0 },
    { 577648, 1581, 0, 0 },
    { 577677, 1581, 0, 0 },
    { 577707, 1581, 0, 0 },
    { 577736, 1581, 0, 0 },
    { 577766, 1581, 0, 0 },
    { 577796, 1581, 0, 0 },
    { 577826, 1582, 1, 0 },
    { 577855, 1582, 0, 0 },
    { 577885, 1582, 0, 0 },
    { 577914, 1582, 0, 0 },
    { 577944, 1582, 0, 0 },
    { 577973, 1582, 0, 0 },
    { 578002, 1582, 0, 0 },
    { 578032, 1582, 0, 0 },
    { 578061, 1582, 0, 0 },
    { 578090, 1582, 0, 0 },
    { 578120, 1582, 0, 0 },
    { 578150, 1582, 0, 0 },
    { 578180, 1583, 1, 0 },
    { 578209, 1583, 0, 0 },
    { 578239, 1583, 0, 0 },
    { 578269, 1583, 0, 0 },
    { 578298, 1583, 0, 0 },
    { 578328, 1583, 0, 1 },
    { 578357, 1583, 0, 0 },
    { 578386, 1583, 0, 0 },
    { 578416, 1583, 0, 0 },
    { 578445, 1583, 0, 0 },
    { 578474, 1583, 0, 0 },
    { 578504, 1583, 0, 0 },
    { 578534, 1583, 0, 0 },
    { 578563, 1584, 1, 0 },
    { 578593, 1584, 0, 0 },
    { 578623, 1584, 0, 0 },
    { 578652, 1584, 0, 0 },
    { 578682, 1584, 0, 0 },
    { 578712, 1584, 0, 0 },
    { 578741, 1584, 0, 0 },
    { 578770, 1584, 0, 0 },
    { 578800, 1584, 0, 0 },
    { 578829, 1584, 0, 0 },
    { 578858, 1584, 0, 0 },
    { 578888, 1584, 0, 0 },
    { 578918, 1585, 1, 0 },
    { 578947, 1585, 0, 0 },
    { 578977, 1585, 0, 0 },
    { 579006, 1585, 0, 0 },
    { 579036, 1585, 0, 0 },
    { 579066, 1585, 0, 0 },
    { 579095, 1585, 0, 0 },
    { 579125, 1585, 0, 0 },
    { 579154, 1585, 0, 0 },
    { 579184, 1585, 0, 0 },
    { 579213, 1585, 0, 0 },
    { 579243, 1585, 0, 0 },
    { 579272, 1586, 1, 0 },
    { 579302, 1586, 0, 0 },
    { 579331, 1586, 0, 0 },
    { 579361, 1586, 0, 1 },
    { 579390, 1586, 0, 0 },
    { 579420, 1586, 0, 0 },
    { 579449, 1586, 0, 0 },
    { 579479, 1586, 0, 0 },
    { 579509, 1586, 0, 0 },
    { 579538, 1586, 0, 0 },
    { 579568, 1586, 0, 0 },
    { 579597, 1586, 0, 0 },
    { 579627, 1586, 0, 0 },
    { 579656, 1587, 1, 0 },
    { 579686, 1587, 0, 0 },
    { 579715, 1587, 0, 0 },
    { 579744, 1587, 0, 0 },
    { 579774, 1587, 0, 0 },
    { 579803, 1587, 0, 0 },
    { 579833, 1587, 0, 0 },
    { 579863, 1587, 0, 0 },
    { 579892, 1587, 0, 0 },
    { 579922, 1587, 0, 0 },
    { 579952, 1587, 0, 0 },
    { 579981, 1587, 0, 0 },
    { 580011, 1588, 1, 0 },
    { 580040, 1588, 0, 0 },
    { 580070, 1588, 0, 0 },
    { 580099, 1588, 0, 0 },
    { 580128, 1588, 0, 0 },
    { 580158, 1588, 0, 0 },
    { 580187, 1588, 0, 0 },
    { 580217, 1588, 0, 0 },
    { 580246, 1588, 0, 0 },
    { 580276, 1588, 0, 0 },
    { 580306, 1588, 0, 0 },
    { 580336, 1588, 0, 1 },
    { 580365, 1588, 0, 0 },
    { 580395, 1589, 1, 0 },
    { 580424, 1589, 0, 0 },
    { 580454, 1589, 0, 0 },
    { 580483, 1589, 0, 0 },
    { 580512, 1589, 0, 0 },
    { 580542, 1589, 0, 0 },
    { 580571, 1589, 0, 0 },
    { 580601, 1589, 0, 0 },
    { 580630, 1589, 0, 0 },
    { 580660, 1589, 0, 0 },
    { 580690, 1589, 0, 0 },
    { 580720, 1589, 0, 0 },
    { 580749, 1590, 1, 0 },
    { 580779, 1590, 0, 0 },
    { 580808, 1590, 0, 0 },
    { 580838, 1590, 0, 0 },
    { 580867, 1590, 0, 0 },
    { 580896, 1590, 0, 0 },
    { 580926, 1590, 0, 0 },
    { 580955, 1590, 0, 0 },
    { 580984, 1590, 0, 0 },
    { 581014, 1590, 0, 0 },
    { 581044, 1590, 0, 0 },
    { 581073, 1590, 0, 0 },
    { 581103, 1591, 1, 0 },
    { 581133, 1591, 0, 0 },
    { 581163, 1591, 0, 0 },
    { 581192, 1591, 0, 0 },
    { 581222, 1591, 0, 0 },
    { 581251, 1591, 0, 0 },
    { 581280, 1591, 0, 1 },
    { 581310, 1591, 0, 0 },
    { 581339, 1591, 0, 0 },
    { 581368, 1591, 0, 0 },
    { 581398, 1591, 0, 0 },
    { 581428, 1591, 0, 0 },
    { 581457, 1591, 0, 0 },
    { 581487, 1592, 1, 0 },
    { 581517, 1592, 0, 0 },
    { 581547, 1592, 0, 0 },
    { 581576, 1592, 0, 0 },
    { 581606, 1592, 0, 0 },
    { 581635, 1592, 0, 0 },
    { 581664, 1592, 0, 0 },
    { 581694, 1592, 0, 0 },
    { 581723, 1592, 0, 0 },
    { 581752, 1592, 0, 0 },
    { 581782, 1592, 0, 0 },
    { 581811, 1592, 0, 0 },
    { 581841, 1593, 1, 0 },
    { 581871, 1593, 0, 0 },
    { 581901, 1593, 0, 0 },
    { 581930, 1593, 0, 0 },
    { 581960, 1593, 0, 0 },
    { 581989, 1593, 0, 0 },
    { 582019, 1593, 0, 0 },
    { 582048, 1593, 0, 0 },
    { 582078, 1593, 0, 0 },
    { 582107, 1593, 0, 0 },
    { 582136, 1593, 0, 0 },
    { 582166, 1593, 0, 0 },
    { 582195, 1594, 1, 0 },
    { 582225, 1594, 0, 0 },
    { 582255, 1594, 0, 0 },
    { 582284, 1594, 0, 0 },
    { 582314, 1594, 0, 0 },
    { 582344, 1594, 0, 1 },
    { 582373, 1594, 0, 0 },
    { 582403, 1594, 0, 0 },
    { 582432, 1594, 0, 0 },
    { 582462, 1594, 0, 0 },
    { 582491, 1594, 0, 0 },
    { 582521, 1594, 0, 0 },
    { 582550, 1594, 0, 0 },
    { 582579, 1595, 1, 0 },
    { 582609, 1595, 0, 0 },
    { 582638, 1595, 0, 0 },
    { 582668, 1595, 0, 0 },
    { 582698, 1595, 0, 0 },
    { 582727, 1595, 0, 0 },
    { 582757, 1595, 0, 0 },
    { 582787, 1595, 0, 0 },
    { 582816, 1595, 0, 0 },
    { 582846, 1595, 0, 0 },
    { 582875, 1595, 0, 0 },
    { 582905, 1595, 0, 0 },
    { 582934, 1596, 1, 0 },
    { 582964, 1596, 0, 0 },
    { 582993, 1596, 0, 0 },
    { 583022, 1596, 0, 0 },
    { 583052, 1596, 0, 0 },
    { 583081, 1596, 0, 0 },
    { 583111, 1596, 0, 0 },
    { 583141, 1596, 0, 0 },
    { 583170, 1596, 0, 0 },
    { 583200, 1596, 0, 0 },
    { 583230, 1596, 0, 0 },
    { 583259, 1596, 0, 0 },
    { 583289, 1597, 1, 0 },
    { 583318, 1597, 0, 0 },
    { 583348, 1597, 0, 1 },
    { 583377, 1597, 0, 0 },
    { 583406, 1597, 0, 0 },
    { 583436, 1597, 0, 0 },
    { 583465, 1597, 0, 0 },
    { 583495, 1597, 0, 0 },
    { 583524, 1597, 0, 0 },
    { 583554, 1597, 0, 0 },
    { 583584, 1597, 0, 0 },
    { 583613, 1597, 0, 0 },
    { 583643, 1597, 0, 0 },
    { 583673, 1598, 1, 0 },
    { 583702, 1598, 0, 0 },
    { 583732, 1598, 0, 0 },
    { 583761, 1598, 0, 0 },
    { 583790, 1598, 0, 0 },
    { 583820, 1598, 0, 0 },
    { 583849, 1598, 0, 0 },
    { 583878, 1598, 0, 0 },
    { 583908, 1598, 0, 0 },
    { 583938, 1598, 0, 0 },
    { 583967, 1598, 0, 0 },
    { 583997, 1598, 0, 0 },
    { 584027, 1599, 1, 0 },
    { 584057, 1599, 0, 0 },
    { 584086, 1599, 0, 0 },
    { 584116, 1599, 0, 0 },
    { 584145, 1599, 0, 0 },
    { 584174, 1599, 0, 0 },
    { 584204, 1599, 0, 0 },
    { 584233, 1599, 0, 1 },
    { 584262, 1599, 0, 0 },
    { 584292, 1599, 0, 0 },
    { 584321, 1599, 0, 0 },
    { 584351, 1599, 0, 0 },
    { 584381, 1599, 0, 0 },
    { 584411, 1600, 1, 0 },
    { 584441, 1600, 0, 0 },
    { 584470, 1600, 0, 0 },
    { 584500, 1600, 0, 0 },
    { 584529, 1600, 0, 0 },
    { 584558, 1600, 0, 0 },
    { 584588, 1600, 0, 0 },
    { 584617, 1600, 0, 0 },
    { 584646, 1600, 0, 0 },
    { 584676, 1600, 0, 0 },
    { 584705, 1600, 0, 0 },
    { 584735, 1600, 0, 0 },
    { 584765, 1601, 1, 0 },
    { 584795, 1601, 0, 0 },
    { 584824, 1601, 0, 0 },
    { 584854, 1601, 0, 0 },
    { 584884, 1601, 0, 0 },
    { 584913, 1601, 0, 0 },
    { 584942, 1601, 0, 0 },
    { 584972, 1601, 0, 0 },
    { 585001, 1601, 0, 0 },
    { 585030, 1601, 0, 0 },
    { 585060, 1601, 0, 0 },
    { 585089, 1601, 0, 0 },
    { 585119, 1602, 1, 0 },
    { 585149, 1602, 0, 0 },
    { 585178, 1602, 0, 0 },
    { 585208, 1602, 0, 0 },
    { 585238, 1602, 0, 0 },
    { 585267, 1602, 0, 1 },
    { 585297, 1602, 0, 0 },
    { 585326, 1602, 0, 0 },
    { 585356, 1602, 0, 0 },
    { 585385, 1602, 0, 0 },
    { 585414, 1602, 0, 0 },
    { 585444, 1602, 0, 0 },
    { 585473, 1602, 0, 0 },
    { 585503, 1603, 1, 0 },
    { 585532, 1603, 0, 0 },
    { 585562, 1603, 0, 0 },
    { 585592, 1603, 0, 0 },
    { 585621, 1603, 0, 0 },
    { 585651, 1603, 0, 0 },
    { 585681, 1603, 0, 0 },
    { 585710, 1603, 0, 0 },
    { 585740, 1603, 0, 0 },
    { 585769, 1603, 0, 0 },
    { 585799, 1603, 0, 0 },
    { 585828, 1603, 0, 0 },
    { 585857, 1604, 1, 0 },
    { 585887, 1604, 0, 0 },
    { 585916, 1604, 0, 0 },
    { 585946, 1604, 0, 0 },
    { 585975, 1604, 0, 0 },
    { 586005, 1604, 0, 0 },
    { 586035, 1604, 0, 0 },
    { 586064, 1604, 0, 0 },
    { 586094, 1604, 0, 0 },
    { 586124, 1604, 0, 0 },
    { 586153, 1604, 0, 0 },
    { 586183, 1604, 0, 0 },
    { 586212, 1605, 1, 0 },
    { 586242, 1605, 0, 0 },
    { 586271, 1605, 0, 0 },
    { 586300, 1605, 0, 1 },
    { 586330, 1605, 0, 0 },
    { 586359, 1605, 0, 0 },
    { 586389, 1605, 0, 0 },
    { 586418, 1605, 0, 0 },
    { 586448, 1605, 0, 0 },
    { 586478, 1605, 0, 0 },
    { 586507, 1605, 0, 0 },
    { 586537, 1605, 0, 0 },
    { 586567, 1605, 0, 0 },
    { 586596, 1606, 1, 0 },
    { 586626, 1606, 0, 0 },
    { 586655, 1606, 0, 0 },
    { 586684, 1606, 0, 0 },
    { 586714, 1606, 0, 0 },
    { 586743, 1606, 0, 0 },
    { 586773, 1606, 0, 0 },
    { 586802, 1606, 0, 0 },
    { 586832, 1606, 0, 0 },
    { 586861, 1606, 0, 0 },
    { 586891, 1606, 0, 0 },
    { 586921, 1606, 0, 0 },
    { 586951, 1607, 1, 0 },
    { 586980, 1607, 0, 0 },
    { 587010, 1607, 0, 0 },
    { 587039, 1607, 0, 0 },
    { 587068, 1607, 0, 0 },
    { 587098, 1607, 0, 0 },
    { 587127, 1607, 0, 0 },
    { 587156, 1607, 0, 0 },
    { 587186, 1607, 0, 1 },
    { 587216, 1607, 0, 0 },
    { 587245, 1607, 0, 0 },
    { 587275, 1607, 0, 0 },
    { 587305, 1607, 0, 0 },
    { 587335, 1608, 1, 0 },
    { 587364, 1608, 0, 0 },
    { 587394, 1608, 0, 0 },
    { 587423, 1608, 0, 0 },
    { 587452, 1608, 0, 0 },
    { 587482, 1608, 0, 0 },
    { 587511, 1608, 0, 0 },
    { 587540, 1608, 0, 0 },
    { 587570, 1608, 0, 0 },
    { 587599, 1608, 0, 0 },
    { 587629, 1608, 0, 0 },
    { 587659, 1608, 0, 0 },
    { 587689, 1609, 1, 0 },
    { 587718, 1609, 0, 0 },
    { 587748, 1609, 0, 0 },
    { 587778, 1609, 0, 0 },
    { 587807, 1609, 0, 0 },
    { 587836, 1609, 0, 0 },
    { 587866, 1609, 0, 0 },
    { 587895, 1609, 0, 0 },
    { 587924, 1609, 0, 0 },
    { 587954, 1609, 0, 0 },
    { 587983, 1609, 0, 0 },
    { 588013, 1609, 0, 0 },
    { 588043, 1610, 1, 0 },
    { 588072, 1610, 0, 0 },
    { 588102, 1610, 0, 0 },
    { 588132, 1610, 0, 0 },
    { 588161, 1610, 0, 0 },
    { 588191, 1610, 0, 0 },
    { 588220, 1610, 0, 1 },
    { 588250, 1610, 0, 0 },
    { 588279, 1610, 0, 0 },
    { 588308, 1610, 0, 0 },
    { 588338, 1610, 0, 0 },
    { 588367, 1610, 0, 0 },
    { 588397, 1610, 0, 0 },
    { 588426, 1611, 1, 0 },
    { 588456, 1611, 0, 0 },
    { 588486, 1611, 0, 0 },
    { 588516, 1611, 0, 0 },
    { 588545, 1611, 0, 0 },
    { 588575, 1611, 0, 0 },
    { 588604, 1611, 0, 0 },
    { 588634, 1611, 0, 0 },
    { 588663, 1611, 0, 0 },
    { 588692, 1611, 0, 0 },
    { 588722, 1611, 0, 0 },
    { 588751, 1611, 0, 0 },
    { 588781, 1612, 1, 0 },
    { 588810, 1612, 0, 0 },
    { 588840, 1612, 0, 0 },
    { 588870, 1612, 0, 0 },
    { 588899, 1612, 0, 0 },
    { 588929, 1612, 0, 0 },
    { 588958, 1612, 0, 0 },
    { 588988, 1612, 0, 0 },
    { 589018, 1612, 0, 0 },
    { 589047, 1612, 0, 0 },
    { 589076, 1612, 0, 0 },
    { 589106, 1612, 0, 0 },
    { 589135, 1613, 1, 0 },
    { 589165, 1613, 0, 0 },
    { 589194, 1613, 0, 0 },
    { 589224, 1613, 0, 0 },
    { 589253, 1613, 0, 1 },
    { 589283, 1613, 0, 0 },
    { 589313, 1613, 0, 0 },
    { 589342, 1613, 0, 0 },
    { 589372, 1613, 0, 0 },
    { 589401, 1613, 0, 0 },
    { 589431, 1613, 0, 0 },
    { 589461, 1613, 0, 0 },
    { 589490, 1613, 0, 0 },
    { 589519, 1614, 1, 0 },
    { 589549, 1614, 0, 0 },
    { 589578, 1614, 0, 0 },
    { 589608, 1614, 0, 0 },
    { 589637, 1614, 0, 0 },
    { 589667, 1614, 0, 0 },
    { 589696, 1614, 0, 0 },
    { 589726, 1614, 0, 0 },
    { 589756, 1614, 0, 0 },
    { 589785, 1614, 0, 0 },
    { 589815, 1614, 0, 0 },
    { 589845, 1614, 0, 0 },
    { 589874, 1615, 1, 0 },
    { 589904, 1615, 0, 0 },
    { 589933, 1615, 0, 0 },
    { 589962, 1615, 0, 0 },
    { 589992, 1615, 0, 0 },
    { 590021, 1615, 0, 0 },
    { 590050, 1615, 0, 0 },
    { 590080, 1615, 0, 0 },
    { 590110, 1615, 0, 0 },
    { 590139, 1615, 0, 0 },
    { 590169, 1615, 0, 0 },
    { 590199, 1615, 0, 0 },
    { 590229, 1616, 1, 0 },
    { 590258, 1616, 0, 0 },
    { 590288, 1616, 0, 0 },
    { 590317, 1616, 0, 1 },
    { 590346, 1616, 0, 0 },
    { 590376, 1616, 0, 0 },
    { 590405, 1616, 0, 0 },
    { 590434, 1616, 0, 0 },
    { 590464, 1616, 0, 0 },
    { 590493, 1616, 0, 0 },
    { 590523, 1616, 0, 0 },
    { 590553, 1616, 0, 0 },
    { 590583, 1616, 0, 0 },
    { 590612, 1617, 1, 0 },
    { 590642, 1617, 0, 0 },
    { 590672, 1617, 0, 0 },
    { 590701, 1617, 0, 0 },
    { 590730, 1617, 0, 0 },
    { 590760, 1617, 0, 0 },
    { 590789, 1617, 0, 0 },
    { 590818, 1617, 0, 0 },
    { 590848, 1617, 0, 0 },
    { 590877, 1617, 0, 0 },
    { 590907, 1617, 0, 0 },
    { 590937, 1617, 0, 0 },
    { 590966, 1618, 1, 0 },
    { 590996, 1618, 0, 0 },
    { 591026, 1618, 0, 0 },
    { 591055, 1618, 0, 0 },
    { 591085, 1618, 0, 0 },
    { 591114, 1618, 0, 0 },
    { 591144, 1618, 0, 0 },
    { 591173, 1618, 0, 1 },
    { 591202, 1618, 0, 0 },
    { 591232, 1618, 0, 0 },
    { 591261, 1618, 0, 0 },
    { 591291, 1618, 0, 0 },
    { 591320, 1618, 0, 0 },
    { 591350, 1619, 1, 0 },
    { 591380, 1619, 0, 0 },
    { 591410, 1619, 0, 0 },
    { 591439, 1619, 0, 0 },
    { 591469, 1619, 0, 0 },
    { 591498, 1619, 0, 0 },
    { 591528, 1619, 0, 0 },
    { 591557, 1619, 0, 0 },
    { 591586, 1619, 0, 0 },
    { 591616, 1619, 0, 0 },
    { 591645, 1619, 0, 0 },
    { 591675, 1619, 0, 0 },
    { 591704, 1620, 1, 0 },
    { 591734, 1620, 0, 0 },
    { 591764, 1620, 0, 0 },
    { 591793, 1620, 0, 0 },
    { 591823, 1620, 0, 0 },
    { 591853, 1620, 0, 0 },
    { 591882, 1620, 0, 0 },
    { 591912, 1620, 0, 0 },
    { 591941, 1620, 0, 0 },
    { 591970, 1620, 0, 0 },
    { 592000, 1620, 0, 0 },
    { 592029, 1620, 0, 0 },
    { 592059, 1621, 1, 0 },
    { 592088, 1621, 0, 0 },
    { 592118, 1621, 0, 0 },
    { 592147, 1621, 0, 0 },
    { 592177, 1621, 0, 0 },
    { 592207, 1621, 0, 1 },
    { 592236, 1621, 0, 0 },
    { 592266, 1621, 0, 0 },
    { 592295, 1621, 0, 0 },
    { 592325, 1621, 0, 0 },
    { 592354, 1621, 0, 0 },
    { 592384, 1621, 0, 0 },
    { 592413, 1621, 0, 0 },
    { 592443, 1622, 1, 0 },
    { 592472, 1622, 0, 0 },
    { 592502, 1622, 0, 0 },
    { 592531, 1622, 0, 0 },
    { 592561, 1622, 0, 0 },
    { 592590, 1622, 0, 0 },
    { 592620, 1622, 0, 0 },
    { 592650, 1622, 0, 0 },
    { 592679, 1622, 0, 0 },
    { 592709, 1622, 0, 0 },
    { 592738, 1622, 0, 0 },
    { 592768, 1622, 0, 0 },
    { 592797, 1623, 1, 0 },
    { 592827, 1623, 0, 0 },
    { 592856, 1623, 0, 0 },
    { 592886, 1623, 0, 0 },
    { 592915, 1623, 0, 0 },
    { 592945, 1623, 0, 0 },
    { 592974, 1623, 0, 0 },
    { 593004, 1623, 0, 0 },
    { 593033, 1623, 0, 0 },
    { 593063, 1623, 0, 0 },
    { 593093, 1623, 0, 0 },
    { 593122, 1623, 0, 0 },
    { 593152, 1624, 1, 0 },
    { 593182, 1624, 0, 0 },
    { 593211, 1624, 0, 0 },
    { 593240, 1624, 0, 0 },
    { 593270, 1624, 0, 1 },
    { 593299, 1624, 0, 0 },
    { 593328, 1624, 0, 0 },
    { 593358, 1624, 0, 0 },
    { 593387, 1624, 0, 0 },
    { 593417, 1624, 0, 0 },
    { 593447, 1624, 0, 0 },
    { 593477, 1624, 0, 0 },
    { 593506, 1624, 0, 0 },
    { 593536, 1625, 1, 0 },
    { 593566, 1625, 0, 0 },
    { 593595, 1625, 0, 0 },
    { 593624, 1625, 0, 0 },
    { 593654, 1625, 0, 0 },
    { 593683, 1625, 0, 0 },
    { 593712, 1625, 0, 0 },
    { 593742, 1625, 0, 0 },
    { 593771, 1625, 0, 0 },
    { 593801, 1625, 0, 0 },
    { 593831, 1625, 0, 0 },
    { 593860, 1625, 0, 0 },
    { 593890, 1626, 1, 0 },
    { 593920, 1626, 0, 0 },
    { 593950, 1626, 0, 0 },
    { 593979, 1626, 0, 0 },
    { 594008, 1626, 0, 0 },
    { 594038, 1626, 0, 0 },
    { 594067, 1626, 0, 0 },
    { 594096, 1626, 0, 0 },
    { 594126, 1626, 0, 1 },
    { 594155, 1626, 0, 0 },
    { 594185, 1626, 0, 0 },
    { 594214, 1626, 0, 0 },
    { 594244, 1626, 0, 0 },
    { 594274, 1627, 1, 0 },
    { 594304, 1627, 0, 0 },
    { 594333, 1627, 0, 0 },
    { 594363, 1627, 0, 0 },
    { 594392, 1627, 0, 0 },
    { 594422, 1627, 0, 0 },
    { 594451, 1627, 0, 0 },
    { 594480, 1627, 0, 0 },
    { 594510, 1627, 0, 0 },
    { 594539, 1627, 0, 0 },
    { 594569, 1627, 0, 0 },
    { 594598, 1627, 0, 0 },
    { 594628, 1628, 1, 0 },
    { 594658, 1628, 0, 0 },
    { 594687, 1628, 0, 0 },
    { 594717, 1628, 0, 0 },
    { 594747, 1628, 0, 0 },
    { 594776, 1628, 0, 0 },
    { 594806, 1628, 0, 0 },
    { 594835, 1628, 0, 0 },
    { 594864, 1628, 0, 0 },
    { 594894, 1628, 0, 0 },
    { 594923, 1628, 0, 0 },
    { 594953, 1628, 0, 0 },
    { 594982, 1629, 1, 0 },
    { 595012, 1629, 0, 0 },
    { 595041, 1629, 0, 0 },
    { 595071, 1629, 0, 0 },
    { 595101, 1629, 0, 0 },
    { 595130, 1629, 0, 0 },
    { 595160, 1629, 0, 1 },
    { 595189, 1629, 0, 0 },
    { 595219, 1629, 0, 0 },
    { 595248, 1629, 0, 0 },
    { 595278, 1629, 0, 0 },
    { 595307, 1629, 0, 0 },
    { 595337, 1629, 0, 0 },
    { 595366, 1630, 1, 0 },
    { 595396, 1630, 0, 0 },
    { 595425, 1630, 0, 0 },
    { 595455, 1630, 0, 0 },
    { 595484, 1630, 0, 0 },
    { 595514, 1630, 0, 0 },
    { 595544, 1630, 0, 0 },
    { 595573, 1630, 0, 0 },
    { 595603, 1630, 0, 0 },
    { 595632, 1630, 0, 0 },
    { 595662, 1630, 0, 0 },
    { 595691, 1630, 0, 0 },
    { 595721, 1631, 1, 0 },
    { 595750, 1631, 0, 0 },
    { 595780, 1631, 0, 0 },
    { 595809, 1631, 0, 0 },
    { 595839, 1631, 0, 0 },
    { 595868, 1631, 0, 0 },
    { 595898, 1631, 0, 0 },
    { 595927, 1631, 0, 0 },
    { 595957, 1631, 0, 0 },
    { 595987, 1631, 0, 0 },
    { 596016, 1631, 0, 0 },
    { 596046, 1631, 0, 0 },
    { 596075, 1632, 1, 0 },
    { 596105, 1632, 0, 0 },
    { 596134, 1632, 0, 0 },
    { 596164, 1632, 0, 0 },
    { 596193, 1632, 0, 1 },
    { 596222, 1632, 0, 0 },
    { 596252, 1632, 0, 0 },
    { 596281, 1632, 0, 0 },
    { 596311, 1632, 0, 0 },
    { 596341, 1632, 0, 0 },
    { 596371, 1632, 0, 0 },
    { 596400, 1632, 0, 0 },
    { 596430, 1632, 0, 0 },
    { 596459, 1633, 1, 0 },
    { 596489, 1633, 0, 0 },
    { 596518, 1633, 0, 0 },
    { 596548, 1633, 0, 0 },
    { 596577, 1633, 0, 0 },
    { 596606, 1633, 0, 0 },
    { 596636, 1633, 0, 0 },
    { 596665, 1633, 0, 0 },
    { 596695, 1633, 0, 0 },
    { 596725, 1633, 0, 0 },
    { 596754, 1633, 0, 0 },
    { 596784, 1633, 0, 0 },
    { 596814, 1634, 1, 0 },
    { 596843, 1634, 0, 0 },
    { 596873, 1634, 0, 0 },
    { 596902, 1634, 0, 0 },
    { 596932, 1634, 0, 0 },
    { 596961, 1634, 0, 0 },
    { 596990, 1634, 0, 0 },
    { 597020, 1634, 0, 0 },
    { 597049, 1634, 0, 0 },
    { 597079, 1634, 0, 0 },
    { 597108, 1634, 0, 0 },
    { 597138, 1634, 0, 0 },
    { 597168, 1635, 1, 0 },
    { 597198, 1635, 0, 0 },
    { 597227, 1635, 0, 0 },
    { 597257, 1635, 0, 1 },
    { 597286, 1635, 0, 0 },
    { 597316, 1635, 0, 0 },
    { 597345, 1635, 0, 0 },
    { 597374, 1635, 0, 0 },
    { 597404, 1635, 0, 0 },
    { 597433, 1635, 0, 0 },
    { 597463, 1635, 0, 0 },
    { 597492, 1635, 0, 0 },
    { 597522, 1635, 0, 0 },
    { 597552, 1636, 1, 0 },
    { 597582, 1636, 0, 0 },
    { 597611, 1636, 0, 0 },
    { 597641, 1636, 0, 0 },
    { 597670, 1636, 0, 0 },
    { 597700, 1636, 0, 0 },
    { 597729, 1636, 0, 0 },
    { 597758, 1636, 0, 0 },
    { 597788, 1636, 0, 0 },
    { 597817, 1636, 0, 0 },
    { 597846, 1636, 0, 0 },
    { 597876, 1636, 0, 0 },
    { 597906, 1637, 1, 0 },
    { 597935, 1637, 0, 0 },
    { 597965, 1637, 0, 0 },
    { 597995, 1637, 0, 0 },
    { 598025, 1637, 0, 0 },
    { 598054, 1637, 0, 0 },
    { 598084, 1637, 0, 0 },
    { 598113, 1637, 0, 1 },
    { 598142, 1637, 0, 0 },
    { 598172, 1637, 0, 0 },
    { 598201, 1637, 0, 0 },
    { 598231, 1637, 0, 0 },
    { 598260, 1637, 0, 0 },
    { 598290, 1638, 1, 0 },
    { 598319, 1638, 0, 0 },
    { 598349, 1638, 0, 0 },
    { 598379, 1638, 0, 0 },
    { 598408, 1638, 0, 0 },
    { 598438, 1638, 0, 0 },
    { 598467, 1638, 0, 0 },
    { 598497, 1638, 0, 0 },
    { 598526, 1638, 0, 0 },
    { 598556, 1638, 0, 0 },
    { 598585, 1638, 0, 0 },
    { 598615, 1638, 0, 0 },
    { 598644, 1639, 1, 0 },
    { 598674, 1639, 0, 0 },
    { 598703, 1639, 0, 0 },
    { 598733, 1639, 0, 0 },
    { 598762, 1639, 0, 0 },
    { 598792, 1639, 0, 0 },
    { 598822, 1639, 0, 0 },
    { 598851, 1639, 0, 0 },
    { 598881, 1639, 0, 0 },
    { 598910, 1639, 0, 0 },
    { 598940, 1639, 0, 0 },
    { 598969, 1639, 0, 0 },
    { 598999, 1640, 1, 0 },
    { 599028, 1640, 0, 0 },
    { 599058, 1640, 0, 0 },
    { 599087, 1640, 0, 0 },
    { 599116, 1640, 0, 0 },
    { 599146, 1640, 0, 1 },
    { 599176, 1640, 0, 0 },
    { 599205, 1640, 0, 0 },
    { 599235, 1640, 0, 0 },
    { 599265, 1640, 0, 0 },
    { 599294, 1640, 0, 0 },
    { 599324, 1640, 0, 0 },
    { 599353, 1640, 0, 0 },
    { 599383, 1641, 1, 0 },
    { 599412, 1641, 0, 0 },
    { 599442, 1641, 0, 0 },
    { 599471, 1641, 0, 0 },
    { 599500, 1641, 0, 0 },
    { 599530, 1641, 0, 0 },
    { 599559, 1641, 0, 0 },
    { 599589, 1641, 0, 0 },
    { 599619, 1641, 0, 0 },
    { 599648, 1641, 0, 0 },
    { 599678, 1641, 0, 0 },
    { 599708, 1641, 0, 0 },
    { 599737, 1642, 1, 0 },
    { 599767, 1642, 0, 0 },
    { 599796, 1642, 0, 0 },
    { 599826, 1642, 0, 0 },
    { 599855, 1642, 0, 0 },
    { 599884, 1642, 0, 0 },
    { 599914, 1642, 0, 0 },
    { 599943, 1642, 0, 0 },
    { 599973, 1642, 0, 0 },
    { 600002, 1642, 0, 0 },
    { 600032, 1642, 0, 0 },
    { 600062, 1642, 0, 0 },
    { 600092, 1643, 1, 0 },
    { 600121, 1643, 0, 0 },
    { 600151, 1643, 0, 0 },
    { 600180, 1643, 0, 0 },
    { 600210, 1643, 0, 1 },
    { 600239, 1643, 0, 0 },
    { 600268, 1643, 0, 0 },
    { 600298, 1643, 0, 0 },
    { 600327, 1643, 0, 0 },
    { 600356, 1643, 0, 0 },
    { 600386, 1643, 0, 0 },
    { 600416, 1643, 0, 0 },
    { 600446, 1643, 0, 0 },
    { 600476, 1644, 1, 0 },
    { 600505, 1644, 0, 0 },
    { 600535, 1644, 0, 0 },
    { 600564, 1644, 0, 0 },
    { 600594, 1644, 0, 0 },
    { 600623, 1644, 0, 0 },
    { 600652, 1644, 0, 0 },
    { 600682, 1644, 0, 0 },
    { 600711, 1644, 0, 0 },
    { 600740, 1644, 0, 0 },
    { 600770, 1644, 0, 0 },
    { 600800, 1644, 0, 0 },
    { 600829, 1645, 1, 0 },
    { 600859, 1645, 0, 0 },
    { 600889, 1645, 0, 0 },
    { 600919, 1645, 0, 0 },
    { 600948, 1645, 0, 0 },
    { 600978, 1645, 0, 0 },
    { 601007, 1645, 0, 0 },
    { 601036, 1645, 0, 0 },
    { 601066, 1645, 0, 1 },
    { 601095, 1645, 0, 0 },
    { 601124, 1645, 0, 0 },
    { 601154, 1645, 0, 0 },
    { 601184, 1645, 0, 0 },
    { 601213, 1646, 1, 0 },
    { 601243, 1646, 0, 0 },
    { 601273, 1646, 0, 0 },
    { 601302, 1646, 0, 0 },
    { 601332, 1646, 0, 0 },
    { 601361, 1646, 0, 0 },
    { 601391, 1646, 0, 0 },
    { 601420, 1646, 0, 0 },
    { 601450, 1646, 0, 0 },
    { 601479, 1646, 0, 0 },
    { 601508, 1646, 0, 0 },
    { 601538, 1646, 0, 0 },
    { 601568, 1647, 1, 0 },
    { 601597, 1647, 0, 0 },
    { 601627, 1647, 0, 0 },
    { 601656, 1647, 0, 0 },
    { 601686, 1647, 0, 0 },
    { 601716, 1647, 0, 0 },
    { 601745, 1647, 0, 0 },
    { 601775, 1647, 0, 0 },
    { 601804, 1647, 0, 0 },
    { 601834, 1647, 0, 0 },
    { 601863, 1647, 0, 0 },
    { 601893, 1647, 0, 0 },
    { 601922, 1648, 1, 0 },
    { 601952, 1648, 0, 0 },
    { 601981, 1648, 0, 0 },
    { 602011, 1648, 0, 0 },
    { 602040, 1648, 0, 0 },
    { 602070, 1648, 0, 0 },
    { 602099, 1648, 0, 1 },
    { 602129, 1648, 0, 0 },
    { 602159, 1648, 0, 0 },
    { 602188, 1648, 0, 0 },
    { 602218, 1648, 0, 0 },
    { 602247, 1648, 0, 0 },
    { 602277, 1648, 0, 0 },
    { 602306, 1649, 1, 0 },
    { 602336, 1649, 0, 0 },
    { 602365, 1649, 0, 0 },
    { 602394, 1649, 0, 0 },
    { 602424, 1649, 0, 0 },
    { 602453, 1649, 0, 0 },
    { 602483, 1649, 0, 0 },
    { 602513, 1649, 0, 0 },
    { 602542, 1649, 0, 0 },
    { 602572, 1649, 0, 0 },
    { 602602, 1649, 0, 0 },
    { 602631, 1649, 0, 0 },
    { 602661, 1650, 1, 0 },
    { 602690, 1650, 0, 0 },
    { 602720, 1650, 0, 0 },
    { 602749, 1650, 0, 0 },
    { 602778, 1650, 0, 0 },
    { 602808, 1650, 0, 0 },
    { 602837, 1650, 0, 0 },
    { 602867, 1650, 0, 0 },
    { 602896, 1650, 0, 0 },
    { 602926, 1650, 0, 0 },
    { 602956, 1650, 0, 0 },
    { 602986, 1650, 0, 0 },
    { 603015, 1651, 1, 0 },
    { 603045, 1651, 0, 0 },
    { 603074, 1651, 0, 0 },
    { 603104, 1651, 0, 0 },
    { 603133, 1651, 0, 1 },
    { 603162, 1651, 0, 0 },
    { 603192, 1651, 0, 0 },
    { 603221, 1651, 0, 0 },
    { 603251, 1651, 0, 0 },
    { 603280, 1651, 0, 0 },
    { 603310, 1651, 0, 0 },
    { 603340, 1651, 0, 0 },
    { 603370, 1651, 0, 0 },
    { 603399, 1652, 1, 0 },
    { 603429, 1652, 0, 0 },
    { 603458, 1652, 0, 0 },
    { 603488, 1652, 0, 0 },
    { 603517, 1652, 0, 0 },
    { 603546, 1652, 0, 0 },
    { 603576, 1652, 0, 0 },
    { 603605, 1652, 0, 0 },
    { 603634, 1652, 0, 0 },
    { 603664, 1652, 0, 0 },
    { 603694, 1652, 0, 0 },
    { 603723, 1652, 0, 0 },
    { 603753, 1653, 1, 0 },
    { 603783, 1653, 0, 0 },
    { 603813, 1653, 0, 0 },
    { 603842, 1653, 0, 0 },
    { 603872, 1653, 0, 0 },
    { 603901, 1653, 0, 0 },
    { 603930, 1653, 0, 0 },
    { 603960, 1653, 0, 0 },
    { 603989, 1653, 0, 0 },
    { 604018, 1653, 0, 0 },
    { 604048, 1653, 0, 0 },
    { 604078, 1653, 0, 0 },
    { 604107, 1654, 1, 0 },
    { 604137, 1654, 0, 0 },
    { 604167, 1654, 0, 0 },
    { 604197, 1654, 0, 1 },
    { 604226, 1654, 0, 0 },
    { 604256, 1654, 0, 0 },
    { 604285, 1654, 0, 0 },
    { 604314, 1654, 0, 0 },
    { 604344, 1654, 0, 0 },
    { 604373, 1654, 0, 0 },
    { 604402, 1654, 0, 0 },
    { 604432, 1654, 0, 0 },
    { 604461, 1654, 0, 0 },
    { 604491, 1655, 1, 0 },
    { 604521, 1655, 0, 0 },
    { 604551, 1655, 0, 0 },
    { 604580, 1655, 0, 0 },
    { 604610, 1655, 0, 0 },
    { 604639, 1655, 0, 0 },
    { 604669, 1655, 0, 0 },
    { 604698, 1655, 0, 0 },
    { 604728, 1655, 0, 0 },
    { 604757, 1655, 0, 0 },
    { 604786, 1655, 0, 0 },
    { 604816, 1655, 0, 0 }
};

#define FIRST_RECORD 0
#define LAST_RECORD 20481
#define FIRST_JULIAN 1883618
#define LAST_JULIAN 2488434
#ifndef JIMMU_ERA
#define FIRST_YEAR 445
#define LAST_YEAR 2100
#else
#define FIRST_YEAR 1105
#define LAST_YEAR 2760
#endif

#ifndef QIBINARY
static int
qi(int j) /* interpolation */
{
    int l, m, u;

    l = FIRST_RECORD;
    u = LAST_RECORD;
    while (l < u) {
	m = ((float)(j - qt[l].j) * (u - l)
	     / (qt[u].j - qt[l].j)) + l;
	if (qt[m].j < j) {
	    l = m + 1;
	    if (qt[l].j > j)
		return l - 1;
	} else if (qt[m].j > j) {
	    u = m - 1;
	    if (qt[u].j < j)
		return u;
	} else return m;
    }
    /*NOTREACHED*/
    return -1;
}
#else
static int
qi(int j) /* binary */
{
    int l, m, u;

    l = FIRST_RECORD;
    u = LAST_RECORD + 1;
    while (l < u) {
	m = (l + u) / 2;
	if (qt[m].j <= j)
	    l = m + 1;
	else
	    u = m;
    }
    return l - 1;
}
#endif

void
qref(int j, QDATE *q)
{
    const CQDATE *o, *p;

    if (j < FIRST_JULIAN || j > LAST_JULIAN) {
	q->j = q->y = q->yd = q->m = q->md = q->wd = q->leap = 0;
	return;
    }
    p = &qt[qi(j - FIRST_JULIAN)];
    o = p;
    q->m = 1;
    while (o->m == 0) {
	if (o->leap == 0)
	    q->m++;
	o--;
    }
    q->j = j;
    q->y = p->y + FIRST_YEAR;
    q->yd = 1 + j - (o->j + FIRST_JULIAN);
    q->md = 1 + j - (p->j + FIRST_JULIAN);
    q->wd = (q->m + q->md - 2) % 6;
    q->leap = p->leap;
}

#ifndef PLUTO
#ifndef QIBINARY
static int
rqi2(int y) /* interpolation */
{
    int l, m, u;

    l = FIRST_RECORD;
    u = LAST_RECORD;
    while (l < u) {
	m = ((float)(y - qt[l].y) * (u - l)
	     / (qt[u].y - qt[l].y)) + l;
	if (qt[m].y < y) {
	    l = m + 1;
	    if (qt[l].y > y)
		return l - 1;
	} else if (qt[m].y > y) {
	    u = m - 1;
	    if (qt[u].y < y)
		return u;
	} else return m;
    }
    /*NOTREACHED*/
    return -1;
}
#else
static int
rqi2(int y) /* binary */
{
    int l, m, u;

    l = FIRST_RECORD;
    u = LAST_RECORD + 1;
    while (l < u) {
	m = (l + u) / 2;
	if (qt[m].y <= y)
	    l = m + 1;
	else
	    u = m;
    }
    return l - 1;
}
#endif

static int
rqi(int y)
{
    int p;

    p = rqi2(y);
    while (qt[p].m == 0)
	p--;
    return p;
}

int
rqref(QDATE *q)
{
    const CQDATE *p;

    if (q->y < FIRST_YEAR || q->y > LAST_YEAR)
	return 0;
    p = &qt[rqi(q->y - FIRST_YEAR)];
    if (q->yd)
	return q->yd - 1 + p->j + FIRST_JULIAN;
    else {
	int m = 1;
	while (!(m == q->m && p->leap == q->leap))
	    if ((++p)->leap == 0)
		m++;
	return q->md - 1 + p->j + FIRST_JULIAN;
    }
}
#endif /* not PLUTO */
